<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Str;

class Annonce extends Model
{
    protected $guarded = [];

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function profil_annonceur()
    {
        return $this->belongsTo(ProfileAnnonceur::class, 'user_id', 'user_id');
    }

    public function metier()
    {
        return $this->belongsTo(Metier::class, "sector", "slug");
    }

    public function pays()
    {
        return $this->belongsTo(Country::class, "country", "id");
    }

    public static function generate_slug_for_table($table,$length=10,$column="slug")
    {
        $random = null;
        do {
            $random = Str::random($length);
            $user_code = DB::table($table)->where($column,$random)->first();
        } while ($user_code != null);
        return $random;
    }
}
