<?php

namespace App;

use App\helpers\helper;
use App\Http\Controllers\HelperController;
use App\Http\Controllers\MailController;
use App\Http\Controllers\paymentController;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Http\Request;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Str;

class Boutique extends Model
{
    protected $fillable = [
        'slug', 'nom_boutique', 'user_slug', 'installer', 'metier_slug', 'template', 'description', 'activation_date', 'paiement_and_livraison', 'corbeil', 'maintenance', 'ifu', 'ifuFile', 'rccm', 'rccmFile', 'cni', 'cniFile', 'adminActivatePaiement', 'shipping_international', 'shipping_local', 'sunmarketer', 'transaction_id', 'means', 'abonnement_slug', 'sunmarketer_first_time'
    ];

    public function storeAbonnement($reference, $idAbonnement, $slug, $means)
    {
        $boutique = DB::table('boutiques')->where('slug', $slug)->update(['abonnement_slug' => $idAbonnement, 'transaction_id' => $reference, 'means' => $means]);
    }

    public function removeAbonnement($slug)
    {
        $boutique = DB::table('boutiques')->where('slug', $slug)->update(['abonnement_slug' => null, 'transaction_id' => null, 'means' => null]);
    }

    public function renewAbonnement($transaction_id, $abonnement_slug, $boutique_slug, $means)
    {
        switch ($means) {
            case 'KKIAPAY':
                $public_key = env('KKIAPAY_PUBLIC');
                $secret = env('KKIAPAY_SECRET');
                $private_key = env('KKIAPAY_PRIVATE');
                $kkiapay = new \Kkiapay\Kkiapay(
                    $public_key,
                    $private_key,
                    $secret
                );
                $verify = $kkiapay->verifyTransaction($transaction_id);
                // dd($boutique_abonnement);
                $status = $verify->status;
                if ($status == 'SUCCESS') {
                    $abonnement = EtatAbonnement::where('slug', $abonnement_slug)->first();
                    $boutique = Boutique::where('slug', $boutique_slug)->first();
                    if ($verify->amount == (int)$abonnement['price']) {
                        //send money to sunmarketers
                        $bonus = 0;
                        if ($boutique['sunmarketers'] != 'none' && $boutique['sunmarketers'] != null && $boutique['sunmarketers'] != 'almost') {
                            //$marketer = ;
                            $marketer = DB::table('marketers')->where('user_slug', $boutique['sunmarketers'])->first();
                            if (isset($marketer) && $marketer != null) {
                                $usermarketer = $boutique['sunmarketers'];
                                $portefeuille = DB::table('portefeuille')->where('user_slug', $marketer->user_slug)->where('devise', ($marketer->currency != null ? $marketer->currency : 'USD'))->first();
                                $ab = (float)$abonnement['price'];
                                $reduc = 10;
                                if ($boutique['sunmarketer_first_time'] == 0) {
                                    $reduc = 20;
                                    DB::table('boutiques')->where('slug', $boutique_slug)->update(['sunmarketer_first_time' => 1]);
                                }
                                $bonus = ($ab * $reduc) / 100;
                                if ($marketer->currency != 'XOF' || $marketer->currency) {
                                    $helpers = new HelperController();
                                    $bonus = $helpers->convertCurrency('XOF', 'USD', $bonus);
                                }
                                if ($portefeuille != null) {
                                    $portefeuille->montant = (float)$portefeuille->montant + $bonus;
                                    $portefeuille->save();
                                } else {
                                    Portefeuille::create([
                                        'user_slug' => $marketer->user_slug,
                                        'devise' => ($marketer->currency != null ? $marketer->currency : 'XOF'),
                                        'montant' => $bonus,
                                        'active' => true,
                                        'tentative' => 0,
                                        'created_at' => Carbon::now(),
                                        'updated_at' => Carbon::now(),
                                    ]);
                                }
                            } else {
                                $code = CodePromo::where('code', $boutique['sunmarketers'])->first();
                                if (isset($code) && $code != null) {
                                    $userData = DB::table('users')->where('id', $code['user_id'])->first();
                                    $usermarketer = $userData->slug;
                                    $portefeuille = DB::table('portefeuille')->where('user_slug', $userData->slug)->where('devise',  'XOF')->first();
                                    $ab = (float)$abonnement['price'];
                                    $bonus = ($ab * 25) / 100;
                                    //
                                    if ($portefeuille != null) {
                                        $portefeuille->montant = (float)$portefeuille->montant + $bonus;
                                        $portefeuille->save();
                                    } else {
                                        Portefeuille::create([
                                            'user_slug' => $userData->user_slug,
                                            'devise' => 'XOF',
                                            'montant' => $bonus,
                                            'active' => true,
                                            'tentative' => 0,
                                            'created_at' => Carbon::now(),
                                            'updated_at' => Carbon::now(),
                                        ]);
                                    }
                                }
                            }
                            //                    $sh = Boutique::findOrFail($boutique['id']);
                            //                    $sh->sunmarketer = 'almost';
                            //                    $sh->save();
                            $subject = 'Compte créditer';
                            $messages = "La boutique " . $boutique['nom_boutique'] . " à mis à jour son abonnement pour " . $abonnement['numberMonth'] . ' mois, pour un montant de ' . (float)$abonnement['price'] . '. Vous bénéficiez de 25% de la somme totale du montant soit ' . $bonus;
                            MailController::SendGeneralUniqueMail('Mail.generale_blade', $subject, $messages, env('MAIL_ADMIN'), env('MAIL_USERNAME'));
                        }
                        //End sunmarketers bonus transaction
                        $data['slug'] = Str::slug(time() . 'boutique' . time() . 'abonnement');
                        $data['boutique_id'] = $boutique['id'];
                        $data['etat_abonnement_id'] = $abonnement['id'];
                        $data['expired'] = false;
                        DB::table('boutique_abonnements')->where('boutique_id', $boutique['id'])->where('etat_abonnement_id', $abonnement['id'])->update(['expired' => false]);
                        $boutique['expired'] ? $expireBoutique = Carbon::now()->format('M d Y H:i:s') : $expireBoutique = Carbon::create($boutique['expired_to'])->format('M d Y H:i:s');
                        $expired_to = strtotime("+" . $abonnement['numberMonth'] . " months", strtotime($expireBoutique));
                        $myShop = Boutique::findOrFail($boutique['id']);
                        $myShop->expired_to = Carbon::createFromFormat('Y-m-d H:i:s', date('Y-m-d H:i:s', $expired_to));
                        $myShop->expired = false;
                        $myShop->save();
                        $data['expired_at'] = $myShop->expired_to;
                        BoutiqueAbonnement::create($data);
                        $user = Session::get('user')['slug'];
                        $boutique['expired']
                            ?
                            $motif = 'Paiement effectué pour abonnement ' . $abonnement['name'] . ' de la boutique ' . $boutique['nom_boutique']
                            :
                            $motif = 'Paiement effectué pour cumule d\'abonnement ' . $abonnement['name'] . ' de la boutique ' . $boutique['nom_boutique'];

                        $montant = $abonnement['price'];
                        $boutique['expired']
                            ?
                            $action = 'Abonnement Boutique'
                            :
                            $action = 'Cumule d\'abonnement Boutique';
                        if ($boutique['sunmarketers'] != 'none' && $boutique['sunmarketers'] != null && $boutique['sunmarketers'] != 'almost') {
                            AbonnementPaiment::createpaiement($user, ((float)$montant - (float)$bonus), $action, $motif, 'XOF');
                        } else {
                            AbonnementPaiment::createpaiement($user, $montant, $action, $motif, 'XOF');
                        }
                        $this->removeAbonnement($boutique_slug);
                        $response = true;
                    } else {
                        $response = false;
                    }
                } else {
                    $response = false;
                }
                if ($response) {

                    $status = 'success';
                    $boutique['expired']
                        ?
                        $message = 'Votre boutique à été mis à jour avec succès. Vous bénéficiez de ' . $abonnement['numberMonth'] . ' mois d\'accès à notre espace de vente.'
                        :
                        $message = 'L\'abonnement de votre boutique à été mis à jour avec succès. Vous bénéficiez de ' . $abonnement['numberMonth'] . ' mois supplémentaire d\'accès à notre espace de vente.';

                    $subject = 'ABONNEMENT DE LA BOUTIQUE ' . $boutique['nom_boutique'];
                    $messages = "La boutique " . $boutique['nom_boutique'] . " à mis à jour son abonnement pour " . $abonnement['numberMonth'] . ' mois';
                    MailController::SendGeneralUniqueMail('Mail.generale_blade', $subject, $messages, env('MAIL_ADMIN'), env('MAIL_USERNAME'));
                }
                return $response;
                break;
            case 'PAYDUNYA': {
                    $payDunya = new helper();
                    return $payDunya->paydunyaCHeckPaiementAfterSubscription($boutique_slug, $transaction_id, $abonnement_slug);
                }
                break;
        }
    }

    public function abonnements()
    {
        return $this->hasMany('App\BoutiqueAbonnement', 'boutique_id');
    }

    public function  message()
    {
        return $this->hasMany('App\MessageBoutiques', 'boutique_slug', 'slug');
    }
    public function  mibSubscribe()
    {
        return $this->hasOne('App\mibBoutiqueSouscription', 'id_boutique', 'id');
    }

    public function user()
    {
        return $this->belongsTo('App\User', 'user_slug', 'slug');
    }


    public function marketer()
    {
        return $this->hasOne('App\MarketerShop', 'shop_slug', 'slug');
    }


    public function commande()
    {
        return $this->hasMany('App\Commandes', 'boutique_slug', 'slug');
    }

    public function enseigne()
    {
        return $this->belongsTo('App\Enseigne', 'enseigne_slug', 'slug');
    }

    public function demande_supression()
    {
        return $this->hasMany('App\Demande_supression_boutique', 'boutique_slug', 'slug');
    }

    public function metier()
    {
        return $this->belongsTo('App\Metier', 'metier_slug', 'slug');
    }

    public function partenaires()
    {
        return $this->hasMany('App\Partenaire');
    }

    public function publicites()
    {
        return $this->hasMany('App\Publicite');
    }

    public function meta()
    {
        return $this->hasOne('App\BoutiqueMeta');
    }

    public function wishlist_boutique()
    {
        return $this->hasMany('App\wishlist_boutique', 'catalogue_article_slug', 'slug');
    }

    public function newsletter_boutique()
    {
        return $this->hasMany('App\NewslettersBoutique', 'boutique_slug', 'slug');
    }

    public function most_visit()
    {
        return $this->hasMany('App\check_boutiques', 'boutique_slug', 'slug');
    }

    public function panier_mib_year()
    {
        return $this->hasMany('App\panierMibYear', 'boutique_id', 'id');
    }


    public function paiement_echelonner()
    {
        return $this->hasOne(PaiementEchelonner::class, 'boutique_slug', 'slug');
    }

    public static function formatName($nom_boutique)
    {
        return Str::limit(strtoupper(str_replace('_', ' ', $nom_boutique)), 65);
    }
}
