<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class ClientMib extends Model
{
    protected $fillable = [
        'slug', 'nom', 'prenom', 'tel', 'adresse', 'nom_mandataire', 'tel_mandataire',
        'adresse_mandataire', 'bonus', 'parainer', 'parain_id', 'an', 'boutique_id', 'categories_mib_id',
        'user_id', 'brunch', 'lot', 'status_cotisation', 'end_cotisation', 'livrer', 'portefeuille', 'commentaire', 'bonus_livrer'
    ];

    static function createPortefeuille($client, $montant)
    {
        $cleint_data = ClientMib::where('id', $client)->first();
        if (isset($cleint_data)) {
            $montant = $montant + $cleint_data['portefeuille'];
            DB::table('client_mibs')->where('id', $client)->update(['portefeuille' => $montant]);
        }
        return true;
    }
    public function  cotisations()
    {
        return $this->hasMany('App\CotisationMib');
    }

    
    public function  categorieMib()
    {
        return $this->belongsTo('App\CategoriesMib', 'categories_mib_id', 'id');
    }
    public function  parrain()
    {
        return $this->belongsTo('App\User', 'parain_id', 'id');
    }
    public function  user()
    {
        return $this->belongsTo('App\User');
    }
    public function  lotMib()
    {
        return $this->belongsTo('App\LotMib', 'lot', 'slug');
    }
    public function  boutique()
    {
        return $this->belongsTo('App\Boutique');
    }
}
