<?php

namespace App;

use App\helpers\helper;
use App\Http\Controllers\HelperController;
use App\Http\Controllers\MailController;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Str;

class Commandes extends Model
{
  
   protected $fillable=['reference_global','admin_percentage','admin_gain','is_global','global_code_promo','montant_global_code_promo','slug','reference','first_name','last_name','sex','country','customer_phone','customer_adress','email','shipping_service','shipping_phone','shipping_adress','statut_paiement','statut_shipping','total_price','boutique_slug','have_account','user_slug','shipping','date_shipping','paiement_type','check','corbeil','currency','transaction_id','means','code_promo','montant_payer','code_promo_reduction','total_wr'];

    public function storeCommandes($reference,$slug,$means){
       DB::table('commandes')->where('slug',$slug)->update(['transaction_id'=>$reference,'means'=>$means]);
    }

    public function removeCommandeAfterPaiementMake($slug){
       DB::table('commandes')->where('slug',$slug)->update(['transaction_id'=>null,'means'=>null]);
    }

    public function checkCommande($transaction_id,$commande_slug,$means){
        Switch($means) {
            case 'KKIAPAY':
                $public_key = env('KKIAPAY_PUBLIC');
                $secret = env('KKIAPAY_SECRET');
                $private_key = env('KKIAPAY_PRIVATE');
                $kkiapay = new \Kkiapay\Kkiapay($public_key,
                    $private_key,
                    $secret);
                $verify = $kkiapay->verifyTransaction($transaction_id);
                // dd($boutique_abonnement);
                $status = $verify->status;
                $response=true;
                $cmd = DB::table('commandes')->where('slug',$commande_slug)->first();
               if(isset($cmd) && $cmd!=null) {
                   $reference = $transaction_id;
                   if ($status == 'SUCCESS') {
                       $this->removeCommandeAfterPaiementMake($commande_slug);
                       $cmd->paiement_type = 'paid_now';
                       $cmd->source = $verify->source;
                       $cmd->source_name = $verify->source_common_name;
                       $cmdt = CommandArticle::where('command_slug', $cmd->slug)->get();
                       foreach ($cmdt as $commandearticle) {
                           $article = CatalogueArticles::where('slug', $commandearticle->article_slug)->first();
                           if ($article['boutique_slug'] == Session::get('boutique')['slug']) {
                               $modart = CatalogueArticles::findOrFail($article['id']);
                               $modart->quantity = (intval($modart->quantity) - intval($commandearticle->quantity));
                               $modart->save();
                           } else {
                               $helpers = new HelperController();
                               $stock = $helpers->get_meta_article('stock', $commandearticle->article_slug, Session::get('boutique')['slug']);
                               $stock = (intval($stock) - intval($commandearticle->quantity));
                               $helpers->update_meta_article('stock', $commandearticle->article_slug, $stock, Session::get('boutique')['slug']);
                           }
                       }
                       // Ajouter le montant à l'actif du détenteur de la boutique
                       $fportefeuille = Portefeuille::where('user_slug', Session::get('boutique')['user_slug'])->where('devise', Session::get('boutique')['meta']['currency_admin'])->first()['id'];
                       if (isset($fportefeuille) && $fportefeuille != null && $fportefeuille != "") {
                           $portefeuille = Portefeuille::findOrFail($fportefeuille);
                           $portefeuille->montant = $portefeuille->montant + $cmd->total_price;
                           $total_new_montant = $portefeuille->montant;
                           $time = false;
                           $portefeuille->save();
                       } else {
                           Portefeuille::create(['user_slug' => Session::get('boutique')['user_slug'], 'montant' => $cmd->total_price]);
                           $time = true;
                       }
                       $boutique = Boutique::with('user')->where('slug', Session::get('boutique')['slug'])->first();
                       $subject = 'Portefeuille incrementé sur la boutique ' . $boutique->nom_boutique;
                       $messages = ['first_name' => $boutique->user->first_name, 'last_name' => $boutique->user->last_name, 'montant' => $cmd->total_price, 'time' => $time, 'boutique' => $boutique->nom_boutique, 'devise' => Session::get('boutique')['meta']['currency_admin']];
                       MailController::SendPortefeuilleMail($subject, $messages, $boutique->user->email);

                       //BEGIN SEND MAIL TO SHIPPING AGENCE
                       $articlesCommand = CommandArticle::with('article_')->where('command_slug', $cmd->slug)->get();
                       $services = ServiceShipping::where('slug', $cmd->shipping_service)->first();
                       $shippingInfos = DB::table('marchand_shipping_informations')->where('boutique_slug', Session::get('boutique')['slug'])->first();
                       $boutiqueRelate = Boutique::with('meta', 'user', 'metier')->where('slug', Session::get('boutique')['slug'])->first();
                       $template = 'Mail.livraison_make';
                       $subject = "Commande enrégistré sur sunmarket";
                       $email = $services->email;
                       $from = env('MAIL_USERNAME');
                       $messages = ['commande' => $cmd, 'articles' => $articlesCommand, 'agence' => $services->name, 'name' => $boutique->nom_boutique, 'depart' => $shippingInfos->depart, 'description' => $shippingInfos->Description, 'adresse' => $shippingInfos->adresse, 'tel' => $boutiqueRelate->meta->telephone_boutique, 'first_name' => $boutiqueRelate->user->first_name, 'last_name' => $boutiqueRelate->user->last_name, 'metier' => $boutiqueRelate->metier->intitule_metier];
                       $mail = new MailController();
                       //send to agence
                       $mail->SendGeneralUniqueMail($template, $subject, $messages, $email, $from);
                       //end send mail to shipping agence

                   } else {
                       $reference = 'echec paiement';
                       $response = false;
                   }
                   $cmd->reference = $reference;
                   $cmd->statut_paiement = true;
                    DB::table('commandes')->where('slug',$commande_slug)->update((array)$cmd);
               }else{
                   $response = false;
               }
                return $response;
                break;
            case 'PAYDUNYA':
                {
                    $payDunya= new helper();
                    return $payDunya->paydunyaCHeckPaiementAfterCommandes($commande_slug,$transaction_id);
                }
                break;
        }
    }



    public function commande_article(){
       return $this->hasMany('App\CommandArticle','command_slug','slug');
   }

   public function boutique(){
       return $this->belongsTo('App\Boutique','boutique_slug','slug');
   }

   public function service_shipping(){
       return $this->belongsTo('App\ServiceShipping','shipping_service','slug');
}

}
