<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Str;
use Illuminate\Support\Facades\Session;

class CotisationMib extends Model
{
    protected $fillable=['slug','client_mib_id','numero_mois','mois','status','montant','reference_paiement','paid_at','validate_by'];

    static function StaticCreate($client_mib_id,$montant){
        $mois=['Janvier','Fevrier','Mars','Avril','Mai','Juin','Juillet','Août','Septembre','Octobre','Novembre','Décembre'];
        $i=1;
        foreach ($mois as $mont ){
            $data=['slug'=>Str::slug('cotisation-'.time().'-'.str_random(6).'-'.$i),
                'client_mib_id'=>$client_mib_id,
                'numero_mois'=>$i,
                'mois'=>$mont,
                'status'=>false,
                'montant'=>$montant];
            $i++;
            CotisationMib::create($data);
        }
        return true;
    }
    public function  user(){
        return $this->belongsTo('App\User','validate_by','slug');
    }
    public function  client(){
        return $this->belongsTo('App\ClientMib','client_mib_id','id');
    }

public function nombreImpayer($client_id,$boutique_id){
    $year=Session::get('mib_year');
    $params=new \App\ParametrageMib();
    $jour_fin=$params->getParametersByKeys('jour_fin',$boutique_id, $year);
    $impayer=CotisationMib::where('client_mib_id',$client_id)->where('status',false)->where('numero_mois','<',date('m'))->count();
    $checkThisMounthImpaye=CotisationMib::where('client_mib_id',$client_id)->where('status',false)->where('numero_mois','=',date('m'))->count();
    if(isset($checkThisMounthImpaye) && $jour_fin<date('d')) $impayer=$checkThisMounthImpaye+$impayer;
    return $impayer;
}
public function nombrePayer($client_id){
     $payer=CotisationMib::where('client_mib_id',$client_id)->where('status',true)->count();
    return $payer;
}

public function sumPayer($client_id){
     $payer=CotisationMib::where('client_mib_id',$client_id)->where('status',true)->sum('montant');
    return $payer;
}


public function nombreRestePayer($client_id){
    $resteApayer=CotisationMib::where('client_mib_id',$client_id)->where('status',false)->count();
    return $resteApayer;
}

public function clientMib()
{
    return $this->belongsTo(ClientMib::class);
}

}
