<?php

namespace App\Http\Controllers\AdminMarketOptions;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Recettes;
use App\User;
use App\helpers\helper;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\DB;

class RecetteController extends Controller
{
    public function store(Request $request)
    {
        $data= $request->all();
        //dd($request->all());
        $rules = array(
            'type' => 'required|in:video,text',
            'name' => 'required|string',
            'resume' => 'required|string',
            'minutes' => 'nullable|string',
            'plats' => 'nullable|string'
        );
        $validator = \Illuminate\Support\Facades\Validator::make($data, $rules);
        if ($validator->fails()) {
            return back()->withErrors($validator)->withInput();
        }

        if(isset($request->image)){
            $helper= new helper();
            $image = $helper->saveFile($request->image,'recettes');
            if($image) $data['image'] = $image;
        }

        if(isset($data["slug"])){
            $recettes_data = Recettes::where("name",$data['name'])->where("slug",'<>',$data['slug'])->first();
            if ($recettes_data==null) {
                unset($data['_token']);
                unset($data['action']);
                $promo = DB::table("recettes")->where("slug",$data["slug"])->update($data);
                if($promo){
                    Session::flash('success', 'La recette a été mis à jour avec succès !');
                }else{
                    Session::flash('error', 'une erreure est survenue au cours du processus !');
                }
            }
        }else{
            $recettes_data = Recettes::where("name",$data['name'])->first();
            if ($recettes_data==null) {
                   $data['slug']=strtolower("recette-".str_random(5));
                    $promo = Recettes::create($data);
                if($promo){
                    Session::flash('success', 'La recette a été créé !');
                }else{
                    Session::flash('error', 'une erreure est survenue au cours du processus !');
                }
            }else{
                Session::flash('error', 'La recette existe déjà. veuillez en créer un autre !');
            }
        }
        return back();
    }



    public function index()
    { 
           $recettes =  Recettes::orderBy("id",'DESC')->get();
           return view('dashboard.Recette.index', compact("recettes"));   
    } 
    
    public function get(Request $request)
    {
        try {
           $promos =  Recettes::whereSlug($request->slug)->first();
            return ['data'=>$promos,'message'=>"Recette recupérer avec succès !"];
        } catch (\Exception $e) {
            return ['data'=>[],'message'=>"Une erreure est survenue qu cours du processus ".$e->getMessage()];
        }
        
    } 
    
    public function visibility($slug)
    {
        try {

            $ac = Recettes::whereSlug($slug)->first();
            if ($ac) {
                $text = $ac->active? 0 : 1;
                $ac->active = $text;
                $ac->save();
                Session::flash('success', 'Le statut de la recette a été mis à jour');
            } else {
                Session::flash('error', 'Un  problème est survenue au cours du processus de modification du statut du code promo ');
            }

        } catch (\Exception $e) {
            Session::flash('error', 'Un  problème est survenue au cours de l\'exécution du processus ' . $e);
        }
        return back();

    }

    public function delete($slug)
    {
        try {
            Recettes::whereSlug($slug)->delete();
            Session::flash('success', 'La recette a été supprimé avec succès');
        } catch (\Exception $e) {
            Session::flash('error', 'Un  problème est survenue au cours de l\'exécution du processus ' . $e);
        }
        return back();

    }
}
