<?php

namespace App\Http\Controllers;

use App\Images;
use App\Metier;
use App\Retrait;
use App\Boutique;
use App\Enseigne;
use App\Marketer;
use App\ClientMib;
use App\CodePromo;
use App\Commandes;
use App\Publicite;
use App\mibPricing;
use App\Partenaire;
use App\PointVente;
use App\ArticleMeta;
use App\Newsletters;
use App\ArticleModel;
use App\BoutiqueMeta;
use App\MarketerShop;
use App\Portefeuille;
use App\ProductImage;
use App\ShopShipping;
use App\CategoriesMib;
use App\CotisationMib;
use App\panierMibYear;
use App\SelectArticle;
use App\ArticleCoffret;
use App\check_products;
use App\CommandArticle;
use App\DemandeBrunchs;
use App\EtatAbonnement;
use App\helpers\helper;
use App\check_boutiques;
use App\ServiceShipping;
use App\MessageBoutiques;
use App\wishlist_article;
use App\AbonnementPaiment;
use App\CatalogueArticles;
use App\CodePromoBoutique;
use App\NewslettersGlobal;
use App\wishlist_boutique;
use App\BoutiqueAbonnement;
use App\CategorieCatalogue;
use Illuminate\Support\Str;
use Illuminate\Http\Request;
use App\Plesk\CreateDatabase;
use Illuminate\Support\Carbon;
use App\mibBoutiqueSouscription;
use App\CategorieCaracteristique;
use App\Services\BoutiqueService;
use Cartalyst\Support\Collection;
use Illuminate\Support\Facades\DB;
use App\Demande_supression_boutique;
use App\DemandeActivationAbonnement;
use App\DemandeInternationalization;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Date;
use Illuminate\Support\Facades\View;
use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\Cookie;
use Illuminate\Support\Facades\Session;
use SimpleSoftwareIO\QrCode\Facades\QrCode;
use WebLAgence\LaravelFacebookPixel\LaravelFacebookPixelFacade;

class BoutiqueController extends Controller
{
    protected $helpers;

    public function __construct(helper $helper)
    {
        $this->helpers = $helper;
        if (Auth::check()) {
            if (Auth::user()->country == null && Auth::user()->continent == null) {
                if (!Session::has('country')) {
                    $ip = $this->getVisIpAddr();
                    try {
                        $json = file_get_contents('https://freegeoip.app/json/' . $ip);
                        $data = json_decode($json, true);
                        $country = $data['country_name'];
                        $city = $data['city'];
                        $continent = explode('/', $data['time_zone'])[0];
                        $currency = '';
                        Session::put(['country' => $country, 'city' => $city, 'continent' => $continent, 'currency' => $currency]);
                    } catch (\Exception $e) {
                        if (Auth::check()) {
                            $user = Auth::user();
                            if (isset($user)) {
                                Session::put(['country' => $user->country, 'region' => $user->region, 'city' => $user->city, 'continent' => $user->continent]);
                            }
                        }
                    }
                }
            } else {
                $user = Auth::user();
                if (isset($user)) {
                    Session::put(['country' => $user->country, 'region' => $user->region, 'city' => $user->city, 'continent' => $user->continent]);
                }
            }
        } else {
            if (!Session::has('country')) {
                $ip = $this->getVisIpAddr();
                try {
                    $json = file_get_contents('https://freegeoip.app/json/' . $ip);
                    $data = json_decode($json, true);
                    $country = $data['country_name'];
                    $city = $data['city'];
                    $continent = explode('/', $data['time_zone'])[0];
                    $currency = '';
                    Session::put(['country' => $country, 'city' => $city, 'continent' => $continent, 'currency' => $currency]);
                } catch (\Exception $e) {
                }
            }
        }
    }

    public function check_code_promo(Request $request)
    {
        try {
            $data = $request->all();
            $codePromos = DB::table('code_promo_boutiques')->where('code', $data['code'])->where('boutique_slug', $data['boutique'])->first();
            $checkCommande =  Commandes::where('code_promo', $codePromos->code)->get();
            if ($codePromos->max_user != null) {
                if ($codePromos->max_user < count($checkCommande)) {
                    return ['error' => true, 'message' => 'Ce code promo à été déjà utiliser trop de fois.'];
                }
            }
            if ($codePromos->validate_date != null) {
                $date = \Illuminate\Support\Carbon::create($codePromos->validate_date)->format('M d Y H:i:s');
                $date = strtotime($date);
                $today = strtotime(Carbon::now());
                if ($date < $today) {
                    return ['error' => true, 'message' => 'La date limite d\'utilisation de ce code promo est dépassée.'];
                }
            }
            if ($codePromos->min_amount != null) {
                if ($codePromos->min_amount < $data['total_price']) {
                    return ['error' => true, 'message' => 'Le montant total d\'achat requis pour bénéficier de la reduction de se code promo n\'est pas atteint.'];
                }
            }
            Session::put('promo', json_encode($codePromos));
            $new_price = $data['total_price'] - (($data['total_price'] * $codePromos->reduction) / 100);
            return ['error' => false, 'reduction' => $codePromos->reduction, 'message' => 'Code de reduction valide ! ' . $codePromos->reduction . ' % de réduction serons appliquées à votre commande.', 'price' => $new_price];
        } catch (\Exception $e) {
            return ['error' => true, 'message' => $e->getMessage()];
        }
    }


    public function code_promo()
    {
        $codePromos = DB::table('code_promo_boutiques')->orderBy('id', 'DESC')->get();
        return view("dashboard.Boutique.code_promo.index", compact("codePromos"));
    }

    public function create_code_promo(Request $request)
    {
        try {
            $data = $request->all();
            $boutique = Session::get('boutique');
            $data['boutique_slug'] = $boutique['slug'];
            $search = CodePromoBoutique::where('code', $data['code'])->where('boutique_slug', $data['boutique_slug'])->first();
            if ($search != null) {
                return back()->with('error', 'Ce code existe déjà.');
            } else {
                $code = CodePromoBoutique::create($data);
                if (isset($code)) {
                    return back()->with('success', 'Code Promo créer avec succès.');
                } else {
                    return back()->with('error', 'Une erreur est survenue lors de l\'opération.');
                }
            }
        } catch (\Exception $e) {
            return back()->with('error', $e->getMessage());
        }
    }

    public function update_code_promo(Request $request)
    {
        try {
            $data = $request->all();
            $boutique = Session::get('boutique');
            $id = $data['code_promo_id'];
            unset($data['_token']);
            unset($data['code_promo_id']);
            $data['boutique_slug'] = $boutique['slug'];
            $getPromo = DB::table('code_promo_boutiques')->where('code', $data['code'])->where('boutique_slug', $data['boutique_slug'])->first();
            $search = DB::table('code_promo_boutiques')->where('code', $data['code'])->where('boutique_slug', $data['boutique_slug'])->where('id', '<>', $getPromo->id)->first();
            if ($search != null) {
                return back()->with('error', 'Ce code existe déjà.');
            } else {
                $code = DB::table('code_promo_boutiques')
                    ->where('id', $id)
                    ->where('boutique_slug', $data['boutique_slug'])
                    ->update($data);
                if ($code != null) {
                    return back()->with('success', 'Code Promo à été modifier avec succès.');
                } else {
                    return back()->with('error', 'Une erreur est survenue lors de l\'opération.');
                }
            }
        } catch (\Exception $e) {
            return back()->with('error', $e->getMessage());
        }
    }
    public function delete_code_promo($slug)
    {
        try {
            DB::table('code_promo_boutiques')->where('id', $slug)->delete();
            return back()->with('success', 'Code Promo supprimer avec succès.');
        } catch (\Exception $e) {
            return back()->with('error', $e->getMessage());
        }
    }

    public function get_code_promo($slug)
    {
        try {
            $codes = DB::table('code_promo_boutiques')->where('id', $slug)->first();
            return ['error' => false, 'data' => $codes];
        } catch (\Exception $e) {
            return ['error' => false, 'messages' => $e->getMessage()];
        }
    }


    public function downloadFromBase64($boutique_name)
    {
        $base64 = base64_encode(QrCode::style('dot')->color(0, 0, 0, 100)->eye('circle')->format('png')->generate(route('boutique.index', $boutique_name)));
        $path       = public_path($boutique_name);
        $contents   = base64_decode($base64);
        //store file temporarily
        file_put_contents($path, $contents);
        //download file and delete it
        return response()->download($path)->deleteFileAfterSend(true);
    }

    public function clientMibIndexYear($boutique, Request $request)
    {
        $data = $request->all();
        if (isset($data) && isset($data['prn-mib'])) {
            Session::put('prn-mib', str_replace('prn-mib', 'user', $data['prn-mib']));
        }
        $boutique = Boutique::with('meta', 'paiement_echelonner', 'mibSubscribe')->where('nom_boutique', $boutique)->first();
        Session::put('boutique', $boutique);
        $this->viewSahring();
        $years = panierMibYear::where('boutique_id', $boutique['id'])->get();
        $categoriesListe = DB::table('selected_categories')->where('boutique_slug', $boutique['slug'])->where('corbeil', false)->pluck('categorie_slug')->toArray();
        $categories = CategorieCatalogue::whereIn('slug', $categoriesListe)->where('corbeil', false)->get();
        return view('dashboard.Boutique.Boutique_template.pages.grocery.index_mib', compact('boutique', 'years', 'categories'));
    }

    public function clientMibListPerYear($boutique, $year)
    {
        $boutique = Boutique::with('meta', 'paiement_echelonner', 'mibSubscribe')->where('nom_boutique', $boutique)->first();
        Session::put('boutique', $boutique);
        Session::put('mib_year', $year);
        $params = new \App\ParametrageMib();
        $devise = $params->getParametersByKeys('devise', $boutique->id, $year);
        $this->viewSahring();
        $clients = null;
        if (Auth::check()) {
            $clients = ClientMib::with('categorieMib')->where('user_id', Auth::id())->where('boutique_id', $boutique['id'])->where('an', $year)->orderBy('id', 'DESC')->get();
            foreach ($clients as $client) {
                $sumPayer = CotisationMib::where('client_mib_id', $client->id)->where('status', true)->sum('montant');
                $payer = CotisationMib::where('client_mib_id', $client->id)->where('status', true)->count();
                $resteApayer = CotisationMib::where('client_mib_id', $client->id)->where('status', false)->count();
                $impayer = CotisationMib::where('client_mib_id', $client->id)->where('status', false)->where('numero_mois', '<', date('m'))->count();
                $checkThisMounthImpaye = CotisationMib::where('client_mib_id', $client->id)->where('status', false)->where('numero_mois', '=', date('m'))->count();
                $client->sumPayer = $sumPayer;
                $client->resteApayer = $resteApayer;
                $client->impayer = $impayer;
                $client->payer = $payer;
                $client->checkThisMounthImpaye = $checkThisMounthImpaye;
            }
        }
        $categoriesListe = DB::table('selected_categories')->where('boutique_slug', $boutique['slug'])->where('corbeil', false)->pluck('categorie_slug')->toArray();
        $categories = CategorieCatalogue::whereIn('slug', $categoriesListe)->where('corbeil', false)->get();
        return view('dashboard.Boutique.Boutique_template.pages.grocery.compte_mib', compact('devise', 'boutique', 'categories', 'clients', 'year'));
    }

    public function clientMibIndex($boutique, $year, $client_slug, Request $request)
    {
        $data = $request->all();
        if (isset($data) && isset($data['prn-mib'])) {
            Session::put('prn-mib', str_replace('prn-mib', 'user', $data['prn-mib']));
        }
        $boutique = Boutique::with('meta', 'paiement_echelonner', 'mibSubscribe')->where('nom_boutique', $boutique)->first();
        Session::put('boutique', $boutique);
        Session::put('mib_year', $year);
        $this->viewSahring();
        $params = new \App\ParametrageMib();
        $jour_fin = $params->getParametersByKeys('jour_fin', $boutique['id'], $year);
        $impayer = 0;
        $payer = 0;
        $sumPayer = 0;
        $resteApayer = 0;
        $demandeBrunchs = null;
        $client = null;
        if (Auth::check()) {
            $client = ClientMib::with('cotisations', 'categorieMib', 'lotMib', 'parrain', 'user')->where('slug', $client_slug)->first();
            if (isset($client) && $client != null) {
                $sumPayer = CotisationMib::where('client_mib_id', $client['id'])->where('status', true)->sum('montant');
                $payer = CotisationMib::where('client_mib_id', $client['id'])->where('status', true)->count();
                $resteApayer = CotisationMib::where('client_mib_id', $client['id'])->where('status', false)->count();
                $impayer = CotisationMib::where('client_mib_id', $client['id'])->where('status', false)->where('numero_mois', '<', date('m'))->count();
                $checkThisMounthImpaye = CotisationMib::where('client_mib_id', $client['id'])->where('status', false)->where('numero_mois', '=', date('m'))->count();
                if (isset($checkThisMounthImpaye) && $jour_fin < date('d')) $impayer = $checkThisMounthImpaye + $impayer;
                $demandeBrunchs = DemandeBrunchs::where('client_mib_slug', $client['slug'])->get();
            }
        }
        $categoriesMib = CategoriesMib::where('boutique_id', $boutique['id'])->where('an', $year)->get();
        $categoriesListe = DB::table('selected_categories')->where('boutique_slug', $boutique['slug'])->where('corbeil', false)->pluck('categorie_slug')->toArray();
        $categories = CategorieCatalogue::whereIn('slug', $categoriesListe)->where('corbeil', false)->get();
        $CountClientMib = ClientMib::where('boutique_id', $boutique['id'])->where('an', $year)->count();
        $abonnementBoutique = mibBoutiqueSouscription::where('id_boutique', $boutique['id'])->orderBy('id', 'DESC')->first();
        return view('dashboard.Boutique.Boutique_template.pages.grocery.mib', compact('abonnementBoutique', 'CountClientMib', 'categories', 'categoriesMib', 'boutique', 'client', 'impayer', 'payer', 'resteApayer', 'sumPayer', 'demandeBrunchs', 'year'));
    }
    public function createClientMibIndex($boutique, $year)
    {
        $boutique = Boutique::with('meta', 'paiement_echelonner', 'mibSubscribe')->where('nom_boutique', $boutique)->first();
        Session::put('boutique', $boutique);
        Session::put('mib_year', $year);
        $this->viewSahring();
        $params = new \App\ParametrageMib();
        $jour_fin = $params->getParametersByKeys('jour_fin', $boutique['id'], $year);
        $categoriesMib = CategoriesMib::where('boutique_id', $boutique['id'])->where('an', $year)->get();
        $categoriesListe = DB::table('selected_categories')->where('boutique_slug', $boutique['slug'])->where('corbeil', false)->pluck('categorie_slug')->toArray();
        $categories = CategorieCatalogue::whereIn('slug', $categoriesListe)->where('corbeil', false)->get();
        $CountClientMib = ClientMib::where('boutique_id', $boutique['id'])->where('an', date('Y'))->count();
        $abonnementBoutique = mibBoutiqueSouscription::where('id_boutique', $boutique['id'])->orderBy('id', 'DESC')->first();
        return view('dashboard.Boutique.Boutique_template.pages.grocery.create_mib', compact('abonnementBoutique', 'CountClientMib', 'categories', 'categoriesMib', 'boutique', 'year'));
    }

    public function countries()
    {
        try {
            $countries = DB::table('countries')->get();
            return json_encode($countries);
        } catch (\Exception $e) {
            return json_encode($e);
        }
    }

    public function checkBoutiqueIsInternational($boutique_slug)
    {
        $boutique_abonnement = $boutique_slug;
        $shop = Boutique::with('meta')->where('slug', $boutique_abonnement)->first();
        if ($shop != null && $shop->meta->internationalize && $shop->meta->pay_internationalize) {
            $amount = 2500;
        } else {
            $amount = 0;
        }
        return $amount;
    }

    public function userSetCountry(Request $request)
    {
        try {
            $data = $request->all();
            $country = DB::table('countries')->where('id', $data['country'])->first();
            Session::put('country', $country->name);
            return 1;
        } catch (\Exception $e) {
            return 0;
        }
    }

    public function getRegionsPays($pays_id)
    {
        $regions = DB::table('states')->where('country_id', $pays_id)->get();
        return view("dashboard.Boutique.partials.regions", compact("regions"))->render();
    }

    public function getVillesRegion($region_id)
    {
        $villes = DB::table('cities')->where('state_id', $region_id)->get();
        return view("dashboard.Boutique.partials.villes", compact("villes"))->render();
    }

    function getVisIpAddr()
    {

        if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
            return $_SERVER['HTTP_CLIENT_IP'];
        } else if (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
            return $_SERVER['HTTP_X_FORWARDED_FOR'];
        } else {
            return $_SERVER['REMOTE_ADDR'];
        }
    }

    public function userLocation(Request $request)
    {
        try {
            $data = $request->all();
            $localData = [];
            if ($data['country'] != "undefined") {
                $country = $data['country'];
                $country = DB::table('countries')->where('name', $country)->first();
                $continent = DB::table('continents')->where('Two_Letter_Country_Code', $country->iso2)->first();
                $data['country'] = $country->name;
                $data['continent'] = $continent->Continent_Name;
                $localData['continent'] = $data['continent'];

                if ($data['continent'] == 'Africa') {
                    $currency = 'XOF';
                } elseif ($data['continent'] == 'Europe') {
                    $currency = 'EUR';
                } else {
                    $currency = 'USD';
                }
                $country = $data['country'];
                $localData['country'] = $country;
                $region = '';
                if (isset($data['region'])) {
                    $region = $data['region'];
                    $localData['region'] = $region;
                }
                $city = '';
                if (isset($data['city'])) {
                    $city = $data['city'];
                    $localData['city'] = $city;
                }
                $continent = $data['continent'];
                Session::put(['country' => $country, 'city' => $city, 'region' => $region, 'continent' => $continent, 'currency' => $currency]);
                if (Auth::check()) {
                    DB::table('users')->where('id', Auth::id())->update($localData);
                }
                return json_encode(['country' => $country, 'city' => $city, 'region' => $region, 'continent' => $continent, 'currency' => $currency]);
            }
        } catch (\Exception $e) {
            return json_encode($e->getMessage());
        }
    }

    public function userConnected()
    {
        $ip = $this->getVisIpAddr();
        return $ip;
    }

    public function documentation()
    {
        return \view('dashboard.docs');
    }

    public function metaEvent(Request $request)
    {
        $data = $request->all();
        $boutique = Session::get('boutique');
        unset($data['_token']);
        $data[$data['input']] = $data['inputVal'];
        unset($data['input']);
        unset($data['inputVal']);
        try {
            DB::table('boutique_metas')->where('boutique_id', $boutique['id'])->update($data);
        } catch (\Exception $e) {
            return json_encode(['error' => true, 'message' => $e->getMessage()]);
        }
    }

    public function boutiqueEvent(Request $request)
    {
        $data = $request->all();
        $boutique = Session::get('boutique');
        unset($data['_token']);
        $data[$data['input']] = $data['inputVal'];
        unset($data['input']);
        unset($data['inputVal']);
        try {
            DB::table('boutiques')->where('id', $boutique['id'])->update($data);
        } catch (\Exception $e) {
            return json_encode(['error' => true, 'message' => $e->getMessage()]);
        }
    }

    public function general_list_boutique()
    {
        $boutiques = Boutique::with(['user', 'abonnements' => function ($q) {
            $q->orderBy('id', 'DESC');
        }], 'abonnements.etat_abonnement')->orderBy('id', 'DESC')->get();
        $abonnements = EtatAbonnement::where('corbeil', false)->get();
        return \view('dashboard.Boutique.general_list_boutique', compact('boutiques', 'abonnements'));
    }

    public function testPaydunya()
    {
        $itemArray = [['name' => 'revisualisation', 'quantity' => 2, 'unitaire' => 4000, 'total' => 8000], ['name' => 'abonnement', 'quantity' => 2, 'unitaire' => 2000, 'total' => 4000]];
        $amount = 4000;
        $description = "Abonnement de votre boutique";
        $redirect_url = url('test/paydunya/redirect');
        $val = $this->helpers->paydunyaPaiement($itemArray, $amount, $description, $redirect_url);
        return $val;
    }


    public function paydunyaredirect(Request $request)
    {
        //dd($request->all());
        $data = $request->all();
        $invoice = new \Paydunya\Checkout\CheckoutInvoice();
        if ($invoice->confirm($data['token'])) {
            if ($invoice->getStatus() == "completed") {
                //                dd($invoice->getReceiptUrl());
                if ($invoice->getTotalAmount()) {
                }
            }
        }
    }

    public function viewSahring()
    {

        $boutique = Session::get('boutique');
        $allMetas = BoutiqueMeta::all();
        // dd($allMetas);
        $metas = null;
        foreach ($allMetas as $meta) {
            if ($boutique['id'] == $meta->boutique_id) {
                $metas = $meta;
            }
        }
        if ($metas != null) {
            $boutique = Boutique::with('meta', 'partenaires', 'publicites')->where('id', $metas->boutique_id)->where('corbeil', false)->first();
            Session::put('boutique', $boutique);
        }
        if ($boutique != null) {
            $metas = $boutique->meta;
            $metas->mot_d_ordres = json_decode($metas->mot_d_ordres);
            $partenaires = $boutique->partenaires;
        }
        if ($metas == null) {
            $metas = BoutiqueMeta::all()->where('boutique_id', 0)->first();
        }
        $added = Session::get('addedArticles');
        $prixTotal = 0;
        $total = 0;
        $cartArticle = 0;
        $helper = new HelperController();
        if ($added != null) {
            foreach ($added as $slug => $value) {
                $article = CatalogueArticles::all()->where('slug', $slug)->first();
                $cartArticle++;
                $prix = $helper->get_article_price_by_boutique($slug, $article['slug']);
                $prixTotal += (float)$prix * (float)$value;
            }
            $total = $cartArticle;
        }
        $nbFav = 0;
        if (Session::has('user')) {
            $whislist = Cookie::get('wishlist_article');
            if (isset($whislist) && $whislist != null) {
                $whislist = json_decode($whislist, true);
                for ($i = 0; $i < count($whislist); $i++) {
                    $check = wishlist_article::where('boutique_slug', $whislist[$i]['boutique'])->where('user_slug', Session::get('user')['slug'])->count();
                    if ($check <= 0) {
                        $data['boutique_slug'] = $whislist[$i]['boutique'];
                        $data['catalogue_article_slug'] = $whislist[$i]['article_slug'];
                        $data['user_slug'] = Session::get('user')['slug'];
                        wishlist_article::create($data);
                    }
                }
                Cookie::unqueue('wishlist_article');
            }
            $wh = wishlist_article::where('boutique_slug', $boutique['slug'])->where('user_slug', Session::get('user')['slug'])->count();
            if (isset($wh)) {
                $nbFav = $wh;
            }
        } else {
            $whislist = Cookie::get('wishlist_article');
            if (isset($whislist) && $whislist != null) {
                $whislist = json_decode($whislist, true);
                for ($i = 0; $i < count($whislist); $i++) {
                    if ($whislist[$i]['boutique'] == $boutique['slug']) {
                        $nbFav++;
                    }
                }
            }
        }

        $logo_boutique = '';
        if (isset($metas) && isset($metas->logo_boutique)) $logo_boutique = $metas->logo_boutique;
        $pays = DB::table('countries')->get();
        View::share(['metas' => $metas, 'boutique' => $boutique, 'prixTotal' => $prixTotal, 'articlesPanier' => $total, 'wishlist' => $nbFav, 'pays' => $pays, 'logo_boutique' => $logo_boutique]);
    }

    public function all_abonne_by_boutique()
    {

        $boutique_slug = Session::get('boutique')['slug'];
        $abonnes = Newsletters::where('boutique_slug', $boutique_slug)->orderBy('id', 'DESC')->get();

        return view('dashboard.Boutique.abonne_new_boutique', compact('abonnes'));
    }

    public function newsletters(Request $request)
    {
        $data = $request->all();

        $news_global = NewslettersGlobal::where('email', $data['email'])->count();
        if ($news_global <= 0) {
            $data['abonne'] = true;
            NewslettersGlobal::create($data);
        }
        if (isset($data['boutique_slug'])) {
            $nbnews = Newsletters::where('email', $data['email'])->where('boutique_slug', $data['boutique_slug'])->count();
            if ($nbnews > 0) {
                $message = 'Vous êtes déjà abonné à cette boutique';
                $statut = false;
            } else {
                $data['slug'] = Str::slug('newsletter' . time());
                $data['abonne'] = true;
                $id = Newsletters::create($data)->id;
                $boutique = Boutique::where('slug', $data['boutique_slug'])->first();
                $metas = BoutiqueMeta::all()->where('boutique_id', $boutique['id'])->first();
                $logo = $metas->logo_boutique;
                $mail = $metas->email_boutique;
                $telephone = $metas->telephone_boutique;
                $subject = 'Abonnement à la newsletters de ' . $boutique['nom_boutique'];
                $messages = ['nom_boutique' => $boutique['nom_boutique'], 'logo' => $logo, 'email' => $mail, 'telephone' => $telephone];

                MailController::SendGeneralUniqueMail('Mail.newsleters_subscribe', $subject, $messages, $data['email'], env('MAIL_FROM_ADDRESS'));
                if (isset($id)) {
                    $message = 'Vous êtes à present abonné   à la newsletter de cette boutique.';
                    $statut = true;
                } else {
                    $message = 'Une erreur s\'est produite au cours de l\'abonnement.';
                    $statut = false;
                }
            }
        } else {
            if ($news_global > 0) {
                $message = 'Vous êtes déjà abonné à cette boutique';
                $statut = false;
            } else {
                $subject = 'Abonnement à la newsletters de SUNGROCERY';
                $messages = ['msg' => 'Vous êtes à présent abonné à la newsletter de SUNGROCERY. Vous recevrez désormais les publicité et notification sur les boutiques et les services disponibles.'];
                MailController::SendGeneralUniqueMail('Mail.newsleters_subscribe_sungrocery', $subject, $messages, env('MAIL_CONTACT'), env('MAIL_USERNAME'));
                $message = 'Vous êtes à present abonné   à la newsletter de SUNGROCERY';
                $statut = true;
            }
        }
        $response = ['status' => $statut, 'message' => $message];
        return json_encode($response);
    }


    public function cart_delete()
    {
        Session::put(['panier' => 0, 'prix' => 0]);
        Session::put('addedArticles', []);
        Session::put('commandes', []);
        Session::flash('success', 'Le panier à été vider');
        return back();
    }

    public function contactmake(Request $request)
    {
        $data = $request->all();
        $rules = array(
            'name' => 'required|string|max:255',
            'tel' => 'required|string|max:255',
            'email' => 'required|string|max:255',
            'message' => 'required',
        );
        $validator = \Illuminate\Support\Facades\Validator::make($request->all(), $rules);
        if ($validator->fails()) {
            return back()->withErrors($validator)->withInput();
        }
        $data['slug'] = Str::slug('message' . time());
        if (isset($data['admin_contact'])) {
            $data['boutique_slug'] = 'all';
        } else {
            $data['boutique_slug'] = Session::get('boutique')['slug'];
        }
        $message = MessageBoutiques::create($data)->id;
        if (isset($message)) {
            Session::flash('success', 'Votre message à été transmis au gestionnaire de la boutique ' . Session::get('boutique')['nom_boutique']);
            $boutique = Boutique::where('slug', $data['boutique_slug'])->first();
            $subject = $boutique['nom_boutique'] . ' vous avez reçu un message';
            $messages = ['name' => $data['name'], 'nom_boutique' => $boutique['nom_boutique'], 'message' => $data['message']];
            MailController::SendGeneralUniqueMail('Mail.contact_boutique', $subject, $messages, $data['boutique_mail'], env('MAIL_USERNAME'));
        } else {
            Session::flash('error', 'Nous ne parvenons pas à transmettre votre message au gestionnaire de la boutique ' . Session::get('boutique')['nom_boutique'] . ', veuillez reéssayer.');
        }
        return back();
    }

    public function contactmakeAdmin(Request $request)
    {
        $data = $request->all();
        $rules = array(
            'name' => 'required|string|max:255',
            'tel' => 'required|string|max:255',
            'email' => 'required|string|max:255',
            'message' => 'required',
        );
        $validator = \Illuminate\Support\Facades\Validator::make($request->all(), $rules);
        if ($validator->fails()) {
            return json_encode(['message' => $validator->getMessageBag()->first(), 'error' => true]);
        }

        $error = false;
        $mes = 'Message envoyé avec succès. Si nécéssaire, un conseiller client prendra contact avec vous.';
        $subject = ' vous avez reçu un message de ' . $data['name'];
        $messages = ['name' => $data['name'], 'email' => $data['email'], 'tel' => $data['tel'], 'message' => $data['message']];

        MailController::SendGeneralUniqueMail('Mail.contact_admin', $subject, $messages, env('MAIL_CONTACT'), env('MAIL_FROM_ADDRESS'));

        return json_encode(['error' => $error, 'message' => $mes]);
    }

    public function wishlist_list_boutique()
    {
        $boutique = Session::get('boutique');
        $fav = [];
        if (Session::has('user')) {
            $fav = wishlist_boutique::where('user_slug', Session::get('user')['slug'])->pluck('boutique_slug');
        } else {
            $whislist = Cookie::get('wishlist_boutique');
            if (isset($whislist) && $whislist != null) {
                $whislist = json_decode($whislist, true);
                foreach ($whislist as $key => $value) {

                    $fav[] = $value;
                }
            }
        }
        $boutiques = Boutique::with('metier', 'meta', 'publicites')->whereIn('slug', $fav)->where('installer', true)->where('corbeil', false)->orderBy('id', 'DESC')->get();
        $metiers = Metier::orderBy('id', 'DESC')->get();
        return view('dashboard/Boutique/Boutique_template/pages/boutique_favoris', compact('boutiques', 'metiers'));
    }

    public function boutique_liste()
    {
        $nbFav = 0;
        if (Session::has('user')) {
            $whislist = Cookie::get('wishlist_boutique');
            if (isset($whislist) && $whislist != null) {
                $whislist = json_decode($whislist, true);
                if (count($whislist) > 0) {
                    foreach ($whislist as $key => $value) {
                        $check = wishlist_article::where('boutique_slug', $whislist[$key])->where('user_slug', Session::get('user')['slug'])->count();
                        if ($check <= 0) {
                            $data['boutique_slug'] = $whislist[$key];
                            $data['user_slug'] = Session::get('user')['slug'];
                            wishlist_boutique::create($data);
                        }
                    }
                }
                Cookie::unqueue('wishlist_boutique');
            }
            $wh =   wishlist_article::where('user_slug', Session::get('user')['slug'])->count();
            if (isset($wh)) {
                $nbFav = $wh;
            }
        } else {
            $whislist = Cookie::get('wishlist_boutique');
            if (isset($whislist) && $whislist != null) {
                $whislist = json_decode($whislist, true);
                $nbFav = count($whislist);
            }
        }
        $metiers = Metier::orderBy('id', 'DESC')->get();
        $pays = DB::table('countries')->get();
        return view('dashboard/Boutique/Boutique_template/pages/liste_boutique', compact('metiers', 'nbFav', 'pays'));
    }

    public function get_boutiquePaginate(Request $request)
    {
        $visite = check_boutiques::pluck('boutique_slug')->toArray();
        $newCheck = array_count_values($visite);
        arsort($newCheck);
        $newCheck = array_keys($newCheck);
        if (!Session::has('country') || Session::get('country') == 'undefined') {
            if (Auth::check()) {
                $user = Auth::user();
                if (isset($user)) {
                    Session::put(['country' => $user->country, 'region' => $user->region, 'city' => $user->city, 'continent' => $user->continent]);
                }
            }
        }
        $boutique = Boutique::whereNotIn('slug', $newCheck)->pluck('slug')->toArray();
        $newCheck = array_merge($newCheck, $boutique);
        $country = Session::get('country');
        $products = CatalogueArticles::where('boutique_slug', '<>', 'all')->pluck('boutique_slug')->toArray();
        $products_select = check_products::groupBy('boutique_slug')->pluck('boutique_slug')->unique()->toArray();
        $products = array_unique(array_merge($products, $products_select));
        $boutiques =  Boutique::with('meta', 'most_visit')->whereHas('meta', function ($q) use ($country) {
            $q->where('internationalize', 1)->where('pay_internationalize', 1)->orwhere('country', 'like', '%' . $country . '%')->whereNotNull('country');
        })->where('expired', false)->where('maintenance', false)->where('corbeil', false)->where('installer', true)->whereIn('slug', $products)->get()->sortBy(function ($q) {
            return $q->most_visit->count();
        }, SORT_REGULAR, true)->pluck('id')->toArray();
        $ids_ordered = implode(',', $boutiques);
        $boutique_listes = Boutique::with('meta', 'most_visit', 'paiement_echelonner', 'mibSubscribe')->whereIn('id', $boutiques)
            ->orderByRaw("FIELD(id, $ids_ordered)")
            ->simplePaginate();
        //        $boutique_listes=Boutique::with('meta','most_visit')->whereIn('id',$boutiques)->simplePaginate();
        try {
            $boutique_view = view('dashboard/Boutique/Boutique_template/pages/boutique_single', compact('boutique_listes'))->render();
            return ['error' => false, 'view' => $boutique_view, 'boutiques' => $boutique_listes];
        } catch (\Throwable $e) {
            return ['error' => true, 'message' => $e->getMessage()];
        }
    }

    public function get_boutique(Request $request)
    {
        $visite = check_boutiques::pluck('boutique_slug')->toArray();
        $newCheck = array_count_values($visite);
        arsort($newCheck);
        $newCheck = array_keys($newCheck);
        if (!Session::has('country') || Session::get('country') == 'undefined') {
            if (Auth::check()) {
                $user = Auth::user();
                if (isset($user)) {
                    Session::put(['country' => $user->country, 'region' => $user->region, 'city' => $user->city, 'continent' => $user->continent]);
                }
            }
        }
        $boutique = Boutique::whereNotIn('slug', $newCheck)->pluck('slug')->toArray();
        $newCheck = array_merge($newCheck, $boutique);
        $country = Session::get('country');
        $boutiques = Boutique::with('meta', 'most_visit')->whereHas('meta', function ($q) use ($country) {
            $q->where('internationalize', 1)->where('pay_internationalize', 1)->orwhere('country', 'like', '%' . $country . '%')->whereNotNull('country');
        })->where('expired', false)->where('maintenance', false)->where('corbeil', false)->where('installer', true)->get()->sortBy(function ($q) {
            return $q->most_visit->count();
        }, SORT_REGULAR, true);
        return view('dashboard/Boutique/Boutique_template/pages/boutique_single', compact('boutiques'))->render();
    }

    public function update_description(Request $request)
    {
        $data = $request->all();
        $boutique = Boutique::where('slug', $data['slug'])->first();
        $boutique = Boutique::findOrFail($boutique['id']);
        $boutique->description = $data['description'];
        $boutique->save();
        Session::flash('success', 'Mise à jour effectuée avec succès!');
        return back();
    }

    public function about($boutique)
    {

        $boutique = Boutique::with('meta', 'paiement_echelonner', 'publicites', 'user', 'user.meta', 'mibSubscribe')->where('nom_boutique', $boutique)->where('corbeil', false)->first();
        Session::put('boutique', $boutique);
        $description = $boutique->description;
        $categoriesListe = DB::table('selected_categories')->where('boutique_slug', $boutique['slug'])->where('corbeil', false)->pluck('categorie_slug')->toArray();
        $categories = CategorieCatalogue::whereIn('slug', $categoriesListe)->where('corbeil', false)->get();
        $this->viewSahring();
        return view('dashboard.Boutique.Boutique_template.pages.grocery.about', compact('boutique', 'categories', 'description'));
    }

    public function index($boutique)
    {
        $boutique = Boutique::with('meta', 'publicites', 'mibSubscribe')->where('nom_boutique', $boutique)->where('corbeil', false)->first();
        if (isset($boutique)) {
            if (Session::has('boutique')) {
                $bouti = Session::get('boutique');
                if ($boutique['slug'] != $bouti['slug']) {
                    Session::put(['panier' => 0, 'prix' => 0]);
                    Session::put(['addedArticles' => []]);
                    Session::put(['commandes' => []]);
                    if (Session::has('user')) {
                        $data['user_slug'] = Session::get('user')['slug'];
                    } else {
                        $data['user_slug'] = request()->ip();
                    }
                    $data['boutique_slug'] = $boutique['slug'];
                    $data['nclick'] = 1;
                    if (isset($data['boutique_slug']) && $data['boutique_slug'] != null)
                        check_boutiques::create($data);
                }
            }
            Session::put('boutique', $boutique);

            $categoriesListe = DB::table('selected_categories')->where('boutique_slug', $boutique['slug'])->where('corbeil', 0)->pluck('categorie_slug')->toArray();
            $categories = CategorieCatalogue::whereIn('slug', $categoriesListe)->where('corbeil', 0)->get();
            $articlesListe = DB::table('select_articles')->where('boutique_slug', $boutique['slug'])->where('corbeil', false)->pluck('article_slug')->toArray();
            $lastArticle = CatalogueArticles::whereIn('slug', $articlesListe)->where('quantity', '>=', 1)->where('active', true)->where('corbeil', false)->orwhere('boutique_slug', $boutique['slug'])->where('quantity', '>=', 1)->where('active', true)->where('corbeil', false)->orderBy('id', 'DESC')->limit(5)->pluck('id')->toArray();
            count($lastArticle) >= 1 ? $lastArt = $lastArticle : $lastArt = [];
            $lastArticle = CatalogueArticles::with(['categorie', 'images'])->whereIn('slug', $articlesListe)->orwhere('boutique_slug', $boutique['slug'])->where('quantity', '>=', 1)->where('active', true)->where('corbeil', false)->orderBy('id', 'DESC')->limit(5)->get();
            $articles = CatalogueArticles::with(['categorie', 'images'])->whereIn('slug', $articlesListe)->where('active', true)->where('corbeil', false)->where('quantity', '>=', 1)->orwhere('boutique_slug', $boutique['slug'])->whereNotIn('id', $lastArt)->where('active', true)->where('corbeil', false)->where('quantity', '>=', 1)->orderBy('id', 'DESC')->get();
            $articles_lists = CatalogueArticles::with(['categorie', 'images'])->whereIn('slug', $articlesListe)->where('active', true)->where('corbeil', false)->where('quantity', '>=', 1)->orwhere('boutique_slug', $boutique['slug'])->where('active', true)->where('corbeil', false)->where('quantity', '>=', 1)->inRandomOrder()->paginate(8);
            $promos = CatalogueArticles::with(['categorie', 'images'])->whereIn('slug', $articlesListe)->orwhere('boutique_slug', $boutique['slug'])->where('active', 1)->where('on_sale', 1)->where('corbeil', false)->where('quantity', '>=', 1)->get();
            //les articles plus vendu
            $commandes = Commandes::all()->whereIn('article_slug', $articlesListe)->sortByDesc('quantity')->where('corbeil', false)->pluck('article_slug')->toArray();
            $articleCommandes = CatalogueArticles::with(['categorie', 'images'])->whereIn('slug', $commandes)->where('active', 1)->where('corbeil', false)->where('quantity', '>=', 1)->get();
            $this->viewSahring();
            //Patrick
            $miseEnAvantArticles = CatalogueArticles::with(['categorie', 'images'])->whereIn('slug', $articlesListe)->where('quantity', '>=', 1)->where('active', true)->where('corbeil', false)->where('en_avant', true)->orwhere('boutique_slug', $boutique['slug'])->where('quantity', '>=', 1)->where('active', true)->where('corbeil', false)->where('en_avant', true)->orderBy('id', 'DESC')->inRandomOrder()->get();
            return view('dashboard.Boutique.Boutique_template.pages.grocery.home', compact('boutique', 'articles', 'promos', 'categories', 'articleCommandes', 'lastArticle', 'articles_lists', 'miseEnAvantArticles'));
        } else {
            return redirect('boutique_liste');
        }
    }

    public function list_articles($boutique)
    {
        $boutiqueService = new BoutiqueService();
        $boutique = $boutiqueService->pageBoutique($boutique);
        if (Session::has('boutique')) {
            $bouti = Session::get('boutique');
            if ($boutique['slug'] != $bouti['slug']) {
                Session::put(['panier' => 0, 'prix' => 0]);
                Session::put(['addedArticles' => []]);
                Session::put(['commandes' => []]);
                if (Session::has('user')) {
                    $data['user_slug'] = Session::get('user')['slug'];
                } else {
                    $data['user_slug'] = request()->ip();
                }
                $data['boutique_slug'] = $boutique['slug'];
                $data['nclick'] = 1;
                if (isset($data['boutique_slug']) && $data['boutique_slug'] != null)
                    check_boutiques::create($data);
            }
        }
        $articlesListe = DB::table('select_articles')->where('boutique_slug', $boutique['slug'])->where('corbeil', false)->pluck('article_slug')->toArray();
        $list_articles =  CatalogueArticles::with(['categorie', 'images'])->whereIn('slug', $articlesListe)->orwhere('boutique_slug', $boutique['slug'])->where('active', true)->where('corbeil', false)->where('quantity', '>=', 1)->inRandomOrder()->paginate(8);
        $returnHTML = view('dashboard.Boutique.Boutique_template.pages.grocery.list_article')->with('articles_lists', $list_articles)->with('thisShop', $boutique)->render();
        return ["success" => true, "html" => $returnHTML, "paginate" => $list_articles];
    }

    public function deleteArticleFromCart($slug)
    {
        if (Session::has('commandes')) {
            $articles = Session::get('commandes');
            $arts = [];
            foreach ($articles as $article) {
                if ($article['article']['slug'] != $slug) {
                    array_push($arts, $article);
                }
            }
            Session::put(['commandes' => $arts]);
            $addedd = Session::get('addedArticles');
            $newadded = [];
            foreach ($addedd as $key => $value) {
                if ($slug != $key) {
                    $newadded[$key] = $value;
                }
            }
            Session::put(['addedArticles' => $newadded]);
            $pan = Session::get('panier');
            $pan !== null && $pan > 0 ? $pan = $pan - 1 : $pan = 0;
            Session::put(['panier' => $pan]);
        }
        return back();
    }
    public function addQuantityArticleToCart(Request $request)
    {
        try {
            $commandes = [];
            $maboutique = Session::get('boutique');
            $added = Session::get('addedArticles');
            // $commandes=Session::get('commandes');
            //$quantities = Session::get('quantities');
            $helpers = new HelperController();
            $reste = 0;
            if ($added == null) {
                return ['error' => true, 'message' => 'commandes not found'];
            }

            if (array_key_exists('' . $request->article, $added)) {
                $added['' . $request->article] = $request->quantity;
            } else {
                $added['' . $request->article] = $request->quantity;
            }

            //Calcul du prix total des produit ajoutés dans le panier
            $prixTotal = 0;
            $i = 0;
            $allToltal = 0;

            foreach ($added as $slug => $value) {
                $i++;
                $article = CatalogueArticles::all()->where('slug', $slug)->first();
                $articles = CatalogueArticles::with('categorie', 'boutique', 'boutique.meta')->where('slug', $slug)->first();

                if (!isset($articles['boutique'])) {
                    $articles['boutique'] = Boutique::with('meta')->where('slug', $maboutique['slug'])->first();
                    $articles['quantity'] = $helpers->get_meta_article('quantity', $articles['slug'], $maboutique['slug']);
                    $articles['name'] = $helpers->get_meta_article('name', $articles['slug'], $maboutique['slug']);
                }

                $prix = $helpers->get_article_price_by_boutique($article->slug, $maboutique['slug']);
                $prix = (float)$prix * (float)$value;
                $prixTotal += $prix;
                $commandes[] = ['article' => $article, 'prixTotal' => $prix, 'quantity' => $value];
            }
            Session::put(['panier' => $i, 'prix' => $prixTotal]);
            Session::put(['addedArticles' => $added]);
            Session::put(['commandes' => $commandes]);
            Session::put('boutique' . $maboutique['slug'], $maboutique['slug']);
            return ['price' => $prixTotal, 'count' => count($added), 'reste' => $reste];
        } catch (\Exception $e) {
            return ['error' => $e->getMessage()];
        }
    }


    public function cart($boutique)
    {
        $boutique = Boutique::with('meta', 'paiement_echelonner', 'mibSubscribe')->where('nom_boutique', $boutique)->first();
        Session::put('boutique', $boutique);
        $this->viewSahring();

        $categoriesListe = DB::table('selected_categories')->where('boutique_slug', $boutique['slug'])->where('corbeil', false)->pluck('categorie_slug')->toArray();
        $categories = CategorieCatalogue::whereIn('slug', $categoriesListe)->where('corbeil', false)->get();
        if (Session::has('commandes')) {
            $articles = Session::get('commandes');
            foreach ($articles as $article) {
                if ($article['article']['boutique_slug'] == $boutique['slug']) {
                    $categorie_id = CategorieCatalogue::where('slug', $article['article']['categorie_slug'])->first()['id'];
                    //                    dd($articles);
                    $caracteristiques = CategorieCaracteristique::where('categorie_catalogue_id', $categorie_id)->get();
                    if (isset($caracteristiques)) {
                        foreach ($caracteristiques as $caracteristique) {
                            $articles_metas = ArticleMeta::where('boutiques_slug', $boutique['slug'])->where('key', $caracteristique->intitule)->where('article_slug', $article['article']['slug'])->get();
                            $caracteristique->article_metas = $articles_metas;
                        }
                        $article['article']->caracteristique_ = $caracteristiques;
                    }
                }
            }
            $articles = \Illuminate\Database\Eloquent\Collection::make($articles);

            //              $articles = $articles->filter(function ($value, $key) use ($boutique) {
            //                return $value['article']['boutique_slug'] == $boutique['slug'];
            //            });
        } else {
            $articles = \Illuminate\Database\Eloquent\Collection::make([]);
        }
        $country = Session::get('country');
        $shopshipping = ShopShipping::with(['service', 'service.plan_tarifaire' => function ($q) use ($country) {
            $q->where('countries', 'like', '%' . $country . '%')->get();
        }])->where('shop_slug', $boutique['slug'])->get();
        $images = Images::all()->where('type', 'articles');

        return view('dashboard.Boutique.Boutique_template.pages.grocery.cart', compact('articles', 'images', 'categories', 'shopshipping'));
    }

    public function commande_shipping_enable($id)
    {
        $cmd = Commandes::findOrFail($id);
        $cmd->statut_paiement = true;
        $cmd->updated_at = Carbon::now();
        $cmd->save();
        return back();
    }

    public function commande_shipping_desable($id)
    {
        $cmd = Commandes::findOrFail($id);
        $cmd->statut_paiement = false;
        $cmd->save();
        return back();
    }

    public function addTowishlistArticle(Request $request)
    {
        $data = $request->all();
        $existe = false;
        if (Session::has('user')) {
            $data['user_slug'] = Session::get('user')['slug'];
            $wh = wishlist_article::where('boutique_slug', $data['boutique_slug'])->where('user_slug', $data['user_slug'])->where('catalogue_article_slug', $data['catalogue_article_slug'])->count();
            if ($wh > 0) {
                $wh = wishlist_article::where('boutique_slug', $data['boutique_slug'])->where('user_slug', $data['user_slug'])->where('catalogue_article_slug', $data['catalogue_article_slug'])->first();
                wishlist_article::findOrFail($wh['id'])->delete();
                $existe = true;
            }
        } else {
            $whislist = Cookie::get('wishlist_article');
            if (isset($whislist) && $whislist != null) {
                $whislist2 = [];
                $whislist = json_decode($whislist, true);
                for ($i = 0; $i < count($whislist); $i++) {
                    if ($whislist[$i]['boutique'] == $data['boutique_slug'] && $whislist[$i]['article_slug'] == $data['catalogue_article_slug']) {
                        $existe = true;
                    } else {
                        $whislist2[] = ['boutique' => $data['boutique_slug'], 'article_slug' => $data['catalogue_article_slug']];
                    }
                }
                $whislist2 = json_encode($whislist2);
                Cookie::queue('wishlist_article', $whislist2);
            }
        }
        $articles = CatalogueArticles::with('categorie', 'boutique', 'boutique.meta')->where('slug', $data['catalogue_article_slug'])->first();
        LaravelFacebookPixelFacade::createEvent('AddToWishlist', $parameters = ['content_category' => $articles->categorie->intitule, 'content_ids' => $articles->slug, 'content_name' => $articles->name, 'content_type' => 'product', 'contents' => [['id' => $articles->slug, 'quantity' => $articles->quantity]], 'currency' => $articles->boutique->meta->currency_admin, 'value' => $articles->price]);
        if (!$existe) {
            if (Session::has('user')) {
                $data['user_slug'] = Session::get('user')['slug'];
                wishlist_article::create($data);
            } else {
                $whislist = Cookie::get('wishlist_article');
                if (isset($whislist) && $whislist != null) {
                    $whislist = json_decode($whislist, true);
                }
                $whislist[] = ['boutique' => $data['boutique_slug'], 'article_slug' => $data['catalogue_article_slug']];
                $whislist = json_encode($whislist);
                Cookie::queue('wishlist_article', $whislist);
            }
            return json_encode(1);
        } else {
            return json_encode(0);
        }
    }


    public function wishlist_list()
    {
        $boutique = Session::get('boutique');
        $fav = [];
        if (Session::has('user')) {
            $fav = wishlist_article::where('boutique_slug', $boutique['slug'])->where('user_slug', Session::get('user')['slug'])->pluck('catalogue_article_slug');
        } else {
            $whislist = Cookie::get('wishlist_article');
            if (isset($whislist) && $whislist != null) {
                $whislist = json_decode($whislist, true);
                for ($i = 0; $i < count($whislist); $i++) {
                    if ($whislist[$i]['boutique'] == $boutique['slug']) {
                        $fav[] = $whislist[$i]['article_slug'];
                    }
                }
            }
        }
        $articles = CatalogueArticles::whereIn('slug', $fav)->where('active', true)->get();
        foreach ($articles as $article) {
            $categorie = CategorieCatalogue::all()->where('slug', $article->categorie_slug)->first();
            $images = ProductImage::all()->where('key', $article->slug);
            $article->images = $images;
            $article->categorie = $categorie;
        }
        $this->viewSahring();

        $categoriesListe = DB::table('selected_categories')->where('boutique_slug', $boutique['slug'])->where('corbeil', false)->pluck('categorie_slug')->toArray();
        $categories = CategorieCatalogue::whereIn('slug', $categoriesListe)->where('corbeil', false)->get();
        $articlesListe = DB::table('select_articles')->where('boutique_slug', $boutique['slug'])->pluck('article_slug')->toArray();


        $promos = CatalogueArticles::whereIn('slug', $articlesListe)->orwhere('boutique_slug', $boutique['slug'])->where('active', 1)->where('on_sale', 1)->get();
        foreach ($promos as $article) {
            $categorie = CategorieCatalogue::all()->where('slug', $article->categorie_slug)->first();
            $images = ProductImage::all()->where('key', $article->slug);
            $article->images = $images;
            $article->categorie = $categorie;
        }

        return view('dashboard.Boutique.Boutique_template.pages.grocery.favoris', compact('articles', 'categories', 'promos'));
    }


    public function addTowishlistBoutique(Request $request)
    {
        $data = $request->all();
        $existe = false;
        if (Session::has('user')) {
            $data['user_slug'] = Session::get('user')['slug'];
            $wh = wishlist_boutique::where('boutique_slug', $data['boutique_slug'])->where('user_slug', $data['user_slug'])->count();
            if ($wh > 0) {
                $wh = wishlist_boutique::where('boutique_slug', $data['boutique_slug'])->where('user_slug', $data['user_slug'])->first();
                wishlist_boutique::findOrFail($wh['id'])->delete();
                $existe = true;
            }
        } else {
            $whislist = Cookie::get('wishlist_boutique');
            if (isset($whislist) && $whislist != null) {
                $whislist = json_decode($whislist, true);
                $whislist2 = [];
                for ($i = 0; $i < count($whislist); $i++) {
                    if (isset($whislist[$data['boutique_slug']]) && $whislist[$data['boutique_slug']] == $data['boutique_slug']) {
                        $existe = true;
                    } else {
                        $whislist2[$data['boutique_slug']] = $data['boutique_slug'];
                    }
                }
                $whislist2 = json_encode($whislist2);
                Cookie::queue('wishlist_boutique', $whislist2);
            }
        }

        if (!$existe) {
            if (Session::has('user')) {
                $data['user_slug'] = Session::get('user')['slug'];
                wishlist_boutique::create($data);
            } else {
                $whislist = Cookie::get('wishlist_boutique');
                if (isset($whislist) && $whislist != null) {
                    $whislist = json_decode($whislist, true);
                }
                $whislist[$data['boutique_slug']] = $data['boutique_slug'];
                $whislist = json_encode($whislist);
                Cookie::queue('wishlist_boutique', $whislist);
            }
            return json_encode(1);
        } else {
            return json_encode(0);
        }
    }


    public function list_commande($boutique)
    {
        $boutique = Boutique::with('meta', 'publicites', 'mibSubscribe')->where('nom_boutique', $boutique)->where('corbeil', false)->first();
        Session::put('boutique', $boutique);
        if (Session::has('user')) {
            $this->viewSahring();
            $commandes = Commandes::with('commande_article')->where('user_slug', Session::get('user')['slug'])->where('corbeil', false)->where('boutique_slug', Session::get('boutique')['slug'])->orderByDesc('id')->get();
            foreach ($commandes as $cmd) {
                if ($cmd->transaction_id != null && $cmd->means != null) {
                    $help = new Commandes();
                    $help->checkCommande($cmd->transaction_id, $cmd->slug, $cmd->means);
                }
                foreach ($cmd->commande_article as $cmd_art) {
                    $articles = CatalogueArticles::with('article_meta')->where('slug', $cmd_art->article_slug)->get();
                    $cmd_art->article = $articles;
                }
            }
            $commande_echeloner = Commandes::with('commande_article')->where('user_slug', Session::get('user')['slug'])->where('corbeil', false)->where('boutique_slug', Session::get('boutique')['slug'])->where('paiement_type', 'paid_echellon')->count();
            $commande_en_cours = Commandes::with('commande_article')->where('user_slug', Session::get('user')['slug'])->where('corbeil', false)->where('boutique_slug', Session::get('boutique')['slug'])->where('paiement_type', '<>', 'paid_echellon')->where('statut_shipping', false)->count();
            $commande_valides = Commandes::with('commande_article')->where('user_slug', Session::get('user')['slug'])->where('corbeil', false)->where('boutique_slug', Session::get('boutique')['slug'])->where('statut_shipping', true)->count();

            $boutique = Session::get('boutique');
            $categoriesListe = DB::table('selected_categories')->where('boutique_slug', $boutique['slug'])->where('corbeil', false)->pluck('categorie_slug')->toArray();
            $categories = \App\CategorieCatalogue::whereIn('slug', $categoriesListe)->where('corbeil', false)->get();
            $categories_id = \App\CategorieCatalogue::whereIn('slug', $categoriesListe)->where('corbeil', false)->pluck('id')->toArray();
            return view('dashboard.Boutique.Boutique_template.pages.grocery.paiement_status', compact('commande_valides', 'commande_echeloner', 'commande_en_cours', 'categories', 'commandes'));
        } else {
            return redirect('login');
        }
    }

    public function list_commande_par_action($boutique, $type)
    {
        $boutique = Boutique::with('meta', 'publicites', 'mibSubscribe')->where('nom_boutique', $boutique)->where('corbeil', false)->first();
        Session::put('boutique', $boutique);
        if (Session::has('user')) {
            $this->viewSahring();
            $commandes = Commandes::with('commande_article')->where('user_slug', Session::get('user')['slug'])->where('corbeil', false)->where('boutique_slug', Session::get('boutique')['slug'])->orderByDesc('id')->get();

            switch ($type) {
                case 'livrer':
                    $commandes_datas = Commandes::with('commande_article')->where('user_slug', Session::get('user')['slug'])->where('corbeil', false)->where('boutique_slug', Session::get('boutique')['slug'])->where('statut_shipping', true)->paginate(8);
                    break;
                case 'en_cours':
                    $commandes_datas = Commandes::with('commande_article')->where('user_slug', Session::get('user')['slug'])->where('corbeil', false)->where('boutique_slug', Session::get('boutique')['slug'])->where('paiement_type', '<>', 'paid_echellon')->where('statut_shipping', false)->paginate(8);
                    break;
                case 'echelonner':
                    $commandes_datas = Commandes::with('commande_article')->where('user_slug', Session::get('user')['slug'])->where('corbeil', false)->where('boutique_slug', Session::get('boutique')['slug'])->where('paiement_type', 'paid_echellon')->orderByDesc('id')->paginate(8);
                    break;
            }
            foreach ($commandes_datas as $cmd) {
                if ($cmd->transaction_id != null && $cmd->means != null) {
                    $help = new Commandes();
                    $help->checkCommande($cmd->transaction_id, $cmd->slug, $cmd->means);
                }
                foreach ($cmd->commande_article as $cmd_art) {
                    $articles = CatalogueArticles::with('article_meta')->where('slug', $cmd_art->article_slug)->get();
                    $cmd_art->article = $articles;
                }
            }
            $boutique = Session::get('boutique');
            $categoriesListe = DB::table('selected_categories')->where('boutique_slug', $boutique['slug'])->where('corbeil', false)->pluck('categorie_slug')->toArray();
            $categories = \App\CategorieCatalogue::whereIn('slug', $categoriesListe)->where('corbeil', false)->get();
            $categories_id = \App\CategorieCatalogue::whereIn('slug', $categoriesListe)->where('corbeil', false)->pluck('id')->toArray();
            $caracteristique = CategorieCaracteristique::whereIn('categorie_catalogue_id', $categories_id)->get();
            $images = Images::all()->where('type', 'articles');
            Session::forget('paiement');
            return view('dashboard.Boutique.Boutique_template.pages.grocery.commandes.' . $type, compact('commandes_datas', 'images', 'categories', 'caracteristique', 'commandes'));
        } else {
            return redirect('login');
        }
    }

    //INTRAM PAIEMENT COMMANDE 
    public function adminCheckCommandpaiementIntram(Request $request)
    {
        $data = $request->all();
        $boutique = Boutique::with('meta', 'paiement_echelonner', 'publicites', 'mibSubscribe')->where('nom_boutique', $data['nom_boutique'])->first();
        Session::put('boutique', $boutique);
        $public_key = env('INTRAM_PUBLIC');
        $secret = env('INTRAM_SECRET');
        $private_key = env('INTRAM_PRIVATE');
        $intram = new \Intram\Intram($public_key, $private_key, $secret, env('INTRAM_SANDBOX') == true);
        $transaction_id = $data['transaction_id'];
        $verify = $intram->getTransactionStatus($transaction_id);
        $status = $verify->status;
        $cmd = Commandes::where('slug', $data['command_id'])->first();
        $help = new Commandes();
        $help->storeCommandes($transaction_id, $cmd->slug, 'Intram');
        if ($status == 'SUCCESS') {
            if ($verify->amount == $cmd->total_price) {
                $cmd->paiement_type = 'paid_now';
            } else {
                $cmd->paiement_type = 'paid_echellon';
            }
            $cmd->source = $verify->account_number;
            $cmd->source_name = $verify->source;
            $cmd->montant_payer = $cmd->montant_payer + $verify->amount;
            $reference = $transaction_id;
            //            $help = new Commandes();
            //            $help->removeCommandeAfterPaiementMake($cmd->slug);
            Session::flash('paiement', 'Paiement effectué pour ' . $cmd->total_price . ' ' . $cmd->currency . ' XOF avec succès . Veuillez patientez un opérateur vous contactera pour les modalités de livraison.');
            Session::put(['panier' => 0, 'prix' => 0]);
            Session::put('addedArticles', []);
            Session::put('commandes', []);
            if ($cmd->montant_payer >= $cmd->total_price) {
                $cmdt = CommandArticle::where('command_slug', $cmd->slug)->get();
                foreach ($cmdt as $commandearticle) {
                    $article = CatalogueArticles::where('slug', $commandearticle->article_slug)->first();
                    if ($article['boutique_slug'] == Session::get('boutique')['slug']) {
                        $modart = CatalogueArticles::findOrFail($article['id']);
                        $modart->quantity = (intval($modart->quantity) - intval($commandearticle->quantity));
                        $modart->save();
                    } else {
                        $helpers = new HelperController();
                        $stock = $helpers->get_meta_article('stock', $commandearticle->article_slug, Session::get('boutique')['slug']);
                        $stock = (intval($stock) - intval($commandearticle->quantity));
                        $helpers->update_meta_article('stock', $commandearticle->article_slug, $stock, Session::get('boutique')['slug']);
                    }
                }
                if (!$cmd->is_global) {
                    // Ajouter le montant à l'actif du détenteur de la boutique
                    $fportefeuille = Portefeuille::where('user_slug', Session::get('boutique')['user_slug'])->where('devise', Session::get('boutique')['meta']['currency_admin'])->first();
                    if (isset($fportefeuille) && $fportefeuille != null && $fportefeuille != "") {
                        $portefeuille = Portefeuille::findOrFail($fportefeuille['id']);
                        $portefeuille->montant = $portefeuille->montant + $cmd->total_price;
                        $total_new_montant = $portefeuille->montant;
                        $time = false;
                        $portefeuille->save();
                    } else {
                        Portefeuille::create(['user_slug' => Session::get('boutique')['user_slug'], 'montant' => $cmd->total_price]);
                        $time = true;
                    }
                    $boutique = Boutique::with('user')->where('slug', Session::get('boutique')['slug'])->first();
                    $subject = 'Portefeuille incrementé sur la boutique ' . $boutique->nom_boutique;
                    $messages = ['first_name' => $boutique->user->first_name, 'last_name' => $boutique->user->last_name, 'montant' => $cmd->total_price, 'time' => $time, 'boutique' => $boutique->nom_boutique, 'devise' => Session::get('boutique')['meta']['currency_admin']];
                    MailController::SendPortefeuilleMail($subject, $messages, $boutique->user->email);
                }
            }
            //BEGIN SEND MAIL TO SHIPPING AGENCE
            $articlesCommand = CommandArticle::with('article_')->where('command_slug', $cmd->slug)->get();
            $services = ServiceShipping::where('slug', $cmd->shipping_service)->first();
            if (isset($services)) {
                $shippingInfos = DB::table('marchand_shipping_informations')->where('boutique_slug', Session::get('boutique')['slug'])->first();
                $boutiqueRelate = Boutique::with('meta', 'user', 'metier')->where('slug', Session::get('boutique')['slug'])->first();
                $template = 'Mail.livraison_make';
                $subject = "Commande enrégistré sur sungrocery";
                $email = $services->email;
                $from = env('MAIL_USERNAME');
                $messages = ['commande' => $cmd, 'articles' => $articlesCommand, 'agence' => $services->name, 'name' => $boutique->nom_boutique, 'depart' => $shippingInfos->depart, 'description' => $shippingInfos->Description, 'adresse' => $shippingInfos->adresse, 'tel' => $boutiqueRelate->meta->telephone_boutique, 'first_name' => $boutiqueRelate->user->first_name, 'last_name' => $boutiqueRelate->user->last_name, 'metier' => $boutiqueRelate->metier->intitule_metier];
                $mail = new MailController();
                //send to agence
                $mail->SendGeneralUniqueMail($template, $subject, $messages, $email, $from);
                //end send mail to shipping agence
            }
            $cmd->statut_paiement = true;
        } else {
            $reference = 'echec paiement';
            Session::flash('error', 'Echec de paiement pour ' . $cmd->total_price . ' XOF . Reéssayer l\'opération dans quelques minutes tout en vous assurant que vous avez le montant nécessaire pour effectué votre achat.');
        }
        $cmd->reference = $reference;
        $cmd->save();
        Session::flash('success', 'La commande à été valider avec succès. Le portefeuille du client à été mise à jour.');
        return redirect('generale/command/admin');
    }
    //INTRAM PAIEMENT COMMANDE 
    public function checkpaiementIntram(Request $request, $boutique)
    {
        $boutique = Boutique::with('meta', 'paiement_echelonner', 'publicites', 'mibSubscribe')->where('nom_boutique', $boutique)->first();
        Session::put('boutique', $boutique);
        $this->viewSahring();
        $data = $request->all();
        $public_key = env('INTRAM_PUBLIC');
        $secret = env('INTRAM_SECRET');
        $private_key = env('INTRAM_PRIVATE');
        $intram = new \Intram\Intram($public_key, $private_key, $secret, env('INTRAM_SANDBOX') == true);
        $transaction_id = $data['transaction_id'];
        $verify = $intram->getTransactionStatus($transaction_id);
        $status = $verify->status;
        $cmd = Commandes::findOrFail(Session::get('command_id_new'));
        $help = new Commandes();
        $help->storeCommandes($transaction_id, $cmd->slug, 'Intram');
        if ($status == 'SUCCESS') {
            if ($verify->amount == $cmd->total_price) {
                $cmd->paiement_type = 'paid_now';
            } else {
                $cmd->paiement_type = 'paid_echellon';
            }
            $cmd->source = $verify->account_number;
            $cmd->source_name = $verify->source;
            $cmd->montant_payer = $cmd->montant_payer + $verify->amount;
            $reference = $transaction_id;
            //            $help = new Commandes();
            //            $help->removeCommandeAfterPaiementMake($cmd->slug);
            Session::flash('paiement', 'Paiement effectué pour ' . $cmd->total_price . ' ' . $cmd->currency . ' XOF avec succès . Veuillez patientez un opérateur vous contactera pour les modalités de livraison.');
            Session::put(['panier' => 0, 'prix' => 0]);
            Session::put('addedArticles', []);
            Session::put('commandes', []);
            if ($cmd->montant_payer >= $cmd->total_price) {
                $cmdt = CommandArticle::where('command_slug', $cmd->slug)->get();
                foreach ($cmdt as $commandearticle) {
                    $article = CatalogueArticles::where('slug', $commandearticle->article_slug)->first();
                    if ($article['boutique_slug'] == Session::get('boutique')['slug']) {
                        $modart = CatalogueArticles::findOrFail($article['id']);
                        $modart->quantity = (intval($modart->quantity) - intval($commandearticle->quantity));
                        $modart->save();
                    } else {
                        $helpers = new HelperController();
                        $stock = $helpers->get_meta_article('stock', $commandearticle->article_slug, Session::get('boutique')['slug']);
                        $stock = (intval($stock) - intval($commandearticle->quantity));
                        $helpers->update_meta_article('stock', $commandearticle->article_slug, $stock, Session::get('boutique')['slug']);
                    }
                }
                // Ajouter le montant à l'actif du détenteur de la boutique
                $fportefeuille = Portefeuille::where('user_slug', Session::get('boutique')['user_slug'])->where('devise', Session::get('boutique')['meta']['currency_admin'])->first();
                if (isset($fportefeuille) && $fportefeuille != null && $fportefeuille != "") {
                    $portefeuille = Portefeuille::findOrFail($fportefeuille['id']);
                    $portefeuille->montant = $portefeuille->montant + $cmd->total_price;
                    $total_new_montant = $portefeuille->montant;
                    $time = false;
                    $portefeuille->save();
                } else {
                    Portefeuille::create(['user_slug' => Session::get('boutique')['user_slug'], 'montant' => $cmd->total_price]);
                    $time = true;
                }
                $boutique = Boutique::with('user')->where('slug', Session::get('boutique')['slug'])->first();
                $subject = 'Portefeuille incrementé sur la boutique ' . $boutique->nom_boutique;
                $messages = ['first_name' => $boutique->user->first_name, 'last_name' => $boutique->user->last_name, 'montant' => $cmd->total_price, 'time' => $time, 'boutique' => $boutique->nom_boutique, 'devise' => Session::get('boutique')['meta']['currency_admin']];
                MailController::SendPortefeuilleMail($subject, $messages, $boutique->user->email);
            }
            //BEGIN SEND MAIL TO SHIPPING AGENCE
            $articlesCommand = CommandArticle::with('article_')->where('command_slug', $cmd->slug)->get();
            $services = ServiceShipping::where('slug', $cmd->shipping_service)->first();
            if (isset($services)) {
                $shippingInfos = DB::table('marchand_shipping_informations')->where('boutique_slug', Session::get('boutique')['slug'])->first();
                $boutiqueRelate = Boutique::with('meta', 'user', 'metier')->where('slug', Session::get('boutique')['slug'])->first();
                $template = 'Mail.livraison_make';
                $subject = "Commande enrégistré sur sungrocery";
                $email = $services->email;
                $from = env('MAIL_USERNAME');
                $messages = ['commande' => $cmd, 'articles' => $articlesCommand, 'agence' => $services->name, 'name' => $boutique->nom_boutique, 'depart' => $shippingInfos->depart, 'description' => $shippingInfos->Description, 'adresse' => $shippingInfos->adresse, 'tel' => $boutiqueRelate->meta->telephone_boutique, 'first_name' => $boutiqueRelate->user->first_name, 'last_name' => $boutiqueRelate->user->last_name, 'metier' => $boutiqueRelate->metier->intitule_metier];
                $mail = new MailController();
                //send to agence
                $mail->SendGeneralUniqueMail($template, $subject, $messages, $email, $from);
                //end send mail to shipping agence
            }
            $cmd->statut_paiement = true;
        } else {
            $reference = 'echec paiement';
            Session::flash('error', 'Echec de paiement pour ' . $cmd->total_price . ' XOF . Reéssayer l\'opération dans quelques minutes tout en vous assurant que vous avez le montant nécessaire pour effectué votre achat.');
        }
        $cmd->reference = $reference;
        $cmd->save();
        $commandes = Commandes::with('commande_article')->where('id', Session::get('command_id_new'))->get();
        foreach ($commandes as $cmd) {
            foreach ($cmd->commande_article as $cmd_art) {
                $articles = CatalogueArticles::with('article_meta')->where('slug', $cmd_art->article_slug)->get();
                $cmd_art->article = $articles;
            }
        }

        $commande_echeloner = $commandes->where('paiement_type', 'paid_echellon');
        $commande_en_cours = $commandes->where('statut_paiement', false)->where('statut_shipping', false)->where('paiement_type', '<>', 'paid_echellon');
        $commande_valides = $commandes->where('statut_shipping', true);

        $boutique = Session::get('boutique');

        $categoriesListe = DB::table('selected_categories')->where('boutique_slug', $boutique['slug'])->where('corbeil', false)->pluck('categorie_slug')->toArray();
        $categories = \App\CategorieCatalogue::whereIn('slug', $categoriesListe)->where('corbeil', false)->get();
        $categories_id = \App\CategorieCatalogue::whereIn('slug', $categoriesListe)->where('corbeil', false)->pluck('id')->toArray();
        $caracteristique = CategorieCaracteristique::whereIn('categorie_catalogue_id', $categories_id)->get();
        $images = Images::all()->where('type', 'articles');
        return view('dashboard.Boutique.Boutique_template.pages.grocery.paiement_status', compact('commande_valides', 'commande_en_cours', 'commande_echeloner', 'status', 'cmd', 'articles', 'images', 'categories', 'caracteristique', 'commandes'));
    }
    //KKIAPAY Check commande paiement data
    public function checkpaiement(Request $request, $boutique)
    {
        $boutique = Boutique::with('meta', 'paiement_echelonner', 'publicites', 'mibSubscribe')->where('nom_boutique', $boutique)->first();
        Session::put('boutique', $boutique);
        $this->viewSahring();
        $data = $request->all();
        $public_key = env('KKIAPAY_PUBLIC');
        $secret = env('KKIAPAY_SECRET');
        $private_key = env('KKIAPAY_PRIVATE');
        $kkiapay = new \Kkiapay\Kkiapay($public_key, $private_key, $secret, env('KKIAPAY_SANDBOX') == '1');
        $transaction_id = $data['transaction_id'];
        $verify = $kkiapay->verifyTransaction($transaction_id);
        $status = $verify->status;
        $cmd = Commandes::findOrFail(Session::get('command_id_new'));
        $help = new Commandes();
        $help->storeCommandes($transaction_id, $cmd->slug, 'KKIAPAY');
        if ($status == 'SUCCESS') {
            if ($verify->amount == $cmd->total_price) {
                $cmd->paiement_type = 'paid_now';
            } else {
                $cmd->paiement_type = 'paid_echellon';
            }
            $cmd->source = $verify->source;
            $cmd->source_name = $verify->source_common_name;
            $cmd->montant_payer = $cmd->montant_payer + $verify->amount;
            $reference = $transaction_id;
            //            $help = new Commandes();
            //            $help->removeCommandeAfterPaiementMake($cmd->slug);
            Session::flash('paiement', 'Paiement effectué pour ' . $cmd->total_price . ' ' . $cmd->currency . ' XOF avec succès . Veuillez patientez un opérateur vous contactera pour les modalités de livraison.');
            Session::put(['panier' => 0, 'prix' => 0]);
            Session::put('addedArticles', []);
            Session::put('commandes', []);
            if ($cmd->montant_payer >= $cmd->total_price) {
                $cmdt = CommandArticle::where('command_slug', $cmd->slug)->get();
                foreach ($cmdt as $commandearticle) {
                    $article = CatalogueArticles::where('slug', $commandearticle->article_slug)->first();
                    if ($article['boutique_slug'] == Session::get('boutique')['slug']) {
                        $modart = CatalogueArticles::findOrFail($article['id']);
                        $modart->quantity = (intval($modart->quantity) - intval($commandearticle->quantity));
                        $modart->save();
                    } else {
                        $helpers = new HelperController();
                        $stock = $helpers->get_meta_article('stock', $commandearticle->article_slug, Session::get('boutique')['slug']);
                        $stock = (intval($stock) - intval($commandearticle->quantity));
                        $helpers->update_meta_article('stock', $commandearticle->article_slug, $stock, Session::get('boutique')['slug']);
                    }
                }
                // Ajouter le montant à l'actif du détenteur de la boutique
                $fportefeuille = Portefeuille::where('user_slug', Session::get('boutique')['user_slug'])->where('devise', Session::get('boutique')['meta']['currency_admin'])->first();
                if (isset($fportefeuille) && $fportefeuille != null && $fportefeuille != "") {
                    $portefeuille = Portefeuille::findOrFail($fportefeuille['id']);
                    $portefeuille->montant = $portefeuille->montant + $cmd->total_price;
                    $total_new_montant = $portefeuille->montant;
                    $time = false;
                    $portefeuille->save();
                } else {
                    Portefeuille::create(['user_slug' => Session::get('boutique')['user_slug'], 'montant' => $cmd->total_price]);
                    $time = true;
                }
                $boutique = Boutique::with('user')->where('slug', Session::get('boutique')['slug'])->first();
                $subject = 'Portefeuille incrementé sur la boutique ' . $boutique->nom_boutique;
                $messages = ['first_name' => $boutique->user->first_name, 'last_name' => $boutique->user->last_name, 'montant' => $cmd->total_price, 'time' => $time, 'boutique' => $boutique->nom_boutique, 'devise' => Session::get('boutique')['meta']['currency_admin']];
                MailController::SendPortefeuilleMail($subject, $messages, $boutique->user->email);
            }
            //BEGIN SEND MAIL TO SHIPPING AGENCE
            $articlesCommand = CommandArticle::with('article_')->where('command_slug', $cmd->slug)->get();
            $services = ServiceShipping::where('slug', $cmd->shipping_service)->first();
            if (isset($services)) {
                $shippingInfos = DB::table('marchand_shipping_informations')->where('boutique_slug', Session::get('boutique')['slug'])->first();
                $boutiqueRelate = Boutique::with('meta', 'user', 'metier')->where('slug', Session::get('boutique')['slug'])->first();
                $template = 'Mail.livraison_make';
                $subject = "Commande enrégistré sur sungrocery";
                $email = $services->email;
                $from = env('MAIL_USERNAME');
                $messages = ['commande' => $cmd, 'articles' => $articlesCommand, 'agence' => $services->name, 'name' => $boutique->nom_boutique, 'depart' => $shippingInfos->depart, 'description' => $shippingInfos->Description, 'adresse' => $shippingInfos->adresse, 'tel' => $boutiqueRelate->meta->telephone_boutique, 'first_name' => $boutiqueRelate->user->first_name, 'last_name' => $boutiqueRelate->user->last_name, 'metier' => $boutiqueRelate->metier->intitule_metier];
                $mail = new MailController();
                //send to agence
                $mail->SendGeneralUniqueMail($template, $subject, $messages, $email, $from);
                //end send mail to shipping agence
            }
            $cmd->statut_paiement = true;
        } else {
            $reference = 'echec paiement';
            Session::flash('error', 'Echec de paiement pour ' . $cmd->total_price . ' XOF . Reéssayer l\'opération dans quelques minutes tout en vous assurant que vous avez le montant nécessaire pour effectué votre achat.');
        }
        $cmd->reference = $reference;
        $cmd->save();
        $commandes = Commandes::with('commande_article')->where('id', Session::get('command_id_new'))->get();
        foreach ($commandes as $cmd) {
            foreach ($cmd->commande_article as $cmd_art) {
                $articles = CatalogueArticles::with('article_meta')->where('slug', $cmd_art->article_slug)->get();
                $cmd_art->article = $articles;
            }
        }

        $commande_echeloner = $commandes->where('paiement_type', 'paid_echellon');
        $commande_en_cours = $commandes->where('statut_paiement', false)->where('statut_shipping', false)->where('paiement_type', '<>', 'paid_echellon');
        $commande_valides = $commandes->where('statut_shipping', true);

        $boutique = Session::get('boutique');

        $categoriesListe = DB::table('selected_categories')->where('boutique_slug', $boutique['slug'])->where('corbeil', false)->pluck('categorie_slug')->toArray();
        $categories = \App\CategorieCatalogue::whereIn('slug', $categoriesListe)->where('corbeil', false)->get();
        $categories_id = \App\CategorieCatalogue::whereIn('slug', $categoriesListe)->where('corbeil', false)->pluck('id')->toArray();
        $caracteristique = CategorieCaracteristique::whereIn('categorie_catalogue_id', $categories_id)->get();
        $images = Images::all()->where('type', 'articles');
        return view('dashboard.Boutique.Boutique_template.pages.grocery.paiement_status', compact('commande_valides', 'commande_en_cours', 'commande_echeloner', 'status', 'cmd', 'articles', 'images', 'categories', 'caracteristique', 'commandes'));
    }

    public function all_products()
    {
        $this->viewSahring();
        return view('dashboard.Boutique.Boutique_template.pages.all_products');
    }


    public function show($boutique, $slug)
    {
        $boutique = Boutique::with('meta')->where('nom_boutique', $boutique)->first();
        Session::put('boutique', $boutique);
        $this->viewSahring();
        if (Session::has('user')) {
            $data['user_slug'] = Session::get('user')['slug'];
        } else {
            $data['user_slug'] = request()->ip();
        }
        $data['boutique_slug'] = $boutique['slug'];
        $data['nclick'] = 1;
        $data['catalogue_article_slug'] = $slug;
        check_products::create($data);

        $categoriesListe = DB::table('selected_categories')->where('boutique_slug', $boutique['slug'])->where('corbeil', false)->pluck('categorie_slug')->toArray();
        $categories = CategorieCatalogue::whereIn('slug', $categoriesListe)->where('corbeil', false)->get();
        $categories_id = CategorieCatalogue::whereIn('slug', $categoriesListe)->orwhere('boutique_slug', $boutique['slug'])->pluck('id')->toArray();
        $article = CatalogueArticles::all()->where('slug', $slug)->first();
        $categorie_slug = $article['categorie_slug'];
        $articles = CatalogueArticles::with('categorie', 'boutique', 'boutique.meta')->where('slug', $slug)->first();
        LaravelFacebookPixelFacade::createEvent('Purchase', $parameters = ['content_category' => $articles->categorie->intitule, 'content_ids' => $articles->slug, 'content_name' => $articles->name, 'content_type' => 'product', 'contents' => [['id' => $articles->slug, 'quantity' => $articles->quantity]], 'currency' => $articles->boutique->meta->currency_admin, 'value' => $articles->price]);

        $categorie = CategorieCatalogue::all()->where('slug', $article->categorie_slug)->first();
        $article->categorie = $categorie;
        $images = DB::table('images')->where('type', 'articles')->where('key', $article->slug)->get();
        $article->images = $images;
        $articlesListe = DB::table('select_articles')->where('boutique_slug', $boutique['slug'])->where('corbeil', false)->pluck('article_slug')->toArray();
        $promos = CatalogueArticles::with(['categorie', 'images'])->whereIn('slug', $articlesListe)->where('categorie_slug', $categorie_slug)->where('slug', '<>', $article->slug)->orwhere('boutique_slug', $boutique['slug'])->whereIn('slug', $articlesListe)->where('active', true)->where('corbeil', false)->where('quantity', '>=', 1)->where('categorie_slug', $categorie_slug)->where('slug', '<>', $article->slug)->inRandomOrder()->paginate(8);
        $images = Images::where('type', 'articles')->get();
        $caracteristique = CategorieCaracteristique::where('categorie_catalogue_id', $categorie['id'])->get();
        $articles_metas = ArticleMeta::where('boutiques_slug', $boutique['slug'])->get();
        return view('dashboard.Boutique.Boutique_template.pages.product', compact('article', 'promos', 'images', 'categories', 'caracteristique', 'articles_metas'));
    }

    public function show_product($boutique, $slug)
    {
        $boutique = Boutique::with('meta', 'paiement_echelonner', 'publicites', 'mibSubscribe')->where('nom_boutique', $boutique)->first();
        Session::put('boutique', $boutique);
        $this->viewSahring();
        if (Session::has('user')) {
            $data['user_slug'] = Session::get('user')['slug'];
        } else {
            $data['user_slug'] = request()->ip();
        }
        $data['boutique_slug'] = $boutique['slug'];
        $data['nclick'] = 1;
        $data['catalogue_article_slug'] = $slug;
        check_products::create($data);
        $categoriesListe = DB::table('selected_categories')->where('boutique_slug', $boutique['slug'])->where('corbeil', false)->pluck('categorie_slug')->toArray();

        $categories = CategorieCatalogue::whereIn('slug', $categoriesListe)->where('corbeil', false)->get();
        $categories_id = CategorieCatalogue::whereIn('slug', $categoriesListe)->where('corbeil', false)->where('corbeil', false)->pluck('id')->toArray();
        $article = CatalogueArticles::all()->where('slug', $slug)->first();
        $categorie_slug = $article['categorie_slug'];

        $articles = CatalogueArticles::with('categorie', 'boutique', 'boutique.meta', 'article_coffret')->where('slug', $slug)->first();

        if ($articles['is_coffret'] == 1) {
            $articleCoffrets = ArticleCoffret::with('article')->where('article_id', $articles['id'])->get();
            // dd('ok',$articles, $articleCoffrets);
        } else {
            $articleCoffrets = null;
        }
        if (!isset($articles['boutique'])) {
            $articles['boutique'] = Boutique::with('meta')->where('slug', $boutique['slug'])->first();
        }
        LaravelFacebookPixelFacade::createEvent('Purchase', $parameters = ['content_category' => $articles->categorie->intitule, 'content_ids' => $articles->slug, 'content_name' => $articles->name, 'content_type' => 'product', 'contents' => [['id' => $articles->slug, 'quantity' => $articles->quantity]], 'currency' => $articles->boutique->meta->currency_admin, 'value' => $articles->price]);

        $categorie = CategorieCatalogue::all()->where('slug', $article->categorie_slug)->first();
        $article->categorie = $categorie;
        $images = DB::table('images')->where('type', 'articles')->where('key', $article->slug)->get();
        $article->images = $images;
        $articlesListe = DB::table('select_articles')->where('boutique_slug', $boutique['slug'])->where('corbeil', false)->pluck('article_slug')->toArray();
        $promos = CatalogueArticles::with(['categorie', 'images'])->whereIn('slug', $articlesListe)->where('categorie_slug', $categorie_slug)->where('slug', '<>', $article->slug)->orwhere('boutique_slug', $boutique['slug'])->whereIn('slug', $articlesListe)->where('active', true)->where('corbeil', false)->where('quantity', '>=', 1)->where('categorie_slug', $categorie_slug)->where('slug', '<>', $article->slug)->inRandomOrder()->paginate(8);
        $images = Images::where('type', 'articles')->get();
        $caracteristique = CategorieCaracteristique::where('categorie_catalogue_id', $categorie['id'])->get();
        $articles_metas = ArticleMeta::where('boutiques_slug', $boutique['slug'])->get();

        return view('dashboard.Boutique.Boutique_template.pages.grocery.product', compact('article', 'articleCoffrets', 'promos', 'images', 'categories', 'caracteristique', 'articles_metas'));
    }

    public function contact($boutique)
    {
        $this->viewSahring();
        $boutique = Boutique::with('meta', 'paiement_echelonner', 'mibSubscribe')->where('nom_boutique', $boutique)->first();
        Session::put('boutique', $boutique);
        if (!Session::has('boutique')) {
            return redirect('/boutique/liste');
        }
        LaravelFacebookPixelFacade::createEvent('Contact', $parameters = []);
        $boutique = Session::get('boutique');

        $categoriesListe = DB::table('selected_categories')->where('boutique_slug', $boutique['slug'])->where('corbeil', false)->pluck('categorie_slug')->toArray();
        $categories = CategorieCatalogue::whereIn('slug', $categoriesListe)->orwhere('boutique_slug', $boutique['slug'])->get();

        return view('dashboard.Boutique.Boutique_template.pages.grocery.contact', compact('boutique', 'categories'));
    }

    public function point_vente()
    {
        $this->viewSahring();
        if (!Session::has('boutique')) {
            return redirect('/boutique/liste');
        }
        LaravelFacebookPixelFacade::createEvent('point de vente', $parameters = []);
        $boutique = Session::get('boutique');

        $categoriesListe = DB::table('selected_categories')->where('boutique_slug', $boutique['slug'])->where('corbeil', false)->pluck('categorie_slug')->toArray();
        $categories = CategorieCatalogue::whereIn('slug', $categoriesListe)->orwhere('boutique_slug', $boutique['slug'])->get();
        $point_ventes = PointVente::where('boutique_id', $boutique['id'])->get();
        return view('dashboard.Boutique.Boutique_template.pages.grocery.point_vente', compact('boutique', 'categories', 'point_ventes'));
    }


    public function filterByCategory($boutique, $slug)
    {
        $boutique = Boutique::with('meta', 'paiement_echelonner', 'publicites', 'mibSubscribe')->where('nom_boutique', $boutique)->first();
        Session::put('boutique', $boutique);
        $this->viewSahring();
        $articles = CatalogueArticles::where('categorie_slug', $slug)->where('boutique_slug', $boutique['slug'])->where('active', 1)->where('corbeil', false)->get();
        $boutique = Session::get('boutique');
        $articlesListe = DB::table('select_articles')->where('boutique_slug', $boutique['slug'])->where('corbeil', false)->pluck('article_slug')->toArray();
        $articleObj = new CatalogueArticles();
        $promos = $articleObj->promoArticles();
        $categoriesListe = DB::table('selected_categories')->where('boutique_slug', $boutique->slug)->where('corbeil', false)->pluck('categorie_slug')->toArray();
        $categories = CategorieCatalogue::whereIn('slug', $categoriesListe)->where('corbeil', false)->get();
        $images = Images::where('type', 'articles')->get();
        return view('dashboard.Boutique.Boutique_template.pages.grocery.all_products', compact('boutique', 'articles', 'promos', 'categories', 'images', 'slug'));
    }
    public function productFilter(Request $request, $boutique)
    {
        $data = $request->all();
        $boutique = Boutique::with('meta', 'paiement_echelonner', 'publicites', 'mibSubscribe')->where('nom_boutique', $boutique)->first();
        Session::put('boutique', $boutique);
        $this->viewSahring();
        $articlesListe = DB::table('select_articles')->where('boutique_slug', $boutique['slug'])->where('corbeil', false)->pluck('article_slug')->toArray();
        $articlesListe = DB::table('catalogue_articles')->where('boutique_slug', $boutique['slug'])->where('active', true)->where('corbeil', false)->orWhereIn('slug', $articlesListe)->where('active', true)->where('corbeil', false)->pluck('slug')->toArray();
        if (isset($data['name']) && $data['name'] != null) {
            $articlesListe = CatalogueArticles::where('name', 'like', '%' . $data['name'] . '%')
                ->whereIn('slug', $articlesListe)->pluck('slug')->toArray();
        }

        if (isset($data['promo']) && $data['promo'] != null && $data['promo'] == "on") {
            $articlesListe = CatalogueArticles::where('on_sale', 1)
                ->whereIn('slug', $articlesListe)->pluck('slug')->toArray();
        }

        if (isset($data['min']) && $data['min'] != null) {
            $helpers = new HelperController();
            $idsArray = [];
            foreach ($articlesListe as $key => $slug) {
                $price = $helpers->get_article_price_by_boutique($slug, $boutique['slug']);
                if ($price >= $data['min']) {
                    array_push($idsArray, $slug);
                }
            }
            $articlesListe = $idsArray;
        }

        if (isset($data['max']) && $data['max'] != null) {
            $helpers = new HelperController();
            $idsArray = [];
            foreach ($articlesListe as $key => $slug) {
                $price = $helpers->get_article_price_by_boutique($slug, $boutique['slug']);
                if ($price <= $data['max']) {
                    array_push($idsArray, $slug);
                }
            }
            $articlesListe = $idsArray;
        }
        if (isset($data['categorie']) && $data['categorie'] != null) {
            $articlesListe = CatalogueArticles::where('categorie_slug', $data['categorie'])
                ->whereIn('slug', $articlesListe)->pluck('slug')->toArray();
        }


        $articles = DB::table('catalogue_articles')->whereIn('slug', $articlesListe)->where('active', 1)->where('corbeil', 0)->inRandomOrder()->get();

        $categoriesListe = DB::table('selected_categories')->where('boutique_slug', $boutique['slug'])->where('corbeil', false)->pluck('categorie_slug')->toArray();
        $categories = CategorieCatalogue::whereIn('slug', $categoriesListe)->where('corbeil', false)->get();
        $images = Images::where('type', 'articles')->get();
        if (isset($articlesListe) && count($articlesListe) > 0) {
            $articlesListe = DB::table('select_articles')->where('boutique_slug', $boutique['slug'])->whereNotIn('article_slug', $articlesListe)->where('corbeil', false)->pluck('article_slug')->toArray();
        } else {
            $articlesListe = DB::table('select_articles')->where('boutique_slug', $boutique['slug'])->where('corbeil', false)->pluck('article_slug')->toArray();
        }
        $promos = CatalogueArticles::with(['categorie', 'images'])->where('active', true)->where('corbeil', false)->where('quantity', '>=', 1)->whereIn('slug', $articlesListe)->inRandomOrder()->take(12)->get();
        return view('dashboard.Boutique.Boutique_template.pages.grocery.all_products', compact('boutique', 'articles', 'promos', 'categories', 'images'));
    }

    public function productFilterInCategoryProductList(Request $request)
    {
        try {
            $data = $request->all();
            $boutique = Session::get('boutique');
            $articlesListe = DB::table('select_articles')->where('boutique_slug', $boutique['slug'])->where('corbeil', false)->pluck('article_slug')->toArray();
            $articlesListe = DB::table('catalogue_articles')->where('boutique_slug', $boutique['slug'])->where('active', true)->where('corbeil', false)->orWhereIn('slug', $articlesListe)->where('active', true)->where('corbeil', false)->pluck('slug')->toArray();
            if (isset($data['name']) && $data['name'] != null) {
                $articlesListe = CatalogueArticles::where('name', 'like', '%' . $data['name'] . '%')
                    ->whereIn('slug', $articlesListe)->pluck('slug')->toArray();
            }
            if (isset($data['promo']) && $data['promo'] != null && $data['promo'] == "on") {
                $articlesListe = CatalogueArticles::where('on_sale', 1)
                    ->whereIn('slug', $articlesListe)->pluck('slug')->toArray();
            }
            if (isset($data['min']) && $data['min'] != null) {
                $helpers = new HelperController();
                $idsArray = [];
                foreach ($articlesListe as $key => $slug) {
                    $price = $helpers->get_article_price_by_boutique($slug, $boutique['slug']);
                    if (intVal($price) >= intVal($data['min'])) {
                        array_push($idsArray, $slug);
                    }
                }
                $articlesListe = $idsArray;
            }
            if (isset($data['max']) && $data['max'] != null) {
                $helpers = new HelperController();
                $idsArray = [];
                foreach ($articlesListe as $key => $slug) {
                    $price = $helpers->get_article_price_by_boutique($slug, $boutique['slug']);
                    if (intVal($price) <= intVal($data['max'])) {
                        array_push($idsArray, $slug);
                    }
                }
                $articlesListe = $idsArray;
            }
            if (isset($data['categorie']) && $data['categorie'] != null) {
                $articlesListe = CatalogueArticles::where('categorie_slug', $data['categorie'])
                    ->whereIn('slug', $articlesListe)->pluck('slug')->toArray();
            }
            $articles_lists =   CatalogueArticles::where('active', 1)->where('corbeil', 0)->whereIn('slug', $articlesListe)->inRandomOrder()->get();

            $dataView =  view('dashboard.Boutique.Boutique_template.pages.grocery.list_article_3xdisplay')->with('articles_lists', $articles_lists)->with('thisShop', $boutique)->render();
            return ['error' => false, 'view' => $dataView, 'articles' => $articlesListe];
        } catch (\Exception $e) {
            return ['error' => true, 'message' => $e->getMessage()];
        }
    }

    public function filterByCategoryAndName(Request $request, $boutique)
    {
        $boutique = Boutique::where('nom_boutique', $boutique)->first();
        Session::put('boutique', $boutique);
        $this->viewSahring();
        $articles = CatalogueArticles::where('name', 'like', '%' . $request->name . '%')
            ->where('boutique_slug', Session::get('boutique')->slug)
            ->where('active', 1)->where('corbeil', false)->pluck('slug')->toArray();
        $articlesDiff = CatalogueArticles::where('name', 'like', '%' . $request->name . '%')
            ->where('boutique_slug', '<>', $boutique['slug'])
            ->where('active', 1)->where('corbeil', false)->pluck('slug')->toArray();
        $articlesListe = DB::table('select_articles')->where('boutique_slug', $boutique->slug)->whereIn('article_slug', $articlesDiff)->where('corbeil', false)->pluck('article_slug')->toArray();
        $articleAll = array_merge($articles, $articlesListe);
        $articles = CatalogueArticles::whereIn('slug', $articleAll)->get();
        $articleObj = new CatalogueArticles();
        $promos = $articleObj->promoArticles();
        $categoriesListe = DB::table('selected_categories')->where('boutique_slug', $boutique->slug)->where('corbeil', false)->pluck('categorie_slug')->toArray();
        $categories = CategorieCatalogue::whereIn('slug', $categoriesListe)->orwhere('boutique_slug', $boutique['slug'])->where('corbeil', false)->get();

        return view('dashboard.Boutique.Boutique_template.pages.grocery.all_products', compact('articles', 'promos', 'categories'));
    }

    public function addToCart(Request $request)
    {

        try {
            $commandes = [];
            $maboutique = Session::get('boutique');
            $added = Session::get('addedArticles');
            // $commandes=Session::get('commandes');
            //$quantities = Session::get('quantities');
            $helpers = new HelperController();
            $reste = 0;
            if ($added == null) {
                $added = [];
            }
            if (array_key_exists('' . $request->article, $added)) {
                $quantity = (float)$added['' . $request->article] + (float)$request->quantity;
                if ($quantity <= $request->maximum) {
                    $added['' . $request->article] = $quantity;
                } else {
                    $reste = (float)$request->maximum - (float)$added['' . $request->article];
                }
            } else {
                $added['' . $request->article] = $request->quantity;
            }

            //Calcul du prix total des produit ajoutés dans le panier
            $prixTotal = 0;
            $i = 0;
            $allToltal = 0;
            foreach ($added as $slug => $value) {
                $i++;
                $article = CatalogueArticles::all()->where('slug', $slug)->first();
                $articles = CatalogueArticles::with('categorie', 'boutique', 'boutique.meta')->where('slug', $slug)->first();
                if (!isset($articles['boutique'])) {
                    $articles['boutique'] = Boutique::with('meta')->where('slug', $maboutique['slug'])->first();
                    $articles['quantity'] = $helpers->get_meta_article('quantity', $articles['slug'], $maboutique['slug']);
                    $articles['name'] = $helpers->get_meta_article('name', $articles['slug'], $maboutique['slug']);
                }
                $prix = $helpers->get_article_price_by_boutique($article->slug, $maboutique['slug']);
                LaravelFacebookPixelFacade::createEvent('Purchase', $parameters = ['content_category' => $articles->categorie->intitule, 'content_ids' => $articles['slug'], 'content_name' => $articles['name'], 'content_type' => 'product', 'contents' => [['id' => $articles['slug'], 'quantity' => $articles['quantity']]], 'currency' => $articles->boutique->meta->currency_admin, 'value' => $prix]);
                $prix = (float)$prix * (float)$value;
                $prixTotal += $prix;
                $commandes[] = ['article' => $article, 'prixTotal' => $prix, 'quantity' => $value];
            }

            Session::put(['panier' => $i, 'prix' => $prixTotal]);
            Session::put(['addedArticles' => $added]);
            Session::put(['commandes' => $commandes]);
            Session::put('boutique' . $maboutique['slug'], $maboutique['slug']);
            return ['price' => $prixTotal, 'count' => count($added), 'reste' => $reste];
        } catch (\Exception $e) {
            return ['message' => $e->getMessage()];
        }
    }


    public function renewAbonnementIntram(Request $request)
    {
        try {
            $data = $request->all();
            $public_key = env('INTRAM_PUBLIC');
            $secret = env('INTRAM_SECRET');
            $private_key = env('INTRAM_PRIVATE');
            $intram = new \Intram\Intram($public_key, $private_key, $secret, env('INTRAM_SANDBOX') == true);
            $transaction_id = $data['response']['transactionId'];
            $verify = $intram->getTransactionStatus($transaction_id);
            // dd($boutique_abonnement);
            $status = $verify->status;
            $help = new Boutique();
            $help->storeAbonnement($transaction_id, $data['abonnement_slug'], $data['boutique_slug'], 'INTRAM');
            $abonnement = EtatAbonnement::where('slug', $data['abonnement_slug'])->first();
            $boutique = Boutique::where('slug', $data['boutique_slug'])->first();
            LaravelFacebookPixelFacade::createEvent('Subscribe', $parameters = ['predicted_ltv' => $abonnement['price'], 'currency' => 'XOF', 'value' => $abonnement['price']]);
            if ($status == 'SUCCESS') {
                if ($verify->amount == (int)$abonnement['price']) {
                    //send money to sunmarketer
                    $bonus = 0;
                    if ($boutique['sunmarketer'] != 'none' && $boutique['sunmarketer'] != null && $boutique['sunmarketer'] != 'almost') {
                        //                    $marketer = ;
                        $marketer = DB::table('marketers')->where('user_slug', $boutique['sunmarketer'])->first();
                        if (isset($marketer) && $marketer != null) {
                            $usermarketer = $boutique['sunmarketer'];
                            $portefeuille = DB::table('portefeuilles')->where('user_slug', $marketer->user_slug)->where('devise', ($marketer->currency != null ? $marketer->currency : 'USD'))->first();
                            $ab = (float)$abonnement['price'];
                            $reduc = 10;
                            if ($boutique['sunmarketer_first_time'] == 0) {
                                $reduc = 20;
                                DB::table('boutiques')->where('slug', $data['boutique_slug'])->update(['sunmarketer_first_time' => 1]);
                            }
                            $bonus = ($ab * $reduc) / 100;
                            if ($marketer->currency != 'XOF' || $marketer->currency) {
                                $helpers = new HelperController();
                                $bonus = $helpers->convertCurrency('XOF', 'USD', $bonus);
                            }
                            if (isset($portefeuille) && $portefeuille != null) {
                                $montant = (float)$portefeuille->montant + $bonus;
                                DB::table('portefeuilles')
                                    ->where('user_slug', $marketer->user_slug)
                                    ->where('devise', 'XOF')
                                    ->update(['montant' => $montant]);
                            } else {
                                Portefeuille::create([
                                    'user_slug' => $marketer->user_slug,
                                    'devise' => ($marketer->currency != null ? $marketer->currency : 'XOF'),
                                    'montant' => $bonus,
                                    'active' => true,
                                    'tentative' => 0,
                                    'created_at' => Carbon::now(),
                                    'updated_at' => Carbon::now(),
                                ]);
                            }
                            $messages = "La boutique " . $boutique['nom_boutique'] . " à mis à jour son abonnement pour " . $abonnement['numberMonth'] . ' mois, pour un montant de ' . (float)$abonnement['price'] . '. Vous bénéficiez de 10% de la somme totale du montant soit ' . $bonus;
                            if ($boutique['sunmarketer_first_time'] == 0) {
                                $messages = "La boutique " . $boutique['nom_boutique'] . " à mis à jour son abonnement pour " . $abonnement['numberMonth'] . ' mois, pour un montant de ' . (float)$abonnement['price'] . '. Vous bénéficiez de 20% de la somme totale du montant soit ' . $bonus;
                            }
                        } else {
                            $code = CodePromo::where('code', $boutique['sunmarketer'])->first();
                            if (isset($code) && $code != null) {
                                $userData = DB::table('users')->where('id', $code['user_id'])->first();
                                $usermarketer = $userData->slug;
                                $portefeuille = DB::table('portefeuilles')->where('user_slug', $userData->slug)->where('devise', 'XOF')->first();
                                $ab = (float)$abonnement['price'];
                                $bonus = ($ab * 25) / 100;
                                //
                                if (isset($portefeuille) && $portefeuille != null) {
                                    $montant = (float)$portefeuille->montant + $bonus;
                                    DB::table('portefeuilles')
                                        ->where('user_slug', $userData->slug)
                                        ->where('devise', 'XOF')
                                        ->update(['montant' => $montant]);
                                } else {
                                    Portefeuille::create([
                                        'user_slug' => $userData->user_slug,
                                        'devise' => 'XOF',
                                        'montant' => $bonus,
                                        'active' => true,
                                        'tentative' => 0,
                                        'created_at' => Carbon::now(),
                                        'updated_at' => Carbon::now(),
                                    ]);
                                }
                            }
                            $messages = "La boutique " . $boutique['nom_boutique'] . " à mis à jour son abonnement pour " . $abonnement['numberMonth'] . ' mois, pour un montant de ' . (float)$abonnement['price'] . '. Vous bénéficiez de 25% de la somme totale du montant soit ' . $bonus;
                        }
                        //                    $sh = Boutique::findOrFail($boutique['id']);
                        //                    $sh->sunmarketer = 'almost';
                        //                    $sh->save();
                        $subject = 'Compte créditer';
                        MailController::SendGeneralUniqueMail('Mail.generale_blade', $subject, $messages, env('MAIL_ADMIN'), env('MAIL_USERNAME'));
                    }
                    //End sunmarketers bonus transaction
                    $data['slug'] = Str::slug(time() . 'boutique' . time() . 'abonnement');
                    $data['boutique_id'] = $boutique['id'];
                    $data['etat_abonnement_id'] = $abonnement['id'];
                    $data['expired'] = false;
                    DB::table('boutique_abonnements')->where('boutique_id', $boutique['id'])->where('etat_abonnement_id', $abonnement['id'])->update(['expired' => false]);
                    $boutique['expired'] ? $expireBoutique = Carbon::now()->format('M d Y H:i:s') : $expireBoutique = Carbon::create($boutique['expired_to'])->format('M d Y H:i:s');
                    $expired_to = strtotime("+" . $abonnement['numberMonth'] . " months", strtotime($expireBoutique));
                    $myShop = Boutique::findOrFail($boutique['id']);
                    $myShop->expired_to = Carbon::createFromFormat('Y-m-d H:i:s', date('Y-m-d H:i:s', $expired_to));
                    $myShop->expired = false;
                    $myShop->save();
                    $data['expired_at'] = $myShop->expired_to;
                    BoutiqueAbonnement::create($data);
                    $user = Session::get('user')['slug'];
                    $boutique['expired']
                        ?
                        $motif = 'Paiement effectué pour abonnement ' . $abonnement['name'] . ' de la boutique ' . $boutique['nom_boutique']
                        :
                        $motif = 'Paiement effectué pour cumule d\'abonnement ' . $abonnement['name'] . ' de la boutique ' . $boutique['nom_boutique'];

                    $montant = $abonnement['price'];
                    $boutique['expired']
                        ?
                        $action = 'Abonnement Boutique'
                        :
                        $action = 'Cumule d\'abonnement Boutique';
                    if ($boutique['sunmarketer'] != 'none' && $boutique['sunmarketer'] != null && $boutique['sunmarketer'] != 'almost') {
                        if (isset($usermarketer)) AbonnementPaiment::createpaiement($usermarketer, (float)$bonus, 'Actif de parainage', $motif, 'XOF');
                        AbonnementPaiment::createpaiement($user, ((float)$montant - (float)$bonus), $action, $motif, 'XOF');
                    } else {
                        AbonnementPaiment::createpaiement($user, $montant, $action, $motif, 'XOF');
                    }
                    $help->removeAbonnement($data['boutique_slug']);
                    $response = true;
                } else {
                    $response = false;
                    $message = "Le prix de l'abonnement n'est pas conforme à celui payé";
                }
            } else {
                $response = false;
                $message = "Nous ne parvenons pas à retrouver la transaction";
            }
            if ($response) {
                $status = 'success';
                $boutique['expired']
                    ?
                    $message = 'Votre boutique à été mis à jour avec succès. Vous bénéficiez de ' . $abonnement['numberMonth'] . ' mois d\'accès à notre espace de vente.'
                    :
                    $message = 'L\'abonnement de votre boutique à été mis à jour avec succès. Vous bénéficiez de ' . $abonnement['numberMonth'] . ' mois supplémentaire d\'accès à notre espace de vente.';

                $subject = 'ABONNEMENT DE LA BOUTIQUE ' . $boutique['nom_boutique'];
                $messages = "La boutique " . $boutique['nom_boutique'] . " à mis à jour son abonnement pour " . $abonnement['numberMonth'] . ' mois';
                MailController::SendGeneralUniqueMail('Mail.generale_blade', $subject, $messages, env('MAIL_ADMIN'), env('MAIL_USERNAME'));
            } else {
                $status = 'error';
                $message = 'Une erreur s\'est produite Veuillez reéssayer ou contacter le service client si le paiement à été effectué sans activation de l\'abonnement. ' . $message;
            }
            return json_encode(['response' => $status, 'message' => $message]);
        } catch (\Exception $e) {
            return json_encode(['response' => 'error', 'message' => $e->getMessage()]);
        }
    }

    public function renewAbonnement(Request $request)
    {
        try {
            $data = $request->all();
            $public_key = env('KKIAPAY_PUBLIC');
            $secret = env('KKIAPAY_SECRET');
            $private_key = env('KKIAPAY_PRIVATE');
            $kkiapay = new \Kkiapay\Kkiapay(
                $public_key,
                $private_key,
                $secret,
                env('KKIAPAY_SANDBOX') == '1'
            );
            $transaction_id = $data['response']['transactionId'];
            $verify = $kkiapay->verifyTransaction($transaction_id);
            // dd($boutique_abonnement);
            $status = $verify->status;
            $help = new Boutique();
            $help->storeAbonnement($transaction_id, $data['abonnement_slug'], $data['boutique_slug'], 'KKIAPAY');
            $abonnement = EtatAbonnement::where('slug', $data['abonnement_slug'])->first();
            $boutique = Boutique::where('slug', $data['boutique_slug'])->first();

            LaravelFacebookPixelFacade::createEvent('Subscribe', $parameters = ['predicted_ltv' => $abonnement['price'], 'currency' => 'XOF', 'value' => $abonnement['price']]);

            if ($status == 'SUCCESS') {

                if ($verify->amount == (int)$abonnement['price']) {
                    //send money to sunmarketer
                    $bonus = 0;
                    if ($boutique['sunmarketer'] != 'none' && $boutique['sunmarketer'] != null && $boutique['sunmarketer'] != 'almost') {
                        //                    $marketer = ;
                        $marketer = DB::table('marketers')->where('user_slug', $boutique['sunmarketer'])->first();
                        if (isset($marketer) && $marketer != null) {
                            $usermarketer = $boutique['sunmarketer'];
                            $portefeuille = DB::table('portefeuilles')->where('user_slug', $marketer->user_slug)->where('devise', ($marketer->currency != null ? $marketer->currency : 'USD'))->first();
                            $ab = (float)$abonnement['price'];
                            $reduc = 10;
                            if ($boutique['sunmarketer_first_time'] == 0) {
                                $reduc = 20;
                                DB::table('boutiques')->where('slug', $data['boutique_slug'])->update(['sunmarketer_first_time' => 1]);
                            }
                            $bonus = ($ab * $reduc) / 100;
                            if ($marketer->currency != 'XOF' || $marketer->currency) {
                                $helpers = new HelperController();
                                $bonus = $helpers->convertCurrency('XOF', 'USD', $bonus);
                            }
                            if (isset($portefeuille) && $portefeuille != null) {
                                $montant = (float)$portefeuille->montant + $bonus;
                                DB::table('portefeuilles')
                                    ->where('user_slug', $marketer->user_slug)
                                    ->where('devise', 'XOF')
                                    ->update(['montant' => $montant]);
                            } else {
                                Portefeuille::create([
                                    'user_slug' => $marketer->user_slug,
                                    'devise' => ($marketer->currency != null ? $marketer->currency : 'XOF'),
                                    'montant' => $bonus,
                                    'active' => true,
                                    'tentative' => 0,
                                    'created_at' => Carbon::now(),
                                    'updated_at' => Carbon::now(),
                                ]);
                            }
                            $messages = "La boutique " . $boutique['nom_boutique'] . " à mis à jour son abonnement pour " . $abonnement['numberMonth'] . ' mois, pour un montant de ' . (float)$abonnement['price'] . '. Vous bénéficiez de 10% de la somme totale du montant soit ' . $bonus;
                            if ($boutique['sunmarketer_first_time'] == 0) {
                                $messages = "La boutique " . $boutique['nom_boutique'] . " à mis à jour son abonnement pour " . $abonnement['numberMonth'] . ' mois, pour un montant de ' . (float)$abonnement['price'] . '. Vous bénéficiez de 20% de la somme totale du montant soit ' . $bonus;
                            }
                        } else {
                            $code = CodePromo::where('code', $boutique['sunmarketer'])->first();
                            if (isset($code) && $code != null) {
                                $userData = DB::table('users')->where('id', $code['user_id'])->first();
                                $usermarketer = $userData->slug;
                                $portefeuille = DB::table('portefeuilles')->where('user_slug', $userData->slug)->where('devise', 'XOF')->first();
                                $ab = (float)$abonnement['price'];
                                $bonus = ($ab * 25) / 100;
                                //
                                if (isset($portefeuille) && $portefeuille != null) {
                                    $montant = (float)$portefeuille->montant + $bonus;
                                    DB::table('portefeuilles')
                                        ->where('user_slug', $userData->slug)
                                        ->where('devise', 'XOF')
                                        ->update(['montant' => $montant]);
                                } else {
                                    Portefeuille::create([
                                        'user_slug' => $userData->user_slug,
                                        'devise' => 'XOF',
                                        'montant' => $bonus,
                                        'active' => true,
                                        'tentative' => 0,
                                        'created_at' => Carbon::now(),
                                        'updated_at' => Carbon::now(),
                                    ]);
                                }
                            }
                            $messages = "La boutique " . $boutique['nom_boutique'] . " à mis à jour son abonnement pour " . $abonnement['numberMonth'] . ' mois, pour un montant de ' . (float)$abonnement['price'] . '. Vous bénéficiez de 25% de la somme totale du montant soit ' . $bonus;
                        }
                        //                    $sh = Boutique::findOrFail($boutique['id']);
                        //                    $sh->sunmarketer = 'almost';
                        //                    $sh->save();
                        $subject = 'Compte créditer';
                        MailController::SendGeneralUniqueMail('Mail.generale_blade', $subject, $messages, env('MAIL_ADMIN'), env('MAIL_USERNAME'));
                    }
                    //End sunmarketers bonus transaction
                    $data['slug'] = Str::slug(time() . 'boutique' . time() . 'abonnement');
                    $data['boutique_id'] = $boutique['id'];
                    $data['etat_abonnement_id'] = $abonnement['id'];
                    $data['expired'] = false;
                    DB::table('boutique_abonnements')->where('boutique_id', $boutique['id'])->where('etat_abonnement_id', $abonnement['id'])->update(['expired' => false]);
                    $boutique['expired'] ? $expireBoutique = Carbon::now()->format('M d Y H:i:s') : $expireBoutique = Carbon::create($boutique['expired_to'])->format('M d Y H:i:s');
                    $expired_to = strtotime("+" . $abonnement['numberMonth'] . " months", strtotime($expireBoutique));
                    $myShop = Boutique::findOrFail($boutique['id']);
                    $myShop->expired_to = Carbon::createFromFormat('Y-m-d H:i:s', date('Y-m-d H:i:s', $expired_to));
                    $myShop->expired = false;
                    $myShop->save();
                    $data['expired_at'] = $myShop->expired_to;
                    BoutiqueAbonnement::create($data);
                    $user = Session::get('user')['slug'];
                    $boutique['expired']
                        ?
                        $motif = 'Paiement effectué pour abonnement ' . $abonnement['name'] . ' de la boutique ' . $boutique['nom_boutique']
                        :
                        $motif = 'Paiement effectué pour cumule d\'abonnement ' . $abonnement['name'] . ' de la boutique ' . $boutique['nom_boutique'];

                    $montant = $abonnement['price'];
                    $boutique['expired']
                        ?
                        $action = 'Abonnement Boutique'
                        :
                        $action = 'Cumule d\'abonnement Boutique';
                    if ($boutique['sunmarketer'] != 'none' && $boutique['sunmarketer'] != null && $boutique['sunmarketer'] != 'almost') {
                        if (isset($usermarketer)) AbonnementPaiment::createpaiement($usermarketer, (float)$bonus, 'Actif de parainage', $motif, 'XOF');
                        AbonnementPaiment::createpaiement($user, ((float)$montant - (float)$bonus), $action, $motif, 'XOF');
                    } else {
                        AbonnementPaiment::createpaiement($user, $montant, $action, $motif, 'XOF');
                    }
                    $help->removeAbonnement($data['boutique_slug']);
                    $response = true;
                } else {
                    $response = false;
                    $message = "Le prix de l'abonnement n'est pas conforme à celui payé";
                }
            } else {
                $response = false;
                $message = "Nous ne parvenons pas à retrouver la transaction";
            }
            if ($response) {

                $status = 'success';
                $boutique['expired']
                    ?
                    $message = 'Votre boutique à été mis à jour avec succès. Vous bénéficiez de ' . $abonnement['numberMonth'] . ' mois d\'accès à notre espace de vente.'
                    :
                    $message = 'L\'abonnement de votre boutique à été mis à jour avec succès. Vous bénéficiez de ' . $abonnement['numberMonth'] . ' mois supplémentaire d\'accès à notre espace de vente.';

                $subject = 'ABONNEMENT DE LA BOUTIQUE ' . $boutique['nom_boutique'];
                $messages = "La boutique " . $boutique['nom_boutique'] . " à mis à jour son abonnement pour " . $abonnement['numberMonth'] . ' mois';
                MailController::SendGeneralUniqueMail('Mail.generale_blade', $subject, $messages, env('MAIL_ADMIN'), env('MAIL_USERNAME'));
            } else {
                $status = 'error';
                $message = 'Une erreur s\'est produite Veuillez reéssayer ou contacter le service client si le paiement à été effectué sans activation de l\'abonnement. ' . $message;
            }
            return json_encode(['response' => $status, 'message' => $message]);
        } catch (\Exception $e) {
            return json_encode(['response' => 'error', 'message' => $e->getMessage()]);
        }
    }

    public function checkRenewAfterPaiementIntram(Request $request)
    {
        $data = $request->all();
        $abonnement_slug = Session::get('type_abonnement');
        $boutique_abonnement = Session::get('boutique_abonnement');
        $public_key = env('INTRAM_PUBLIC');
        $secret = env('INTRAM_SECRET');
        $private_key = env('INTRAM_PRIVATE');
        $intram = new \Intram\Intram($public_key, $private_key, $secret, env('INTRAM_SANDBOX') == true);
        $transaction_id = $data['transaction_id'];
        $verify = $intram->getTransactionStatus($transaction_id);
        // dd($boutique_abonnement);
        $status = $verify->status;
        if ($status == 'SUCCESS') {
            $abonnement = EtatAbonnement::where('slug', $abonnement_slug)->first();
            $boutique = Boutique::where('slug', $boutique_abonnement)->first();
            if ($verify->amount == (int)$abonnement['price']) {
                $data['slug'] = Str::slug(time() . 'boutique' . time() . 'abonnement');
                $data['boutique_id'] = $boutique['id'];
                $data['etat_abonnement_id'] = $abonnement['id'];
                $data['expired'] = false;
                DB::table('boutique_abonnements')->where('boutique_id', $boutique['id'])->where('etat_abonnement_id', $abonnement['id'])->update(['expired' => false]);
                $boutique['expired']
                    ?
                    $expireBoutique = Carbon::now()->format('M d Y H:i:s')
                    :
                    $expireBoutique = Carbon::create($boutique['expired_to'])->format('M d Y H:i:s');

                $expired_to = strtotime("+" . $abonnement['numberMonth'] . " months", strtotime($expireBoutique));
                $myShop = Boutique::findOrFail($boutique['id']);
                $myShop->expired_to = Carbon::createFromFormat('Y-m-d H:i:s', date('Y-m-d H:i:s', $expired_to));
                $myShop->expired = false;
                $myShop->save();
                $data['expired_at'] = $myShop->expired_to;
                BoutiqueAbonnement::create($data);
                $user = Session::get('user')['slug'];
                $boutique['expired']
                    ?
                    $motif = 'Paiement effectué pour abonnement ' . $abonnement['name'] . ' de la boutique ' . $boutique['nom_boutique']
                    :
                    $motif = 'Paiement effectué pour cumule d\'abonnement ' . $abonnement['name'] . ' de la boutique ' . $boutique['nom_boutique'];

                $montant = $abonnement['price'];
                $boutique['expired']
                    ?
                    $action = 'Abonnement Boutique'
                    :
                    $action = 'Cumule d\'abonnement Boutique';

                AbonnementPaiment::createpaiement($user, $montant, $action, $motif, 'XOF');
                $response = true;
            } else {
                $response = false;
            }
        } else {
            $response = false;
        }
        if ($response) {

            $status = 'success';
            $boutique['expired']
                ?
                $message = 'Votre boutique à été mis à jour avec succès. Vous bénéficiez de ' . $abonnement['numberMonth'] . ' mois d\'accès à notre espace de vente.'
                :
                $message = 'L\'abonnement de votre boutique à été mis à jour avec succès. Vous bénéficiez de ' . $abonnement['numberMonth'] . ' mois supplémentaire d\'accès à notre espace de vente.';

            $subject = 'ABONNEMENT DE LA BOUTIQUE ' . $boutique['nom_boutique'];
            $messages = "La boutique " . $boutique['nom_boutique'] . " à mis à jour son abonnement pour " . $abonnement['numberMonth'] . ' mois';
            MailController::SendGeneralUniqueMail('Mail.generale_blade', $subject, $messages, env('MAIL_ADMIN'), env('MAIL_USERNAME'));
        } else {
            $status = 'error';
            $message = 'Une erreur s\'est produite Veuillez reéssayer ou contacter le service client si le paiement à été effectué sans activation de l\'abonnement.';
        }
        return redirect('boutique')->with($status, $message);
    }

    public function checkRenewAfterPaiement(Request $request)
    {
        $data = $request->all();
        $abonnement_slug = Session::get('type_abonnement');
        $boutique_abonnement = Session::get('boutique_abonnement');
        $public_key = env('KKIAPAY_PUBLIC');
        $secret = env('KKIAPAY_SECRET');
        $private_key = env('KKIAPAY_PRIVATE');
        $kkiapay = new \Kkiapay\Kkiapay(
            $public_key,
            $private_key,
            $secret,
            env('KKIAPAY_SANDBOX') == '1'
        );
        $transaction_id = $data['transaction_id'];
        $verify = $kkiapay->verifyTransaction($transaction_id);
        // dd($boutique_abonnement);
        $status = $verify->status;
        if ($status == 'SUCCESS') {
            $abonnement = EtatAbonnement::where('slug', $abonnement_slug)->first();
            $boutique = Boutique::where('slug', $boutique_abonnement)->first();
            if ($verify->amount == (int)$abonnement['price']) {
                $data['slug'] = Str::slug(time() . 'boutique' . time() . 'abonnement');
                $data['boutique_id'] = $boutique['id'];
                $data['etat_abonnement_id'] = $abonnement['id'];
                $data['expired'] = false;
                DB::table('boutique_abonnements')->where('boutique_id', $boutique['id'])->where('etat_abonnement_id', $abonnement['id'])->update(['expired' => false]);
                $boutique['expired']
                    ?
                    $expireBoutique = Carbon::now()->format('M d Y H:i:s')
                    :
                    $expireBoutique = Carbon::create($boutique['expired_to'])->format('M d Y H:i:s');

                $expired_to = strtotime("+" . $abonnement['numberMonth'] . " months", strtotime($expireBoutique));
                $myShop = Boutique::findOrFail($boutique['id']);
                $myShop->expired_to = Carbon::createFromFormat('Y-m-d H:i:s', date('Y-m-d H:i:s', $expired_to));
                $myShop->expired = false;
                $myShop->save();
                $data['expired_at'] = $myShop->expired_to;
                BoutiqueAbonnement::create($data);
                $user = Session::get('user')['slug'];
                $boutique['expired']
                    ?
                    $motif = 'Paiement effectué pour abonnement ' . $abonnement['name'] . ' de la boutique ' . $boutique['nom_boutique']
                    :
                    $motif = 'Paiement effectué pour cumule d\'abonnement ' . $abonnement['name'] . ' de la boutique ' . $boutique['nom_boutique'];

                $montant = $abonnement['price'];
                $boutique['expired']
                    ?
                    $action = 'Abonnement Boutique'
                    :
                    $action = 'Cumule d\'abonnement Boutique';

                AbonnementPaiment::createpaiement($user, $montant, $action, $motif, 'XOF');
                $response = true;
            } else {
                $response = false;
            }
        } else {
            $response = false;
        }
        if ($response) {

            $status = 'success';
            $boutique['expired']
                ?
                $message = 'Votre boutique à été mis à jour avec succès. Vous bénéficiez de ' . $abonnement['numberMonth'] . ' mois d\'accès à notre espace de vente.'
                :
                $message = 'L\'abonnement de votre boutique à été mis à jour avec succès. Vous bénéficiez de ' . $abonnement['numberMonth'] . ' mois supplémentaire d\'accès à notre espace de vente.';

            $subject = 'ABONNEMENT DE LA BOUTIQUE ' . $boutique['nom_boutique'];
            $messages = "La boutique " . $boutique['nom_boutique'] . " à mis à jour son abonnement pour " . $abonnement['numberMonth'] . ' mois';
            MailController::SendGeneralUniqueMail('Mail.generale_blade', $subject, $messages, env('MAIL_ADMIN'), env('MAIL_USERNAME'));
        } else {
            $status = 'error';
            $message = 'Une erreur s\'est produite Veuillez reéssayer ou contacter le service client si le paiement à été effectué sans activation de l\'abonnement.';
        }
        return redirect('boutique')->with($status, $message);
    }

    public function boutique_paiement_abonnement(Request $request)
    {
        $data = $request->all();
        $maboutique = Boutique::where('slug', $data['slug'])->where('corbeil', false)->first();
        $boutique = Boutique::findOrFail($maboutique['id']);
        $boutique->installer = true;
        $boutique->activation_date = Carbon::now();
        $response = $boutique->save();
        //  }
        if ($response) {
            $status = 1;
        } else {
            $status = 0;
        }
        return json_encode($status);
    }


    public function newBoutique_installation(Request $request, $slug)
    {
        $data = $request->all();
        try {
            Session::put('newboutique', $slug);
            $maboutique = Boutique::where('slug', $slug)->first();
            $boutique = Boutique::findOrFail($maboutique['id']);
            isset($data['templatecheck']) ? $boutique->template = $data['templatecheck'] : $boutique->template = 'default';
            $boutique->installer = true;
            $boutique->activation_date = Carbon::now();
            $boutique->save();
            $subject = 'BOUTIQUE ' . $boutique->nom_boutique . ' INSTALLER';
            $messages = "La boutique " . $boutique->nom_boutique . " d'être installer.";
            MailController::SendGeneralUniqueMail('Mail.generale_blade', $subject, $messages, env('MAIL_ADMIN'), env('MAIL_USERNAME'));
            return json_encode(true);
        } catch (\Exception $e) {
            return json_encode($e->getMessage());
        }
    }

    public function newBoutique_desinstallation(Request $request)
    {
        $data = $request->all();
        $slug = $data['slug'];
        Session::put('newboutique', $slug);
        $maboutique = Boutique::where('slug', $slug)->first();
        $boutique = Boutique::findOrFail($maboutique['id']);
        $boutique->expired = true;
        $boutique->save();
        return json_encode(true);
    }

    public function getIndex(Plesk $plesk)
    {
        $customers = $plesk->customers()->all();

        dd($customers);
    }

    function random_string($length = 8)
    {
        $chars = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";
        return substr(str_shuffle($chars), 0, $length);
    }

    public function newDatabase($nom)
    {

        require_once("SplClassLoader.php");
        $classLoader = new \SplClassLoader('App\Plesk', '');
        $classLoader->register();


        $config = array(
            'host' => '51.75.124.113',
            'username' => 'root',
            'password' => 'hvHG9Iq5ZoDvzbIJXcvjlws2wLXcK5NbjB6g8xh6fG',
        );


        $data = array();

        $request = new CreateDatabase($config, array(
            'name' => 'cash_' . $nom,
            'subscription_id' => 1,
            'server_id' => 1,
            'type' => 'mysql',
        ));

        $info = $request->process();

        $data['db_id'] = $request->id;

        $request = new \App\Plesk\CreateDatabaseUser($config, array(
            'database_id' => $data['db_id'],
            'username' => 'cash_' . $nom,
            'password' => 'Cashline@2019' . $nom,
        ));
        $info = $request->process();
        $data['db_user_id'] = $request->id;
        $filename = 'sql/' . $nom . '/cash_' . $nom . '.sql';
        // MySQL host
        $mysql_host = 'localhost';
        // MySQL username
        $mysql_username = 'cash_' . $nom;
        // MySQL password
        $mysql_password = 'Cashline@2019' . $nom;
        // Database name
        $mysql_database = 'cash_' . $nom;
        // Connect to MySQL server
        try {
            $dbh = new \PDO("mysql: host=$mysql_host;dbname=$mysql_database", $mysql_username, $mysql_password);
            // Temporary variable, used to store current query
            $templine = '';
            // Read in entire file
            $lines = file($filename);
            // Loop through each line
            foreach ($lines as $line) {
                // Skip it if it's a comment
                if (substr($line, 0, 2) == '--' || $line == '')
                    continue;
                // Add this line to the current segment
                $templine .= $line;
                // If it has a semicolon at the end, it's the end of the query
                if (substr(trim($line), -1, 1) == ';') {
                    // Perform the query
                    $q = $dbh->query($templine);
                    // Reset temp variable to empty
                    $templine = '';
                }
            }
            $data = ['statut' => true, 'nom' => $nom, 'bduser' => 'cash_' . $nom, 'bdpassword' => 'Cashline@2019' . $nom];
            $dbh = null;
        } catch (\PDOException $e) {
            $data = ['statut' => false];
        }
        return $data;
    }


    public function boutique()
    {
        $pays = DB::table('countries')->get();
        $retrait = Retrait::where('user_slug', Session::get('user')['slug'])->where('status_retrait', true)->pluck('montant')->toArray();
        $total_retrait = 0;
        if (count($retrait) > 0) {
            $total_retrait = array_sum($retrait);
        }
        $marketer_shop = MarketerShop::where('marketer_slug', Auth::user()->slug)->where('status', true)->where('marketer_accept', true)->pluck('shop_slug');
        $boutiques = Boutique::withCount(['commande' => function ($q) {
            $q->where('check', false);
        }, 'message' => function ($q) {
            $q->where('check', false);
        }])->with(['demande_supression', 'meta', 'publicites', 'user', 'marketer' => function ($q) {
            $q->where('marketer_accept', true)->where('status', true);
        }, 'marketer.user', 'commande' => function ($q) {
            $q->where('statut_paiement', true)->where('corbeil', false);
        },])->where('user_slug', Session::get('user')['slug'])->orWhereIn('slug', $marketer_shop)->where('corbeil', false)->orderBy('id', 'DESC')->get();
        $boutiqueExist = count($boutiques);
        $abonnements = EtatAbonnement::where('corbeil', false)->where('continent', Session::has('continent') && Session::get('continent') != 'Africa' ? 'Africa' : 'Africa')->get();
        $boutiqueActifs = [];
        $boutiqueNonInstaller = [];
        $boutiqueExpirer = [];
        foreach ($boutiques as $boutique) {
            if ($boutique->transaction_id != null && $boutique->abonnement_slug != null && $boutique->means != null) {
                $help = new Boutique();
                $help->renewAbonnement($boutique->transaction_id, $boutique->abonnement_slug, $boutique->slug, $boutique->means);
            }
            if ($boutique->installer) {
                $boutique->desactivationDate = \Illuminate\Support\Carbon::parse($boutique->expired_to)->format('Y M d H:i:s');
                !$boutique->expired ? array_push($boutiqueActifs, $boutique) : array_push($boutiqueExpirer, $boutique);
            } else {
                array_push($boutiqueNonInstaller, $boutique);
            }
        }
        $boutiqueExpirer = \Illuminate\Database\Eloquent\Collection::make($boutiqueExpirer);
        $boutiqueNonInstaller = \Illuminate\Database\Eloquent\Collection::make($boutiqueNonInstaller);
        $boutiqueActifs = \Illuminate\Database\Eloquent\Collection::make($boutiqueActifs);
        $metiers = Metier::all();
        $portefeuilles = Portefeuille::where('user_slug', Session::get('user')['slug'])->get();
        // dd($pays);
        return view('dashboard/Boutique/boutique', compact('portefeuilles', 'boutiqueExist', 'abonnements', 'boutiqueExpirer', 'boutiques', 'boutiqueActifs', 'boutiqueNonInstaller', 'metiers', 'total_retrait', 'pays'));
    }

    public function activerBoutique_paiment($boutique_slug)
    {
        try {

            $boutique_id = Session::get('boutique')['id'];
            $boutique = Boutique::findOrFail($boutique_id);
            $response = 0;
            if (!$boutique->paiement_and_livraison) {
                $response = 1;
                DB::table('boutiques')->where('id', $boutique_id)->update(['paiement_and_livraison' => 1, 'adminActivatePaiement' => 1]);
            } else {
                DB::table('boutiques')->where('id', $boutique_id)->update(['paiement_and_livraison' => 0, 'adminActivatePaiement' => 0]);
            }
            return json_encode($response);
        } catch (\Exception $e) {
            return json_encode($e->getMessage());
        }
    }

    public function activatePaiementForBoutique(Request $request)
    {
        $data = $request->all();
        try {
            $rules = array(
                'accepteTerms' => 'required',
                'boutique_id' => 'required|int',
                'ifu' => 'required|string|max:255',
                'ifuFile' => 'required|file|mimes:jpeg,png,pdf',
                'rccm' => 'required|string|max:255',
                'rccmFile' => 'required|file|mimes:jpeg,png,pdf',
                'cni' => 'required|string|max:255',
                'cniFile' => 'required|file|mimes:jpeg,png,pdf',
            );

            if (!isset($data['accepteTerms']) && $data['accepteTerms'] == "on") {
                Session::flash('error', 'VOus devez accepter les termes et conditions pour continuer.');
                return back();
            }
            $validator = \Illuminate\Support\Facades\Validator::make($request->all(), $rules);
            if ($validator->fails()) {
                return back()->withErrors($validator)->withInput();
            }
            $data['user_slug'] = Session::get('user')['slug'];
            $boutique = $data['boutique_id'];
            $boutique = Boutique::findOrFail($boutique);
            $data['nom_boutique'] = $boutique->nom_boutique;
            if ($request->file('ifuFile')) {
                $ifu = $request->file('ifuFile');
                $path = public_path('images/boutiques/Uploads/ifu/');
                $ifFilename = time() . $data['user_slug'] . $ifu->getClientOriginalExtension();
                $ifu->move($path, $ifFilename);
                $data['ifuFile'] = $path . $ifFilename;
            }
            if ($request->file('cniFile')) {
                $cni = $request->file('cniFile');
                $path = public_path('images/boutiques/Uploads/cni/');
                $ifFilename = time() . $data['user_slug'] . $cni->getClientOriginalExtension();
                $cni->move($path, $ifFilename);
                $data['cniFile'] = $path . $ifFilename;
            }
            if ($request->file('rccmFile')) {
                $rccm = $request->file('rccmFile');
                $path = public_path('images/boutiques/Uploads/rccm/');
                $ifFilename = time() . $data['user_slug'] . $rccm->getClientOriginalExtension();
                $rccm->move($path, $ifFilename);
                $data['rccmFile'] = $path . $ifFilename;
            }
            $return = DemandeActivationAbonnement::create($data);
            $subject = 'Demande d\'activation du moyen de paiement ';
            $messages = "La boutique " . $data['nom_boutique'] . " à émis une demande d'activation du moyen de paiement";
            MailController::SendGeneralUniqueMail('Mail.generale_blade', $subject, $messages, env('MAIL_ADMIN'), env('MAIL_USERNAME'));
            if (isset($return->id)) {
                Session::flash('success', 'La demande d\'activation du moyen de paiement de la boutique ' . $data['nom_boutique'] . ' a été envoyer avec succès.');
            } else {
                Session::flash('error', 'Un  problème est survenue au cours du processus de la demande d\'activation du moyen de paiement de la boutique ' . $data['nom_boutique'] . '.');
            }
        } catch (\Exception $e) {
            Session::flash('error', 'Un  problème est survenue au cours de l\'exécution du processus ' . $e);
        }
        return back();
    }

    public function createBoutique(Request $request)
    {
        $data = $request->all();
        try {
            $rules = array(
                'nom_boutique' => 'required|string|max:255',
                'metier_slug' => 'required|string|max:255',
            );
            $slug = '';
            $url = '';
            $validator = \Illuminate\Support\Facades\Validator::make($request->all(), $rules);
            if ($validator->fails()) {
                return json_encode(['error' => true, 'message' => $validator->getMessageBag()]);
            }
            $boutique_nom = strtolower($data['nom_boutique']);
            $boutique_nom = str_replace(' ', '_', $boutique_nom);
            $data['nom_boutique'] = $boutique_nom;
            $nombre = Boutique::where("nom_boutique", '=', $data['nom_boutique'])->where('corbeil', false)->count();
            if ($nombre <= 0) {
                $data['user_slug'] = Session::get('user')['slug'];
                $data['installer'] = false;
                if (!isset($data['paiement_and_livraison'])) $data['paiement_and_livraison'] = 0;
                $data['paiement_and_livraison'] == 1 ? $data['adminActivatePaiement'] = 1 : $data['adminActivatePaiement'] = 0;
                if (!isset($data['international'])) $data['international'] = 0;
                $data['slug'] = Str::slug(time() . 'boutique' . time());
                $boutique_url = "http://sungrocery.biz/" . $boutique_nom;
                $data['activation_date'] = Carbon::now();
                $data['expired_to'] = Carbon::yesterday();
                $data['expired'] = true;
                if (Session::has('sunmarketers')) {
                    $data['sunmarketer'] = Session::get('sunmarketers');
                    Session::forget('sunmarketers');
                } else {
                    $boutiqueChecker = DB::table('boutiques')->where('user_slug', Session::get('user')['slug'])->first();
                    if (isset($boutiqueChecker) && $boutiqueChecker != null) {
                        if (isset($boutiqueChecker->sunmarketer) && $boutiqueChecker->sunmarketer != 'none' && $boutiqueChecker->sunmarketer != 'almost') {
                            $codeP = DB::table('code_promos')->where('code', $boutiqueChecker->sunmarketer)->first();
                            if (isset($codeP) && $codeP != null) $data['sunmarketer'] = $boutiqueChecker->sunmarketer;
                        }
                    }
                }
                $boutique_id = Boutique::create($data)->id;
                $boutique = Boutique::with('meta')->where('slug', $data['slug'])->where('corbeil', false)->first();
                $country = DB::table('countries')->where('id', $data['country'])->first();
                $region = DB::table('states')->where('id', $data['region'])->first();
                $city = DB::table('cities')->where('id', $data['city'])->first();
                $continent = DB::table('continents')->where('Two_Letter_Country_Code', $country->iso2)->first();
                BoutiqueMeta::create([
                    'slug' => str_slug('meta ' . $data['slug'] . ' ' . str_random(4)),
                    'boutique_id' => $boutique_id,
                    'boutique_url' => $boutique_url,
                    'country' => $country->name,
                    'city' => $city->name,
                    'region' => $region->name,
                    'continent' => $continent->Continent_Name,
                    'iso' => $country->iso2,
                    'currency_admin' => $data['currency_admin'],
                    'currency_client' => $data['currency_admin'],
                ]);
                $boutique = Boutique::with('meta')->where('id', $boutique['id'])->first();
                $portefeuille_check = Portefeuille::where('devise', $data['currency_admin'])->where('user_slug', $data['user_slug'])->first();
                if ($portefeuille_check == null) {
                    Portefeuille::create([
                        'devise' => $data['currency_admin'],
                        'user_slug' => $data['user_slug'],
                        'montant' => 0,
                    ]);
                }
                if (isset($data['international']))
                    DemandeInternationalization::create(['boutique_id' => $boutique_id]);
                $data2['boutique_id'] = $boutique_id;
                $slug = $data['slug'];
                $url = route('newBoutique_installation', $data['slug']);
                if (isset($boutique)) {
                    $error = false;
                    $message = 'La boutique ' . $data['nom_boutique'] . ' a été créer avec succès. Vous devez installer votre boutique pour valider la mise en ligne.';

                    //send mail
                    $subject = 'NOUVELLE BOUTIQUE ' . $data['nom_boutique'] . ' PAR ' . Session::get('user')['first_name'] . ' ' . Session::get('user')['last_name'];
                    $messages = "La boutique " . $data['nom_boutique'] . " viens d'être créer";
                    MailController::SendGeneralUniqueMail('Mail.generale_blade', $subject, $messages, env('MAIL_ADMIN'), env('MAIL_USERNAME'));
                } else {
                    $error = true;
                    $message = $data['nom_boutique'] . ' n\'a pas pu être crée. Une erreur s\'est produite au cours du processus.';
                }
            } else {
                $error = true;
                $message = $data['nom_boutique'] . ' existe déjà. Veuillez changer le nom de votre boutique pour une visibilité unique.';
            }
            return json_encode(['error' => $error, 'message' => $message, 'slug' => $slug, 'url' => $url]);
        } catch (\Exception $e) {
            return json_encode(['error' => true, 'message' => 'Une erreure inatendue est survenue. ' . $e->getMessage()]);
        }
    }

    public function installerBoutique(Request $request)
    {
        $data = $request->all();
        $data['nom_boutique'] = strtolower($data['nom_boutique']);
        $data['nom_boutique'] = str_replace(' ', '_', $data['nom_boutique']);
        $this->copierDossier($data['nom_boutique']);
        $bouti = Boutique::findOrFail($data['id']);
        $bouti->installer = true;
        $bouti->save();
        $nom = $data['nom_boutique'];

        $subject = 'BOUTIQUE INSTALLER';
        $messages = "La boutique " . $data['nom_boutique'] . " viens d'être installer";
        MailController::SendGeneralUniqueMail('Mail.generale_blade', $subject, $messages, env('MAIL_ADMIN'), env('MAIL_USERNAME'));
        return json_encode($data = ['statut' => true, 'nom' => $nom, 'bduser' => 'cash_' . $nom, 'bdpassword' => 'Cashline@2019' . $nom]);
    }


    public function supprimerBoutique(Request $request)
    {
        $data = $request->all();
        $fbtique = Boutique::where('slug', $data['slug'])->first()['id'];
        Boutique::findOrFail($fbtique)->delete();
        return json_encode(true);
    }

    public function maintainBoutique($slug)
    {
        $fbtique = Boutique::where('slug', $slug)->first()['id'];
        $boutique = Boutique::findOrFail($fbtique);
        $value = false;
        $statut = 'success';
        $text = 'Votre boutique ' . $boutique->nom_boutique . ' à été mis en service. Vos clients peuvent à nouveau visité votre catalogue et faire des achats.';
        if (!$boutique->maintenance) {
            $value = true;
            $text = 'Votre boutique ' . $boutique->nom_boutique . ' à été mis en maintenance.';
            $subject = 'BOUTIQUE ' . $boutique->nom_boutique . ' MISE EN MAINTENANCE';
            $messages = "La boutique " . $boutique->nom_boutique . " d'être mis en maintenance.";
            MailController::SendGeneralUniqueMail('Mail.generale_blade', $subject, $messages, env('MAIL_ADMIN'), env('MAIL_USERNAME'));
        }
        $boutique->maintenance = $value;
        $boutique->save();
        Session::flash($statut, $text);
        return back();
    }

    public function demande_supression_boutique(Request $request)
    {
        $data = $request->all();
        $rules = array(
            'boutique_slug' => 'required|string|max:255',
            'motif' => 'required',
        );
        $validator = \Illuminate\Support\Facades\Validator::make($request->all(), $rules);
        if ($validator->fails()) {
            return back()->withErrors($validator)->withInput();
        }
        $boutique = Boutique::where('slug', $data['boutique_slug'])->first();
        Demande_supression_boutique::create($data);
        return json_encode('true');
    }


    public function annaulation_demande_supression_boutique($slug)
    {

        $boutiquef = Boutique::where('slug', $slug)->first();
        if (!$boutiquef['corbeil']) {
            $boutique = Demande_supression_boutique::where('boutique_slug', $slug)->first()['id'];
            Demande_supression_boutique::findOrFail($boutique)->delete();
            $subject = 'ANNULATION DE LA SUPRESSION DE LA BOUTIQUE ' . $boutiquef['nom_boutique'];
            $messages = "La boutique " . $boutiquef['nom_boutique'] . " viens d'annuler la demande de supression de sa boutique";
            MailController::SendGeneralUniqueMail('Mail.generale_blade', $subject, $messages, env('MAIL_ADMIN'), env('MAIL_USERNAME'));

            Session::flash('success', 'La demande de supression de votre boutique ' . $boutiquef['nom_boutique'] . ' à été annuler avec succès.');
        } else {
            Session::flash('error', 'La supression de votre ' . $boutiquef['nom_boutique'] . ' à été valider. Votre accès à cette boutique à été révoquer et les données perdues.');
        }
        return back();
    }


    public function CreerDossier($nomfichier)
    {
    }

    public function copierDossier($nomfichier)
    {
        $dir_source = base_path() . '/../boutiques.cahsline.shop/install';
        $dir_dest = base_path() . '/../' . $nomfichier;
        mkdir($dir_dest, 0755);
        $dir_iterator = new \RecursiveDirectoryIterator($dir_source, \RecursiveDirectoryIterator::SKIP_DOTS);
        $iterator = new \RecursiveIteratorIterator($dir_iterator, \RecursiveIteratorIterator::SELF_FIRST);
        foreach ($iterator as $element) {
            if ($element->isDir()) {
                mkdir($dir_dest . DIRECTORY_SEPARATOR . $iterator->getSubPathName());
            } else {
                copy($element, $dir_dest . DIRECTORY_SEPARATOR . $iterator->getSubPathName());
            }
        }
        /*  mkdir('sql/'.$nomfichier);
            $file0 = 'sql/cash_install.sql';
            copy($file0, 'sql/'.$nomfichier.'/cash_'.$nomfichier.'.sql');
            $file = '../boutiques.cashline.shop/'.$nomfichier.'/config/settings.inc.php';
            $file2 = 'sql/'.$nomfichier.'/cash_'.$nomfichier.'.sql';
            file_put_contents($file, str_replace('cash_install', 'cash_'.$nomfichier,  file_get_contents($file)));
            file_put_contents($file, str_replace('CashLine@2018Install', 'Cashline@2019'.$nomfichier,  file_get_contents($file)));
            file_put_contents($file2, str_replace(' \'/install/\'', ' \'/'.$nomfichier.'/\'',  file_get_contents($file2)));
    */
    }

    public function options($slug)
    {
        if (!Session::has('boutique'))
            return redirect('home');
        $maboutique = Session::get('boutique');
        if (Auth::user()->slug != $maboutique['user_slug']) {
            $almostmarketer = DB::table('marketer_shops')->where('marketer_slug', Auth::user()->slug)->where('shop_slug', $maboutique['slug'])->where('marketer_accept', true)->where('status', true)->count();
            if ($almostmarketer <= 0) {
                return redirect('home')->with('error', 'Vous n\'avez pas accès à cet espace.');
            }
        }
        $boutique = Boutique::with('meta', 'partenaires', 'publicites', 'demande_supression', 'paiement_echelonner', 'mibSubscribe')->where('slug', $slug)->first();
        $partenaires = $boutique->partenaires;
        $metas = $boutique->meta;
        if (!$metas)
            $metas = BoutiqueMeta::all()->where('id', 1)->first();
        $metas->mot_d_ordres = json_decode($metas->mot_d_ordres);
        $publicites = $boutique->publicites;
        $maboutique = Session::get('boutique');
        $selected_articles = SelectArticle::where('boutique_slug', $maboutique['slug'])->get();
        $articles = CatalogueArticles::where('user_slug', Session::get('user')['slug'])->whereIn('boutique_slug', [$maboutique['slug'], 'all'])->orderBy('id', 'DESC')->get();
        //        $demandePaiement=DemandeActivationAbonnement::where('boutique_id',$boutique['id'])->first();
        //       $checkDemande='';
        //        $demandePaiement!=null ? $checkDemande=$demandePaiement['state'] : $checkDemande='none';
        $mib_pricings = mibPricing::all()->sortByDesc('id');
        return view('dashboard.Boutique.metas', compact('mib_pricings', 'partenaires', 'metas', 'boutique', 'publicites', 'slug'));
    }
}
