<?php

namespace App\Http\Controllers;

use App\Boutique;
use App\BoutiqueMeta;
use Illuminate\Http\Request;
use function GuzzleHttp\Promise\all;

class BoutiqueMetaController extends Controller
{

    public function update(Request $request){
        $boutique= Boutique::with('meta')->where('slug',$request->boutique)->first();
        $boutique_modif=Boutique::findOrFail($boutique['id']);
        $metas = $boutique->meta;
        if ($metas ==null){
            $metas = BoutiqueMeta::create([
                'slug'=>str_slug('meta '.$request->boutique.' '.str_random(4)),
                'boutique_id'=>$request->boutique_id
            ]);
        }

        if (isset($request->mot_d_ordres)){
            $mots = json_encode($request->mot_d_ordres);
            $metas->mot_d_ordres = $mots;
        }

        if (isset($request->banner_article)){
            $metas->banner_article = $request->banner_article;
        }

        if (isset($request->boutique_url)){
            $metas->boutique_url = $request->boutique_url;
        }

        if (isset($request->telephone_boutique)){
            $metas->telephone_boutique = $request->telephone_boutique;
        }

        if (isset($request->email_boutique)){
            $metas->email_boutique = $request->email_boutique;
        }
        if (isset($request->adresse_boutique)){$metas->adresse_boutique = $request->adresse_boutique;}
        if (isset($request->font)){$metas->font = $request->font;}
  if (isset($request->background_color)){$metas->background_color = $request->background_color;}
  if (isset($request->text_color)){$metas->text_color = $request->text_color;}

 if (isset($request->country)){$metas->country = $request->country;}

 if (isset($request->city)){$metas->city = $request->city;}

 if (isset($request->region)){$metas->region = $request->region;}

 if (isset($request->continent)){$metas->continent = $request->continent;}

 if (isset($request->iso)){$metas->iso = $request->iso;}

 if (isset($request->general_condition)){$metas->general_condition = $request->general_condition;}

 if (isset($request->description)){$boutique_modif->description = $request->description; $boutique_modif->save();}

        if (isset($request->logo)){
            $logoName = time().'-logo.'.$request->logo->getClientOriginalExtension();
            $request->logo->move(public_path('images/boutiques/logos/'),$logoName);
            $metas->logo_boutique = asset('/images/boutiques/logos/'.$logoName);
        }
        $metas->save();
        return back()->with('success','Informations de la boutique mise à jour avec succès');
    }

}
