<?php

namespace App\Http\Controllers;

use App\Images;
use App\Metier;
use App\ArticleMeta;
use App\SelectArticle;
use Mockery\Exception;
use App\ArticleCoffret;
use App\check_products;
use App\CommandArticle;
use App\wishlist_article;
use App\ArticleProducteur;
use App\CatalogueArticles;
use App\SelectedCategorie;
use Illuminate\Support\Str;
use Illuminate\Http\Request;
use App\CategorieCaracteristique;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Input;
use Intervention\Image\Facades\Image;
use Illuminate\Support\Facades\Session;
use App\Http\Controllers\MailController;
use Illuminate\Database\Eloquent\Builder;

class CatalogueArticleController extends Controller
{

    public function __construct()
    {
    }

    public function list_article_by_categorie(Request $request)
    {
        $data = $request->all();
        if (Session::has('boutique')) {
            $maboutique = Session::get('boutique');
            $articles = CatalogueArticles::where('corbeil', false)->where('boutique_slug', 'all')->where('type_user', 'administrateur')->where('categorie_slug', $data['categorie'])->orderBy('id', 'DESC')->get();
            $selected_articles = SelectArticle::where('boutique_slug', $maboutique['slug'])->pluck('article_slug')->toArray();
            $images = Images::where('type', 'articles')->get();
            $options = "";
            if (count($articles) > 0) {
                foreach ($articles as $article) {
                    if (!in_array($article->slug, $selected_articles)) {
                        $img = "";
                        $images_count = Images::where('type', 'articles')->where('key', $article->slug)->count();
                        if ($images_count > 0) {
                            $images_art = Images::where('type', 'articles')->where('key', $article->slug)->get();
                            foreach ($images_art as $image) {
                                $img = "<img src='" . $image->filename . "' style='width:70px'>";
                                break;
                            }
                        }
                        $options .= "<div class='article_catalogue_show col-sm-12 col-xs-12' style='cursor:pointer; padding:10px;font-size:14pt;border-left: 3px solid #000' data-slug='" . $article->slug . "'> " . $img . "   <span class='badge badge-light' style='background: #d0d0d0;color: #0f0f0f;cursor:normal;'> intitulé: " . $article->name . "</span>  <span class='badge badge-light' style='background: #d0d0d0;color: #0f0f0f;cursor:normal;'> prix de vente: " . $article->price . " Fcfa</span> <a class='badge badge-warning btn-details-description float-right' data-url='" . route('get_article', $article->slug) . "'  data-article='" . $article->name . "'>voir détails</a> <input id='select" . $article->slug . "' name='article_slug[]' type='hidden'> </div>";
                    }
                }
            } else {
                $options = "<div class='text-center col-sm-12 col-xs-12' style='color: red;padding: 10px'>Aucun article trouvé</div>";
            }
            if ($options == "") {
                $options = "<div class='text-center col-sm-12 col-xs-12' style='color: red;padding: 10px'>Vous avez déjà sélectionner les articles de cette catégorie.</div>";
            }
            return $options;
        }
    }

    public function make_weight(Request $request, $id)
    {
        $data = $request->all();
        $article_find = CatalogueArticles::where('slug', $data['slug'])->first();

        $article = CatalogueArticles::findOrFail($article_find['id']);
        if ($id == 2) {
            if ($article->boutique_slug == Session::get('boutique')['slug']) {
                $article->weight = $data['weight'];
                $response = $article->save();
            } else {
                $helper = new HelperController();
                $response = $helper->update_meta_article('weight', $data['slug'], $data['weight'], Session::get('boutique')['slug']);
            }
        } else {
            $article->weight = $data['weight'];
            $response = $article->save();
        }
        if (isset($response)) {
            return json_encode($article);
        } else {
            return json_encode(['response' => false]);
        }
    }

    public function make_stock(Request $request, $id)
    {
        $data = $request->all();
        $article_find = CatalogueArticles::where('slug', $data['slug'])->first();

        $article = CatalogueArticles::findOrFail($article_find['id']);
        if ($id == 2) {
            if ($article->boutique_slug == Session::get('boutique')['slug']) {
                $article->quantity = $data['stock'];
                $response = $article->save();
            } else {
                $helper = new HelperController();
                $response = $helper->update_meta_article('quantity', $data['slug'], $data['stock'], Session::get('boutique')['slug']);
            }
        } else {
            $article->quantity = $data['stock'];
            $response = $article->save();
        }
        if (isset($response)) {
            return json_encode($article);
        } else {
            return json_encode(['response' => false]);
        }
    }

    public function make_show_price(Request $request, $id)
    {
        $data = $request->all();
        $article_find = CatalogueArticles::where('slug', $data['slug'])->first();

        $article = CatalogueArticles::findOrFail($article_find['id']);
        if ($id == 2) {

            if ($article->boutique_slug == Session::get('boutique')['slug']) {
                $article->show_price = $data['show_price'];
                $response = $article->save();
            } else {
                $helper = new HelperController();
                $response = $helper->update_meta_article('show_price', $data['slug'], $data['show_price'], Session::get('boutique')['slug']);
            }
        } else {
            $article->show_price = $data['show_price'];
            $response = $article->save();
        }
        if (isset($response)) {
            return json_encode($article);
        } else {
            return json_encode(['response' => false]);
        }
    }

    public function make_promo(Request $request, $id)
    {
        $data = $request->all();
        $article_find = CatalogueArticles::where('slug', $data['slug'])->first();
        $article = CatalogueArticles::findOrFail($article_find['id']);
        if ($data['promo'] == 0) {
            $sale = 1;
        } else {
            $sale = 0;
        }
        if ($id == 2) {
            if ($article->boutique_slug == Session::get('boutique')['slug']) {
                $article->on_sale = $sale;
                $response = $article->save();
            } else {
                $helper = new HelperController();
                $response = $helper->update_meta_article('on_sale', $data['slug'], $sale, Session::get('boutique')['slug']);
            }
        } else {
            $article->on_sale = $sale;
            $response = $article->save();
        }
        if (isset($response)) {
            return json_encode($article);
        } else {
            return json_encode(['response' => false]);
        }
    }

    public function make_en_avant(Request $request, $id)
    {
        $data = $request->all();
        $article_find = CatalogueArticles::where('slug', $data['slug'])->first();
        $article = CatalogueArticles::findOrFail($article_find['id']);
        if ($data['en_avant'] == 0) {
            $sale = 1;
        } else {
            $sale = 0;
        }

        $article->en_avant = $sale;
        $response = $article->save();

        if (isset($response)) {
            return json_encode($article);
        } else {
            return json_encode(['response' => false]);
        }
    }

    public function make_state(Request $request, $id)
    {
        $data = $request->all();
        $article_find = CatalogueArticles::where('slug', $data['slug'])->first();
        $article = CatalogueArticles::findOrFail($article_find['id']);
        if ($data['state'] == 0) {
            $sale = 1;
        } else {
            $sale = 0;
        }

        if ($id == 2) {
            if ($article->boutique_slug == Session::get('boutique')['slug']) {
                $article->state = $sale;
                $response = $article->save();
            } else {
                $helper = new HelperController();
                $response = $helper->update_meta_article('state', $data['slug'], $sale, Session::get('boutique')['slug']);
            }
        } else {
            $article->state = $sale;
            $response = $article->save();
        }
        if (isset($response)) {
            return json_encode($article);
        } else {
            return json_encode(['response' => false]);
        }
    }

    public function make_visibility(Request $request, $id)
    {
        $data = $request->all();
        $article_find = CatalogueArticles::where('slug', $data['slug'])->first();
        $article = CatalogueArticles::findOrFail($article_find['id']);
        if ($data['visibility'] == 0) {
            $state = 1;
        } else {
            $state = 0;
        }
        if ($id == 2) {
            if ($article->boutique_slug == Session::get('boutique')['slug']) {
                $article->active = $state;
                $response = $article->save();
            } else {
                $helper = new HelperController();
                $response = $helper->update_meta_article('active', $data['slug'], $state, Session::get('boutique')['slug']);
            }
        } else {
            $article->active = $state;
            $response = $article->save();
        }
        if (isset($response)) {
            return json_encode($article);
        } else {
            return json_encode(['response' => false]);
        }
    }

    public function article_index($id)
    {
        Session::put('page', $id);
        $selected_articles = [];
        $privilegecheck = new \App\Users_controle();
        $productors = $privilegecheck->get_all_productor();
        $search = request()->input('search');

        if ($id == 2) {
            if (!Session::has('boutique')) {
                return redirect('boutique');
            }
            $maboutique = Session::get('boutique');
            if (Auth::user()->slug != $maboutique['user_slug']) {
                $almostmarketer = DB::table('marketer_shops')->where('marketer_slug', Auth::user()->slug)->where('shop_slug', $maboutique['slug'])->where('marketer_accept', true)->where('status', true)->count();
                if ($almostmarketer <= 0) {
                    return redirect('home')->with('error', 'Vous n\'avez pas accès à cet espace.');
                }
            }
            if (isset($maboutique)) {
                $selected_articles = SelectArticle::where('corbeil', false)->where('boutique_slug', $maboutique['slug'])->pluck('article_slug');
                // $articles = CatalogueArticles::with('categorie')->where('is_coffret', false)->where('corbeil', false)->where('boutique_slug', $maboutique['slug'])->orwhereIn('slug', $selected_articles)->orderBy('id', 'DESC')->paginate(10);
                $articlesQuery = CatalogueArticles::with('categorie')
                    ->where('is_coffret', false)
                    ->where('corbeil', false)
                    ->where('boutique_slug', $maboutique['slug'])
                    ->orWhereIn('slug', $selected_articles);

                if ($search) {
                    $articlesQuery->where('name', 'like', '%' . $search . '%');
                }

                $articles = $articlesQuery->orderBy('id', 'DESC')->paginate(10);
                
                $cat = SelectedCategorie::where('boutique_slug', $maboutique['slug'])->where('corbeil', false)->pluck('categorie_slug')->toArray();
                $categories = \App\CategorieCatalogue::where('corbeil', false)->whereIn('boutique_slug', [$maboutique['slug'], 'all'])->where('secteur_activite', $maboutique['metier_slug'])->orwhereIn('slug', $cat)->orderBy('id', 'DESC')->get();
                $categoriesCheck = \App\CategorieCatalogue::where('corbeil', false)->where('boutique_slug', $maboutique['slug'])->where('secteur_activite', $maboutique['metier_slug'])->orwhereIn('slug', $cat)->orderBy('id', 'DESC')->count();
                $selected_articles = SelectArticle::where('corbeil', false)->where('boutique_slug', [$maboutique['slug'], 'all'])->get();


            } else {
                return redirect('home');
            }
        } else {
           
            $check_privilege = $privilegecheck->has_privilege(Session::get('user')['id'], 'super_administrateur');
            if (!$check_privilege) {
                Session::flash('error', 'Vous n\'ếtes pas autorisé à effectuer cette action');
                return back();
            }
            // $articles = CatalogueArticles::where('corbeil', false)->where('is_coffret', false)->where('type_user', 'administrateur')->orderBy('id', 'DESC')->paginate(10);
            $articlesQuery = CatalogueArticles::where('corbeil', false)
                ->where('is_coffret', false)
                ->where('type_user', 'administrateur');

            if ($search) {
                $articlesQuery->where('name', 'like', '%' . $search . '%');
            }

            $articles = $articlesQuery->orderBy('id', 'DESC')->paginate(10);
            $categories = \App\CategorieCatalogue::where('corbeil', false)->orderBy('id', 'DESC')->get();
            $categoriesCheck = 12;
        }

        foreach ($articles as $article) {
            if (isset(Session::get('boutique')['slug']) && $id == 2) {
                $vu = check_products::where('catalogue_article_slug', $article->slug)->count();
                $command = CommandArticle::whereHas('commande', function (Builder $q) {
                    $q->where('boutique_slug', Session::get('boutique')['slug']);
                })->where('article_slug', $article->slug)->count();
                $favoris = wishlist_article::where('catalogue_article_slug', $article->slug)->where('boutique_slug', Session::get('boutique')['slug'])->count();
                $article->vu = $vu;
                $article->command = $command;
                $article->favoris = $favoris;
            } else {
                $ajouter = SelectArticle::where('corbeil', false)->where('article_slug', $article->slug)->count();
                $article->ajouter = $ajouter;
            }
        }
        $images = Images::where('type', 'articles')->get();
        if ($categoriesCheck <= 0) {
            return redirect('catalogues/listes/2')->with('success', 'Vous devez créer une catégorie avant d\'ajouter un produit à votre catalogue.');
        }
        return view('dashboard.Catalogues.articles', compact('articles', 'categories', 'id', 'images', 'selected_articles', 'productors'));
    }

    public function coffret_index($id)
    {
        Session::put('page', $id);
        $selected_articles = [];
        $privilegecheck = new \App\Users_controle();
        $productors = $privilegecheck->get_all_productor();
        if ($id == 2) {
            if (!Session::has('boutique')) {
                return redirect('boutique');
            }
            $maboutique = Session::get('boutique');
            if (Auth::user()->slug != $maboutique['user_slug']) {
                $almostmarketer = DB::table('marketer_shops')->where('marketer_slug', Auth::user()->slug)->where('shop_slug', $maboutique['slug'])->where('marketer_accept', true)->where('status', true)->count();
                if ($almostmarketer <= 0) {
                    return redirect('home')->with('error', 'Vous n\'avez pas accès à cet espace.');
                }
            }
            if (isset($maboutique)) {
                $selected_articles = SelectArticle::where('corbeil', false)->where('boutique_slug', $maboutique['slug'])->pluck('article_slug');
                $articles = CatalogueArticles::with('categorie')->where('corbeil', false)->where('is_coffret', false)->where('boutique_slug', $maboutique['slug'])->orwhereIn('slug', $selected_articles)->orderBy('id', 'DESC')->get();
                $articlesCoffret = CatalogueArticles::with('categorie')->where('corbeil', false)->where('is_coffret', true)->where('boutique_slug', $maboutique['slug'])->orwhereIn('slug', $selected_articles)->orderBy('id', 'DESC')->paginate(10);
                $cat = SelectedCategorie::where('boutique_slug', $maboutique['slug'])->where('corbeil', false)->pluck('categorie_slug')->toArray();
                $categories = \App\CategorieCatalogue::where('corbeil', false)->whereIn('boutique_slug', [$maboutique['slug'], 'all'])->where('secteur_activite', $maboutique['metier_slug'])->orwhereIn('slug', $cat)->orderBy('id', 'DESC')->get();
                $categoriesCheck = \App\CategorieCatalogue::where('corbeil', false)->where('boutique_slug', $maboutique['slug'])->where('secteur_activite', $maboutique['metier_slug'])->orwhereIn('slug', $cat)->orderBy('id', 'DESC')->count();
                $selected_articles = SelectArticle::where('corbeil', false)->where('boutique_slug', [$maboutique['slug'], 'all'])->get();
            } else {
                return redirect('home');
            }
        } else {
           
            $check_privilege = $privilegecheck->has_privilege(Session::get('user')['id'], 'super_administrateur');
            if (!$check_privilege) {
                Session::flash('error', 'Vous n\'ếtes pas autorisé à effectuer cette action');
                return back();
            }
            $articles = CatalogueArticles::where('corbeil', false)->where('is_coffret', false)->where('type_user', 'administrateur')->orderBy('id', 'DESC')->get();
            $articlesCoffret = CatalogueArticles::where('corbeil', false)->where('is_coffret', true)->where('type_user', 'administrateur')->orderBy('id', 'DESC')->paginate(10);
            $categories = \App\CategorieCatalogue::where('corbeil', false)->orderBy('id', 'DESC')->get();
            $categoriesCheck = 12;
        }

        foreach ($articles as $article) {
            if (isset(Session::get('boutique')['slug']) && $id == 2) {
                $vu = check_products::where('catalogue_article_slug', $article->slug)->count();
                $command = CommandArticle::whereHas('commande', function (Builder $q) {
                    $q->where('boutique_slug', Session::get('boutique')['slug']);
                })->where('article_slug', $article->slug)->count();
                $favoris = wishlist_article::where('catalogue_article_slug', $article->slug)->where('boutique_slug', Session::get('boutique')['slug'])->count();
                $article->vu = $vu;
                $article->command = $command;
                $article->favoris = $favoris;
            } else {
                $ajouter = SelectArticle::where('corbeil', false)->where('article_slug', $article->slug)->count();
                $article->ajouter = $ajouter;
            }
        }
        $images = Images::where('type', 'articles')->get();
        if ($categoriesCheck <= 0) {
            return redirect('catalogues/listes/2')->with('success', 'Vous devez créer une catégorie avant d\'ajouter un produit à votre catalogue.');
        }
        return view('dashboard.Catalogues.coffrets', compact('articles', 'articlesCoffret', 'categories', 'id', 'images', 'selected_articles', 'productors'));
    }

    public function coffret_create($id){
        Session::put('page', $id);
        $selected_articles = [];
        $privilegecheck = new \App\Users_controle();
        $productors = $privilegecheck->get_all_productor();
        if ($id == 2) {
            if (!Session::has('boutique')) {
                return redirect('boutique');
            }
            $maboutique = Session::get('boutique');
            if (Auth::user()->slug != $maboutique['user_slug']) {
                $almostmarketer = DB::table('marketer_shops')->where('marketer_slug', Auth::user()->slug)->where('shop_slug', $maboutique['slug'])->where('marketer_accept', true)->where('status', true)->count();
                if ($almostmarketer <= 0) {
                    return redirect('home')->with('error', 'Vous n\'avez pas accès à cet espace.');
                }
            }
            if (isset($maboutique)) {
                $selected_articles = SelectArticle::where('corbeil', false)->where('boutique_slug', $maboutique['slug'])->pluck('article_slug');
                $articles = CatalogueArticles::with('categorie')->where('corbeil', false)->where('is_coffret', false)->where('boutique_slug', $maboutique['slug'])->orwhereIn('slug', $selected_articles)->orderBy('id', 'DESC')->get();
                $articlesCoffret = CatalogueArticles::with('categorie')->where('corbeil', false)->where('is_coffret', true)->where('boutique_slug', $maboutique['slug'])->orwhereIn('slug', $selected_articles)->orderBy('id', 'DESC')->paginate(10);
                $cat = SelectedCategorie::where('boutique_slug', $maboutique['slug'])->where('corbeil', false)->pluck('categorie_slug')->toArray();
                $categories = \App\CategorieCatalogue::where('corbeil', false)->whereIn('boutique_slug', [$maboutique['slug'], 'all'])->where('secteur_activite', $maboutique['metier_slug'])->orwhereIn('slug', $cat)->orderBy('id', 'DESC')->get();
                $categoriesCheck = \App\CategorieCatalogue::where('corbeil', false)->where('boutique_slug', $maboutique['slug'])->where('secteur_activite', $maboutique['metier_slug'])->orwhereIn('slug', $cat)->orderBy('id', 'DESC')->count();
                $selected_articles = SelectArticle::where('corbeil', false)->where('boutique_slug', [$maboutique['slug'], 'all'])->get();
            } else {
                return redirect('home');
            }
        } else {
           
            $check_privilege = $privilegecheck->has_privilege(Session::get('user')['id'], 'super_administrateur');
            if (!$check_privilege) {
                Session::flash('error', 'Vous n\'ếtes pas autorisé à effectuer cette action');
                return back();
            }
            $articles = CatalogueArticles::where('corbeil', false)->where('is_coffret', false)->where('type_user', 'administrateur')->orderBy('id', 'DESC')->get();
            $articlesCoffret = CatalogueArticles::where('corbeil', false)->where('is_coffret', true)->where('type_user', 'administrateur')->orderBy('id', 'DESC')->paginate(10);
            $categories = \App\CategorieCatalogue::where('corbeil', false)->orderBy('id', 'DESC')->get();
            $categoriesCheck = 12;
        }

        foreach ($articles as $article) {
            if (isset(Session::get('boutique')['slug']) && $id == 2) {
                $vu = check_products::where('catalogue_article_slug', $article->slug)->count();
                $command = CommandArticle::whereHas('commande', function (Builder $q) {
                    $q->where('boutique_slug', Session::get('boutique')['slug']);
                })->where('article_slug', $article->slug)->count();
                $favoris = wishlist_article::where('catalogue_article_slug', $article->slug)->where('boutique_slug', Session::get('boutique')['slug'])->count();
                $article->vu = $vu;
                $article->command = $command;
                $article->favoris = $favoris;
            } else {
                $ajouter = SelectArticle::where('corbeil', false)->where('article_slug', $article->slug)->count();
                $article->ajouter = $ajouter;
            }
        }
        $images = Images::where('type', 'articles')->get();
        if ($categoriesCheck <= 0) {
            return redirect('catalogues/listes/2')->with('success', 'Vous devez créer une catégorie avant d\'ajouter un produit à votre catalogue.');
        }
        return view('dashboard.Catalogues.add_coffret', compact('articles', 'articlesCoffret', 'categories', 'id', 'images', 'selected_articles', 'productors'));
    }

    public function getcaracteristiquebycatslug(Request $request)
    {
        $data = $request->all();
        $categorie = \App\CategorieCatalogue::with('caracteristique')->where('slug', $data['slug'])->first();
        $caracteristique = $categorie->caracteristique;
        return json_encode($caracteristique);
    }

    public function create_article(Request $request)
    {
        try {
            $data = $request->all();
            $user = auth()->user();
            if ($data['choice_selection'] == "catalogue") {
                $productor = \App\User::find($data['productor_id']);
                foreach ($data['articles'] as $key => $articleId) {
                    $article = ArticleProducteur::find($articleId);
                    $newData = [
                        'user_slug' => Session::get('user')['slug'],
                        'name' => $article->name,
                        'price' => $article->price,
                        'description' => $article->description,
                        'reference' => $article->reference,
                        'categorie_slug' => $data['categorie_slug'],
                        'article_slug' => $article->slug,
                        'show_price' => 0,
                        'state' => true,
                        'on_sale' => false,
                        'minimal_quantity' => 0,
                        'stock' => 0,
                        'active' => true,
                        'type_user' => "administrateur",
                        'boutique_slug' => Session::get('boutique')['slug'],
                        'maker' => $article->maker,
                        'maker_country' => $article->maker_country,
                        'corbeil' => false,
                        'productor_slug' => $productor->slug,
                        'slug' => Str::slug($article->name . time())
                    ];
                    
                    $newData['private_key'] = $productor->slug . $article->name;
                    $existingArticle = \App\CatalogueArticles::where('private_key', $newData['private_key'])->first();
                    if ($existingArticle) {
                        Session::flash('error', 'L\'article "' . $article->name . '" existe déjà dans votre catalogue.');
                        // continue;
                        return redirect()->back();
                    }

                    $filename = $article->file;
                    $image_data['slug'] = Str::slug('image' . time());
                    $image_data['key'] = Str::slug($article->name . time());
                    $image_data['type'] = 'articles';
                    $image_data['filename'] = asset('storage/productor_products/' . $filename);
                    Images::create($image_data);

                    $reponse = \App\CatalogueArticles::create($newData);

                    $boutique = Session::get('boutique');
                    $subject = 'Ajout du produit ' . $newData['name'];
                    $producerPercentage = \App\ProducerPercentage::first();
                    $messages = array('user' => $user['first_name'].' '.$user['last_name'], 
                                        'boutique' => $boutique,
                                        'article' => $newData,
                                        'percentage' => $producerPercentage['percentage'],
                                    );
                    $sendMail = MailController::AlertAddProductMail($subject, $messages, $productor['email']);

                    if ($reponse === false) {
                        Session::flash('error', 'Une erreur est survenue lors de l\'ajout des produits au catalogue.');
                        return redirect()->back();
                    }
                }
            
                Session::flash('success', 'Les produits sélectionnés ont été ajoutés à votre boutique avec succès.');
                // dd($data['articles']);

                // $catalogue_data['slug'] = Str::slug(time() . 'catalogue_article');
                // $almost = [];
                // for ($i = 0; $i < count($data['article_slug']); $i++) {
                //     $number_select = SelectArticle::where('boutique_slug', Session::get('boutique')['slug'])->where('article_slug', $data['article_slug'][$i])->count();
                //     if ($number_select <= 0) {
                //         $catalogue_data['user_slug'] = Session::get('user')['slug'];
                //         $catalogue_data['boutique_slug'] = Session::get('boutique')['slug'];
                //         $catalogue_data['article_slug'] = $data['article_slug'][$i];
                //         SelectArticle::create($catalogue_data);
                //     } else {
                //         $select_article = SelectArticle::where('boutique_slug', Session::get('boutique')['slug'])->where('article_slug', $data['article_slug'][$i])->first();
                //         if ($select_article['corbeil']) {
                //             $select = SelectArticle::findOrFail($select_article['id']);
                //             $select->corbeil = true;
                //             $select->save();
                //         } else {
                //             $almost[] = $data['article_slug'][$i];
                //         }
                //     }
                //     $helper = new HelperController();
                //     $categorie = \App\CategorieCatalogue::with('caracteristique')->where('slug', $data['categorie_slug'])->first();
                //     $caracteristique = $categorie->caracteristique;
                //     foreach ($caracteristique as $carac) {

                //         if (isset($data[$carac->intitule])) {
                //             $value = explode(",", $data[$carac->intitule]);
                //             $value = json_encode($value);
                //             $helper->update_meta_article($carac->intitule, $catalogue_data['slug'], $value, Session::get('boutique')['slug']);
                //         }
                //     }
                // }
                // if (count($almost) > 0) {
                //     $artcle_aexist = CatalogueArticles::all()->whereIn('slug', $almost);

                //     $article_list = "";
                //     foreach ($artcle_aexist as $exist) {
                //         $article_list .= $exist->name . ' - ';
                //     }
                //     if (count($almost) > 1) {
                //         Session::flash('error', 'Les articles ' . $article_list . ' existent déja dans votre catalogue.');
                //     } else {
                //         Session::flash('error', 'L\'article ' . $article_list . ' existe déja dans votre catalogue.');
                //     }
                // } else {
                //     if (count($data['article_slug']) > 1) {
                //         Session::flash('success', 'Les produits sélectionnés ont été ajoutés à votre boutique avec succès.');
                //     } else {
                //         Session::flash('success', 'Le produit sélectionné a été ajouté à votre boutique avec succès.');
                //     }
                // }
            } else {
                $rules = array(
                    'name' => 'required|string',
                    'price' => 'required|string',
                    'categorie_slug' => 'required|string',
                    'quantity' => 'required|string',
                    'reference' => 'string',
                );
                $validator = \Illuminate\Support\Facades\Validator::make($request->all(), $rules);
                if ($validator->fails()) {
                    return back()->withErrors($validator)->withInput();
                }

                $data['user_slug'] = Session::get('user')['slug'];
                $data['show_price'] = 0;
                $data['state'] = true;
                $data['on_sale'] = false;
                $data['minimal_quantity'] = 0;
                $data['stock'] = 0;
                (isset($data['is_panier']) && $data['is_panier'] == 'on') ? $data['is_panier'] = true : $data['is_panier'] = false;
                $page = $data['id_page'];
                if ($page == 2) {
                    $data['active'] = true;
                    $data['type_user'] = "client";
                    $data['boutique_slug'] = Session::get('boutique')['slug'];
                    $image_data['boutique_slug'] = Session::get('boutique')['slug'];
                } else {
                    $data['active'] = false;
                    $data['type_user'] = "administrateur";
                    $data['boutique_slug'] = "all";
                    $image_data['boutique_slug'] = 'all';
                }
                
                $data['slug'] = Str::slug('product' . time());
                // dd($data);
                $reponse = \App\CatalogueArticles::create($data);
                $helper = new HelperController();
                $categorie = \App\CategorieCatalogue::with('caracteristique')->where('slug', $data['categorie_slug'])->first();
                $caracteristique = $categorie->caracteristique;
                foreach ($caracteristique as $carac) {
                    if (isset($data[$carac->intitule])) {
                        $helper->update_meta_article($carac->intitule, $data['slug'], $data[$carac->intitule], Session::get('boutique')['slug']);
                    }
                }
                $i = 0;
                if ($request->has('images')) {
                    foreach ($request->images as $photo) {
                        $i++;
                        $originalImage = $photo;
                        $thumbnailImage = Image::make($originalImage);
                        $thumbnailPath = public_path('Uploads/articles/');
                        $originalPath = public_path('Uploads/articles/full/');
                        $time = time();
                        $thumbnailImage->save($originalPath . $time . '.' . Str::slug($originalImage->getClientOriginalExtension()));
                        $thumbnailImage->resize(300, 300);
                        $thumbnailImage->save($thumbnailPath . $time . '.' . Str::slug($originalImage->getClientOriginalExtension()));
                        $filename = $time . '.' . Str::slug($originalImage->getClientOriginalExtension());
                        $image_data['slug'] = Str::slug('image' . time());
                        $image_data['key'] = $data['slug'];
                        $image_data['filename'] = asset('Uploads/articles/' . $filename);
                        $image_data['type'] = 'articles';
                        Images::create($image_data);
                        $image_data['type'] = 'articles_full';
                        $image_data['filename'] = asset('Uploads/articles/full/' . $filename);
                        Images::create($image_data);
                    }
                }

               

                if (!isset($reponse)) {
                    Session::flash('error', 'une erreur s\'est produite lors de l\'ajout du produit ' . $data['name'] . ' à votre catalogue.');
                } else {
                    if (isset($data['articles'])) {
                        foreach ($data['articles'] as $key => $article) {
                            $articleCoffret = ArticleCoffret::create([
                                'coffret_id' => $article, 
                                'article_id' => $reponse->id, 
                                'boutique_slug' => $data['boutique_slug'], 
                            ]);
                        }
                        Session::flash('success', 'Le coffret ' . $data['name'] . ' à été ajouté à votre catalogue avec succès.');
                    }else{
                        Session::flash('success', 'Le produit ' . $data['name'] . ' à été ajouté à votre catalogue avec succès.');
                    }
                }
            }
            return back();
        } catch (\Exception $e) {
            return back()->with('error', 'Une erreur s\'est produite ' . $e->getMessage() . ' ' . $e->getLine());
        }
    }

    public function get_article($slug)
    {
        $article = CatalogueArticles::with('article_meta')->where('slug', $slug)->first();
        $articlesCoffret = [];
        if ($article['is_coffret'] == 1) {
            $articleCoffrets = ArticleCoffret::where('coffret_id', $article['id'])->with('article')->get();
            foreach($articleCoffrets as $articleCoffret){
                $articlesCoffret[] = $articleCoffret->article;
            }
        }
        $article->articlesCoffret = $articlesCoffret;
        return json_encode($article);
    
    }



    public function update(Request $request, $page)
    {
        $rules = array(
            'name' => 'required|string',
            'price' => 'required|string',
            'categorie_slug' => 'required|string',
            'quantity' => 'required|string',
            'reference' => 'string',
        );

        $validator = \Illuminate\Support\Facades\Validator::make($request->all(), $rules);

        if ($validator->fails()) {
            return back()->withErrors($validator)->withInput();
        }

        $data = $request->all();

        $slug = $data['slug'];

        //        $privilegecheck=new \App\Users_controle();
        //
        //        $check_privilege=$privilegecheck->has_privilege(Session::get('user')['id'],'super_administrateur');


        $article_find = CatalogueArticles::where('slug', $slug)->first();

        $articles = CatalogueArticles::findOrFail($article_find['id']);
        $helper = new HelperController();
        $article_coffret = ArticleCoffret::where('coffret_id', $articles['id'])->get();

        if ($page == 2) {
            if ($articles->boutique_slug == "all") {

                $helper->update_meta_article('price', $slug, $data['price'], $articles->boutique_slug);
                $helper->update_meta_article('name', $slug, $data['name'], $articles->boutique_slug);
                $helper->update_meta_article('reference', $slug, $data['reference'], $articles->boutique_slug);
                $helper->update_meta_article('quantity', $slug, $data['quantity'], $articles->boutique_slug);
                $helper->update_meta_article('category', $slug, $data['categorie_slug'], $articles->boutique_slug);
                $helper->update_meta_article('description', $slug, $data['description'], $articles->boutique_slug);
                $response = true;
            } else {
                $articles->name = $data['name'];
                $articles->price = $data['price'];
                $articles->reference = $data['reference'];
                $articles->quantity = $data['quantity'];
                $articles->categorie_slug = $data['categorie_slug'];
                $articles->description = $data['description'];
                $articles->maker = $data['maker'];
                $articles->maker_country = $data['maker_country'];
                $articles->expire = $data['expire'];
                $articles->create = $data['create'];
                (isset($data['is_panier']) && $data['is_panier'] == 'on') ? $articles->is_panier = true : $articles->is_panier = false;
                $response = $articles->save();
            }
        } else {
            (isset($data['is_panier']) && $data['is_panier'] == 'on') ? $articles->is_panier = true : $articles->is_panier = false;
            $articles->name = $data['name'];
            $articles->price = $data['price'];
            $articles->reference = $data['reference'];
            $articles->quantity = $data['quantity'];
            $articles->categorie_slug = $data['categorie_slug'];
            $articles->description = $data['description'];
            $articles->maker = $data['maker'];
            $articles->maker_country = $data['maker_country'];
            $articles->expire = $data['expire'];
            $articles->create = $data['create'];
            $response = $articles->save();
        }

        if (isset($article_coffret) && $article_coffret != null) {
            foreach($article_coffret as $art){
                $art->delete();
            }
        }

        if (isset($data['maker']) && $data['maker'] != null) {
            $helper->update_meta_article('maker', $slug, $data['maker'], $articles->boutique_slug);
        }
        if (isset($data['maker_country']) && $data['maker_country'] != null) {
            $helper->update_meta_article('maker_country', $slug, $data['maker_country'], $articles->boutique_slug);
        }

        if (isset($data['expire']) && $data['expire'] != null) {
            $helper->update_meta_article('expire', $slug, $data['expire'], $articles->boutique_slug);
        }

        if (isset($data['create']) && $data['create'] != null) {
            $helper->update_meta_article('create', $slug, $data['create'], $articles->boutique_slug);
        }
        $categorie = \App\CategorieCatalogue::with('caracteristique')->where('slug', $data['categorie_slug'])->first();
        $caracteristique = $categorie->caracteristique;
        foreach ($caracteristique as $carac) {

            if (isset($data[$carac->intitule])) {
                $value = explode(",", $data[$carac->intitule]);
                $value = json_encode($value);
                $helper->update_meta_article($carac->intitule, $data['slug'], $value, Session::get('boutique')['slug']);
            }
        }

        if (!isset($response)) {
            Session::flash('error', 'Un problème est survenu au cours de la mise à jour du produit ' . $data['name']);
        } else {
            if (isset($data['articles'])) {
                foreach ($data['articles'] as $key => $article) {
                    $articleCoffret = ArticleCoffret::create([
                        'article_id' => $article, 
                        'coffret_id' => $articles['id'], 
                        'boutique_slug' => $articles['boutique_slug'], 
                    ]);
                }
            }
            Session::flash('success', 'Le produit ' . $data['name'] . ' à été mis à jour avec succès');
        }
        return back();
    }



    public function delete_article($slug)
    {
        $mapage = Session::get('page');
        $article_find = CatalogueArticles::where('slug', $slug)->first();
        if ($article_find['boutique_slug'] != "all") {
            $response = CatalogueArticles::findOrFail($article_find['id']);
            $response->corbeil = true;
            $reponse = $response->save();
        } else {
            if ($mapage == 1) {
                $response = CatalogueArticles::findOrFail($article_find['id']);
                $response->corbeil = true;
                $reponse = $response->save();
            } else {
                $maboutique = Session::get('boutique');
                if ($article_find['boutique_slug'] == $maboutique['slug']) {
                    $response = CatalogueArticles::findOrFail($article_find['id']);
                    $response->corbeil = true;
                    $reponse = $response->save();
                } else {
                    $article_associer = SelectArticle::where('boutique_slug', $maboutique['slug'])->where('article_slug', $slug)->first();
                    $response = SelectArticle::findOrFail($article_associer['id'])->delete();
                    $response->corbeil = true;
                    $reponse = $response->save();
                }
            }
        }
        if (!isset($reponse)) {
            Session::flash('error', 'Une erreur s\'est produite au cours de la supression du produit ' . $article_find['name']);
        } else {
            Session::flash('success', 'Le produit ' . $article_find['name'] . ' à été supprimer avec succès.');
        }
        return back();
    }


    public function update_image(Request $request)
    {
        $i = 0;
        $data = $request->all();
        $response = false;
        if ($request->has('images')) {
            $nb = Images::where('type', 'articles_sup')->where('key', $data['slug'])->where('boutique_slug', $data['boutique_slug'])->count();
            if ($nb < 3) {
                if ((count($request->images) + $nb) <= 3) {
                    foreach ($request->images as $photo) {
                        $i++;
                        $originalImage = $photo;
                        $thumbnailImage = Image::make($originalImage);
                        $thumbnailPath = public_path('Uploads/articles/');
                        $originalPath = public_path('Uploads/articles/full/');
                        $time = time();
                        $thumbnailImage->save($originalPath . $time . '.' . Str::slug($originalImage->getClientOriginalExtension()));
                        $thumbnailImage->resize(300, 300);
                        $thumbnailImage->save($thumbnailPath . $time . '.' . Str::slug($originalImage->getClientOriginalExtension()));
                        $filename = $time . '.' . Str::slug($originalImage->getClientOriginalExtension());
                        $image_data['slug'] = Str::slug($filename);
                        $image_data['key'] = $data['slug'];
                        $image_data['filename'] = asset('Uploads/articles/' . $filename);
                        $image_data['type'] = 'articles_sup';
                        $image_data['boutique_slug'] = $data['boutique_slug'];
                        Images::create($image_data);
                        $image_data['type'] = 'articles_sup_full';
                        $image_data['filename'] = asset('Uploads/articles/full/' . $filename);
                        Images::create($image_data);
                    }
                    $response = true;
                } else {
                    Session::flash('error', 'Echec de mise à jour des images demandées.');
                }
            } else {
                Session::flash('error', 'Vous ne pouvez téléverser que 3 images supplémentaires. Vous avez déjà ' . count($request->images) . ' ajoutés');
            }
        }
        if ($request->has('image_avant')) {
            $originalImage = $request->image_avant;
            $thumbnailImage = Image::make($originalImage);
            $thumbnailPath = public_path('Uploads/articles/');
            $originalPath = public_path('Uploads/articles/full/');

            if (!file_exists($thumbnailPath)) {
                mkdir($thumbnailPath, 0777, true);
            }
            
            if (!file_exists($originalPath)) {
                mkdir($originalPath, 0777, true);
            }
            
            // Vérifier les permissions avant d'écrire le fichier
            if (is_writable($originalPath)) {
                // Votre code pour sauvegarder l'image ici
                $time = time();
                $thumbnailImage->save($originalPath . $time . '.' . Str::slug($originalImage->getClientOriginalExtension()));
                $thumbnailImage->resize(300, 300);
                $thumbnailImage->save($thumbnailPath . $time . '.' . Str::slug($originalImage->getClientOriginalExtension()));
                $filename = $time . '.' . Str::slug($originalImage->getClientOriginalExtension());
                $image_data['slug'] = Str::slug($filename);
                $image_data['key'] = $data['slug'];
                $image_data['filename'] = asset('Uploads/articles/' . $filename);
                $image_data['type'] = 'articles';
                $image_data['boutique_slug'] = $data['boutique_slug'];
                $imagef = Images::where('type', 'articles')->where('key', $data['slug'])->where('boutique_slug', $data['boutique_slug'])->first();
                $imagefull_id = Images::where('type', 'articles_full')->where('key', $data['slug'])->where('boutique_slug', $data['boutique_slug'])->first();
    
                if (isset($imagef)) {
                    $image = Images::findOrFail($imagef['id']);
                    $image->filename = asset('Uploads/articles/' . $filename);
                    $image->save();
                } else {
                    Images::create($image_data);
                }
    
                if (isset($imagefull_id)) {
                    $imagefl = Images::findOrFail($imagefull_id['id']);
                    $imagefl->filename = asset('Uploads/articles/full/' . $filename);
                    $imagefl->save();
                } else {
                    $image_data['filename'] = asset('Uploads/articles/full/' . $filename);
                    $image_data['type'] = 'articles_full';
                    Images::create($image_data);
                }
                $response = true;
            } else {
                // Gérer l'erreur de permission ici
                Session::flash('error', 'Impossible d\enregistrer l\'image pour le moment.');
            }

        }
        if ($response) {
            Session::flash('success', 'Mise à jour d\'image effectuée avec succès');
        }
        return back();
    }


    public function delete_image($slug)
    {
        Images::where('slug', $slug)->first()->delete();
        return json_encode(true);
    }

    public function get_image_add($slug)
    {
        $boutique = Session::get('boutique')['slug'];
        $images = Images::where('key', $slug)->where('type', 'articles_sup')->where('boutique_slug', $boutique)->get();
        $image_ = '<h6 style="font-weight: bold;" class="col-sm-12 text-left">Images supplémentaires</h6><input type="hidden" value="' . $slug . '" name="slug">';
        $i = 0;
        foreach ($images as $image) {
            $i++;
            $image_ .= '<div class="col-lg-4 col-xs-12 text-left" id="image' . $image->slug . '" style="margin-top: 4%;"><img src="' . $image->filename . '" alt="" style="width: 100%"><br><a  data-slug="' . $image->slug . '"  href="#" data-url="' . route('delete_image', $image->slug) . '" style="background-color: red;color: #fff;margin-top: 1%;border-radius: 0px" class="btn btn-xs btn-danger image-article-btn"><i class="fa fa-close"></i> retirer</a></div>';
        }
        $image_ .= '<input value="' . $i . '" id="number_image" name="number_image" type="hidden">';
        return json_encode($image_);
    }
}
