<?php

namespace App\Http\Controllers;

use App\CatalogueArticles;
use App\CategorieCaracteristique;
use App\Images;
use App\Metier;
use App\SelectedCategorie;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Str;

class CategorieCatalogue extends Controller
{

    public function __construct()
    {

    }

    public function list_option_article($id){
        $value="";
        if($id==2) {
            $maboutique = Session::get('boutique');
            if (isset($maboutique)) {
                $categories = \App\CategorieCatalogue::whereIn('boutique_slug', [$maboutique['slug'], 'all'])->where('secteur_activite', $maboutique['metier_slug'])->where('corbeil',false)->orderBy('id', 'DESC')->get();
                $select_categories=SelectedCategorie::where('boutique_slug',$maboutique['slug'])->where('corbeil',false)->get();
                foreach ($categories as $category) {
                    if($category->boutique_slug=="all") {
                        foreach ($select_categories as $sc) {
                            if($category->slug==$sc->categorie_slug) {
                                $value .= "<option value='" . $category->slug . "'>" . $category->intitule . "</option>";
                            }
                        }
                    }else{
                        $value .= "<option value='" . $category->slug . "'>" . $category->intitule . "</option>";
                    }
                }
            }
        }else{
            $categories = \App\CategorieCatalogue::where('boutique_slug', 'all')->where('corbeil',false)->orderBy('id', 'DESC')->get();
            foreach ($categories as $category){
                $value.="<option value='".$category->slug."'>".$category->intitule."</option>";
            }
        }

return $value;
    }
 public function list_option_categorie(){
        $value="";
            $maboutique = Session::get('boutique');
            if (isset($maboutique)) {
                $categories = \App\CategorieCatalogue::where('secteur_activite', $maboutique['metier_slug'])->orderBy('id', 'DESC')->where('corbeil',false)->get();
            }else{
                $categories = \App\CategorieCatalogue::where('corbeil',false)->orderBy('id', 'DESC')->get();
            }

     foreach ($categories as $category){
         $value.="<option value='".$category->slug."' data-url='".route('details_categorie',$category->slug)."'>".$category->intitule."</option>";
     }
return $value;
    }

    public function  categorie_index($id){
        $select_categories=[];
        if($id==2){
            if(!Session::has('boutique')){
                return redirect('boutique');
            }
            $maboutique = Session::get('boutique');
            if(Auth::user()->slug!=$maboutique['user_slug']){
                $almostmarketer = DB::table('marketer_shops')->where('marketer_slug', Auth::user()->slug)->where('shop_slug', $maboutique['slug'])->where('marketer_accept',true)->where('status',true)->count();
                if($almostmarketer<=0){
                    return redirect('home')->with('error','Vous n\'avez pas accès à cet espace.');
                }
            }
            if(isset($maboutique)){
                $categories = \App\CategorieCatalogue::where('corbeil',false)->where('user_slug', Session::get('user')['slug'])->whereIn('boutique_slug', [$maboutique['slug'], 'all'])->orwhere('type_user', 'administrateur')->where('secteur_activite', $maboutique['metier_slug'])->orderBy('id', 'ASC')->where('corbeil',false)->get();
                $select_categories=SelectedCategorie::where('boutique_slug',$maboutique['slug'])->where('corbeil',false)->orderBy('id', 'DESC')->get();
            }else {
                return redirect('home');
            }
        }else{
            $privilegecheck=new \App\Users_controle();
            $check_privilege=$privilegecheck->has_privilege(Session::get('user')['id'],'super_administrateur');
            if(!$check_privilege){
                Session::flash('error','Vous n\'ếtes pas autorisé à effectuer cette action');
                return back();
            }
            $categories = \App\CategorieCatalogue::where('corbeil',false)->orderBy('id', 'DESC')->get();
        }
        $metiers = Metier::orderBy('id', 'DESC')->get();
        return view('dashboard.Catalogues.categories', compact('categories', 'metiers','id','select_categories'));

    }


    public function create_categorie(Request $request){
        $data=$request->all();
        $categorie=\App\CategorieCatalogue::where('slug',$data['categorie_slug'])->where('corbeil',false)->first();
        if($data['choice_selection']=="catalogue") {
                $catalogue_data['slug']=Str::slug('categorie'.time());
            if(!isset($data['categorie_slug'])){
                Session::flash('success','veuillez choisir une catégorie');
                return back();
            }

            $number_select = SelectedCategorie::where('boutique_slug', Session::get('boutique')['slug'])->where('categorie_slug', $data['categorie_slug'])->count();
            if ($number_select <= 0) {
                $catalogue_data['user_slug'] = Session::get('user')['slug'];
                $catalogue_data['boutique_slug'] = Session::get('boutique')['slug'];
                $catalogue_data['categorie_slug'] = $data['categorie_slug'];
                $reponse = SelectedCategorie::create($catalogue_data);
                if($reponse){
                    Session::flash('success', 'La categorie '.$categorie['intitule'].' viens d\'être ajouté à votre boutique');
                }else{
                    Session::flash('error', 'Une erreur s\' est produite lors de l\'ajout de cette catégorie');
                }
            } else {
                $cat= SelectedCategorie::where('user_slug',Session::get('user')['slug'])->where('categorie_slug',$data['categorie_slug'])->where('boutique_slug',Session::get('boutique')['slug'])->first();
if($cat->corbeil) {
    $categor=SelectedCategorie::findOrFail($cat['id']);
    $categor->corbeil=false;
    $categor->save();
    Session::flash('success', 'La categorie '.$categorie['intitule'].' viens d\'être ajouté à nouveau à votre boutique');
}else{
    Session::flash('error', 'Vous avez déjà ajouter cette catégorie dans votre boutique');

}
                return back();
            }
        }else{
            $rules = array(
                'intitule' => 'required|string',
            );
            $validator = \Illuminate\Support\Facades\Validator::make($request->all(), $rules);
            if ($validator->fails()) {
                return back()->withErrors($validator)->withInput();
            }
            $data = $request->all();
            $categorie = \App\CategorieCatalogue::where('intitule', $data['intitule'])->count();
            if ($categorie > 0) {
                Session::flash('error', 'Cette catégorie existe déjà ! Veuillez consulter le catalogue ou votre repertoire de catégorie');
                return back();
            } else {
                $data['user_slug'] = Session::get('user')['slug'];

                    $data['type_user'] = "administrateur";
                    $data['boutique_slug'] = "all";

                $listen = false;
                $methode = new EnseigneController();
                do {
                    $data['slug'] = $methode->chaine_aleatoire(12);
                    $candid = \App\CategorieCatalogue::where('slug', '=', $data['slug'])->count();
                    if ($candid <= 0) {
                        $listen = true;
                    }
                } while ($listen == false);
                if(!isset($data['secteur_activite'])) {
                    $data['secteur_activite'] = Session::get('boutique')['metier_slug'];
                }

                $reponse = \App\CategorieCatalogue::create($data)->id;

                if(isset($data['caracteristique']) && isset($data['caracteristique'][0]) && $data['caracteristique'][0]!=null){
                    for($i=0;$i<count($data['caracteristique']);$i++){
                        CategorieCaracteristique::create(['categorie_catalogue_id'=>$reponse,'intitule'=>$data['caracteristique'][$i]]);
                    }
                }

                if (!isset($reponse)) {
                    Session::flash('error', 'Echec de création de la catégorie '.$data['intitule']);
                } else {
                    Session::flash('success', 'Catégorie '.$data['intitule'].' crée avec succès');
                }
            }
        }
    return back();
    }

    public function delete_categorie($slug){
        $mapage = Session::get('page');
        $categorie_find=\App\CategorieCatalogue::where('slug',$slug)->first();
    $articlecount=CatalogueArticles::where('categorie_slug',$slug)->where('boutique_slug',Session::get('boutique')['slug'])->where('corbeil',false)->count();
    if($articlecount<=0) {
        if ($mapage == 1) {
            $reponse = \App\CategorieCatalogue::findOrFail($categorie_find['id']);
            $reponse->corbeil=true;
            $reponse->save();
            Session::flash('success', 'La catégorie '.$categorie_find['intitule'].' à été suprimer avec succès.');
        }else{
            $maboutique = Session::get('boutique');
            if ($categorie_find['boutique_slug'] == $maboutique['slug']) {
                $reponse = \App\CategorieCatalogue::findOrFail($categorie_find['id']);
                $reponse->corbeil=true;
                $reponse->save();
                Session::flash('success', 'La catégorie '.$categorie_find['intitule'].' à été suprimer avec succès.');
            }else{
                ///supprimer de selected categorie
                $cat= SelectedCategorie::where('categorie_slug',$slug)->where('boutique_slug',Session::get('boutique')['slug'])->first();
               if(isset($cat) && isset($cat['id'])){
                  $selec= SelectedCategorie::findOrFail($cat['id']);
                   $selec->corbeil=true;
                   $selec->save();
                  Session::flash('success', 'La catégorie '.$categorie_find['intitule'].' à été suprimer avec succès.');
                }else{
                  Session::flash('error', 'Vous n\'avez pas le droit de supprimer la catégorie '.$categorie_find['intitule']);
    }
            }
        }
//        if (!isset($response)) {
//            Session::flash('error', 'Nous ne parvenons pas à supprimer la catégorie '.$categorie_find['intitule'].'.');
//        } else {
//            ///supprimer de selected categorie
//            $cat= SelectedCategorie::where('user_slug',Session::get('user')['slug'])->where('categorie_slug',$slug)->where('boutique_slug',Session::get('boutique')['slug'])->first()['id'];
//            $selec= SelectedCategorie::findOrFail($cat);
//            $selec->corbeil=true;
//            $selec->save();
//            Session::flash('success', 'La catégorie '.$categorie_find['intitule'].' à été suprimer avec succès.');
//        }
    }else{
        Session::flash('error','la catégorie '.$categorie_find['intitule'].' est liée à un ou plusieurs produits, vous devez supprimer ces produits avant de pouvoir effectué cette action.');
    }
        return back();
    }

  public function delete_categorie_selected($slug){
      $categorie=\App\CategorieCatalogue::where('slug',$slug)->first();
      $articlecount=CatalogueArticles::where('categorie_slug',$slug)->where('boutique_slug',Session::get('boutique')['slug'])->count();
      if($articlecount<=0) {
    $cat= SelectedCategorie::where('categorie_slug',$slug)->where('boutique_slug',Session::get('boutique')['slug'])->first();
    if(isset($cat) && isset($cat['id'])){
      $selec= SelectedCategorie::findOrFail($cat['id']);
       $selec->corbeil=true;
       $selec->save();
      Session::flash('success', 'La catégorie '.$categorie['intitule'].' à été suprimer avec succès.');
    }else{
           Session::flash('error', 'Vous n\'avez pas le droit de supprimer la catégorie '.$categorie['intitule']);
    }
  }else{
       Session::flash('error','la catégorie '.$categorie['intitule'].' est liée à un ou plusieurs produits, vous devez supprimer ces produits avant de pouvoir effectué cette action.');
    }
      return back();
    }


    public function get_categorie($slug){
        $categorie=\App\CategorieCatalogue::with('caracteristique','metier')->where('slug',$slug)->first();
        return json_encode($categorie);
    }


    public function update_categorie(Request $request,$slug){
        $categorie_find=\App\CategorieCatalogue::where('slug',$slug)->first();
        $categorie=\App\CategorieCatalogue::findOrFail($categorie_find['id']);
        $rules = array(
            'intitule' => 'required|string',
            'secteur_activite' => 'required|string',
        );
        $validator = \Illuminate\Support\Facades\Validator::make($request->all(), $rules);
        if ($validator->fails()) {
            return back()->withErrors($validator)->withInput();
        }
        $data=$request->all();
        $categorie->intitule=$data['intitule'];
        $categorie->description=$data['description'];
        $categorie->secteur_activite=$data['secteur_activite'];
        $categorie->user_slug=Session::get('user')['slug'];
        $macategorie= $categorie->save();
        if(isset($data['caracteristique'])){
        $carcs=CategorieCaracteristique::where('categorie_catalogue_id',$categorie_find['id'])->get();
        if(isset($carcs) && count($carcs)!=0) {
            foreach ($carcs as $car) {
                CategorieCaracteristique::findOrFail($car->id)->delete();
            }
        }
            for($i=0;$i<count($data['caracteristique']);$i++){
                CategorieCaracteristique::create(['categorie_catalogue_id'=>$categorie_find['id'],'intitule'=>$data['caracteristique'][$i]]);
            }
        }

        if (!isset($macategorie)) {
            Session::flash('error', 'Echec de modification de la catégorie '.$data['intitule']);
        } else {
            Session::flash('success', 'La catégorie '.$data['intitule'].' à été modifier avec succès');
        }
        return back();
    }

    public function details_categorie($slug){
      $categorie=  \App\CategorieCatalogue::with('caracteristique','metier')->where('slug',$slug)->first();
        return json_encode($categorie);
    }

}
