<?php

namespace App\Http\Controllers;

use App\Clients;
use App\Commandes;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;
use Symfony\Component\HttpKernel\Client;

class ClientController extends Controller
{
   public function index(){
       $maboutique = Session::get('boutique');
       if(isset($maboutique)){
           $clients= Clients::where('boutiques_slug',$maboutique['slug'])->get();
           return view('dashboard.Boutique.clients',compact('clients'));
       }else{
           return back()->with(['error'=>'Aucune boutique selectionné']);
       }
   }

   public function create_client(Request $request){
     $value=  $this->create_client_api($request);
     if($value==true){
         Session::flash('success','Le client à été enrégistré avec succès.');
     }else{
         Session::flash('error','Une erreur s\'est produite lors de l\'enrégistrement du client.');
     }
     return back();
   }

   public function create_client_api(Request $request){
       $data=$request->all();
       $listen=false;
       $methode=new EnseigneController();
       do{
           $data['slug']=$methode->chaine_aleatoire(12);
           $candid =   Commandes::where('slug','=',$data['slug'])->count();
           if($candid<=0){
               $listen=true;
           }
       }while($listen==false);

       $response=Clients::create($data);
       if($response){
           return json_encode(true);
       }else{
           return json_encode(false);
       }
   }

   public function getClient($slug){
       $find_client=Clients::where('slug',$slug)->first();
       $client=Clients::findOrFail($find_client['id']);
       return json_encode($client);
   }

   public function update_client(Request $request,$slug){
       $data=$request->all();
       $find_client=Clients::where('slug',$slug)->first();
       $client=Clients::findOrFail($find_client['id']);
       $client->last_name=$data['last_name'];
       $client->first_name=$data['first_name'];
       $client->sexe=$data['sexe'];
       $client->country=$data['country'];
       $client->email=$data['email'];
       $client->adress=$data['adress'];
       $client->phone=$data['phone'];
       $client->pw=$data['pw'];
       $reponse=$client->save();
       if(isset($reponse)){
           Session::flash('success','Les informations du clients ont été mise a jour avec succes');
       }else{
           Session::flash('error','Une erreur s\'est produit lors de la mise à jour des informations du client');
       }
       return back();
   }


   public function delete_client($slug){
       $find_client=Clients::where('slug',$slug)->first();
       $client=Clients::findOrFail($find_client['id'])->delete();
       if(isset($client)){
           Session::flash('success','Le client à été suprimer avec succès');
       }else{
           Session::flash('error','Une erreur s\'est produit lors de la supresssion du client');
       }
       return back();
   }
}
