<?php

namespace App\Http\Controllers\CodePromo;

use App\AbonnementPaiment;
use App\CodePromo;
use App\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Session;

class CodePromoController extends Controller
{
    public function active_code($slug){
        try {

            $user  = User::whereSlug($slug)->first();
            $code_promo = CodePromo::where("user_id",$user->id)->first();
            if ($code_promo==null) {
                CodePromo::create([
                    "user_id"=>$user->id,
                    "code"=>str_replace(" ","",strtolower("grocery-".str_random(5)))
                ]);
                Session::flash('success', 'Le code promo a été créé');
            } else {
                CodePromo::where("user_id",$user->id)->delete();
                Session::flash('success', 'Le code promo a été supprimé');
            }

        } catch (\Exception $e) {
            Session::flash('error', 'Un  problème est survenue au cours de l\'exécution du processus ' . $e);
        }
        return back();
    }

    public function gainCodePromo(){
        $abonnements = AbonnementPaiment::where("user_slug",Auth::user()->slug)->get();
        return view("dashboard.Boutique.Abonnement.codePromoBoutiqueAbonnees",compact("abonnements"));
    }
}
