<?php

namespace App\Http\Controllers;

use App\ArticleMeta;
use App\ArticleModel;
use App\Boutique;
use App\CatalogueArticles;
use App\CategorieCaracteristique;
use App\Clients;
use App\CommandArticle;
use App\Commandes;
use App\Images;
use App\MarketerShop;
use App\Portefeuille;
use App\PaiementEchelonner;
use App\SelectArticle;
use Barryvdh\DomPDF\Facade as PDF;
use Illuminate\Http\Request;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Str;
use WebLAgence\LaravelFacebookPixel\LaravelFacebookPixelFacade;

class CommandeController extends Controller
{


    public function __construct()
    {

    }
    public function createPDF($slug) {
        // retreive all records from db
        $data = Commandes::with('commande_article','commande_article.article_','boutique','boutique.meta','service_shipping')->where('slug',$slug)->first();
        // share data to view
        view()->share('commande',$data);
        PDF::setOptions([ 'defaultFont' => 'Montserrat']);
        $pdf = PDF::loadView('dashboard/invoices/commandes', $data);
        // download PDF file with download method
        return $pdf->download('facture_'.strtolower(str_replace(' ','_',$data->boutique->nom_boutique)).'_'.time().'.pdf');
    }
    public function shipping_after_command_make(Request $request){
        $data=$request->all();
       $commandes=  Commandes::where('slug',$data['slug'])->first();
        $cmd=Commandes::findOrFail($commandes['id']);
        $cmd->shipping_phone=$data['shipping_phone'];
        $cmd->shipping_adress=$data['shipping_adress'];
        $cmd->shipping=true;
        $cmd->save();
        return json_encode(true);
    }

  public function deletecommand(Request $request){
        $data=$request->all();
       $commandes=  Commandes::where('slug',$data['slug'])->first();
        $cmd=Commandes::findOrFail($commandes['id']);
        $cmd->corbeil=true;
        $cmd->save();
        return json_encode(true);
    }

    public function paid_after_check_fail(Request $request){
        $data=$request->all();
        $maboutique=Session::get('boutique');
      $commandes=  Commandes::where('slug',$data['slug'])->first();
      Session::put('command_id_new',$commandes['id']);
      $total=$commandes['total_price'];
        if($commandes['paiement_type']=='paid_echellon'){
            $paiement_echelonner=PaiementEchelonner::where('boutique_slug',$maboutique['slug'])->first();
            if(isset($paiement_echelonner)) if($paiement_echelonner->max>0) $total=(doubleval($total)/intval($paiement_echelonner->max))+1;
        }
      return json_encode($total);
    }

   public function index(){
       $maboutique = Session::get('boutique');
       if(Auth::user()->slug!=$maboutique['user_slug']){
           $almostmarketer = DB::table('marketer_shops')->where('marketer_slug', Auth::user()->slug)->where('shop_slug', $maboutique['slug'])->where('marketer_accept',true)->where('status',true)->count();
           if($almostmarketer<=0){
               return redirect('home')->with('error','Vous n\'avez pas accès à cet espace.');
           }
       }
       if(isset($maboutique)){
           $commandes = Commandes::with('commande_article','commande_article.article_','service_shipping')->where('boutique_slug',$maboutique['slug'])->where('corbeil',false)->orderByDesc('id')->paginate(10);
           $commandeSlug = Commandes::where('boutique_slug',$maboutique['slug'])->where('corbeil',false)->orderByDesc('id')->pluck('slug');
            $total=Commandes::whereIn('slug',$commandeSlug)->where('statut_paiement',true)->groupBy('currency')
               ->selectRaw('sum(total_price) as sum, currency')
               ->pluck('sum','currency');
            DB::table('commandes')->whereIn('slug',$commandeSlug)->where('check',false)->update(['check'=>true]);
           $images=Images::all()->where('type','articles');
          $cmds=DB::table('commandes')->whereNotNull('means')->whereNotNull('transaction_id')->where('boutique_slug',$maboutique['slug'])->get();
          foreach ($cmds as $cmd){
              if($cmd->transaction_id!=null && $cmd->means!=null) {
                  $help = new Commandes();
                  $help->checkCommande($cmd->transaction_id, $cmd->slug, $cmd->means);
              }
          }
           return view('dashboard.Boutique.commandes',compact('commandes','images','total'));
       }else{
           return back()->with(['error'=>'Aucune boutique selectionnée']);
       }
   }

   public function generale_command(){
       $user = Session::get('user');
       $maboutique = Boutique::where('user_slug',$user['slug'])->pluck(('slug'))->toArray();
       if(isset($maboutique)){
           $commandes = Commandes::with('commande_article','commande_article.article_','service_shipping')->whereIn('boutique_slug',$maboutique)->where('corbeil',false)->orderByDesc('updated_at')->get();
           $commandeSlug = Commandes::with('commande_article','commande_article.article_')->whereIn('boutique_slug',$maboutique)->where('corbeil',false)->pluck('slug');
           $total=Commandes::whereIn('slug',$commandeSlug)->where('statut_paiement',true)->groupBy('currency')
               ->selectRaw('sum(total_price) as sum, currency')
               ->pluck('sum','currency');
           DB::table('commandes')->whereIn('slug',$commandeSlug)->where('check',false)->update(['check'=>true]);
           $images=Images::all()->where('type','articles');
           $cmds=DB::table('commandes')->whereNotNull('means')->whereNotNull('transaction_id')->whereIn('boutique_slug',$maboutique)->get();
           foreach ($cmds as $cmd){
               if($cmd->transaction_id!=null && $cmd->means!=null) {
                   $help = new Commandes();
                   $help->checkCommande($cmd->transaction_id, $cmd->slug, $cmd->means);
               }
           }
           return view('dashboard.Boutique.commandes_generale',compact('commandes','images','total'));
       }else{
           return back()->with(['error'=>'Aucune boutique selectionnée']);
       }
   }

   public function generale_command_admin(){
       $user = Session::get('user');
           $commandes = Commandes::with('commande_article','commande_article.article_','service_shipping')->where('corbeil',false)->orderByDesc('updated_at')->get();
           $commandeSlug = Commandes::with('commande_article','commande_article.article_')->where('corbeil',false)->pluck('slug');
           $total=Commandes::whereIn('slug',$commandeSlug)->where('statut_paiement',true)->groupBy('currency')
               ->selectRaw('sum(total_price) as sum, currency')
               ->pluck('sum','currency');
           DB::table('commandes')->whereIn('slug',$commandeSlug)->where('check',false)->update(['check'=>true]);
           $images=Images::all()->where('type','articles');
       /* $cmds=DB::table('commandes')->whereNotNull('means')->whereNotNull('transaction_id')->get();
       foreach ($cmds as $cmd){
           if($cmd->transaction_id!=null && $cmd->means!=null) {
               $help = new Commandes();
               $help->checkCommande($cmd->transaction_id, $cmd->slug, $cmd->means);
           }
       } */
           return view('dashboard.Boutique.commandes_generale_admin',compact('commandes','images','total'));
   }

    public function gestion_command($reference){
        $user = Session::get('user');
            $commandes = Commandes::with('commande_article','commande_article.article_','service_shipping')
                ->where('corbeil',false)
                ->where('reference_global',$reference)
                ->orderByDesc('updated_at')->get();
            $commandeSlug = Commandes::with('commande_article','commande_article.article_')->where('reference_global',$reference)->where('corbeil',false)->pluck('slug');
            $total=Commandes::whereIn('slug',$commandeSlug)->where('reference_global',$reference)->where('statut_paiement',true)->groupBy('currency')
                ->selectRaw('sum(total_price) as sum, currency')
                ->pluck('sum','currency');
            DB::table('commandes')->whereIn('slug',$commandeSlug)->where('reference_global',$reference)->where('check',false)->update(['check'=>true]);
            $images=Images::all()->where('type','articles');
            return view('dashboard.super_administrateur.commandes.commandes',compact('commandes','images','total','reference'));
    }

    public function list_gestion_command_reference(){
                $user = Session::get('user');
                $commandes = Commandes::with('commande_article', 'commande_article.article_', 'service_shipping')
                ->where('corbeil', false)
                ->where('is_global', true)
                ->groupBy('reference_global')
                ->selectRaw('
                    reference_global,
                    GROUP_CONCAT(slug) AS slug,
                    GROUP_CONCAT(admin_percentage) AS admin_percentage,
                    GROUP_CONCAT(admin_gain) AS admin_gain,
                    GROUP_CONCAT(is_global) AS is_global,
                    GROUP_CONCAT(global_code_promo) AS global_code_promo,
                    GROUP_CONCAT(montant_global_code_promo) AS montant_global_code_promo,
                    GROUP_CONCAT(slug) AS slug,
                    GROUP_CONCAT(reference) AS reference,
                    GROUP_CONCAT(first_name) AS first_name,
                    GROUP_CONCAT(last_name) AS last_name,
                    GROUP_CONCAT(sex) AS sex,
                    GROUP_CONCAT(country) AS country,
                    GROUP_CONCAT(customer_phone) AS customer_phone,
                    GROUP_CONCAT(customer_adress) AS customer_adress,
                    GROUP_CONCAT(email) AS email,
                    GROUP_CONCAT(shipping_service) AS shipping_service,
                    GROUP_CONCAT(statut_paiement) AS statut_paiement,
                    GROUP_CONCAT(statut_shipping) AS statut_shipping,
                    GROUP_CONCAT(source) AS source,
                    GROUP_CONCAT(source_name) AS source_name,
                    SUM(total_price) AS total_price,
                    SUM(montant_payer) AS montant_payer,
                    SUM(total_wr) AS total_wr,
                    SUM(admin_gain) AS admin_gain,
                    GROUP_CONCAT(have_account) AS have_account,
                    GROUP_CONCAT(admin_percentage) AS admin_percentage,
                    GROUP_CONCAT(user_slug) AS user_slug,
                    GROUP_CONCAT(shipping) AS shipping,
                    GROUP_CONCAT(date_shipping) AS date_shipping,
                    GROUP_CONCAT(paiement_type) AS paiement_type,
                    GROUP_CONCAT(`check`) AS `check`,
                    GROUP_CONCAT(corbeil) AS corbeil,
                    GROUP_CONCAT(currency) AS currency,
                    GROUP_CONCAT(shipping_adress) AS shipping_adress,
                    GROUP_CONCAT(shipping_phone) AS shipping_phone,
                    GROUP_CONCAT(shipping) AS shipping,
                    GROUP_CONCAT(transaction_id) AS transaction_id,
                    GROUP_CONCAT(means) AS means,
                    GROUP_CONCAT(code_promo_reduction) AS code_promo_reduction,
                    GROUP_CONCAT(created_at) AS created_date,
                    GROUP_CONCAT(updated_at) AS updated_date
                ')
                ->get();
                //dd($commandes);
               $commandeSlug = Commandes::where('corbeil',false)->pluck('slug');
                $total=Commandes::whereIn('slug',$commandeSlug)
                ->where('is_global', true)
                ->where('statut_paiement',true)
                ->groupBy('currency')
                    ->selectRaw('sum(total_price) as sum, currency')
                    ->pluck('sum','currency');
                DB::table('commandes')->whereIn('slug',$commandeSlug)->where('check',false)->update(['check'=>true]);
                $images=Images::all()->where('type','articles');
            //$cmds=DB::table('commandes')->whereNotNull('means')->whereNotNull('transaction_id')->get();
                return view('dashboard.super_administrateur.commandes.index',compact('commandes','images','total'));
        }

public function generale_achat(){
       $user = Session::get('user');
           $commandes = Commandes::with('commande_article','boutique','service_shipping')->where('user_slug',$user['slug'])->where('corbeil',false)->orderByDesc('updated_at')->paginate(10);
           $commandeSlug = Commandes::with('commande_article','boutique')->where('user_slug',$user['slug'])->where('corbeil',false)->pluck('slug');
           $total=Commandes::whereIn('slug',$commandeSlug)->where('statut_paiement',true)->groupBy('currency')
        ->selectRaw('sum(total_price) as sum, currency')
        ->pluck('sum','currency');
           $images=Images::all()->where('type','articles');
    $cmds=DB::table('commandes')->whereNotNull('means')->whereNotNull('transaction_id')->where('user_slug',$user['slug'])->get();
    foreach ($cmds as $cmd){
        if($cmd->transaction_id!=null && $cmd->means!=null) {
            $help = new Commandes();
            $help->checkCommande($cmd->transaction_id, $cmd->slug, $cmd->means);
        }
    }
           return view('dashboard.Boutique.achat_generale',compact('commandes','images','total'));
   }


   public function livraison(Request $request){
        try {
            $data = $request->all();
            $find_commandes = Commandes::where('slug', $data['slug'])->first();
            $commande = Commandes::findOrFail($find_commandes['id']);
            if($commande->is_global){
                    //only when shipping is validated
                    // Ajouter le montant à l'actif du détenteur de la boutique
                    $boutique=Boutique::where('slug',$commande->boutique_slug)->first();
                     $fportefeuille = Portefeuille::where('user_slug', $boutique['user_slug'])->count();
                     Portefeuille::createPortefeuilles(
                         $boutique['user_slug'],
                         $commande->total_price,
                        'commande',
                        'Paiement reçu pour la commande '.$commande->reference_global,
                        'xof',
                        $commande->boutique_slug
                        );
            }
            //modification du status de livraison
            $commande->statut_shipping = true;
            $commande->date_shipping = Carbon::now();
            
            if ($commande->paiement_type == 'paid_after' || !$commande->statut_paiement) {
                if(!$commande->statut_paiement){
                    $commande->statut_paiement=true;
                    $commande->reference=time().'hs';
                    $commande->source='inconnu';
                    $commande->source_name='inconnu';
                    $commande->montant_payer=$commande->total_price;
                }
                $articles = CommandArticle::where('command_slug', $commande['slug'])->get();
                foreach ($articles as $commandearticle) {
                    // retirer la valeur acheter du stock;
                    $article = CatalogueArticles::where('slug', $commandearticle->article_slug)->first();
                    if ($article['boutique_slug'] == $commande['boutique_slug']) {
                        $modart = CatalogueArticles::findOrFail($article['id']);
                        $modart->stock = intval($modart->stock) - intval($commandearticle->quantity);
                        $modart->save();
                    } else {
                        $helpers = new HelperController();
                        $stock = $helpers->get_meta_article('stock', $commandearticle->article_slug,  $commande['boutique_slug']);
                        $stock = intval($stock) - intval($commandearticle->quantity);
                        $helpers->update_meta_article('stock', $commandearticle->article_slug, $stock,  $commande['boutique_slug']);
                    }
                }
            }
            $commande->save();
            return json_encode(['error'=>false]);
        }catch (\Exception $e){
            return json_encode(['error'=>true,'message'=>$e->getMessage()]);
        }
   }

    public function get_article_commande(Request $request){
       $slug=$request->slug;
        $commandes = Commandes::with('commande_article')->where('slug',$slug)->first();
            foreach($commandes->commande_article as $cmd_art){
                $articles =CatalogueArticles::with('article_meta')->where('slug',$cmd_art->article_slug)->get();
                $cmd_art->article=$articles;
            }
        $images=Images::all()->where('type','articles');
        return view('dashboard.Boutique.modal_article_commande',compact('images','commandes'));

    }

   public function AjouterCommande(Request $request){
       $maboutique = Session::get('boutique');
       $data=$request->all();
       //verification des paramètres spécifier par l'utilisateur
           $data['slug']=Str::slug(time().'slug'.time());
            $data['boutique_slug']=$maboutique['slug'];
            $data['statut_paiement']=false;
            $data['statut_shipping']=false;
            $data['total_price']=0;
            $data['currency']=$maboutique['meta']['currency_client'];
            $data['reference']='attente paiement';
            if(Session::has('user') && Session::get('user')!=''){
                $data['have_account']=true;
                $data['user_slug']=Session::get('user')['slug'];
            }else{
                $data['have_account']=false;
            }
            if($data['command_type']==1){
                $data['shipping']=true;
                $data['paiement_type']='paid_now';
            }else{
                $data['shipping']=false;
                $data['paiement_type']='paid_after';
            }
            if(isset($data['code_promo']) && $data['code_promo']!=null){
                $codePromos = DB::table('code_promo_boutiques')->where('code',$data['code_promo'])->where('boutique_slug',$data['boutique_slug'])->first();
                if($codePromos!=null){
                    $data['code_promo_reduction']=$codePromos->reduction;
                }
            }
            //enregistrement de l commande
        $commande_id=Commandes::create($data)->id;
       //enregistrer les articles de le commande
       Session::put('command_id_new',$commande_id);
       $total=0;
       $choice=[];
        for($i=0;$i<count($data['article_slug']);$i++){
         $articles = CatalogueArticles::with('categorie','boutique','boutique.meta')->where('slug',$data['article_slug'][$i])->first();
            $helpers = new HelperController();
            if (!isset($articles['boutique'])) {
                $articles['boutique'] = Boutique::with('meta')->where('slug', $maboutique['slug'])->first();
                $articles['quantity']=$helpers->get_meta_article('quantity',$articles['slug'],$maboutique['slug']);
                $articles['name']=$helpers->get_meta_article('name',$articles['slug'],$maboutique['slug']);
            }
            $prix = $helpers->get_article_price_by_boutique($data['article_slug'][$i], $maboutique['slug']);
            LaravelFacebookPixelFacade::createEvent('Purchase', $parameters = ['num_items'=>$data['quantity'][$i],'content_category'=>$articles->categorie->intitule,'content_ids'=>$articles['slug'],'content_name'=>$articles['name'],'content_type'=>'product','contents'=>[['id'=>$articles->slug,'quantity'=>$articles->quantity]],'currency'=>$articles->boutique->meta->currency_admin,'value'=>$prix]);
            $categorie_id = \App\CategorieCatalogue::where('slug',$articles['categorie_slug'])->first()['id'];
                $caracteristiques=CategorieCaracteristique::where('categorie_catalogue_id',$categorie_id)->get();
                foreach($caracteristiques as $caracteristique){
                    if(isset($data[$caracteristique->intitule])){
                        $choice[$caracteristique->intitule]=$data[$caracteristique->intitule];
                    }
                }
            $helpers=new HelperController();
            $prix=$helpers->get_article_price_by_boutique($articles['slug'],$maboutique['slug']);
            $prix_vente=$prix*$data['quantity'][$i];
            $total+=$prix_vente;
            $slug=Str::slug('article'.time().'slug'.time().'command');
            CommandArticle::create(['slug'=>$slug,'command_slug'=>$data['slug'],'article_slug'=>$data['article_slug'][$i],'price'=>$prix,'quantity'=>$data['quantity'][$i],'total_price'=>$prix_vente,'specificity'=>$data['specificity'][$i],'choice'=>json_encode($choice)]);
        }
       $cmd= Commandes::findOrFail($commande_id);
        $cmd->total_price=$total;
        $cmd->total_wr=$total;
        if(isset($data['code_promo_reduction'])){
            $new_price=$total-(($total*$codePromos->reduction)/100);
            $cmd->total_price=$new_price;
            $total=$new_price;
        }
        $cmd->save();
       if(isset($data['echellonPaiement'])){
        $paiement_echelonner=PaiementEchelonner::where('boutique_slug',$maboutique['slug'])->first();
        if(isset($paiement_echelonner)) if($paiement_echelonner->max>0) $total=(doubleval($total)/intval($paiement_echelonner->max))+1;
       }
         // envoyer un email au gerant de la boutique
       $boutique=Boutique::with('user')->where('slug',Session::get('boutique')['slug'])->first();
       $subject = 'Nouvelle commande enregistré sur la boutique '.$boutique->nom_boutique;
       $messages = ['first_name'=>$data['first_name'],'last_name'=>$data['last_name'],'montant'=>$total,'boutique'=>$boutique->nom_boutique];
       MailController::SendGeneralUniqueMail('Mail.commande_seller',$subject, $messages, $boutique->user->email,env('MAIL_USERNAME'));
       //Envoyer un email au client
       $subject = 'commande enregistré pour '.$data['last_name'].' '.$data['first_name'].' sur la boutique '.$boutique->nom_boutique;
       $messages = ['first_name'=>$data['first_name'],'last_name'=>$data['last_name'],'montant'=>$total,'boutique'=>$boutique->nom_boutique,'have_account'=>$data['have_account']];
       MailController::SendGeneralUniqueMail('Mail.commande_client',$subject, $messages, $data['email'],env('MAIL_USERNAME'));
       $subject = 'NOUVELLE COMMANDE SUR '.$boutique['nom_boutique'];
       $messages = "La boutique ".$boutique['nom_boutique']." à enrégsitré une nouvelle commande ";
       MailController::SendGeneralUniqueMail('Mail.generale_blade',$subject, $messages, env('MAIL_ADMIN'),env('MAIL_USERNAME'));
        return $total;
     }


   public function changerEtatCommande(Request $request){
       $data=$request->all();
       $find_commandes= Commandes::where('slug',$data['slug'])->first();
       $commande=Commandes::findOrFail($find_commandes['id']);
       $commande->state=$data['state'];
      $save= $commande->save();
      if(isset($save)){
          Session::flash('success','La commande à été '.$data['state']);
          return back();
      }else{
          Session::flash('error','Echec lors du changement d\'état de la commande '.$data['state']);
          return back();
      }
   }
}
