<?php

namespace App\Http\Controllers;

use App\Boutique;
use App\DemandeActivationAbonnement;
use App\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Session;

class DemandeActivationAbonnementController extends Controller
{

    public function __construct(){}

    public function index(){
       $activationsPaiment=DemandeActivationAbonnement::with('boutique','user')->orderBy('id','DESC')->get();
       return view('dashboard/DemandePaiement/demande_paiement',compact('activationsPaiment'));
    }

    public function activer($id){
       $user=Session::get('user');
     $demandes=  DemandeActivationAbonnement::findOrFail($id);
     $boutique= Boutique::findOrFail($demandes->boutique_id);
     $boutique->rccm=$demandes->rccm;
     $boutique->rccmFile=$demandes->rccmFile;
     $boutique->ifu=$demandes->ifu;
     $boutique->ifuFile=$demandes->ifuFile;
     $boutique->cni=$demandes->cniFile;
     $boutique->adminActivatePaiement=$user->id;
     $boutique->paiement_and_livraison=true;
     $boutique->save();
       $demandes->user_id=$user->id;
       $demandes->state='activer';
    $result= $demandes->save();
    $user=User::where('slug',$boutique['user_slug'])->first();
       //Envoyer un email au client
       $subject = 'Activation du moyen de paiement en ligne pour votre '.$boutique->nom_boutique;
       $messages = ['message'=>'Les clients peuvent maintenant effectuer des achats depuis votre site.'];
       MailController::SendGeneralUniqueMail('Mail.paiement_validation',$subject, $messages, $user['email'],env('MAIL_USERNAME'));

       $result!=null ? Session::flash('success','Module de paiement de la boutique '.$boutique->nom_boutique.' activer ') :   Session::flash('error','Nous n\'avons pas pu activer le module');
       return back();
    }
    public function denied($id){
        $user=Session::get('user');
        $demandes=  DemandeActivationAbonnement::findOrFail($id);
     $boutique= Boutique::findOrFail($demandes->boutique_id);
        $demandes->user_id=$user->id;
        $demandes->state='refuser';
        $result= $demandes->save();
        $user=User::where('slug',$boutique['user_slug'])->first();
        //Envoyer un email au client
        $subject = 'Rejet de la demande d\'activation du moyen de paiement en ligne pour votre '.$boutique->nom_boutique;
        $messages = ['message'=>'Les document fournis n\'ont pas été valider. Veuiller refaire une demande après 24h.'];
        MailController::SendGeneralUniqueMail('Mail.paiement_validation',$subject, $messages, $user['email'],env('MAIL_USERNAME'));
        $result!=null ? Session::flash('success','Module de paiement de la boutique '.$boutique->nom_boutique.' refuser ') :   Session::flash('error','Nous n\'avons pas pu refuser l\'activation le module');
       return back();
    }

}
