<?php

namespace App\Http\Controllers;

use App\Enseigne;
use App\User;
use Cartalyst\Sentinel\Laravel\Facades\Sentinel;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Str;

class EnseigneController extends Controller
{

    public function enseigne_index(){
            $enseignes=  Enseigne::where('id_user_fk_enseigne','=',Session::get('user')['id'])->orderBy('id','DESC')->get();
            Session::put('enseigne',count($enseignes));
             $users=User::all();
        return view('dashboard.Admin_panel.gestion_enseigne',compact('enseignes','users','etat'));
    }

    public function panel_create_enseigne(){

        return view('Enseigne.create_enseigne');

    }
    public function create_enseigne(Request $request){

        $rules = array(
            'nom_enseigne' => 'required|string|max:255',
            'telephone_enseigne' => 'required|numeric',
            'email_enseigne' => 'required|email|unique:enseignes|max:255',
            'pays_enseigne' => 'required|string|max:255'
        );

        $validator = \Illuminate\Support\Facades\Validator::make($request->all(), $rules);

        if ($validator->fails()) {
            return back()->withErrors($validator)->withInput();
        }

        $get_response=$this->create_enseigne_api($request);

        $ens=new HomeController();

        $nbEnseigne=$ens->have_enseigne_check();
        Session::put('NbEnseigne',$nbEnseigne);

        $response=json_decode($get_response,true);


        if($response['statut']){
            Session::flash('success',$response['message']);
            return redirect('enseignes');
        }else{
            Session::flash('error',$response['message']);
            return back();
        }

    }

    public function chaine_aleatoire($nb_car, $chaine = 'azertyuiopqsdfghjklmwxcvbn123456789')
    {
        $nb_lettres = strlen($chaine) - 1;
        $generation = '';
        for($i=0; $i < $nb_car; $i++)
        {
            $pos = mt_rand(0, $nb_lettres);
            $car = $chaine[$pos];
            $generation .= $car;
        }
        return $generation;
    }


    public function create_enseigne_api($request){

    $data=$request->all();
        $imagepath="";
        $listen=false;


        try {

            $rules = array(
                'nom_enseigne' => 'required|string|max:255',
                'telephone_enseigne' => 'required|numeric',
                'email_enseigne' => 'required|email|unique:enseignes|max:255',
                'pays_enseigne' => 'required|string|max:255'
            );

            $validator = \Illuminate\Support\Facades\Validator::make($request->all(), $rules);


            if ($validator->fails()) {
                $statut = false;
                $message = $validator->getMessageBag()->toArray();
                $response = json_encode(['statut' => $statut, 'message' => '', 'data' =>[], 'input_error' => $message]);

                return $response;
            }else{
        do{
            $data['slug']=$this->chaine_aleatoire(12);

            $enseigne =   Enseigne::where('slug','=',$data['slug'])->count();

            if($enseigne<=0){
                $listen=true;
            }
        }while($listen==false);

        if($request->has('logo_enseigne')) {

            if (!is_string(request()->logo_enseigne) and request()->logo_enseigne) {

                $imagepath = 'logo' . time() . '.' . request()->logo_enseigne->getClientOriginalExtension();

                request()->logo_enseigne->move(public_path('Logo_enseigne'), $imagepath);

            }

             }

             $data['logo_enseigne']=$imagepath;
             $newEnseigne=Enseigne::create($data);

        if($newEnseigne){
            $id = DB::getPdo()->lastInsertId();
            $response=['statut'=>true,'data'=>['user_id'=>$id],'message'=>'L\'entreprise '.$data['nom_enseigne'].' à été créer avec succès.'];
            }else{
            $response=['statut'=>false,'data'=>[],'message'=>'Une erreur s\'est produite au cours de la création de l\'entreprise '.$data['nom_enseigne']];

        }
        return json_encode($response);
            }
        }catch (\Exception $e){
            $statut=false;
            $message=$e->getMessage();
            $response=json_encode(['statut'=>$statut,'message'=>$message,'data'=>[]]);
            return $response;
        }
    }

    public function update_enseigne(Request $request){

        $data=$request->all();


        $enseigne_email_check=Enseigne::where('slug','!=',$data['slug'])->where('email_enseigne','=',$data['email_enseigne'])->count();

        if($enseigne_email_check>0){
            Session::flash('error','Cet email est déjà utilisé');
            return back();
        }
        try {
            $imagepath="";

            $rules = array(
                'nom_enseigne' => 'required|string|max:255',
                'telephone_enseigne' => 'required|numeric',
                'email_enseigne' => 'required|email|max:255',
                'pays_enseigne' => 'required|string|max:255'
            );

            $validator = \Illuminate\Support\Facades\Validator::make($request->all(), $rules);

            if ($validator->fails()) {
                return back()->withErrors($validator)->withInput();

            }else{

                if($request->has('logo_enseigne')) {

                    if (!is_string(request()->logo_enseigne) and request()->logo_enseigne) {

                        $imagepath = 'logo' . time() . '.' . request()->logo_enseigne->getClientOriginalExtension();

                        request()->logo_enseigne->move(public_path('Logo_enseigne'), $imagepath);

                    }

                }

                $data['logo_enseigne']=$imagepath;

                $enseignes=Enseigne::where('slug','=',$data['slug'])->first();

                $enseigne=Enseigne::findOrFail($enseignes->id);

                $enseigne->nom_enseigne=$data['nom_enseigne'];
                $enseigne->telephone_enseigne=$data['telephone_enseigne'];
                $enseigne->slogan_enseigne=$data['slogan_enseigne'];
                $enseigne->email_enseigne=$data['email_enseigne'];
                $enseigne->adresse_enseigne=$data['adresse_enseigne'];
                $enseigne->gps_enseigne=$data['gps_enseigne'];
                $enseigne->presentation_enseigne=$data['presentation_enseigne'];
                $enseigne->pays_enseigne=$data['pays_enseigne'];
                if($data['logo_enseigne'] != ""){
                    $enseigne->logo_enseigne=$data['logo_enseigne'];
                }
                $newEnseigne=$enseigne->save();

                if($newEnseigne){
                    Session::flash('success','Les informations de l\'entreprise ont été modifier avec succès.');
                    return back();
                }else{
                    Session::flash('error','La mise à jour des informations de l\'entreprise à échouer');
                    return back();
                }

            }
        }catch (\Exception $e){
            Session::flash('error','La mise à jour des informations de l\'entreprise à échouer '.$e->getMessage());
            return back();
        }


    }

        public function get_enseigne($slug){

            $enseignes=Enseigne::where('slug','=',$slug)->first();

            $enseigne=Enseigne::findOrFail($enseignes->id);

            return json_encode($enseigne);
        }

        public function delete_enseigne($slug){
            $enseignes=Enseigne::where('slug','=',$slug)->first();
            $nom=$enseignes['nom_enseigne'];
            $enseigne=Enseigne::findOrFail($enseignes['id'])->delete();

            if(isset($enseigne)){
                Session::flash('success','L\'entreprise '.$nom.' à été supprimer avec succès.');
            }else{
                Session::flash('error','La supression de l\'entreprise à échouer');
            }
            return back();


    }

public function liste_output_enseigne(){
      $enseignes =  Enseigne::where('id_user_fk_enseigne','=',Session::get('user')['id'])->orderBy('id','DESC')->get();
      $output="";

      if(count($enseignes)>0) {
          foreach ($enseignes as $enseigne) {
              $output .= "<option value='$enseigne->slug'>" . $enseigne->nom_enseigne . "</option>";
          }
      }
      echo $output;
}
public function complete_liste_output_enseigne(){
      $enseignes =  Enseigne::where('id_user_fk_enseigne','!=',Session::get('user')['id'])->orderBy('id','DESC')->get();

      $output="";

      if(count($enseignes)>0) {
          foreach ($enseignes as $enseigne) {
              $output .= "<option value='$enseigne->slug'>" . $enseigne->nom_enseigne . "</option>";
          }
      }
      echo $output;
}

}
