<?php

namespace App\Http\Controllers;

use App\ArticleMeta;
use App\Boutique;
use App\BoutiqueMeta;
use App\CatalogueArticles;
use App\check_boutiques;
use App\Converter;
use App\Images;
use App\wishlist_article;
use App\wishlist_boutique;
use Illuminate\Http\Request;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\Cookie;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Session;

class HelperController extends Controller
{


    public function convertCurrency($from_Currency, $to_Currency, $amount)
    {
        $apikey = '6be6b9e4a91ea7a717b1';
        $from_Currency = urlencode($from_Currency);
        $to_Currency = urlencode($to_Currency);
        $query = $to_Currency . $from_Currency;
        $rate = Converter::where('code', $query)->first();
        $data = 9000000000000000000000000000000;
        if ($rate != null) {
            $total = $amount / $rate['rate'];
            $formatValue = number_format($total, 2, '.', '');
            $data = $formatValue;
        }
        return $data;
    }

    public function check_boutique_to_uninstall()
    {
        Boutique::where('corbeil', false)->chunk(100, function ($boutiques) {
            foreach ($boutiques as $boutique) {
                if ($boutique->install && !$boutique->expired) {
                    $date = \Illuminate\Support\Carbon::create($boutique->expired_to)->format('M d Y H:i:s');
                    $date = strtotime($date);
                    $today = strtotime(Carbon::now());
                    $diff = $date - $today;
                    if ($diff <= 0) {
                        $boutique->update(['expired' => true]);
                        $this->boutiqueExpiredWarningMail($boutique['id'], 0, 'expired');
                    }
                    break;
                }
            }
        });
    }

    public function check_boutique_state()
    {
        Boutique::where('corbeil', false)->chunk(100, function ($boutiques) {
            foreach ($boutiques as $boutique) {
                if ($boutique->installer) {
                    $date = \Illuminate\Support\Carbon::create($boutique->expired_to)->format('M d Y H:i:s');
                    $date = strtotime($date);
                    $today = strtotime(Carbon::now());
                    $diff = $date - $today;
                    $to = \Carbon\Carbon::createFromFormat('Y-m-d H:s:i', date('Y-m-d H:i:s', $date));
                    $from = \Carbon\Carbon::createFromFormat('Y-m-d H:s:i', date('Y-m-d H:i:s', $today));
                    $diff_day = $diff_in_days = $to->diffInDays($from);
                    switch (true) {

                        case  $diff_day == 15 || $diff_day == 7 || $diff_day == 30 :
                            $this->boutiqueExpiredWarningMail($boutique['id'], $diff_day, 'warning');
                            break;
                        case $diff_day <= 0 :
                            if ($diff <= 0) {
                                if (!$boutique->expired) {
                                    $boutique->update(['expired' => true]);
                                }
                                $this->boutiqueExpiredWarningMail($boutique['id'], 0, 'expired');
                            }
                            break;
                    }
                }
            }
        });
    }

    public function boutiqueExpiredWarningMail($boutique_id, $day, $type)
    {
        $boutique = Boutique::findOrFail($boutique_id);
        $metas = BoutiqueMeta::all()->where('boutique_id', $boutique->id)->first();
        $logo = $metas['logo_boutique'];
        $mail = $metas['email_boutique'];
        $type == 'warning'
            ?
            $subject = 'Alerte: Expiration de l\'abonnement de votre boutique ' . $boutique['nom_boutique'] . ' dans ' . $day . ' jours.'
            :
            $subject = 'Alerte Critique: L\'abonnement de votre boutique ' . $boutique['nom_boutique'] . ' à expirer';

        $messages = ['nom_boutique' => $boutique['nom_boutique'], 'logo' => $logo, 'day' => $day, 'type' => $type];
        MailController::SendGeneralUniqueMail('Mail.abonnementWarning', $subject, $messages, $mail, env('MAIL_USERNAME'));

    }


    public function check_panier($article_slug)
    {
        $response = false;
        $boutique = Session::get('boutique')['slug'];
        if (isset($boutique)) {
            if (Session::has('addedArticles')) {
                $articles = Session::get('addedArticles');
                if (isset($articles[$article_slug])) {
                    $response = true;
                }
            }
        }
        return $response;
    }

    public function check_fav($boutique, $article)
    {
        $response = false;
        if (Session::has('user')) {
            $wh = wishlist_article::where('boutique_slug', $boutique)->where('user_slug', Session::get('user')['slug'])->where('catalogue_article_slug', $article)->count();
            if ($wh > 0) {
                $response = true;
            }
        } else {
            $whislist = Cookie::get('wishlist_article');
            if (isset($whislist) && $whislist != null) {
                $whislist = json_decode($whislist, true);
                for ($i = 0; $i < count($whislist); $i++) {
                    if ($whislist[$i]['boutique'] == $boutique && $whislist[$i]['article_slug'] == $article) {
                        $response = true;
                    }
                }
            }

        }
        return $response;
    }


    public function check_fav_boutique($boutique)
    {
        $response = false;
        if (Session::has('user')) {
            $wh = wishlist_boutique::where('boutique_slug', $boutique)->where('user_slug', Session::get('user')['slug'])->count();
            if ($wh > 0) {
                $response = true;
            }
        } else {
            $whislist = Cookie::get('wishlist_boutique');
            if (isset($whislist) && $whislist != null) {
                $whislist = json_decode($whislist, true);
                if (isset($whislist[$boutique]) && $whislist[$boutique] == $boutique) {
                    $response = true;
                }

            }

        }
        return $response;
    }

    public function update_boutique_click(Request $request)
    {
        $data = $request->all();
        if (Session::has('user')) {
            $data['user_slug'] = Session::get('user')['slug'];
        } else {
            $data['user_slug'] = request()->ip();
        }
        $data['nclick'] = 1;
        check_boutiques::create($data);
        return json_encode(true);
    }

    public function update_product_click(Request $request)
    {
        $data = $request->all();
        if (Session::has('user')) {
            $data['user_slug'] = Session::get('user')['slug'];
        } else {
            $data['user_slug'] = request()->ip();
        }
        check_boutiques::create($data);
        return json_encode(true);

    }

    public function update_meta_article($key, $product, $value, $boutique_slug)
    {

        $data['key'] = $key;
        $data['article_slug'] = $product;
        $data['value'] = $value;
        $data['boutiques_slug'] = $boutique_slug;
        $response = false;
        $meta_exist = ArticleMeta::where('key', $key)->where('article_slug', $product)->where('boutiques_slug', $boutique_slug)->count();

        if ($meta_exist > 0) {
            $meta_find = ArticleMeta::where('key', $key)->where('article_slug', $product)->where('boutiques_slug', $boutique_slug)->first();
            $meta_done = ArticleMeta::findOrFail($meta_find['id']);
            $meta_done->key = $data['key'];
            $meta_done->article_slug = $data['article_slug'];
            $meta_done->value = $data['value'];
            $meta_done->boutiques_slug = $data['boutiques_slug'];
            $final_response = $meta_done->save();
            if (isset($final_response)) {
                $response = true;
            }
        } else {
            $listen = false;

            $methode = new EnseigneController();

            do {
                $data['slug'] = $methode->chaine_aleatoire(12);

                $candid = ArticleMeta::where('slug', '=', $data['slug'])->count();

                if ($candid <= 0) {

                    $listen = true;
                }
            } while ($listen == false);

            $final_response = ArticleMeta::create($data);

            if (isset($final_response)) {
                $response = true;
            }
        }
        return $response;
    }

    public function get_meta_article($key, $product, $boutique_slug)
    {
        $meta_exist = ArticleMeta::where('key', $key)->where('article_slug', $product)->where('boutiques_slug', $boutique_slug)->count();
        $statut = false;
        if ($meta_exist > 0) {
            $meta_find = ArticleMeta::where('key', $key)->where('article_slug', $product)->where('boutiques_slug', $boutique_slug)->first();
            $val = $meta_find['value'];
            $statut = true;
            $result = ['statut' => $statut, 'value' => $val];
        } else {
            $result = ['statut' => $statut];
        }
        return $result;
    }

    public function get_article_price_by_boutique($slug, $boutique)
    {
        $prix = 0;
        $articles = CatalogueArticles::where('slug', $slug)->first();
        if ($articles->boutique_slug == $boutique) {
            if ($articles->show_price != 0 && $articles->on_sale == true) {
                $prix = $articles->price - ($articles->price * $articles->show_price) / 100;
            } else {
                $prix = $articles->price;
            }
        } else {
            $helpers = new HelperController();
            $newarticle = $helpers->get_meta_article('show_price', $slug, $boutique);
            $promo = $helpers->get_meta_article('on_sale', $slug, $boutique);
            $newarticle_2 = $helpers->get_meta_article('price', $slug, $boutique);

            if (isset($newarticle['status']) && isset($promo['status'])) {
                if ($newarticle['status'] == true && $promo['status'] == true) {
                    if ($newarticle_2['status'] == true) {
                        $prix = $newarticle_2['value'] - ($newarticle_2['value'] * $newarticle['value']) / 100;
                    } else {
                        $prix = $articles->price - ($articles->price * $newarticle['value']) / 100;
                    }

                } else {
                    if ($newarticle_2['status'] == true) {
                        $prix = $newarticle_2['value'];
                    } else {
                        $prix = $articles->price;
                    }
                }
            } else {
                $prix = $articles->price;
            }
        }
        return $prix;
    }

    public function get_simple_image($article, $boutique)
    {

        $images = Images::where('key', $article)->where('type', 'articles')->where('boutique_slug', $boutique)->first();
        if (!isset($images)) {
            $images = Images::where('key', $article)->where('type', 'articles')->where('boutique_slug', 'all')->first();
        }
        return $images;
    }

    public function get_simple_full_image($article, $boutique)
    {

        $images = Images::where('key', $article)->where('type', 'articles_full')->where('boutique_slug', $boutique)->first();
        if (!isset($images)) {
            $images = Images::where('key', $article)->where('type', 'articles_full')->where('boutique_slug', 'all')->first();
        }
        return $images;
    }

    public function get_all_sup_image($article, $boutique)
    {

        $images = Images::where('key', $article)->where('type', 'articles_sup')->where('boutique_slug', $boutique)->get();
        if (!isset($images)) {
            $images = Images::where('key', $article)->where('type', 'articles_sup')->where('boutique_slug', 'all')->get();
        }
        return $images;
    }

    public function get_all_sup_full_image($article, $boutique)
    {
        $images = Images::where('key', $article)->where('type', 'articles_sup_full')->where('boutique_slug', $boutique)->pluck('filename')->toArray();
        if (!isset($images)) {
            $images = Images::where('key', $article)->where('type', 'articles_sup_full')->where('boutique_slug', 'all')->pluck('filename')->toArray();
        }
        return $images;
    }

}
