<?php

namespace App\Http\Controllers;

use App\Boutique;
use App\Marketer;
use App\MarketerShop;
use App\Portefeuille;
use App\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Session;
use Intervention\Image\Facades\Image;

class MarketerController extends Controller
{
    public function persoanl_profil_view(){
        $this->middleware('auth');
        $user= Auth::user();
        $marketers = DB::table('marketers')->where('user_slug', Auth::user()->slug)->first();
        if(isset($user)){
            Session::put(['country'=>$user->country,'region'=>$user->region,'city'=>$user->city,'continent'=>$user->continent]);
        }
        $pays=DB::table('countries')->get();
        return view('dashboard/Marketer/personnal',compact('pays','user','marketers'));
    }

    public function sunmarketers(){
        $this->middleware('auth');
        $user= Auth::user();
        $marketer = DB::table('marketers')->where('user_slug', Auth::user()->slug)->first();
        $marketers = DB::table('marketers')->where('visibility',true)->get();
        $boutiques=Boutique::where('user_slug',Auth::user()->slug)->get();
        $portefeuilles = Portefeuille::where('user_slug', $user->slug)->get();
        return view('dashboard/Marketer/index',compact('user','marketers','marketer','boutiques','portefeuilles'));
    }

    public  function sunmarketer_single($slug){
        $user= Auth::user();
        $almostmarketer = DB::table('marketer_shops')->where('marketer_slug', $slug)->where('admin_slug', Auth::user()->slug)->first();
        $marketer = DB::table('marketers')->where('user_slug', $slug)->first();
        $boutiques=Boutique::where('user_slug',Auth::user()->slug)->get();
        return view('dashboard/Marketer/details',compact('user','marketer','boutiques','almostmarketer'));
    }

    public function demandeGestionnaire(){
        $marketers = MarketerShop::with('boutique')->where('marketer_slug', Auth::user()->slug)->get();
        return view('dashboard/Marketer/demandes',compact('marketers'));
    }

 public function demandeGestionnaireMake(){
        $marketers = MarketerShop::with('user')->where('admin_slug', Auth::user()->slug)->get();
        return view('dashboard/Marketer/demande_emises',compact('marketers'));
    }

 public function demandeGestionnaireAdmin(){
        $marketers = MarketerShop::with('user','boutique')->get();
        return view('dashboard/Marketer/admin_demandes',compact('marketers'));
    }

    public function visibility_sunmarketer(){
        $almostmarketer = DB::table('marketers')->where('user_slug', Auth::user()->slug)->first();
        $almostmarketer->visibility==false ?  $credential = ['visibility' => true] : $credential = ['visibility' => false];
        $almostmarketer->visibility==false ?  $visbility='public' : $visbility='privé';
            $response = DB::table('marketers')->where('user_slug',Auth::user()->slug)->update($credential);
            return back()->with('success','Votre profil est maintenant '.$visbility);
    }
 public function change_status_sunmarketer($slug){
        $almostmarketer = DB::table('marketer_shops')->where('marketer_slug', $slug)->where('admin_slug', Auth::user()->slug)->first();
        if($almostmarketer->marketer_slug==Auth::user()->slug) {
            $almostmarketer->status ? $credential = ['status' => false] : $credential = ['status' => true];
            $almostmarketer->status ? $response = "n'est plus " : $response ='est à nouveau';
            $response = DB::table('marketer_shops')->where('marketer_slug', $slug)->where('admin_slug', Auth::user()->slug)->update($credential);
            $boutique=Boutique::with('meta')->where('user_slug',$almostmarketer->admin_slug)->first();
            $themarketer=Marketer::where('user_slug',Auth::user()->slug)->first();
            if($boutique!=null) {
                $email = $themarketer->email;
                $subject = 'PARTENARIAT DE GESTION';
                $messages = "La boutique " . $boutique['nom_boutique'] . " à annuler son partenariat de gestion avec vous. ";
                MailController::SendGeneralUniqueMail('Mail.generale_blade', $subject, $messages, $email, env('MAIL_USERNAME'));
            }
            return back()->with('success',"Le marketeur " . $themarketer['prenom'].' '.$themarketer['nom'] ." ".$response."  le gestionnaire de la boutique ".$boutique['nom_boutique']);
        }
    }

 public function admin_change_status_sunmarketer($slug,$admin_slug){
        $almostmarketer = DB::table('marketer_shops')->where('marketer_slug', $slug)->where('admin_slug', $admin_slug)->first();
        if($almostmarketer->marketer_slug==$admin_slug) {
            $almostmarketer->status ? $credential = ['status' => false] : $credential = ['status' => true];
            $almostmarketer->status ? $responsetest = "n'est plus " : $responsetest ='est à nouveau';
            $almostmarketer->status ? $responsemsg = "annuler " : $responsemsg ='renouer';
            $response = DB::table('marketer_shops')->where('marketer_slug', $slug)->where('admin_slug', $admin_slug)->update($credential);
            $boutique=Boutique::with('meta')->where('user_slug',$almostmarketer->admin_slug)->first();
            $themarketer=Marketer::where('user_slug',$admin_slug)->first();
            if($boutique!=null) {
                $email = $themarketer->email;
                $subject = 'PARTENARIAT DE GESTION';
                $messages = "La boutique " . $boutique['nom_boutique'] . " à ".$responsemsg." son partenariat de gestion avec vous. ";
                MailController::SendGeneralUniqueMail('Mail.generale_blade', $subject, $messages, $email, env('MAIL_USERNAME'));
            }
            return back()->with('success',"Le marketeur " . $themarketer['prenom'].' '.$themarketer['nom'] ." ".$responsetest."  le gestionnaire de la boutique ".$boutique['nom_boutique']);
        }
    }


    public function accept_be_sunmarketer($slug){
        $almostmarketer = DB::table('marketer_shops')->where('marketer_slug', Auth::user()->slug)->where('admin_slug', $slug)->first();
        if($almostmarketer->marketer_slug==Auth::user()->slug) {
            $credential = ['marketer_accept' => true];
            $response = DB::table('marketer_shops')->where('marketer_slug', Auth::user()->slug)->where('admin_slug', $slug)->update($credential);
            $boutique=Boutique::with('meta','user')->where('user_slug',$slug)->first();
            $themarketer=Marketer::where('user_slug',Auth::user()->slug)->first();
            if($boutique!=null) {
                $email = $boutique->meta->email_boutique!=null ? $boutique->meta->email_boutique : $boutique->user->email ;
                $subject = 'DEMANDE DE GESTION ACCEPTER';
                $messages = "Le sumarketeur " . $themarketer['prenom'].' '.$themarketer['nom'] . "à accepter votre demande pour la gestion de la boutique ".$boutique['nom_boutique'];
                MailController::SendGeneralUniqueMail('Mail.generale_blade', $subject, $messages, $email, env('MAIL_USERNAME'));
            }
            return back()->with('success','Vous êtes à présent le gestionnaire de la boutique '.$boutique['nom_boutique']);
        }
    }

 public function reject_be_sunmarketer($slug){
        $almostmarketer = DB::table('marketer_shops')->where('marketer_slug', Auth::user()->slug)->where('admin_slug', $slug)->first();
        if($almostmarketer->marketer_slug==Auth::user()->slug) {
            $credential = ['marketer_accept' => false];
            $response = DB::table('marketer_shops')->where('marketer_slug', Auth::user()->slug)->where('admin_slug', $slug)->update($credential);
            $boutique=Boutique::with('meta')->where('user_slug',$slug)->first();
            $themarketer=Marketer::where('user_slug',Auth::user()->slug)->first();
            if($boutique!=null) {
                $email = $boutique->meta->email_boutique!=null ? $boutique->meta->email_boutique : $boutique->user->email ;
                $subject = 'DEMANDE DE GESTION REJETER';
                $messages = "Le marketeur " . $themarketer['prenom'].' '.$themarketer['nom'] . "à rejeter votre demande pour la gestion de la boutique ".$boutique['nom_boutique'];
                MailController::SendGeneralUniqueMail('Mail.generale_blade', $subject, $messages, $email, env('MAIL_USERNAME'));
            }
            return back()->with('success','La demande  de la boutique '.$boutique['nom_boutique']. ' à été rejetée avec succès.');
        }
    }

    public  function sunmarketer_associate(Request $request){
        try {
            $data = $request->all();
            $marketer = DB::table('marketer_shops')->where('marketer_slug', $data['marketer_slug'])->where('admin_slug', Auth::user()->slug)->where('shop_slug',  $data['shop_slug'])->where('status',true)->where('marketer_accept',true)->count();
            if ($marketer <= 0) {
                $credentials = [
                    'marketer_slug' => $data['marketer_slug'],
                    'admin_slug' => Auth::user()->slug,
                    'shop_slug' => $data['shop_slug'],
                    'remuneration' => $data['remuneration'],
                    'pourcentage' => 0,
                    'solde' => $data['solde'],
                    'solde_objectif_vente' => $data['solde_objectif_vente'],
                    'devise' => $data['devise'],
                    'status' => true,
                ];
                $boutique = Boutique::where('slug', $data['shop_slug'])->first();
                $marketers = DB::table('marketer_shops')->insert($credentials);
                $market=DB::table('marketers')->where('user_slug',$data['marketer_slug'])->first();
                if (isset($marketers) && $marketers != null) {
                    if($market!=null) {
                        $email = $market->email;
                        $subject = 'DEMANDE DE GESTION ';
                        $messages = "La boutique " . $boutique['nom_boutique'] . " vous invite à être son gestionnaire en tant que marketeur. Connectez vous, visualisez les détails de la demande, puis valider la demande pour debuter votre demande ";
                        MailController::SendGeneralUniqueMail('Mail.generale_blade', $subject, $messages, $email, env('MAIL_USERNAME'));
                    }
                    return json_encode(['error' => false, 'message' => 'Vous avez définis cet utilisateur en tant que gestionnaire de votre boutique ' . strtoupper(str_replace('_',' ',$boutique['nom_boutique']))]);
                } else {
                    return json_encode(['error' => true, 'message' => 'Une erreur s\'est produite. Veuillez reéssayer plus tard']);
                }
            } else {
                return json_encode(['error' => true, 'message' => 'Ce marketeur est déjà définis en tant que gestionnaire de cette boutique']);
            }
        }catch (\Exception $e){
            return json_encode(['error' => true, 'message' => 'Une erreur s\'est produite. Veuillez reéssayer plus tard '.$e]);
        }
    }

    public function createProfilSunmarketers(Request $request){
      try {
          $imagepath = "logo_mini.jpg";
          $user_pic = 1;
          $data = $request->all();
          $user = User::findOrFail($data['user_id']);
          $country = DB::table('countries')->where('id', $data['nationnalite'])->first();
          if(isset($data['region'])) {
              $region = DB::table('states')->where('id', $data['region'])->first();
              $region=$region->name;
          }else{
                $region="";
          }
          if(isset($data['city'])) {
              $city = DB::table('cities')->where('id', $data['city'])->first();
              $city=$city->name;
          }else{
              $city="";
          }
          $credentials = [
              'user_slug' => Auth::user()->slug,
              'nom' => $data['nom'],
              'prenom' => $data['prenom'],
              'date_naissance' => $data['date_naissance'],
              'lieu_naissance' => $data['lieu_naissance'],
              'sexe' => $data['sexe'],
              'diplome_elever' => $data['diplome_elever'],
              'lieu_residence' => $data['lieu_residence'],
              'numero_tel' => $data['numero_tel'],
              'numero_whatsapp' => $data['numero_whatsapp'],
              'facebook' => $data['facebook'],
              'twitter' => $data['twitter'],
              'email' => $data['email'],
              'nationnalite' => $country->name,
              'region' => $region,
              'ville' => $city,
              'remuneration' => $data['remuneration'],
              'montant' => $data['montant'],
              'devise' => $data['devise'],
              'formation' => $data['formation'],
              'remuneration_negociable' => $data['remuneration_negociable'],
              'cni' => $data['cni'],
              'ancien_profession' => $data['ancien_profession'],
              'information_supplementaire' => $data['information_supplementaire'],
              'motivation' => $data['motivation'],
          ];
          $path = public_path('images/boutiques/Uploads/cni/');
          $path2 = asset('images/boutiques/Uploads/cni/');
          if ($request->file('cni_doc_recto')) {
              $cni = $request->file('cni_doc_recto');
              $ifFilename = time() . $user->slug . '.' . $cni->getClientOriginalExtension();
              $cni->move($path, $ifFilename);
              $credentials['cni_doc_recto'] = $path2 . $ifFilename;
          }
          if ($request->file('cni_doc_verso')) {
              $cniv = $request->file('cni_doc_verso');
              $ifFilename = time() . $user->slug . '.' . $cniv->getClientOriginalExtension();
              $cniv->move($path, $ifFilename);
              $credentials['cni_doc_verso'] = $path2 . $ifFilename;
          }

        if ($request->file('diplome_elever_doc')) {
              $cniv = $request->file('diplome_elever_doc');
              $ifFilename = time() . $user->slug . '.' . $cniv->getClientOriginalExtension();
              $cniv->move($path, $ifFilename);
              $credentials['diplome_elever_doc'] = $path2 . $ifFilename;
          }

          if (isset($data['cni'])) {
              $credentials['cni'] = $data['cni'];
          }

              if ($request->has('photo')) {
                  if (!is_string(request()->photo) and request()->photo) {
                      $originalImage = $request->photo;
                      $thumbnailImage = Image::make($originalImage);
                      $thumbnailPath = public_path('Profil_marketer/');
                      $originalPath = public_path('Profil_marketer/full/');
                      $time = time();
                      $thumbnailImage->save($originalPath . $time . $originalImage->getClientOriginalExtension());
                      $thumbnailImage->resize(150, 150);
                      $thumbnailImage->save($thumbnailPath . $time . $originalImage->getClientOriginalExtension());
                      $imagepath = $time . $originalImage->getClientOriginalExtension();
                      $credentials['photo'] = $imagepath;
                  }
              }
              $countMarketer = Marketer::where('user_slug', Auth::user()->slug)->count();
              if ($countMarketer > 0) {
                  $response = DB::table('marketers')->where('user_slug', Auth::user()->slug)->update($credentials);
              } else {
                  $response =  Marketer::create($credentials);
              }
              if (isset($response) || $response != null) {
                  return json_encode(['error' => false, 'message' => 'Profil marketer mis à jour avec succès.','response'=>$response]);
              }else{
                  return json_encode(['error' => false, 'message' => 'Profil marketer mis à jour avec succès.','response'=>$response]);
              }
      }catch (\Exception $e){
          return json_encode(['error' => true, 'message' => 'Une erreure s\'est produite '.$e]);
      }
    }

}
