<?php

namespace App\Http\Controllers;

use App\AbonnementPaiment;
use App\Boutique;
use App\CatalogueArticles;
use App\Newsletters;
use App\NewslettersAbonnementUser;
use App\NewslettersArticle;
use App\NewslettersBoutique;
use App\NewslettersGlobal;
use App\NewslettersMaker;
use App\NewslettersOptionAbonnement;
use App\NewslettersPieceJointe;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Response;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\View;
use Psy\Util\Str;

class NewslettersController extends Controller
{

    public function get_article_for_news(Request $request){
        $data=$request->all();
        $articlesListe = DB::table('select_articles')->where('boutique_slug', $data['slug'])->where('corbeil',false)->pluck('article_slug')->toArray();
        $articles= CatalogueArticles::where('corbeil',false)->where('boutique_slug',$data['slug'])->where('active',true)->orwhereIn('slug',$articlesListe)->get();
      return   view('dashboard.Boutique.article_for_news',compact('articles'));

    }
    public function sendNewsletter(Request $request){
        $data=$request->all();
        $data['corbeil']=false;
        $data['slug']=\Illuminate\Support\Str::slug('newsletter'.time());
        if(isset($data['pieces_jointes'])){
            $data['include_piece_jointe']=true;
        }
        if(isset($data['article_slug'])){
            $data['include_article']=true;}

            if(isset($data['boutique_slug']) || isset($data['onlyboutique_slug'])){
            $data['include_boutique']=true;}


        if($data['choix_diffusion']=='diffusion_global'){
            $users=    NewslettersGlobal::get_all_newsletter_email();
            $data['number_user']=count($users);
        }else{
            $users=Newsletters::where('boutique_slug',$data['onlyboutique_slug'])->pluck('email');
        }
        $data['number_user']=count($users);
        $newsletter_slug=NewslettersMaker::create($data)['id'];
        $piece_jointes=[];
        if(isset($data['images']) && count($data['images'])>0 ){
           $i=0;
                foreach ($request->images as $photo) {
                    $i++;
                    $filename = time() . '' . $i . '.' . $photo->getClientOriginalExtension();
                    $photo->move(public_path('Newsletters/file/'), $filename);
                    $image_data['newsletters_maker_slug']= $data['slug'];
                    $image_data['file_url'] = asset('Newsletters/file/' . $filename);
                    NewslettersPieceJointe::create($image_data);
                }
                $piece_jointes=NewslettersPieceJointe::where('newsletters_maker_slug',$data['slug'])->pluck('file_url');
        }

        if(isset($data['onlyboutique_slug'])){
                $boutique['boutique_slug']=$data['onlyboutique_slug'];
                $boutique['newsletters_maker_slug']= $data['slug'];
                NewslettersBoutique::create($boutique);
                $boutiques=Boutique::with('metier','meta','publicites')->where('slug',$data['onlyboutique_slug'])->first();
        }

        if(isset($data['boutique_slug']) && count($data['boutique_slug'])>0){
            for($i=0;$i<count($data['boutique_slug']);$i++){
                $boutique['boutique_slug']=$data['boutique_slug'][$i];
                $boutique['newsletters_maker_slug']= $data['slug'];
                    NewslettersBoutique::create($boutique);
            }
            $boutiques=Boutique::with('metier','meta','publicites')->whereIn('slug',$data['boutique_slug'])->get();
        }
        if(isset($data['article_slug']) && count($data['article_slug'])>0){
            for($i=0;$i<count($data['article_slug']);$i++){
                $article['article_slug']=$data['article_slug'][$i];
                $article['newsletters_maker_slug']= $data['slug'];
                    NewslettersArticle::create($article);
            }
            $articles=CatalogueArticles::whereIn('slug',$data['article_slug'])->get();
        }

        $news_abn=NewslettersAbonnementUser::where('slug',$data['abonnement_slug'])->first()['id'];
        $news_abn=NewslettersAbonnementUser::findOrfail($news_abn);
        if($data['choix_diffusion']=='diffusion_global'){
            $news_abn->diffusion -=1;
            $news_abn->save();
            for($i=0;$i<count($users);$i++){
                $subject = $data['subject'];
        $messages = ['message'=>$data['message'],'boutique'=>$boutiques,'piece'=>$piece_jointes];
        MailController::SendGeneralUniqueMail('Mail.newsleters_global_diffusion',$subject, $messages, $users[$i],'equipe@sunmarket.suntech.tech');
            }
        }elseif($data['choix_diffusion']=='diffusion_boutique') {
            $news_abn->boutique -=1;
            $news_abn->save();
            for ($i = 0; $i < count($users); $i++) {
                $subject = $data['subject'];
                $messages = ['message' => $data['message'], 'boutique' => $boutiques, 'piece' => $piece_jointes, 'articles' => $articles];
                MailController::SendGeneralUniqueMail('Mail.newsleters_boutique_diffusion', $subject, $messages, $users[$i], 'equipe@sunmarket.suntech.tech');
            }
        }
        Session::flash('success','Newsletter diffuser! '.count($users).' utilisateurs atteints');
        return back();
    }

    public function newsletters_user($slug){
        $abonnement_count=NewslettersAbonnementUser::with('newslettersoptionabonnement')->where('slug',$slug)->count();
        if($abonnement_count>0) {
            $abonnement = NewslettersAbonnementUser::with('newslettersoptionabonnement')->where('slug', $slug)->first();
            if($abonnement['transaction_id']!=null) {
                $help = new NewslettersAbonnementUser();
                $help->renewAbonnement($abonnement['transaction_id'], $abonnement['abonnement_slug'], $abonnement['slug'], 'KKIAPAY');
            }
            $abonnement = NewslettersAbonnementUser::with('newslettersoptionabonnement')->where('slug', $slug)->first();
            if ($abonnement['diffusion'] <= 0 || $abonnement['boutique'] <= 0) {
                Session::flash('error', 'Abonnement expirer veuillez vous réabonner pour bénéficier de ce service');
                $abonnements = NewslettersOptionAbonnement::where('corbeil', false)->orderByDESC('id')->get();
                return view('dashboard/Boutique/abonnement_news', compact('abonnements'));
            } else {
                $newsletters_makes = NewslettersMaker::with('newsletter_boutique', 'newsletter_article', 'newsletter_piece', 'newsletter_boutique.boutique', 'newsletter_article.article')->where('abonnement_slug', $abonnement['slug'])->orderByDesc('id')->get();
                $boutiques = Boutique::where('corbeil', false)->where('installer', true)->where('user_slug', Session::get('user')['slug'])->orderByDesc('id')->get();
                return view('dashboard/Boutique/newsletter_user', compact('abonnement', 'boutiques', 'newsletters_makes'));
            }
        }else{
           return redirect('user/abonnement/')->with('error','Vous n\'avez souscris à aucun forfait news. Vous ne pouvez donc bénéficier des services de newsletter');
        }
    }

    public function newsletters_boutique_single($slug){
    $abonnement=  NewslettersAbonnementUser::with('newslettersoptionabonnement')->where('user_slug',Session::get('user')['slug'])->first();
      $boutiques = DB::table('boutiques')->where('slug',$slug)->first();
        $almostmarketer = DB::table('marketer_shops')->where('marketer_slug', Auth::user()->slug)->where('shop_slug', $slug)->where('marketer_accept',true)->where('status',true)->count();
       if(isset($abonnement) && $abonnement['transaction_id']!=null) {
           $help = new NewslettersAbonnementUser();
           $help->renewAbonnement($abonnement['transaction_id'], $abonnement['abonnement_slug'], $abonnement['slug'], 'KKIAPAY');
       }
        if($almostmarketer>0) {
            $abonnement =  NewslettersAbonnementUser::with('newslettersoptionabonnement')->where('user_slug',$boutiques->user_slug)->first();
        }
        if($abonnement==null || isset($abonnement['diffusion']) && $abonnement['diffusion']<=0 || isset($abonnement['boutique']) && $abonnement['boutique']<=0){
            Session::flash('error','Abonnement inactif veuillez vous réabonner pour bénéficier de ce service');
            return back();
        }else{
            $articlesListe = DB::table('select_articles')->where('boutique_slug', $slug)->where('corbeil',false)->pluck('article_slug')->toArray();
            $articles= CatalogueArticles::where('corbeil',false)->where('boutique_slug',$slug)->where('active',true)->orwhereIn('slug',$articlesListe)->get();
            $newsletters_makes=NewslettersMaker::with('newsletter_boutique','newsletter_article','newsletter_piece','newsletter_boutique.boutique','newsletter_article.article')->where('abonnement_slug',$abonnement['slug'])->where('choix_diffusion','diffusion_boutique')->orderByDesc('id')->get();
            return view('dashboard/Boutique/newsletter_boutique_single',compact('abonnement','newsletters_makes','articles'));
        }


    }

    public function abonnementnewsview(){
        $abonnements=NewslettersOptionAbonnement::where('corbeil',false)->orderByDESC('id')->get();
    return view('dashboard/Boutique/abonnement_news',compact('abonnements'));
    }
 public function get_abonnement(Request $request){
        $data=$request->all();
        $abonnements=NewslettersOptionAbonnement::where('slug',$data['slug'])->first();
    return json_encode($abonnements);
    }


    public function cumuler(Request $request,$slug)
    {
        $abon=Session::get('options');
        $id = NewslettersAbonnementUser::where('slug', $slug)->first()['id'];
        $newsletter = NewslettersAbonnementUser::findOrFail($id);
        $abonnement = NewslettersOptionAbonnement::where('slug', $abon)->first();
         if (isset($request->transaction_id)) {
             $public_key= env('KKIAPAY_PUBLIC');
             $secret= env('KKIAPAY_SECRET');
             $private_key= env('KKIAPAY_PRIVATE');
             $kkiapay = new \Kkiapay\Kkiapay($public_key,
                $private_key,
                $secret);
            $transaction_id = $request->transaction_id;
            $verify = $kkiapay->verifyTransaction($transaction_id);
            $status = $verify->status;
            if ($status == 'SUCCESS' && $verify->amount = $abonnement->prix) {
                $newsletter->status = true;
                $newsletter->abonnement_slug=$abon;
                $newsletter->montant = $newsletter->montant + $abonnement->prix;
                $newsletter->diffusion = $newsletter->diffusion + $abonnement->diffusion;
                $newsletter->boutique = $newsletter->boutique + $abonnement->boutique;
                $newsletter->cumule +=1;
                $newsletter->save();
                $user = Session::get('user')['slug'];
                $motif = 'Paiement effectué pour cumul d\'abonnement ' . $abonnement->intitule . ' à  la newsletters.';
                $montant = $abonnement->prix;
                $action = 'Abonnement Newsletters';
                AbonnementPaiment::createpaiement($user, $montant, $action, $motif,'XOF');
                Session::forget('options');
            }
        }
        return redirect('user/abonnement/')->with('success','Cumul effectué avec un abonnement ' . $abonnement->intitule . '. vous pouvez dès à present profiter du surplus de votre forfait en cours.');
    }

    public function chooseOption_abonnement(Request $request){
        $data=$request->all();
        Session::put('options',$data['abonnement_slug']);
        $montant=NewslettersOptionAbonnement::where('slug',$data['abonnement_slug'])->first()['prix'];
        return json_encode($montant);
    }

   public function abonnementNewsViewuUser(Request $request){
            if(Session::has('data')){
                if(isset($request->transaction_id)){
                    $public_key= env('KKIAPAY_PUBLIC');
                    $secret= env('KKIAPAY_SECRET');
                    $private_key= env('KKIAPAY_PRIVATE');
                    $kkiapay = new \Kkiapay\Kkiapay($public_key,
                        $private_key,
                        $secret);
                    $transaction_id=$request->transaction_id;
                    $verify=$kkiapay->verifyTransaction($transaction_id);
                    $status=$verify->status;
                    $data=Session::get('data');
                    $data=json_decode($data,true);
                    $abonnement = NewslettersOptionAbonnement::where('slug', $data['data']['slug'])->first();
                    $user=Session::get('user')['slug'];
                    $abonnement_user=NewslettersAbonnementUser::where('user_slug',$user)->first();
                    $help=new NewslettersAbonnementUser();
                    $help->storeAbonnement($transaction_id,$data['data']['slug'],$abonnement_user['slug'],'KKIAPAY');
                    if($status=='SUCCESS') {
                        $help->removeAbonnement($abonnement_user['slug']);
                    if(isset($abonnement_user) && $abonnement_user!=null){
                        $newsletter=NewslettersAbonnementUser::findOrFail($abonnement_user['id']);
                        $newsletter->status = true;
                        $newsletter->abonnement_slug=$abonnement['slug'];
                        $newsletter->montant = $newsletter->montant + $abonnement['prix'];
                        $newsletter->diffusion = $newsletter->diffusion + $abonnement['diffusion'];
                        $newsletter->boutique = $newsletter->boutique + $abonnement['boutique'];
                        $newsletter->cumule +=1;
                        $newsletter->save();
                        $motif = 'Cumule de votre abonnement ' . $abonnement->intitule . ' à  la newsletters.';
                        $action='Cumul Newsletters';
                        Session::flash('success','Cumule abonnement '.$abonnement->intitule.' effectué avec succès. Vous pouvez dès à present profiter de nos forfait sur cet abonnement.');
                    }else {
                        $data['diffusion'] = $abonnement['diffusion'];
                        $data['boutique'] = $abonnement['boutique'];
                        $data['user_slug'] = Session::get('user')['slug'];
                        $data['slug'] = \Illuminate\Support\Str::slug(time() . 'user_abonnement' . time());
                        $data['corbeil'] = false;
                        $data['status'] = true;
                        $data['abonnement_slug'] = $data['data']['abonnement_slug'];
                        $data['montant'] = $abonnement['prix'];
                        $newsletter = NewslettersAbonnementUser::create($data);
                        $motif = 'Paiement effectué pour abonnement ' . $abonnement['intitule'] . ' à  la newsletters.';
                        $action='Abonnement Newsletters';
                        Session::flash('success','Abonnement '.$abonnement->intitule.' effectué avec succès. vous pouvez dès à present profiter de nos forfait sur cet abonnement.');
                    }
                    $montant=$abonnement['prix'];
                    AbonnementPaiment::createpaiement($user,$montant,$action,$motif,'XOF');
                       Session::forget('data');
                }else{
                    Session::flash('error','Une erreur s\'est produite au cours du processus. Votre abonnement  à échouer, veuillez reéssayer un  plus tard.');
                }
            }
        }
        $user_abonnements=NewslettersAbonnementUser::with('newslettersoptionabonnement')->where('user_slug',Session::get('user')['slug'])->where('corbeil',false)->where('status',true)->orderByDESC('id')->get();
      Session::has('continent') && Session::get('continent')!='Africa' ? $type='USD' : $type='XOF';
       $abonnements=NewslettersOptionAbonnement::where('devise',$type)->where('corbeil',false)->orderByDESC('id')->get();
       return view('dashboard/Boutique/newsletter_abonnement_user',compact('abonnements','user_abonnements'));
    }

   public function abonnementNewsViewuUserIntram(Request $request){
            if(Session::has('data')){
                if(isset($request->transaction_id)){
                    $public_key = env('INTRAM_PUBLIC');
                    $secret = env('INTRAM_SECRET');
                    $private_key = env('INTRAM_PRIVATE');
                    $intram = new \Intram\Intram($public_key, $private_key, $secret, env('INTRAM_SANDBOX') ==true); 
                    $transaction_id=$request->transaction_id;
                    $verify = $intram->getTransactionStatus($transaction_id);
                    $status=$verify->status;
                    $data=Session::get('data');
                    $data=json_decode($data,true);
                    $abonnement = NewslettersOptionAbonnement::where('slug', $data['data']['slug'])->first();
                    $user=Session::get('user')['slug'];
                    $abonnement_user=NewslettersAbonnementUser::where('user_slug',$user)->first();
                    $help=new NewslettersAbonnementUser();
                    $help->storeAbonnement($transaction_id,$data['data']['slug'],$abonnement_user['slug'],'KKIAPAY');
                    if($status=='SUCCESS') {
                        $help->removeAbonnement($abonnement_user['slug']);
                    if(isset($abonnement_user) && $abonnement_user!=null){
                        $newsletter=NewslettersAbonnementUser::findOrFail($abonnement_user['id']);
                        $newsletter->status = true;
                        $newsletter->abonnement_slug=$abonnement['slug'];
                        $newsletter->montant = $newsletter->montant + $abonnement['prix'];
                        $newsletter->diffusion = $newsletter->diffusion + $abonnement['diffusion'];
                        $newsletter->boutique = $newsletter->boutique + $abonnement['boutique'];
                        $newsletter->cumule +=1;
                        $newsletter->save();
                        $motif = 'Cumule de votre abonnement ' . $abonnement->intitule . ' à  la newsletters.';
                        $action='Cumul Newsletters';
                        Session::flash('success','Cumule abonnement '.$abonnement->intitule.' effectué avec succès. Vous pouvez dès à present profiter de nos forfait sur cet abonnement.');
                    }else {
                        $data['diffusion'] = $abonnement['diffusion'];
                        $data['boutique'] = $abonnement['boutique'];
                        $data['user_slug'] = Session::get('user')['slug'];
                        $data['slug'] = \Illuminate\Support\Str::slug(time() . 'user_abonnement' . time());
                        $data['corbeil'] = false;
                        $data['status'] = true;
                        $data['abonnement_slug'] = $data['data']['abonnement_slug'];
                        $data['montant'] = $abonnement['prix'];
                        $newsletter = NewslettersAbonnementUser::create($data);
                        $motif = 'Paiement effectué pour abonnement ' . $abonnement['intitule'] . ' à  la newsletters.';
                        $action='Abonnement Newsletters';
                        Session::flash('success','Abonnement '.$abonnement->intitule.' effectué avec succès. vous pouvez dès à present profiter de nos forfait sur cet abonnement.');
                    }
                    $montant=$abonnement['prix'];
                    AbonnementPaiment::createpaiement($user,$montant,$action,$motif,'XOF');
                       Session::forget('data');
                }else{
                    Session::flash('error','Une erreur s\'est produite au cours du processus. Votre abonnement  à échouer, veuillez reéssayer un  plus tard.');
                }
            }
        }
        $user_abonnements=NewslettersAbonnementUser::with('newslettersoptionabonnement')->where('user_slug',Session::get('user')['slug'])->where('corbeil',false)->where('status',true)->orderByDESC('id')->get();
      Session::has('continent') && Session::get('continent')!='Africa' ? $type='USD' : $type='XOF';
       $abonnements=NewslettersOptionAbonnement::where('devise',$type)->where('corbeil',false)->orderByDESC('id')->get();
       return view('dashboard/Boutique/newsletter_abonnement_user',compact('abonnements','user_abonnements'));
    }

    public function get_option_abonnement(Request $request){
        $data=$request->all();
        $abonnement=NewslettersOptionAbonnement::where('slug',$data['abonnement_slug'])->first();
        return json_encode(['statut'=>true,'data'=>$abonnement]);
    }

    public function createUserAbonnement(Request $request){
        $data=$request->all();
        $rules = array(
            'abonnement_slug' => 'required|string|max:255',

        );
        $validator = \Illuminate\Support\Facades\Validator::make($request->all(), $rules);
        if ($validator->fails()) {
             return json_encode(['statut'=>false,'message'=>'une erreur est survenue.']);
        }
        $abonnement=NewslettersOptionAbonnement::where('slug',$data['abonnement_slug'])->first();
        $data['diffusion']=$abonnement->diffusion;
        $data['boutique']=$abonnement->boutique;
        $data['user_slug']=Session::get('user')['slug'];
        $data['slug']=\Illuminate\Support\Str::slug(time().'user_abonnement'.time());
        $data['corbeil']=false;
        $abn=NewslettersAbonnementUser::create($data)->id;
        $montant=0;
        if(isset($abn)){
            $montant=$abonnement->prix;
            $statut=true;
            $message='Abonnement à la newsletter effectué. Vous pouvez dès à present profiter des forfaits de cet abonnement';
        }else{
            $statut=false;
            $message='Une erreur s\'est produite . Veuillez reéssayer l\'opération s\'il vous plait.';

        }
        return json_encode(['statut'=>$statut,'message'=>$message,'montant'=>$montant]);
    }

    public function createabonnementnews(Request $request){
        $data=$request->all();
        $rules = array(
            'intitule' => 'required|string|max:255',
            'diffusion' => 'required|integer',
            'boutique' => 'required|integer',
            'prix' => 'required|integer',
        );
        $validator = \Illuminate\Support\Facades\Validator::make($request->all(), $rules);
        if ($validator->fails()) {
            return back()->withErrors($validator)->withInput();
        }
        $data['slug']=\Illuminate\Support\Str::slug(time().'newsoption'.time());
        $data['corbeil']=false;
      $response=  NewslettersOptionAbonnement::create($data)->id;
      if(isset($response)){
          Session::flash('success','Options d\'abonnement créer');
      }else{
          Session::flash('error','Une erreur s\'est produite lors de la création de l\'option');
      }
      return back();
    }

    public function publier($slug){
      $id=  NewslettersOptionAbonnement::where('slug',$slug)->first()['id'];
      $news=NewslettersOptionAbonnement::findOrfail($id);
      if($news->publier){
          $news->publier=false;
          Session::flash('success','Options d\'abonnement cacher aux utilisateurs');

      }else{
          Session::flash('success','Options d\'abonnement public');
          $news->publier=true;
      }
      $news->save();
      return back();
    }

    public function deleteabonnementnews($slug){
        $id=  NewslettersOptionAbonnement::where('slug',$slug)->first()['id'];
       $news= NewslettersOptionAbonnement::findOrfail($id);
        $news->corbeil=true;
        $news->save();
        Session::flash('success','Abonnement supprimer avec succès');
return back();
    }
}
