<?php

namespace App\Http\Controllers;

use App\Boutique;
use App\BoutiqueMeta;
use App\PaiementEchelonner;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Session;

class PaiementEchelonnerController extends Controller
{
   public function create(Request $request){
       try {
           $data=$request->all();
           $data['transaction_id']=$data['response']['transactionId'];
           $data['reference']=$data['response']['transactionId'];
           $public_key= env('KKIAPAY_PUBLIC');
           $secret= env('KKIAPAY_SECRET');
           $private_key= env('KKIAPAY_PRIVATE');
           $kkiapay = new \Kkiapay\Kkiapay($public_key,
               $private_key,
               $secret, env('KKIAPAY_SANDBOX') =='1');
           $transaction_id=$data['transaction_id'];
           $verify=$kkiapay->verifyTransaction($transaction_id);
           $status=$verify->status;
           if($status=='SUCCESS') {
               $boutique_slug = $data['boutique_slug'];
               $data['boutique_slug']=$boutique_slug;
               $paiement_echelonner=PaiementEchelonner::where('boutique_slug',$boutique_slug)->first();
               if(isset($paiement_echelonner)){
                   if(new \DateTime($paiement_echelonner['expired_at'])>new \DateTime(date("Y-m-d H:i:s"))){
                       $oneYearOn = date('Y-m-d', strtotime(date($paiement_echelonner['expired_at'], time()) . " + 365 day"));
                   }else{
                       $oneYearOn = date('Y-m-d', strtotime(date("Y-m-d H:i:s", time()) . " + 365 day"));
                   }
                   DB::table('paiement_echelonners')->where('boutique_slug',$boutique_slug)->update([
                       'expired_at'=>$oneYearOn,
                       'max'=>$data['max']
                   ]);
               }else {
                   $oneYearOn = date('Y-m-d', strtotime(date("Y-m-d H:i:s", time()) . " + 365 day"));
                   $data['expired_at'] = $oneYearOn;
                   PaiementEchelonner::create($data);
               }
               $boutique = Boutique::where('slug', $boutique_slug)->first();
               $metas = BoutiqueMeta::where('boutique_id', $boutique['id'])->first();
               $metas = BoutiqueMeta::findOrFail($metas['id']);
               $metas->paiement_echelonner = $data['max'];
               $metas->save();
               return ['response'=>'success','message'=>'Vos clients peuvent dès à présent payer par echellon sur votre boutique'];
           }else {
               return ['response' => 'error', 'message' => 'Une erreur s\'est produite., Nous ne parvenons pas à vérifier votre paiement.'];
           }
           }catch (\Exception $e){
           return ['response'=>'error','message'=>'Une erreur s\'est produite. Veuilez contacter le service client si le paiement à été valider. '.$e->getMessage()];
       }
   } 
   
   public function createIntram(Request $request){
       try {
           $data=$request->all();
           $data['transaction_id']=$data['response']['transactionId'];
           $data['reference']=$data['response']['transactionId'];
           $public_key = env('INTRAM_PUBLIC');
           $secret = env('INTRAM_SECRET');
           $private_key = env('INTRAM_PRIVATE');
           $intram = new \Intram\Intram($public_key, $private_key, $secret, env('INTRAM_SANDBOX') =='1'); 
           $transaction_id = $data['transaction_id'];
           $verify = $intram->getTransactionStatus($transaction_id);
           $transaction_id=$data['transaction_id'];
           $status=$verify->status;
           if($status=='SUCCESS') {
               $boutique_slug = $data['boutique_slug'];
               $data['boutique_slug']=$boutique_slug;
               $paiement_echelonner=PaiementEchelonner::where('boutique_slug',$boutique_slug)->first();
               if(isset($paiement_echelonner)){
                   if(new \DateTime($paiement_echelonner['expired_at'])>new \DateTime(date("Y-m-d H:i:s"))){
                       $oneYearOn = date('Y-m-d', strtotime(date($paiement_echelonner['expired_at'], time()) . " + 365 day"));
                   }else{
                       $oneYearOn = date('Y-m-d', strtotime(date("Y-m-d H:i:s", time()) . " + 365 day"));
                   }
                   DB::table('paiement_echelonners')->where('boutique_slug',$boutique_slug)->update([
                       'expired_at'=>$oneYearOn,
                       'max'=>$data['max']
                   ]);
               }else {
                   $oneYearOn = date('Y-m-d', strtotime(date("Y-m-d H:i:s", time()) . " + 365 day"));
                   $data['expired_at'] = $oneYearOn;
                   PaiementEchelonner::create($data);
               }
               $boutique = Boutique::where('slug', $boutique_slug)->first();
               $metas = BoutiqueMeta::where('boutique_id', $boutique['id'])->first();
               $metas = BoutiqueMeta::findOrFail($metas['id']);
               $metas->paiement_echelonner = $data['max'];
               $metas->save();
               return ['response'=>'success','message'=>'Vos clients peuvent dès à présent payer par echellon sur votre boutique'];
           }else {
               return ['response' => 'error', 'message' => 'Une erreur s\'est produite., Nous ne parvenons pas à vérifier votre paiement.'];
           }
           }catch (\Exception $e){
           return ['response'=>'error','message'=>'Une erreur s\'est produite. Veuilez contacter le service client si le paiement à été valider. '.$e->getMessage()];
       }
   }
}
