<?php

namespace App\Http\Controllers;

use App\ArticleMeta;
use App\Product;
use App\CategorieCaracteristique;
use App\check_products;
use App\CommandArticle;
use App\Images;
use App\Metier;
use App\SelectArticle;
use App\SelectedCategorie;
use App\wishlist_article;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Str;
use Intervention\Image\Facades\Image;
use Mockery\Exception;

class ProductController extends Controller
{
    public function __construct()
    {
    }

    public function list_article_by_categorie(Request $request)
    {
        $data = $request->all();
        if (Session::has('boutique')) {
            $maboutique = Session::get('boutique');
            $articles = Product::where('corbeil', false)->where('boutique_slug', 'all')->where('type_user', 'administrateur')->where('categorie_slug', $data['categorie'])->orderBy('id', 'DESC')->get();
            $selected_articles = SelectArticle::where('boutique_slug', $maboutique['slug'])->pluck('article_slug')->toArray();
            $images = Images::where('type', 'articles')->get();
            $options = "";
            if (count($articles) > 0) {
                foreach ($articles as $article) {
                    if (!in_array($article->slug,$selected_articles)) {
                        $img = "";
                        $images_count = Images::where('type', 'articles')->where('key', $article->slug)->count();
                        if ($images_count > 0) {
                            $images_art = Images::where('type', 'articles')->where('key', $article->slug)->get();
                            foreach ($images_art as $image) {
                                $img = "<img src='" . $image->filename . "' style='width:70px'>";
                                break;
                            }
                        }
                        $options .= "<div class='article_catalogue_show col-sm-12 col-xs-12' style='cursor:pointer; padding:10px;font-size:14pt;border-left: 3px solid #000' data-slug='" . $article->slug . "'> " . $img . "   <span class='badge badge-light' style='background: #d0d0d0;color: #0f0f0f;cursor:normal;'> intitulé: " . $article->name . "</span>  <span class='badge badge-light' style='background: #d0d0d0;color: #0f0f0f;cursor:normal;'> prix de vente: " . $article->price . " Fcfa</span> <a class='badge badge-warning btn-details-description float-right' data-url='" . route('get_article', $article->slug) . "'  data-article='" . $article->name . "'>voir détails</a> <input id='select" . $article->slug . "' name='article_slug[]' type='hidden'> </div>";
                    }
                }
            } else {
                $options = "<div class='text-center col-sm-12 col-xs-12' style='color: red;padding: 10px'>Aucun article trouvé</div>";
            }
            if($options==""){
                $options = "<div class='text-center col-sm-12 col-xs-12' style='color: red;padding: 10px'>Vous avez déjà sélectionner les articles de cette catégorie.</div>";
            }
            return $options;
        }
    }

    public function make_weight(Request $request, $id)
    {
        $data = $request->all();
        $article_find = Product::where('slug', $data['slug'])->first();

        $article = Product::findOrFail($article_find['id']);
        if ($id == 2) {
            if ($article->boutique_slug == Session::get('boutique')['slug']) {
                $article->weight = $data['weight'];
                $response = $article->save();
            } else {
                $helper = new HelperController();
                $response = $helper->update_meta_article('weight', $data['slug'], $data['weight'], Session::get('boutique')['slug']);
            }
        } else {
            $article->weight = $data['weight'];
            $response = $article->save();
        }
        if (isset($response)) {
            return json_encode($article);
        } else {
            return json_encode(['response' => false]);
        }
    }

    public function make_stock(Request $request, $id)
    {
        $data = $request->all();
        $article_find = Product::where('slug', $data['slug'])->first();

        $article = Product::findOrFail($article_find['id']);
        if ($id == 2) {
            if ($article->boutique_slug == Session::get('boutique')['slug']) {
                $article->quantity = $data['stock'];
                $response = $article->save();
            } else {
                $helper = new HelperController();
                $response = $helper->update_meta_article('quantity', $data['slug'], $data['stock'], Session::get('boutique')['slug']);
            }
        } else {
            $article->quantity = $data['stock'];
            $response = $article->save();
        }
        if (isset($response)) {
            return json_encode($article);
        } else {
            return json_encode(['response' => false]);
        }
    }

    public function make_show_price(Request $request, $id)
    {
        $data = $request->all();
        $article_find = Product::where('slug', $data['slug'])->first();

        $article = Product::findOrFail($article_find['id']);
        if ($id == 2) {

            if ($article->boutique_slug == Session::get('boutique')['slug']) {
                $article->show_price = $data['show_price'];
                $response = $article->save();
            } else {
                $helper = new HelperController();
                $response = $helper->update_meta_article('show_price', $data['slug'], $data['show_price'], Session::get('boutique')['slug']);
            }
        } else {
            $article->show_price = $data['show_price'];
            $response = $article->save();
        }
        if (isset($response)) {
            return json_encode($article);
        } else {
            return json_encode(['response' => false]);
        }

    }

    public function make_promo(Request $request, $id)
    {
        $data = $request->all();
        $article_find = Product::where('slug', $data['slug'])->first();
        $article = Product::findOrFail($article_find['id']);
        if ($data['promo'] == 0) {
            $sale = 1;
        } else {
            $sale = 0;
        }
        if ($id == 2) {
            if ($article->boutique_slug == Session::get('boutique')['slug']) {
                $article->on_sale = $sale;
                $response = $article->save();
            } else {
                $helper = new HelperController();
                $response = $helper->update_meta_article('on_sale', $data['slug'], $sale, Session::get('boutique')['slug']);
            }
        } else {
            $article->on_sale = $sale;
            $response = $article->save();
        }
        if (isset($response)) {
            return json_encode($article);
        } else {
            return json_encode(['response' => false]);
        }

    }

    public function make_en_avant(Request $request, $id)
    {
        $data = $request->all();
        $article_find = Product::where('slug', $data['slug'])->first();
        $article = Product::findOrFail($article_find['id']);
        if ($data['en_avant'] == 0) {
            $sale = 1;
        } else {
            $sale = 0;
        }

        $article->en_avant = $sale;
        $response = $article->save();

        if (isset($response)) {
            return json_encode($article);
        } else {
            return json_encode(['response' => false]);
        }

    }

    public function make_state(Request $request, $id)
    {
        $data = $request->all();
        $article_find = Product::where('slug', $data['slug'])->first();
        $article = Product::findOrFail($article_find['id']);
        if ($data['state'] == 0) {
            $sale = 1;
        } else {
            $sale = 0;
        }

        if ($id == 2) {
            if ($article->boutique_slug == Session::get('boutique')['slug']) {
                $article->state = $sale;
                $response = $article->save();
            } else {
                $helper = new HelperController();
                $response = $helper->update_meta_article('state', $data['slug'], $sale, Session::get('boutique')['slug']);
            }
        } else {
            $article->state = $sale;
            $response = $article->save();
        }
        if (isset($response)) {
            return json_encode($article);
        } else {
            return json_encode(['response' => false]);
        }

    }

    public function make_visibility(Request $request, $id)
    {
        $data = $request->all();
        $article_find = Product::where('slug', $data['slug'])->first();
        $article = Product::findOrFail($article_find['id']);
        if ($data['visibility'] == 0) {
            $state = 1;
        } else {
            $state = 0;
        }
        if ($id == 2) {
            if ($article->boutique_slug == Session::get('boutique')['slug']) {
                $article->active = $state;
                $response = $article->save();
            } else {
                $helper = new HelperController();
                $response = $helper->update_meta_article('active', $data['slug'], $state, Session::get('boutique')['slug']);
            }
        } else {
            $article->active = $state;
            $response = $article->save();
        }
        if (isset($response)) {
            return json_encode($article);
        } else {
            return json_encode(['response' => false]);
        }
    }

    public function product_index($id)
    {
        Session::put('page', $id);
        $selected_articles = [];
        if ($id == 2) {
            if (!Session::has('boutique')) {
                return redirect('boutique');
            }
            $maboutique = Session::get('boutique');
            if (Auth::user()->slug != $maboutique['user_slug']) {
                $almostmarketer = DB::table('marketer_shops')->where('marketer_slug', Auth::user()->slug)->where('shop_slug', $maboutique['slug'])->where('marketer_accept', true)->where('status', true)->count();
                if ($almostmarketer <= 0) {
                    return redirect('home')->with('error', 'Vous n\'avez pas accès à cet espace.');
                }
            }
            if (isset($maboutique)) {
                $selected_articles = SelectArticle::where('corbeil', false)->where('boutique_slug', $maboutique['slug'])->pluck('article_slug');
                $articles = Product::with('categorie')->where('corbeil', false)->where('boutique_slug', $maboutique['slug'])->orwhereIn('slug', $selected_articles)->orderBy('id', 'DESC')->get();
                $cat = SelectedCategorie::where('boutique_slug', $maboutique['slug'])->where('corbeil', false)->pluck('categorie_slug')->toArray();
                $categories = \App\CategorieCatalogue::where('corbeil', false)->whereIn('boutique_slug', [$maboutique['slug'], 'all'])->where('secteur_activite', $maboutique['metier_slug'])->orwhereIn('slug', $cat)->orderBy('id', 'DESC')->get();
                $categoriesCheck = \App\CategorieCatalogue::where('corbeil', false)->where('boutique_slug', $maboutique['slug'])->where('secteur_activite', $maboutique['metier_slug'])->orwhereIn('slug', $cat)->orderBy('id', 'DESC')->count();
                $selected_articles = SelectArticle::where('corbeil', false)->where('boutique_slug', [$maboutique['slug'], 'all'])->get();
            } else {
                return redirect('home');
            }
        } else {
            $privilegecheck = new \App\Users_controle();
            $check_privilege = $privilegecheck->has_privilege(Session::get('user')['id'], 'super_administrateur');
            if (!$check_privilege) {
                Session::flash('error', 'Vous n\'ếtes pas autorisé à effectuer cette action');
                return back();
            }
            $articles = Product::where('corbeil', false)->where('type_user', 'administrateur')->orderBy('id', 'DESC')->get();
            $categories = \App\CategorieCatalogue::where('corbeil', false)->orderBy('id', 'DESC')->get();
            $categoriesCheck = 12;
        }

        foreach ($articles as $article) {
            if (isset(Session::get('boutique')['slug']) && $id == 2) {
                $vu = check_products::where('catalogue_article_slug', $article->slug)->count();
                $command = CommandArticle::whereHas('commande', function (Builder $q) {
                    $q->where('boutique_slug', Session::get('boutique')['slug']);
                })->where('article_slug', $article->slug)->count();
                $favoris = wishlist_article::where('catalogue_article_slug', $article->slug)->where('boutique_slug', Session::get('boutique')['slug'])->count();
                $article->vu = $vu;
                $article->command = $command;
                $article->favoris = $favoris;

            } else {
                $ajouter = SelectArticle::where('corbeil', false)->where('article_slug', $article->slug)->count();
                $article->ajouter = $ajouter;
            }
        }
        $images = Images::where('type', 'articles')->get();
        if ($categoriesCheck <= 0) {
            return redirect('catalogues/listes/2')->with('success', 'Vous devez créer une catégorie avant d\'ajouter un produit à votre catalogue.');
        }
        return view('dashboard.mib_admin.usercatalogue.products', compact('articles', 'categories', 'id', 'images', 'selected_articles'));
    }

    public function getcaracteristiquebycatslug(Request $request)
    {
        $data = $request->all();
        $categorie = \App\CategorieCatalogue::with('caracteristique')->where('slug', $data['slug'])->first();
        $caracteristique = $categorie->caracteristique;
        return json_encode($caracteristique);
    }

    public function create_product(Request $request)
    {
        try {
            $data = $request->all();
            if ($data['choice_selection'] == "catalogue") {
                $catalogue_data['slug'] = Str::slug(time() . 'catalogue_article');
                $almost = [];
                for ($i = 0; $i < count($data['article_slug']); $i++) {
                    $number_select = SelectArticle::where('boutique_slug', Session::get('boutique')['slug'])->where('article_slug', $data['article_slug'][$i])->count();
                    if ($number_select <= 0) {
                        $catalogue_data['user_slug'] = Session::get('user')['slug'];
                        $catalogue_data['boutique_slug'] = Session::get('boutique')['slug'];
                        $catalogue_data['article_slug'] = $data['article_slug'][$i];
                        SelectArticle::create($catalogue_data);
                    } else {
                        $select_article = SelectArticle::where('boutique_slug', Session::get('boutique')['slug'])->where('article_slug', $data['article_slug'][$i])->first();
                        if ($select_article['corbeil']) {
                            $select = SelectArticle::findOrFail($select_article['id']);
                            $select->corbeil = true;
                            $select->save();
                        } else {
                            $almost[] = $data['article_slug'][$i];
                        }
                    }
                    $helper = new HelperController();
                    $categorie = \App\CategorieCatalogue::with('caracteristique')->where('slug', $data['categorie_slug'])->first();
                    $caracteristique = $categorie->caracteristique;
                    foreach ($caracteristique as $carac) {

                        if (isset($data[$carac->intitule])) {
                            $value = explode(",", $data[$carac->intitule]);
                            $value = json_encode($value);
                            $helper->update_meta_article($carac->intitule, $catalogue_data['slug'], $value, Session::get('boutique')['slug']);
                        }
                    }
                }
                if (count($almost) > 0) {
                    $artcle_aexist = Product::all()->whereIn('slug', $almost);

                    $article_list = "";
                    foreach ($artcle_aexist as $exist) {
                        $article_list .= $exist->name . ' - ';
                    }
                    if (count($almost) > 1) {
                        Session::flash('error', 'Les articles ' . $article_list . ' existent déja dans votre catalogue.');
                    } else {
                        Session::flash('error', 'L\'article ' . $article_list . ' existe déja dans votre catalogue.');
                    }
                } else {
                    if (count($data['article_slug']) > 1) {
                        Session::flash('success', 'Les produits sélectionnés ont été ajoutés à votre boutique avec succès.');
                    } else {
                        Session::flash('success', 'Le produit sélectionné a été ajouté à votre boutique avec succès.');

                    }
                }
            } else {
                $rules = array(
                    'name' => 'required|string',
                    'price' => 'required|string',
                    'categorie_slug' => 'required|string',
                    'quantity' => 'required|string',
                    'reference' => 'string',
                );
                $validator = \Illuminate\Support\Facades\Validator::make($request->all(), $rules);
                if ($validator->fails()) {
                    return back()->withErrors($validator)->withInput();
                }
                $data['user_slug'] = Session::get('user')['slug'];
                $data['show_price'] = 0;
                $data['state'] = true;
                $data['on_sale'] = false;
                $data['minimal_quantity'] = 0;
                $data['stock'] = 0;
                $page = $data['id_page'];
                if ($page == 2) {
                    $data['active'] = true;
                    $data['type_user'] = "client";
                    $data['boutique_slug'] = Session::get('boutique')['slug'];
                    $image_data['boutique_slug'] = Session::get('boutique')['slug'];
                } else {
                    $data['active'] = false;
                    $data['type_user'] = "administrateur";
                    $data['boutique_slug'] = "all";
                    $image_data['boutique_slug'] = 'all';
                }
                $data['slug'] = Str::slug('product' . time());
                $reponse = Product::create($data);
                $helper = new HelperController();
                $categorie = \App\CategorieCatalogue::with('caracteristique')->where('slug', $data['categorie_slug'])->first();
                $caracteristique = $categorie->caracteristique;
                foreach ($caracteristique as $carac) {
                    if (isset($data[$carac->intitule])) {
                        $helper->update_meta_article($carac->intitule, $data['slug'], $data[$carac->intitule], Session::get('boutique')['slug']);
                    }
                }
                $i = 0;
                if ($request->has('images')) {
                    foreach ($request->images as $photo) {
                        $i++;
                        $originalImage = $photo;
                        $thumbnailImage = Image::make($originalImage);
                        $thumbnailPath = public_path('Uploads/products/');
                        $originalPath = public_path('Uploads/products/full/');

                        $time = time();
                        $thumbnailImage->save($originalPath . $time .'.'. Str::slug($originalImage->getClientOriginalExtension()));
                        $thumbnailImage->resize(300, 300);
                        $thumbnailImage->save($thumbnailPath . $time .'.'. Str::slug($originalImage->getClientOriginalExtension()));
                        $filename = $time .'.'. Str::slug($originalImage->getClientOriginalExtension());
                        $image_data['slug'] = Str::slug('image' . time());
                        $image_data['key'] = $data['slug'];
                        $image_data['filename'] = asset('Uploads/products/' . $filename);
                        $image_data['type'] = 'articles';
                        Images::create($image_data);
                        $image_data['type'] = 'articles_full';
                        $image_data['filename'] = asset('Uploads/products/full/' . $filename);
                        Images::create($image_data);
                    }
                }
                if (!isset($reponse)) {
                    Session::flash('error', 'une erreur s\'est produite lors de l\'ajout du produit ' . $data['name'] . ' à votre catalogue.');
                } else {
                    Session::flash('success', 'Le produit ' . $data['name'] . ' à été ajouté à votre catalogue avec succès.');
                }
            }
            return back();

        } catch (\Exception $e) {
            return back()->with('error', 'Une erreur s\'est produite ' . $e->getMessage());
        }
    }

    public function get_product($slug)
    {
        $article = Product::with('article_meta')->where('slug', $slug)->first();
        return json_encode($article);
    }



    public function update(Request $request, $page)
    {
        $rules = array(
            'name' => 'required|string',
            'price' => 'required|string',
            'categorie_slug' => 'required|string',
            'quantity' => 'required|string',
            'reference' => 'string',
        );

        $validator = \Illuminate\Support\Facades\Validator::make($request->all(), $rules);

        if ($validator->fails()) {
            return back()->withErrors($validator)->withInput();
        }

        $data = $request->all();

        $slug=$data['slug'];

//        $privilegecheck=new \App\Users_controle();
//
//        $check_privilege=$privilegecheck->has_privilege(Session::get('user')['id'],'super_administrateur');


        $article_find = Product::where('slug', $slug)->first();

        $articles = Product::findOrFail($article_find['id']);
        $helper = new HelperController();

        if($page==2) {

            if ($articles->boutique_slug == "all"){

            $helper->update_meta_article('price', $slug, $data['price'], $articles->boutique_slug);
            $helper->update_meta_article('name', $slug, $data['name'], $articles->boutique_slug);
            $helper->update_meta_article('reference', $slug, $data['reference'], $articles->boutique_slug);
            $helper->update_meta_article('quantity', $slug, $data['quantity'], $articles->boutique_slug);
            $helper->update_meta_article('category', $slug, $data['categorie_slug'], $articles->boutique_slug);
            $helper->update_meta_article('description', $slug, $data['description'], $articles->boutique_slug);
            $response = true;
        }else{
                $articles->name = $data['name'];
                $articles->price = $data['price'];
                $articles->reference = $data['reference'];
                $articles->quantity = $data['quantity'];
                $articles->categorie_slug = $data['categorie_slug'];
                $articles->description = $data['description'];
                $articles->maker = $data['maker'];
                $articles->maker_country = $data['maker_country'];
                $articles->expire = $data['expire'];
                $articles->create = $data['create'];
                $response = $articles->save();
            }
        }else {
            $articles->name = $data['name'];
            $articles->price = $data['price'];
            $articles->reference = $data['reference'];
            $articles->quantity = $data['quantity'];
            $articles->categorie_slug = $data['categorie_slug'];
            $articles->description = $data['description'];
            $articles->maker = $data['maker'];
            $articles->maker_country = $data['maker_country'];
            $articles->expire = $data['expire'];
            $articles->create = $data['create'];
            $response = $articles->save();

        }

        if (isset($data['maker']) && $data['maker'] != null) {
            $helper->update_meta_article('maker', $slug, $data['maker'], $articles->boutique_slug);
        }
        if (isset($data['maker_country']) && $data['maker_country'] != null) {
            $helper->update_meta_article('maker_country', $slug, $data['maker_country'], $articles->boutique_slug);
        }

        if (isset($data['expire']) && $data['expire'] != null) {
            $helper->update_meta_article('expire', $slug, $data['expire'], $articles->boutique_slug);
        }

        if (isset($data['create']) && $data['create'] != null) {
            $helper->update_meta_article('create', $slug, $data['create'], $articles->boutique_slug);
        }
        $categorie = \App\CategorieCatalogue::with('caracteristique')->where('slug', $data['categorie_slug'])->first();
        $caracteristique = $categorie->caracteristique;
        foreach ($caracteristique as $carac) {

            if (isset($data[$carac->intitule])) {
                $value = explode(",", $data[$carac->intitule]);
                $value = json_encode($value);
                $helper->update_meta_article($carac->intitule, $data['slug'], $value, Session::get('boutique')['slug']);
            }
        }

        if (!isset($response)) {


            Session::flash('error', 'Un problème est survenu au cours de la mise à jour du produit ' . $data['name']);

        } else {
            Session::flash('success', 'Le produit '.$data['name'].' à été mis à jour avec succès');
        }
   return back();


    }



    public function delete_product($slug)
    {
        $mapage = Session::get('page');
        //dd($mapage);
        $article_find = Product::where('slug', $slug)->first();
        if ($article_find['boutique_slug'] != "all") {
            $response = Product::findOrFail($article_find['id']);
            $response->corbeil = true;
            $reponse = $response->save();
        } else {
            if ($mapage == 1) {
                $response = Product::findOrFail($article_find['id']);
                $response->corbeil = true;
                $reponse = $response->save();
            } else {
                $maboutique = Session::get('boutique');
                if ($article_find['boutique_slug'] == $maboutique['slug']) {
                        $response = Product::findOrFail($article_find['id']);
                        $response->corbeil = true;
                        $reponse = $response->save();
                    }else{
                        $article_associer = SelectArticle::where('boutique_slug', $maboutique['slug'])->where('article_slug', $slug)->first();
                        $response = SelectArticle::findOrFail($article_associer['id'])->delete();
                        $response->corbeil = true;
                        $reponse = $response->save();
                    }

            }
        }
        if (!isset($reponse)) {
            Session::flash('error', 'Une erreur s\'est produite au cours de la supression du produit ' . $article_find['name']);
        } else {
            Session::flash('success', 'Le produit ' . $article_find['name'] . ' à été supprimer avec succès.');
        }
        return back();
    }


    public function update_image(Request $request)
    {
        $i = 0;
        $data = $request->all();
        $response = false;
        if ($request->has('images')) {
            $nb = Images::where('type', 'articles_sup')->where('key', $data['slug'])->count();
            if ($nb < 3) {
                if ((count($request->images) + $nb) <= 3) {
                    foreach ($request->images as $photo) {
                        $i++;
                        $originalImage = $photo;
                        $thumbnailImage = Image::make($originalImage);
                        $thumbnailPath = public_path('Uploads/products/');
                        $originalPath = public_path('Uploads/products/full/');
                        $time = time();
                        $thumbnailImage->save($originalPath . $time .'.'. Str::slug($originalImage->getClientOriginalExtension()));
                        $thumbnailImage->resize(300, 300);
                        $thumbnailImage->save($thumbnailPath . $time .'.'. Str::slug($originalImage->getClientOriginalExtension()));
                        $filename = $time .'.'. Str::slug($originalImage->getClientOriginalExtension());
                        $image_data['slug'] = Str::slug($filename);
                        $image_data['key'] = $data['slug'];
                        $image_data['filename'] = asset('Uploads/products/' . $filename);
                        $image_data['type'] = 'articles_sup';
                        //$image_data['boutique_slug'] = $data['boutique_slug'];
                        Images::create($image_data);
                        $image_data['type'] = 'articles_sup_full';
                        $image_data['filename'] = asset('Uploads/products/full/' . $filename);
                        Images::create($image_data);
                    }
                    $response = true;
                } else {
                    Session::flash('error', 'Echec de mise à jour des images demandées.');
                }
            } else {
                Session::flash('error', 'Vous ne pouvez téléverser que 3 images supplémentaires. Vous avez déjà ' . count($request->images) . ' ajoutés');
            }
        }
        if ($request->has('image_avant')) {
            $originalImage = $request->image_avant;
            $thumbnailImage = Image::make($originalImage);
            $thumbnailPath = public_path('Uploads/products/');
            $originalPath = public_path('Uploads/products/full/');
            $time = time();
            $thumbnailImage->save($originalPath . $time .'.'. Str::slug($originalImage->getClientOriginalExtension()));
            $thumbnailImage->resize(300, 300);
            $thumbnailImage->save($thumbnailPath . $time .'.'. Str::slug($originalImage->getClientOriginalExtension()));
            $filename = $time .'.'. Str::slug($originalImage->getClientOriginalExtension());
            $image_data['slug'] = Str::slug($filename);
            $image_data['key'] = $data['slug'];
            $image_data['filename'] = asset('Uploads/products/' . $filename);
            $image_data['type'] = 'articles';
           // $image_data['boutique_slug'] = $data['boutique_slug'];
            $imagef = Images::where('type', 'articles')->where('key', $data['slug'])->first();
            $imagefull_id = Images::where('type', 'articles_full')->where('key', $data['slug'])->first();

            if (isset($imagef)) {
                $image = Images::findOrFail($imagef['id']);
                $image->filename = asset('Uploads/products/' . $filename);
                $image->save();
            } else {
                Images::create($image_data);
            }

            if (isset($imagefull_id)) {
                $imagefl = Images::findOrFail($imagefull_id['id']);
                $imagefl->filename = asset('Uploads/products/full/' . $filename);
                $imagefl->save();
            } else {
                $image_data['filename'] = asset('Uploads/products/full/' . $filename);
                $image_data['type'] = 'articles_full';
                Images::create($image_data);
            }
            $response = true;
        }
        if ($response) {
            Session::flash('success', 'Mise à jour d\'image effectuée avec succès');
        }
        return back();
    }


    public function delete_image($slug)
    {
        Images::where('slug', $slug)->first()->delete();
        return json_encode(true);
    }

    public function get_image_add($slug)
    {
        $boutique = Session::get('boutique')['slug'];
        $images = Images::where('key', $slug)->where('type', 'articles_sup')->where('boutique_slug', $boutique)->get();
        $image_ = '<h6 style="font-weight: bold;" class="col-sm-12 text-left">Images supplémentaires</h6><input type="hidden" value="' . $slug . '" name="slug">';
        $i = 0;
        foreach ($images as $image) {
            $i++;
            $image_ .= '<div class="col-lg-4 col-xs-12 text-left" id="image' . $image->slug . '" style="margin-top: 4%;"><img src="' . $image->filename . '" alt="" style="width: 100%"><br><a  data-slug="' . $image->slug . '"  href="#" data-url="' . route('delete_image', $image->slug) . '" style="background-color: red;color: #fff;margin-top: 1%;border-radius: 0px" class="btn btn-xs btn-danger image-article-btn"><i class="fa fa-close"></i> retirer</a></div>';
        }
        $image_ .= '<input value="' . $i . '" id="number_image" name="number_image" type="hidden">';
        return json_encode($image_);
    }
}
