<?php

namespace App\Http\Controllers\SGI;

use App\Http\Controllers\Controller;
use App\InvestmentProject;
use App\InvestmentProjetContribution;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Http\Traits\ProjectTrait;
use App\InvestmentPaymentLogs;
use App\investissementRemboursement;
use App\UserInvestissementRegisterPaymentLogs;
use App\InvestissementNews;
use App\ParametrageInvestissement;
use App\Country;
use App\SgiUser;
use App\User;
use App\Annonce;
use App\Portefeuille;
use App\Imports\InvestissorImport;
use App\Http\Controllers\MailController;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Str;
use Illuminate\Support\Facades\Validator;
use Carbon\Carbon;
use Maatwebsite\Excel\Facades\Excel;
use Barryvdh\DomPDF\Facade as PDF;

class InvestissorController extends Controller
{
   
    use ProjectTrait;
    public function newInvestissor($slug){
        $project = InvestmentProject::with($this->projectRelation())->whereSlug($slug)->first();
        $countries = Country::all();
        //dd($project);
        //manual_add
        return view('dashboard.Investment.add_investissor',compact('project','countries'));
    }

        public function updateInvestmentPayment(Request $request){
            try{
                $data= $request->all();
                $project = InvestmentProject::with($this->projectRelation())->whereSlug($data['project_id'])->first();
                $investData = InvestmentProjetContribution::whereSlug($data['slug'])->first();
                $montant=(($data['number_month_paid']+$investData['number_month_paid'])*$project->montant_fixe_obligation_mensuelle)*$data['action_part'];
                $investissement_payment_status=0;
                    $total_price=intVal($data['action_part'])*intVal($project->action_prix);
                    if($total_price <= $montant ){
                            $investissement_payment_status=1;
                    }
                    DB::table('investment_projet_contributions')->where('slug',$data['slug'])->update(
                                [
                                    "reference" => 'espece',
                                    "number_month_paid" => isset($data['number_month_paid']) ? ($data['number_month_paid']+$investData['number_month_paid']) : $investData['number_month_paid'],
                                    "active" => 1 ,
                                    "type_payment" => 'espece',
                                    "payment_status" => 1,
                                    "investissement_payment_status" => $investissement_payment_status,
                                    "montant" => $montant,
                                ]
                            );
                            // If paid first contribution, create payment logs
                            $montant=(($data['number_month_paid'])*$project->montant_fixe_obligation_mensuelle)*$data['action_part'];
                            DB::table('investment_payment_logs')->insert([
                                "contribution_id" => $investData['id'],
                                "montant" => $montant,
                                "reference" => 'espece',
                                "number_month_paid"=>isset($data['number_month_paid']) ? $data['number_month_paid'] : 0,
                                'created_at'=>Carbon::now()
                            ]);
                            //get all contribution amount
                            $total_paid=DB::table('investment_payment_logs')->where('contribution_id',$investData['id'])->sum('montant');
                            if(intVal($total_paid)>=intVal($data['action_part']*$project->action_prix)){
                            // Create remboursement planning ***************
                            $remboursement= [];
                            $interval=$project->date_gain;
                            $gain_price=(intVal((($project->action_prix * $data['action_part'])*($project->pourcentage_gain/100)) ));
                            for($i=0;$i<$interval;$i++){
                                    array_push($remboursement,[
                                        "contribution_id" => $investData['id'],
                                        "montant" => ($gain_price),
                                        "year" => (intval($project->start_remboursment)+$i),
                                        "type"=>'gain',
                                        "number"=>$interval,
                                    ]);
                            }
                            if(isset($project->retour_capital)){
                                array_push($remboursement,[
                                    "contribution_id" => $investData['id'],
                                    "montant" => (intval($project->action_prix * $data['action_part'])),
                                    "year" => ($project->retour_capital),
                                    "type"=>'retour capital',
                                    "number"=>$interval,
                                ]);
                            }
                            //dd($remboursement);
                            investissementRemboursement::insert($remboursement);
                            }
                            Session::flash('success', 'Le paiement de l\'investissement du client à été valider avec succès. Son investissement à été confirmer comme manuel. Le montant ne sera pas créditer à votre compte.');
                } catch (Exception $e) {
                    Session::flash('error', 'Une erreure est survenue au cours du processus. '.$e->getMessage());
                }
        return back();
    }

    public static function addContributionFunction($data, $projectInstance)
    {
        try {
            //dd($data);
            $project = InvestmentProject::with($projectInstance->projectRelation())->find($data['project_id']);
            $montant=($data['number_month_paid']*$project->montant_fixe_obligation_mensuelle)*$data['action_part'];
            $user = User::whereEmail($data['email'])->first();
            if ($user == null) {
                if(isset($data['country_id']))$country = DB::table('countries')->where('id', $data['country_id'])->first();
                if(isset($data['country']))$country = DB::table('countries')->where('name', $data['country'])->first();
                $data["slug"] = "user".Annonce::generate_slug_for_table("users");
                $data["code"] = Annonce::generate_slug_for_table("users");
                $data["country"] = $country->name;
                $data["username"] = Str::slug($data['first_name']).''.Str::slug($data['last_name']);
                $data["type"] = "user";
                $data["password"] = Hash::make(123456780);
                $user = User::create($data);
                Portefeuille::create([
                    "user_slug"=>$user->slug,
                    "montant"=>0,
                    "devise"=>"XOF",
                    "active"=>true
                ]);
                if(isset($data['has_paid']) && $data['has_paid']=='on'){
                    $udata=['user_id'=>$user->id,'price'=>12000,'reference'=>'espece','year'=>date('Y')];
                    UserInvestissementRegisterPaymentLogs::create($udata);
                    DB::table('users')->where('id',$user->id)->update(['is_investissor'=>true]);
                }
                try{
                    MailController::html_email($data["username"], $data['email'], "Inscription sur Sungrocery Investissement", $data["code"]);
                }catch(Exception $e){
                    Session::flash('error', 'Le mail n\'a pas pu être transmis via l\'adresse fournis.');
                   // return back();
                } 
               } 
               $checkHasInvest=InvestmentProjetContribution::where('sgi_user_id',$user['id'])->where('investment_project_id',$project->id)->count();
               if($checkHasInvest > 0){
                    Session::flash('error', 'Ce client a déjà souscrit à un investissement sur ce projet.');
                   return;
               }
               $investissement_payment_status=0;
               $total_price=intVal($data['action_part'])*intVal($project->action_prix);
               if($total_price <= $montant ){
                    $investissement_payment_status=1;
               }
                $invest  = InvestmentProjetContribution::create(
                        [
                            "slug" => "contribution_" . Annonce::generate_slug_for_table("investment_projet_contributions"),
                            "reference" => 'espece',
                            "sgi_user_id" => $user['id'],
                            "investment_project_id" => $data['project_id'],
                            "part" => $data['action_part'],
                            "number_month_paid" => isset($data['number_month_paid']) ? $data['number_month_paid'] : 0,
                            "active" => 1 ,
                            "receipt" => isset($data['receipt']) ? $data['receipt'] : "",
                            "type_payment" => 'espece',
                            "payment_status" => 1,
                            "investissement_payment_status" => $investissement_payment_status,
                            "montant" => $montant,
                        ]
                    );
                    // If paid first contribution, create payment logs
                    DB::table('investment_payment_logs')->insert([
                        "contribution_id" => $invest->id,
                        "montant" => $montant,
                        "reference" => 'espece',
                        "number_month_paid"=>isset($data['number_month_paid']) ? $data['number_month_paid'] : 0,
                        'created_at'=>Carbon::now()
                    ]);
                    //get all contribution amount
                    $total_paid=DB::table('investment_payment_logs')->where('contribution_id',$invest->id)->sum('montant');
                    if(intVal($total_paid)>=intVal($data['action_part']*$project->action_prix)){
                    // Create remboursement planning ***************
                    $remboursement= [];
                    $interval=$project->date_gain;
                    $gain_price=(intVal((($project->action_prix * $data['action_part'])*($project->pourcentage_gain/100)) ));
                    for($i=0;$i<$interval;$i++){
                            array_push($remboursement,[
                                "contribution_id" => $invest->id,
                                "montant" => ($gain_price),
                                "year" => (intval($project->start_remboursment)+$i),
                                "type"=>'gain',
                                "number"=>$interval,
                            ]);
                    }
                    if(isset($project->retour_capital)){
                        array_push($remboursement,[
                            "contribution_id" => $invest->id,
                            "montant" => (intval($project->action_prix * $data['action_part'])),
                            "year" => ($project->retour_capital),
                            "type"=>'retour capital',
                            "number"=>$interval,
                        ]);
                    }
                    //dd($remboursement);
                    investissementRemboursement::insert($remboursement);
                    }
                    Session::flash('success', 'Le client à été ajouté avec succès. Un plan de remboursement à été créer pour ce client. Son investissement à été confirmer comme manuel. Le montant ne sera pas créditer à votre compte.');
        } catch (Exception $e) {
            Session::flash('error', 'Une erreure est survenue au cours du processus. '.$e->getMessage());
        }
}
  public function addContribution(Request $request)
    {
            $data = $request->all();
            $this->addContributionFunction($data,$this);
            return back(); 
    }

    public function importFromExcel(Request $request){
        $res=$request->all();
        if($request->file('file')){
            $collection= Excel::toCollection(new InvestissorImport, request()->file('file'));
            if(isset($collection) && isset($collection[0])){
                $i=0;
                $data=[];
                foreach ($collection[0] as $row){
                    if($i>0){
                        $data[($i-1)]['last_name']=$row[0];
                        $data[($i-1)]['first_name']=$row[1];
                        $data[($i-1)]['sexe']=$row[2];
                        $data[($i-1)]['email']=$row[3];
                        $data[($i-1)]['country']=$row[4];
                        $data[($i-1)]['telephone']=$row[5];
                        $data[($i-1)]['has_paid']=$row[6]=="Oui" ? 'on' : 'off';
                        $data[($i-1)]['action_part']=$row[7];
                        $data[($i-1)]['number_month_paid']=$row[8];
                        $data[($i-1)]['project_id']=$res['project_id'];
                    }
                    $i++;
                }
               
                $datas=collect($data);
                if(isset($datas) && count($datas) > 0){
                    foreach($datas as $data){
                        $this->addContributionFunction($data,$this);
                    }
                }
                return back(); 
           }
           
            
        }
        
    }

    public function paymentsList($slug)
    {
        $contribution = InvestmentProjetContribution::with('user')->where('slug',$slug)->first();
        $project = InvestmentProject::with($this->projectRelation())->where('id',$contribution->investment_project_id)->first();
        $payments = InvestmentPaymentLogs::where('contribution_id',$contribution['id'])
            ->get();
        $total_payments = InvestmentPaymentLogs::where('contribution_id',$contribution['id'])
            ->sum('montant');
        return view('dashboard.Investment.detailsPayment', compact("payments","project","contribution","total_payments"));
    }

    public function investmentProjetRapport($slug) {
        $project = InvestmentProject::with($this->projectRelation())
           ->whereSlug($slug)
            ->first();
       // share data to view
        view()->share('project',$project);
        PDF::setOptions([ 'defaultFont' => 'Montserrat']);
        $pdf = PDF::loadView('dashboard/Investment/rapport/contribution_pdf', $project);
        // download PDF file with download method
        return $pdf->download('rapport_investissement'.strtolower(str_replace(' ','_',$project['titre'])).'_'.time().'.pdf');
    }

    public function investmentPaiementRapport($slug) {
        $contribution = InvestmentProjetContribution::with('user')->where('slug',$slug)->first();
        $project = InvestmentProject::with($this->projectRelation())->where('id',$contribution->investment_project_id)->first();
        $payments = InvestmentPaymentLogs::where('contribution_id',$contribution['id'])
            ->get();
        $total_payments = InvestmentPaymentLogs::where('contribution_id',$contribution['id'])
            ->sum('montant');
       // share data to view
        view()->share('project',$project);
        view()->share('payments',$payments);
        view()->share('contribution',$contribution);
        view()->share('total_payments',$total_payments);
        PDF::setOptions([ 'defaultFont' => 'Montserrat']);
        $pdf = PDF::loadView('dashboard/Investment/rapport/paiement_pdf', $project);
        // download PDF file with download method
        return $pdf->download('rapport_des_paiements_investissement'.strtolower(str_replace(' ','_',$contribution->user->first_name.''.$contribution->user->last_name)).'_'.time().'.pdf');
    }
    
    public function investmentRemboursementRapport($slug) {
        $contribution = InvestmentProjetContribution::with('user')->where('slug',$slug)->first();
        $project = InvestmentProject::with($this->projectRelation())->where('id',$contribution->investment_project_id)->first();
        $remboursements = investissementRemboursement::where('contribution_id',$contribution['id'])
            ->get();
        $total_rembourse = investissementRemboursement::where('contribution_id',$contribution['id'])
            ->where('status','done')
            ->sum('montant');    
       // share data to view
        view()->share('project',$project);
        view()->share('remboursements',$remboursements);
        view()->share('contribution',$contribution);
        view()->share('total_rembourse',$total_rembourse);
        PDF::setOptions([ 'defaultFont' => 'Montserrat']);
        $pdf = PDF::loadView('dashboard/Investment/rapport/remboursement_pdf', $project);
        // download PDF file with download method
        return $pdf->download('rapport_des_remboursement_investissement'.strtolower(str_replace(' ','_',$contribution->user->first_name.''.$contribution->user->last_name)).'_'.time().'.pdf');
    }
}
