<?php

namespace App\Http\Controllers;

use App\AbonnementProducteur;
use App\EtatCatalogueAbonnement;
use Illuminate\Support\Facades\Session;
use Illuminate\Http\Request;

class SubcscribeProductorController extends Controller
{
    public function subscribe(Request $request){
        try {
            $user = auth()->user();
            $data = $request->all();
            $plan = $data['data'];
            $data['user_id'] = $user->id;

            $public_key = env('INTRAM_PUBLIC');
            $secret = env('INTRAM_SECRET');
            $private_key = env('INTRAM_PRIVATE');
            $intram = new \Intram\Intram($public_key, $private_key, $secret, env('INTRAM_SANDBOX') == true);
            $transaction_id = $data['response']['transactionId'];
            $verify = $intram->getTransactionStatus($transaction_id);
            $status = $verify->status;

            $lastSubscriber = AbonnementProducteur::where('user_id', $data['user_id'])->where('is_current', 1)->first();
            // $plan = EtatCatalogueAbonnement::find($data['etat_catalogue_abonnement_id']);         
            if ($status == 'SUCCESS') {
            
                if ($lastSubscriber) {
                    $plan['remaining_publication'] = $lastSubscriber->remaining_publication + $plan['numberPublication'];
                    $lastSubscriber->is_current = 0;
                    $lastSubscriber->save(); 
                } else {
                    $plan['remaining_publication'] = $plan['numberPublication'];
                }

                $response = AbonnementProducteur::create([
                    'etat_catalogue_abonnement_id' => $plan['id'],
                    'user_id' => $data['user_id'],
                    'publication_number' => $plan['numberPublication'],
                    'remaining_publication' => $plan['remaining_publication'],
                    'is_current' => true,
                ]);
                if (!isset($response)) {
                    $message = 'Un problème est survenu au cours de la demande';
                    return json_encode(['response' => 'error', 'message' => $message]);
                } else {
                    $message = 'Votre abonnement ' . $plan['name']. ' à été effectué avec succès';
                    return json_encode(['response' => 'success', 'message' => $message]);
                }
            }else{
                $message = 'Un problème est survenu au cours de la demande';
                return json_encode(['response' => 'success', 'message' => $message]);
            }
        } catch (\Exception $e) {
            return json_encode(['response' => 'error', 'message' => $e->getMessage()]);
        }
    }
    
}
