<?php

namespace App\Http\Controllers\UserCatalogue;

use App\ActorCategory;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Session;

class ActorCategoryController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    public function category()
    {
        $actorcategory = ActorCategory::all()->sortByDesc('id');
        return view('dashboard/mib_admin/usercatalogue/actorcategory', compact('actorcategory'));
    }
    public function set_category(Request $request)
    {
        try {
            $data = $request->all();
            $actorcategory = ActorCategory::create($data);
            if (isset($actorcategory)) {
                Session::flash('success', 'Nouvelle catégorie d\'acteur définis avec succès');
            } else {
                Session::flash('error', 'Une erreur est survenue au cours du processus');
            }
        } catch (\Exception $e) {
            Session::flash('error', 'Une erreur est survenue au cours du processus ' . $e->getMessage());
        }
        return back();
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $actorcategory = ActorCategory::find($id);
        return response($actorcategory);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $data = $request->all();
       // dd($data);
        $find_actorcategory = ActorCategory::where('id', $id)->first();
        $actorcategory = ActorCategory::findOrFail($find_actorcategory['id']);
        $actorcategory->name = $data['name'];
        $actorcategory->description = $data['description'];
        $reponse = $actorcategory->save();
        if(isset($reponse)){
            Session::flash('success','Catégorie mise à jour avec succes');
        }else{
            Session::flash('error','Une erreur s\'est produit lors de la mise à jour de la Catégorie d\'acteur');
        }
        return back();
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */

    public function destroy($id)
    {
        $find_actorcategory = ActorCategory::where('id', $id)->first();
        $actorcategory = ActorCategory::findOrFail($find_actorcategory['id'])->delete();
        if (isset($actorcategory)) {
            Session::flash('success', 'Catégorie d\'acteur suprimée avec succès');
        } else {
            Session::flash('error', 'Une erreur s\'est produit lors de la supresssion de la Catégorie d\'acteur');
        }
        return back();
    }
}
