<?php

namespace App\Http\Controllers\UserCatalogue;

use Illuminate\Http\Request;
use App\UserCataloguePricing;
use Illuminate\Support\Facades\DB;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Session;

class UserCatalogueAdminController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    public function pricing()
    {
        $usercatalogue_pricings = UserCataloguePricing::all()->sortByDesc('id');
        return view('dashboard/mib_admin/usercatalogue/pricing', compact('usercatalogue_pricings'));
    }
    public function set_pricing(Request $request)
    {
        try {
            $data = $request->all();
            $usercatalogue = UserCataloguePricing::create($data);
            if (isset($usercatalogue)) {
                Session::flash('success', 'Nouveau type d\'abonnement définis avec succès');
            } else {
                Session::flash('error', 'Une erreur est survenue au cours du processus');
            }
        } catch (\Exception $e) {
            Session::flash('error', 'Une erreur est survenue au cours du processus ' . $e->getMessage());
        }
        return back();
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $usercatalogue_pricing = UserCataloguePricing::find($id);
        return response($usercatalogue_pricing);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $data = $request->all();
       // dd($data);
        $find_usercataloguepricing = UserCataloguePricing::where('id', $id)->first();
        $pricing = UserCataloguePricing::findOrFail($find_usercataloguepricing['id']);
        $pricing->name = $data['name'];
        $pricing->max_user = $data['max_user'];
        $pricing->price = $data['price'];
        //$pricing->status = $data['status'];
        $pricing->devise = $data['devise'];
        $reponse = $pricing->save();
        if(isset($reponse)){
            Session::flash('success','Type d\'abonnement mise à jour avec succes');
        }else{
            Session::flash('error','Une erreur s\'est produit lors de la mise à jour du UserCatalogue pricing');
        }
        return back();
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */

    public function destroy($id)
    {
        $find_usercataloguepricing = UserCataloguePricing::where('id', $id)->first();
        $pricing = UserCataloguePricing::findOrFail($find_usercataloguepricing['id'])->delete();
        if (isset($pricing)) {
            Session::flash('success', 'Type d\'abonnement suprimé avec succès');
        } else {
            Session::flash('error', 'Une erreur s\'est produit lors de la supresssion du UserCatalogue');
        }
        return back();
    }
}
