<?php

namespace App\Http\Controllers;

use App\Actualite;
use App\Afiliate;
use App\Annonce;
use App\Enseigne;
use App\Metier;
use App\InvestissementNews;
use App\Privilege_access;
use Dompdf\Exception;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Session;

class UserController extends Controller
{

    public function liste_annonces(){
        $metiers=Metier::all();
        return view('dashboard/Boutique/Boutique_template/pages/liste_annonce',compact('metiers'));
    }
  public function annonce($slug){
      $annonce = Annonce::with("user", "metier", "pays","profil_annonceur")->where('slug',$slug)->first();
      $annonces = Annonce::with("user", "metier", "pays","profil_annonceur")->where('id','<>',$annonce['id'])->where('sector',$annonce['sector'])->orderByDesc('id')->limit(4)->get();

      return view('dashboard/Boutique/Boutique_template/pages/annonce',compact('annonce','annonces'));
    }
 public function liste_annonces_paginate(){
       try {
           $annonces = Annonce::with("user", "metier", "pays","profil_annonceur")->orderByDesc('id')->simplePaginate();
           $boutique_view = view('dashboard/Boutique/Boutique_template/pages/annonce_single', compact('annonces'))->render();
           return ['error'=>false,'view'=>$boutique_view,'annonces'=>$annonces];
       }catch (Exception $e){
           return ['error'=>true,'message'=>$e->getMessage()];
       }
    }
 public function liste_actualites(){
        return view('dashboard/Boutique/Boutique_template/pages/liste_actualites');
    }
  public function actualite($slug){
      $actualite = Actualite::with("user","user.meta")->where('slug',$slug)->first();
      $actualites = Actualite::with("user", "user.meta")->where('id','<>',$actualite['id'])->where('state',1)->orderByDesc('id')->limit(4)->get();

      return view('dashboard/Boutique/Boutique_template/pages/actualite',compact('actualite','actualites'));
    }
 public function liste_actualites_paginate(){
       try {
           $actualites = Actualite::with("user",'user.meta')->where('state',1)->orderByDesc('id')->simplePaginate();
           $boutique_view = view('dashboard/Boutique/Boutique_template/pages/actualite_single', compact('actualites'))->render();
           return ['error'=>false,'view'=>$boutique_view,'actualites'=>$actualites];
       }catch (Exception $e){
           return ['error'=>true,'message'=>$e->getMessage()];
       }
    }

    public function index(Request $request){
        $data=$request->all();
        if(isset($data['agent'])){
          $partnaire=  DB::table('code_promos')->where('code',str_replace('sgyagi789200','',$data['agent']))->first();
          isset($partnaire) && $partnaire!=null ? Session::put('sunmarketers',str_replace('sgyagi789200','',$data['agent']))  : Session::put('sunmarketers',str_replace('sgyagi789200','user',$data['agent']));
        }
        $actualites = Actualite::with("user",'user.meta')->where('state',1)->orderByDesc('id')->take(6)->get();
        return view('dashboard/landing',compact('actualites'));
    }
    public function landing(Request $request){
        $data=$request->all();
        if(isset($data['agent'])){
          $partnaire=  DB::table('code_promos')->where('code',str_replace('sgyagi789200','',$data['agent']))->first();
          isset($partnaire) && $partnaire!=null ? Session::put('sunmarketers',str_replace('sgyagi789200','',$data['agent']))  : Session::put('sunmarketers',str_replace('sgyagi789200','user',$data['agent']));
        }
        $actualites = Actualite::with("user",'user.meta')->where('state',1)->orderByDesc('id')->take(6)->get();
        $investissement_actualites = InvestissementNews::where("public", "public")->get();
        return view('landing.index',compact('actualites','investissement_actualites'));
    }

    public function how_to_configure_my_boutique(){
        return view('dashboard/how_to_configure_my_boutique');

    }

    public function condition_generale(){
        return view('dashboard/condition_generale');
    }

    public function politique_confidentialite(){
        return view('dashboard/politique_confidentialite');
    }

    public function how_to_create_boutique(){
        return view('dashboard/how_to_create_boutique');

    }

    public function get_all_user_enseigne($user_id){
        $output="";
        $nbEnseigne=Enseigne::all()->where('id_user_fk_enseigne','=',$user_id);
        if($nbEnseigne){
            foreach ($nbEnseigne as $item) {
                $output.="<option value='".$item['id']."'>".$item['nom_enseigne']."</option>";
            }
        }
        return $output;
    }

    public function  afiliate(Request $request){
        $data=$request->all();
        $json_response=[];
        $nbEnseigne=Afiliate::all()->where('id_enseigne_fk_afiliate','=',$data['id_enseigne_fk_afiliate'])->where('name','=',$data['name'])->count();
        if($nbEnseigne<=0) {
            $response = Afiliate::create($data);
            if ($response) {
                if ($data['id_enseigne_fk_afiliate'] == "0") {

                    Privilege_access::create(['user_fk_user_controle'=> $data['id_user_fk_afiliate'],'privilege_slug'=>'utilisateur']);
                } else {

                    Privilege_access::create(['user_fk_user_controle'=> $data['id_user_fk_afiliate'],'privilege_slug'=>'administrateur_local']);

                }
                $json_response=['statut'=>true,'data'=>[$response],'message'=>'Afiliation effectué'];

            } else {
                $json_response=['statut'=>false,'data'=>[],'message'=>'Echec lors de l\'afiliation'];
            }
        }else{
            $json_response=['statut'=>false,'data'=>[],'message'=>'Vous êtes déjà afilié avec cet enseigne dans cet espace'];
        }
        return json_encode($json_response);
    }
}
