<?php

namespace App\Http\Controllers;

use App\Metier;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;

class metierController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth_connect');
    }
    public function mes_metiers(){
        $metiers=Metier::all();
        return view ('dashboard.Metiers.gestion_metiers',compact('metiers'));
    }

    public function create_metier(Request $request){

        $rules = array(
            'intitule_metier' => 'required|string|unique:metiers',
        );

        $validator = \Illuminate\Support\Facades\Validator::make($request->all(), $rules);

        if ($validator->fails()) {
            return back()->withErrors($validator)->withInput();
        }

        $data=$request->all();


        $listen=false;

        $methode=new EnseigneController();

        do{
            $data['slug']=$methode->chaine_aleatoire(12);

            $candid =   Metier::where('slug','=',$data['slug'])->count();

            if($candid<=0){

                $listen=true;

            }
        }while($listen==false);


        $reponse=  Metier::create($data);

        if (!isset($reponse)) {

            Session::flash('error', 'Echec creation du metier ');

        } else {


            Session::flash('success', 'metier ajouter');

        }
        return back();


    }

    public function get_all_metier(Request $request){

        $data=[];
        $metiers=Metier::all();
        $nbmetier=Metier::all()->count();
        $i=$nbmetier;
        $action="";
        foreach ($metiers as $metier){
            $action="";
            $subArray=[];

            $action .= '<div class="btn-group"> 
                      <button style="background: #375980;" type="button" class="btn btn-primary btn-sm dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> Actions <span class="caret"></span></button> 
                      <ul class="dropdown-menu">
                      <li><a data-slug="'.$metier->slug.'" data-url="'.url('get_metier',$metier->slug).'" class="modifier_metier">modifier</a></li> 
                      <li><a href="'.url('delete_metier',$metier->slug).'" class="suprimer_metier" onclick="return confirm(\'êtes vous sûr de vouloir suprimer ce metier\');">Suprimer</a></li> 
                      </ul></div>';
            $subArray[]=$i;
            $i-=1;
            $subArray[]=$metier->intitule_metier;
            $subArray[]='<span title="'.$metier->description_metier.'">'.str_limit($metier->description_metier,120).'</span>';
            $subArray[]=$metier->created_at->format('d/m/Y à H:i:s');
            $subArray[]=$action;
            $data[]=$subArray;

        }

        $output = array(
            "recordsTotal"  	=>  $nbmetier,
            "recordsFiltered" 	=> 	$nbmetier,
            "data"				=>	$data
        );

        echo json_encode($output);
    }

    public function update_metier(Request $request){
        $rules = array(
            'intitule_metier' => 'required|string',
        );

        $validator = \Illuminate\Support\Facades\Validator::make($request->all(), $rules);

        if ($validator->fails()) {
            return back()->withErrors($validator)->withInput();
        }
        $data=$request->all();

        $post_check=Metier::where('slug','!=',$data['slug'])->where('intitule_metier','=',$data['intitule_metier'])->count();

        if($post_check>0){
            Session::flash('error', 'Echec mise à jour de  l\'metier ');
            return back();
        }

        $post=  Metier::where('slug','=',$data['slug'])->firstOrFail();
        $post->intitule_metier=$data['intitule_metier'];
        $post->description_metier=$data['description_metier'];
        $reponse=$post->save();

        if (!isset($reponse)) {

            Session::flash('error', 'Echec mise à jour de  l\'metier ');

        } else {


            Session::flash('success', 'metier mise à jour');

        }
        return back();

    }

    public function get_metier($slug){
        $post= Metier::where('slug','=',$slug)->firstOrFail();
        return json_encode($post);
    }



    public function delete_metier($slug){
        $metiers=Metier::where('slug','=',$slug)->firstOrFail();
        $metier=$metiers->delete();
        if(isset($metier)){
            Session::flash('success','metier suprimer');
        }else{
            Session::flash('error','Erreur lors de la supression de l\'metier');
        }
        return back();


    }



    public function liste_output_metier(){
        $metiers =  Metier::all();
        $output="";

        if(count($metiers)>0) {
            foreach ($metiers as $metier) {
                $output .= "<option value='$metier->slug'>" . $metier->intitule_metier . "</option>";
            }
        }
        echo $output;
    }

}
