<?php

namespace App\Http\Controllers\mib\Api;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Http\Controllers\Controller;
use App\Http\Requests\LoginMibUserRequest;
use App\Http\Requests\UpdateUserRequest;
use App\Http\Traits\MibAuthTrait;
use Illuminate\Support\Facades\Auth;

class AuthController extends Controller
{

    use MibAuthTrait;

    public function __construct()
    {
        $this->middleware('auth:api')->only(['user', 'logout', 'update']);
    }

    public function login(LoginMibUserRequest $request)
    {
        return response()->json(['datas' => $this->mibLogin($request)], 200);
    }

    public function user()
    {
        return response()->json(['datas' => $this->getUser()], 200);
    }

    public function logout()
    {
        return response()->json(['message' => $this->logoutUser()], 200);
    }

    public function update(UpdateUserRequest $request)
    {
        $data = $this->updateUser($request);
        return response()->json(['datas' => $data], 200);
    }
}
