<?php

namespace App\Http\Controllers\mib\Api;

use App\Boutique;
use App\ClientMib;
use App\Portefeuille;
use App\CotisationMib;
use Illuminate\Http\Request;
use App\Http\Traits\MibTrait;
use Illuminate\Support\Facades\DB;
use App\Http\Controllers\Controller;
use App\Http\Requests\TransactionRequest;
use App\Http\Requests\StoreMibClientRequest;
use App\Http\Requests\UpdateMibClientRequest;
use Illuminate\Http\Response;

class MibController extends Controller
{
    use MibTrait;

    public function __construct()
    {
        $this->middleware('auth:api');
    }

    public function mib_list_by_user()
    {
        return response()->json(['datas' => $this->mibListByUser()], Response::HTTP_OK);
    }

    public function client_mib_index_year()
    {
        return response()->json(['datas' => $this->clientMibIndexYear()], Response::HTTP_OK);
    }

    public function mib_category_by_boutique($boutique_id, $an)
    {
        return response()->json(['datas' => $this->mibCategoryByBoutique($boutique_id, $an)], Response::HTTP_OK);
    }

    public function mib_lot_by_category($categorie_mib)
    {
        return response()->json(['datas' => $this->mibLotByCategory($categorie_mib)], Response::HTTP_OK);
    }

    public function mib_client($boutique_id, $an)
    {
        return response()->json(['datas' => $this->mibClient($boutique_id, $an)], Response::HTTP_OK);
    }

    public function mib_store_client(StoreMibClientRequest $request)
    {
        $validatedData = $request->validated();
        return response()->json(['message' => 'Client enregistré avec succès', 'datas' => $this->storeMibClient($validatedData)], Response::HTTP_OK);
    }

    public function mib_show_client($client_id)
    {
        return response()->json(['datas' => $this->showMibClient($client_id)], Response::HTTP_OK);
    }

    public function mib_update_client(UpdateMibClientRequest $request, $clientID)
    {
        $updatedClient = $this->updateMibClient($request, $clientID);
        return response()->json(['message' => 'Donnée modifiée avec succès', 'datas' => $updatedClient], Response::HTTP_OK);
    }

    public function payment_by_intram(TransactionRequest $request)
    {
        $validatedData = $request->validated();
        $response = $this->paymentMibCotisation($validatedData);
        return response()->json(['message' => 'Paiement effectué avec succès', 'datas' => $response], Response::HTTP_OK);
    }
}
