<?php

namespace App\Http\Controllers\mib;

use App\Boutique;
use App\BoutiqueMeta;
use App\CategoriesMib;
use App\ClientMib;
use App\CotisationMib;
use App\DemandeBrunchs;
use App\Http\Controllers\MailController;
use App\Images;
use App\LotMib;
use App\mibBoutiqueSouscription;
use App\mibBoutiqueSouscriptionLogs;
use App\panierMibYear;
use App\mibPricing; 
use App\PaiementEchelonner;
use App\ParametrageMib;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Str;
use Intervention\Image\Facades\Image;
use Barryvdh\DomPDF\Facade as PDF;
use Illuminate\Support\Carbon;
use App\Portefeuille;
class adminMibController extends Controller
{
   public function index(){
       $mib_abonnements=mibBoutiqueSouscription::with('boutique')->get()->sortByDesc('id');
       return view('dashboard/mib_admin/index',compact('mib_abonnements'));
   }
    public function globalAdminBoutiqueYear($boutique){
        $boutique = Boutique::with('meta', 'partenaires', 'publicites', 'demande_supression','paiement_echelonner','mibSubscribe')->where('slug', $boutique)->first();
        Session::put('boutique',$boutique);
        $years=panierMibYear::where('boutique_id',$boutique['id'])->get();
       return view('dashboard/mib_admin/years',compact('years'));
   }
   
   // Administrateur Générale
   public function globalAdminClient($year){
        if(!Session::has('boutique')){
            return  redirect('boutique');
        }
        $boutique=Session::get('boutique');
        Session::put('mib_year',$year);
        $clients=ClientMib::with('cotisations','categorieMib','lotMib','parrain','user')->where('boutique_id',$boutique['id'])->where('an',$year)->get();
        $categorie_mibs=CategoriesMib::with('boutique')->where('an',$year)->where('boutique_id',$boutique['id'])->get();
        return view('dashboard/mib_admin/client',compact('clients','boutique','categorie_mibs','year'));
   }
   public function globalAdminShowClientCotisations($client){
        $year=Session::get('mib_year');
        $client=ClientMib::where('slug',$client)->first();
        $boutique = Boutique::with('meta', 'partenaires', 'publicites', 'demande_supression','paiement_echelonner','mibSubscribe')
            ->where('id', $client['boutique_id'])->first();
        Session::put('boutique',$boutique);
        Session::put('boutique_admin',$boutique);
        $cotisations=CotisationMib::with('client','user')->where('client_mib_id',$client['id'])->get();
        $categorieMibs=CategoriesMib::where('boutique_id',$boutique['id'])->where('an',$year)->get();
       
        return view('dashboard/mib_admin/cotisations',compact('year','client','cotisations','boutique','categorieMibs'));
    }
    public function intramConfirmPanierMibCotisation(Request $request){

        try {
            $data=$request->all();
            $cotisation=$data['cotisation_id'];
            $data['reference']=$data['transaction_id'];
            $public_key = env('INTRAM_PUBLIC');
            $secret = env('INTRAM_SECRET');
            $private_key = env('INTRAM_PRIVATE');
            $intram = new \Intram\Intram($public_key, $private_key, $secret, env('INTRAM_SANDBOX') == true); 
            $transaction_id = $data['transaction_id'];
            $verify = $intram->getTransactionStatus($transaction_id);
            Log::info(json_encode($verify));
            $status=$verify->status;
            $total=$verify->amount;
            $cotisationsCheckSum= CotisationMib::where('reference_paiement',$data['transaction_id'])->sum("montant");
            if($cotisationsCheckSum < $total){
                if($status=='SUCCESS') {
                $boutique_slug = $data['boutique_slug'];
                $cotisation= CotisationMib::where('slug',$cotisation)->first();
                $cotisationsMontant= CotisationMib::where('slug',$cotisation['slug'])->sum('montant');
                $boutique = Boutique::where('slug', $boutique_slug)->first();
                $solde=0;
                $client=0;
                if($cotisationsMontant <= $total){
                    if(!$cotisation->status){
                        DB::table('cotisation_mibs')->where('id',$cotisation['id'])->update(['status'=>true,'reference_paiement'=>$transaction_id,'paid_at'=>Carbon::now(),'validate_by'=>Auth::user()->slug]);
                        $solde=$solde+$cotisation->montant;
                        $client=$cotisation->client_mib_id; 
                    }
                }else{
                    return ['response' => 'error', 'message' => 'Une erreur s\'est produite., La somme payer ne correspond pas au total du.'];
                }
                //add solde to boutique
                Portefeuille::createPortefeuilles(
                    $boutique['user_slug'],
                    $solde,
                    'PAIEMENT COTISATION PANIER MIB',
                    'Paiement de la cotisation panier mib à la boutique '.$boutique['nom_boutique'],
                    'XOF',
                    $boutique_slug);
                //update client Mib virtual Portefeuille
                ClientMib::createPortefeuille($client,$solde);
                //check if user paid all cotisation
                $cotisations=CotisationMib::where('client_mib_id',$client)->where('status',false)->count();
                if($cotisations<=0){
                    DB::table('client_mibs')->where('id',$client)->update(['end_cotisation'=>true]);
                }
                //send mail to boutique
                Session::flash('success', 'Paiement validé avec succès.');
                return back();
            }else {
                Session::flash('error', 'Une erreur s\'est produite., Nous ne parvenons pas à vérifier votre paiement.');
                return back();
            }
            }else{
                Session::flash('error', 'Une erreur s\'est produite., La reference à été déjà utiliser par plusieurs transactions.');
                return back();
            }
        }catch (\Exception $e){
            Session::flash('error', 'Une erreur s\'est produite. Veuilez contacter le service client si le paiement à été valider. '.$e->getMessage().' '.$e->getLine().' '.$e->getTraceAsString());
            return back();
        }
    }
   ///////////////////////////
 

    public function pricing(){
        $mib_pricings=mibPricing::all()->sortByDesc('id');
        $year=Session::get('mib_year');
        return view('dashboard/mib_admin/pricing',compact('year','mib_pricings'));
    }
 public function set_pricing(Request $request){
     try {
         $data = $request->all();
         $mib = mibPricing::create($data);
         if (isset($mib)) {
             Session::flash('success', 'Nouveau prix définis avec succès');
         } else {
             Session::flash('error', 'Une erreur est survenue au cours du processus');
         }
     }catch (\Exception $e){
         Session::flash('error', 'Une erreur est survenue au cours du processus '.$e->getMessage());
     }
       return back();
   }

//   ***************************************************************** MIB **************************************

    public function admin_index(){
       if(!Session::has('boutique')){
           return  redirect('boutique');
       }
       $boutique=Session::get('boutique');
       $years=panierMibYear::where('boutique_id',$boutique['id'])->get();
        return view('dashboard/Boutique/mib/index',compact('years'));
    }
 public function admin_client($year){
       if(!Session::has('boutique')){
           return  redirect('boutique');
       }
       $boutique=Session::get('boutique');
       Session::put('mib_year',$year);
       $clients=ClientMib::with('cotisations','categorieMib','lotMib','parrain','user')->where('boutique_id',$boutique['id'])->where('an',$year)->get();
        $categorie_mibs=CategoriesMib::with('boutique')->where('an',$year)->where('boutique_id',$boutique['id'])->get();
        return view('dashboard/Boutique/mib/client',compact('clients','boutique','categorie_mibs','year'));
    }

 public function statistique(){
       if(!Session::has('boutique') || !Session::has('mib_year')){
           return  redirect('boutique');
       }
       $boutique=Session::get('boutique');
       $year=Session::get('mib_year');
        $params = new \App\ParametrageMib();
        $jour_fin = $params->getParametersByKeys('jour_fin', $boutique['id'],$year);
        $impayer = 0;
        $payer = 0;
        $sumPayer = 0;
        $resteApayer = 0;
        $demandeBrunchs = null;
        $client = null;
        $cotisation_a_jour=0;
       $clients=ClientMib::with('cotisations','categorieMib','lotMib','parrain','user')->where('boutique_id',$boutique['id'])->where('an',$year)->get();
       $clientIds=ClientMib::with('cotisations','categorieMib','lotMib','parrain','user')->where('boutique_id',$boutique['id'])->where('an',$year)->pluck('id');
       $clientSlugs=ClientMib::with('cotisations','categorieMib','lotMib','parrain','user')->where('boutique_id',$boutique['id'])->where('an',$year)->pluck('slug');
        $portefeuilleGlobal = CotisationMib::whereIn('client_mib_id', $clientIds)->where('status', true)->sum('montant');
        $portefeuilleAdminValidate = CotisationMib::where('reference_paiement','en espèce')->whereIn('client_mib_id', $clientIds)->where('status', true)->sum('montant');
        $portefeuillePaidDirectly = CotisationMib::where('reference_paiement','<>','en espèce')->whereIn('client_mib_id', $clientIds)->where('status', true)->sum('montant');
        $impayer=ClientMib::whereHas('cotisations',function($q){
            $q->where('status', false)->where('numero_mois', '<', date('m'));
        })->with('cotisations')->where('boutique_id',$boutique['id'])->where('an',$year)->count();
        $checkThisMounthImpaye=ClientMib::whereHas('cotisations',function($q){
            $q->where('status', false)->where('numero_mois', '=', date('m'));
        })->with('cotisations')->where('boutique_id',$boutique['id'])->count();
        $clientsCount=ClientMib::where('boutique_id',$boutique['id'])->where('an',$year)->count();
        if (isset($checkThisMounthImpaye) && $jour_fin < date('d')) $impayer = $checkThisMounthImpaye + $impayer;
        $cotisation_a_jour=$clientsCount - $impayer;
        $demandeBrunchs = DemandeBrunchs::whereIn('client_mib_slug', $clientSlugs)->count();
        $brunchActif = ClientMib::where('boutique_id',$boutique['id'])->where('brunch',1)->where('an',$year)->count();
        $panierLivrer = ClientMib::where('boutique_id',$boutique['id'])->where('bonus_livrer',1)->where('an',$year)->count();
        $bonusActif = ClientMib::where('boutique_id',$boutique['id'])->where('bonus',1)->where('an',$year)->count();
        $bonusOff = ClientMib::where('boutique_id',$boutique['id'])->where('bonus',0)->where('an',$year)->count();
  $categorie_mibs=CategoriesMib::with(['boutique','lots'=>function($q){
           $q->orderBy('id','DESC');
       },'lots.clients','clients'])->where('an',$year)->where('boutique_id',$boutique['id'])->get();
        return view('dashboard/Boutique/mib/statistiques',compact('year','clients',
        'boutique','clientsCount',
        'categorie_mibs','portefeuilleGlobal','portefeuilleAdminValidate','portefeuillePaidDirectly','impayer',
    'cotisation_a_jour','demandeBrunchs','brunchActif','panierLivrer','bonusActif','bonusOff'));
    }

    public function mibStatistique() {
        if(!Session::has('boutique')){
            return  redirect('boutique');
        }
        $year=Session::get('mib_year');
        $boutique=Session::get('boutique');
        // retreive all records from db
        $data = ClientMib::with('cotisations','categorieMib','lotMib','parrain','user','boutique','boutique.meta')
        ->where('boutique_id',$boutique['id'])
        ->where('an',$year)
        ->get();
       // share data to view
        view()->share('clients',$data);
        PDF::setOptions([ 'defaultFont' => 'Montserrat']);
        $pdf = PDF::loadView('dashboard/Boutique/mib/statistique_pdf', $data);
        // download PDF file with download method
        return $pdf->download('statistiques_panier_mib'.strtolower(str_replace(' ','_',$boutique['nom_boutique'])).'_'.time().'.pdf');
    }


 public function get_pricing(Request $request){
     try {
         $data=$request->all();
         $pricing= mibPricing::where('name','like','%'.$data['name'].'%')->first();
         return ["error"=>false,'pricing'=>$pricing];
     }catch (\Exception $e){
         return ['error'=>true,'message'=>$e->getMessage()];
     }
    }

    public function categorie_mib_index($slug){
        $boutique = Boutique::with('meta', 'partenaires', 'publicites', 'demande_supression','paiement_echelonner','mibSubscribe')->where('slug', $slug)->first();
        Session::put('boutique',$boutique);
        Session::put('boutique_admin',$boutique);
        $year=Session::get('mib_year');
        $categorie_mibs=CategoriesMib::with('boutique')->where('an',$year)->where('boutique_id',$boutique['id'])->get()->sortByDesc('id');
        $year=Session::get('mib_year');
        return view('dashboard/Boutique/mib/categorie',compact('year','categorie_mibs','boutique','year'));
    }
 public function lot_mib_index($slug,$categorie_mib_slug){
        $boutique = Boutique::with('meta', 'partenaires', 'publicites', 'demande_supression','paiement_echelonner','mibSubscribe')->where('slug', $slug)->first();
        Session::put('boutique',$boutique);
        Session::put('boutique_admin',$boutique);
        $year=Session::get('mib_year');
     $categorie_mib=CategoriesMib::where('slug',$categorie_mib_slug)->first();
     $lot_mibs=LotMib::with('categorie_mib')->where('categories_mib_id',$categorie_mib->id)->get()->sortByDesc('id');
     return view('dashboard/Boutique/mib/lot',compact('year','lot_mibs','boutique','categorie_mib'));
    }
public function lot_mib_by_categorieSlug_for_option($categorie_mib_slug){
     $categorie_mib=CategoriesMib::where('slug',$categorie_mib_slug)->first();
     $lot_mibs=LotMib::where('categories_mib_id',$categorie_mib->id)->get();
     $options='';
     foreach ($lot_mibs as $lot){
        $options=$options.'<option value="'.$lot->slug.'">'.$lot->nom.'</option>';
     }
     return $options;
    }

    public function adminCreateClientMib(Request $request){
       $data=$request->all();
       $boutique=Session::get('boutique');
       $pricing=CategoriesMib::where('slug',$data['categorie_mib_slug'])->first();
        $client=['slug'=>Str::slug('clientMib'.time()),
            'nom'=>$data['nom'],
            'prenom'=>$data['prenom'],
            'tel'=>$data['tel'],
            'adresse'=>$data['adresse'],
            'bonus'=>true,
            'parainer'=>false,
            'parain_id'=>null,
            'an'=>date('Y'),
            'boutique_id'=>$boutique['id'],
            'categories_mib_id'=>$pricing['id'],
            'lot'=>$data['lot_mib_slug'],
            'brunch'=> isset($data['brunch']),
            'user_id'=>0];
        if(isset($data['nom_mandataire'])) $client['nom_mandataire']=$data['nom_mandataire'];
        if(isset($data['tel_mandataire'])) $client['tel_mandataire']=$data['tel_mandataire'];
        if(isset($data['adresse_mandataire'])) $client['adresse_mandataire']=$data['adresse_mandataire'];
        $client= ClientMib::create($client);
        if(isset($client)){
            //create cotisation
            CotisationMib::StaticCreate($client->id,$pricing->price);
            return back()->with('success','Client ajouté avec succès');
        }else{
            return back()->with('error','Une erreure s\'est produite au cours du processus.');
        }
    }

    public function params_mib_index($slug){
            $year=Session::get('mib_year');
            $boutique = Boutique::with('meta', 'partenaires', 'publicites', 'demande_supression','paiement_echelonner','mibSubscribe')->where('slug', $slug)->first();
            Session::put('boutique',$boutique);
            Session::put('boutique_admin',$boutique);
            $params=ParametrageMib::where('boutique_id',$boutique['id'])->where('an',$year)->get();
            $categorieMibs=CategoriesMib::where('boutique_id',$boutique['id'])->where('an',$year)->get();
            return view('dashboard/Boutique/mib/params',compact('year','params','boutique','categorieMibs'));
    }

    public function setMibParams(Request $request){
        try{
            $data=$request->all();
            $year=Session::get('mib_year');
            unset($data['_token']);
            $boutique=Session::get('boutique');
            foreach ($data as $key =>$value) {
                $params=ParametrageMib::where('key',$key)->where('an',$year)->where('boutique_id',$boutique['id'])->first();
                if(isset($params) && $params!=null){
                    DB::table('parametrage_mibs')
                        ->where('key',$key)
                        ->where('boutique_id',$boutique['id'])
                        ->where('an',$year)
                        ->update(['value'=>$value]);
                }else{
                    ParametrageMib::create([
                        'key'=>$key,'value'=>$value,'boutique_id'=>$boutique['id'],'an'=>$year
                    ]);
                }
            }
            return back()->with('success','Paramètre mise à jour avec succès');
        }catch (\Exception $e){
            return back()->with('error','Une erreur s\'est produite. '.$e->getMessage());
        }
    }

    public function create(Request $request){
            try {
                $data=$request->all();
                $data['transaction_id']=$data['response']['transactionId'];
                $data['reference']=$data['response']['transactionId'];
                $public_key= env('KKIAPAY_PUBLIC');
                $secret= env('KKIAPAY_SECRET');
                $private_key= env('KKIAPAY_PRIVATE');
                $kkiapay = new \Kkiapay\Kkiapay($public_key,
                    $private_key,
                    $secret, env('KKIAPAY_SANDBOX') =='1');
                $transaction_id=$data['transaction_id'];
                $verify=$kkiapay->verifyTransaction($transaction_id);
                // dd($boutique_abonnement);
                $status=$verify->status;
                if($status=='SUCCESS') {
                    $boutique_slug = $data['boutique_slug'];
                    $pricing= mibPricing::where('name','like','%'.$data['name'].'%')->first();
                    $portefeuille=DB::table('admin_portefeuilles')->where('devise','XOF')->first();
                    $arg=0;
                    if(isset($portefeuille)){
                        $arg=$portefeuille->montant+$pricing->price;
                    }
                    DB::table('admin_portefeuilles')->where('devise','XOF')->update(['montant'=>$arg]);
                    $boutique = Boutique::where('slug', $boutique_slug)->first();
                    $req['id_boutique']=$boutique['id'];
                    $req['max_user']=$pricing['max_user'];
                    $oneYearOn = date('Y-m-d H:i:s', strtotime(date("Y-m-d H:i:s", time()) . " + 365 days"));
                    $req['expired_at']=$oneYearOn;
                    $checkMibSouscription=mibBoutiqueSouscription::where('id_boutique',$boutique['id'])->first();
                    if(isset($checkMibSouscription)){
                        $souscription = DB::table('mib_boutique_souscriptions')->where('id',$checkMibSouscription['id'])->update(['max_user'=>$req['max_user']]);
                        $souscription_id=$checkMibSouscription['id'];
                    }else{
                        $souscription=mibBoutiqueSouscription::create($req);
                        $souscription_id=$souscription->id;
                    }
                    if(isset($souscription)){
                        mibBoutiqueSouscriptionLogs::create(
                            ['id_boutique'=>$boutique['id'],
                                'id_mib_pricing'=>$souscription_id]);
                    }
                    $subject = 'ACHAT MODULE PANIER MIB';
                    $messages='La boutique '.$boutique['nom_boutique'].' à éffectuer un achat du module panier mib.';
                    MailController::SendGeneralUniqueMail('Mail.generale_blade', $subject, $messages, env('MAIL_ADMIN'), env('MAIL_USERNAME'));

                    return ['response'=>'success','message'=>'Panier Mib activer avec succès sur cette boutique. Accédez au menu pour gerer le module Panier Mib'];
                }else {
                    return ['response' => 'error', 'message' => 'Une erreur s\'est produite., Nous ne parvenons pas à vérifier votre paiement.'];
                }
            }catch (\Exception $e){
                return ['response'=>'error','message'=>'Une erreur s\'est produite. Veuilez contacter le service client si le paiement à été valider. '.$e->getMessage()];
            }
    }

    public function createIntram(Request $request){
        try {
                $data=$request->all();
                $data['transaction_id']=$data['response']['transactionId'];
                $data['reference']=$data['response']['transactionId'];
                $public_key = env('INTRAM_PUBLIC');
                $secret = env('INTRAM_SECRET');
                $private_key = env('INTRAM_PRIVATE');
                $intram = new \Intram\Intram($public_key, $private_key, $secret, env('INTRAM_SANDBOX') ==true); 
                $transaction_id = $data['transaction_id'];
                $verify = $intram->getTransactionStatus($transaction_id);
                $status=$verify->status;
                if($status=='SUCCESS') {
                    $boutique_slug = $data['boutique_slug'];
                    $pricing= mibPricing::where('name','like','%'.$data['name'].'%')->first();
                    $portefeuille=DB::table('admin_portefeuilles')->where('devise','XOF')->first();
                    $arg=0;
                    if(isset($portefeuille)){
                        $arg=$portefeuille->montant+$pricing->price;
                    }
                    DB::table('admin_portefeuilles')->where('devise','XOF')->update(['montant'=>$arg]);
                    $boutique = Boutique::where('slug', $boutique_slug)->first();
                    $req['id_boutique']=$boutique['id'];
                    $req['max_user']=$pricing['max_user'];
                    $oneYearOn = date('Y-m-d H:i:s', strtotime(date("Y-m-d H:i:s", time()) . " + 365 days"));
                    $req['expired_at']=$oneYearOn;
                    $checkMibSouscription=mibBoutiqueSouscription::where('id_boutique',$boutique['id'])->first();
                    
                    if(isset($checkMibSouscription)){
                        $souscription = DB::table('mib_boutique_souscriptions')->where('id',$checkMibSouscription['id'])->update(['max_user'=>$req['max_user'],'expired_at'=>$oneYearOn,'updated_at'=>date('Y-m-d H:i:s')]);
                        $souscription_id=$checkMibSouscription['id'];
                        $check_mib_year_exist=panierMibYear::where('year',date('Y'))->first();
                        if(!isset($check_mib_year_exist)){
                            //create new panier year
                            panierMibYear::create(['boutique_id'=>$boutique['id'],"year"=>date('Y'),'status'=>true]);
                            ////////////////////////
                        }
                    }else{
                        $souscription=mibBoutiqueSouscription::create($req);
                        $souscription_id=$souscription->id;
                        //create new panier year
                            panierMibYear::create(['boutique_id'=>$boutique['id'],"year"=>date('Y'),'status'=>true]);
                        ////////////////////////
                    }
                    if(isset($souscription)){
                        mibBoutiqueSouscriptionLogs::create(
                            ['id_boutique'=>$boutique['id'],
                            'id_mib_pricing'=>$souscription_id]
                        );
                    }
                    $subject = 'ACHAT MODULE PANIER MIB';
                    $messages='La boutique '.$boutique['nom_boutique'].' à éffectuer un achat du module panier mib.';
                    MailController::SendGeneralUniqueMail('Mail.generale_blade', $subject, $messages, env('MAIL_ADMIN'), env('MAIL_USERNAME'));

                    return ['response'=>'success','message'=>'Panier Mib activer avec succès sur cette boutique. Accédez au menu pour gerer le module Panier Mib'];
                }else {
                    return ['response' => 'error', 'message' => 'Une erreur s\'est produite., Nous ne parvenons pas à vérifier votre paiement.'];
                }
            }catch (\Exception $e){
                return ['response'=>'error','message'=>'Une erreur s\'est produite. Veuilez contacter le service client si le paiement à été valider. '.$e->getMessage()];
        }
    }

    public function createCategorieMib(Request $request){
        try{
            $data=$request->all();
            if ($request->file('image')) {
                $originalImage = $request->image;
                $thumbnailImage = Image::make($originalImage);
                $thumbnailPath = public_path('Uploads/Categories_mib/');
                $originalPath = public_path('Uploads/Categories_mib/full/');
                $time = time();
                $thumbnailImage->save($originalPath . $time .'.'. $originalImage->getClientOriginalExtension());
                $thumbnailImage->resize(500, 500);
                $thumbnailImage->save($thumbnailPath . $time .'.'. $originalImage->getClientOriginalExtension());
                $filename = $time .'.'. $originalImage->getClientOriginalExtension();
                $data['filename'] = $filename;
            }
            $data['slug']=Str::slug('categorie_mib_'.time());
            $data['boutique_id']=Session::get('boutique')['id'];
            $data['an']=date('Y');
            $categories=CategoriesMib::create($data);
            if(isset($categories)){
                return back()->with('success','Une catégorie de panier mib configuer avec succès!');
            }else{
                return back()->with('error','Une erreure s\'est produite, veuillez reéssayer. ');
            }
        }catch (\Exception $e){
            return back()->with('error','Une erreure s\'est produite, veuillez reéssayer. '.$e->getMessage());
        }
    }

    public function CreateParametrage(Request $request){
            try {
                $data=$request->all();
                ParametrageMib::create($data);
                return back()->with('success','Paramètre enregistrer avec succès');
            }catch (\Exception $e){
                return back()->with('error','Une erreure s\'est produite. '.$e->getMessage());
            }
    }
    public function getLotByCategorieMibSlug($slug){
            $categorie_mib=CategoriesMib::where('slug',$slug)->first();
            $lotMibs=LotMib::with('categorie_mib')->where('categories_mib_id',$categorie_mib->id)->get()->sortByDesc('id');
            try {
                return \view('dashboard/Boutique/mib/lot_single', compact('lotMibs'))->render();
            } catch (\Throwable $e) {
                return $e->getMessage();
            }
    }
    public function CreateLot(Request $request){
            try {
                $data=$request->all();
                $categorie_mib_id=CategoriesMib::where('slug',$data['categories_mib_id'])->first();
                $data['categories_mib_id']=$categorie_mib_id['id'];
                $data['slug']=Str::slug('lotPanierMib'.time());
                LotMib::create($data);
                return back()->with('success','Nouveau Lot ajouté avec succès');
            }catch (\Exception $e){
                return back()->with('error','Une erreure s\'est produite. '.$e->getMessage());
            }
    }
    public function updateClientData(Request $request){
            try {
                $data=$request->all();
            $respone=  DB::table('client_mibs')->where('slug',$data['slug'])->update([$data['target']=>$data['value']]);
            if(isset($respone)){
                return ['error'=>false,'message'=>'Mise à jour éffectuée avec succès. Les modifications seront prises en compte une fois la page recharger.'];
            }else{
                return ['error'=>true,'message'=>'Une erreure s\'est produite au cours du processus.'];
            }
            }catch (\Exception $e){
                return ['error'=>true,'message'=>'Une erreur s\'est produite.'.$e->getMessage()];
            }
    }
    public function showClientCotisations($client){
            $year=Session::get('mib_year');
        $client=ClientMib::where('slug',$client)->first();
            $boutique = Boutique::with('meta', 'partenaires', 'publicites', 'demande_supression','paiement_echelonner','mibSubscribe')
                ->where('id', $client['boutique_id'])->first();
            Session::put('boutique',$boutique);
            Session::put('boutique_admin',$boutique);
            $cotisations=CotisationMib::with('client','user')->where('client_mib_id',$client['id'])->get();
            $categorieMibs=CategoriesMib::where('boutique_id',$boutique['id'])->where('an',$year)->get();
            return view('dashboard/Boutique/mib/cotisations',compact('year','client','cotisations','boutique','categorieMibs'));
    }
    public function listeDemandeBrunch($boutique){
            try {
                $year=Session::get('mib_year');
                $boutique = Boutique::with('meta', 'partenaires', 'publicites', 'demande_supression','paiement_echelonner','mibSubscribe')
                    ->where('slug', $boutique)->first();
                $clients=ClientMib::where('boutique_id',$boutique['id'])->where('an',$year)->pluck('slug')->toArray();
                $demandes=DemandeBrunchs::with('client')->whereIn('client_mib_slug',$clients)->orderBy('id','DESC')->get();
                
                return view('dashboard/Boutique/mib/demande_brunch',compact('year','demandes','boutique'));
            }catch (\Exception $e){
                return back()->with('error','Une erreur s\'est produite. '.$e->getMessage().' '.$e->getLine().' '.$e->getTraceAsString());
            }
    }
    public function updateDemandeBrunch($id,$value){
            try {
                DB::table('demande_brunchs')->where('id',$id)->update(['status'=>$value]);
                return back()->with('success','Le status de la demande à été mis à jour avec succès.');
            }catch (\Exception $e){
                return back()->with('error','Une erreur s\'est produite. . '.$e->getMessage().' '.$e->getLine().' '.$e->getTraceAsString());
            }
    }

    public function getCategoriesBySlug($slug){
            try {
                return json_encode(DB::table('categories_mibs')->where('slug',$slug)->first());
            }catch (\Exception $e){
                return ['error'=>true,'message'=>'Une erreur s\'est produite.'.$e->getMessage()];
            }
    }

    public function getLotBySlug($slug){
            try {
                return json_encode(DB::table('lot_mibs')->where('slug',$slug)->first());
            }catch (\Exception $e){
                return ['error'=>true,'message'=>'Une erreur s\'est produite.'.$e->getMessage()];
            }
    }

    public function deleteCategoriesBySlug($slug){
            try {
                $getCategories=DB::table('categories_mibs')->where('slug',$slug)->first();
                $clientUsing=DB::table('client_mibs')->where('categories_mib_id',$getCategories->id)->get();
                if(isset($clientUsing) && $clientUsing!=null && count($clientUsing)>0){
                    return back()->with('error','Vous ne pouvez pas supprimer cette catégorie car elle est en cours d\'utilsation.');
                }else{
                    DB::table('categories_mibs')->where('slug',$slug)->delete();
                    return back()->with('success','La catégorie à été supprimer avec succès!');
                }
            }catch (\Exception $e){
                return ['error'=>true,'message'=>'Une erreur s\'est produite.'.$e->getMessage()];
            }
        }

    public function deleteLotBySlug($slug){
        try {
           $clientUsing=DB::table('client_mibs')->where('lot',$slug)->get();
           if(isset($clientUsing) && $clientUsing!=null && count($clientUsing)>0){
                return back()->with('error','Vous ne pouvez pas supprimer ce lot car il est associé à un client.');
            }else{
                DB::table('lot_mibs')->where('slug',$slug)->delete();
                return back()->with('success','Le lot à été supprimer avec succès!');
            }
           }catch (\Exception $e){
            return ['error'=>true,'message'=>'Une erreur s\'est produite.'.$e->getMessage()];
        }
    }

    public function updatecategorieMib(Request $request){
       try{
           $data=$request->all();
           if ($request->hasFile('image')) {
               $originalImage = $request->image;
               $thumbnailImage = Image::make($originalImage);
               $thumbnailPath = public_path('Uploads/Categories_mib/');
               $originalPath = public_path('Uploads/Categories_mib/full/');
               $time = time();
               $thumbnailImage->save($originalPath . $time .'.'. $originalImage->getClientOriginalExtension());
               $thumbnailImage->resize(500, 500);
               $thumbnailImage->save($thumbnailPath . $time .'.'. $originalImage->getClientOriginalExtension());
               $filename = $time .'.'. $originalImage->getClientOriginalExtension();
               $data['filename'] = $filename;
           }
           if(isset($data['image'])) unset($data['image']);
           unset($data['_token']);
           $slug=$data['categorie_mib_slug'];
           unset($data['categorie_mib_slug']);
           $response= DB::table('categories_mibs')->where('slug',$slug)->update($data);
         if(isset($response)){
             return back()->with('success','La catégorie à été modifier avec succès!');
         }else{
             return back()->with('error','Une erreur s\'est produite.');
         }
       }catch (\Exception $e){
           return back()->with('error','Une erreur s\'est produite. '.$e->getMessage().' '.$e->getLine().' '.$e->getTraceAsString());
       }
    }
    public function updateLotMib(Request $request){
       try{
           $data=$request->all();
            unset($data['_token']);
           $slug=$data['lot_mib_slug'];
           unset($data['categories_mib_id']);
           unset($data['lot_mib_slug']);
           $response= DB::table('lot_mibs')->where('slug',$slug)->update($data);
         if(isset($response)){
             return back()->with('success','Le lot à été modifier avec succès!');
         }else{
             return back()->with('error','Une erreur s\'est produite.');
         }
       }catch (\Exception $e){
           return back()->with('error','Une erreur s\'est produite. '.$e->getMessage().' '.$e->getLine().' '.$e->getTraceAsString());
       }
    }

}
