<?php

namespace App\Http\Controllers\mib;

use App\AbonnementPaiment;
use App\Boutique;
use App\CategoriesMib;
use App\ClientMib;
use App\CotisationMib;
use App\DemandeBrunchs;
use App\Http\Controllers\MailController;
use App\mibBoutiqueSouscription;
use App\mibBoutiqueSouscriptionLogs;
use App\mibPricing;
use App\Portefeuille;
use App\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Str;

class mibController extends Controller
{

    public function intramCheckPanierMibSouscription(Request $request)
    {

        try {
            $year = Session::get('mib_year');
            $data = $request->all();
            $clientData = $data['data'];
            $data['transaction_id'] = $data['response']['transactionId'];
            $data['reference'] = $data['response']['transactionId'];
            $public_key = env('INTRAM_PUBLIC');
            $secret = env('INTRAM_SECRET');
            $private_key = env('INTRAM_PRIVATE');
            $intram = new \Intram\Intram($public_key, $private_key, $secret, env('INTRAM_SANDBOX') == true);
            $transaction_id = $data['transaction_id'];
            $verify = $intram->getTransactionStatus($transaction_id);
            // dd($boutique_abonnement);
            $status = $verify->status;
            if ($status == 'SUCCESS') {
                $boutique_slug = $data['boutique_slug'];
                $pricing = CategoriesMib::where('slug', $clientData['categorie_mib_slug'])->first();
                $boutique = Boutique::where('slug', $boutique_slug)->first();
                $params = new \App\ParametrageMib();
                $souscription_price = $params->getParametersByKeys('souscription', $boutique->id, $year);
                $parainnage = $params->getParametersByKeys('parainnage', $boutique->id, $year);
                $parrain = Session::get('prn-mib');
                $parainner = false;
                $user = null;
                $solde = $souscription_price;
                $portefeuille_admin = DB::table('admin_portefeuilles')->where('devise', 'XOF')->first();
                $arg = 0;
                if (isset($portefeuille_admin)) {
                    $solde_admin = $solde - intVal(env('MIB_SUBSCRIPTION_PRICING'));
                    $arg = ($portefeuille_admin->montant + $solde_admin);
                    $solde = ($solde - $solde_admin);
                }
                DB::table('admin_portefeuilles')->where('devise', 'XOF')->update(['montant' => $arg]);
                if (isset($parrain) && isset($parainnage) && $parainnage != null) {
                    $parainner = true;
                    $user_data = User::where('slug', $parrain)->first();
                    if (isset($user_data) && $user_data != null) {
                        $user = $user_data['id'];
                        $pourcentage = $parainnage;
                        $arg = (($solde * $pourcentage) / 100);
                        Portefeuille::createPortefeuilles(
                            $user_data['slug'],
                            $arg,
                            'PARRAINNAGE POUR SOUSCRIPTION PANIER MIB',
                            'Paiement de parrainage à la souscription panier mib à la boutique ' . $boutique['nom_boutique'],
                            'XOF',
                            ''
                        );
                        $solde = ($solde - $arg);
                    }
                }
                //add solde to boutique
                Portefeuille::createPortefeuilles(
                    $boutique['user_slug'],
                    $solde,
                    'SOUSCRIPTION PANIER MIB',
                    'Paiement de la souscription panier mib à la boutique ' . $boutique['nom_boutique'],
                    'XOF',
                    $boutique_slug
                );
                $client = [
                    'slug' => Str::slug('clientMib' . time()),
                    'nom' => $clientData['nom'],
                    'prenom' => $clientData['prenom'],
                    'tel' => $clientData['tel'],
                    'adresse' => $clientData['adresse'],
                    'bonus' => true,
                    'parainer' => $parainner,
                    'parain_id' => $user,
                    'an' => date('Y'),
                    'boutique_id' => $boutique['id'],
                    'categories_mib_id' => $pricing['id'],
                    'lot' => $clientData['lot_mib_slug'],
                    'brunch' => isset($clientData['brunch']),
                    'user_id' => Auth::id()
                ];
                if (isset($clientData['nom_mandataire'])) $client['nom_mandataire'] = $clientData['nom_mandataire'];
                if (isset($clientData['tel_mandataire'])) $client['tel_mandataire'] = $clientData['tel_mandataire'];
                if (isset($clientData['adresse_mandataire'])) $client['adresse_mandataire'] = $clientData['adresse_mandataire'];
                $client = ClientMib::create($client);
                //create cotisation
                CotisationMib::StaticCreate($client->id, $pricing->price);
                return ['response' => 'success', 'message' => 'Souscription éffectuer avec succès.'];
            } else {
                return ['response' => 'error', 'message' => 'Une erreur s\'est produite., Nous ne parvenons pas à vérifier votre paiement.'];
            }
        } catch (\Exception $e) {
            return ['response' => 'error', 'message' => 'Une erreur s\'est produite. Veuilez contacter le service client si le paiement à été valider. ' . $e->getMessage() . ' ' . $e->getLine() . ' ' . $e->getTraceAsString()];
        }
    }

    public function kkiapayCheckPanierMibSouscription(Request $request)
    {

        try {
            $year = Session::get('mib_year');
            $data = $request->all();
            $clientData = $data['data'];
            $data['transaction_id'] = $data['response']['transactionId'];
            $data['reference'] = $data['response']['transactionId'];
            $public_key = env('KKIAPAY_PUBLIC');
            $secret = env('KKIAPAY_SECRET');
            $private_key = env('KKIAPAY_PRIVATE');
            $kkiapay = new \Kkiapay\Kkiapay(
                $public_key,
                $private_key,
                $secret,
                env('KKIAPAY_SANDBOX') == '1'
            );
            $transaction_id = $data['transaction_id'];
            $verify = $kkiapay->verifyTransaction($transaction_id);
            // dd($boutique_abonnement);
            $status = $verify->status;
            if ($status == 'SUCCESS') {
                $boutique_slug = $data['boutique_slug'];
                $pricing = CategoriesMib::where('slug', $clientData['categorie_mib_slug'])->first();
                $boutique = Boutique::where('slug', $boutique_slug)->first();
                $params = new \App\ParametrageMib();
                $souscription_price = $params->getParametersByKeys('souscription', $boutique->id, $year);
                $parainnage = $params->getParametersByKeys('parainnage', $boutique->id, $year);
                $parrain = Session::get('prn-mib');
                $parainner = false;
                $user = null;
                $solde = $souscription_price;
                if (isset($parrain) && isset($parainnage) && $parainnage != null) {
                    $parainner = true;
                    $user_data = User::where('slug', $parrain)->first();
                    if (isset($user_data) && $user_data != null) {
                        $user = $user_data['id'];
                        $pourcentage = $parainnage;
                        $arg = (($souscription_price * $pourcentage) / 100);
                        Portefeuille::createPortefeuilles(
                            $user_data['slug'],
                            $arg,
                            'PARRAINNAGE POUR SOUSCRIPTION PANIER MIB',
                            'Paiement de parraiange à la souscription panier mib à la boutique ' . $boutique['nom_boutique'],
                            'XOF',
                            ''
                        );
                        $solde = ($souscription_price - (($souscription_price * $pourcentage) / 100));
                    }
                }
                //add solde to boutique
                Portefeuille::createPortefeuilles(
                    $boutique['user_slug'],
                    $solde,
                    'SOUSCRIPTION PANIER MIB',
                    'Paiement de la souscription panier mib à la boutique ' . $boutique['nom_boutique'],
                    'XOF',
                    $boutique_slug
                );
                $client = [
                    'slug' => Str::slug('clientMib' . time()),
                    'nom' => $clientData['nom'],
                    'prenom' => $clientData['prenom'],
                    'tel' => $clientData['tel'],
                    'adresse' => $clientData['adresse'],
                    'bonus' => true,
                    'parainer' => $parainner,
                    'parain_id' => $user,
                    'an' => date('Y'),
                    'boutique_id' => $boutique['id'],
                    'categories_mib_id' => $pricing['id'],
                    'lot' => $clientData['lot_mib_slug'],
                    'brunch' => isset($clientData['brunch']),
                    'user_id' => Auth::id()
                ];
                if (isset($clientData['nom_mandataire'])) $client['nom_mandataire'] = $clientData['nom_mandataire'];
                if (isset($clientData['tel_mandataire'])) $client['tel_mandataire'] = $clientData['tel_mandataire'];
                if (isset($clientData['adresse_mandataire'])) $client['adresse_mandataire'] = $clientData['adresse_mandataire'];
                $client = ClientMib::create($client);
                //create cotisation
                CotisationMib::StaticCreate($client->id, $pricing->price);
                return ['response' => 'success', 'message' => 'Souscription éffectuer avec succès.'];
            } else {
                return ['response' => 'error', 'message' => 'Une erreur s\'est produite., Nous ne parvenons pas à vérifier votre paiement.'];
            }
        } catch (\Exception $e) {
            return ['response' => 'error', 'message' => 'Une erreur s\'est produite. Veuilez contacter le service client si le paiement à été valider. ' . $e->getMessage() . ' ' . $e->getLine() . ' ' . $e->getTraceAsString()];
        }
    }
    public function getCotisationMibData(Request $request)
    {
        try {
            $data = $request->all();
            $cotisations = $data['cotisations'];
            $cotisations = explode(',', $cotisations);
            $cotisations_prices = CotisationMib::whereIn('slug', $cotisations)->sum('montant');
            return ['price' => $cotisations_prices, 'cotisations' => $data['cotisations']];
        } catch (\Exception $e) {
            return ['response' => 'error', 'message' => 'Une erreur s\'est produite. Veuilez contacter le service client si le paiement à été valider. ' . $e->getMessage() . ' ' . $e->getLine() . ' ' . $e->getTraceAsString()];
        }
    }
    public function intramCheckPanierMibCotisation(Request $request)
    {

        try {
            $data = $request->all();
            $cotisations = $data['cotisations'];
            $data['transaction_id'] = $data['response']['transactionId'];
            $data['reference'] = $data['response']['transactionId'];
            $public_key = env('INTRAM_PUBLIC');
            $secret = env('INTRAM_SECRET');
            $private_key = env('INTRAM_PRIVATE');
            $intram = new \Intram\Intram($public_key, $private_key, $secret, env('INTRAM_SANDBOX') == true);
            $transaction_id = $data['transaction_id'];
            $verify = $intram->getTransactionStatus($transaction_id);
            // dd($boutique_abonnement);
            $status = $verify->status;
            $total = $verify->amount;
            if ($status == 'SUCCESS') {
                $boutique_slug = $data['boutique_slug'];
                $cotisationsData = explode(',', $cotisations);
                $cotisations = CotisationMib::whereIn('slug', $cotisationsData)->get();
                $cotisationsMontant = CotisationMib::whereIn('slug', $cotisationsData)->sum('montant');
                $boutique = Boutique::where('slug', $boutique_slug)->first();
                $solde = 0;
                $client = 0;
                if ($cotisationsMontant <= $total) {
                    if (count($cotisations) <= count($cotisationsData)) {
                        foreach ($cotisations as $cotisation) {
                            if (!$cotisation->status) {
                                DB::table('cotisation_mibs')
                                    ->where('id', $cotisation->id)
                                    ->update(['status' => true, 'reference_paiement' => $transaction_id, 'paid_at' => Carbon::now(), 'validate_by' => Auth::user()->slug]);
                                $solde = $solde + $cotisation->montant;
                                $client = $cotisation->client_mib_id;
                            }
                        }
                    } else {
                        return ['response' => 'error', 'message' => 'Une erreur s\'est produite., Le nombre de paiement choisi  ne correspond pas à la somme payé.'];
                    }
                } else {
                    return ['response' => 'error', 'message' => 'Une erreur s\'est produite., La somme payer ne correspond pas au total du.'];
                }


                Portefeuille::createPortefeuilles(
                    $boutique['user_slug'],
                    $solde,
                    'PAIEMENT COTISATION PANIER MIB',
                    'Paiement de la cotisation panier mib à la boutique ' . $boutique['nom_boutique'],
                    'XOF',
                    $boutique_slug
                );

                ClientMib::createPortefeuille($client, $solde); 

                $cotisations = CotisationMib::where('client_mib_id', $client)->where('status', false)->count();

                if ($cotisations <= 0) {

                    DB::table('client_mibs')->where('id', $client)->update(['end_cotisation' => true]);
                    
                }

                return ['response' => 'success', 'message' => 'Paiement validé avec succès.'];
            } else {
                return ['response' => 'error', 'message' => 'Une erreur s\'est produite., Nous ne parvenons pas à vérifier votre paiement.'];
            }
        } catch (\Exception $e) {
            return ['response' => 'error', 'message' => 'Une erreur s\'est produite. Veuilez contacter le service client si le paiement à été valider. ' . $e->getMessage() . ' ' . $e->getLine() . ' ' . $e->getTraceAsString()];
        }
    }
    
    public function kkiapayCheckPanierMibCotisation(Request $request)
    {

        try {
            $data = $request->all();
            $cotisations = $data['cotisations'];
            $data['transaction_id'] = $data['response']['transactionId'];
            $data['reference'] = $data['response']['transactionId'];
            $public_key = env('KKIAPAY_PUBLIC');
            $secret = env('KKIAPAY_SECRET');
            $private_key = env('KKIAPAY_PRIVATE');
            $kkiapay = new \Kkiapay\Kkiapay(
                $public_key,
                $private_key,
                $secret,
                env('KKIAPAY_SANDBOX') == '1'
            );
            $transaction_id = $data['transaction_id'];
            $verify = $kkiapay->verifyTransaction($transaction_id);
            // dd($boutique_abonnement);
            $status = $verify->status;
            $total = $verify->amount;
            if ($status == 'SUCCESS') {
                $boutique_slug = $data['boutique_slug'];
                $cotisationsData = explode(',', $cotisations);
                $cotisations = CotisationMib::whereIn('slug', $cotisationsData)->get();
                $cotisationsMontant = CotisationMib::whereIn('slug', $cotisationsData)->sum('montant');
                $boutique = Boutique::where('slug', $boutique_slug)->first();
                $solde = 0;
                $client = 0;
                if ($cotisationsMontant == $total) {
                    if (count($cotisations) <= count($cotisationsData)) {
                        foreach ($cotisations as $cotisation) {
                            if (!$cotisation->status) {
                                DB::table('cotisation_mibs')
                                    ->where('id', $cotisation->id)
                                    ->update(['status' => true, 'reference_paiement' => $transaction_id, 'paid_at' => Carbon::now(), 'validate_by' => Auth::user()->slug]);
                                $solde = $solde + $cotisation->montant;
                                $client = $cotisation->client_mib_id;
                            }
                        }
                    } else {
                        return ['response' => 'error', 'message' => 'Une erreur s\'est produite., Le nombre de paiement choisi  ne correspond pas à la somme payé.'];
                    }
                } else {
                    return ['response' => 'error', 'message' => 'Une erreur s\'est produite., La somme payer ne correspond pas au total du.'];
                }
                //add solde to boutique
                Portefeuille::createPortefeuilles(
                    $boutique['user_slug'],
                    $solde,
                    'PAIEMENT COTISATION PANIER MIB',
                    'Paiement de la cotisation panier mib à la boutique ' . $boutique['nom_boutique'],
                    'XOF',
                    $boutique_slug
                );
                //update client Mib virtual Portefeuille
                ClientMib::createPortefeuille($client, $solde);
                //check if user paid all cotisation
                $cotisations = CotisationMib::where('client_mib_id', $client)->where('status', false)->count();
                if ($cotisations <= 0) {

                    DB::table('client_mibs')->where('id', $client)->update(['end_cotisation' => true]);
                }
                //send mail to boutique

                return ['response' => 'success', 'message' => 'Paiement validé avec succès.'];
            } else {
                return ['response' => 'error', 'message' => 'Une erreur s\'est produite., Nous ne parvenons pas à vérifier votre paiement.'];
            }
        } catch (\Exception $e) {
            return ['response' => 'error', 'message' => 'Une erreur s\'est produite. Veuilez contacter le service client si le paiement à été valider. ' . $e->getMessage() . ' ' . $e->getLine() . ' ' . $e->getTraceAsString()];
        }
    }


    public function AdminValidatePanierMibCotisation($slug)
    {

        try {
            $cotisation = CotisationMib::where('slug', $slug)->first();
            DB::table('cotisation_mibs')->where('id', $cotisation->id)
                ->update(['reference_paiement' => 'en espèce', 'status' => true, 'paid_at' => Carbon::now(), 'validate_by' => Auth::user()->slug]);
            //update client Mib virtual Portefeuille
            ClientMib::createPortefeuille($cotisation->client_mib_id, $cotisation->montant);
            //check if user paid all cotisation
            $cotisations = CotisationMib::where('client_mib_id', $cotisation->client_mib_id)->where('status', false)->get();
            if ($cotisations == null) {
                DB::table('client_mibs')->where('id', $cotisation->client_mib_id)->update(['end_cotisation' => true]);
            }
            return back()->with('success', 'Paiement validé avec succès.');
        } catch (\Exception $e) {
            return back()->with('error', 'Une erreur s\'est produite. Veuilez contacter le service client si le paiement à été valider. ' . $e->getMessage() . ' ' . $e->getLine() . ' ' . $e->getTraceAsString());
        }
    }

    public function demandeBrunch(Request $request)
    {

        try {
            $data = $request->all();
            DemandeBrunchs::create($data);
            $client = DB::table('client_mibs')->where('slug', $data['client_mib_slug'])->first();
            $boutique = Boutique::where('id', $client->boutique_id)->first();
            $user = User::where('slug', $boutique['user_slug'])->first();
            $subject = 'PANIER MIB : Demande de carte Brunch';
            $messages = 'Une demande de carte Brunch vous à été envoyé. Connectez vous pour plus d\'information';
            MailController::SendGeneralUniqueMail('Mail.generale_blade', $subject, $messages, $user['email'], env('MAIL_USERNAME'));
            return back()->with('success', 'Demande enregistré avec succès.');
        } catch (\Exception $e) {
            return back()->with('error', 'Une erreur s\'est produite. Veuilez contacter le service client si le paiement à été valider. ' . $e->getMessage() . ' ' . $e->getLine() . ' ' . $e->getTraceAsString());
        }
    }
    public function mib_end_comments(Request $request)
    {

        try {
            $data = $request->all();
            DB::table('client_mibs')->where('slug', $data['client_mib_slug'])->update(['commentaire' => $data['commentaire']]);
            return back()->with('success', 'Commentaire ajouté avec succès. Merci!');
        } catch (\Exception $e) {
            return back()->with('error', 'Une erreur s\'est produite. Veuilez contacter le service client si le paiement à été valider. ' . $e->getMessage() . ' ' . $e->getLine() . ' ' . $e->getTraceAsString());
        }
    }
}
