<?php

namespace App\Http\Controllers;

use App\ProductImage;
use Carbon\Carbon;
use CURLFile;
use Illuminate\Http\Request;
use App\PrestaShop\PrestaShop\PrestaShopWebservice;
use App\PrestaShop\PrestaShop\PrestaShopWebserviceException;
use Illuminate\Support\Facades\Session;

define('DEBUG', false);
define('PS_SHOP_PATH', 'http://boutiques.cashline.shop/prestashop');
define('PS_WS_AUTH_KEY', 'N98KP46CJ2YNLJDI4GSJCCCI1ENA66KP');

class prestashopController extends Controller
{
    private  $webService;

    public function __construct()
    {

        $this->middleware('auth_connect');
        try {
            $this->webService = new PrestaShopWebservice(PS_SHOP_PATH, PS_WS_AUTH_KEY, DEBUG);
        } catch (PrestaShopWebserviceException $e) {

            dd($e->getMessage());
        }
    }

    public function authentification($site_url, $key)
    {

    }

    public function  deleteCustomers($id){
        try
        {
            $webService = new PrestaShopWebservice(PS_SHOP_PATH, PS_WS_AUTH_KEY, DEBUG);
            // Call for a deletion, we specify the resource name and the id of the resource in order to delete the item
            $webService->delete(array('resource' => 'customers', 'id' => intval($id)));
            // If there's an error we throw an exception
            Session::flash('success','Supression du client effectué.');
        }
        catch (PrestaShopWebserviceException $e)
        {
            // Here we are dealing with errors
            $trace = $e->getTrace();
            if ($trace[0]['args'][0] == 404) Session::flash('error','id erroner');
            else if ($trace[0]['args'][0] == 401) Session::flash('error','Clé d\'identification erroner');

            Session::flash('error','Nous ne parvenons pas à suprimer ce client');
            return back();
        }
    }

    public function  deleteCategories($id){
        try
        {
            $webService = new PrestaShopWebservice(PS_SHOP_PATH, PS_WS_AUTH_KEY, DEBUG);
            // Call for a deletion, we specify the resource name and the id of the resource in order to delete the item
            $webService->delete(array('resource' => 'customers', 'id' => intval($id)));
            // If there's an error we throw an exception
            Session::flash('success','Supression de la catégorie effectué.');
        }
        catch (PrestaShopWebserviceException $e)
        {
            // Here we are dealing with errors
            $trace = $e->getTrace();
            if ($trace[0]['args'][0] == 404) Session::flash('error','id erroner');
            else if ($trace[0]['args'][0] == 401) Session::flash('error','Clé d\'identification erroner');

            Session::flash('error','Nous ne parvenons pas à suprimer cette catégorie');
            return back();
        }
    }

    public function  deleteProducts($id){
        try
        {
            $webService = new PrestaShopWebservice(PS_SHOP_PATH, PS_WS_AUTH_KEY, DEBUG);

            $webService->delete(array('resource' => 'products', 'id' => intval($id)));

            Session::flash('success','Supression du produit effectué.');
        }
        catch (PrestaShopWebserviceException $e)
        {
            $trace = $e->getTrace();
            if ($trace[0]['args'][0] == 404) Session::flash('error','id erroner');
            else if ($trace[0]['args'][0] == 401) Session::flash('error','Clé d\'identification erroner');
            Session::flash('error','Nous ne parvenons pas à suprimer du produit');
            return back();
        }
    }

    public function index(){
        try
        {
            $webService = new PrestaShopWebservice(PS_SHOP_PATH, PS_WS_AUTH_KEY, DEBUG);
            $opt = array('resource' => 'customers');
            if (isset($_GET['Create']))
                $xml = $webService->get(array('url' => PS_SHOP_PATH.'/api/customers?schema=blank'));
            else
                $xml = $webService->get($opt);
            $resources = $xml->children()->children();
            //dd($resources);
        }
        catch (PrestaShopWebserviceException $e)
        {
            // Here we are dealing with errors
            $trace = $e->getTrace();
            if ($trace[0]['args'][0] == 404) echo 'Bad ID';
            else if ($trace[0]['args'][0] == 401) echo 'Bad auth key';
            else echo 'Other error<br />'.$e->getMessage();
        }

        if (count($_POST) > 0)
        {
// Here we have XML before update, lets update XML
            foreach ($resources as $nodeKey => $node)
            {
                $resources->$nodeKey = $_POST[$nodeKey];
            }
            try
            {
                $opt = array('resource' => 'customers');
                if ($_GET['Create'] == 'Creating')
                {
                    $opt['postXml'] = $xml->asXML();
                    $xml = $webService->add($opt);
                    echo "Successfully added.";
                }
            }
            catch (PrestaShopWebserviceException $ex)
            {
                // Here we are dealing with errors
                $trace = $ex->getTrace();
                if ($trace[0]['args'][0] == 404) echo 'Bad ID';
                else if ($trace[0]['args'][0] == 401) echo 'Bad auth key';
                else echo 'Other error<br />'.$ex->getMessage();
            }
        }

// We set the Title
        echo '<h1>Customer\'s ';
        if (isset($_GET['Create'])) echo 'Creation';
        else echo 'List';
        echo '</h1>';

// We set a link to go back to list if we are in creation
        if (isset($_GET['Create']))
            echo '<a href="?">Return to the list</a>';

        if (!isset($_GET['Create']))
            echo '<input type="button" onClick="document.location.href=\'?Create\'" value="Create">';
        else
            echo '<form method="POST" action="?Create=Creating">';

        echo '<table border="5">';
        if (isset($resources))
        {

            echo '<tr>';
            if (count($_GET) == 0)
            {
                echo '<th>Id</th></tr>';

                foreach ($resources as $resource)
                {
                    echo '<tr><td>'.$resource->attributes().'</td></tr>';
                }
            }
            else
            {
                echo '</tr>';
                foreach ($resources as $key => $resource)
                {
                    echo '<tr><th>'.$key.'</th><td>';
                    if (isset($_GET['Create']))
                        echo '<input type="text" name="'.$key.'" value=""/>';
                    echo '</td></tr>';
                }
            }

        }
    }

//Categories

    public function getCategories(){
        try {
            //préparation catégorie à envoyer
            $xml = $this->webService->get(array('url' => PS_SHOP_PATH.'/api/categories?display=full'));
            //récupération node category
            $categories = $xml->children()->children();
            $array = json_decode(json_encode((array)$categories), TRUE);
            $categories = collect($array['category']);


            return $categories;
        }
        catch (PrestaShopWebserviceException $e) {
            $trace = $e->getTrace();
            if ($trace[0]['args'][0] == 404) echo 'Bad ID';
            else if ($trace[0]['args'][0] == 401) echo 'Bad auth key';
            else echo $e->getMessage();
        }

    }

    public function createCategory(Request $request){


        try {
            //préparation catégorie à envoyer
            $xml = $this->webService->get(array('url' => PS_SHOP_PATH.'/api/categories?schema=blank'));

            //récupération node category
            $category = $xml->children()->children();

            $category->name->language[0][0] = $request->name;
            $category->name->language[0][0]['id'] = 1;
            $category->name->language[0][0]['xlink:href'] = PS_SHOP_PATH . '/api/languages/' . 1;

            $category->link_rewrite->language[0][0] = strtolower(str_replace(' ','',$request->name));
            $category->link_rewrite->language[0][0]['id'] = 1;
            $category->link_rewrite->language[0][0]['xlink:href'] = PS_SHOP_PATH . '/api/languages/' . 1;

            $category->id_parent = 2; //Accueil
            $category->active = 1;
            $category->description = $request->description;

            //Envoie des données
            $opt = array('resource' => 'categories');
            $opt['postXml'] = $xml->asXML();
            $xml = $this->webService->add($opt);

            //on récupère l'id de la nouvelle catégorie insérée
            $ps_category_id = $xml->category->id;

            return back()->with('success','Nouvelle catégorie ajoutée.');

        }
        catch (PrestaShopWebserviceException $e) {
            return back()->with('error',$e->getMessage());

            $trace = $e->getTrace();
            if ($trace[0]['args'][0] == 404) echo 'Bad ID';
            else if ($trace[0]['args'][0] == 401) echo 'Bad auth key';
            else echo $e->getMessage();
        }



    }

    public function updateCategory(Request $request,$id){
        //préparation catégorie à envoyer
        try {
            //préparation catégorie à envoyer
            $xml = $this->webService->get(array('url' => PS_SHOP_PATH.'/api/categories/'.$id));


            //récupération node category
            $category = $xml->children()->children();
            // dd($category);

            $category->name->language[0][0] = $request->name;
            //$category->name->language[0][0]['id'] = 1;
           // $category->name->language[0][0]['xlink:href'] = PS_SHOP_PATH . '/api/languages/' . 1;
            /*
                        $category->link_rewrite->language[0][0] = "ma-categorie";
                        $category->link_rewrite->language[0][0]['id'] = 1;
                        $category->link_rewrite->language[0][0]['xlink:href'] = PS_SHOP_PATH . '/api/languages/' . 1;*/

            $category->id_parent = 2; //Accueil
            $category->active = 1;
            $category->description = $request->description;

            unset($category->level_depth);
            unset($category->nb_products_recursive);

            //mis à jour des données
            $opt = array('resource' => 'categories');
            $opt['putXml'] = $xml->asXML();
            $opt['id'] = $id;
            // dd($opt);
            // $xml = $this->webService->edit($opt);
            $xml = $this->webService->edit(array('resource' => 'categories', 'id' => $id, 'putXml' => $xml->asXML()));
            //$xml = $this->webService->get(array('url' => PS_SHOP_PATH.'/api/categories?xml='.$xml->asXML()));

            return back()->with('success','Catégorie mise à jour');


        }
        catch (PrestaShopWebserviceException $e) {
            return back()->with('error',$e->getMessage());

            $trace = $e->getTrace();
            if ($trace[0]['args'][0] == 404) echo 'Bad ID';
            else if ($trace[0]['args'][0] == 401) echo 'Bad auth key';
            else echo $e->getMessage();
        }

    }

    public function editCategory($id){
        //préparation catégorie à envoyer
        $xml = $this->webService->get(array('url' => PS_SHOP_PATH.'/api/categories/'.$id));

        //récupération node category
        $category = $xml->children()->children();
       return json_encode($category);

    }



    //Products

    public function getProducts(){
        try {
            //préparation catégorie à envoyer
            $xml = $this->webService->get(array('url' => PS_SHOP_PATH.'/api/products?display=full'));
            //récupération node category
            $products = $xml->children()->children();
            $array = json_decode(json_encode((array)$products), TRUE);
            $products = collect($array['product']);

            //$imageXml = $this->webService->get(array('url' => PS_SHOP_PATH.'/api/images/products/1/2'));
            //$images = $imageXml->children()->children();
            //
            $categories = $this->getCategories();

            $cats = [];
            foreach ($categories as $category){
                array_add($cats,$category['id'],$category['name']['language'][0]);
               // dd($category['name']['language'][0]);
            }


          //  dd($products);
           return $products;
        }
        catch (PrestaShopWebserviceException $e) {
            $trace = $e->getTrace();
            if ($trace[0]['args'][0] == 404) echo 'Bad ID';
            else if ($trace[0]['args'][0] == 401) echo 'Bad auth key';
            else echo $e->getMessage();
        }

    }


    public function createProduct(Request $request){


        /**$xml = $this->webService->get(array('url' => PS_SHOP_PATH.'/api/categories?schema=blank'));
        $resources = $xml->children()->children();
        //  dd($resources);

        // $resources->date_add = date('d/m/Y');
        $resources->id_parent = 2;
        $resources->name = 'Vêtements';
        $resources->description = 'Les habits que les êtres humains  portent sur leur corps';
        /*$resources->firstname = 'Arafath';
        $resources->lastname = 'ATTA YAYA';
        $resources->email = 'aattayaya@gmail.com';
        $resources->website = 'www.google.com';/



        $opt = array('resource' => 'categories');
        $opt['postXml'] = $xml->asXML();
        $xml = $this->webService->add($opt);*/

        try {
            /** //préparation catégorie à envoyer
            $xml = $this->webService->get(array('url' => PS_SHOP_PATH.'/api/products?schema=blank'));

            //récupération node category
            $product = $xml->children()->children();

            $product->name = 'Moto';
            $product->price = 485000;
            $product->active = true;
            //$product->quantity=500;
            $product->reference = "haojue-110";
            $product->description = "Dernier modèle de la moto Haojue marque préféree des femmes";
            //$product->show_price = 260000;
            $product->state=1;
            $product->on_sale = 1;
            $product->minimal_quantity = 10;

            //Association avec notre catégorie créée auparavant
            $product->associations->categories->addChild('category')->addChild('id', 11);
            $product->id_category_default =11;

            //Envoie des données
            $opt = array('resource' => 'products');
            $opt['postXml'] = $xml->asXML();
            $xml = $this->webService->add($opt);

            //on récupère l'id de la nouvelle catégorie insérée
            $ps_product_id = $xml->product->id;

            dd($ps_product_id);*/

            $ps_category_id = $request->category_id;

            /** Produit */
            $xml = $this->webService->get(array('url' => PS_SHOP_PATH.'/api/products?schema=blank'));

            $product = $xml->children()->children();

            $product->price = $request->price; //Prix TTC
            $product->wholesale_price = $request->wholesale_price; //Prix d'achat
            $product->active = 1;
            $product->on_sale = 1; //on ne veux pas de bandeau promo
            $product->show_price = 1;
            $product->available_for_order = 1;

            $product->name->language[0][0] = $request->name;
            $product->name->language[0][0]['id'] = 1;
            $product->name->language[0][0]['xlink:href'] = PS_SHOP_PATH . '/api/languages/' . 1;

            $product->description->language[0][0] = $request->description;
            $product->description->language[0][0]['id'] = 1;
            $product->description->language[0][0]['xlink:href'] = PS_SHOP_PATH . '/api/languages/' . 1;

          //  $product->description_short->language[0][0] = $request->description_short;
            //$product->description_short->language[0][0]['id'] = 1;
           // $product->description_short->language[0][0]['xlink:href'] = PS_SHOP_PATH . '/api/languages/' . 1;
            $product->reference = $request->reference;
//On va gérer le stock ensuite
            $product->depends_on_stock = 0;
//Association avec notre catégorie créée auparavant
            $product->associations->categories->addChild('category')->addChild('id', $ps_category_id);
            $product->id_category_default = $ps_category_id;

//envoi du produit
            $opt = array('resource' => 'products');
            $opt['postXml'] = $xml->asXML();
            $xml = $this->webService->add($opt);

//on récupère l'id du produit inséré
            $ps_product_id = $xml->product->id;
// ...


            /* Ajout de l'image Produit */
            $urlImage = PS_SHOP_PATH.'/api/images/products/'.$ps_product_id.'/';

            // $imageName = 'téléchargement.png';
            if (isset($request->image)) :
                $imageName = 'image-'.'-'.time().'-'.$request->image->getClientOriginalName();
                $request->image->move(public_path("images/products/"),$imageName);

            else :
                $imageName = 'default.png';

            endif;

            //entrez ici le chemin de l'image complet pour votre fichier
            $image_path = public_path('images/products/'.$imageName);
            $image_mime = image_type_to_mime_type(exif_imagetype($image_path));

            $args['image'] = new CurlFile($image_path, $image_mime);

            $ch = curl_init();
            curl_setopt($ch, CURLOPT_HEADER, 1);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            curl_setopt($ch, CURLINFO_HEADER_OUT, 1);
            curl_setopt($ch, CURLOPT_URL, $urlImage);
            curl_setopt($ch, CURLOPT_POST, 1);
            curl_setopt($ch, CURLOPT_USERPWD, PS_WS_AUTH_KEY.':'); //API KEY Prestashop
            curl_setopt($ch, CURLOPT_POSTFIELDS, $args);
            $result = curl_exec($ch);
            curl_close($ch);

            ProductImage::create([
                'product_id'=>$ps_product_id,
                'name'=>$imageName,
                'boutique'=>$request->boutique

            ]);

            return back()->with('success',"Produit ajouté");

        }
        catch (PrestaShopWebserviceException $e) {
            return back()->with('error',$e->getMessage());

            $trace = $e->getTrace();
            if ($trace[0]['args'][0] == 404) echo 'Bad ID';
            else if ($trace[0]['args'][0] == 401) echo 'Bad auth key';
            else echo $e->getMessage();
        }



    }


    public function editProduct($id){
        //préparation catégorie à envoyer
        $xml = $this->webService->get(array('url' => PS_SHOP_PATH.'/api/products/'.$id));

        //récupération node category
        $products = $xml->children()->children();
        return json_encode($products);
    }


    public function updateProduct(Request $request ,$id){
       // dd($request->all());
        //préparation catégorie à envoyer
        try {
            //préparation catégorie à envoyer
            $xml = $this->webService->get(array('url' => PS_SHOP_PATH.'/api/products/'.$id));

            //récupération node category
            $product = $xml->children()->children();

            $ps_category_id = $request->category_id;

            $product->price = $request->price; //Prix TTC
            $product->wholesale_price = $request->wholesale_price; //Prix d'achat
            $product->active = 1;
            $product->on_sale = 1; //on ne veux pas de bandeau promo
            $product->show_price = 1;
            $product->available_for_order = 1;

            $product->name->language[0][0] = $request->name;
            $product->name->language[0][0]['id'] = 1;
            //$product->name->language[0][0]['xlink:href'] = PS_SHOP_PATH . '/api/languages/' . 1;

            $product->description->language[0][0] = $request->description;
            $product->description->language[0][0]['id'] = 1;
            //$product->description->language[0][0]['xlink:href'] = PS_SHOP_PATH . '/api/languages/' . 1;

            $product->description_short->language[0][0] = $request->description_short;
            $product->description_short->language[0][0]['id'] = 1;
            //$product->description_short->language[0][0]['xlink:href'] = PS_SHOP_PATH . '/api/languages/' . 1;
            $product->reference = $request->reference_produit;
//On va gérer le stock ensuite
          //  $product->depends_on_stock = 0;
//Association avec notre catégorie créée auparavant
            $product->associations->categories->addChild('category')->addChild('id', $ps_category_id);
            $product->id_category_default = $ps_category_id;

            unset($product->manufacturer_name);
            unset($product->quantity);

            //mis à jour des données
            $opt = array('resource' => 'products');
            $opt['putXml'] = $xml->asXML();
            $opt['id'] = $id;
            // dd($opt);
            $xml = $this->webService->edit($opt);
            //  $xml = $this->webService->edit(array('resource' => 'products', 'id' => $id, 'putXml' => $xml->asXML()));
            //$xml = $this->webService->get(array('url' => PS_SHOP_PATH.'/api/categories?xml='.$xml->asXML()));


            if (isset($request->image)) :

            /* Ajout de l'image Produit */
            $urlImage = PS_SHOP_PATH.'/api/images/products/'.$id.'/2?ps_method=PUT';
            //$url = 'http://myprestashop.com/api/images/products/1/2?ps_method=PUT';

            // $imageName = 'téléchargement.png';
                $imageName = 'image-'.'-'.time().'-'.$request->image->getClientOriginalName();
                $request->image->move(public_path("images/products/"),$imageName);




            //entrez ici le chemin de l'image complet pour votre fichier
            $image_path = public_path('images/products/'.$imageName);
            $image_mime = image_type_to_mime_type(exif_imagetype($image_path));

            $args['image'] = new CurlFile($image_path, $image_mime);

            $ch = curl_init();
            curl_setopt($ch, CURLOPT_HEADER, 1);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            curl_setopt($ch, CURLINFO_HEADER_OUT, 1);
            curl_setopt($ch, CURLOPT_URL, $urlImage);
            curl_setopt($ch, CURLOPT_POST, 1);
            curl_setopt($ch, CURLOPT_USERPWD, PS_WS_AUTH_KEY.':'); //API KEY Prestashop
            curl_setopt($ch, CURLOPT_POSTFIELDS, $args);
            $result = curl_exec($ch);
            curl_close($ch);
            endif;

            return back()->with('success','Produit mis à jour');

        }
        catch (PrestaShopWebserviceException $e) {
            return back()->with('error',$e->getMessage());

            $trace = $e->getTrace();
            if ($trace[0]['args'][0] == 404) echo 'Bad ID';
            else if ($trace[0]['args'][0] == 401) echo 'Bad auth key';
            else echo $e->getMessage();
        }

    }


    //Customers

    public function getCustomers(){
        try {
            //préparation catégorie à envoyer
            $xml = $this->webService->get(array('url' => PS_SHOP_PATH.'/api/customers?display=full'));
            //récupération node category
            $customers = $xml->children()->children();
            $array = json_decode(json_encode((array)$customers), TRUE);
            $customers = collect($array['customer']);
            return $customers;


        }
        catch (PrestaShopWebserviceException $e) {
            $trace = $e->getTrace();
            if ($trace[0]['args'][0] == 404) echo 'Bad ID';
            else if ($trace[0]['args'][0] == 401) echo 'Bad auth key';
            else echo $e->getMessage();
        }

    }


    public function createCustomer(Request $request){
        try {
            /** Customer */
            $xml = $this->webService->get(array('url' => PS_SHOP_PATH.'/api/customers?schema=blank'));

            $customer = $xml->children()->children();
            //  dd($customer);

            $customer->firstname = $request->firstname;
            $customer->lastname = $request->lastname;
            $customer->email = $request->email;
            $customer->password = "";
            // $customer->id_shop = $request->id_shop;

//envoi du produit
            $opt = array('resource' => 'customers');
            $opt['postXml'] = $xml->asXML();
            $xml = $this->webService->add($opt);

//on récupère l'id du produit inséré
            $ps_customer_id = $xml->customer->id;
// ...


            return back()->with('success','Nouveau client ajouté');
        }
        catch (PrestaShopWebserviceException $e) {
            return back()->with('error',$e->getMessage());

            $trace = $e->getTrace();
            if ($trace[0]['args'][0] == 404) echo 'Bad ID';
            else if ($trace[0]['args'][0] == 401) echo 'Bad auth key';
            else echo $e->getMessage();
        }



    }


    public function editCustomer($id){
        //préparation catégorie à envoyer
        $xml = $this->webService->get(array('url' => PS_SHOP_PATH.'/api/customers/'.$id));

        //récupération node category
        $category = $xml->children()->children();

        return json_encode($category);
    }


    public function updateCustomer(Request $request ,$id){
        //préparation catégorie à envoyer
        try {
            //préparation catégorie à envoyer
            $xml = $this->webService->get(array('url' => PS_SHOP_PATH.'/api/customers/'.$id));

            //récupération node category
            $customer = $xml->children()->children();
            // dd($product);

            $customer->firstname = $request->firstname;
            $customer->lastname = $request->lastname;
            $customer->email = $request->email;
            $customer->website = $request->website;
            $customer->company = $request->company;
            // $customer->id_shop = $request->id_shop;

            //mis à jour des données
            $opt = array('resource' => 'customers');
            $opt['putXml'] = $xml->asXML();
            $opt['id'] = $id;
            // dd($opt);
            $xml = $this->webService->edit($opt);
            //  $xml = $this->webService->edit(array('resource' => 'products', 'id' => $id, 'putXml' => $xml->asXML()));
            //$xml = $this->webService->get(array('url' => PS_SHOP_PATH.'/api/categories?xml='.$xml->asXML()));


            return back()->with('success','Informations du client mis à jour');

        }
        catch (PrestaShopWebserviceException $e) {

            return back()->with('error',$e->getMessage());

            $trace = $e->getTrace();
            if ($trace[0]['args'][0] == 404) echo 'Bad ID';
            else if ($trace[0]['args'][0] == 401) echo 'Bad auth key';
            else echo $e->getMessage();
        }

    }



    //orders

    public function getOrders(){
        try {
            //préparation catégorie à envoyer
            $xml = $this->webService->get(array('url' => PS_SHOP_PATH.'/api/orders?display=full'));
            //récupération node category
            $orders = $xml->children()->children();
            $array = json_decode(json_encode((array)$orders), TRUE);

            $orders = collect($array['order']);

            return $orders;
        }
        catch (PrestaShopWebserviceException $e) {
            $trace = $e->getTrace();
            if ($trace[0]['args'][0] == 404) echo 'Bad ID';
            else if ($trace[0]['args'][0] == 401) echo 'Bad auth key';
            else echo $e->getMessage();
        }

    }


    //Stocks

    public function createStock(Request $request, $id){
        //on récupère l'id du produit inséré
        $ps_product_id = $id;

        $opt['resource'] = 'products';
        $opt['id'] = $ps_product_id;
        $xml = $this->webService->get($opt);
//(les "stock_availables ont créé automatiquement par PS à l'insert du produit précédent)
        foreach ($xml->product->associations->stock_availables->stock_available as $stock) {

            $xml2 = $this->webService->get(array('url' => PS_SHOP_PATH . '/api/stock_availables?schema=blank'));
            $stock_availables = $xml2->children()->children();
            $stock_availables->id = $stock->id;
            $stock_availables->id_product  = $ps_product_id;
            $stock_availables->quantity = $request->quantity;
            $stock_availables->id_shop = 1;
            $stock_availables->out_of_stock = 1;
            $stock_availables->depends_on_stock = 0;
            $stock_availables->id_product_attribute = $stock->id_product_attribute;

            //POST des données vers la ressource
            $opt = array('resource' => 'stock_availables');
            $opt['putXml'] = $xml2->asXML();
            $opt['id'] = $stock->id ;
            $xml2 = $this->webService->edit($opt);
        }
        return back()->with('success',"Stock modifié avec succès");
    }

    public function getStocks($id){
        /* //on récupère l'id du produit inséré
         $ps_product_id = $id;

         $opt['resource'] = 'products';
         $opt['id'] = $ps_product_id;
         $xml = $this->webService->get($opt);
 //(les "stock_availables ont créé automatiquement par PS à l'insert du produit précédent)
         $stocks = $xml->product->associations->stock_availables;*/

        try {
            //on récupère l'id du produit inséré
            $ps_product_id = $id;

            $opt['resource'] = 'products';
            $opt['id'] = $ps_product_id;
            $xml = $this->webService->get($opt);
            //dd($stocks);
            $stocks = [];

            foreach ($xml->product->associations->stock_availables->stock_available as $stock) {

                $xml2 = $this->webService->get(array('url' => PS_SHOP_PATH . '/api/stock_availables?display=full'));
                $stock_availables = $xml2->children()->children();
                $array = json_decode(json_encode((array)$stock_availables), TRUE);

                $stocks = $array;
            }
//dd($stocks['stock_available']);
            return $stocks['stock_available'];

        }
        catch (PrestaShopWebserviceException $e) {
            $trace = $e->getTrace();
            if ($trace[0]['args'][0] == 404) echo 'Bad ID';
            else if ($trace[0]['args'][0] == 401) echo 'Bad auth key';
            else echo $e->getMessage();
        }

    }

    public function createVente(){
        return view("dashboard.Boutique.gestion_vente");
    }
}