<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class TransactionRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    public function rules()
    {
        return [
            'boutique_slug' => 'required|string',
            'cotisations' => 'required',
            'response.status' => 'required|string|in:SUCCESS,FAILED',
            'response.transactionId' => 'required|string',
            'response.amount' => 'required|numeric',
        ];
    }

    public function messages()
    {
        return [
            'boutique_slug.required' => 'Le slug de la boutique est requis.',
            'cotisations.required' => 'Les cotisations sont requises.',
            'response.status.required' => 'Le statut de la réponse est requis.',
            'response.status.in' => 'Le statut de la réponse doit être SUCCESS ou FAILED.',
            'response.transactionId.required' => 'L\'ID de la transaction est requis.',
            'response.amount.required' => 'Le montant est requis.',
            'response.amount.numeric' => 'Le montant doit être un nombre.',
        ];
    }
}
