<?php

namespace App\Http\Requests;

use Illuminate\Support\Facades\Auth;
use Illuminate\Foundation\Http\FormRequest;

class UpdateUserRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        
        return [
            'slug' => 'nullable|string|unique:users,slug,' . $this->user()->id,
            'first_name' => 'nullable|string|max:255',
            'last_name' => 'nullable|string|max:255',
            'username' => 'nullable|string|max:255|unique:users,username,' . $this->user()->id,
            'email' => 'nullable|string|email|max:255|unique:users,email,' . $this->user()->id,
            'type' => 'nullable|string|max:255',
            'password' => 'nullable|string|min:8|confirmed',
            'telephone' => 'nullable|string|max:20|unique:users,telephone,' . $this->user()->id,
            'sexe' => 'nullable|string|in:male,female,other',
            'country' => 'nullable|string|max:255',
            'cni' => 'nullable|string|max:255',
            'cnir' => 'nullable|string|max:255',
            'cniv' => 'nullable|string|max:255',
            'doc_validated' => 'nullable|boolean',
            'continent' => 'nullable|string|max:255',
            'country' => 'nullable|string|max:255',
            'region' => 'nullable|string|max:255',
            'city' => 'nullable|string|max:255',
            'code' => 'nullable|string|max:255',
            'country_id' => 'nullable|integer|exists:countries,id',
            'token' => 'nullable|string|max:255',
            'validated_at' => 'nullable|date',
            'is_investissor' => 'nullable|boolean',
            'is_locaux_consommateurs_or_community_member' => 'nullable|boolean',
            'community_or_locaux_consommateur_name' => 'nullable|string|max:255',
        ];
    }
}
