<?php

namespace App\Http\Traits;

use App\LotMib;
use App\Boutique;
use App\ClientMib;
use App\CategoriesMib;
use App\CotisationMib;
use Illuminate\Support\Str;
use App\mibBoutiqueSouscription;
use App\User;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

trait MibAuthTrait
{
    

    public function mibLogin($validatedData)
    {
        
        try {
            DB::beginTransaction();
            
            if (Auth::attempt($validatedData)) {
                $user = Auth::user();
                if ($user) {
                    $token = $user->createToken('authToken')->plainTextToken;
                    $data = response()->json(['token' => $token], 200);
                } else {
                    $data = response()->json(['error' => 'Utilisateur non trouvé après authentification.'], 401);
                }
            } else {
                $data = response()->json(['error' => 'L\'Email ou le mot de passe que vous avez saisi est incorrect.'], 401);
            }
            
            DB::commit();
            return $data;
        } catch (\Throwable $th) {
            DB::rollBack();
            return response()->json(['message' => 'Erreur inattendue'], 401);
        }
    }

    public function getUser()
    {
        try {
            DB::beginTransaction();
            $user = auth()->user();
            DB::commit();
            return $user;
        } catch (\Throwable $th) {
            DB::rollBack();
            return response()->json(['message' => 'Erreur inatendu'], 401);
        }
    }

    public function logoutUser()
    {
        try {
            DB::beginTransaction();
            $user = auth()->user()->currentAccessToken()->delete();
            $message = ($user === true) ? 'vous etes deconnecte' : "vous n'etes pas connecte" ;
            DB::commit();
            return $message;
        } catch (\Throwable $th) {
            DB::rollBack();
            return response()->json(['message' => 'Unauthenticated'], 401);
            throw $th;
        }
    }

    public function updateUser($validatedData)
    {
        try {
            DB::beginTransaction();
            $user = auth()->user();
            $data = $validatedData->all();
            $user->update($data);
            DB::commit();
            return $user;
        } catch (\Throwable $th) {
            DB::rollBack();
            return response()->json(['message' => 'Erreur inatendu', $th], 401);
        }
    }
}
