<?php

namespace App;

use App\helpers\helper;
use App\Http\Controllers\HelperController;
use App\Http\Controllers\MailController;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Str;

class NewslettersAbonnementUser extends Model
{

    protected $fillable=['slug','abonnement_slug','diffusion','boutique','status','corbeil','user_slug','transaction_id','means'];


    public function storeAbonnement($reference,$idAbonnement,$slug,$means){
        $boutique=DB::table('newsletters_abonnement_users')->where('slug',$slug)->update(['abonnement_slug'=>$idAbonnement,'transaction_id'=>$reference,'means'=>$means]);
    }

    public function removeAbonnement($slug){
        $boutique=DB::table('newsletters_abonnement_users')->where('slug',$slug)->update(['transaction_id'=>null,'means'=>null]);
    }

    public function renewAbonnement($transaction_id,$abonnement_slug,$slug,$means){
        Switch($means) {
            case 'KKIAPAY':
                $public_key = env('KKIAPAY_PUBLIC');
                $secret = env('KKIAPAY_SECRET');
                $private_key = env('KKIAPAY_PRIVATE');
                $kkiapay = new \Kkiapay\Kkiapay($public_key,
                    $private_key,
                    $secret);
                $verify = $kkiapay->verifyTransaction($transaction_id);
                // dd($boutique_abonnement);
                $status = $verify->status;
                if($status=='SUCCESS') {
                     $abonnement = NewslettersOptionAbonnement::where('slug', $abonnement_slug)->first();
                    $user=Session::get('user')['slug'];
                    $abonnement_user=NewslettersAbonnementUser::where('user_slug',$user)->first();
                    if(isset($abonnement_user) && $abonnement_user!=null){
                        $newsletter=NewslettersAbonnementUser::findOrFail($abonnement_user['id']);
                        $newsletter->status = true;
                        $newsletter->abonnement_slug=$abonnement['slug'];
                        $newsletter->montant = $newsletter->montant + $abonnement['prix'];
                        $newsletter->diffusion = $newsletter->diffusion + $abonnement['diffusion'];
                        $newsletter->boutique = $newsletter->boutique + $abonnement['boutique'];
                        $newsletter->cumule +=1;
                        $newsletter->save();
                        $motif = 'Cumule de votre abonnement ' . $abonnement->intitule . ' à  la newsletters.';
                        $action='Cumul Newsletters';
                        }else {
                        $data['diffusion'] = $abonnement['diffusion'];
                        $data['boutique'] = $abonnement['boutique'];
                        $data['user_slug'] = Session::get('user')['slug'];
                        $data['slug'] = \Illuminate\Support\Str::slug(time() . 'user_abonnement' . time());
                        $data['corbeil'] = false;
                        $data['status'] = true;
                        $data['abonnement_slug'] =$abonnement_slug;
                        $data['montant'] = $abonnement['prix'];
                        $newsletter = NewslettersAbonnementUser::create($data);
                        $motif = 'Paiement effectué pour abonnement ' . $abonnement['intitule'] . ' à  la newsletters.';
                        $action='Abonnement Newsletters';
                          }
                    $montant=$abonnement['prix'];
                    AbonnementPaiment::createpaiement($user,$montant,$action,$motif,'XOF');
$this->removeAbonnement($abonnement_user['slug']);
                }
                return true;
                break;
                }
    }


    public function newslettersoptionabonnement(){
        return $this->belongsTo('App\NewslettersOptionAbonnement','abonnement_slug','slug');
    }
}
