<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class ProducerGain extends Model
{
    protected $fillable = [
        'productor_slug',
        'marchant_slug',
        'boutique_slug',
        'article_slug',
        'article_price',
        'gain',
        'percentage',
        'quantity',
        'profit',
    ];

    protected $table = 'producer_gains';

    public function marchant(){
        return $this->belongsTo('App\User','marchant_slug','slug');
    }

    public function productor(){
        return $this->belongsTo('App\User','productor_slug','slug');
    }

    public function article(){
        return $this->belongsTo('App\ArticleProducteur','article_slug','slug');
    }

    public function boutique(){
        return $this->belongsTo('App\Boutique','boutique_slug','slug');
    }
}
