<?php
/**
 * Created by PhpStorm.
 * User: bahsoumany
 * Date: 06/01/19
 * Time: 15:35
 */

namespace App\helpers;


use App\AbonnementPaiment;
use App\Boutique;
use App\BoutiqueAbonnement;
use App\CatalogueArticles;
use App\CommandArticle;
use App\EtatAbonnement;
use App\Http\Controllers\HelperController;
use App\Http\Controllers\MailController;
use App\Portefeuille;
use App\ServiceShipping;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Str;
use Paydunya\Paydunya;
use Illuminate\Http\Request;
use Intervention\Image\Facades\Image;
class helper
{

    public function __construct()
    {
        \Paydunya\Setup::setMasterKey(env('PAYDUNYA_MASTER_KEY'));
        \Paydunya\Setup::setPublicKey(env('PAYDUNYA_PUBLIC_KEY'));
        \Paydunya\Setup::setPrivateKey(env('PAYDUNYA_PRIVATE_KEY'));
        \Paydunya\Setup::setToken(env('PAYDUNYA_TOKEN'));
        \Paydunya\Setup::setMode(env('PAYDUNYA_MODE'));
    }

    function saveFile($image,$path){
        $time = time();
            $originalImage = $image;
            $thumbnailImage = Image::make($originalImage);
            $originalPath = public_path('Uploads/'.$path.'/');
            $location = $originalPath . $time . $originalImage->getClientOriginalName();
            $thumbnailImage->save($originalPath . $time . $originalImage->getClientOriginalName());
            $filename = $time . $originalImage->getClientOriginalName();
            return  asset('Uploads/'.$path.'/' . $filename);
    }

    public function convertCurrency($from_Currency,$to_Currency,$amount){
        $apikey = '6be6b9e4a91ea7a717b1';
        $from_Currency = urlencode($from_Currency);
        $to_Currency = urlencode($to_Currency);
        $query =  "{$from_Currency}_{$to_Currency}";
        // change to the free URL if you're using the free version
        $json = file_get_contents("https://free.currconv.com/api/v7/convert?q={$query}&compact=ultra&apiKey={$apikey}");
        $obj = json_decode($json, true);
        $val = $obj["$query"];
        $total = $val * $amount;
        $formatValue = number_format($total, 2, '.', '');
        $data = $formatValue." $to_Currency";
        return $data;
    }

    public function checkEmail($email) {
        $find1 = strpos($email, '@');
        $find2 = strpos($email, '.');
        return ($find1 !== false && $find2 !== false && $find2 > $find1 ? true : false);
    }

    public function paydunyaPaiement($itemArray,$amount,$description,$redirect_url){
        $boutique=Session::get('boutique');
        \Paydunya\Checkout\Store::setName(isset($boutique['nom_boutique']) ? $boutique['nom_boutique'] : 'SUNGROCERY'); // Seul le nom est requis
        \Paydunya\Checkout\Store::setPhoneNumber(isset($boutique['nom_boutique']) ? $boutique['meta']['telephone_boutique'] : '+22967723243');
        \Paydunya\Checkout\Store::setPostalAddress(isset($boutique['nom_boutique']) ? $boutique['meta']['adresse_boutique'] : '');
        \Paydunya\Checkout\Store::setWebsiteUrl(isset($boutique['nom_boutique']) ? url('/'.$boutique['nom_boutique']) : 'http://sungrocery.sunmarket.biz');
        \Paydunya\Checkout\Store::setLogoUrl(isset($boutique['nom_boutique']) ? $boutique['meta']['logo_boutique'] : 'http://sungrocery.sunmarket.biz/logo.png' );
                \Paydunya\Checkout\Store::setReturnUrl($redirect_url);

        $invoice = new \Paydunya\Checkout\CheckoutInvoice();
        if(count($itemArray)>0) {
            for ($i = 0; $i < count($itemArray); $i++) {
                $invoice->addItem($itemArray[$i]['name'], $itemArray[$i]['quantity'], $itemArray[$i]['unitaire'], $itemArray[$i]['total']);
            }
        }
        $invoice->setDescription($description);
        $invoice->setTotalAmount($amount);
        $invoice->setCallbackUrl($redirect_url);
        $invoice->setCancelUrl($redirect_url);
        $invoice->setReturnUrl($redirect_url);
//        $invoice->addTax("TVA (18%)", 6300);
//        $invoice->addTax("Livraison", 1000);
        if($invoice->create()) {
          return $invoice->getInvoiceUrl();
        }else{
           return null;
        }

    }

    public function paydunyaCHeckPaiementAfterSubscription($boutique_slug,$transaction_id,$abonnement_slug){
        $invoice = new \Paydunya\Checkout\CheckoutInvoice();
        if ($invoice->confirm($transaction_id)) {
            if($invoice->getStatus()=="completed"){
                $boutique_abonnement = $boutique_slug;
                $abonnement = EtatAbonnement::where('slug', $abonnement_slug)->first();
                $boutique = Boutique::where('slug', $boutique_abonnement)->first();
                if ((int)$invoice->getTotalAmount() == (int)$abonnement['price']) {

                    //send money to sunmarketers
                    if($boutique['sunmarketers']!='none' && $boutique['sunmarketers']!=null && $boutique['sunmarketers']!='almost'){
                        $marketer=$boutique['sunmarketers'];
                        $marketer =DB::table('marketers')->where('cni',$marketer)->first();
                        $portefeuille=DB::table('portefeuille')->where('user_slug',$marketer->user_slug)->where('devise',($marketer->currency !=null ? $marketer->currency : 'USD'))->first();
                        $ab = (double)$abonnement['price'];
                        $bonus = ($ab * 25) / 100;
                        if($marketer->currency != 'XOF' || $marketer->currency){
                            $helpers=new HelperController();
                            $bonus=$helpers->convertCurrency('XOF','USD',$bonus);
                        }
                        if($portefeuille!=null) {
                            $portefeuille->montant = (double)$portefeuille->montant + $bonus;
                            $portefeuille->save();
                        }else{
                            Portefeuille::create([
                                'user_slug'=>$marketer->user_slug,
                                'devise'=>($marketer->currency !=null ? $marketer->currency : 'XOF'),
                                'montant'=>$bonus,
                                'active'=>true,
                                'tentative'=>0,
                                'created_at'=>Carbon::now(),
                                'updated_at'=>Carbon::now(),
                            ]);
                        }
                        $sh= Boutique::findOrFail($boutique['id']);
//                        $sh->sunmarketer='almost';
//                        $sh->save();
                        $subject = 'Compte créditer';
                        $messages = "La boutique ".$boutique['nom_boutique']." à mis à jour son abonnement pour ".$abonnement['numberMonth'].' mois, pour un montant de '.(double)$abonnement['price'].'. Vous bénéficiez de 25% de la somme totale du montant soit '.$bonus;
                        MailController::SendGeneralUniqueMail('Mail.generale_blade',$subject, $messages, env('MAIL_ADMIN'),env('MAIL_USERNAME'));
                    }
                    //End sunmarketers bonus transaction

                    $data['slug'] = Str::slug(time() . 'boutique' . time() . 'abonnement');
                    $data['boutique_id'] = $boutique['id'];
                    $data['etat_abonnement_id'] = $abonnement['id'];
                    $data['expired'] = false;
                    DB::table('boutique_abonnements')->where('boutique_id', $boutique['id'])->where('etat_abonnement_id', $abonnement['id'])->update(['expired' => false]);
                    $boutique['expired']
                        ? $expireBoutique = Carbon::now()->format('M d Y H:i:s')
                        : $expireBoutique = Carbon::create($boutique['expired_to'])->format('M d Y H:i:s');
                    $expired_to = strtotime("+" . $abonnement['numberMonth'] . " months", strtotime($expireBoutique));
                    $myShop = Boutique::findOrFail($boutique['id']);
                    $myShop->expired_to = Carbon::createFromFormat('Y-m-d H:i:s', date('Y-m-d H:i:s', $expired_to));
                    $myShop->expired = false;
                    $myShop->save();
                    $data['expired_at'] = $myShop->expired_to;
                    BoutiqueAbonnement::create($data);
                    $user = Session::get('user')['slug'];
                    $boutique['expired']
                        ? $motif = 'Paiement effectué pour abonnement ' . $abonnement['name'] . ' de la boutique ' . $boutique['nom_boutique']
                        : $motif = 'Paiement effectué pour cumule d\'abonnement ' . $abonnement['name'] . ' de la boutique ' . $boutique['nom_boutique'];
                    $montant = $abonnement['price'];
                    $boutique['expired']
                        ? $action = 'Abonnement Boutique'
                        : $action = 'Cumule d\'abonnement Boutique';
                    if($boutique['sunmarketers']!='none' && $boutique['sunmarketers']!=null && $boutique['sunmarketers']!='almost'){
                        AbonnementPaiment::createpaiement($user, ((double)$montant-(double)$bonus), $action, $motif,'XOF');
                    }else{
                        AbonnementPaiment::createpaiement($user, $montant, $action, $motif,'XOF');
                    }
                    $help=new Boutique();
                    $help->removeAbonnement($boutique_slug);
                    return true;
                }else{
                    return false;
                }
            }
        }

    }


    public function paydunyaCHeckPaiementAfterCommandes($transaction_id,$slug){
        $invoice = new \Paydunya\Checkout\CheckoutInvoice();
        if ($invoice->confirm($transaction_id)) {
            if($invoice->getStatus()=="completed"){
                $cmd = DB::table('commandes')->where('slug',$slug)->first();
                $reference = $transaction_id;
                if($invoice->getTotalAmount()==$cmd->total_price){
                    $status='SUCCESS';
                    $cmd->paiement_type = 'paid_now';
                    $cmd->source = 'PAYDUNYA';
                    $cmd->source_name = 'paydunya';
                    $cmdt=   CommandArticle::where('command_slug',$cmd->slug)->get();
                    foreach ($cmdt as $commandearticle) {
                        $article= CatalogueArticles::where('slug',$commandearticle->article_slug)->first();
                        if($article['boutique_slug']==Session::get('boutique')['slug']){
                            $modart=CatalogueArticles::findOrFail($article['id']);
                            $modart->quantity=(intval($modart->quantity)-intval($commandearticle->quantity));
                            $modart->save();
                        }else{
                            $helpers=new HelperController();
                            $stock=$helpers->get_meta_article('stock',$commandearticle->article_slug,Session::get('boutique')['slug']);
                            $stock=(intval($stock)-intval($commandearticle->quantity));
                            $helpers->update_meta_article('stock',$commandearticle->article_slug,$stock,Session::get('boutique')['slug']);
                        }
                    }

                    // Ajouter le montant à l'actif du détenteur de la boutique
                    $fportefeuille=Portefeuille::where('user_slug',Session::get('boutique')['user_slug'])->where('devise',Session::get('boutique')['meta']['currency_admin'])->first()['id'];
                    if(isset($fportefeuille)&& $fportefeuille!=null && $fportefeuille!="") {
                        $portefeuille = Portefeuille::findOrFail($fportefeuille);
                        $portefeuille->montant = $portefeuille->montant + $cmd->total_price;
                        $total_new_montant=$portefeuille->montant;
                        $time=false;
                        $portefeuille->save();
                    }else{
                        Portefeuille::create(['user_slug'=>Session::get('boutique')['user_slug'],'montant'=>$cmd->total_price]);
                        $time=true;
                    }
                    $boutique=Boutique::with('user','meta')->where('slug',Session::get('boutique')['slug'])->first();
                    $metas=$boutique->meta;
                    $subject = 'Portefeuille incrementé sur la boutique '.$boutique->nom_boutique;
                    $messages = ['first_name'=>$boutique->user->first_name,'last_name'=>$boutique->user->last_name,'montant'=>$cmd->total_price,'time'=>$time,'boutique'=>$boutique->nom_boutique,'devise'=>Session::get('boutique')['meta']['currency_admin']];
                    MailController::SendPortefeuilleMail($subject, $messages, $boutique->user->email);
                    $cmd->reference = $reference;
                    $cmd->statut_paiement=true;
                    $cmd->save();

                    //BEGIN SEND MAIL TO SHIPPING AGENCE
                    $articlesCommand=   CommandArticle::with('article_')->where('command_slug',$cmd->slug)->get();
                    $services = ServiceShipping::where('slug',$cmd->shipping_service)->first();
                    $shippingInfos= DB::table('marchand_shipping_informations')->where('boutique_slug', Session::get('boutique')['slug'])->first();
                    $boutiqueRelate = Boutique::with('meta','user','metier')->where('slug', Session::get('boutique')['slug'])->first();
                    $template='Mail.livraison_make';$subject="Commande enrégistré sur sungrocery";$email=$services->email;$from=env('MAIL_USERNAME');
                    $messages=['commande'=>$cmd,'articles'=>$articlesCommand, 'agence'=>$services->name,'name'=>$boutique->nom_boutique,'depart'=>$shippingInfos->depart,'description'=>$shippingInfos->Description,'adresse'=>$shippingInfos->adresse,'tel'=>$boutiqueRelate->meta->telephone_boutique,'first_name'=>$boutiqueRelate->user->first_name,'last_name'=>$boutiqueRelate->user->last_name,'metier'=>$boutiqueRelate->metier->intitule_metier];
                    $mail=new MailController();
                    //send to agence
                    $mail->SendGeneralUniqueMail($template,$subject,$messages,$email,$from);
                    //end send mail to shipping agence

                    return true;
                }
            }
        }
    }

}
