<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateBoutiqueMetasTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('boutique_metas', function (Blueprint $table) {
            $table->increments('id');
            $table->string('slug');
            $table->unsignedInteger('boutique_id')->unsigned();
            $table->bigInteger('banner_article')->unsigned()->nullable();
            $table->string('logo_boutique')->nullable();
            $table->string('boutique_url')->nullable();
            $table->string('telephone_boutique')->nullable();
            $table->string('email_boutique')->nullable();
            $table->string('adresse_boutique')->nullable();
            $table->longText('mot_d_ordres')->nullable();
//            $table->foreign('banner_article')->references('id')->on('catalogue_articles')->onDelete('cascade')->onUpdate('cascade');
//            $table->foreign('boutique_id')->references('id')->on('boutiques')->onDelete('cascade')->onUpdate('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('boutique_metas');
    }
}
