<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateMarketersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('marketers', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('user_slug');
            $table->string('nom');
            $table->string('prenom');
            $table->string('date_naissance')->nullable();
            $table->string('lieu_naissance')->nullable();
            $table->string('sexe')->nullable();
            $table->string('diplome_elever')->nullable();
            $table->string('diplome_elever_doc')->nullable();
            $table->string('photo')->nullable();
            $table->string('lieu_residence')->nullable();
            $table->string('numero_tel')->nullable();
            $table->string('numero_whatsapp')->nullable();
            $table->string('facebook')->nullable();
            $table->string('twitter')->nullable();
            $table->string('email')->nullable();
            $table->string('nationnalite')->nullable();
            $table->string('region')->nullable();
            $table->string('ville')->nullable();
            $table->text('adresse_residence')->nullable();
            $table->string('remuneration')->nullable();
            $table->double('pourcentage_sur_vente')->nullable();
            $table->double('montant')->default(0);
            $table->string('devise')->nullable();
            $table->boolean('remuneration_negociable')->default(false);
            $table->text('a_propos')->nullable();
            $table->string('cni')->nullable();
            $table->string('cni_doc_recto')->nullable();
            $table->string('cni_doc_verso')->nullable();
            $table->boolean('verified')->default(false);
            $table->integer('note')->default(0);
            $table->string('ancien_profession')->nullable();
            $table->text('information_supplementaire')->nullable();
            $table->boolean('status_compte')->default(false);
            $table->integer('signaler')->default(0);
            $table->text('motivation')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('marketers');
    }
}
