<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateMarketerShopsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('marketer_shops', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('marketer_slug');
            $table->string('admin_slug');
            $table->string('shop_slug');
            $table->string('remuneration')->nullable();
            $table->integer('pourcentage')->nullable();
            $table->integer('solde')->default(0);
            $table->integer('solde_objectif_vente')->default(0);
            $table->string('devise')->nullable();
            $table->boolean('status')->default(false);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('marketer_shops');
    }
}
