<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAnnoncesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('annonces', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('user_id');
            $table->enum('type',['vente','achat','autres']);
            $table->string('sector');
            $table->string('title');
            $table->string('slug');
            $table->longText('description');
            $table->string('country');
            $table->enum('couverture',["pays","international"]);
            $table->dateTime("date_limit")->nullable();
            $table->boolean("pro")->default(false);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('annonces');
    }
}
