<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateInvestmentProjectsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('investment_projects', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('slug')->nullable();
            $table->string('titre');
            $table->string('resume');
            $table->string('couverture');
            $table->string('youtube');
            $table->date('date_debut_participation');
            $table->date('date_fin_participation');
            $table->date('date_gain');
            $table->integer('pourcentage_gain');
            $table->integer('nbre_contributeur')->default(0);
            $table->longText('contenu');
            $table->string('lien_facebook')->nullable();
            $table->string('lien_instagram')->nullable();
            $table->integer('aimer')->default(0);
            $table->boolean('visibility')->default(true);
            $table->integer('user_id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('investment_projects');
    }
}
