<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateInvestmentProjetContributionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('investment_projet_contributions', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('slug');
            $table->string('reference');
            $table->integer('sgi_user_id');
            $table->integer('investment_project_id');
            $table->double('montant');
            $table->enum('statut',["investir","gain_envoyer","recuperer"])->default("investir");
            $table->dateTime("get_at")->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('investment_projet_contributions');
    }
}
