<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateClientMibsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('client_mibs', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('slug');
            $table->string('nom');
            $table->string('prenom');
            $table->string('tel');
            $table->string('adresse');
            $table->string('nom_mandataire')->nullable();
            $table->string('tel_mandataire')->nullable();
            $table->string('adresse_mandataire')->nullable();
            $table->boolean('bonus')->default(true);
            $table->boolean('parainer')->default(false);
            $table->integer('parain_id')->nullable();
            $table->integer('an');
            $table->integer('boutique_id');
            $table->integer('categories_mib_id');
            $table->integer('user_id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('client_mibs');
    }
}
