<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProductsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('products', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('slug');
            $table->string('name');
            $table->string('price');
            $table->string('show_price');
            $table->boolean('active');
            $table->integer('quantity');
            $table->string('reference');
            $table->text('description');
            $table->boolean('on_sale');
            $table->string('minimal_quantity');
            $table->string('categorie_slug');
            $table->string('stock');
            $table->string('user_slug');
            $table->string('state');
            $table->string('boutique_slug')->nullable();
            $table->string('type_user');
            $table->string('maker')->nullable();
            $table->string('maker_country')->nullable();
            $table->string('create')->nullable();
            $table->string('expire')->nullable();
            $table->boolean('corbeil')->default(false);
            $table->string('weight')->default(1);
            $table->boolean('local_shipping')->default(true);
            $table->boolean('international_shipping')->default(false);
            $table->boolean("en_avant")->default(false);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('products');
    }
}
