<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateGlobalPromosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('global_promos', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('slug');
            $table->enum('type', ['code', 'special', 'offer'])->default('special');
            $table->string('code')->nullable();
            $table->integer('max_user')->nullable();
            $table->integer('percentage')->default(5);
            $table->boolean('active')->default(true);
            $table->string('name');
            $table->datetime('debut');
            $table->datetime('fin');
            $table->string('image')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('global_promos');
    }
}
