<?php

use App\CategorieCaracteristique;
use App\Http\Controllers\EnseigneController;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Session;

class CategorieCatalogue extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $array = [
            "Boissons",
            "Café/thé",
            "Jus/soda",
            "Pain/Boulangerie",
            "Produits en conserve",
            "Légumes",
            "Produits laitiers",
            "œufs",
            "Produits secs",
            "Pâtisserie",
            "Céréales",
            "Farine",
            "Sucre",
            "Pâtes",
            "Aliments surgelés",
            "Viande",
            "Volaille",
            "Poissons",
            "Fruits",
            "Nettoyants",
            "Articles en papier",
            "Serviettes en papier",
            "Emballages",
            "Soins personnels",
            "Autres",
            "Machinisme agricole",
            "Huillerie",
            "Bien etre",
        ];
       $caracteristiques= [
           "Boissons"=>["composants clés","Valeurs nutritionnelles","Energie","Proteines","Glucides","Lipides","sucres","Fibres alimentaires",'café',"cholesterol","sodium","Eau","Minéraux","Vitamines","conservation"],
            "Café/thé"=>['Eau',"proteines","Glucides","Lipides","Sodium","Potassium","Magnésium","Phosphore","Calcium","Fer","Carotène","Vitamines","conservation"],
           "Jus/soda"=>["composants clés","Valeurs nutritionnelles","Energie","Proteines","Glucides","Lipides","sucres","Fibres alimentaires",'café',"cholesterol","Eau","Minéraux","Vitamines","conservation"],
           "Pain/Boulangerie"=>["composants clés","Calories","Matière grasses","Minéraux","Glucides","Vitamines"],
            "Produits en conserve"=>['type',"valeurs nutritionnelles","capacité contenant","conservation"],
            "Aliments surgelés"=>['type',"valeurs nutritionnelles","conservation"],
           "Légumes"=>["Energie","Protides","Glucides","Lipides","Eau","Fibres alimentaires","Minéraux","Vitamines","conservation"],
           "Produits laitiers"=>["Protéines","Matière grasse","Calcium","Phosphore","Sodium","minéraux","conservation"],
           "Produits secs"=>["Protéines","Glucides","Lipides","Phosphore","Sodium","vitamines","Eau","alcohol","Minéraux","conservation"],
           "Pâtisserie"=>["Protéines","Glucides","Lipides","Phosphore","Sodium","vitamines","Eau","alcohol","Minéraux","conservation"],
           "Céréales"=>["Protéines","Glucides","Lipides","Phosphore","Sodium","vitamines","Eau","alcohol","Minéraux","conservation"],
           "Farine"=>["Protéines","Glucides","Lipides","Phosphore","Sodium","vitamines","Eau","alcohol","Minéraux","conservation"],
           "Sucre"=>["Protéines","Glucides","Lipides","Phosphore","Sodium","vitamines","Eau","alcohol","Minéraux","conservation"],
           "Pâtes"=>["Protéines","Glucides","Lipides","Phosphore","Sodium","vitamines","Eau","alcohol","Minéraux","conservation"],
           "Viande"=>["animal","Energie","Protides","Glucides","Lipides","Eau","Fibres alimentaires","Minéraux","Vitamines","conservation"],
           "Volaille"=>["animal","Energie","Protides","Glucides","Lipides","Eau","Fibres alimentaires","Minéraux","Vitamines","conservation"],
           "Poissons"=>["animal","Energie","Protides","Glucides","Lipides","Eau","Fibres alimentaires","Minéraux","Vitamines","conservation"],
           "Fruits"=>["Calories","Energie","Protides","Glucides","Lipides","Eau","Fibres alimentaires","Minéraux","Vitamines","conservation"],
           "Emballages"=>["Capacités","type produit à emballer"],

       ];
        $methode = new EnseigneController();
        $user = \App\User::where("type","admin")->first();
        $data["user_slug"] = $user->slug;
        $data['type_user'] = "administrateur";
        $data['boutique_slug'] = "all";
        $data['slug'] = $methode->chaine_aleatoire(12);
        $metier = \App\Metier::where("intitule_metier","Agroalimentaire")->first();
        $data['secteur_activite'] = $metier->slug;
        for ($i=0;$i<sizeof($array);$i++){
            $data["intitule"] = ucfirst($array[$i]);
          $cate=  \App\CategorieCatalogue::create($data);
            if(array_key_exists($data["intitule"],$caracteristiques)){
                $carac=[];
                for ($j=0;$j<sizeof($caracteristiques[$data["intitule"]]);$j++){
                    $carac['intitule']=$caracteristiques[$data["intitule"]][$j];
                    $carac['categorie_catalogue_id']=$cate->id;
                    CategorieCaracteristique::create($carac);
                }
            }
        }

    }
}
