<!DOCTYPE html>
<html lang="fr">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" href="{{asset('images/favicon.jpg')}}" type="image/ico" />


    <title>SUNMARKET | </title>

    <!-- Bootstrap -->
    <link href="{{asset('vendors/bootstrap/dist/css/bootstrap.min.css')}}" rel="stylesheet">
    <!-- Font Awesome -->
    <link href="{{asset('vendors/font-awesome/css/font-awesome.min.css')}}" rel="stylesheet">
    <!-- NProgress -->
    <link href="{{asset('vendors/nprogress/nprogress.css')}}" rel="stylesheet">
    <!-- Animate.css -->
    <link href="{{asset('vendors/animate.css/animate.min.css')}}" rel="stylesheet">

    <link rel="stylesheet" href="{{asset('plugin/telephone_input/build/css/intlTelInput.css')}}">
    <!-- Custom Theme Style -->
    <link href="{{asset('build/css/custom.min.css')}}" rel="stylesheet">

    <style>
        .lds-roller {
            display: inline-block;
            width: 100px;
            height: 100px;

            position: absolute;
            top:0;
            bottom: 0;
            left: 0;
            right: 0;

            margin: auto;
        }
        .lds-roller div {
            animation: lds-roller 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
            transform-origin: 32px 32px;
        }
        .lds-roller div:after {
            content: " ";
            display: block;
            position: absolute;
            width: 6px;
            height: 6px;
            border-radius: 50%;
            background: #73879C;
            margin: -3px 0 0 -3px;
        }
        .lds-roller div:nth-child(1) {
            animation-delay: -0.036s;
        }
        .lds-roller div:nth-child(1):after {
            top: 50px;
            left: 50px;
        }
        .lds-roller div:nth-child(2) {
            animation-delay: -0.072s;
        }
        .lds-roller div:nth-child(2):after {
            top: 54px;
            left: 45px;
        }
        .lds-roller div:nth-child(3) {
            animation-delay: -0.108s;
        }
        .lds-roller div:nth-child(3):after {
            top: 57px;
            left: 39px;
        }
        .lds-roller div:nth-child(4) {
            animation-delay: -0.144s;
        }
        .lds-roller div:nth-child(4):after {
            top: 58px;
            left: 32px;
        }
        .lds-roller div:nth-child(5) {
            animation-delay: -0.18s;
        }
        .lds-roller div:nth-child(5):after {
            top: 57px;
            left: 25px;
        }
        .lds-roller div:nth-child(6) {
            animation-delay: -0.216s;
        }
        .lds-roller div:nth-child(6):after {
            top: 54px;
            left: 19px;
        }
        .lds-roller div:nth-child(7) {
            animation-delay: -0.252s;
        }
        .lds-roller div:nth-child(7):after {
            top: 50px;
            left: 14px;
        }
        .lds-roller div:nth-child(8) {
            animation-delay: -0.288s;
        }
        .lds-roller div:nth-child(8):after {
            top: 45px;
            left: 10px;
        }
        @keyframes lds-roller {
            0% {
                transform: rotate(0deg);
            }
            100% {
                transform: rotate(360deg);
            }
        }
.form-control{
    border-radius: 0px;
}
    </style>

</head>

<body class="login">
<div>
    <a class="hiddenanchor" id="signup"></a>
    <a class="hiddenanchor" id="signin"></a>

    @if(\Illuminate\Support\Facades\Session::has("success"))

        <div class="alert alert-success">
            {{\Illuminate\Support\Facades\Session::get('success')}}
        </div>

    @elseif(\Illuminate\Support\Facades\Session::has("error"))

        <div class="alert alert-danger">
            {{\Illuminate\Support\Facades\Session::get('error')}}
        </div>

    @endif
    <div class="login_wrapper">
        <div class="lds-roller" id="loader" style="display: none"><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div></div>

        <div class="animate form login_form">
            <section class="login_content">

                <form method="post" action="{{route('login')}}" id="auth_form">
                    @csrf
                    <h1>Authentification</h1>
                    <div>
                        <input type="text" class="form-control" name="email" placeholder="Nom d'utilisateur ou E-mail" required="" />
                    </div>
                    <div>
                        <input type="password" class="form-control" name="password" placeholder="Mot de passe" required="" />
                    </div>
                    <div>
                        <button class="btn btn-default submit" type="submit">S'authentifier</button>
                        <a class="reset_pass" href="{{route('reset.password')}}">Mot de passe oublié?</a>
                    </div>

                    <div class="clearfix"></div>

                    <div class="separator">
                        <p class="change_link">Nouveau sur le site?
                            <a href="#signup" class="to_register" id="register"> S'enrégistrer </a>
                        </p>

                        <div class="clearfix"></div>
                        <br/>

                        <div>
                            <h1 style="font-weight: bold;">SUNMARKET</h1>
                            <p class="text-center">©2019 All Rights Reserved.</p>
                        </div>
                    </div>
                </form>
            </section>
        </div>

        <div id="register" class="animate form registration_form">
            <section class="login_content">

                <div class="alert alert-danger" id="alert-danger_register" style="display: none;">

                </div>

                <div class="alert alert-success" id="alert-success_register" style="display: none;">

                </div>

                <form method="post" action="{{route('register')}}" id="register_form">
                    @csrf
                    <h1>Enrégistrement</h1>

                    <h4 style="font-size: 12pt;text-align: left;text-decoration: underline;">Informations personnelles</h4>
                    <div>
                        <input type="text" class="form-control" name="first_name" placeholder="Nom *" required="" />
                    </div>
                    <div>
                        <input type="text" class="form-control" name="last_name" placeholder="Prénom *" required="" />
                    </div>

                    <div>
                        <select name="sexe" id="sexe" class="form-control" style="margin-bottom: 20px;">
                            <option value="">Sexe</option>
                            <option value="masculin">Masculin</option>
                            <option value="feminin">Féminin</option>
                        </select>
                    </div>
                    <div style="text-align: left;">
                        <input type="tel" class="form-control" id="phone" placeholder="Numéro de téléphone *" required="" /><span id="valid-msg" class="hide">✓ Valid</span><span id="error-msg" class="hide"></span>
                        <input type="hidden" class="form-control" id="telInput" name="telephone"/>
                    </div>
                    <hr style="width: 100px;text-align: center;">
                    <h4 style="font-size: 12pt;text-align: left;text-decoration: underline;">Informations de connexion</h4>
                    <div>
                        <input type="text" class="form-control" name="username" placeholder="Nom d'utilisateur *" required="" />
                    </div>
                    <div>
                        <input type="email" class="form-control" name="email" placeholder="Email *" required="" />
                    </div>
                    <div>
                        <input type="password" class="form-control" name="password" id="password" placeholder="Mot de passe *" required="" />

                    </div>
                    <div>
                        <input type="password" class="form-control" id="cpassword" placeholder="Confirmer le mot de passe" required="" />
                    </div>
                    <div>
                        <button class="btn btn-default submit" id="sign_in_net2all" type="submit">s'enrégistrer</button>
                    </div>

                    <div class="clearfix"></div>

                    <div class="separator">
                        <p class="change_link">Déja membre ?
                            <a href="#signin" class="to_register" id="authenticate"> s'authentifier</a>
                        </p>

                        <div class="clearfix"></div>
                        <br />

                        <div>
                            <h1 style="font-weight: bold;">SUNMARKET</h1>
                            <p class="text-center">©2019 All Rights Reserved.</p>
                        </div>
                    </div>
                </form>
            </section>
        </div>
    </div>
</div>
<script src="{{asset('vendors/jquery/dist/jquery.min.js')}}"></script>

<script src="{{asset('plugin/telephone_input/build/js/intlTelInput.js')}}"></script>

<script src="{{asset('js/register_script.js')}}"></script>

@include('../dashboard.scripts.script')
<script>
    $('#register').click(function(){
        $('#alert-danger_register').fadeOut();
        $('#alert-success_register').fadeOut();


    })
</script>
</body>
</html>