<!DOCTYPE html>
<html lang="fr">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" href="{{asset('images/favicon.jpg')}}" type="image/ico" />


    <title>Cashline</title>

    <!-- Bootstrap -->
    <link href="{{asset('vendors/bootstrap/dist/css/bootstrap.min.css')}}" rel="stylesheet">
    <!-- Font Awesome -->
    <link href="{{asset('vendors/font-awesome/css/font-awesome.min.css')}}" rel="stylesheet">
    <!-- NProgress -->
    <link href="{{asset('vendors/nprogress/nprogress.css')}}" rel="stylesheet">
    <!-- Animate.css -->
    <link href="{{asset('vendors/animate.css/animate.min.css')}}" rel="stylesheet">

    <!-- Custom Theme Style -->
    <link href="{{asset('build/css/custom.min.css')}}" rel="stylesheet">

    <style>
        .lds-roller {
            display: inline-block;
            width: 100px;
            height: 100px;

            position: absolute;
            top:0;
            bottom: 0;
            left: 0;
            right: 0;

            margin: auto;
        }
        .lds-roller div {
            animation: lds-roller 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
            transform-origin: 32px 32px;
        }
        .lds-roller div:after {
            content: " ";
            display: block;
            position: absolute;
            width: 6px;
            height: 6px;
            border-radius: 50%;
            background: #73879C;
            margin: -3px 0 0 -3px;
        }
        .lds-roller div:nth-child(1) {
            animation-delay: -0.036s;
        }
        .lds-roller div:nth-child(1):after {
            top: 50px;
            left: 50px;
        }
        .lds-roller div:nth-child(2) {
            animation-delay: -0.072s;
        }
        .lds-roller div:nth-child(2):after {
            top: 54px;
            left: 45px;
        }
        .lds-roller div:nth-child(3) {
            animation-delay: -0.108s;
        }
        .lds-roller div:nth-child(3):after {
            top: 57px;
            left: 39px;
        }
        .lds-roller div:nth-child(4) {
            animation-delay: -0.144s;
        }
        .lds-roller div:nth-child(4):after {
            top: 58px;
            left: 32px;
        }
        .lds-roller div:nth-child(5) {
            animation-delay: -0.18s;
        }
        .lds-roller div:nth-child(5):after {
            top: 57px;
            left: 25px;
        }
        .lds-roller div:nth-child(6) {
            animation-delay: -0.216s;
        }
        .lds-roller div:nth-child(6):after {
            top: 54px;
            left: 19px;
        }
        .lds-roller div:nth-child(7) {
            animation-delay: -0.252s;
        }
        .lds-roller div:nth-child(7):after {
            top: 50px;
            left: 14px;
        }
        .lds-roller div:nth-child(8) {
            animation-delay: -0.288s;
        }
        .lds-roller div:nth-child(8):after {
            top: 45px;
            left: 10px;
        }
        @keyframes lds-roller {
            0% {
                transform: rotate(0deg);
            }
            100% {
                transform: rotate(360deg);
            }
        }

    </style>

</head>

<body class="login">
<div>
    <a class="hiddenanchor" id="signup"></a>
    <a class="hiddenanchor" id="signin"></a>

    <div class="login_wrapper">
        <div class="lds-roller" id="loader" style="display: none"><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div></div>

        <div class="animate form login_form">
            <section class="">


                @if(session("success"))

                    <div class="alert alert-success">
                        {{session('success')}}
                    </div>

                @elseif(session("error"))

                    <div class="alert alert-danger">
                        {{session('error')}}
                    </div>

                @endif

                    <div class="alert alert-danger text-center" id="invalid" style="display: none;"></div>
                    <div class="alert alert-success text-center" id="valid" style="display: none;"></div>

                    <h3 class="text-center">Récupération de mot de passe</h3>
                    <div class="divider"></div>
                    <h6 class="text-center">
                        Nous allons vous envoyer un mail contenant votre nouveau mot de passe.
                        Merci de le consulter.
                    </h6>

                    <form method="post" action="{{route('reset.pass')}}" id="resetPassForm">
                    @csrf

                    <div>
                        <input type="text" class="form-control" name="email" id="email" placeholder="Entrez votre votre e-mail" required="" />
                    </div>
                    <br>
                    <div>
						  <a class="btn btn-default" href="{{route('login')}}">Login</a>
                        <button class="btn btn-default submit " type="submit">Envoyer</button>
                    </div>

                        <div>
                 <h1 style="text-align:center;">Cashline.shop</h1>
                            <p style="text-align:center;">©2019 All Rights Reserved.</p>
                        </div>
                    </div>
                </form>
            </section>
        </div>

    </div>
</div>
<script src="{{asset('vendors/jquery/dist/jquery.min.js')}}"></script>

<script src="{{asset('js/register_script.js')}}"></script>
</body>
</html>
