@extends("../dashboard._blank")

@section("sidebar")
    @include("../dashboard._sidebar")
@endsection

@section("content")
    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>

            <div class="row">

                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h2><span style="color: #0c1423;"><i class="fa fa-star-half-o"></i> {{$boutique->nom_boutique}}</span> <i class="fa fa-arrow-circle-right"></i> Clients <small>Liste des clients de votre boutique</small></h2>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">

                            @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            @if(session("success"))

                                <div class="alert alert-success">
                                    {{session('success')}}
                                </div>

                            @elseif(session("error"))

                                <div class="alert alert-danger">
                                    {{session('error')}}
                                </div>

                            @endif


                            <div class="col-md-12" style="margin-bottom: 10px;">
                                <button  data-toggle="modal" data-target="#clientModal" id="add_client" class="btn btn-default" style="background-color: #0D3349;border-radius: 0px;color: white;"><i class="fa fa-plus-circle"></i> Ajouter</button>

                                <a href="{{route('gerer_boutique',$boutique->id)}}" class="btn btn-default" style="color: #0D3349;-webkit-border-radius: 0px;-moz-border-radius: 0px;border-radius: 0px;"><i class="fa fa-list"></i> Menu</a>

                            </div>


                            <div class="table table-responsive">
                                <table id="datatable-buttons" class="table table-responsive table-striped table-bordered">
                                    <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>Nom</th>
                                        <th>Prenom</th>
                                        <th>Adresse e-mail</th>
                                        <th>Action</th>
                                    </tr>
                                    </thead>


                                    <tbody>
                                    @foreach($clients as $client)

                                        <tr>
                                            <td>{{$client['id']}}</td>

                                            <td>{{$client['lastname']}}</td>
                                            <td>{{$client['firstname']}}</td>
                                            <td>{{$client['email']}}</td>
                                            <td>
                                                  <div class="btn-group">
                                                         <button style="background: #375980;" type="button" class="btn btn-primary btn-sm dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> Actions <span class="caret"></span></button>
 <ul class="dropdown-menu"><li><a data-slug="{{$client['id']}}" data-url="{{route('customers.edit',$client['id'])}}" data-url2="{{route('customers.update',$client['id'])}}" class="modifier_client">Modifier</a></li>
<li> <a href="{{route('customers.delete')}}" class="supprimer" onclick="return confirm('êtes vous sûr de vouloir suprimer cet enseigne');">Supprimer</a></li>
                                                  </ul></div>
                                            </td>
                                        </tr>

                                        @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>


            </div>
        </div>
    </div>
    <!-- /page content -->

    <div id="clientModal" class="modal fade">
        <div class="modal-dialog">
            <form method="post" id="client_form">
                @csrf
                <div class="modal-content" style="border-radius: 0px;">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title"><i class="fa fa-plus"></i> Ajouter une client </h4>
                    </div>
                    <div class="modal-body">


                        {{--  <div class="row" style="margin: 10px;">
                              <div class="col-md-3 col-sm-3 col-xs-6" style="margin-top: 10px;">


                                 <select name="titre_client" class="form-control" id="titre_client">
                                      <option value="M">M</option>
                                      <option value="Mme">Mme</option>
                                      <option value="Mlle">Mlle</option>
                                      <option value="Dr">Dr</option>

                                  </select>
                            </div>

                        </div>--}}

                        <div class="row" style="margin: 10px;">


                            <div class="col-md-6 col-sm-6 col-xs-12" style="margin-top: 10px;">
                                <input type="text" id="nom_client" name="lastname" required="required" class="form-control " placeholder="Nom client *">
                            </div>




                            <div class="col-md-6 col-sm-6 col-xs-12" style="margin-top: 10px;">
                                <input type="text" id="prenom_client" name="firstname" class="form-control" placeholder="Prénom">
                            </div>




                            <div class="col-md-6 col-sm-6 col-xs-12" style="margin-top: 10px;">
                                <input id="email_client" class="form-control col-md-7 col-xs-12" required="required" type="text" name="email" placeholder="Email">
                            </div>

                            <div class="col-md-6 col-sm-6 col-xs-6" style="margin-top: 10px;">
                                <input id="password_client" class="form-control" type="password" style="text-align: center" name="password" placeholder="Mot de passe">
                            </div>

                        </div>



                        <div class="row">
                            <div class="modal-footer">
                                <input type="submit" name="action" id="action_client" class="btn btn-info" style="background-color: #0D3349;border-radius: 0px;color: white;" value="Ajouter" />
                                <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                            </div>
                        </div>
                    </div>
                </div>

            </form>
        </div>
    </div>


@endsection
