@extends("../dashboard._blank")

@section("sidebar")
    @include("../dashboard._sidebar")
@endsection

@section("content")
    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>

            <div class="row">

                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h2><span style="color: #0c1423;"><i class="fa fa-star-half-o"></i> {{$boutique->nom_boutique}}</span> <i class="fa fa-arrow-circle-right"></i> Catégories <small>Liste des categories disponible sur votre boutique</small></h2>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">

                            @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            @if(session("success"))

                                <div class="alert alert-success">
                                    {{session('success')}}
                                </div>

                            @elseif(session("error"))

                                <div class="alert alert-danger">
                                    {{session('error')}}
                                </div>

                            @endif

                            @php
                                $concerv=new \App\Http\Controllers\Admin_Controller();

                                 $etat=$concerv->get_concerver_etat('categorie');

                            @endphp

                            <div class="col-md-12" style="margin-bottom: 10px;">

                                <button  data-toggle="modal" data-target="#categorieModal" id="add_category" class="btn btn-default" style="background-color: #0D3349;border-radius: 0px;color: white;"><i class="fa fa-plus-circle"></i> Ajouter</button>

                                <a href="{{route('gerer_boutique',$boutique->id)}}" class="btn btn-default" style="color: #0D3349;-webkit-border-radius: 0px;-moz-border-radius: 0px;border-radius: 0px;"><i class="fa fa-list"></i> Menu</a>

                            </div>


                            <div class="table table-responsive">
                                <table id="datatable-buttons" data-action="" class="table table-responsive table-striped table-bordered">
                                    <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>Nom</th>
                                        <th>description</th>
                                        <th>Action</th>
                                    </tr>
                                    </thead>


                                    <tbody>
                                    @foreach($categories as $key => $category)
                                        <tr>
                                            <td>{{$category['id']}}</td>
                                            <td>{{$category['name']['language'][0]}}</td>
                                            <td>{!!  (is_string($category['description']['language'][0]))?$category['description']['language'][0]:'-'!!}</td>
                                            <td class="text-center">

                                               <div class="btn-group">
                                                    <button style="background: #375980;" type="button" class="btn btn-primary btn-sm dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> Actions <span class="caret"></span></button>


                                                   <ul class="dropdown-menu"><li><a data-slug="{{$category['id']}}" data-url="{{route('categories.edit',$category['id'])}}" data-url2="{{route('categories.update',$category['id'])}}" class="modifier_category">Modifier</a></li>

                                                        <li> <a href="{{route('categories.delete')}}" class="supprimer" onclick="return confirm('êtes vous sûr de vouloir suprimer cet enseigne');">Supprimer</a></li>
                                                    </ul></div>
                                            </td>
                                        </tr>

                                        @endforeach

                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>


            </div>
        </div>
    </div>

    <!-- /page content -->

    <div id="categorieModal" class="modal fade">
        <div class="modal-dialog">
            <form method="post" id="categorie_form"  enctype="multipart/form-data">
                @csrf

                <div class="modal-content" style="border-radius: 0px;">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title"><i class="fa fa-plus"></i> Ajouter une categorie </h4>
                    </div>
                    <div class="modal-body">

                        <div class="row" style="margin: 10px;">

                            <div class="col-md-12 col-sm-12 col-xs-12">
                                <input type="text" id="nom_categorie" name="name" required="required" class="form-control col-md-7 col-xs-12" placeholder="Nom categorie *">
                            </div>

                        </div>


                        <div class="row" style="margin: 10px;">
                            <div class="col-md-12 col-sm-12 col-xs-12">
                                <textarea id="description_categorie" class="form-control col-md-7 col-xs-12" name="description" rows="5" placeholder="Décription de la catégorie"></textarea>
                            </div>
                        </div>



                        <div class="row">
                            <div class="modal-footer">
                                 <input type="submit" name="action" id="action_categorie" class="btn btn-info" style="background-color: #0D3349;border-radius: 0px;color: white;" value="Ajouter" />
                                <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                            </div>
                        </div>
                    </div>
                </div>

            </form>
        </div>

    </div>
@endsection


@section('script')
    @include('../dashboard.scripts.categories_script')
@endsection