@extends("../dashboard._blank")

@section("sidebar")
    @include("../dashboard._sidebar")
@endsection

@section("content")
    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>

            <div class="row">

                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h2><span style="color: #0c1423;"><i class="fa fa-star-half-o"></i> {{$boutique->nom_boutique}}</span> <i class="fa fa-arrow-circle-right"></i> Commandes <small> Liste des commandes disponibles dans votre boutique</small></h2>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">

                                    @if ($errors->any())
                                        <div class="alert alert-danger">
                                            <ul>
                                                @foreach ($errors->all() as $error)
                                                    <li>{{ $error }}</li>
                                                @endforeach
                                            </ul>
                                        </div>
                                    @endif
                                    @if(session("success"))

                                        <div class="alert alert-success">
                                            {{session('success')}}
                                        </div>

                                    @elseif(session("error"))

                                        <div class="alert alert-danger">
                                            {{session('error')}}
                                        </div>

                                    @endif

                                        @php
                                            $concerv=new \App\Http\Controllers\Admin_Controller();

                                             $etat=$concerv->get_concerver_etat('command');

                                        @endphp


                                        <div class="col-sm-12" style="margin-bottom: 30px;">
                                            <a href="{{route('gerer_boutique',$boutique->id)}}" class="btn btn-default" style="color: #0D3349;-webkit-border-radius: 0px;-moz-border-radius: 0px;border-radius: 0px;"><i class="fa fa-list"></i> Menu</a>
                                        </div>
                            <div class="table table-responsive">

                            <table id="datatable-buttons" data-action="" class="table table-responsive table-striped table-bordered">
                                <thead>
                                <tr>
                                    <th>N°</th>
                                    <th>Référence</th>
                                    <th>Livraison</th>
                                    <th>Client</th>
                                    <th>Total payement</th>
                                    <th>Etat</th>
                                    <th>Paiement par</th>
                                    <th>Date</th>

                                </tr>
                                </thead>


                                <tbody>
                                @foreach($orders as $order)
                                <tr>
                                    <td>{{$order['id']}}</td>
                                    <td>{{$order['reference']}}</td>

                                    <td>@if($order['delivery_number']==1) <i class="fa fa-check" style="color: #1f804a;"></i> @else <i class="fa fa-close" style="color: #b40808;"></i>  @endif</td>

                                    <td>

                                        @foreach($customers as $customer)
                                            @if($customer['id']==$order['id_customer'])
                                                {{$customer['lastname']}} {{$customer['firstname']}}
                                            @endif
                                        @endforeach

                                    </td>
                                    <td>{{$order['total_paid']}}</td>
                                    <td>{{$order['current_state']}}</td>
                                    <td>{{$order['payment']}}</td>
                                    <td>{{$order['date_add']}}</td>
                                </tr>
    @endforeach

                                </tbody>
                            </table>
                        </div>
                        </div>
                    </div>
                </div>


            </div>
        </div>
    </div>
    <!-- /page content -->

        <div id="commandModal" class="modal fade">
            <div class="modal-dialog">
                <form method="post" id="command_form"  enctype="multipart/form-data">
                    @csrf

                    <div class="modal-content" style="border-radius: 0px;">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                            <h4 class="modal-title"><i class="fa fa-plus"></i> Ajouter une commande </h4>
                        </div>
                        <div class="modal-body">

                            <input type="hidden" name="id_user_fk_command" value="{{\Illuminate\Support\Facades\Session::get('user')['id']}}">

                            <div class="row" style="margin: 10px;">

                                <div class="col-md-12 col-sm-12 col-xs-12">
                                    <input type="text" id="reference" name="reference" required="required" class="form-control col-md-7 col-xs-12" placeholder="Référence *">
                                </div>

                            </div>

                            <div class="row" style="margin: 10px;">
                                <div class="col-md-12 col-sm-12 col-xs-12">
                                    <select class="choosen form-control" >
                                        <option value="">Type de client</option>
                                        <option value="1">Oui</option>
                                        <option value="0">Non</option>
                                    </select>
                                </div>
                            </div>




                            <div class="row" style="margin: 10px;">


                                <div class="col-md-12 col-sm-12 col-xs-12">

                                    <select id="pays" class="form-control col-md-7 col-xs-12 choosen" required="required" name="pays_command">
                                        <option value="Benin">Livraison </option>
                                        <option value="Benin">Benin </option>
                                        <option value="Burkina Faso">Burkina Faso </option>
                                        <option value="Cote d'Ivoire">Côte d'Ivoire </option>
                                        <option value="Guinee Bissau">Guinee Bissau </option>
                                        <option value="Mali">Mali </option>
                                        <option value="Niger">Niger </option>
                                        <option value="Senegal">Senegal </option>
                                        <option value="Togo">Togo </option>
                                        <option value="France">France </option>
                                        <option value="Afghanistan">Afghanistan </option>
                                        <option value="Afrique Centrale">Afrique Centrale </option>
                                        <option value="Afrique du sud">Afrique du Sud </option>
                                        <option value="Albanie">Albanie </option>
                                        <option value="Algerie">Algerie </option>
                                        <option value="Allemagne">Allemagne </option>
                                        <option value="Andorre">Andorre </option>
                                        <option value="Angola">Angola </option>
                                        <option value="Anguilla">Anguilla </option>
                                        <option value="Arabie Saoudite">Arabie Saoudite </option>
                                        <option value="Argentine">Argentine </option>
                                        <option value="Armenie">Armenie </option>
                                        <option value="Australie">Australie </option>
                                        <option value="Autriche">Autriche </option>
                                        <option value="Azerbaidjan">Azerbaidjan </option>
                                        <option value="Bahamas">Bahamas </option>
                                        <option value="Bangladesh">Bangladesh </option>
                                        <option value="Barbade">Barbade </option>
                                        <option value="Bahrein">Bahrein </option>
                                        <option value="Belgique">Belgique </option>
                                        <option value="Belize">Belize </option>
                                        <option value="Bermudes">Bermudes </option>
                                        <option value="Bielorussie">Bielorussie </option>
                                        <option value="Bolivie">Bolivie </option>
                                        <option value="Botswana">Botswana </option>
                                        <option value="Bhoutan">Bhoutan </option>
                                        <option value="Boznie Herzegovine">Boznie Herzegovine </option>
                                        <option value="Bresil">Bresil </option>
                                        <option value="Brunei">Brunei </option>
                                        <option value="Bulgarie">Bulgarie </option>
                                        <option value="Burundi">Burundi </option>
                                        <option value="Caiman">Caiman </option>
                                        <option value="Cambodge">Cambodge </option>
                                        <option value="Cameroun">Cameroun </option>
                                        <option value="Canada">Canada </option>
                                        <option value="Canaries">Canaries </option>
                                        <option value="Cap vert">Cap Vert </option>
                                        <option value="Chili">Chili </option>
                                        <option value="Chine">Chine </option>
                                        <option value="Chypre">Chypre </option>
                                        <option value="Colombie">Colombie </option>
                                        <option value="Comores">Colombie </option>
                                        <option value="Congo">Congo </option>
                                        <option value="Congo democratique">Congo democratique </option>
                                        <option value="Cook">Cook </option>
                                        <option value="Coree du Nord">Coree du Nord </option>
                                        <option value="Coree du Sud">Coree du Sud </option>
                                        <option value="Costa Rica">Costa Rica </option>
                                        <option value="Croatie">Croatie </option>
                                        <option value="Cuba">Cuba </option>
                                        <option value="Danemark">Danemark </option>
                                        <option value="Djibouti">Djibouti </option>
                                        <option value="Dominique">Dominique </option>
                                        <option value="Egypte">Egypte </option>
                                        <option value="Emirats Arabes Unis">Emirats Arabes Unis </option>
                                        <option value="Equateur">Equateur </option>
                                        <option value="Erythree">Erythree </option>
                                        <option value="Espagne">Espagne </option>
                                        <option value="Estonie">Estonie </option>
                                        <option value="Etats Unis">Etats Unis </option>
                                        <option value="Ethiopie">Ethiopie </option>
                                        <option value="Falkland">Falkland </option>
                                        <option value="Feroe">Feroe </option>
                                        <option value="Fidji">Fidji </option>
                                        <option value="Finlande">Finlande </option>
                                        <option value="France">France </option>
                                        <option value="Gabon">Gabon </option>
                                        <option value="Gambie">Gambie </option>
                                        <option value="Georgie">Georgie </option>
                                        <option value="Ghana">Ghana </option>
                                        <option value="Gibraltar">Gibraltar </option>
                                        <option value="Grece">Grece </option>
                                        <option value="Grenade">Grenade </option>
                                        <option value="Groenland">Groenland </option>
                                        <option value="Guadeloupe">Guadeloupe </option>
                                        <option value="Guam">Guam </option>
                                        <option value="Guatemala">Guatemala</option>
                                        <option value="Guernesey">Guernesey </option>
                                        <option value="Guinee">Guinee </option>
                                        <option value="Guinee equatoriale">Guinee Equatoriale </option>
                                        <option value="Guyana">Guyana </option>
                                        <option value="Guyane Francaise ">Guyane Francaise </option>
                                        <option value="Haiti">Haiti </option>
                                        <option value="Hawaii">Hawaii </option>
                                        <option value="Honduras">Honduras </option>
                                        <option value="Hong Kong">Hong Kong </option>
                                        <option value="Hongrie">Hongrie </option>
                                        <option value="Inde">Inde </option>
                                        <option value="Indonesie">Indonesie </option>
                                        <option value="Iran">Iran </option>
                                        <option value="Iraq">Iraq </option>
                                        <option value="Irlande">Irlande </option>
                                        <option value="Islande">Islande </option>
                                        <option value="Israel">Israel </option>
                                        <option value="Italie">italie </option>
                                        <option value="Jamaique">Jamaique </option>
                                        <option value="Jan Mayen">Jan Mayen </option>
                                        <option value="Japon">Japon </option>
                                        <option value="Jersey">Jersey </option>
                                        <option value="Jordanie">Jordanie </option>
                                        <option value="Kazakhstan">Kazakhstan </option>
                                        <option value="Kenya">Kenya </option>
                                        <option value="Kirghizstan">Kirghizistan </option>
                                        <option value="Kiribati">Kiribati </option>
                                        <option value="Koweit">Koweit </option>
                                        <option value="Laos">Laos </option>
                                        <option value="Lesotho">Lesotho </option>
                                        <option value="Lettonie">Lettonie </option>
                                        <option value="Liban">Liban </option>
                                        <option value="Liberia">Liberia </option>
                                        <option value="Liechtenstein">Liechtenstein </option>
                                        <option value="Lituanie">Lituanie </option>
                                        <option value="Luxembourg">Luxembourg </option>
                                        <option value="Lybie">Lybie </option>
                                        <option value="Macao">Macao </option>
                                        <option value="Macedoine">Macedoine </option>
                                        <option value="Madagascar">Madagascar </option>
                                        <option value="Madère">Madère </option>
                                        <option value="Malaisie">Malaisie </option>
                                        <option value="Malawi">Malawi </option>
                                        <option value="Maldives">Maldives </option>
                                        <option value="Malte">Malte </option>
                                        <option value="Man">Man </option>
                                        <option value="Mariannes du Nord">Mariannes du Nord </option>
                                        <option value="Maroc">Maroc </option>
                                        <option value="Marshall">Marshall </option>
                                        <option value="Martinique">Martinique </option>
                                        <option value="Maurice">Maurice </option>
                                        <option value="Mauritanie">Mauritanie </option>
                                        <option value="Mayotte">Mayotte </option>
                                        <option value="Mexique">Mexique </option>
                                        <option value="Micronesie">Micronesie </option>
                                        <option value="Midway">Midway </option>
                                        <option value="Moldavie">Moldavie </option>
                                        <option value="Monaco">Monaco </option>
                                        <option value="Mongolie">Mongolie </option>
                                        <option value="Montserrat">Montserrat </option>
                                        <option value="Mozambique">Mozambique </option>
                                        <option value="Namibie">Namibie </option>
                                        <option value="Nauru">Nauru </option>
                                        <option value="Nepal">Nepal </option>
                                        <option value="Nicaragua">Nicaragua </option>
                                        <option value="Nigeria">Nigeria </option>
                                        <option value="Niue">Niue </option>
                                        <option value="Norfolk">Norfolk </option>
                                        <option value="Norvege">Norvege </option>
                                        <option value="Nouvelle Caledonie">Nouvelle Caledonie </option>
                                        <option value="Nouvelle Zelande">Nouvelle Zelande </option>
                                        <option value="Oman">Oman </option>
                                        <option value="Ouganda">Ouganda </option>
                                        <option value="Ouzbekistan">Ouzbekistan </option>
                                        <option value="Pakistan">Pakistan </option>
                                        <option value="Palau">Palau </option>
                                        <option value="Palestine">Palestine </option>
                                        <option value="Panama">Panama </option>
                                        <option value="Papouasie Nouvelle Guinee">Papouasie Nouvelle Guinee </option>
                                        <option value="Paraguay">Paraguay </option>
                                        <option value="Pays Bas">Pays Bas </option>
                                        <option value="Perou">Perou </option>
                                        <option value="Philippines">Philippines </option>
                                        <option value="Pologne">Pologne </option>
                                        <option value="Polynesie">Polynesie </option>
                                        <option value="Porto Rico">Porto Rico </option>
                                        <option value="Portugal">Portugal </option>
                                        <option value="Qatar">Qatar </option>
                                        <option value="Republique Dominicaine">Republique Dominicaine </option>
                                        <option value="Republique Tcheque">Republique Tcheque </option>
                                        <option value="Reunion">Reunion </option>
                                        <option value="Roumanie">Roumanie </option>
                                        <option value="Royaume Uni">Royaume Uni </option>
                                        <option value="Russie">Russie </option>
                                        <option value="Rwanda">Rwanda </option>
                                        <option value="Sahara Occidental">Sahara Occidental </option>
                                        <option value="Sainte Lucie">Sainte Lucie </option>
                                        <option value="Saint Marin">Saint Marin </option>
                                        <option value="Salomon">Salomon </option>
                                        <option value="Salvador">Salvador </option>
                                        <option value="Samoa Occidentales">Samoa Occidentales</option>
                                        <option value="Samoa Americaine">Samoa Americaine </option>
                                        <option value="Sao Tome et Principe">Sao Tome et Principe </option>
                                        <option value="Seychelles">Seychelles </option>
                                        <option value="Sierra Leone">Sierra Leone </option>
                                        <option value="Singapour">Singapour </option>
                                        <option value="Slovaquie">Slovaquie </option>
                                        <option value="Slovenie">Slovenie</option>
                                        <option value="Somalie">Somalie </option>
                                        <option value="Soudan">Soudan </option>
                                        <option value="Sri Lanka">Sri Lanka </option>
                                        <option value="Suede">Suede </option>
                                        <option value="Suisse">Suisse </option>
                                        <option value="Surinam">Surinam </option>
                                        <option value="Swaziland">Swaziland </option>
                                        <option value="Syrie">Syrie </option>
                                        <option value="Tadjikistan">Tadjikistan </option>
                                        <option value="Taiwan">Taiwan </option>
                                        <option value="Tonga">Tonga </option>
                                        <option value="Tanzanie">Tanzanie </option>
                                        <option value="Tchad">Tchad </option>
                                        <option value="Thailande">Thailande </option>
                                        <option value="Tibet">Tibet </option>
                                        <option value="Timor Oriental">Timor Oriental </option>
                                        <option value="Trinite et Tobago">Trinite et Tobago </option>
                                        <option value="Tristan da cunha">Tristan de cuncha </option>
                                        <option value="Tunisie">Tunisie </option>
                                        <option value="Turkmenistan">Turmenistan </option>
                                        <option value="Turquie">Turquie </option>
                                        <option value="Ukraine">Ukraine </option>
                                        <option value="Uruguay">Uruguay </option>
                                        <option value="Vanuatu">Vanuatu </option>
                                        <option value="Vatican">Vatican </option>
                                        <option value="Venezuela">Venezuela </option>
                                        <option value="Vierges Americaines">Vierges Americaines </option>
                                        <option value="Vierges Britanniques">Vierges Britanniques </option>
                                        <option value="Vietnam">Vietnam </option>
                                        <option value="Wake">Wake </option>
                                        <option value="Wallis et Futuma">Wallis et Futuma </option>
                                        <option value="Yemen">Yemen </option>
                                        <option value="Yougoslavie">Yougoslavie </option>
                                        <option value="Zambie">Zambie </option>
                                        <option value="Zimbabwe">Zimbabwe </option>

                                    </select>

                                </div>
                            </div>


                            <div class="row" style="margin: 10px;">

                                <div class="col-md-12 col-sm-12 col-xs-12">
                                    <input id="client" class="form-control col-md-7 col-xs-12" type="text" name="client" placeholder="Client">
                                </div>

                            </div>

                            <div class="row" style="margin: 10px;">

                                <div class="col-md-12 col-sm-12 col-xs-12">
                                    <input id="total_payement" class="form-control col-md-7 col-xs-12" type="text" name="total_payement" placeholder="Total payement">
                                </div>

                            </div>

                            <div class="row" style="margin: 10px;">

                                <div class="col-md-12 col-sm-12 col-xs-12">
                                    <select class="form-control choosen">
                                        <option value="" selected="selected">Etat</option>
                                        <option value="6">Annulé</option>
                                        <option value="13">En attente de paiement à la livraison</option>
                                        <option value="12">En attente de réapprovisionnement (non payé)</option>
                                        <option value="9">En attente de réapprovisionnement (payé)</option>
                                        <option value="10">En attente de virement bancaire</option>
                                        <option value="1">En attente du paiement par chèque</option>
                                        <option value="3">En cours de préparation</option>
                                        <option value="8">Erreur de paiement</option>
                                        <option value="4">Expédié</option>
                                        <option value="5">Livré</option>
                                        <option value="11">Paiement à distance accepté</option>
                                        <option value="2">Paiement accepté</option>
                                        <option value="7">Remboursé</option>
                                    </select>
                                </div>

                            </div>

                            <div class="row" style="margin: 10px;">

                                <div class="col-md-12 col-sm-12 col-xs-12">
                                    Date
                                    <input id="date" class="form-control col-md-7 col-xs-12" type="date" name="gps_command" placeholder="">
                                </div>
                            </div>


                        <div class="row">
                            <div class="modal-footer">
                                <input type="hidden" name="user_fk_command" id="user_fk_command" value="{{\Illuminate\Support\Facades\Session::get('user')['slug']}}" class="form-control" required/>
                                <input type="submit" name="action" id="action_command" class="btn btn-info" style="background-color: #0D3349;border-radius: 0px;color: white;" value="Ajouter" />
                                <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                            </div>
                        </div>
                    </div>
            </div>

            </form>
        </div>


@endsection
