@extends("../dashboard._blank")

@section("sidebar")
    @include("../dashboard._sidebar")
@endsection

@section("content")
    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>

            <div class="row">

                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h2><span style="color: #0c1423;"><i class="fa fa-star-half-o"></i> {{$boutique->nom_boutique}}</span> <i class="fa fa-arrow-circle-right"></i> produits <small>Liste des produits de votre boutiques</small></h2>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">

                            @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            @if(session("success"))

                                <div class="alert alert-success">
                                    {{session('success')}}
                                </div>

                            @elseif(session("error"))

                                <div class="alert alert-danger">
                                    {{session('error')}}
                                </div>

                            @endif

                            @php
                                $concerv=new \App\Http\Controllers\Admin_Controller();

                                 $etat=$concerv->get_concerver_etat('produit');

                            @endphp

                            <div class="col-md-12" style="margin-bottom: 10px;">
                                
                                <button  data-toggle="modal" data-target="#produitModal" id="add_produit" class="btn btn-default" style="background-color: #0D3349;border-radius: 0px;color: white;"><i class="fa fa-plus-circle"></i> Ajouter</button>

                                <a href="{{route('gerer_boutique',$boutique->id)}}" class="btn btn-default" style="color: #0D3349;-webkit-border-radius: 0px;-moz-border-radius: 0px;border-radius: 0px;"><i class="fa fa-list"></i> Menu</a>
                            </div>


                            <div class="table table-responsive">
                                <table id="datatable-buttons" class="table table-responsive table-striped table-bordered">
                                    <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>Image</th>
                                        <th>Nom</th>
                                        <th>Référence</th>
                                        <th>Catégorie</th>
                                        <th>Montant HT</th>
                                        <th>Quantité</th>
                                        <th>Action</th>
                                    </tr>
                                    </thead>


                                    <tbody>

                                    @foreach($produits as $produit)
                                        <tr>
                                            <td>{{$produit['id']}}</td>
                                            <td>
                                                @foreach($image_boutiques as $image)
                                                    @if($image->product_id == $produit['id'] && $image->boutique==$boutique->nom_boutique)
                                                        <img src="{{asset('images/products/'.$image->name)}}" alt="" style="width: 50px;">
                                                        @break
                                                    @endif
                                                @endforeach
                                            </td>
                                            <td>{{(is_string($produit['name']['language'][0]))?$produit['name']['language'][0]:'-'}}</td>
                                            <td>{{(is_string($produit['reference']))?$produit['reference']:'-'}}</td>
                                            <td>
                                            @foreach($categories as $key => $category)
                                                @if($key==$produit['id_category_default'])
                                                {{$category}}
                                                    @break
                                                @endif
                                            @endforeach
                                            </td>
                                            <td>{{$produit['price']}}</td>
                                            <td>{{$produit['quantity']}}</td>
                                            <td>

                                                <div class="btn-group">
                                                    <button style="background: #375980;" type="button" class="btn btn-primary btn-sm dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> Actions <span class="caret"></span></button>

                                                    <ul class="dropdown-menu"><li><a data-slug="{{$produit['id']}}" data-url="{{route('products.edit',$produit['id'])}}" data-url2="{{route('products.update',$produit['id'])}}" class="modifier_produit">Modifier</a></li>

                                                        <li> <a href="{{route('products.delete')}}" class="supprimer" onclick="return confirm('êtes vous sûr de vouloir suprimer cet enseigne');">Supprimer</a></li>
                                                    </ul></div>
                                            </td>
                                        </tr>

                                        @endforeach

                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>


            </div>
        </div>
    </div>
    <!-- /page content -->

    <div id="produitModal" class="modal fade">
        <div class="modal-dialog">
            <form method="post" id="produit_form"  enctype="multipart/form-data">
                @csrf

                <div class="modal-content" style="border-radius: 0px;">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title"><i class="fa fa-plus"></i> Ajouter une produit </h4>
                    </div>
                    <div class="modal-body">
                        <input type="hidden" value="{{$boutique->nom_boutique}}" name="boutique">
                        <div class="col-ting" style="">
                            <div class="control-group file-upload" id="file-upload1">
                                <div class="image-box text-center" id="photo_produit"  style=""><p id="photo_produit"  style="background-size: contain;background-position: center;color: white;font-weight: bold;">Ajouter une image<br><i class="fa fa-camera"></i></p><img src="" alt=""></div>
                                <div class="controls"><input type="file" name="image"/></div>
                            </div>
                        </div>

                        <div class="row" style="margin: 10px;">

                            <div class="col-md-6 col-sm-6 col-xs-12" style="margin-top: 10px;">
                                <input type="text" id="nom_produit" name="name" required="required" class="form-control col-md-7 col-xs-12" placeholder="Nom produit *">
                            </div>




                            <div class="col-md-6 col-sm-6 col-xs-12" style="margin-top: 10px;">
                                <input type="text" id="reference_produit" name="reference_produit" class="form-control col-md-7 col-xs-12" placeholder="Référence">
                            </div>






                            <div class="col-md-12 col-sm-12 col-xs-12" style="margin-top: 10px;">

                                @php

                                    $helpers=new \App\Http\Controllers\HomeController();

                                    $categories=$helpers->listeCategory();

                                @endphp

                                <select name="category_id" class="form-control choosen" id="categorie_produit">

                                    <option>Choisir une catégorie</option>

                                        {!!  $categories!!}


                                </select>
                               </div>




                            <div class="col-md-6 col-sm-6 col-xs-12" style="margin-top: 10px;">
                                <input id="montant_produit" class="form-control col-md-7 col-xs-12" required="required" type="text" name="price" placeholder="Montant TTC">
                            </div>


                            <div class="col-md-6 col-sm-6 col-xs-12" style="margin-top: 10px;">
                                <input id="montant_achat_produit" class="form-control col-md-7 col-xs-12" required="required" type="text" name="wholesale_price" placeholder="Prix d'achat *">
                            </div>


                            <div class="col-md-12 col-sm-12 col-xs-12" style="margin-top: 10px;">
                                <textarea  name="description" id="description_produit" rows="10" style="width: 100%;" placeholder="description"></textarea>
                            </div>



</div>

                        <div class="row">
                            <div class="modal-footer">
                                <input type="submit" name="action" id="action_produit" class="btn btn-info" style="background-color: #0D3349;border-radius: 0px;color: white;" value="Ajouter" />
                                <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                            </div>
                        </div>
                    </div>
                </div>

            </form>
        </div>


@endsection


@section('script')
    @include('../dashboard.scripts.produits_script')
@endsection