@extends("../dashboard._blank")

@section("sidebar")
    @include("../dashboard._sidebar")
@endsection

@section("content")
    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>

            <div class="row">

                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h2><span style="color: #0c1423;"><i class="fa fa-star-half-o"></i> {{$boutique->nom_boutique}}</span> <i class="fa fa-arrow-circle-right"></i> Stocks <small>Liste des stocks de votre boutique</small></h2>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">

                            @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            @if(session("success"))

                                <div class="alert alert-success">
                                    {{session('success')}}
                                </div>

                            @elseif(session("error"))

                                <div class="alert alert-danger">
                                    {{session('error')}}
                                </div>

                            @endif


                                <div class="col-sm-12" style="margin-bottom: 30px;">
                                    <a href="{{route('gerer_boutique',$boutique->id)}}" class="btn btn-default" style="color: #0D3349;-webkit-border-radius: 0px;-moz-border-radius: 0px;border-radius: 0px;"><i class="fa fa-list"></i> Menu</a>

                                </div>

                            <div class="table table-responsive">
                                <table id="datatable-buttons" class="table table-responsive table-striped table-bordered">
                                    <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>Produit</th>
                                        <th>Référence</th>
                                        <th>Fournisseur</th>
                                        <th>Etat</th>
                                        <th>Physique</th>
                                        <th>Réservé</th>
                                        <th>Disponible</th>
                                        <th>Modifier le stock</th>
                                    </tr>
                                    </thead>


                                    <tbody>
                                 @foreach($stocks as $stock)

                                     @for($i=0;$i<count($liststocks);$i++)

                                         @if($stock['id']==$liststocks[$i]['id_product'])
                                          @php   $valuable=$liststocks[$i]['quantity']; @endphp

                                         @endif

                                     @endfor
                                    <tr>
                                        <td>{{$stock['id']}}</td>
                                        <td>{{is_string($stock['name']['language'][0])?$stock['name']['language'][0] :'-'}}</td>

                                        <td>{{is_string($stock['reference'])?$stock['reference']:'-'}}</td>

                                        <td></td>

                                        <td>
                                            @if($stock['state']==1)
                                            <i class="fa fa-check" style="color: #1f804a;"></i>
                                            @else
                                                <i class="fa fa-close" style="color: #b40808;"></i>
                                            @endif
                                        </td>
                                        <td>
                                            {{$valuable}}
                                        </td>
                                        <td></td>
                                        <td>
                                           {{$valuable}}
                                        </td>
                                        <td>
                                            <form action="{{route('stock.create',$stock['id'])}}" method="post">
                                                @csrf
                                                @method('put')
                                                <div class="form-group">
                                                <input type="text" class="form-control input-group" name="quantity" style="width: 70px">
                                                <button type="submit" class="btn btn-success input-group" style="margin-top: -16px;border-radius: 0px"><i class="fa fa-check"></i></button>
                                                </div>
                                            </form>
                                        </td>

                                    </tr>
@endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>


            </div>
        </div>
    </div>
    <!-- /page content -->

@endsection