@extends("../dashboard._blank")

@section("sidebar")
    @include("../dashboard._sidebar")
@endsection

@section("content")
    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>

            <div class="row">

                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h2>Entreprise <small>Liste des enseignes disponibles sur SUNMARKET <a href=""> en savoir plus</a></small></h2>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">

                                    <div class="col-md-12" style="margin-bottom: 10px;"><button  data-toggle="modal" data-target="#enseigneModal" id="add_enseigne" class="btn btn-default" style="background-color: #0D3349;border-radius: 0px;color: white;"><i class="fa fa-plus-circle"></i> Ajouter</button></div>

                                        <div class="col-xs-12">
                                            <div class="table-responsive">
                                                <table id="categoriedatatable-buttons"  class="table table-responsive-xs table-striped table-bordered">
                                                <thead>
                                <tr>
                                    <th>N°</th>
                                    <th>Logo</th>
                                    <th>Nom Enseigne</th>
                                    <th>Email</th>
                                    <th>Administrateur</th>
                                    <th>Date de création</th>
                                    <th>Action</th>
                                </tr>
                                </thead>


                                <tbody>
                                @php $i=1;  @endphp
                                @foreach($enseignes as $enseigne)

                                    <tr>

                                        <td>{{$i++}}</td>
                                        <td style="height: 50px;line-height: 50px">
                                            @if(isset($enseigne->logo_enseigne) and $enseigne->logo_enseigne != "")
                                            <img style='width:50px;height:50px;border-radius: 100%' src="{{asset('Logo_enseigne/'.$enseigne->logo_enseigne)}}">
                                            @else
                                                <img style='width:50px;height:50px;border-radius: 100%' src="{{asset('images/logo_mini.jpg')}}">
                                            @endif
                                        </td>
                                        <td>{{$enseigne->nom_enseigne}}</td>
                                        <td>{{$enseigne->email_enseigne}}</td>
                                        <td>
                                            @foreach($users as $user)
                                                @if($user->id ==$enseigne->id_user_fk_enseigne)
                                                {{$user->username}}
                                                @break
                                                @endif
                                            @endforeach
                                        </td>
                                        <td>{{$enseigne->created_at->format('d/m/Y à H:i:s')}}</td>
                                        <td>
                                            <a data-slug="{{$enseigne->slug}}" data-url="{{url('get_enseigne', $enseigne->slug)}}" class="modifier_enseigne btn btn-xs btn-warning">Modifier</a>
                                            <a href="{{url('delete_enseigne', $enseigne->slug)}}" class="supprimer btn btn-xs btn-danger user_action" data-texte="Êtes vous sur de vouloir suprimé l'entreprise {{$enseigne->nom_enseigne}}" >Supprimer</a>
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
</div>
                        </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- /page content -->

        <div id="enseigneModal" class="modal fade">
            <div class="modal-dialog">
                <form method="post" id="enseigne_form"  enctype="multipart/form-data">
                    @csrf

                    <div class="modal-content" style="border-radius: 0px;">
                        <div class="modal-header">
                            <h4 class="modal-title"><i class="fa fa-plus"></i> Ajouter une enseigne </h4>
                        </div>
                        <div class="modal-body">

                            <input type="hidden" name="id_user_fk_enseigne" value="{{\Illuminate\Support\Facades\Session::get('user')['id']}}">
                            <div class=" col-sm-12 col-xs-12 text-center" style="margin-bottom: 3em;">
                                <div class="control-group file-upload" id="file-upload1">
                                    <div class="image-box text-center" id="photo_enseigne"  style=""><p id="photo_enseigne"  style="background-size: contain;background-position: center;color: white;font-weight: bold;">Ajouter un logo<br><i class="fa fa-camera"></i></p><img src="" alt=""></div>
                                    <div class="controls"><input type="file" name="logo_enseigne"/></div>
                                </div>
                            </div>

                            <div class="row" style="margin: 10px;">


                        <div class="col-sm-12 col-md-12">
                            <div class="row">

                            <div class="col-md-6 col-sm-12 col-xs-12 form-group">
                                    <label for="nom_enseigne">Nom de l'entreprise <span>*</span></label>
                                    <input type="text" id="nom_enseigne" name="nom_enseigne" onblur="check_error(['nom_enseigne'])" data-input_name="nom de l'entreprise" required="required" class="form-control " placeholder="Nom Enseigne *">
                                <span id="nom_enseigneerror"></span>
                                </div>

                                <div class="col-md-6 col-sm-12 col-xs-12 form-group">
                                    <label for="slogan_enseigne">Slogan de l'entreprise</label>
                                    <input type="text" id="slogan_enseigne" name="slogan_enseigne" class="form-control " placeholder="slogan">
                                </div>


                            </div>
                        </div>

                                <div class="col-sm-12 col-md-12">
                                    <div class="row">

                                    <div class="col-md-6 col-sm-12 col-xs-12 form-group">
                                    <label for="phone">Numéro de téléphone</label>
                                    <input id="phone" style="width: 100%;" class="form-control" type="tel" oninput="this.value=this.value.replace(/(?![0-9])./gmi,'')" name="telephone_enseigne" placeholder="telephone *">
                                    <span id="valid-msg" class="hide">✓ Valid</span>
                                    <span id="error-msg" class="hide"></span>
                                </div>

                                <div class="col-md-6 col-sm-12 col-xs-12 form-group">
                                    <label for="email_enseigne">Adresse de méssagerie mail</label>
                                    <input id="email_enseigne" class="form-control " onblur="check_error(['email_enseigne'])" data-input_name="email" required="required" type="text" name="email_enseigne" placeholder="email *">
                                    <span id="email_enseigneerror"></span>
                                </div>


                                    </div>
                                </div>

                                <div class="col-sm-12 col-md-12">
                                    <div class="row">


                                    <div class="col-md-6 col-sm-12 col-xs-12 form-group">
                                    <label for="site_web">Site web</label>
                                    <input id="site_web" class="form-control" type="text" name="site_web_enseigne" placeholder="site_web">
                                </div>

                                <div class="col-md-6 col-sm-12 col-xs-12 form-group">
                                    <label for="pays">Pays</label>
                                    <select id="pays" class="form-control  choosen" data-input_name="pays" required="required" name="pays_enseigne">
                                        <option>Pays</option>
                                        <option value="BJ">Benin</option>
                                        <option value="BF">Burkina Faso</option>
                                        <option value="CI">Côte d'Ivoire</option>
                                        <option value="GN">Guinea</option>
                                        <option value="ML">Mali</option>
                                        <option value="NE">Niger</option>
                                        <option value="SN">Senegal</option>
                                        <option value="TG">Togo</option>
                                        <option value="AF">Afghanistan</option>
                                        <option value="AX">Åland Islands</option>
                                        <option value="AL">Albania</option>
                                        <option value="DZ">Algeria</option>
                                        <option value="AS">American Samoa</option>
                                        <option value="AD">Andorra</option>
                                        <option value="AO">Angola</option>
                                        <option value="AI">Anguilla</option>
                                        <option value="AQ">Antarctica</option>
                                        <option value="AG">Antigua and Barbuda</option>
                                        <option value="AR">Argentina</option>
                                        <option value="AM">Armenia</option>
                                        <option value="AW">Aruba</option>
                                        <option value="AU">Australia</option>
                                        <option value="AT">Austria</option>
                                        <option value="AZ">Azerbaijan</option>
                                        <option value="BS">Bahamas</option>
                                        <option value="BH">Bahrain</option>
                                        <option value="BD">Bangladesh</option>
                                        <option value="BB">Barbados</option>
                                        <option value="BY">Belarus</option>
                                        <option value="BE">Belgium</option>
                                        <option value="BZ">Belize</option>
                                        <option value="BM">Bermuda</option>
                                        <option value="BT">Bhutan</option>
                                        <option value="BO">Bolivia, Plurinational State of</option>
                                        <option value="BQ">Bonaire, Sint Eustatius and Saba</option>
                                        <option value="BA">Bosnia and Herzegovina</option>
                                        <option value="BW">Botswana</option>
                                        <option value="BV">Bouvet Island</option>
                                        <option value="BR">Brazil</option>
                                        <option value="IO">British Indian Ocean Territory</option>
                                        <option value="BN">Brunei Darussalam</option>
                                        <option value="BG">Bulgaria</option>
                                        <option value="BI">Burundi</option>
                                        <option value="KH">Cambodia</option>
                                        <option value="CM">Cameroon</option>
                                        <option value="CA">Canada</option>
                                        <option value="CV">Cape Verde</option>
                                        <option value="KY">Cayman Islands</option>
                                        <option value="CF">Central African Republic</option>
                                        <option value="TD">Chad</option>
                                        <option value="CL">Chile</option>
                                        <option value="CN">China</option>
                                        <option value="CX">Christmas Island</option>
                                        <option value="CC">Cocos (Keeling) Islands</option>
                                        <option value="CO">Colombia</option>
                                        <option value="KM">Comoros</option>
                                        <option value="CG">Congo</option>
                                        <option value="CD">Congo, the Democratic Republic of the</option>
                                        <option value="CK">Cook Islands</option>
                                        <option value="CR">Costa Rica</option>
                                        <option value="HR">Croatia</option>
                                        <option value="CU">Cuba</option>
                                        <option value="CW">Curaçao</option>
                                        <option value="CY">Cyprus</option>
                                        <option value="CZ">Czech Republic</option>
                                        <option value="DK">Denmark</option>
                                        <option value="DJ">Djibouti</option>
                                        <option value="DM">Dominica</option>
                                        <option value="DO">Dominican Republic</option>
                                        <option value="EC">Ecuador</option>
                                        <option value="EG">Egypt</option>
                                        <option value="SV">El Salvador</option>
                                        <option value="GQ">Equatorial Guinea</option>
                                        <option value="ER">Eritrea</option>
                                        <option value="EE">Estonia</option>
                                        <option value="ET">Ethiopia</option>
                                        <option value="FK">Falkland Islands (Malvinas)</option>
                                        <option value="FO">Faroe Islands</option>
                                        <option value="FJ">Fiji</option>
                                        <option value="FI">Finland</option>
                                        <option value="FR">France</option>
                                        <option value="GF">French Guiana</option>
                                        <option value="PF">French Polynesia</option>
                                        <option value="TF">French Southern Territories</option>
                                        <option value="GA">Gabon</option>
                                        <option value="GM">Gambia</option>
                                        <option value="GE">Georgia</option>
                                        <option value="DE">Germany</option>
                                        <option value="GH">Ghana</option>
                                        <option value="GI">Gibraltar</option>
                                        <option value="GR">Greece</option>
                                        <option value="GL">Greenland</option>
                                        <option value="GD">Grenada</option>
                                        <option value="GP">Guadeloupe</option>
                                        <option value="GU">Guam</option>
                                        <option value="GT">Guatemala</option>
                                        <option value="GG">Guernsey</option>
                                        <option value="GW">Guinea-Bissau</option>
                                        <option value="GY">Guyana</option>
                                        <option value="HT">Haiti</option>
                                        <option value="HM">Heard Island and McDonald Islands</option>
                                        <option value="VA">Holy See (Vatican City State)</option>
                                        <option value="HN">Honduras</option>
                                        <option value="HK">Hong Kong</option>
                                        <option value="HU">Hungary</option>
                                        <option value="IS">Iceland</option>
                                        <option value="IN">India</option>
                                        <option value="ID">Indonesia</option>
                                        <option value="IR">Iran, Islamic Republic of</option>
                                        <option value="IQ">Iraq</option>
                                        <option value="IE">Ireland</option>
                                        <option value="IM">Isle of Man</option>
                                        <option value="IL">Israel</option>
                                        <option value="IT">Italy</option>
                                        <option value="JM">Jamaica</option>
                                        <option value="JP">Japan</option>
                                        <option value="JE">Jersey</option>
                                        <option value="JO">Jordan</option>
                                        <option value="KZ">Kazakhstan</option>
                                        <option value="KE">Kenya</option>
                                        <option value="KI">Kiribati</option>
                                        <option value="KP">Korea, Democratic People's Republic of</option>
                                        <option value="KR">Korea, Republic of</option>
                                        <option value="KW">Kuwait</option>
                                        <option value="KG">Kyrgyzstan</option>
                                        <option value="LA">Lao People's Democratic Republic</option>
                                        <option value="LV">Latvia</option>
                                        <option value="LB">Lebanon</option>
                                        <option value="LS">Lesotho</option>
                                        <option value="LR">Liberia</option>
                                        <option value="LY">Libya</option>
                                        <option value="LI">Liechtenstein</option>
                                        <option value="LT">Lithuania</option>
                                        <option value="LU">Luxembourg</option>
                                        <option value="MO">Macao</option>
                                        <option value="MK">Macedonia, the former Yugoslav Republic of</option>
                                        <option value="MG">Madagascar</option>
                                        <option value="MW">Malawi</option>
                                        <option value="MY">Malaysia</option>
                                        <option value="MV">Maldives</option>
                                        <option value="MT">Malta</option>
                                        <option value="MH">Marshall Islands</option>
                                        <option value="MQ">Martinique</option>
                                        <option value="MR">Mauritania</option>
                                        <option value="MU">Mauritius</option>
                                        <option value="YT">Mayotte</option>
                                        <option value="MX">Mexico</option>
                                        <option value="FM">Micronesia, Federated States of</option>
                                        <option value="MD">Moldova, Republic of</option>
                                        <option value="MC">Monaco</option>
                                        <option value="MN">Mongolia</option>
                                        <option value="ME">Montenegro</option>
                                        <option value="MS">Montserrat</option>
                                        <option value="MA">Morocco</option>
                                        <option value="MZ">Mozambique</option>
                                        <option value="MM">Myanmar</option>
                                        <option value="NA">Namibia</option>
                                        <option value="NR">Nauru</option>
                                        <option value="NP">Nepal</option>
                                        <option value="NL">Netherlands</option>
                                        <option value="NC">New Caledonia</option>
                                        <option value="NZ">New Zealand</option>
                                        <option value="NI">Nicaragua</option>
                                        <option value="NG">Nigeria</option>
                                        <option value="NU">Niue</option>
                                        <option value="NF">Norfolk Island</option>
                                        <option value="MP">Northern Mariana Islands</option>
                                        <option value="NO">Norway</option>
                                        <option value="OM">Oman</option>
                                        <option value="PK">Pakistan</option>
                                        <option value="PW">Palau</option>
                                        <option value="PS">Palestinian Territory, Occupied</option>
                                        <option value="PA">Panama</option>
                                        <option value="PG">Papua New Guinea</option>
                                        <option value="PY">Paraguay</option>
                                        <option value="PE">Peru</option>
                                        <option value="PH">Philippines</option>
                                        <option value="PN">Pitcairn</option>
                                        <option value="PL">Poland</option>
                                        <option value="PT">Portugal</option>
                                        <option value="PR">Puerto Rico</option>
                                        <option value="QA">Qatar</option>
                                        <option value="RE">Réunion</option>
                                        <option value="RO">Romania</option>
                                        <option value="RU">Russian Federation</option>
                                        <option value="RW">Rwanda</option>
                                        <option value="BL">Saint Barthélemy</option>
                                        <option value="SH">Saint Helena, Ascension and Tristan da Cunha</option>
                                        <option value="KN">Saint Kitts and Nevis</option>
                                        <option value="LC">Saint Lucia</option>
                                        <option value="MF">Saint Martin (French part)</option>
                                        <option value="PM">Saint Pierre and Miquelon</option>
                                        <option value="VC">Saint Vincent and the Grenadines</option>
                                        <option value="WS">Samoa</option>
                                        <option value="SM">San Marino</option>
                                        <option value="ST">Sao Tome and Principe</option>
                                        <option value="SA">Saudi Arabia</option>
                                        <option value="RS">Serbia</option>
                                        <option value="SC">Seychelles</option>
                                        <option value="SL">Sierra Leone</option>
                                        <option value="SG">Singapore</option>
                                        <option value="SX">Sint Maarten (Dutch part)</option>
                                        <option value="SK">Slovakia</option>
                                        <option value="SI">Slovenia</option>
                                        <option value="SB">Solomon Islands</option>
                                        <option value="SO">Somalia</option>
                                        <option value="ZA">South Africa</option>
                                        <option value="GS">South Georgia and the South Sandwich Islands</option>
                                        <option value="SS">South Sudan</option>
                                        <option value="ES">Spain</option>
                                        <option value="LK">Sri Lanka</option>
                                        <option value="SD">Sudan</option>
                                        <option value="SR">Suriname</option>
                                        <option value="SJ">Svalbard and Jan Mayen</option>
                                        <option value="SZ">Swaziland</option>
                                        <option value="SE">Sweden</option>
                                        <option value="CH">Switzerland</option>
                                        <option value="SY">Syrian Arab Republic</option>
                                        <option value="TW">Taiwan, Province of China</option>
                                        <option value="TJ">Tajikistan</option>
                                        <option value="TZ">Tanzania, United Republic of</option>
                                        <option value="TH">Thailand</option>
                                        <option value="TL">Timor-Leste</option>
                                        <option value="TK">Tokelau</option>
                                        <option value="TO">Tonga</option>
                                        <option value="TT">Trinidad and Tobago</option>
                                        <option value="TN">Tunisia</option>
                                        <option value="TR">Turkey</option>
                                        <option value="TM">Turkmenistan</option>
                                        <option value="TC">Turks and Caicos Islands</option>
                                        <option value="TV">Tuvalu</option>
                                        <option value="UG">Uganda</option>
                                        <option value="UA">Ukraine</option>
                                        <option value="AE">United Arab Emirates</option>
                                        <option value="GB">United Kingdom</option>
                                        <option value="US">United States</option>
                                        <option value="UM">United States Minor Outlying Islands</option>
                                        <option value="UY">Uruguay</option>
                                        <option value="UZ">Uzbekistan</option>
                                        <option value="VU">Vanuatu</option>
                                        <option value="VE">Venezuela, Bolivarian Republic of</option>
                                        <option value="VN">Viet Nam</option>
                                        <option value="VG">Virgin Islands, British</option>
                                        <option value="VI">Virgin Islands, U.S.</option>
                                        <option value="WF">Wallis and Futuna</option>
                                        <option value="EH">Western Sahara</option>
                                        <option value="YE">Yemen</option>
                                        <option value="ZM">Zambia</option>
                                        <option value="ZW">Zimbabwe</option>
                                    </select>
                                    <span id="payserror"></span>
                                </div>

                                    </div>
                                </div>

                                <div class="col-sm-12 col-md-12">
                                    <div class="row">

                                    <div class="col-md-6 col-sm-12 col-xs-12 form-group">
                                    <label for="adresse">Adresse de localisation</label>
                                    <input id="adresse" class="form-control " type="text" data-input_name="adresse" name="adresse_enseigne" placeholder="adresse">
                                </div>

                                <div class="col-md-6 col-sm-12 col-xs-12 form-group">
                                    <label for="gps">Gps:longitude et lattitude de localisation</label>
                                    <input id="gps" class="form-control " type="text" name="gps_enseigne" placeholder="gps">
                                </div>


                                    <div class="col-md-12 col-sm-12 col-xs-12 form-group">
                                    <textarea id="presentation_enseigne" class="form-control " name="presentation_enseigne" style="width: 100%" rows="5" placeholder="Présentation de votre enseigne"></textarea>
                                </div>
                                    </div>
                                </div>
                            </div>





                        <div class="row">
                            <div class="modal-footer">
                                <input type="hidden" name="user_fk_enseigne" id="user_fk_enseigne" value="{{\Illuminate\Support\Facades\Session::get('user')['slug']}}" class="form-control" required/>
                                <input type="submit" name="action" id="action_enseigne" class="btn btn-info" style="background-color: #0D3349;border-radius: 0px;color: white;" value="Ajouter" />
                                <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                            </div>
                        </div>
                    </div>
            </div>

            </form>
        </div>
        </div>

@endsection