@extends("../dashboard._blank")
@section("sidebar")
    @include("../dashboard._sidebar")
@endsection
@section("content")
    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="clearfix"></div>

        <div class="row">

            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                    <div class="x_title">
                        <h2>Boutique abonnées <small>Listes des boutiques abonnées</small></h2>
                        <div class="clearfix"></div>
                    </div>
                    <div class="x_content">
                        @if ($errors->any())
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif
                        @if(session("success"))

                            <div class="alert alert-success">
                                {{session('success')}}
                            </div>

                        @elseif(session("error"))
                            <div class="alert alert-danger">
                                {{session('error')}}
                            </div>
                        @endif
                        <div class="col-lg-12 col-xs-12">
                            <div class="table-responsive">
                                <table id="categoriedatatable-buttons"  class="table table-responsive-xs table-striped table-bordered">
                                    <thead>
                                    <tr>
                                        <th>N°</th>
                                        <th>boutique</th>
                                        <th>Continent</th>
                                        <th>abonnement</th>
                                        <th>expired_at</th>
                                        <th>statut</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @php $i=1; @endphp
                                    @foreach($abonnements as $abonnement)
                                        <tr>
                                            <td>{{$i++}}</td>
                                            <td>{{$abonnement->boutique->nom_boutique}}</td>
                                            <td>{{$abonnement->boutique->meta->continent}}</td>
                                            <td>{{$abonnement->etat_abonnement->name}}</td>
                                            <td>{{$abonnement->expired_at}}</td>
                                            <td>{!! $abonnement->expired ? '<span class="badge badge-danger">inactif</span>' : '<span class="badge badge-success">actif</span>' !!}</td>
                                        </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- /page content -->
@endsection
