@extends("../dashboard._blank")
@section("sidebar")
@include("../dashboard._sidebar")
@endsection
@section("content")
<!-- page content -->
<!-- page content -->
<div class="right_col" role="main">
    <div class="clearfix"></div>

    <div class="row">

        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="x_panel">
                <div class="x_title">
                    <h2>Abonnement <small> Créer des abonnements pour les boutiques</small></h2>
                    <div class="clearfix"></div>
                </div>
                <div class="x_content">
                    @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                    @endif
                    @if(session("success"))

                    <div class="alert alert-success">
                        {{session('success')}}
                    </div>

                    @elseif(session("error"))

                    <div class="alert alert-danger">
                        {{session('error')}}
                    </div>

                    @endif

                    <div class="col-md-12" style="margin-bottom: 10px;"><button data-toggle="modal"
                            data-target="#abonnementModal" id="add_abonnement" class="btn btn-default"
                            style="background-color: #0D3349;border-radius: 0px;color: white;"><i
                                class="fa fa-plus-circle"></i> Ajouter</button></div>

                    <div class="col-lg-12 col-xs-12">
                        <div class="table-responsive">
                            <table id="categoriedatatable-buttons"
                                class="table table-responsive-xs table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th>N°</th>
                                        <th>name</th>
                                        <th>numberMonth</th>
                                        <th>Prix (Afrique=XOF, USD=autres )</th>
                                        <th>continent</th>
                                        <th>description</th>
                                        <th>Etat</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @php $i=1; @endphp
                                    @foreach($abonnements as $abonnement)
                                    <tr>
                                        <td>{{$i++}}</td>
                                        <td>{{$abonnement->name}}</td>
                                        <td>{{$abonnement->numberMonth}}</td>
                                        <td>{{$abonnement->price}} {{$abonnement->continent=='others'? 'USD' : 'XOF'}}
                                        </td>
                                        <td>{{$abonnement->continent}}</td>
                                        <td>{{$abonnement->description}}</td>
                                        <td>{!! $abonnement->corbeil ? '<span
                                                class="badge badge-danger">invisible</span>' : '<span
                                                class="badge badge-success">visible</span>' !!}</td>
                                        <td>
                                            <a href="#" class="btn btn-xs btn-warning modifier_abonnement"
                                                data-url="{{route('get_abonnement',$abonnement->slug)}}"
                                                data-slug="{{$abonnement->slug}}">modifier</a>
                                            <a href="{{route('delete_abonnement',$abonnement->slug)}}"
                                                class="btn btn-xs btn-danger">supprimer</a>
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>


    </div>
</div>

<!-- /page content -->

<div id="abonnementModal" class="modal fade">
    <div class="modal-dialog">
        <form method="post" id="abonnement_form" enctype="multipart/form-data">
            @csrf

            <div class="modal-content" style="border-radius: 0px;">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title"><i class="fa fa-plus"></i> Ajouter un abonnement </h4>
                </div>
                <div class="modal-body">

                    <div class="row">
                        <div class="form-group col-lg-6 col-xs-12">
                            <label for="name">Nom</label><br>
                            <input type="text" id="name" name="name" required="required" class="form-control"
                                placeholder="nom *">
                        </div>
                        <div class="form-group col-lg-6 col-xs-12">
                            <label for="numberMonth">Nombre de mois</label><br>
                            <input type="number" id="numberMonth" name="numberMonth" required="required"
                                class="form-control" placeholder="Nombre de mois *">
                        </div>
                        <div class="form-group col-lg-6 col-xs-12">
                            <label for="price">Coût</label><br>
                            <input type="number" id="price" name="price" required="required" class="form-control"
                                placeholder="Coût de l'abonnement *">
                        </div>

                        <div class="form-group col-lg-6 col-xs-12">
                            <label for="price">Continent</label><br>
                            <select name="continent" id="continent" class="form-control">
                                <option value="Africa">Afrique</option>
                                <option value="others">Autres</option>
                            </select>
                        </div>

                    </div>
                    <div class="row">
                        <div class="form-group col-md-12">
                            <label for="description">Description</label><br>
                            <textarea name="description" class="form-control" id="description" style="width: 100%;"
                                rows="10" placeholder=""></textarea>
                        </div>
                    </div>

                    <div class="modal-footer">
                        <input type="submit" name="action" id="action" class="btn btn-info"
                            style="background-color: #0D3349;border-radius: 0px;color: white;" value="Ajouter" />
                        <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                    </div>

                </div>
            </div>

        </form>
    </div>
</div>
@endsection
@section('script')
@include('dashboard.scripts.abonnement_script')
@endsection