@if(!\Illuminate\Support\Facades\Session::has('boutique'))
    <script>
        location.href='{{route('boutique_liste')}}';
    </script>
@else
    @php
        $boutique=\Illuminate\Support\Facades\Session::get('boutique');
           $metas=$boutique->meta;
    @endphp
@endif
<!DOCTYPE html>
<html lang="fr">
<head>
    <meta property="og:site_name" content="{{$boutique['nom_boutique']}}">
    <meta property="og:site" content="{{url('/').'/'.$boutique['nom_boutique']}}">
    <meta property="og:url" content="{{url('/').'/'.$boutique['nom_boutique']}}">
    <meta property='og:type' content='website'/>
    <meta property="og:image"  content="{{($metas->logo_boutique == null)? asset('images/logo_mini.jpg') :$metas->logo_boutique}}">
     <link rel="icon" type="image/png" href="{{asset('images/favicon.ico')}}"/>
    <link rel="apple-touch-icon" sizes="180x180" href="{{asset('images/apple-touch-icon.png')}}">
<link rel="icon" type="image/png" sizes="32x32" href="{{asset('images/favicon-32x32.png')}}">
<link rel="icon" type="image/png" sizes="16x16" href="{{asset('images/favicon-16x16.png')}}">
    @yield('ogs')
    <meta property="favicon" content="{{($metas->logo_boutique == null)? asset('images/logo_mini.jpg') :$metas->logo_boutique}}">
    <title>{{Illuminate\Support\Str::limit(strtoupper(str_replace('_',' ',$boutique->nom_boutique)),65)}}</title>
    @include('dashboard.Boutique.Boutique_template.layouts.meta_header')
    @yield('title')
    <link rel="stylesheet" type="text/css" href="{{asset('styles/bootstrap4/bootstrap.min.css')}}">
    <link href="{{asset('plugins/fontawesome-free-5.0.1/css/fontawesome-all.css')}}" rel="stylesheet" type="text/css">
    <link rel="stylesheet" type="text/css" href="{{asset('plugins/OwlCarousel2-2.2.1/owl.carousel.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('plugins/OwlCarousel2-2.2.1/owl.theme.default.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('plugins/OwlCarousel2-2.2.1/animate.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('plugins/slick-1.8.0/slick.css')}}">
{{--    <link rel="stylesheet" type="text/css" href="{{asset('styles/main_styles.css')}}">--}}
{{--    <link rel="stylesheet" type="text/css" href="{{asset('styles/responsive.css')}}">--}}
    <link rel="stylesheet" href="{{asset('zebra_css/zebra_dialog.css')}}" />
    <link rel="stylesheet" href="{{asset('plugin/chosen_/chosen.css')}}" />
    @include('dashboard.Boutique.global.globalCss')
    <link href="https://fonts.googleapis.com/css?family=Merriweather&display=swap" rel="stylesheet">
    <meta name="_token" content="{{csrf_token()}}">

 @include('dashboard.Boutique.Boutique_template.styles.main_styles')
 @include('dashboard.Boutique.Boutique_template.styles.responsive')
<!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-NMT1DCDEVS"></script>
    <script>
        window.dataLayer = window.dataLayer || [];
        function gtag(){dataLayer.push(arguments);}
        gtag('js', new Date());

        gtag('config', 'G-NMT1DCDEVS');
    </script>
    <style>
        .menu_trigger_container:hover .page_menu_content{
            height: 500px;
        }
        .chosen-container-single .chosen-single{
            height: 38px;
            background: none;
            border-radius: 0px;
            line-height: 38px;
        }
        .chosen-container-single .chosen-single div{
            margin-top: 8px;
        }
        .pace {
            -webkit-pointer-events: none;
            pointer-events: none;
            -webkit-user-select: none;
            -moz-user-select: none;
            user-select: none;
        }

        .pace-inactive {
            display: none;
        }

        .pace .pace-progress {
            background:{{$metas->background_color!=null ?  $metas->background_color : '#00ba9d' }};
            position: fixed;
            z-index: 2000;
            top: 0;
            right: 100%;
            width: 100%;
            height: 2px;
        }

        .pace .pace-progress-inner {
            display: block;
            position: absolute;
            right: 0px;
            width: 100px;
            height: 100%;
            box-shadow: 0 0 10px{{$metas->background_color!=null ?  $metas->background_color : '#00ba9d' }}, 0 0 5px{{$metas->background_color!=null ?  $metas->background_color : '#00ba9d' }};
            opacity: 1.0;
            -webkit-transform: rotate(3deg) translate(0px, -4px);
            -moz-transform: rotate(3deg) translate(0px, -4px);
            -ms-transform: rotate(3deg) translate(0px, -4px);
            -o-transform: rotate(3deg) translate(0px, -4px);
            transform: rotate(3deg) translate(0px, -4px);
        }

        .pace .pace-activity {
            display: block;
            position: fixed;
            z-index: 2000;
            top: 15px;
            right: 15px;
            width: 14px;
            height: 14px;
            border: solid 2px transparent;
            border-top-color:{{$metas->background_color!=null ?  $metas->background_color : '#00ba9d' }};
            border-left-color:{{$metas->background_color!=null ?  $metas->background_color : '#00ba9d' }};
            border-radius: 10px;
            -webkit-animation: pace-spinner 400ms linear infinite;
            -moz-animation: pace-spinner 400ms linear infinite;
            -ms-animation: pace-spinner 400ms linear infinite;
            -o-animation: pace-spinner 400ms linear infinite;
            animation: pace-spinner 400ms linear infinite;
        }

        @-webkit-keyframes pace-spinner {
            0% { -webkit-transform: rotate(0deg); transform: rotate(0deg); }
            100% { -webkit-transform: rotate(360deg); transform: rotate(360deg); }
        }
        @-moz-keyframes pace-spinner {
            0% { -moz-transform: rotate(0deg); transform: rotate(0deg); }
            100% { -moz-transform: rotate(360deg); transform: rotate(360deg); }
        }
        @-o-keyframes pace-spinner {
            0% { -o-transform: rotate(0deg); transform: rotate(0deg); }
            100% { -o-transform: rotate(360deg); transform: rotate(360deg); }
        }
        @-ms-keyframes pace-spinner {
            0% { -ms-transform: rotate(0deg); transform: rotate(0deg); }
            100% { -ms-transform: rotate(360deg); transform: rotate(360deg); }
        }
        @keyframes pace-spinner {
            0% { transform: rotate(0deg); transform: rotate(0deg); }
            100% { transform: rotate(360deg); transform: rotate(360deg); }
        }

        .product_fav{
            cursor: pointer;
        }

        .cart-btn-every-where{
            cursor: pointer;
        }
        .product_fav{
            top:125px;
            right: 50px;
        }
        .cart-btn-every-where{
            top: 125px;
            right: 10px;
        }
        .no-js #loader { display: none;  }
        .js #loader { display: block; position: absolute; left: 100px; top: 0; }
        .se-pre-con {
            position: fixed;
            background: #ffffff;
            width: 100vw;
            height: 100vh;
            line-height: 100vh;
            z-index: 9999;
            background-size:contain;
            padding: auto;
            text-align:center;
        }
        .se-pre-con img{
            border-radius:20px;
            padding:10px;
            border:5px solid #d8d8d8
        }
        @keyframes flickerAnimation {
            0%   { opacity:1; }
            50%  { opacity:0; }
            100% { opacity:1; }
        }
        @-o-keyframes flickerAnimation{
            0%   { opacity:1; }
            50%  { opacity:0; }
            100% { opacity:1; }
        }
        @-moz-keyframes flickerAnimation{
            0%   { opacity:1; }
            50%  { opacity:0; }
            100% { opacity:1; }
        }
        @-webkit-keyframes flickerAnimation{
            0%   { opacity:1; }
            50%  { opacity:0; }
            100% { opacity:1; }
        }
        .animate-flicker {
            -webkit-animation: flickerAnimation 3s infinite;
            -moz-animation: flickerAnimation 3s infinite;
            -o-animation: flickerAnimation 3s infinite;
            animation: flickerAnimation 3s infinite;
        }
        @-moz-keyframes spin { 100% { -moz-transform: rotate(360deg); } }
        @-webkit-keyframes spin { 100% { -webkit-transform: rotate(360deg); } }
        @keyframes spin { 100% { -webkit-transform: rotate(360deg); transform:rotate(360deg); }}
   
    </style>
    @yield('css')
    <script src="https://www.google.com/recaptcha/api.js?render=6LfFn0whAAAAAGLRb34I2afYzEi4mN3vK2WaXC-F"></script>
    <script>
        if(typeof grecaptcha === 'undefined') {
            grecaptcha = {};
        }
        grecaptcha.ready = function(cb){
            if(typeof grecaptcha === 'undefined') {
            // window.__grecaptcha_cfg is a global variable that stores reCAPTCHA's
            // configuration. By default, any functions listed in its 'fns' property
            // are automatically executed when reCAPTCHA loads.
            const c = '___grecaptcha_cfg';
            window[c] = window[c] || {};
            (window[c]['fns'] = window[c]['fns']||[]).push(cb);
            } else {
            cb();
            }
        }
    </script>
    @include('facebook-pixel::head')
</head>
<body>
@include('facebook-pixel::body')
<div class="se-pre-con">
    <img class="animate-flicker" src="{{($metas->logo_boutique == null)? asset('images/logo_mini.jpg') :$metas->logo_boutique}}" alt="" width="150px">
</div>
<input type="hidden" id="Isuser" value="{{\Illuminate\Support\Facades\Session::has('user') ? \Illuminate\Support\Facades\Session::get('user')['slug'] : 'not'}}">
<div class="super_container">
    <!-- Header -->
    <header class="header">
        <!-- Top Bar -->
        <div class="top_bar">
            <div class="container">
                <div class="row">
                    <div class="col d-flex flex-row">
                        <div class="top_bar_contact_item"><div class="top_bar_icon"><img class="lazy" data-src="{{asset('images/phone.png')}}"  alt=""></div><a href="tel:{{$metas->telephone_boutique}}">{{$metas->telephone_boutique}}</a></div>
                        <div class="top_bar_contact_item"><div class="top_bar_icon"><img class="lazy" data-src="{{asset('images/mail.png')}}" alt=""></div><a href="mailto:{{$metas->email_boutique}}">{{$metas->email_boutique}}</a></div>
                        <div class="top_bar_content ml-auto">
                            <div class="top_bar_menu">
                            </div>
                            <div class="top_bar_user">
                                <div><a href="{{route('home')}}"><i class="fas fa-tachometer-alt"></i> Tableau de bord</a></div> &nbsp;&nbsp;
                                | &nbsp;&nbsp;
                                @if(!\Illuminate\Support\Facades\Session::has('user'))
                                    <div><a href="{{route('register')}}">Inscription</a></div> &nbsp;&nbsp; | &nbsp;&nbsp;
                                    <div><a href="{{route('login')}}">Connexion</a></div> &nbsp;&nbsp;|&nbsp;&nbsp;
                                @else
                                    <div><a href="{{route('update_view')}}">{{\Illuminate\Support\Facades\Session::get('user')['first_name']}}</a></div> &nbsp;&nbsp;|&nbsp;&nbsp;
                                    <div><a href="{{route('logout')}}">Déconnexion</a></div>
                                @endif
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- Header Main -->

        <div class="header_main">
            <div class="container">
                <div class="row">

                    <!-- Logo -->
                    <div class="col-lg-2 col-sm-3 col-3 order-1">
                        <div class="logo_container">
                            <div class="logo"><a href="{{route('boutique.index',\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'])}}"><img class="lazy" data-src="{{($metas->logo_boutique == null)? asset('images/logo_mini.jpg') :$metas->logo_boutique}}" width="100"/></a></div>
                        </div>
                    </div>

                    <!-- Search -->
                    <div class="col-lg-6 col-12 order-lg-2 order-3 text-lg-left text-right">
                        <div class="header_search">
                            <div class="header_search_content">
                                <div class="header_search_form_container">
                                    <form action="{{route('products.search',\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'])}}" method="post" class="header_search_form clearfix">
                                        @csrf
                                        <input type="search" required="required" class="header_search_input" name="name" placeholder="Recherchez vos produits" style="border-radius: 0px">
                                        <button type="submit" class="header_search_button trans_300" value="Submit" style="border-radius: 0px"><img class="lazy" data-src="{{asset('images/search.png')}}" alt=""></button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- Wishlist -->
                    <div class="col-lg-4 col-9 order-lg-3 order-2 text-lg-left text-right">
                        <div class="wishlist_cart d-flex flex-row align-items-center justify-content-end">
                            <div class="wishlist d-flex flex-row align-items-center justify-content-end">
                                <div class="wishlist_icon"><a href="{{route('wishlist.article.lists')}}"><img class="lazy" data-src="{{asset('images/heart.png')}}" alt=""></a></div>
                                <div class="wishlist_content">
                                    <div class="wishlist_text"><a href="{{route('wishlist.article.lists')}}">Favoris</a></div>
                                    <div class="wishlist_count" id="fav" data-wishlist="{{$wishlist}}">0{{$wishlist}}</div>
                                </div>
                            </div>
                            <!-- Cart -->
                            @php
                                $maboutique=\Illuminate\Support\Facades\Session::get('boutique');
                                $boutique_=\Illuminate\Support\Facades\Session::get('boutique'.$maboutique['slug']);
                                    if(isset($boutique_)){
                                    $articlespanier=\Illuminate\Support\Facades\Session::get('panier');
                                     $prixTotal=\Illuminate\Support\Facades\Session::get('prix');
                                }else{
                                $articlespanier=0;
                                 $prixTotal=0;
                                }
                            @endphp
                            <div class="cart">
                                <div class="cart_container d-flex flex-row align-items-center justify-content-end">
                                    <div class="cart_icon">
                                        <a href="{{route('products.cart',\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'])}}">	<img src="{{asset('images/cart.png')}}" alt="">
                                            <div class="cart_count"><span>{{$articlespanier}}</span></div></a>
                                    </div>
                                    <div class="cart_content">
                                        <div class="cart_text"><a href="{{route('products.cart',\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'])}}">Panier</a></div>
                                        <div class="cart_price">{{$prixTotal}} {{$maboutique->meta->currency_client}}</div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- Main Navigation -->

        <nav class="main_nav">
            <div class="container">
                <div class="row">
                    <div class="col">
                        <div class="main_nav_content d-flex flex-row">
                            <!-- Categories Menu -->
                            <div class="cat_menu_container">
                                <div class="cat_menu_title d-flex flex-row align-items-center justify-content-start">
                                    <div class="cat_burger"><span></span><span></span><span></span></div>
                                    <div class="cat_menu_text">catégories</div>
                                </div>
                                <ul class="cat_menu">
                                    @foreach($categories as $category)
                                        <li><a href="{{url(\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'].'/products/categorie/'.$category->slug)}}">{{$category->intitule}}</a></li>
                                    @endforeach
                                </ul>
                            </div>
                            <!-- Main Nav Menu -->
                            <div class="main_nav_menu ml-auto">
                                <ul class="standard_dropdown main_nav_dropdown">
                                    <li><a href="{{route('boutique_liste')}}">SUNMARKET PLACE</a></li>
                                    <li><a href="{{url('/'.$boutique->nom_boutique)}}">ACCUEIL</a></li>
                                    @if(isset(\Illuminate\Support\Facades\Session::get('boutique')['paiement_and_livraison']) && \Illuminate\Support\Facades\Session::get('boutique')['paiement_and_livraison']==true)
                                        <li><a class="text-uppercase" href="{{route('commande.user',\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'])}}">Mes commandes</a></li>
                                    @endif
                                    <li><a href="{{route('contact',$boutique->nom_boutique)}}">CONTACT<i class="fas fa-chevron-down"></i></a></li>
                                    <li><a href="{{route('boutique.about',$boutique->nom_boutique)}}">A PROPOS<i class="fas fa-chevron-down"></i></a></li>
                                </ul>
                            </div>
                            <!-- Menu Trigger -->
                            <div class="menu_trigger_container ml-auto">
                                <div class="menu_trigger d-flex flex-row align-items-center justify-content-end">
                                    <div class="menu_burger">
                                        <div class="menu_trigger_text">menu</div>
                                        <div class="cat_burger menu_burger_inner"><span></span><span></span><span></span></div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </nav>

        <!-- Menu -->

        <div class="page_menu">
            <div class="container">
                <div class="row">
                    <div class="col">

                        <div class="page_menu_content">

                            <div class="page_menu_search">
                                <form action="{{route('products.search',\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'])}}" method="post">
                                    @csrf
                                    <input type="search" required="required" class="page_menu_search_input" name="name" placeholder="Recherchez vos produits">
                                </form>
                            </div>
                            <ul class="page_menu_nav">
                                <li><a href="{{route('boutique_liste')}}">SUNMARKET PLACE</a></li>
                                <li class="page_menu_item"><a href="{{url('/'.$boutique->nom_boutique)}}">Accueil</a></li>
                                @if(isset(\Illuminate\Support\Facades\Session::get('boutique')['paiement_and_livraison']) && \Illuminate\Support\Facades\Session::get('boutique')['paiement_and_livraison']==true)
                                    <li class="page_menu_item"><a href="{{route('commande.user',\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'])}}">Mes commandes</a></li>
                                @endif
                                <li class="page_menu_item"><a href="{{route('contact',$boutique->nom_boutique)}}">Contact</a></li>
                                <li class="page_menu_item"><a href="{{route('boutique.about',$boutique->nom_boutique)}}">A PROPOS</a></li>
                            </ul>
                            <div class="menu_contact">
                                <div class="menu_contact_item"><div class="menu_contact_icon"><img class="lazy" data-src="{{asset('images/phone_white.png')}}" alt=""></div>
                                    <a href="phone:{{$metas->telephone_boutique}}" >{{$metas->telephone_boutique}}</a></div>
                                <div class="menu_contact_item"><div class="menu_contact_icon"><img class="lazy" data-src="{{asset('images/mail_white.png')}}" alt=""></div><a href="mailto:fastsales@gmail.com">{{$metas->email_boutique}}</a></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </header>
    @if(!$boutique->expired)
        @if(!$boutique->maintenance)
            @yield('content')
            @include('dashboard.paiement_box.choose')
        @else
            <div class="row">
                <div class="col-sm-12 text-center" style="margin-bottom: auto;margin-top: auto;">
                    <img class="lazy" data-src="{{asset('images/cogs_animate.gif')}}" alt="" width="200px">
                    <h5>Désolé cette boutique est en cours de maintenance.</h5>
                </div>
            </div>
        @endif
    @else

        <div class="row">
            <div class="col-sm-12 text-center" style="margin-bottom: auto;margin-top: auto;">
                <img class="lazy" data-src="{{asset('images/cogs_animate.gif')}}" alt="" width="200px">
                <h5>Désolé cette boutique n'est plus accessible.</h5>
            </div>
        </div>
@endif
<!-- Newsletter -->
    <div class="newsletter">
        <div class="container">
            <div class="row">
                <div class="col">
                    <div class="newsletter_container d-flex flex-lg-row flex-column align-items-lg-center align-items-center justify-content-lg-start justify-content-center">
                        <div class="newsletter_title_container">
                            <div class="newsletter_icon"><img class="lazy" data-src="{{asset('images/send.png')}}" alt=""></div>
                            <div class="newsletter_title">Inscrivez vous à notre newsletter</div>
                            <div class="newsletter_text"><p>et recevez des notifications sur nos nouveaux produits.</p></div>
                        </div>
                        <div class="newsletter_content clearfix">
                            <form action="{{route('newsletters.post')}}" method="post" onsubmit="return check_error(['newslettersemail']);" id="newsletters_forms" class="newsletter_form">
                                @csrf
                                <input type="hidden" name="boutique_slug" value="{{$boutique->slug}}">
                                <input type="email" class="newsletter_input" required="required" name="email" id="newslettersemail" data-input_name="email du newsletter" placeholder="Entrer votre adresse email" style="border-radius: 0px;">
                                <button class="newsletter_button" type="submit" id="btnnewsletter" style="border-radius: 0px;">Souscrire</button>
                            </form>
                            {{--<div class="newsletter_unsubscribe_link"><a href="#">unsubscribe</a></div>--}}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="copyright">
        <div class="container">
            <div class="row">
                <div class="col" style="margin-bottom: 20px">

                    <div class="copyright_container d-flex flex-sm-row flex-column align-items-center justify-content-start">
                        <div class="copyright_content">
                            Copyright &copy;<script>document.write(new Date().getFullYear());</script> Tous droits réservés | Alimenté  par <a href="https://suntech.bj" target="_blank">
                                SUNTECH </a>
                        </div>
                        @if($maboutique['paiement_and_livraison'])
                            <div class="logos ml-sm-auto">
                                <ul class="logos_list">
                                    <li><a href="#"><img class="lazy" data-src="{{asset('images/footer_payment.png')}}" alt=""></a></li>
                                    </ul>
                            </div>
                        @endif
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>

@include('dashboard.Boutique.global.globalBody')

<script src="{{asset('js/jquery-3.3.1.min.js')}}"></script>
<script src="{{asset('styles/bootstrap4/popper.js')}}"></script>
<script src="{{asset('styles/bootstrap4/bootstrap.min.js')}}"></script>
<script src="{{asset('plugins/greensock/TweenMax.min.js')}}"></script>
<script src="{{asset('plugins/greensock/TimelineMax.min.js')}}"></script>
<script src="{{asset('plugins/scrollmagic/ScrollMagic.min.js')}}"></script>
<script src="{{asset('plugins/greensock/animation.gsap.min.js')}}"></script>
<script src="{{asset('plugins/greensock/ScrollToPlugin.min.js')}}"></script>
<script src="{{asset('plugins/OwlCarousel2-2.2.1/owl.carousel.js')}}"></script>
<script src="{{asset('plugins/slick-1.8.0/slick.js')}}"></script>
<script src="{{asset('plugins/easing/easing.js')}}"></script>
<script src="{{asset('js/custom.js')}}"></script>
<script src="{{asset('js/paper.js')}}"></script>
<script src="{{asset('js/zebra_dialog.src.js')}}"></script>
<script src="{{asset('plugin/chosen/chosen.jquery.js')}}"></script>
<script src="{{asset('js/choosen.mobile_support.js')}}"></script>
<script src="{{asset('plugins/system-google-font-picker/jquery.slim.min.js')}}"></script>
<script src="{{asset('plugins/system-google-font-picker/jquery.fontselect.js')}}"></script>
@include('dashboard.Boutique.global.globalJs')
@include('dashboard.Boutique.Boutique_template.script')
@yield('script')

<script>

    $(document).ready(function () {

            $(".se-pre-con").fadeOut("slow");;

        $('.choosen').chosen({
            no_results_text: "Oops, pas de résultat ! ",
            width: "100%"
        });

        if ($('.chosen-container').length > 0) {
            $('.chosen-container').on('touchstart', function(e){
                e.stopPropagation(); e.preventDefault();
                // Trigger the mousedown event.
                $(this).trigger('mousedown');
            });
        }

        $(document).on('click','#promotion',function(){
            if($(this).attr('checked')){
                $(this).attr('checked',false)
            }else{
                $(this).attr('checked',true)
            }
        })
        $(document).on('click','#btn-reset_product',function(){
            $('.nothing').fadeOut();
            $('#name').val('');
            $('#category').val('').trigger('chosen:updated');
            $('#min_price').val('');
            $('#max_price').val('');
            $('.produit_list').fadeIn('slow').each(function (e) {
                if($(this).hasClass('have')) {
                    $(this).removeClass('have');
                }
            })
        })

        $(document).on('click','#btn_research_product',function(){
            $('.loader').fadeIn();
            let disponible=0;
            let  $name=$('#name').val();
            let  $category=$('#category').val();
            let  $minprice=$('#min_price').val();
            let  $maxprice=$('#max_price').val();
            $('.produit_list').fadeOut('slow').each(function (e) {
                let valide=0;
                let $btn=$(this);
                if($btn.hasClass('have')) {
                    $btn.removeClass('have');
                }
                if($name!=""){
                    valide++;
                    let product_name=$btn.data('name');
                    if (product_name.toLowerCase().includes($name.toLowerCase())) {

                        if(!$btn.hasClass('have')) {
                            $btn.addClass('have');
                        }
                    }else{
                        if($btn.hasClass('have')) {
                            $btn.removeClass('have');
                        }
                    }
                }

                if($category!=""){

                    if(valide>0){
                        if($btn.hasClass('have')){
                            let product_caterory=$btn.data('category');
                            if (product_caterory==$category) {
                                if(!$btn.hasClass('have')) {
                                    $btn.addClass('have');
                                }
                            }else{
                                if($btn.hasClass('have')) {
                                    $btn.removeClass('have');
                                }
                            }
                        }
                    }else{
                        let product_caterory=$btn.data('category');
                        if (product_caterory==$category) {
                            if(!$btn.hasClass('have')) {
                                $btn.addClass('have');
                            }
                        }else{
                            if($btn.hasClass('have')) {
                                $btn.removeClass('have');
                            }
                        }
                    }
                    valide++;
                }

                if($maxprice!="" && $minprice!=""){

                    let product_price=$btn.data('price');
                     if(valide>0){
                        if($btn.hasClass('have')){
                            if (parseInt(product_price) <= parseInt($maxprice) && parseInt(product_price) >= parseInt($minprice)) {
                            }else{
                                if($btn.hasClass('have')) {
                                    $btn.removeClass('have');
                                }
                            }
                        }
                    }else{
                        if (parseInt(product_price) <= parseInt($maxprice) && parseInt(product_price) >= parseInt($minprice)) {
                            if(!$btn.hasClass('have')) {
                                $btn.addClass('have');
                            }
                        }else{
                            if($btn.hasClass('have')) {
                                $btn.removeClass('have');
                            }
                        }

                    }
                    valide++;
                }
                if($maxprice!="" && $minprice==""){

                     if(valide>0){
                        if($btn.hasClass('have')){
                            let product_price=$btn.data('price');
                            if (parseInt(product_price) <= parseInt($maxprice)) {
                                if(!$btn.hasClass('have')) {
                                    $btn.addClass('have');
                                }
                            }else{
                                if($btn.hasClass('have')) {
                                    $btn.removeClass('have');
                                }
                            }
                        }
                    }else{
                        let product_price=$btn.data('price');
                        if (parseInt(product_price) <= parseInt($maxprice)) {
                            if(!$btn.hasClass('have')) {
                                $btn.addClass('have');
                            }
                        }else{
                            if($btn.hasClass('have')) {
                                $btn.removeClass('have');
                            }
                        }
                    }
                    valide++;
                }

                if($maxprice=="" && $minprice!=""){
                    if(valide>0){
                        if($btn.hasClass('have')){
                            let product_price=$btn.data('price');
                            if (parseInt(product_price) >= parseInt($minprice)) {
                                if(!$btn.hasClass('have')) {
                                    $btn.addClass('have');
                                }
                            }else{
                                if($btn.hasClass('have')) {
                                    $btn.removeClass('have');
                                }
                            }
                        }
                    }else{
                        let product_price=$btn.data('price');
                        if (parseInt(product_price) >= parseInt($minprice)) {
                            if(!$btn.hasClass('have')) {
                                $btn.addClass('have');
                            }
                        }else{
                            if($btn.hasClass('have')) {
                                $btn.removeClass('have');
                            }
                        }
                    }
                    valide++;
                }

                if($('#promotion').attr('checked')){
                    let product_promotion=$btn.data('promotion');

                    if(valide>0){
                        if($btn.hasClass('have')){
                            if(product_promotion==' oui ') {

                            }else{
                                if($btn.hasClass('have')) {
                                    $btn.removeClass('have');
                                }
                            }
                        }
                    }else{
                         if(product_promotion==' oui ') {
                            if (!$btn.hasClass('have')) {
                                $btn.addClass('have');
                            }
                        }else{
                            if($btn.hasClass('have')) {
                                $btn.removeClass('have');
                            }
                        }
                    }
                }
                if($btn.hasClass('have')){
                    disponible++;
                }
            })
            if(parseInt(disponible)<=0){
                $('.loader').fadeOut('slow',function(){
                    $('.nothing').fadeIn();

                });
            }else{
                $('.nothing').fadeOut();
                $('.loader').fadeOut('slow',function(){
                    $('.have').slideDown();
                });
            }
        })



        $(document).on('click', '.paiement_choose', function (e) {
            let way = $(this).data('way');
            let data = sessionStorage.getItem('data');
            sessionStorage.removeItem('data');
            data = JSON.parse(data);
            getGateWayPaiementMethod(parseInt(data), '{{$metas->currency_client}}', 'commandes', way);
        })


        $(document).on('click', '#valid_command', function (e) {
            e.preventDefault();
            let btn = $(this);
            let paid = btn.data('paid');
            if(check_error(['first_name','last_name','country','sex','phone','email'])) {
                btn.attr('disabled', true).html('<img src="{{asset('images/loader.gif')}}" width="30px"> veuillez patienter...');
                let url = $('#post_cart2').attr('action');
                let status = $('#post_cart2').data('home');
                let command = $('#post_cart2').data('command');
                let form = $('#post_cart2').serialize();
                $.ajax({
                    url: url,
                    method: "POST",
                    data: form,
                    success: function (data) {
                        btn.attr('disabled', false).html('Payer maintenant');
                        $('#PersonnalDataModal').modal('hide')
                        if (parseInt(paid) === 1) {
                         if(localStorage.getItem('continent')!==undefined && localStorage.getItem('continent')!==null && localStorage.getItem('continent')!=="Africa"){
                             data = JSON.parse(data);
                             $('#form_choose_paiement_option').fadeOut(function () {
                                 $('#form_choose_paiement_option_loading').fadeIn();
                             });
                             $('#choosePaiementOptionsModal').modal('show')
                             getGateWayPaiementMethod(parseInt(data), '{{$metas->currency_client}}', 'commandes', 'paypal');
                         }else {
                             btn.html('Payer maintenant');
                             $('#choosePaiementOptionsModal').modal('show');
                             sessionStorage.setItem('data', data);
                         }
                        } else {
                            btn.html('Achat effectué');
                            let $user = $('#Isuser').val();
                            if ($user === 'not') {
                                Swal.fire({
                                    title: 'Commande.',
                                    text:'Votre commande à été enrégistrer avec succès. Vous avez initialisé une commande de ' + data + ' Le service client de la boutique vous contactera pour la validation détails de reception et de paiement. Connectez-vous ou créer un compte maintenant pour avoir un suivi sur votre commande.',
                                    type: 'success',
                                    showCancelButton: true,
                                    confirmButtonColor: '{{$metas->background_color!=null ?  $metas->background_color : '#00ba9d' }}',
                                    cancelButtonColor: '#d33',
                                    cancelButtonText: 'créer un compte',
                                    confirmButtonText: 'je ne veux pas suivre mes achats'
                                }).then((result) => {
                                    if (!result.value) {
                                        location.href = '{{route('register')}}';
                                    }else{
                                        location.href = '{{url(\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'].'/liste/commande')}}';
                                    }
                                })

                            } else {
                                location.href = command;
                            }
                        }

                    }, error: function (data) {
                        btn.attr('disabled', false).html('Payer maintenant');
                        Swal.fire({
                            title: 'Validation de votre commande',
                            text: "Des champs dont requis avant validation de votre commande",
                            type: 'error',
                        })
                    }
                });
            }else{
                Swal.fire({
                    title: 'Validation de votre commande',
                    text: "Des champs dont requis avant validation de votre commande",
                    type: 'warning',
                })
            }
        })


        $(document).on('click','.product_fav',function(e){
            e.preventDefault();
            let $btn=$(this);
            $btn.attr('disabled',true);
            let url=$btn.data('url');
            let name=$btn.data('article_name');
            let $boutique_slug=$btn.data('boutique_slug');
            let $article_slug=$btn.data('catalogue_article_slug');
            $btn.html('<i class="fa fa-spinner" style=""></i>');
            $.ajax({
                url:url,
                method:"POST",
                data:{_token:'{{csrf_token()}}',boutique_slug:$boutique_slug,catalogue_article_slug:$article_slug},
                success:function(data) {
                    $btn.attr('disabled',false);
                    data=JSON.parse(data);
                    if(data==1) {
                        let  $favorite_val=parseInt($('#fav').html());
                        $favorite_val+=1;
                        $('#fav').html('0'+$favorite_val);
                        $btn.html('<i class="fas fa-heart" style="color: red"></i>');
                        $.notify('l\'article '+name+' a été ajouté à la liste des favoris','success');
                    }else{
                        let  $favorite_val=parseInt($('#fav').html());
                        $favorite_val-=1;
                        $('#fav').html('0'+$favorite_val);                    $btn.html('<i class="fas fa-heart"></i>');
                        $.notify('l\'article '+name+' a été retiré de la liste des favoris','warning');
                    }
                },error:function (data){
                    $btn.attr('disabled',false);
                }
            })
        })


        $(document).on('click','#btnnewsletter',function(e){
            e.preventDefault();
            let btn=$(this);
            if(check_error(['newslettersemail'])) {
                btn.text('Abonnement en cours');
                btn.attr('disabled',true);
                let $form = $('#newsletters_forms');
                $.ajax({
                    url: $form.attr('action'),
                    method: "POST",
                    data: $form.serialize(),
                    success: function (data) {
                        data = JSON.parse(data);
                        if (data.status == false) {
                            $.Zebra_Dialog(data.message, {
                                'type': 'error',
                                'title': 'Newsletters'
                            });
                        } else {
                            $.Zebra_Dialog(data.message, {
                                'type': 'information',
                                'title': 'Newsletters'
                            });
                        }
                        $form.trigger("reset");
                        btn.attr('disabled',false);
                        btn.text('Souscrire');
                    }, error: function (data) {
                    }
                })
            }
        })
    })



    $(document).on('click','#demande_livraison',function(e){
        e.preventDefault();
        let btn=$(this);
        let command=btn.data('command');
        btn.html('<img src="{{asset('images/loader.gif')}}" width="20px"> Initialisation de la demande de livraison ...').attr('disabled',true);
        let forms=$('#shipping_form');
        let url             =  forms.attr('action');
        let data            =  forms.serialize();
        $.ajax({
            url:url,
            method:"POST",
            data:data,
            success:function(data) {
                btn.html('En attente de livraison').attr('disabled',true);
                $('#LivraisonDataModal').modal('hide');
                $.notify('La demande de livraison à été enrégistré avec succès. Le service de livraison vous contactera pour la validation des informations saisis.','success');
                setTimeout(function(){
                    location.reload();
                },3000)
            },error:function (data) {
            }
        });
    })

    $(document).on('click','.paiement-initalise',function(e){
        e.preventDefault();
        let btn=$(this);
        let command=btn.data('command');
        btn.attr('disabled',true).html('<img src="{{asset('images/loader.gif')}}" width="20px"> Initialisation du paiement ...');
        let url             =  btn.data('url');
        let status             =  btn.data('home');
        let form            =  {slug:command};
        $.ajax({
            url:url,
            method:"POST",
            data:form,
            success:function(data) {
                btn.attr('disabled',false).html('Payer maintenant');
                btn.html('Payer maintenant');
                if(localStorage.getItem('continent')!==null && localStorage.getItem('continent')!=="Africa"){
                    data = JSON.parse(data);
                    $('#form_choose_paiement_option').fadeOut(function () {
                        $('#form_choose_paiement_option_loading').fadeIn();
                    });
                    $('#choosePaiementOptionsModal').modal('show')
                    getGateWayPaiementMethod(parseInt(data), '{{$metas->currency_client}}', 'commandes', 'paypal');
                }else {
                    $('#choosePaiementOptionsModal').modal('show');
                }
                sessionStorage.setItem('data', data);
            },error:function (data) {
                btn.attr('disabled',false);
            }
        });
    })


    $(document).on('click','.cart-btn-every-where',function () {
        let btn=$(this),
            cartPriceHolder = $('.cart_price'),
            cartCountHolder = $('.cart_count'),
            article = $(this).data('article'),
            quantity = 1,
            url = '{{route('cart.add')}}',
            data = {
                _token:'{{csrf_token()}}',
                article : article,
                quantity:quantity,
                maximum:2
            };
        btn.html('<i class="fa fa-spinner" style=""></i>');
        $.ajax({
            url:url,
            data:data,
            method:"POST",
            success:function(data) {
                cartPriceHolder.text(data.price)
                cartCountHolder.text(data.count)
                if(parseInt(data.reste)!==0){
                    $.notify('Vous ne pouvez ajouté que '+data.reste+'  à votre panier', 'warning');
                    btn.html('<i class="fas fa-shopping-bag cart_i_value'+article+'" style=""></i>');
                }else {
                    $.notify('Article ajouté au panier avec succès', 'success');
                    btn.html('<i class="fas fa-shopping-bag cart_i_value'+article+'" style=""></i>');
                    $('.cart_i_value'+article).css('color','red');
                    $.Zebra_Dialog('<span style="color: green;"><i class="fa fa-check-circle"></i>Produit ajouter à votre panier avec succès.</span> Voulez vous continuer votre achat ou accéder au panier pour valider la commande.', {
                        'type': 'question',
                        'title': 'Panier',
                        'buttons': ['Acceder au panier', 'Continuer mes achats'],
                        'onClose': function (caption) {
                            if(caption=='Acceder au panier'){
                                location.href='{{route('products.cart',\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'])}}';
                            }
                        }
                    });
                }
            },error:function (data) {
            }
        });

    })




    $(document).ready(function () {
        let quantityInput = $('#quantity_input');
        let cartPriceHolder = $('.cart_price');
        let cartCountHolder = $('.cart_count');
        $('#quantity_inc_button').click(function () {
            let value   = parseInt(quantityInput.val())
            quantityInput.val(value+1)
        })
        $('#quantity_dec_button').click(function () {
            let value = parseInt(quantityInput.val())
            if (value>1){
                quantityInput.val(value-1)
            }
        })

        $('.cart-btn').click(function () {
            let hasQuantity  = quantityInput.length
            // alert('Want to add to cart'+hasQuantity)
            let article = $(this).data('article');
            let quantity = quantityInput.val();
            let max=quantityInput.data('max');
            if(parseInt(quantity)<=parseInt(max) && parseInt(quantity)>0){
                let url = '{{route('cart.add')}}';
                data = {
                    article : article,
                    quantity:quantity,
                    maximum:max
                }

                $.ajax({
                    url:url,
                    data:data,
                    method:"POST",
                    success:function(data) {
                        cartPriceHolder.text(data.price)
                        cartCountHolder.text(data.count)
                        if(parseInt(data.reste)!==0){
                            $.notify('Vous ne pouvez ajouté que '+data.reste+'  à votre panier', 'warning');
                        }else {
                            $.notify('Article ajouté au panier avec succès', 'success');

                            $.Zebra_Dialog('<span style="color: green;"><i class="fa fa-check-circle"></i>Produit ajouter à votre panier avec succès.</span> Voulez vous continuer votre achat ou accéder au panier pour valider la commande.', {
                                'type': 'question',
                                'title': 'Panier',
                                'buttons': ['acceder au panier', 'continuer'],
                                'onClose': function (caption) {
                                    if(caption=='acceder au panier'){
                                        location.href='{{route('products.cart',\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'])}}';
                                    }
                                }
                            });
                        }
                    },error:function (data) {
                    }
                });
            }else{
                $.notify('Vous ne pouvez pas excéder le stock disponible qui est : '+max+' ou être en dessous de 1','error');
            }
        })
    })



    function check_error($table){
        let $reponse=true;
        for(let i=0;i<$table.length;i++){
            let $btn=$('#'+$table[i]);
            let $btnerror=$('#error'+$table[i]);
            let $name=$btn.attr('type');
            let $requis=$btn.attr('required');
            let $inputname=$btn.data('input_name');
            let $val=$btn.val();
            if($val===null || $val==""){
                if($requis) {
                    $btnerror.html('La valeur du champs ' + $inputname + ' est requise');
                    $btn.css('border','1px solid red');
                    $reponse = false;
                    $.notify('La valeur du champs ' + $inputname + ' est requise','error');
                    break;
                }
            }else
            if($name=='number'){
                let $min=$btn.attr('min');
                let $minlenght=$btn.attr('minlength');
                if(parseInt($val)<parseInt($min)){
                    $btn.css('border','1px solid red');
                    $reponse = false;
                    $.notify('La valeur du champs ' + $inputname + ' doit être supérieur à '+$min,'error');
                    break;
                }else if($val.length<$minlenght){
                    $btnerror.html('La taille de la valeur du champs ' + $inputname + ' doit être supérieur à '+$minlenght);
                    $btn.css('border','1px solid red');
                    $reponse = false;
                    $.notify('La taille de la valeur du champs ' + $inputname + ' doit être supérieur à '+$minlenght);
                    break;
                }
            }
            else if($name=='email'){
                if(!isValidEmailAddress($val)){
                    $btnerror.html('L\'adresse mail saisis est incorrecte.');
                    $btn.css('border','1px solid red');
                    $.notify('L\'adresse mail saisis est incorrecte','error');
                    $reponse = false;
                    break;
                }
            }else if($name=='password'){
                let $minlenght=6;
                if($val.length<$minlenght){
                    $btnerror.html('La taille de la valeur du champs ' + $inputname + ' doit être supérieur à '+$minlenght);
                    $btn.css('border','1px solid red');
                    $reponse = false;
                    $.notify('La taille de la valeur du champs ' + $inputname + ' doit être supérieur à '+$minlenght,'error');

                    break;
                }
            }

            if($reponse){
                $btnerror.html(' ');
                $btn.css('border','');
                // $btnvalid.html('La valeur du champ ' + $inputname + ' est valide');
            }

        }
        return $reponse;
    }



    function getGateWayPaiementMethod(totalprice,devise,transaction_type,way) {
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        let form = new FormData();
        form.append('business', '45Y7FFUPWWMMC');
        form.append('cmd', '_xclick');
        form.append('amount', totalprice);
        form.append('currency_code', devise);
        form.append('return', location.origin + '/payment-status');
        form.append('csrf', '{{csrf_token()}}');
        if (way === 'paypal') {
            form.append('transaction_type', 'commandes');
            $('#form_choose_paiement_option').fadeOut(function () {
                $('#form_choose_paiement_option_loading').fadeIn();
            });
            $.ajax({
                url: '{{route('payment.command.pay')}}',
                method: "POST",
                data: form,
                cache: false,
                processData: false,
                contentType: false,
                success: function (data) {
                    data = JSON.parse(data);
                    if (!data.error) {
                         location.href = data.redirect_url;
                    } else {
                        Swal.fire({
                            title: 'PAIEMENT PAYPAL',
                            text: "Un problème est survenue au cours de l\'initialisation du paiement. Veuillez reéssayer un plus tard.",
                            type: 'error',
                        }).then((result) => {
                            if (result.value) {
                                $('#form_choose_paiement_option_loading').fadeOut(function () {
                                    $('#form_choose_paiement_option').fadeIn();
                                });
                            }
                        })
                    }
                }, error: function (data) {
                    Swal.fire({
                        title: 'PAIEMENT PAYPAL',
                        text: "Un problème est survenue au cours de l\'initialisation du paiement. Veuillez reéssayer un plus tard.",
                        type: 'error',
                    }).then((result) => {
                        if (result.value) {
                            $('#form_choose_paiement_option_loading').fadeOut(function () {
                                $('#form_choose_paiement_option').fadeIn();
                            });
                          //  $('#PersonnalDataModal').modal('show')
                        }
                    })
                }
            })
        } else {
            if (localStorage.getItem('country') !== undefined && localStorage.getItem('country') !== null) {
                if (localStorage.getItem('country') === 'Benin') {
                    $('#PersonnalDataModal').modal('hide');
                    $('#choosePaiementOptionsModal').modal('hide');
                    openKkiapayWidget({
                            amount: parseInt(totalprice),
                            position: "right",
                            callback:'{{route('products.check_paiment',\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'])}}',
                            theme: "{{$metas->background_color!=null ?  $metas->background_color : '#00ba9d' }}",
                            key: "{{env('KKIAPAY_PUBLIC')}}"
                        },
                        addSuccessListener(response => {
                            $.Zebra_Dialog('La page va se rafraichir dans quelques instant . Veuillez patientez le temps qu\'elle se recharge.', {
                                'type': 'information',
                                'title': 'Paiement effectué avec succès.'
                            });
                        })
                    );
                } else  {
                    form.append('transaction_type', 'commandes');
                    $('#form_choose_paiement_option').fadeOut(function () {
                        $('#form_choose_paiement_option_loading').fadeIn();
                    });
                    $.ajax({
                        url: '{{route('paybyPaydunya')}}',
                        method: "POST",
                        data: form,
                        cache: false,
                        processData: false,
                        contentType: false,
                        success: function (data) {
                            if (!data.error) {
                                location.href = data.redirect_url;
                            } else {
                                Swal.fire({
                                    title: 'PAIEMENT MOBILE MONEY OU CARTE DE CREDIT',
                                    text: "Un problème est survenue au cours de l\'initialisation du paiement. Veuillez reéssayer un plus tard.",
                                    type: 'error',
                                }).then((result) => {
                                    if (result.value) {
                                        $('#choosePaiementOptionsModal').modal('hide')
                                        $('#form_choose_paiement_option_loading').fadeOut(function () {
                                            $('#form_choose_paiement_option').fadeIn();
                                        });
                                        $('#PersonnalDataModal').modal('show')
                                    }
                                })
                            }
                        }, error: function (data) {
                            Swal.fire({
                                title: 'PAIEMENT MOBILE MONEY OU CARTE DE CREDIT',
                                text: "Un problème est survenue au cours de l\'initialisation du paiement. Veuillez reéssayer un plus tard.",
                                type: 'error',
                            }).then((result) => {
                                if (result.value) {
                                    $('#choosePaiementOptionsModal').modal('hide')
                                    $('#form_choose_paiement_option_loading').fadeOut(function () {
                                        $('#form_choose_paiement_option').fadeIn();
                                    });
                                    $('#PersonnalDataModal').modal('show')
                                }
                            })
                        }
                    })

                }
            }
        }
    }



</script>

@if ($errors->any())

    <script>
        $.Zebra_Dialog('@foreach ($errors->all() as $error)<li>{{ $error }}</li>@endforeach',{
            'type': 'error',
            'title': 'Une ou plusieurs erreures se sont produites.'
        });
    </script>

@endif
@if(session("success"))

    <script>
        $.Zebra_Dialog('{{session('success')}}',{
            'type': 'information',
            'title': 'Opération effectuée avec succès'
        });
    </script>

@elseif(session("error"))

    <script>
        $.Zebra_Dialog('{{session('error')}}',{
            'type': 'error',
            'title': 'L\'opération à échouer.'
        });
    </script>


@endif
</body>

</html>
