<!DOCTYPE html>
<html  lang="fr">
<head>
    <meta property="og:site_name" content="{{$boutique['nom_boutique']}}">
    <meta property="og:site" content="{{url('/').'/'.$boutique['nom_boutique']}}">
    <meta property="og:url" content="{{url('/').'/'.$boutique['nom_boutique']}}">
    <meta property='og:type' content='website'/>
    <meta property="og:image"  content="{{($metas->logo_boutique == null)? asset('images/logo_mini.jpg') :$metas->logo_boutique}}">
    <link rel="icon" type="image/png" href="{{asset('images/favicon.ico')}}"/>
    <link rel="apple-touch-icon" sizes="180x180" href="{{asset('images/apple-touch-icon.png')}}">
    <link rel="icon" type="image/png" sizes="32x32" href="{{asset('images/favicon-32x32.png')}}">
    <link rel="icon" type="image/png" sizes="16x16" href="{{asset('images/favicon-16x16.png')}}">
    <title>{{Illuminate\Support\Str::limit(strtoupper(str_replace('_',' ',$boutique->nom_boutique)),65)}}</title>
    <meta property="favicon" content="{{($logo_boutique == null)? asset('images/logo_mini.jpg') :$logo_boutique}}">
    @yield('ogs')
    @yield('title')
    <link rel="dns-prefetch preconnect" href="https://fonts.googleapis.com/" crossorigin>
    <link rel="dns-prefetch preconnect" href="https://fonts.gstatic.com/" crossorigin>
    <link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css" integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p" crossorigin="anonymous"/>
    <link href="https://fonts.googleapis.com/css?family=Merriweather&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@mdi/font@latest/css/materialdesignicons.min.css">
    <link rel="stylesheet" href="{{asset('zebra_css/zebra_dialog.css')}}" />
     <!-- Bootstrap V4 CSS -->
    <link data-stencil-stylesheet
          href="{{asset("grocery/css/bootstrap.min.css")}}"
          rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Cairo:400,600|Montserrat:500,700&amp;display=swap"
          rel="stylesheet">
    <link data-stencil-stylesheet
          href="{{asset("grocery/css/theme-69c9d180-481d-0139-7deb-0242ac11001a.css")}}"
          rel="stylesheet">
    <link data-stencil-stylesheet
          href="{{asset("grocery/css/owl.carousel.css")}}"
          rel="stylesheet">
    <link data-stencil-stylesheet
          href="{{asset("grocery/css/font-awesome.min.css")}}"
          rel="stylesheet">
    <link data-stencil-stylesheet
          href="{{asset("grocery/css/webi-style.css")}}"
          rel="stylesheet">
    @include('dashboard.Boutique.global.globalCss')
    @include("dashboard.Boutique.Boutique_template.layouts.grocery.meta_header")
    @include("dashboard.Boutique.Boutique_template.layouts.grocery.custom_value_css")
    @yield("css")
<!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-NMT1DCDEVS"></script>
    <script>
        window.dataLayer = window.dataLayer || [];
        function gtag(){dataLayer.push(arguments);}
        gtag('js', new Date());

        gtag('config', 'G-NMT1DCDEVS');
    </script>
    <style>
        .modal{
            padding: 0!important;
        }
        .modal-dialog{
            margin: 0!important;
            display: contents;
        }
        .modal-backdrop{
         z-index: 100!important;
        }
        @media only screen and (max-width: 551px){

        .modal {
            border-radius: 0;
            display: none;
            position: absolute;
            top: 0!important;
            width: 100%;
            z-index: 1005;
            left: 0;
            background-color: #fff;
            padding: 2.25rem 2.25rem;
            border: solid 0 #e5e5e5;
            box-shadow: none;
            max-height: 80%;
            overflow: auto;
            position: fixed;
        }
        
        .modal {
            position: fixed;
            top: 0;
            right: 0;
            bottom: 0;
            left: 0;
            z-index: 1050;
            display: none;
            overflow: hidden;
            outline: 0;
        }
    }
        .menu_trigger_container:hover .page_menu_content{
            height: 500px;
        }
        .chosen-container-single .chosen-single{
            height: 38px;
            background: none;
            border-radius: 0px;
            line-height: 38px;
        }
        .chosen-container-single .chosen-single div{
            margin-top: 8px;
        }
        .pace {
            -webkit-pointer-events: none;
            pointer-events: none;
            -webkit-user-select: none;
            -moz-user-select: none;
            user-select: none;
        }

        .pace-inactive {
            display: none;
        }
        .btn-primary{
            background:{{$metas->background_color!=null ?  $metas->background_color : '#88b121' }}!important;
            color: {{$metas->text_color!=null ?  $metas->text_color : 'white' }}!important;
        }
        .pace .pace-progress {
            background:{{$metas->background_color!=null ?  $metas->background_color : '#88b121' }};
            position: fixed;
            z-index: 2000;
            top: 0;
            right: 100%;
            width: 100%;
            height: 2px;
        }

        .pace .pace-progress-inner {
            display: block;
            position: absolute;
            right: 0px;
            width: 100px;
            height: 100%;
            box-shadow: 0 0 10px{{$metas->background_color!=null ?  $metas->background_color : '#88b121' }}, 0 0 5px{{$metas->background_color!=null ?  $metas->background_color : '#88b121' }};
            opacity: 1.0;
            -webkit-transform: rotate(3deg) translate(0px, -4px);
            -moz-transform: rotate(3deg) translate(0px, -4px);
            -ms-transform: rotate(3deg) translate(0px, -4px);
            -o-transform: rotate(3deg) translate(0px, -4px);
            transform: rotate(3deg) translate(0px, -4px);
        }

        .pace .pace-activity {
            display: block;
            position: fixed;
            z-index: 2000;
            top: 15px;
            right: 15px;
            width: 14px;
            height: 14px;
            border: solid 2px transparent;
            border-top-color:{{$metas->background_color!=null ?  $metas->background_color : '#88b121' }};
            border-left-color:{{$metas->background_color!=null ?  $metas->background_color : '#88b121' }};
            border-radius: 10px;
            -webkit-animation: pace-spinner 400ms linear infinite;
            -moz-animation: pace-spinner 400ms linear infinite;
            -ms-animation: pace-spinner 400ms linear infinite;
            -o-animation: pace-spinner 400ms linear infinite;
            animation: pace-spinner 400ms linear infinite;
        }

        @-webkit-keyframes pace-spinner {
            0% { -webkit-transform: rotate(0deg); transform: rotate(0deg); }
            100% { -webkit-transform: rotate(360deg); transform: rotate(360deg); }
        }
        @-moz-keyframes pace-spinner {
            0% { -moz-transform: rotate(0deg); transform: rotate(0deg); }
            100% { -moz-transform: rotate(360deg); transform: rotate(360deg); }
        }
        @-o-keyframes pace-spinner {
            0% { -o-transform: rotate(0deg); transform: rotate(0deg); }
            100% { -o-transform: rotate(360deg); transform: rotate(360deg); }
        }
        @-ms-keyframes pace-spinner {
            0% { -ms-transform: rotate(0deg); transform: rotate(0deg); }
            100% { -ms-transform: rotate(360deg); transform: rotate(360deg); }
        }
        @keyframes pace-spinner {
            0% { transform: rotate(0deg); transform: rotate(0deg); }
            100% { transform: rotate(360deg); transform: rotate(360deg); }
        }

        .product_fav{
            cursor: pointer;
        }

        .cart-btn-every-where{
            cursor: pointer;
        }

        .no-js #loader { display: none;  }
        .js #loader { display: block; position: absolute; left: 100px; top: 0; }
        .card-figcaption-button.cartb{
            background: #6e6e6e;
            border-radius: 100%;
        }
        .card-figcaption-button.cartb:hover{
            background: #e8e8e8 !important;
        }
        .produit_list article{
            padding: 13px!important;
            background: #ddd;
        }
        .se-pre-con {
            position: fixed;
            background: #ffffff;
            width: 100vw;
            height: 100vh;
            line-height: 100vh;
            z-index: 9999;
            background-size:contain;
            padding: auto;
            text-align:center;
        }
        .se-pre-con img{
            border-radius:20px;
            padding:10px;
            border:5px solid #d8d8d8
        }
        @keyframes flickerAnimation {
            0%   { opacity:1; }
            50%  { opacity:0; }
            100% { opacity:1; }
        }
        @-o-keyframes flickerAnimation{
            0%   { opacity:1; }
            50%  { opacity:0; }
            100% { opacity:1; }
        }
        @-moz-keyframes flickerAnimation{
            0%   { opacity:1; }
            50%  { opacity:0; }
            100% { opacity:1; }
        }
        @-webkit-keyframes flickerAnimation{
            0%   { opacity:1; }
            50%  { opacity:0; }
            100% { opacity:1; }
        }
        .animate-flicker {
            -webkit-animation: flickerAnimation 3s infinite;
            -moz-animation: flickerAnimation 3s infinite;
            -o-animation: flickerAnimation 3s infinite;
            animation: flickerAnimation 3s infinite;
        }
        @-moz-keyframes spin { 100% { -moz-transform: rotate(360deg); } }
        @-webkit-keyframes spin { 100% { -webkit-transform: rotate(360deg); } }
        @keyframes spin { 100% { -webkit-transform: rotate(360deg); transform:rotate(360deg); }}
        @media (max-width: 767px) {
            .all-btn {
                position: absolute;
                top: 30px;
                right: 15px;
            }

            .info-footer-news p{
                text-align: center!important;
            }
        }
        a:hover{
            color: {{$metas->background_color!=null ?  $metas->background_color : '#88b121' }}!important;

        }
        .page-content, .page-content--full {
            float: unset!important;
        }

        .heroCarousel-title{
            color: #fff;
        }
        .heroCarousel-description{
            color: #fff;
        }
.promo-tags{
    position: absolute;
    top: 10px;
    left: 10px;
    width: 50px;
    height: 50px;
    background: #a00606;
    text-align: center;
    border-radius: 100%;
    z-index: 99;
    color: #fff;
    line-height: 50px;
}
        .productCarousel .promo-tags{
            left: 25px;
        }
        .chosen-container{
            text-align: left!important;
            background: #fff!important;
        }
        .wbSearch{
            background-color: rgba(0,0,0,.9);
        }
        .wbSearch label{
            color: #fff;
            text-align: left!important;
            width: 100%;
        }
        .productGrid{
            font-size: 14px!important;
        }
       .mobileMenu-toggle.is-open{
           z-index: 99;
       }

       .mobileMenu-toggle.is-open .mobileMenu-toggleIcon{
            position: fixed;
            top: 60px;
            right: 30px;
        }
        .wbSearch{
            max-width: 100vw!important;
        }
        @media (max-width: 800px) {
            .header-max.header-bottom {
                margin-left: unset!important;
                z-index: 99;
            }
        }
        @media (min-width: 801px){
.navPages {
    max-width: unset!important;
}}
a.navPage-childList-action.navPages-action{
    padding: 20px;
}
.mobileMenu-toggle.is-open .mobileMenu-toggleIcon::before{
    background: #fff;
}
.mobileMenu-toggle.is-open .mobileMenu-toggleIcon::after{
    background: #fff;
}
.mobileMenu-toggle .mobileMenu-toggleIcon, .mobileMenu-toggle .mobileMenu-toggleIcon::after, .mobileMenu-toggle .mobileMenu-toggleIcon::before{
    width: 3rem;
}
.mobileMenu-toggle.is-open .mobileMenu-toggleIcon::before{
    top: 15px;
    right:20px
}
.mobileMenu-toggle.is-open .mobileMenu-toggleIcon::after{
    top: 15px;
    right:20px
}
    </style>
    <script src="https://www.google.com/recaptcha/api.js?render=6LfFn0whAAAAAGLRb34I2afYzEi4mN3vK2WaXC-F"></script>
</head>
<body>
<svg style="display: none">
    <symbol id="hcall" viewBox="0 0 384 384">
        <path d="M353.188,252.052c-23.51,0-46.594-3.677-68.469-10.906c-10.906-3.719-23.323-0.833-30.438,6.417l-43.177,32.594
                  c-50.073-26.729-80.917-57.563-107.281-107.26l31.635-42.052c8.219-8.208,11.167-20.198,7.635-31.448
                  c-7.26-21.99-10.948-45.063-10.948-68.583C132.146,13.823,118.323,0,101.333,0H30.812C13.823,0,0,13.823,0,30.812
                  C0,225.563,158.438,384,353.188,384c16.99,0,30.813-13.823,30.813-30.813v-70.323C384,265.875,370.177,252.052,353.188,252.052z
                   M362.667,353.188c0,5.229-4.25,9.479-9.479,9.479c-182.99,0-331.854-148.865-331.854-331.854c0-5.229,4.25-9.479,9.479-9.479
                  h70.521c5.229,0,9.479,4.25,9.479,9.479c0,25.802,4.052,51.125,11.979,75.115c1.104,3.542,0.208,7.208-3.375,10.938L82.75,165.427
                  c-2.458,3.26-2.844,7.625-1,11.26c29.927,58.823,66.292,95.188,125.531,125.542c3.604,1.885,8.021,1.49,11.292-0.979
                  l49.677-37.635c2.51-2.51,6.271-3.406,9.667-2.25c24.156,7.979,49.479,12.021,75.271,12.021c5.229,0,9.479,4.25,9.479,9.479
                  V353.188z"></path>
    </symbol>
    <symbol id="hcart" viewBox="0 -36 512.001 512">
        <path
            d="m256 219.988281c5.519531 0 10-4.480469 10-10s-4.480469-10-10-10-10 4.480469-10 10 4.480469 10 10 10zm0 0"></path>
        <path
            d="m472 139.988281h-59.136719l-90.96875-125.152343c-8.171875-14.003907-26.171875-18.988282-40.46875-11.070313-14.492187 8.050781-19.703125 26.304687-11.648437 40.800781.230468.410156.484375.804688.769531 1.179688l71.351563 94.242187h-171.796876l71.351563-94.242187c.28125-.375.539063-.769532.769531-1.179688 8.035156-14.460937 2.882813-32.730468-11.660156-40.808594-14.265625-7.902343-32.265625-2.921874-40.453125 11.070313l-90.972656 125.160156h-59.136719c-22.054688 0-40 17.945313-40 40 0 17.394531 11.289062 32.539063 27.191406 37.898438 1.695313 1.3125 3.8125 2.101562 6.117188 2.101562.460937 0 .894531.027344 1.347656.089844 4.304688.578125 7.714844 3.84375 8.496094 8.117187l34.019531 187.164063c2.597656 14.269531 15.011719 24.628906 29.519531 24.628906h298.617188c14.507812 0 26.921875-10.359375 29.519531-24.632812l34.019531-187.15625c.78125-4.277344 4.195313-7.542969 8.515625-8.121094.4375-.0625.871094-.089844 1.328125-.089844 2.320313 0 4.453125-.796875 6.148438-2.125 15.914062-5.394531 27.160156-20.511719 27.160156-37.875 0-22.054687-17.945312-40-40-40zm-185.011719-105.660156c-2.285156-4.730469-.511719-10.492187 4.136719-13.070313 4.839844-2.683593 10.941406-.953124 13.609375 3.855469.195313.359375.417969.703125.65625 1.03125l82.746094 113.84375h-21.15625zm-80.378906-8.179687c.238281-.328126.453125-.667969.652344-1.019532 2.675781-4.8125 8.78125-6.546875 13.601562-3.878906 4.65625 2.585938 6.4375 8.339844 4.148438 13.078125l-79.992188 105.660156h-21.15625zm265.390625 173.839843h-176c-5.523438 0-10 4.476563-10 10 0 5.523438 4.476562 9.898438 10 9.898438h154.398438c-.523438 1.492187-.9375 3.039062-1.226563 4.632812l-34.023437 187.257813c-.863282 4.757812-5.003907 8.210937-9.839844 8.210937h-298.617188c-4.839844 0-8.976562-3.453125-9.84375-8.207031l-34.019531-187.164062c-.289063-1.59375-.703125-3.140626-1.226563-4.628907h154.398438c5.523438 0 10-4.476562 10-10 0-5.523437-4.476562-10-10-10h-176c-11.121094 0-20-9.0625-20-20 0-11.027343 8.972656-20 20-20h432c11.027344 0 20 8.972657 20 20 0 11.105469-9.085938 20-20 20zm0 0"></path>
        <path
            d="m256 249.988281c-16.542969 0-30 13.457031-30 30v80c0 16.542969 13.457031 30 30 30s30-13.457031 30-30v-80c0-16.574219-13.425781-30-30-30zm10 110c0 5.515625-4.484375 10-10 10s-10-4.484375-10-10v-80c0-5.515625 4.484375-10 10-10 5.519531 0 10 4.480469 10 10zm0 0"></path>
        <path
            d="m356 389.988281c16.542969 0 30-13.457031 30-30v-80c0-16.574219-13.425781-30-30-30-16.542969 0-30 13.457031-30 30v80c0 16.542969 13.457031 30 30 30zm-10-110c0-5.515625 4.484375-10 10-10 5.519531 0 10 4.480469 10 10v80c0 5.515625-4.484375 10-10 10s-10-4.484375-10-10zm0 0"></path>
        <path
            d="m156 249.988281c-16.542969 0-30 13.457031-30 30v80c0 16.542969 13.457031 30 30 30s30-13.457031 30-30v-80c0-16.574219-13.425781-30-30-30zm10 110c0 5.515625-4.484375 10-10 10s-10-4.484375-10-10v-80c0-5.515625 4.484375-10 10-10 5.519531 0 10 4.476563 10 10zm0 0"></path>
    </symbol>
    <symbol id="huser" viewBox="0 0 482.9 482.9">
        <path d="M239.7,260.2c0.5,0,1,0,1.6,0c0.2,0,0.4,0,0.6,0c0.3,0,0.7,0,1,0c29.3-0.5,53-10.8,70.5-30.5
      c38.5-43.4,32.1-117.8,31.4-124.9c-2.5-53.3-27.7-78.8-48.5-90.7C280.8,5.2,262.7,0.4,242.5,0h-0.7c-0.1,0-0.3,0-0.4,0h-0.6
      c-11.1,0-32.9,1.8-53.8,13.7c-21,11.9-46.6,37.4-49.1,91.1c-0.7,7.1-7.1,81.5,31.4,124.9C186.7,249.4,210.4,259.7,239.7,260.2z
       M164.6,107.3c0-0.3,0.1-0.6,0.1-0.8c3.3-71.7,54.2-79.4,76-79.4h0.4c0.2,0,0.5,0,0.8,0c27,0.6,72.9,11.6,76,79.4
      c0,0.3,0,0.6,0.1,0.8c0.1,0.7,7.1,68.7-24.7,104.5c-12.6,14.2-29.4,21.2-51.5,21.4c-0.2,0-0.3,0-0.5,0l0,0c-0.2,0-0.3,0-0.5,0
      c-22-0.2-38.9-7.2-51.4-21.4C157.7,176.2,164.5,107.9,164.6,107.3z"></path>
        <path d="M446.8,383.6c0-0.1,0-0.2,0-0.3c0-0.8-0.1-1.6-0.1-2.5c-0.6-19.8-1.9-66.1-45.3-80.9c-0.3-0.1-0.7-0.2-1-0.3
      c-45.1-11.5-82.6-37.5-83-37.8c-6.1-4.3-14.5-2.8-18.8,3.3c-4.3,6.1-2.8,14.5,3.3,18.8c1.7,1.2,41.5,28.9,91.3,41.7
      c23.3,8.3,25.9,33.2,26.6,56c0,0.9,0,1.7,0.1,2.5c0.1,9-0.5,22.9-2.1,30.9c-16.2,9.2-79.7,41-176.3,41
      c-96.2,0-160.1-31.9-176.4-41.1c-1.6-8-2.3-21.9-2.1-30.9c0-0.8,0.1-1.6,0.1-2.5c0.7-22.8,3.3-47.7,26.6-56
      c49.8-12.8,89.6-40.6,91.3-41.7c6.1-4.3,7.6-12.7,3.3-18.8c-4.3-6.1-12.7-7.6-18.8-3.3c-0.4,0.3-37.7,26.3-83,37.8
      c-0.4,0.1-0.7,0.2-1,0.3c-43.4,14.9-44.7,61.2-45.3,80.9c0,0.9,0,1.7-0.1,2.5c0,0.1,0,0.2,0,0.3c-0.1,5.2-0.2,31.9,5.1,45.3
      c1,2.6,2.8,4.8,5.2,6.3c3,2,74.9,47.8,195.2,47.8s192.2-45.9,195.2-47.8c2.3-1.5,4.2-3.7,5.2-6.3
      C447,415.5,446.9,388.8,446.8,383.6z"></path>
    </symbol>
    <symbol id="hsearch" viewBox="0 0 451 451">
        <path
            d="M447.05,428l-109.6-109.6c29.4-33.8,47.2-77.9,47.2-126.1C384.65,86.2,298.35,0,192.35,0C86.25,0,0.05,86.3,0.05,192.3 s86.3,192.3,192.3,192.3c48.2,0,92.3-17.8,126.1-47.2L428.05,447c2.6,2.6,6.1,4,9.5,4s6.9-1.3,9.5-4 C452.25,441.8,452.25,433.2,447.05,428z M26.95,192.3c0-91.2,74.2-165.3,165.3-165.3c91.2,0,165.3,74.2,165.3,165.3 s-74.1,165.4-165.3,165.4C101.15,357.7,26.95,283.5,26.95,192.3z"></path>
    </symbol>
    <symbol id="bwish" viewBox="0 0 129 129">
        <path
            d="m121.6,40.1c-3.3-16.6-15.1-27.3-30.3-27.3-8.5,0-17.7,3.5-26.7,10.1-9.1-6.8-18.3-10.3-26.9-10.3-15.2,0-27.1,10.8-30.3,27.6-4.8,24.9 10.6,58 55.7,76 0.5,0.2 1,0.3 1.5,0.3 0.5,0 1-0.1 1.5-0.3 45-18.4 60.3-51.4 55.5-76.1zm-57,67.9c-39.6-16.4-53.3-45-49.2-66.3 2.4-12.7 11.2-21 22.3-21 7.5,0 15.9,3.6 24.3,10.5 1.5,1.2 3.6,1.2 5.1,0 8.4-6.7 16.7-10.2 24.2-10.2 11.1,0 19.8,8.1 22.3,20.7 4.1,21.1-9.5,49.6-49,66.3z"></path>
    </symbol>
    <symbol viewBox="0 0 490 490" id="bcom">
        <path d="M215.746,324.797L109.763,98.724l127.557-23.822v288.682c-137.303,6.625-190.134,99.45-192.383,103.566l-12.408,22.659
        h444.023l-17.213-24.174c-2.876-4.024-69.217-94.753-191.419-101.975V69.195l113.894-21.267l-107.56,229.424H490L382.395,47.82
        l93.958-17.534l-5.615-30.095L28.886,82.689l5.615,30.095l71.115-13.281L0,324.797H215.746z M88.939,459.209
        c24.021-26.209,74.909-65.653,163.68-65.653c76.791,0,131.336,39.046,159.61,65.653H88.939z M322.403,246.752l59.731-127.419
        l59.716,127.419H322.403z M48.149,294.197l59.716-127.419l59.731,127.419H48.149z"></path>
    </symbol>
    <symbol id="pcart" viewBox="0 0 511 511.99913">
        <path
            d="m512.496094 172v80c0 11.046875-8.953125 20-20 20h-13.152344l-8.425781 74.988281c-1.148438 10.21875-9.804688 17.765625-19.851563 17.769531-.746094 0-1.496094-.042968-2.257812-.128906-10.976563-1.230468-18.875-11.132812-17.640625-22.105468l10.421875-92.753907c1.136718-10.117187 9.691406-17.769531 19.875-17.769531h11.035156v-40h-432v40h341c11.046875 0 20 8.957031 20 20 0 11.046875-8.953125 20-20 20h-307.226562l19.75 164.761719c2.40625 20.089843 19.480468 35.238281 39.714843 35.238281h247.125c20.382813 0 37.472657-15.277344 39.75-35.535156 1.230469-10.976563 11.128907-18.871094 22.105469-17.640625 10.976562 1.234375 18.875 11.132812 17.644531 22.109375-4.554687 40.511718-38.730469 71.066406-79.5 71.066406h-247.125c-40.46875 0-74.617187-30.300781-79.433593-70.480469l-20.316407-169.519531h-13.488281c-11.046875 0-20-8.953125-20-20v-80c0-11.046875 8.953125-20 20-20h70.9375l105.683594-143.839844c6.539062-8.898437 19.054687-10.816406 27.957031-4.273437 8.902344 6.539062 10.816406 19.054687 4.277344 27.957031l-88.28125 120.15625h231.589843l-88.285156-120.15625c-6.539062-8.902344-4.625-21.417969 4.277344-27.957031 8.902344-6.542969 21.417969-4.628907 27.960938 4.273437l105.679687 143.839844h70.199219c11.046875 0 20 8.957031 20 20zm-275.996094 160v80c0 11.046875 8.953125 20 20 20 11.042969 0 20-8.953125 20-20v-80c0-11.046875-8.957031-20-20-20-11.046875 0-20 8.953125-20 20zm80 0v80c0 11.046875 8.953125 20 20 20 11.042969 0 20-8.953125 20-20v-80c0-11.046875-8.957031-20-20-20-11.046875 0-20 8.953125-20 20zm-160 0v80c0 11.046875 8.953125 20 20 20 11.042969 0 20-8.953125 20-20v-80c0-11.046875-8.957031-20-20-20-11.046875 0-20 8.953125-20 20zm0 0"></path>
    </symbol>
    <symbol viewBox="0 0 232.439 232.439" id="quick">
        <path d="M55.416,64.245c-2.804-1.162-6.027-0.52-8.174,1.625L2.197,110.915c-1.406,1.407-2.196,3.314-2.196,5.304
        c0,1.989,0.79,3.896,2.196,5.304l45.045,45.045c1.436,1.435,3.354,2.196,5.306,2.196c0.966,0,1.941-0.186,2.868-0.571
        c2.803-1.16,4.63-3.896,4.63-6.929v-90.09C60.046,68.141,58.219,65.405,55.416,64.245z M45.046,143.157l-26.938-26.938
        L45.046,89.28V143.157z"></path>
        <path d="M121.523,2.196C120.116,0.79,118.209,0,116.22,0c-1.989,0-3.896,0.79-5.304,2.196L65.871,47.241
        c-2.145,2.146-2.786,5.371-1.625,8.174c1.16,2.803,3.896,4.63,6.929,4.63h90.09c3.033,0,5.769-1.827,6.929-4.63
        c1.161-2.803,0.52-6.028-1.625-8.174L121.523,2.196z M89.281,45.045l26.938-26.938l26.939,26.938H89.281z"></path>
        <path d="M230.242,110.915L185.197,65.87c-2.145-2.145-5.372-2.788-8.174-1.625c-2.803,1.16-4.63,3.896-4.63,6.929v90.09
        c0,3.033,1.827,5.769,4.63,6.929c0.928,0.385,1.902,0.571,2.868,0.571c1.952,0,3.87-0.762,5.306-2.196l45.045-45.045
        c1.406-1.407,2.196-3.314,2.196-5.304C232.438,114.229,231.648,112.322,230.242,110.915z M187.393,143.157V89.28l26.939,26.938
        L187.393,143.157z"></path>
        <path d="M161.263,172.393H71.175c-3.033,0-5.769,1.827-6.929,4.63c-1.161,2.803-0.52,6.028,1.625,8.174l45.045,45.046
        c1.407,1.406,3.314,2.196,5.304,2.196c1.989,0,3.896-0.79,5.304-2.197l45.043-45.046c2.145-2.145,2.786-5.37,1.625-8.173
        C167.031,174.221,164.296,172.393,161.263,172.393z M116.22,214.333l-26.938-26.939h53.876L116.22,214.333z"></path>
    </symbol>
    <symbol viewBox="0 0 508 508" id="foot-en">
        <rect x="365.8" y="217.65" width="22.3" height="16.4"/>
        <rect x="321" y="217.65" width="22.3" height="16.4"/>
        <rect x="276.3" y="217.65" width="22.3" height="16.4"/>
        <path d="M452.1,159.75V55.05H318.6l0.4-0.6l-65-51.3l-65.7,51.9H55.9v104.6L0,203.75v301.1h508v-301.1L452.1,159.75z
     M452.2,180.65l33.9,26.7l-33.9,26.3V180.65z M254,24.05l39.3,31h-78.6L254,24.05z M72.3,71.55h363.5v174.7L254,387.05
    L72.3,246.55V71.55z M55.9,180.55v53.3l-34.1-26.4L55.9,180.55z M491.6,488.65H16.4v-0.1v-264.5l161.6,125l-108,87.1l10.3,12.8
    l111-89.6l62.7,48.5l62.6-48.4l111,89.6l10.3-12.8l-108-87.2l161.7-125.2V488.65z"/>
        <rect x="119.9" y="109.25" width="268.2" height="16.4"/>
        <rect x="119.9" y="163.45" width="268.2" height="16.4"/>
        <rect x="119.9" y="217.65" width="134.1" height="16.4"/>
    </symbol>
    <symbol viewBox="0 0 341.333 341.333" id="cgrid">
        <rect x="128" y="128" width="85.333" height="85.333"></rect>
        <rect x="0" y="0" width="85.333" height="85.333"></rect>
        <rect x="128" y="256" width="85.333" height="85.333"></rect>
        <rect x="0" y="128" width="85.333" height="85.333"></rect>
        <rect x="0" y="256" width="85.333" height="85.333"></rect>
        <rect x="256" y="0" width="85.333" height="85.333"></rect>
        <rect x="128" y="0" width="85.333" height="85.333"></rect>
        <rect x="256" y="128" width="85.333" height="85.333"></rect>
        <rect x="256" y="256" width="85.333" height="85.333"></rect>
    </symbol>
    <symbol viewBox="0 0 95.494 95.494" id="clist">
        <circle cx="10.906" cy="17.294" r="10.906"></circle>
        <circle cx="10.906" cy="47.294" r="10.906"></circle>
        <circle cx="10.906" cy="78.2" r="10.906"></circle>
        <path d="M34.258,24.43h59.236c0.529,0,1.039-0.211,1.414-0.586s0.586-0.884,0.586-1.414l-0.002-10.271c0-1.104-0.896-2-2-2
        H34.258c-1.104,0-2,0.896-2,2V22.43C32.258,23.534,33.153,24.43,34.258,24.43z"></path>
        <path d="M93.492,40.158H34.258c-1.104,0-2,0.896-2,2v10.271c0,1.104,0.896,2,2,2h59.236c0.529,0,1.039-0.211,1.414-0.586
        s0.586-0.885,0.586-1.414l-0.002-10.271C95.492,41.054,94.598,40.158,93.492,40.158z"></path>
        <path d="M93.492,71.064H34.258c-1.104,0-2,0.896-2,2v10.271c0,1.104,0.896,2,2,2h59.236c0.529,0,1.039-0.211,1.414-0.586
        s0.586-0.885,0.586-1.414l-0.002-10.271C95.492,71.96,94.598,71.064,93.492,71.064z"></path>
    </symbol>
    <symbol viewBox="0 0 422.692 422.692" id="gift">
        <path
            d="M271.786,289.626v-7.36c2.08-1.68,4.08-3.52,6-5.44c15.373-16.927,25.053-38.246,27.68-60.96 c13.816-2.105,26.269-9.509,34.72-20.64c11.6-16.4,12.64-40,2.96-69.6c-0.569-1.707-1.696-3.173-3.2-4.16l-4.4-2.96 c0.649-26.708-8.581-52.716-25.92-73.04c-21.52-24.24-54.56-36.48-98.32-36.64c-43.68,0-76.8,12.4-98.32,36.32 c-17.339,20.324-26.569,46.332-25.92,73.04l-4.4,2.96c-1.504,0.987-2.631,2.453-3.2,4.16c-9.68,29.76-8.64,53.2,2.96,69.6 c8.419,11.209,20.872,18.698,34.72,20.88c2.638,22.75,12.348,44.099,27.76,61.04c1.905,1.916,3.907,3.732,6,5.44v7.36 c-30.64,5.92-152.96,34.64-150.88,116.24c0,4.418,3.582,8,8,8h406.64c4.418,0,8-3.582,8-8 C424.746,324.266,302.426,295.546,271.786,289.626z M112.346,197.946c-6.798-2.283-12.723-6.614-16.96-12.4l0.4,0.08 c-8-11.68-8.72-29.36-1.6-52.72l5.84-3.92c2.457-1.64,3.81-4.5,3.52-7.44c-1.346-23.91,6.431-47.441,21.76-65.84 c18.08-20.48,47.12-30.72,86-30.88c38.88-0.16,67.92,10.4,86.32,30.88c15.329,18.399,23.106,41.93,21.76,65.84 c-0.29,2.94,1.063,5.8,3.52,7.44l5.84,3.92c7.12,23.28,6.64,41.04-1.6,52.72c-4.266,5.791-10.217,10.122-17.04,12.4 c9.65-10.98,14.365-25.442,13.04-40c-1.499-8.759-6.065-16.698-12.88-22.4c-3.44-80-59.52-88.96-83.68-88.96 c-5.114-0.015-10.222,0.36-15.28,1.12c-5.057-0.761-10.166-1.135-15.28-1.12c-24,0-80,8.8-83.68,88.96 c-6.859,5.656-11.481,13.568-13.04,22.32C97.972,172.505,102.688,186.971,112.346,197.946z M294.346,132.346 c-33.569,1.94-66.928-6.435-95.6-24c-3.245-2.279-7.67-1.836-10.4,1.04c-16,17.2-45.2,21.2-59.28,22.08 c4.32-56.56,38.56-68.88,67.36-68.88c4.584-0.033,9.162,0.342,13.68,1.12c1.056,0.216,2.144,0.216,3.2,0 c4.518-0.776,9.096-1.151,13.68-1.12c28.56,0,62.96,12.64,66.96,69.68L294.346,132.346z M131.866,199.466l0.32,0.08 c0.017-1.972-0.695-3.881-2-5.36c-10.96-12.56-16-24-14.64-33.44c0.652-5.258,3.249-10.081,7.28-13.52c10.56,0,48-2,72-22.72 c27.029,15.539,57.623,23.808,88.8,24c5.36,0,10.8,0,16.48-0.88c3.921,3.348,6.482,8.014,7.2,13.12 c1.36,9.28-3.68,20.88-14.64,33.44c-1.305,1.479-2.017,3.388-2,5.36c0,0,0,1.6,0,4.16l-46.56,24.96 c-9.24-8.748-23.823-8.349-32.571,0.891c-8.748,9.24-8.349,23.823,0.891,32.571c9.24,8.748,23.823,8.349,32.571-0.891 c4.054-4.282,6.312-9.955,6.309-15.851c0.036-0.72,0.036-1.44,0-2.16l36.72-19.68c-3.152,15.775-10.567,30.384-21.44,42.24 c-14.182,13.654-33.379,20.835-53.04,19.84h-4c-19.619,0.974-38.774-6.172-52.96-19.76 C131.306,240.666,131.866,199.866,131.866,199.466z M235.306,245.386c0,3.932-3.188,7.12-7.12,7.12c-3.932,0-7.12-3.188-7.12-7.12 c0-3.932,3.188-7.12,7.12-7.12S235.306,241.454,235.306,245.386z M203.306,397.386H16.266c6.32-60.08,104-85.2,134.56-91.68v14.32 c0,18.16,22.08,32,52.48,34.32V397.386z M166.826,320.026v-0.24v-27.36c13.298,6.167,27.824,9.231,42.48,8.96h4 c14.656,0.271,29.182-2.793,42.48-8.96v27.6c0,7.6-17.36,18.56-44.48,18.56S166.826,327.626,166.826,320.026z M219.306,397.626 v-43.36c30.4-2.08,52.48-16,52.48-34.32v-14c30.8,6.4,128,31.52,134.56,91.68H219.306z"></path>
    </symbol>
    <symbol viewBox="0 0 491.1 491.1" id="pay">
        <path transform="translate(0 -540.36)"
              d="M401.5,863.31c-12,0-23.4,4.7-32,13.2c-8.6,8.6-13.4,19.8-13.4,31.8s4.7,23.2,13.4,31.8 c8.7,8.5,20,13.2,32,13.2c24.6,0,44.6-20.2,44.6-45S426.1,863.31,401.5,863.31z M401.5,933.31c-13.8,0-25.4-11.4-25.4-25 s11.6-25,25.4-25c13.6,0,24.6,11.2,24.6,25S415.1,933.31,401.5,933.31z M413.1,713.41c-1.8-1.7-4.2-2.6-6.7-2.6h-51.3 c-5.5,0-10,4.5-10,10v82c0,5.5,4.5,10,10,10h81.4c5.5,0,10-4.5,10-10v-54.9c0-2.8-1.2-5.5-3.3-7.4L413.1,713.41z M426.5,792.81 h-61.4v-62.1h37.4l24,21.6V792.81z M157.3,863.31c-12,0-23.4,4.7-32,13.2c-8.6,8.6-13.4,19.8-13.4,31.8s4.7,23.2,13.4,31.8 c8.7,8.5,20,13.2,32,13.2c24.6,0,44.6-20.2,44.6-45S181.9,863.31,157.3,863.31z M157.3,933.31c-13.8,0-25.4-11.4-25.4-25 s11.6-25,25.4-25c13.6,0,24.6,11.2,24.6,25S170.9,933.31,157.3,933.31z M90.6,875.61H70.5v-26.6c0-5.5-4.5-10-10-10s-10,4.5-10,10 v36.6c0,5.5,4.5,10,10,10h30.1c5.5,0,10-4.5,10-10S96.1,875.61,90.6,875.61z M141.3,821.11c0-5.5-4.5-10-10-10H10 c-5.5,0-10,4.5-10,10s4.5,10,10,10h121.3C136.8,831.11,141.3,826.71,141.3,821.11z M30.3,785.01l121.3,0.7c5.5,0,10-4.4,10.1-9.9 c0.1-5.6-4.4-10.1-9.9-10.1l-121.3-0.7c-0.1,0-0.1,0-0.1,0c-5.5,0-10,4.4-10,9.9C20.3,780.51,24.8,785.01,30.3,785.01z M50.7,739.61 H172c5.5,0,10-4.5,10-10s-4.5-10-10-10H50.7c-5.5,0-10,4.5-10,10S45.2,739.61,50.7,739.61z M487.4,726.11L487.4,726.11l-71.6-59.3 c-1.8-1.5-4-2.3-6.4-2.3h-84.2v-36c0-5.5-4.5-10-10-10H60.5c-5.5,0-10,4.5-10,10v73.2c0,5.5,4.5,10,10,10s10-4.5,10-10v-63.2h234.8 v237.1h-82c-5.5,0-10,4.5-10,10s4.5,10,10,10h122.1c5.5,0,10-4.5,10-10s-4.5-10-10-10h-20.1v-191.1h80.6l65.2,54l-0.7,136.9H460 c-5.5,0-10,4.5-10,10s4.5,10,10,10h20.3c5.5,0,10-4.4,10-9.9l0.8-151.6C491,730.91,489.7,728.01,487.4,726.11z"></path>
    </symbol>
    <symbol viewBox="0 0 58 58" id="support">
        <path
            d="M32,0c-1.021,0-2.026,0.076-3.015,0.21C27.953,0.072,26.972,0,26,0c-4.883,0-9.449,1.572-13.33,4.29 c-0.001,0.001-0.003,0.002-0.004,0.003c-1.968,1.379-3.758,3.055-5.326,4.97C7.293,9.306,7.258,9.356,7.22,9.407 c-1.484,1.838-2.76,3.896-3.791,6.122c-0.028,0.05-0.051,0.1-0.07,0.155c-0.71,1.556-1.303,3.191-1.759,4.895 c-0.045,0.096-0.065,0.201-0.078,0.311C0.861,23.465,0.5,26.185,0.5,29c0,4.403,0.871,8.577,2.422,12.319 C2.936,41.361,2.95,41.4,2.97,41.439c0.928,2.214,2.097,4.273,3.466,6.136c0.037,0.051,0.067,0.105,0.113,0.148 c1.389,1.864,2.982,3.524,4.738,4.94c0.051,0.057,0.113,0.099,0.176,0.143C15.59,56.076,20.6,58,26,58 c0.972,0,1.953-0.072,2.985-0.21C29.974,57.924,30.979,58,32,58c14.061,0,25.5-13.009,25.5-29S46.061,0,32,0z M21.419,2.625 c-0.318,0.166-0.632,0.338-0.943,0.518c-0.189,0.109-0.38,0.216-0.566,0.33C19.636,3.642,19.368,3.82,19.1,4h-1.926 c1.462-0.684,2.988-1.224,4.579-1.559C21.64,2.498,21.532,2.566,21.419,2.625z M11.36,46H7.773c-0.882-1.246-1.665-2.585-2.345-4 h3.788c0.157,0.355,0.319,0.706,0.488,1.052c0.072,0.148,0.148,0.293,0.222,0.439c0.206,0.404,0.42,0.801,0.642,1.192 c0.081,0.144,0.16,0.289,0.243,0.431C10.988,45.415,11.173,45.708,11.36,46z M4.968,17h3.827c-0.176,0.438-0.342,0.881-0.498,1.329 c-0.043,0.123-0.086,0.245-0.128,0.368C8.024,19.127,7.89,19.561,7.763,20H3.857C4.175,18.969,4.547,17.969,4.968,17z M2.5,29 c0-0.674,0.036-1.338,0.078-2h3.987c-0.001,0.016-0.001,0.032-0.002,0.048C6.526,27.694,6.5,28.343,6.5,29 c0,0.335,0.012,0.667,0.022,1H2.539C2.528,29.666,2.5,29.337,2.5,29z M6.636,32c0.038,0.421,0.087,0.839,0.141,1.255 c0.004,0.03,0.006,0.061,0.01,0.092C6.861,33.903,6.951,34.454,7.052,35H3.108c-0.195-0.982-0.349-1.981-0.448-3H6.636z M7.256,22 c-0.026,0.119-0.048,0.239-0.073,0.358c-0.027,0.131-0.054,0.261-0.08,0.392c-0.122,0.628-0.231,1.261-0.316,1.903 c-0.004,0.03-0.006,0.061-0.01,0.092C6.766,24.83,6.759,24.915,6.748,25H2.779c0.132-1.018,0.299-2.022,0.528-3H7.256z M7.495,37 c0.031,0.123,0.06,0.247,0.093,0.37c0.011,0.043,0.021,0.087,0.033,0.13c0.165,0.61,0.35,1.21,0.549,1.802 c0.041,0.123,0.085,0.245,0.128,0.368c0.038,0.11,0.075,0.22,0.114,0.329H4.558c-0.379-0.971-0.705-1.973-0.983-3H7.495z M10.811,12.885c-0.083,0.142-0.162,0.287-0.243,0.431c-0.222,0.391-0.436,0.789-0.642,1.192c-0.074,0.146-0.15,0.291-0.222,0.439 C9.695,14.965,9.686,14.982,9.678,15H5.929c0.757-1.427,1.629-2.762,2.596-4h3.503c-0.122,0.175-0.245,0.348-0.363,0.526 C11.37,11.969,11.084,12.422,10.811,12.885z M13.731,6h2.763C16.247,6.216,16,6.434,15.759,6.66 c-0.203,0.192-0.4,0.391-0.598,0.589c-0.196,0.197-0.39,0.396-0.58,0.6c-0.186,0.199-0.373,0.396-0.554,0.6 C13.868,8.629,13.716,8.815,13.561,9h-3.302C11.333,7.883,12.492,6.876,13.731,6z M9.324,48h3.432 c0.113,0.148,0.225,0.297,0.341,0.442c0.302,0.379,0.612,0.749,0.931,1.109c0.181,0.205,0.367,0.402,0.554,0.6 c0.191,0.203,0.384,0.403,0.58,0.6c0.081,0.082,0.159,0.169,0.241,0.249h-3.008C11.297,50.101,10.27,49.097,9.324,48z M21.753,55.559c-2.293-0.483-4.46-1.369-6.47-2.559h2.419c0.125,0.096,0.253,0.187,0.379,0.281 c0.213,0.158,0.424,0.317,0.641,0.468c0.389,0.271,0.785,0.531,1.187,0.778c0.187,0.115,0.377,0.221,0.566,0.33 c0.311,0.18,0.625,0.353,0.943,0.518C21.532,55.434,21.64,55.502,21.753,55.559z M32,56c-0.794,0-1.579-0.047-2.354-0.136 l-0.397-0.055c-0.049-0.007-0.098-0.015-0.147-0.021c-0.348-0.049-0.693-0.107-1.036-0.173c-0.025-0.005-0.049-0.01-0.074-0.015 c-0.335-0.066-0.667-0.139-0.996-0.221c-0.044-0.011-0.087-0.023-0.13-0.035c-0.309-0.079-0.616-0.163-0.92-0.256 c-0.082-0.025-0.162-0.054-0.243-0.08c-0.265-0.084-0.529-0.17-0.789-0.265c-0.185-0.067-0.367-0.142-0.549-0.214 c-0.156-0.061-0.313-0.119-0.467-0.184c-5.376-2.276-9.834-6.748-12.546-12.464c-0.024-0.052-0.047-0.104-0.071-0.156 c-0.146-0.312-0.288-0.628-0.423-0.948c-0.053-0.125-0.102-0.252-0.153-0.378c-0.102-0.25-0.202-0.501-0.298-0.755 c-0.06-0.161-0.117-0.324-0.175-0.487c-0.079-0.223-0.157-0.447-0.232-0.674c-0.06-0.183-0.117-0.367-0.173-0.552 c-0.065-0.212-0.128-0.425-0.189-0.64c-0.055-0.195-0.107-0.391-0.158-0.587c-0.055-0.21-0.107-0.422-0.157-0.635 c-0.048-0.201-0.094-0.403-0.137-0.607c-0.046-0.213-0.088-0.428-0.129-0.643c-0.039-0.204-0.078-0.409-0.113-0.614 c-0.038-0.222-0.071-0.446-0.104-0.671c-0.03-0.201-0.06-0.401-0.086-0.604c-0.031-0.24-0.055-0.483-0.08-0.725 c-0.02-0.189-0.042-0.377-0.058-0.567c-0.024-0.278-0.04-0.558-0.056-0.839c-0.009-0.158-0.022-0.314-0.029-0.472 C8.511,29.889,8.5,29.446,8.5,29s0.011-0.889,0.029-1.33c0.007-0.158,0.02-0.315,0.029-0.472c0.016-0.28,0.032-0.561,0.056-0.839 c0.016-0.19,0.038-0.378,0.058-0.567c0.025-0.242,0.05-0.485,0.08-0.725c0.026-0.202,0.057-0.403,0.086-0.604 c0.033-0.224,0.067-0.448,0.104-0.671c0.035-0.206,0.074-0.41,0.113-0.614c0.041-0.215,0.084-0.43,0.129-0.643 c0.044-0.203,0.09-0.405,0.137-0.607c0.05-0.213,0.103-0.424,0.157-0.635c0.051-0.197,0.103-0.392,0.158-0.587 c0.06-0.215,0.124-0.428,0.189-0.64C9.884,19.884,9.94,19.699,10,19.517c0.074-0.226,0.152-0.45,0.232-0.674 c0.058-0.163,0.114-0.326,0.175-0.487c0.095-0.254,0.196-0.505,0.298-0.755c0.051-0.126,0.1-0.253,0.153-0.378 c0.135-0.32,0.277-0.635,0.423-0.948c0.024-0.052,0.046-0.105,0.071-0.156c2.712-5.717,7.171-10.189,12.546-12.464 c0.154-0.065,0.311-0.122,0.467-0.184c0.183-0.072,0.365-0.147,0.549-0.214c0.261-0.094,0.525-0.181,0.789-0.265 c0.081-0.026,0.162-0.055,0.243-0.08c0.304-0.093,0.611-0.177,0.92-0.256c0.044-0.011,0.087-0.024,0.13-0.035 c0.329-0.082,0.661-0.155,0.996-0.221c0.025-0.005,0.049-0.01,0.074-0.015c0.343-0.066,0.688-0.124,1.036-0.173 c0.049-0.007,0.098-0.015,0.147-0.021l0.397-0.055C30.421,2.047,31.206,2,32,2c12.958,0,23.5,12.112,23.5,27S44.958,56,32,56z"></path>
        <path
            d="M32,8.476c0.606,0,1.219,0.036,1.818,0.105c0.04,0.005,0.079,0.007,0.117,0.007c0.501,0,0.933-0.375,0.992-0.884 c0.064-0.548-0.329-1.045-0.877-1.109c-0.673-0.079-1.358-0.119-2.068-0.119c-0.004,0-0.008,0-0.012,0l-0.013,1v-1 c-0.553,0-0.979,0.447-0.979,1C30.979,8.029,31.447,8.476,32,8.476z"></path>
        <path
            d="M24.329,10.337c0.152,0,0.308-0.035,0.453-0.109c0.558-0.284,1.133-0.538,1.709-0.753c0.517-0.193,0.779-0.77,0.586-1.287 c-0.193-0.518-0.767-0.781-1.287-0.586c-0.646,0.242-1.291,0.526-1.916,0.845c-0.492,0.25-0.688,0.853-0.437,1.345 C23.614,10.138,23.965,10.337,24.329,10.337z"></path>
        <path
            d="M49.135,23.292c0.113,0.454,0.521,0.757,0.969,0.757c0.081,0,0.162-0.01,0.244-0.03c0.536-0.135,0.861-0.678,0.727-1.213 c-0.167-0.665-0.364-1.332-0.587-1.982c-0.18-0.522-0.748-0.801-1.271-0.621c-0.522,0.179-0.801,0.748-0.622,1.271 C48.8,22.07,48.981,22.682,49.135,23.292z"></path>
        <path
            d="M47.731,15.277c-0.387-0.571-0.805-1.13-1.242-1.662c-0.352-0.426-0.98-0.487-1.408-0.137 c-0.426,0.351-0.487,0.981-0.137,1.408c0.398,0.484,0.779,0.993,1.131,1.513c0.193,0.286,0.509,0.439,0.829,0.439 c0.193,0,0.388-0.056,0.56-0.172C47.921,16.355,48.041,15.734,47.731,15.277z"></path>
        <path
            d="M32,49.524c-0.621,0-1.247-0.037-1.857-0.11c-0.561-0.056-1.047,0.327-1.112,0.875c-0.065,0.548,0.326,1.046,0.874,1.112 c0.69,0.082,1.396,0.124,2.096,0.124h0.084c0.553,0,0.958-0.448,0.958-1S32.553,49.524,32,49.524z"></path>
        <path
            d="M45.021,43.02c-0.397,0.488-0.82,0.96-1.259,1.404c-0.388,0.393-0.384,1.026,0.01,1.414 c0.194,0.192,0.448,0.289,0.702,0.289c0.258,0,0.516-0.099,0.712-0.297c0.482-0.489,0.948-1.009,1.386-1.546 c0.349-0.429,0.284-1.059-0.145-1.407S45.37,42.593,45.021,43.02z"></path>
        <path
            d="M39.252,47.754c-0.555,0.285-1.129,0.54-1.706,0.757c-0.517,0.194-0.778,0.771-0.583,1.288 c0.15,0.401,0.531,0.648,0.936,0.648c0.117,0,0.236-0.021,0.353-0.065c0.648-0.244,1.293-0.53,1.915-0.849 c0.491-0.252,0.685-0.855,0.433-1.346C40.348,47.696,39.745,47.5,39.252,47.754z"></path>
        <path
            d="M41.857,9.45c-0.585-0.382-1.194-0.733-1.812-1.044c-0.494-0.249-1.095-0.05-1.343,0.443 c-0.249,0.493-0.051,1.095,0.442,1.343c0.552,0.278,1.097,0.592,1.62,0.933c0.168,0.11,0.357,0.163,0.545,0.163 c0.326,0,0.646-0.16,0.839-0.454C42.451,10.372,42.32,9.752,41.857,9.45z"></path>
        <path
            d="M50.833,27.968c-0.553,0-1,0.479-1,1.032c0,0.618-0.023,1.236-0.07,1.839c-0.043,0.551,0.369,1.032,0.92,1.074 c0.026,0.002,0.053,0.003,0.078,0.003c0.518,0,0.955-0.398,0.996-0.923c0.051-0.654,0.076-1.325,0.076-1.994v-0.064 C51.833,28.384,51.386,27.968,50.833,27.968z"></path>
        <path
            d="M14.167,29c0-0.623,0.025-1.256,0.074-1.88c0.043-0.551-0.368-1.032-0.919-1.076c-0.544-0.036-1.032,0.368-1.075,0.918 c-0.053,0.676-0.08,1.362-0.08,2.037v0.021c0,0.552,0.447,0.989,1,0.989S14.167,29.552,14.167,29z"></path>
        <path
            d="M49.901,35.783c-0.522-0.175-1.09,0.105-1.267,0.628c-0.202,0.598-0.432,1.193-0.683,1.77 c-0.221,0.506,0.012,1.096,0.518,1.316c0.13,0.057,0.266,0.083,0.398,0.083c0.387,0,0.754-0.225,0.918-0.601 c0.273-0.629,0.523-1.278,0.743-1.93C50.706,36.527,50.425,35.96,49.901,35.783z"></path>
        <path
            d="M15.55,18.465c-0.51-0.226-1.096,0.008-1.317,0.514c-0.274,0.626-0.526,1.275-0.748,1.929 c-0.177,0.523,0.104,1.091,0.626,1.269c0.106,0.036,0.215,0.053,0.321,0.053c0.417,0,0.806-0.263,0.947-0.679 c0.203-0.6,0.434-1.195,0.686-1.768C16.286,19.277,16.056,18.687,15.55,18.465z"></path>
        <path
            d="M17.902,41.567c-0.31-0.458-0.93-0.578-1.389-0.269c-0.457,0.31-0.577,0.931-0.268,1.389 c0.392,0.579,0.808,1.139,1.238,1.664c0.198,0.241,0.484,0.366,0.774,0.366c0.223,0,0.447-0.074,0.633-0.227 c0.428-0.351,0.489-0.98,0.14-1.408C18.64,42.605,18.26,42.095,17.902,41.567z"></path>
        <path
            d="M14.855,34.668c-0.134-0.536-0.679-0.863-1.212-0.729c-0.536,0.133-0.862,0.676-0.729,1.212 c0.166,0.666,0.363,1.333,0.585,1.983c0.142,0.416,0.53,0.677,0.946,0.677c0.107,0,0.216-0.018,0.323-0.054 c0.522-0.179,0.802-0.747,0.623-1.27C15.187,35.892,15.008,35.28,14.855,34.668z"></path>
        <path
            d="M18.846,12.14c-0.482,0.486-0.95,1.006-1.39,1.544c-0.35,0.428-0.286,1.058,0.142,1.407 c0.186,0.152,0.41,0.226,0.632,0.226c0.29,0,0.578-0.125,0.775-0.367c0.399-0.489,0.823-0.96,1.261-1.401 c0.389-0.392,0.387-1.025-0.006-1.414C19.868,11.746,19.235,11.747,18.846,12.14z"></path>
        <path
            d="M24.818,47.791c-0.552-0.28-1.097-0.596-1.618-0.938c-0.462-0.303-1.081-0.172-1.385,0.289 c-0.302,0.462-0.173,1.082,0.289,1.384c0.583,0.382,1.191,0.734,1.81,1.048c0.145,0.074,0.299,0.108,0.451,0.108 c0.365,0,0.717-0.2,0.893-0.547C25.508,48.643,25.312,48.041,24.818,47.791z"></path>
        <path
            d="M37.896,28.805c-1.01-0.5-2.146-0.916-3.375-1.236c-0.71-0.186-1.219-0.319-1.526-0.401v-8.936 c0.454,0.09,0.886,0.223,1.291,0.396c1.654,0.677,2.625,1.645,3.739,2.877v2.082c0,0.6,0.387,0.987,0.987,0.987 S40,24.187,40,23.587v-6.169c0-0.6-0.388-0.987-0.987-0.987s-0.987,0.388-0.987,0.987l0,1.315 c-0.229-0.179-0.075-0.385-0.402-0.618c-1.259-0.902-2.814-1.529-4.629-1.866V14.82c0-0.6-0.387-0.987-0.987-0.987 s-0.987,0.388-0.987,0.987v1.289c-2.561,0.043-4.482,0.631-5.713,1.75c-1.293,1.177-1.949,2.765-1.949,4.721 c0,1.037,0.301,1.968,0.894,2.766c0.576,0.776,1.401,1.433,2.453,1.952c0.951,0.471,2.401,0.978,4.316,1.509v9.564 c-0.52-0.089-1-0.216-1.432-0.38c-1.771-0.676-2.56-1.095-3.615-2.241v-2.243c0-0.6-0.388-0.987-0.987-0.987S24,32.907,24,33.507 v6.169c0,0.6,0.387,0.987,0.987,0.987s0.987-0.388,0.987-0.987v-1.316c1.727,1.385,2.996,1.723,5.047,2.005v1.405 c0,0.6,0.388,0.987,0.987,0.987s0.987-0.388,0.987-0.987v-1.287c2.586-0.031,4.611-0.649,6.023-1.837 c1.476-1.24,2.224-2.932,2.224-5.025c0-1.101-0.301-2.063-0.894-2.863C39.772,29.981,38.947,29.325,37.896,28.805z M31.021,26.617 c-0.344-0.102-0.722-0.212-1.132-0.329c-0.656-0.188-1.365-0.452-2.107-0.787c-0.696-0.313-1.292-0.76-1.771-1.328 c-0.456-0.539-0.677-1.155-0.677-1.885c0-1.179,0.463-2.148,1.416-2.965c0.916-0.784,2.352-1.2,4.272-1.24V26.617z M38.375,37.88 c-0.017,0.014-0.038,0.024-0.055,0.037c0.145-0.118,0.285-0.24,0.414-0.367C38.622,37.664,38.502,37.773,38.375,37.88z M37.654,37.175c-1.068,0.856-2.635,1.305-4.658,1.334v-9.165l1.574,0.439c0.75,0.209,1.507,0.484,2.25,0.818 c0.696,0.313,1.292,0.761,1.771,1.327c0.456,0.541,0.678,1.157,0.678,1.886C39.269,35.204,38.74,36.304,37.654,37.175z"></path>
    </symbol>
    <symbol id="arrow-left" viewBox="0 0 31.49 31.49">
        <g transform="matrix(-1, -1.22465e-16, 1.22465e-16, -1, 31.49, 31.49)">
            <path
                d="M21.205,5.007c-0.429-0.444-1.143-0.444-1.587,0c-0.429,0.429-0.429,1.143,0,1.571l8.047,8.047H1.111  C0.492,14.626,0,15.118,0,15.737c0,0.619,0.492,1.127,1.111,1.127h26.554l-8.047,8.032c-0.429,0.444-0.429,1.159,0,1.587  c0.444,0.444,1.159,0.444,1.587,0l9.952-9.952c0.444-0.429,0.444-1.143,0-1.571L21.205,5.007z"></path>
        </g>
    </symbol>
    <symbol id="arrow-right" viewBox="0 0 31.49 31.49">
        <path d="M21.205,5.007c-0.429-0.444-1.143-0.444-1.587,0c-0.429,0.429-0.429,1.143,0,1.571l8.047,8.047H1.111
    C0.492,14.626,0,15.118,0,15.737c0,0.619,0.492,1.127,1.111,1.127h26.554l-8.047,8.032c-0.429,0.444-0.429,1.159,0,1.587
    c0.444,0.444,1.159,0.444,1.587,0l9.952-9.952c0.444-0.429,0.444-1.143,0-1.571L21.205,5.007z"></path>
    </symbol>
</svg>
<svg
    data-src="https://cdn11.bigcommerce.com/s-4gm5jhlnvb/stencil/4c6986d0-481d-0139-4c25-0242ac11000e/e/e6a03af0-481d-0139-550f-0242ac11000c/img/icon-sprite.svg"
    class="icons-svg-sprite"></svg>
<div class="se-pre-con">
    <img class="animate-flicker" src="{{($logo_boutique == null)? asset('images/logo_mini.jpg') : $logo_boutique}}" alt="" width="150px">
</div>
<a href="#main-content" class="skip-to-main-link">Skip to main content</a>
<input type="hidden" id="Isuser" value="{{\Illuminate\Support\Facades\Session::has('user') ? \Illuminate\Support\Facades\Session::get('user')['slug'] : 'not'}}">

<header class="header" role="banner">
    <div class="text-center d-inline-block d-sm-inline-block d-md-none col-12">
        <a href="{{route('boutique.index',\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'])}}">
            <img class="lazy"  data-src="{{($logo_boutique == null)? asset('images/logo_mini.jpg') : $logo_boutique}}" width="70px"/>
        </a>
    </div>
    <div class="col-12 d-block d-sm-block d-md-none d-lg-none p-2 pl-3" style="background: {{$metas->background_color!=null ?  $metas->background_color : '#88b121' }};">
       <div class="row">
       <div class="col-6 pt-1">
        <a href="{{route('boutique.index',\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'])}}" style="color: #fff">
            <span style="font-weight: bold"> {{Illuminate\Support\Str::limit(strtoupper(str_replace('_',' ',$boutique->nom_boutique)),65)}} </span>
        </a>
       </div>
        <div class="col-6 col-md-6 text-right">

            @if(!\Illuminate\Support\Facades\Session::has('user'))
                <a class="btn btn-light btn-sm" data-toggle="modal" data-target="#BoutiqueAuthModal" href="#">Connexion</a>
            @else
                <a class="button button--small btn_head_top" href="{{route('logout.boutique')}}">Déconnexion</a>
            @endif
        </div>
        </div>
    </div>

    @include("dashboard.Boutique.Boutique_template.layouts.grocery.bar_top")
    @include("dashboard.Boutique.Boutique_template.layouts.grocery.bar_second_top")
    <div class="head-menu text-center">
        <div class="container-fluid">
            <div class="navPages-container" id="menu" data-menu>
                <nav class="navPages">

                    <ul class="navPages-list">
                        <li class="navPages-item d-block d-sm-block d-lg-none d-md-none">
                            <a class="navPages-action"
                               href="{{route('home')}}"
                               aria-label="dashboard"
                            >
                                Tableau de bord
                            </a>
                        </li>
                        @if(\Illuminate\Support\Facades\Session::has('user'))
                            <li class="navPages-item d-block d-sm-block d-lg-none d-md-none">
                                <a class="navPages-action"
                                   href="{{route('update_view')}}"
                                   aria-label="dashboard"
                                >
                                    {{\Illuminate\Support\Facades\Session::get('user')['first_name']}}
                                </a>
                            </li>
                               @endif

                        <li class="navPages-item">
                            <a class="navPages-action has-subMenu"
                               href="javascript:void(0)"
                            >
                                Catégories
                                <i class="icon navPages-action-moreIcon" data-collapsible="navPages-23"
                                   aria-hidden="true">
                                    <svg>
                                        <use xlink:href="#icon-chevron-down"/>
                                    </svg>
                                </i>
                            </a>
                            <div class="navPage-subMenu" id="navPages-23" aria-hidden="true" tabindex="-1">
                                <ul class="navPage-subMenu-list">
                                    @foreach($categories as $category)
                                        <li class="navPage-childList-item">
                                            <a class="navPage-childList-action navPages-action"
                                               href="{{url(\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'].'/products/categorie/'.$category->slug)}}"
                                               aria-label="Corn Pizza"
                                            >
                                                {{$category->intitule}}
                                            </a>
                                        </li>
                                    @endforeach
                                </ul>
                            </div>
                        </li>
                        <li class="navPages-item">
                            <a class="navPages-action"
                               href="{{route('liste_annonces')}}"
                               aria-label="espace annonceur"
                            >
                              Espace annonceurs
                            </a>
                        </li>
                       <li class="navPages-item">
                            <a class="navPages-action"
                               href="{{route('liste_actualites')}}"
                               aria-label="actualités"
                            >
                              Actualités
                            </a>
                        </li>
                        <li class="navPages-item">
                            <a class="navPages-action"
                               href="{{route('boutique_liste')}}"
                               aria-label="sungrocery place"
                            >
                              Les boutiques
                            </a>
                        </li>
                        <li class="navPages-item">
                            <a class="navPages-action"
                               href="{{url('/'.$boutique->nom_boutique)}}"
                               aria-label="rhoncus efficitu"
                            >
                              Accueil
                            </a>
                        </li>
                        @php
                            if(\Illuminate\Support\Facades\Session::get('boutique')['mibSubscribe']) $date_mib = \Carbon\Carbon::parse(\Illuminate\Support\Facades\Session::get('boutique')['mibSubscribe']['expired_at']);
                        @endphp
                        @if(isset(\Illuminate\Support\Facades\Session::get('boutique')['mibSubscribe']) && $date_mib && !$date_mib->isPast())
                            <li class="navPages-item">
                                <a class="navPages-action" href="{{route('boutique.mib.client',$boutique->nom_boutique)}}" aria-label="panier_mib" >
                                    Panier MIB
                                </a>
                            </li>
                        @endif
                         @if(isset(\Illuminate\Support\Facades\Session::get('boutique')['paiement_and_livraison']) && \Illuminate\Support\Facades\Session::get('boutique')['paiement_and_livraison']==true)
                           @if(\Illuminate\Support\Facades\Auth::check())
                            <li class="navPages-item">
                                <a class="navPages-action" href="{{route('commande.user',\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'])}}"  aria-label="commandes" >
                                    Mes commandes
                                </a>
                            </li>
                        @endif
                        @endif
                        <li class="navPages-item">
                            <a class="navPages-action"
                               href="{{route('point_vente',$boutique->nom_boutique)}}"
                               aria-label="point de vente"
                            >
                                Point de vente
                            </a>
                        </li>
                        <li class="navPages-item">
                            <a class="navPages-action"
                               href="{{route('contact',$boutique->nom_boutique)}}"
                               aria-label="contact"
                            >
                                Contact
                            </a>
                        </li>
                        <li class="navPages-item">
                            <a class="navPages-action"
                               href="{{route('boutique.about',$boutique->nom_boutique)}}"
                               aria-label="a propos"
                            >
                                A propos
                            </a>
                        </li>
                    </ul>
                </nav>
            </div>
        </div>
    </div>
</header>

<div style="background-image: url('{{ asset('grocery/images/banner.jpg') }}'); background-size: cover;background-position: center;">
  <div style=" background: rgba(0,0,0,0.6);width:100%;height:100%">
    <div class="button-wrapper" style="text-align: center;padding: 20px; ">
        <h2 style="color: #fff; font-weight:bold;">
            Votre commande n'est pas passée ? Vous avez payé pour un service, mais vous ne retrouvez pas la transaction ? Faites une réclamation maintenant !
        </h2>
    <button data-target="#gloablReclamationModal" data-toggle="modal" style="z-index:30;background-color: orange; color: white; padding: 10px 20px; border: none;">je souhaite faire une reclamation</button>
  </div>
</div>
</div>
<div style="padding: 10px;display:block"></div>
<div data-content-region="header_bottom--global"></div>
<div data-content-region="header_bottom"></div>
<div class="body" id='main-content' data-currency-code="INR">
    @if(!$boutique->expired)
        @if(!$boutique->maintenance)
            @yield('content')
            @include('dashboard.paiement_box.choose')
        @else
            <div class="row">
                <div class="col-sm-12 text-center" style="margin-bottom: auto;margin-top: auto;">
                    <img class="lazy" data-src="{{asset('images/cogs_animate.gif')}}" alt="" width="200px">
                    <h5>Désolé cette boutique est en cours de maintenance.</h5>
                </div>
            </div>
        @endif
    @else

        <div class="row">
            <div class="col-sm-12 text-center" style="margin-bottom: auto;margin-top: auto;">
                <img class="lazy" data-src="{{asset('grocery/images/famers.png')}}" alt="" width="500">
                <h5>Désolé cette boutique n'est plus accessible.</h5>
            </div>
        </div>
    @endif
</div>
<footer class="footer" role="contentinfo">
    <div class="container">

        <section class="footer-info row">
            <div class="col-12 col-md-5 info-footer-news">
                <p style="color: white; text-align: left;" class="pt-4">
                   Soucrivez à notre newsletter et profitez des différentes offres que nous mettons à votre disposition.
                </p>
            </div>
            <article class="col-sm-7 col-12" data-section-type="footer-webPages">
                    <div class="container">
                        <div class="left-news"><h3 class="footer-info-heading">Inscrivez vous à notre newsletter</h3></div>
                        <div>
                            <form class="form" action="{{route('newsletters.post')}}" method="post" onsubmit="return check_error(['newslettersemail']);" id="newsletters_forms" class="newsletter_form">
                                @csrf
                                <fieldset class="form-fieldset">
                                    <input type="hidden" name="boutique_slug" value="{{$boutique->slug}}">
                                    <div class="form-field">
                                        <label class="form-label is-srOnly" for="nl_email">Adresse email</label>
                                        <div class="form-prefixPostfix wrap">
                                            <input class="form-input newsletter_input"
                                                   required="required"
                                                   name="email"
                                                   id="newslettersemail"
                                                   data-input_name="email du newsletter"
                                                   placeholder="Entrer votre adresse email"
                                                   type="email"
                                                   value=""
                                                   aria-describedby="alertBox-message-text"
                                            >
                                            <input id="btnnewsletter"
                                                   class="button button--primary form-prefixPostfix-button--postfix newsletter_button"
                                                   type="submit"
                                                   value="Souscrire"
                                            >
                                        </div>
                                    </div>
                                </fieldset>

                            </form>
                        </div>
                    </div>
            </article>
        </section>
    </div>
    <div class="foot-copy">
        <div class="container">
            <div class="text-center">
                <div class="footer-copyright d-inline-block">
                    <p class="powered-by"> Copyright ©2021 Tous droits réservés | Alimenté par <a
                            href="https://suntech.bj/"
                            rel="nofollow">SOFTWARE UNIVERSE TECHNOLOGY</a>

                    </p>
                </div>
                <div class="footer-copyright d-inline-block">
                    <p class="powered-by">&copy; 2021 <a href="https://suntech.bj">SOFTWARE UNIVERSE TECHNOLOGY</a></p>
                </div>
                <div class="footer-payment-icons">
                    <svg class="footer-payment-icon">
                        <use xlink:href="#icon-logo-mastercard"></use>
                    </svg>
                    <svg class="footer-payment-icon">
                        <use xlink:href="#icon-logo-paypal"></use>
                    </svg>
                    <svg class="footer-payment-icon">
                        <use xlink:href="#icon-logo-visa"></use>
                    </svg>
                </div>
            </div>
        </div>
    </div>
    <a href="#" id="scroll" title="Scroll to Top" style="display: inline;"><i class="fa fa-angle-up"></i></a>
</footer>
@include('dashboard.Boutique.global.globalBody')

<script src="{{asset('js/jquery-3.3.1.min.js')}}"></script>

<script src="{{asset("grocery/js/theme-bundle.main.js")}}"></script>
<script>
    window.stencilBootstrap("default", "{\"showAdminBar\":true,\"genericError\":\"Oops! Something went wrong.\",\"maintenanceModeSettings\":[],\"adminBarLanguage\":\"{\\\"locale\\\":\\\"en\\\",\\\"locales\\\":{\\\"admin.maintenance_header\\\":\\\"en\\\",\\\"admin.maintenance_tooltip\\\":\\\"en\\\",\\\"admin.maintenance_showstore_link\\\":\\\"en\\\",\\\"admin.prelaunch_header\\\":\\\"en\\\",\\\"admin.page_builder_link\\\":\\\"en\\\"},\\\"translations\\\":{\\\"admin.maintenance_header\\\":\\\"Your store is down for maintenance.\\\",\\\"admin.maintenance_tooltip\\\":\\\"Only administrators can view the store at the moment. Visit your control panel settings page to disable maintenance mode.\\\",\\\"admin.maintenance_showstore_link\\\":\\\"Click here to see what your visitors will see.\\\",\\\"admin.prelaunch_header\\\":\\\"Your storefront is private. Share your site with preview code:\\\",\\\"admin.page_builder_link\\\":\\\"Design this page in Page Builder\\\"}}\",\"urls\":{\"account\":{\"add_address\":\"logindda8.html?action=add_shipping_address\",\"addresses\":\"login479d.html?action=address_book\",\"details\":\"login8e0b.html?action=account_details\",\"inbox\":\"login5df3.html?action=inbox\",\"index\":\"/account.php\",\"orders\":{\"all\":\"logind1fa.html?action=order_status\",\"completed\":\"login91d7.html?action=view_orders\",\"save_new_return\":\"/account.php?action=save_new_return\"},\"recent_items\":\"loginbb46.html?action=recent_items\",\"returns\":\"logine921.html?action=view_returns\",\"send_message\":\"login1273.html?action=send_message\",\"update_action\":\"login83b1.html?action=update_account\",\"wishlists\":{\"add\":\"login5946.html?action=addwishlist\",\"all\":\"/wishlist.php\",\"delete\":\"login41f5.html?action=deletewishlist\",\"edit\":\"/wishlist.php?action=editwishlist\"}},\"auth\":{\"check_login\":\"loginb320.html?action=check_login\",\"create_account\":\"logind85d.html?action=create_account\",\"forgot_password\":\"login8311.html?action=reset_password\",\"login\":\"/login.php\",\"logout\":\"login.html?action=logout\",\"save_new_account\":\"login5485.html?action=save_new_account\",\"save_new_password\":\"logina61b.html?action=save_new_password\",\"send_password_email\":\"/login.php?action=send_password_email\"},\"brands\":\"brands/index.html\",\"cart\":\"/cart.php\",\"checkout\":{\"multiple_address\":\"cart.html?action=multiple\",\"single_address\":\"/checkout\"},\"compare\":\"/compare\",\"contact_us_submit\":\"pages187d.html?action=sendContactForm\",\"gift_certificate\":{\"balance\":\"index.html?action=balance\",\"purchase\":\"/giftcertificates.php\",\"redeem\":\"/giftcertificates.php?action=redeem\"},\"home\":\"index.html\",\"product\":{\"post_review\":\"/postreview.php\"},\"rss\":{\"products\":[]},\"search\":\"/search.php\",\"sitemap\":\"/sitemap.php\",\"subscribe\":{\"action\":\"/subscribe.php\"}},\"secureBaseUrl\":\"index.html\",\"cartId\":null,\"channelId\":1,\"template\":\"pages/home\",\"compareRequireMessage\":\"At least 2 products are needed to make a valid comparison.\",\"NoItemToCompare\":\"compare.no_item_compare\",\"CompareSuccessMessage\":\"compare.item_successfully_added\",\"CompareAlreadyAdded\":\"compare.item_already_added\",\"CompareLimitMessage\":\"compare.more_than_4item\",\"CompareNotFunction\":\"compare.not_functioning\",\"CompareRemoveMessage\":\"compare.item_successfully_removed\"}").load();
</script>
<script
    src="{{asset("grocery/js/jquery.countdown.min.js")}}"></script>
<script
    src="{{asset("grocery/js/owl.carousel.min.js")}}"></script>

<script
    src="{{asset("grocery/js/custom.js")}}"></script>

<!-- Bootstrap V4 JS -->
<script
    src="{{asset("grocery/js/bootstrap.min.js")}}"></script>

<script>
    document.documentElement.className = document.documentElement.className.replace('no-js', 'js');
</script>

<script>
    $(document).ready(function () {

        $(document).on('click', '.show-filter-panel-btn', function () {
            $('.filter-panel').fadeIn(100, function () {
                $('.show-filter-panel').fadeOut();
            })
        })
        $(document).on('click', '.close-filter-panel', function () {
            $('.filter-panel').fadeOut(100, function () {
                $('.show-filter-panel').fadeIn();
            })
        })
    });
    function browserSupportsAllFeatures() {
        return window.Promise
            && window.fetch
            && window.URL
            && window.URLSearchParams
            && window.WeakMap
            // object-fit support
            && ('objectFit' in document.documentElement.style);
    }

    function loadScript(src) {
        var js = document.createElement('script');
        js.src = src;
        js.onerror = function () {
            console.error('Failed to load polyfill script ' + src);
        };
        document.head.appendChild(js);
    }

    if (!browserSupportsAllFeatures()) {
        loadScript('{{asset("grocery/js/theme-bundle.polyfills.js")}}');
    }
</script>

<script>
    window.lazySizesConfig = window.lazySizesConfig || {};
    window.lazySizesConfig.loadMode = 1;
</script>
<script async
        src="{{asset("grocery/js/theme-bundle.head_async.js")}}"></script>
<script type="text/javascript"
        src="{{asset("grocery/js/csrf-protection-header-b572e5526f6854c73a5e080ef15a771f963740ae.js")}}"></script>
<script src="{{asset('plugin/chosen/chosen.jquery.js')}}"></script>
<script src="{{asset('js/zebra_dialog.src.js')}}"></script>
@include('dashboard.Boutique.Boutique_template.layouts.grocery.auth_modal')
@include('dashboard.Boutique.global.globalJs')
@include('dashboard.Boutique.Boutique_template.script')
@yield('script')
@include('dashboard.Boutique.Boutique_template.layouts.grocery.script')
</body>

</html>
