@extends('dashboard.Boutique.Boutique_template.layouts.defaultLayout')

@section('css')
    <link rel="stylesheet" type="text/css" href="{{asset('plugins/jquery-ui-1.12.1.custom/jquery-ui.css')}}'">
    @include('dashboard.Boutique.Boutique_template.styles.shop_styles')
    @include('dashboard.Boutique.Boutique_template.styles.shop_responsive')
    <style>
        .product_price span::after{
            width: 0px;
        }
    </style>
    @endsection

@section('content')

    <!-- Home -->

    <div class="home">
        <div class="home_background parallax-window" data-parallax="scroll" data-image-src="{{asset('images/shop_background.jpg')}}"></div>
        <div class="home_overlay"></div>
        <div class="home_content d-flex flex-column align-items-center justify-content-center">
            <h2 class="home_title">Résultat de la recherche</h2>
        </div>
    </div>

    <!-- Shop -->

    <div class="shop">
        <div class="container">
            <div class="row">
                <div class="col-lg-3">

                    <!-- Shop Sidebar -->
                    <div class="shop_sidebar">
                        <div class="sidebar_section">
                            <div class="sidebar_title">Categories</div>
                            <ul class="sidebar_categories">
                                @foreach($categories as $category)
                                    <li><a href="{{url(\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'].'/products/categorie/'.$category->slug)}}">{{$category->intitule}}</a></li>
                                @endforeach
                            </ul>
                        </div>
                        <div class="sidebar_section filter_by_section">
                            <div class="sidebar_title"><!--Filter By--></div>
                            <div class="sidebar_subtitle"><!--Price--></div>
                            <div class="filter_price">
                                <div id="slider-range" class="slider_range"></div>
                                <p><!--Range: --></p>
                                <p><input type="text" id="amount" class="amount" readonly style="border:0; font-weight:bold;"></p>
                            </div>
                        </div>

                    </div>

                </div>

                <div class="col-lg-9">

                    <!-- Shop Content -->

                    <div class="shop_content">
                        <div class="shop_bar clearfix">
                            <div class="shop_product_count" style="font-size: 14pt;border: 1px solid #ddd;padding: 15px;">@if(isset($articles) && count($articles)>0)<span>{{count($articles)}}</span>@else Aucun  @endif article(s) trouvé(s)</div>
                            <div class="shop_sorting">
                                <span><!--Sort by:--></span>
                                <ul>
                                    <li>
                                        <span class="sorting_text"><!--highest rated<i class="fas fa-chevron-down"></i>--></span></i>
                                        <ul>
                                           {{-- <li class="shop_sorting_button" data-isotope-option='{ "sortBy": "original-order" }'>highest rated</li>
                                            <li class="shop_sorting_button" data-isotope-option='{ "sortBy": "name" }'>name</li>
                                            <li class="shop_sorting_button"data-isotope-option='{ "sortBy": "price" }'>price</li>
                                        --}}</ul>
                                    </li>
                                </ul>
                            </div>
                        </div>

                        <div class="product_grid">
                            <div class="product_grid_border"></div>

                            <div class="container">
                                <div class="row" style="padding: 2%;">

                                @foreach($articles as $article)
                                    @php
                                        $boutique_=\Illuminate\Support\Facades\Session::get('boutique')['slug'];
                                        $helpers=new \App\Http\Controllers\HelperController();
                                        $prix=$helpers->get_article_price_by_boutique($article->slug,$boutique_);
                                        $name=$helpers->get_meta_article('name',$article->slug,$boutique_);
                                        $price=$helpers->get_meta_article('price',$article->slug,$boutique_);
                                        if($price['statut']==false){
                                        $price['value']=$article->price;
                                        }
                                         if($boutique->meta->currency_admin!==$boutique->meta->currency_client)
                         {
                         $price['value']=$helpers->convertCurrency($boutique->meta->currency_admin,$boutique->meta->currency_client,$price['value']);
                         $prix=$helpers->convertCurrency($boutique->meta->currency_admin,$boutique->meta->currency_client,$prix);
                         }
                                          $promo=$helpers->get_meta_article('on_sale',$article->slug,$boutique_);
                                          if($promo['statut']==false){
                                            $promo['value']=$article->on_sale;
                                          }
                                                                 $promopourcent=$helpers->get_meta_article('show_price',$article->slug,$boutique_);

                                       if($promopourcent['statut']==false){
                                            $promopourcent['value']=$article->show_price ;
                                          }
                                        if($name['statut']==false){
                                        $name=$article->name;}else{
                                        $name=$name['value'];
                                        }
                                         $stock=$helpers->get_meta_article('stock',$article->slug,$boutique_);
                                                                if($stock['statut']==false){
                                                                $stock=$article->quantity;}else{
                                                                $stock=$stock['value'];
                                                                }

                                                                                 $image= $helpers->get_simple_image($article->slug,$boutique_);

                                    @endphp


                                    @if($stock!=0)
                                        <!-- Slider Item -->
                                            <div class="col-md-3 col-6" style="padding: 5px;">
                                                <div class="clearfix"></div>
                                                <a href="{{url(\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'].'/product/'.$article->slug)}}">
                                                    <div class="product_i text-center" style="border: 2px solid #ddd;border-radius: 6px;padding: 20px">
                                                        <div class="product_image d-flex flex-column align-items-center justify-content-center" style="">
                                                            @if(isset($image) && $image->filename!=null)
                                                                <img class="lazy" data-src="{{$image->filename}}" alt="{{$name}}" style="height: 100%;">
                                                            @endif
                                                        </div>
                                                        <div class="clearfix"></div>
                                                        <div class="product_content" style="padding: 10px;">
                                                            <div class="product_price discount" style=""><span style="font-size: 8pt;color: #e65c2b">{{$prix}} {{$boutique->meta->currency_client}}</span> @if($promo['value']==true) <span style="text-decoration: line-through;font-size: 7pt">{{$price['value']}} {{$boutique->meta->currency_client}}</span> @endif </div>
                                                            <div class="product_name"><div><a style="font-size: 10pt;" href="{{url(\Illuminate\Support\Facades\Session::get('boutique')['nom_boutique'].'/product/'.$article->slug)}}">{{$name}}</a></div></div>
                                                        </div>
                                                        <div class="product_fav" data-catalogue_article_slug="{{$article->slug}}" data-boutique_slug="{{$boutique_}}" data-url="{{route('wishlist.article')}}" data-article_name="{{$name}}"><i style="@if($helpers->check_fav($boutique_,$article->slug)) color: red; @endif" class="fas fa-heart"></i></div>
                                                        <div class="cart-btn-every-where" style="top: 80px;" data-article="{{$article->slug}}"><i style="@if($helpers->check_panier($article->slug)) color: red; @endif" class="fas fa-shopping-bag cart_i_value{{$article->slug}}"></i></div>

                                                        <ul class="product_marks">
                                                            @if($promo['value']==true)
                                                                <li class="product_mark product_discount">-{{$promopourcent['value']}}%</li>
                                                            @endif

                                                        </ul>
                                                    </div>
                                                </a>
                                                <div class="clearfix"></div>
                                            </div>
                                        @endif
                                    @endforeach

                                </div>


                            </div>


                        </div>

                        <!-- Shop Page Navigation -->


                    </div>

                </div>
            </div>
        </div>
    </div>

    <!-- Recently Viewed -->

    <div class="viewed">
        <div class="container">
            <div class="row">
                <div class="col">
                    <div class="viewed_title_container">
                        <h3 class="viewed_title">Promo</h3>
                        <div class="viewed_nav_container">
                            <div class="viewed_nav viewed_prev"><i class="fas fa-chevron-left"></i></div>
                            <div class="viewed_nav viewed_next"><i class="fas fa-chevron-right"></i></div>
                        </div>
                    </div>

                    <div class="viewed_slider_container">

                        <!-- Recently Viewed Slider -->

                        <div class="owl-carousel owl-theme viewed_slider">

                        @foreach($promos as $article)
                            @php
                                $boutique_=\Illuminate\Support\Facades\Session::get('boutique')['slug'];
           $helpers=new \App\Http\Controllers\HelperController();
           $prix=$helpers->get_article_price_by_boutique($article->slug,$boutique_);
           $name=$helpers->get_meta_article('name',$article->slug,$boutique_);
           if($name['statut']==false){
           $name=$article->name;}else{
           $name=$name['value'];
           }

           $price=$helpers->get_meta_article('price',$article->slug,$boutique_);
                                                                       if($price['statut']==false){
                                                                       $price['value']=$article->price;
                                                                       }
                                                                                  if($boutique->meta->currency_admin!==$boutique->meta->currency_client)
                         {
                         $price['value']=$helpers->convertCurrency($boutique->meta->currency_admin,$boutique->meta->currency_client,$price['value']);
                         $prix=$helpers->convertCurrency($boutique->meta->currency_admin,$boutique->meta->currency_client,$prix);
                         }
                                                                         $promo=$helpers->get_meta_article('on_sale',$article->slug,$boutique_);
                                                                         if($promo['statut']==false){
                                                                           $promo['value']=$article->on_sale;
                                                                         }
                                                                                                $promopourcent=$helpers->get_meta_article('show_price',$article->slug,$boutique_);

                                                                      if($promopourcent['statut']==false){
                                                                           $promopourcent['value']=$article->show_price ;
                                                                         }
                            @endphp

                            <!-- Recently Viewed Item -->
                                <div class="owl-item">
                                    <div class="product_i viewed_item discount d-flex flex-column align-items-center justify-content-center text-center">
                                        <div class="viewed_image">
                                            @php                                                                          $image= $helpers->get_simple_image($article->slug,$boutique_);
                                            @endphp
                                            @if(isset($image) && $image->filename!=null)

                                                <img class="lazy" data-src="{{$image->filename}}" alt="{{$name}}">
                                            @endif
                                        </div>
                                        <div class="viewed_content text-center">
                                            <div class="viewed_price" style="font-size: 7pt;">{{$prix}} {{$boutique->meta->currency_client}} <span style="font-size: 7pt;">{{$price['value']}} {{$boutique->meta->currency_client}}</span></div>
                                            <div class="viewed_name"><a title="{{$name}}" href="#">{{\Illuminate\Support\Str::limit($name,10)}}</a></div>
                                        </div>
                                        <div class="product_fav" data-catalogue_article_slug="{{$article->slug}}" data-boutique_slug="{{$boutique_}}" data-url="{{route('wishlist.article')}}" data-article_name="{{$name}}"><i style="@if($helpers->check_fav($boutique_,$article->slug)) color: red; @endif" class="fas fa-heart"></i></div>
                                        <div class="cart-btn-every-where" style="top: 80px;" data-article="{{$article->slug}}"><i style="@if($helpers->check_panier($article->slug)) color: red; @endif" class="fas fa-shopping-bag cart_i_value{{$article->slug}}"></i></div>

                                        <ul class="item_marks">
                                            @if($promo['value']==true)
                                                <li class="product_mark product_discount">-{{$promopourcent['value']}}%</li>
                                            @endif
                                        </ul>
                                    </div>
                                </div>

                            @endforeach
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>


@endsection

@section("script")
    <script src="{{asset('plugins/Isotope/isotope.pkgd.min.js')}}"></script>
    <script src="{{asset('plugins/jquery-ui-1.12.1.custom/jquery-ui.js')}}"></script>
    <script src="{{asset('plugins/parallax-js-master/parallax.min.js')}}"></script>

    @endsection
