@extends('dashboard.Boutique.Boutique_template.layouts.defaultLayout')

@section('css')
    @include('dashboard.Boutique.Boutique_template.styles.contact_styles')
    @include('dashboard.Boutique.Boutique_template.styles.contact_responsive')
@endsection

@section('content')

    <!-- Contact Info -->

    <div class="contact_info">
        <div class="container">
            <div class="row">
                <div class="col-lg-10 offset-lg-1">
                    <div class="contact_info_container d-flex flex-lg-row flex-column justify-content-between align-items-between">

                        <!-- Contact Item -->
                        <div class="contact_info_item d-flex flex-row align-items-center justify-content-start">
                            <div class="contact_info_image"><img src="{{asset('images/contact_1.png')}}" alt=""></div>
                            <div class="contact_info_content">
                                <div class="contact_info_title">Téléphone</div>
                                <div class="contact_info_text">{{$metas->telephone_boutique}}</div>
                            </div>
                        </div>

                        <!-- Contact Item -->
                        <div class="contact_info_item d-flex flex-row align-items-center justify-content-start">
                            <div class="contact_info_image"><img src="{{asset('images/contact_2.png')}}" alt=""></div>
                            <div class="contact_info_content">
                                <div class="contact_info_title">Email</div>
                                <div class="contact_info_text">{{$metas->email_boutique}}</div>
                            </div>
                        </div>

                        <!-- Contact Item -->
                        <div class="contact_info_item d-flex flex-row align-items-center justify-content-start">
                            <div class="contact_info_image"><img src="{{asset('images/contact_3.png')}}" alt=""></div>
                            <div class="contact_info_content">
                                <div class="contact_info_title">Addresse</div>
                                <div class="contact_info_text">{{$metas->adresse_boutique}}</div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Contact Form -->
@if(isset($metas->email_boutique) && $metas->email_boutique!=null)
    <div class="contact_form">
        <div class="container">
            <div class="row">
                <div class="col-lg-10 offset-lg-1">
                    <div class="contact_form_container">
                        <div class="contact_form_title">Laissez un message</div>
                        @if ($errors->any())
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif
                        @if(session("success"))

                            <div class="alert alert-success">
                                {{session('success')}}
                            </div>

                        @elseif(session("error"))

                            <div class="alert alert-danger">
                                {{session('error')}}
                            </div>

                        @endif
                        @php
                        $name='';
                        $tel='';
                        $email='';
                        if(\Illuminate\Support\Facades\Session::has('user')){
                        $user=\Illuminate\Support\Facades\Session::get('user');
                        $name=$user['first_name'].' '.$user['last_name'];
                        $tel=$user['telephone'];
                        $email=$user['email'];
                        }
                        @endphp

                        <form action="{{route('contactmakeAdmin.post')}}" method="post" id="contact_form" onsubmit="check_error(['contact_form_name','contact_form_email','contact_form_phone','contact_form_message'])" style="margin-bottom: 20px;">
                            @csrf
                            <div class="contact_form_inputs d-flex flex-md-row flex-column justify-content-between align-items-between">
                                <input type="hidden" name="boutique_mail" value="{{$metas->email_boutique}}">
                                <input type="text" id="contact_form_name"  name="name" class="contact_form_name input_field" data-input_name="nom" onblur="check_error(['contact_form_name'])" placeholder="Votre nom" value="{{$name}}" required="required">
                                <input type="text" id="contact_form_email" name="email" class="contact_form_email input_field" data-input_name="email" onblur="check_error(['contact_form_email'])"  placeholder="Votre email" value="{{$email}}" required="required">
                                <input type="text" id="contact_form_phone" name="tel" class="contact_form_phone input_field" data-input_name="numéro de téléphone" onblur="check_error(['contact_form_phone'])"  placeholder="Votre téléphone" value="{{$tel}}">
                            </div>
                            <div class="contact_form_text">
                                <textarea id="contact_form_message" class="text_field contact_form_message" data-input_name="message" name="message" rows="4" onblur="check_error(['contact_form_message'])"  placeholder="Ecrivez votre message ici" required="required" ></textarea>
                            </div>
                            <div class="contact_form_button">
                                <button type="submit" class="button contact_submit_button" style="border-radius: 0px;">Envoyer</button>
                            </div>
                        </form>

                    </div>
                </div>
            </div>
        </div>
    </div>
    @endif
@endsection

@section('script')
    <script src="{{asset('js/contact_custom.js')}}"></script>
    @endsection
