@extends('dashboard.Boutique.Boutique_template.layouts.grocery.app')
@section("css")
    @include("dashboard.Boutique.Boutique_template.layouts.grocery.css_other_page")
@endsection
@section('content')
    @include("dashboard.Boutique.Boutique_template.layouts.grocery.banner",["page_title"=> "Contact"])

    @if(isset($metas->email_boutique) && $metas->email_boutique!=null)


    <div id="contact-us-page" class="page-content page-content--centered container">
       <div class="row">
           <div class="col-md-3">
                <div class="card p-3">
                    <div class="contact_info_item d-flex flex-row align-items-center justify-content-start">
                        <div class="contact_info_image"><img src="{{asset('images/contact_1.png')}}" alt=""></div>
                        <div class="contact_info_content pl-3">
                            <div class="contact_info_title">Téléphone</div>
                            <div class="contact_info_text">{{$metas->telephone_boutique}}</div>
                        </div>
                    </div>
                </div>

               <div class="card p-3">
                <div class="contact_info_item d-flex flex-row align-items-center justify-content-start">
                   <div class="contact_info_image"><img src="{{asset('images/contact_2.png')}}" alt=""></div>
                   <div class="contact_info_content pl-3">
                       <div class="contact_info_title">Email</div>
                       <div class="contact_info_text">{{$metas->email_boutique}}</div>
                   </div>
               </div>
               </div>

               <div class="card p-3">
                 <div class="contact_info_item d-flex flex-row align-items-center justify-content-start">
                   <div class="contact_info_image"><img src="{{asset('images/contact_3.png')}}" alt=""></div>
                   <div class="contact_info_content pl-3">
                       <div class="contact_info_title">Addresse</div>
                       <div class="contact_info_text">{{$metas->adresse_boutique}}</div>
                   </div>
               </div>
               </div>
           </div>
           <div class="col-md-9">
               @if ($errors->any())
                   <div class="alert alert-danger">
                       <ul>
                           @foreach ($errors->all() as $error)
                               <li>{{ $error }}</li>
                           @endforeach
                       </ul>
                   </div>
               @endif
               @if(session("success"))

                   <div class="alert alert-success">
                       {{session('success')}}
                   </div>

               @elseif(session("error"))

                   <div class="alert alert-danger">
                       {{session('error')}}
                   </div>

               @endif
               @php
                   $name='';
                   $tel='';
                   $email='';
                   if(\Illuminate\Support\Facades\Session::has('user')){
                   $user=\Illuminate\Support\Facades\Session::get('user');
                   $name=$user['first_name'].' '.$user['last_name'];
                   $tel=$user['telephone'];
                   $email=$user['email'];
                   }
               @endphp
               <form action="{{route('contactmakeAdmin.post')}}" method="post" id="contact_form" onsubmit="check_error(['contact_form_name','contact_form_email','contact_form_phone','contact_form_message'])" >
                   @csrf
                   <input type="hidden" name="boutique_mail" value="{{$metas->email_boutique}}">

                   <div class="">
                       <div class="row">
                           <div class="col-md-4 mt-3">
                               <div class="">
                                   <label class="form-label" for="contact_form_name">Nom complet</label>
                                   <input  class="form-input contact_form_name input_field" type="text" id="contact_form_name" name="name" data-input_name="nom" onblur="check_error(['contact_form_name'])" placeholder="Votre nom" value="{{$name}}" required="required">
                               </div>
                           </div>
                           <div class="col-md-4  mt-3">
                               <div class="">
                                   <label class="form-label" for="contact_form_phone">Téléphone</label>
                                   <input class="form-input contact_form_phone input_field" type="text" id="contact_form_phone" name="tel"  data-input_name="numéro de téléphone" onblur="check_error(['contact_form_phone'])"  placeholder="Votre téléphone" value="{{$tel}}">
                               </div>
                           </div>
                           <div class="col-md-4  mt-3">
                               <div class="">
                                   <label class="form-label" for="contact_form_email">Adresse email
                                       <small>*</small>
                                   </label>
                                   <input class="form-input contact_form_email input_field" type="email" id="contact_form_email" name="email" data-input_name="email" onblur="check_error(['contact_form_email'])"  placeholder="Votre email" value="{{$email}}" required="required">
                               </div>
                           </div>
                       </div>
                   </div>

                   <div class="form-field mt-3">
                       <label class="form-label" for="contact_form_message">Messages / Préoccupations
                           <small>*</small>
                       </label>
                       <textarea id="contact_form_message" cols="50" class="form-input text_field contact_form_message" data-input_name="message" name="message" rows="4" onblur="check_error(['contact_form_message'])"  placeholder="Ecrivez votre message ici" required="required" ></textarea>
                   </div>

                   <div class="form-actions text-right">
                       <input class="btn button--primary contact_submit_button" type="submit" value="Envoyer">
                   </div>
               </form>
           </div>
       </div>
    </div>
        @else
        <div class="col-12 text-center">
            <h3 class="text-center mt-5 pt-5 mb-5 pb-5" style="color :{{$metas->background_color!=null ?  $metas->background_color : '#88b121' }}">Cette boutique ne dispose pas de numero à contacter.</h3>
        </div>
    @endif
@endsection

@section('script')
    <script src="{{asset('js/contact_custom.js')}}"></script>
@endsection
