@extends('dashboard.Boutique.Boutique_template.layouts.grocery.app')
@section("css")
@include("dashboard.Boutique.Boutique_template.layouts.grocery.css_other_page")
@endsection
@section('content')
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
<style>
    fieldset {
        border: none;
    }

    .paid {
        background: #9ece9e;
        cursor: not-allowed;
    }

    .impaid {
        background: #992832;
    }

    .impaid:hover {
        background: #de747d;
    }

    .mounth-paid-box {
        cursor: pointer;
    }

    .attente {
        border: 2px dashed #ddd;
    }

    .attente:hover {
        background: #f8f8f8;
    }

    .selected-cotisation {
        border: 3px solid orange;
    }

    .nav-pills-custom .nav-link {
        color: #aaa;
        background: #fff;
        position: relative;
    }

    .nav-pills-custom .nav-link.active {
        color: #45b649;
        background: #fff;
    }


    /* Add indicator arrow for the active tab */
    @media (min-width: 992px) {
        .nav-pills-custom .nav-link::before {
            content: '';
            display: block;
            border-top: 8px solid transparent;
            border-left: 10px solid #fff;
            border-bottom: 8px solid transparent;
            position: absolute;
            top: 50%;
            right: -10px;
            transform: translateY(-50%);
            opacity: 0;
        }
    }

    .nav-pills-custom .nav-link.active::before {
        opacity: 1;
    }

    .tab-content {
        display: block;
    }

    .cotisation-details .badge {
        padding: 5px 10px !important;
    }

    .stats-cot-details {
        display: inline-block;
        margin-bottom: 10px;
    }

    .list-media a {
        font-size: 12pt;
        color: #fff;
        margin-bottom: 2px;
    }

    .list_boutique:hover .list-media {
        transition: all 1000ms ease;
        display: inline-block;
    }

    .list-media {
        display: block;
        margin-bottom: 2px;
        box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    }

    .list-media:hover {
        box-shadow: 0 14px 28px rgba(6, 14, 28, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
        transition: all 500ms ease;
    }

    #media-share {
        z-index: 99;
    }

    .whatsapp {
        width: 30px;
        height: 30px;
        line-height: 32px;
        text-align: center;
        background: green;
        border-radius: 100%;
        font-weight: bold;
    }

    .facebook {
        width: 30px;
        height: 30px;
        line-height: 30px;
        text-align: center;
        background: #0e0ea0;
        border-radius: 100%;
        font-weight: bold;
    }

    .instagram {
        width: 30px;
        height: 30px;
        line-height: 30px;
        text-align: center;
        background: #48aed6;
        border-radius: 100%;
        font-weight: bold;
    }

    .list-media {
        display: inline-block;
        text-align: center;
    }

    .list-media div {
        margin-left: 3%;
    }
</style>

@include("dashboard.Boutique.Boutique_template.layouts.grocery.banner",["page_title"=> "CREATION COMPTE PANIER MIB
".$year])
@php
$params=new \App\ParametrageMib();
$souscription=$params->getParametersByKeys('souscription',$boutique->id, $year);
$devise=$params->getParametersByKeys('devise',$boutique->id, $year);
$jour_fin=$params->getParametersByKeys('jour_fin',$boutique->id, $year);
$fin_souscription=$params->getParametersByKeys('fin_souscription',$boutique->id, $year);
$active_carte_brunch=$params->getParametersByKeys('active_carte_brunch',$boutique->id, $year);
$can_have_carte_brunch=$params->getParametersByKeys('can_have_carte_brunch',$boutique->id, $year);
$parainnage=$params->getParametersByKeys('parainnage',$boutique->id, $year);
@endphp
<div id="contact-us-page" class="page-content page-content--centered container">
    <div class="col-12 mb-3">
        <a href="{{ url($boutique->nom_boutique.'/mib/client/list/'.$year) }}" class="btn btn-dark btn-sm"><i
                class="mdi mdi-arrow-left-thin"></i> Mes comptes Panier MIB</a>
    </div>
    <div class="col-12">
        <div class="row">
            @if(\Illuminate\Support\Facades\Auth::check())
            @if(isset($souscription) && $souscription!=null &&
            isset($devise) && $devise!=null &&
            isset($jour_fin) && $jour_fin!=null &&
            isset($fin_souscription) && $fin_souscription!=null &&
            isset($parainnage) && $parainnage!=null
            )
            <div class="col-lg-12">
                @if($CountClientMib<=$abonnementBoutique->max_user)
                    @if(isset($fin_souscription) && time() <= strtotime($fin_souscription)) @php
                        $condition_integration=$params->getParametersByKeys('condition_integration',$boutique->id,
                        $year);
                        $mot_bienvenue=$params->getParametersByKeys('mot_bienvenue',$boutique->id, $year);
                        @endphp
                        <form action="#" id="clientMibForm">
                            <fieldset id="step1">
                                <div class="row">

                                    <h3 class="col-12">
                                        <strong>Etapes 1 : </strong> Bienvenue sur les Paniers MIB {{$year}} de la
                                        boutique {{$boutique->nom_boutique}}. <br>
                                    </h3>
                                    <div class="col-12">
                                        @if(isset($mot_bienvenue) && $mot_bienvenue!=null && $mot_bienvenue!="")
                                        {!! $mot_bienvenue !!}
                                        @else
                                        <div class="row">
                                            <h3 class="col-12 text-justify">QU’EST-CE QUE LES PANIERS MIB</h3>
                                            <p class="col-12 text-justify">
                                                "LES PANIERS MIB" une initiative de soutien communautaire aux petites
                                                entreprises en adoptant leur production et service pour offrir des
                                                cadeaux à nos familles, nos amis ou une journée festive en entreprise,
                                                des récompenses ou paniers de vœux à nos meilleurs clients, employés et
                                                collaborateurs. Avec les paniers MIB, on planifie, sécurise et réserve
                                                les produits locaux pour toutes les occasions festives auprès d’un
                                                réseau de producteur proche de chez soi et on retire avec les points de
                                                relais ou distributeur représentant de sa localité. Les paniers MIB
                                                offrent, en plus des coffrets gratuits en bonus, une livraison gratuite
                                                et l’appartenance à une communauté des loco-consomm’Acteurs active. Nous
                                                utilisons le digital pour tisser le lien entre le consommateur et les
                                                producteurs engagés dans la valorisation des ressources locales au Bénin
                                                et dans toute l’Afrique.
                                            </p>
                                            <h3 class="col-12 text-justify">RÉSULTATS</h3>
                                            <div class="col-12 text-justify">
                                                <p> Depuis 2018, notre communauté les loco-consomm’Acteurs c’est : :
                                                </p>
                                                <ul class="col-12 text-justify">
                                                    <li>Des producteurs engagés</li>
                                                    <li>Une initiative soutenue par le RAMIB</li>
                                                    <li>Plus de membres consommateurs bénéficiaires chaque année</li>
                                                    <li>Environ 2 millions de chiffre d’affaire au profit des petits
                                                        producteurs du réseau</li>
                                                    <li>
                                                        Un soutien à la consommation locale solidaire, engagé pour des
                                                        produits de qualité
                                                    </li>
                                                </ul>
                                            </div>
                                            <h3 class="col-12 text-justify">LES AVANTAGES</h3>
                                            <div class="col-12 text-justify">
                                                <ul class="col-12 text-justify">
                                                    <li>Panier minimum de 20000 selon votre choix </li>
                                                    <li>Coffret cadeau en bonus sur toute option</li>
                                                    <li>Livraison gratuite des paniers</li>
                                                    <li>Composition personnalisée à 90% ou opter les paniers au choix
                                                    </li>
                                                    <li>
                                                        Carte de membre gratuite donnant droit aux offres
                                                        promotionnelle, réductions de 5% à 25% sur tout achat ou
                                                        prestation de service toute l’année aux membres chez près de 30
                                                        partenaires consultable sur sungrocery.biz
                                                    </li>
                                                    <li>
                                                        Ouverture d’un compte membre en ligne
                                                    </li>
                                                    <li>
                                                        Adhésion aux achats groupés des produits de ravitaillement avec
                                                        la possibilité d’achat par paiement échelonné ou a crédit
                                                        remboursable sur 8 semaines
                                                    </li>
                                                    <li>
                                                        Participations aux réunions consommateurs gratuite (découverte &
                                                        dégustation)
                                                    </li>
                                                    <li>
                                                        Possibilité d’adhésion aux entrepreneurs locaux et de proposer
                                                        ses produits et services
                                                    </li>
                                                </ul>
                                            </div>
                                        </div>
                                        @endif
                                    </div>

                                    <h3 class="col-12">CONDITION D'INTEGRATION</h3>
                                    <div class="col-12">
                                        <div class="col-12 pt-4"
                                            style="min-height: 400px;max-height: 400px;overflow-x: auto;border: 1px solid #ddd;padding: 20px">
                                            @if(isset($condition_integration) && $condition_integration!=null &&
                                            $condition_integration!="")
                                            {!! $condition_integration !!}}
                                            @else
                                            <div class="row">
                                                <h3 class="col-12 text-justify">Conditions de vente et d’achat des
                                                    paniers MIB (Adogbè229)</h3>
                                                <p class="col-12 text-justify">
                                                    La vente par {{str_replace('_',' ',$boutique->nom_boutique)}} et
                                                    l’achat des paniers MIB sont régis par les clauses ci-après :
                                                </p>
                                                <h4 class="col-12 text-justify"> Clause I : PRISE DE CONNAISSANCE DES
                                                    CLAUSES ET CONSENTEMENT PAR LE CLIENT</h4>
                                                <div class="col-12 text-justify">
                                                    <ol class="col-12 text-justify">
                                                        <li>
                                                            Tout client désireux de devenir membre de la communauté
                                                            loco-consommateur, de bénéficier des services de vente des
                                                            paniers MIB et accessoires dirigés
                                                            {{str_replace('_',' ',$boutique->nom_boutique)}} en cours
                                                            d’année ou en fin d’année est tenu de prendre connaissance
                                                            des différentes conditions de vente et d’achat.
                                                        </li>
                                                    </ol>
                                                </div>
                                                <p class="col-12 text-justify">Il consent d’office dès qu’il opte pour
                                                    l’achat de l’une des offres.</p>
                                                <h4 class="col-12 text-justify">Clause II : PRIX ET PAIEMENT</h4>
                                                <div class="col-12 text-justify">
                                                    <ol class="col-12 text-justify">
                                                        <li>
                                                            L’achat des paniers MIB (cas fin d’année) et accessoires est
                                                            subordonné à un prépaiement volontaire allant
                                                            de 2000f à 10000f, échelonné ou non auprès des producteurs
                                                            sur la plateforme SUNGROCERY.
                                                            Les Boutiques représentant des Paniers MIB reçoivent les
                                                            demandes de Janvier à Décembre. Avant la validation d’un
                                                            choix il faudra payer une inscription en ligne de 500f
                                                            donnant droit à une carte de membre ou un compte en ligne
                                                            sur le site www.sungrocery.biz et d’autre avantage ci-haut.
                                                        </li>
                                                        <li>
                                                            Le délai pour chaque prépaiement mensuel est la date 30 du
                                                            mois. Toutefois, le prépaiement du mois de Décembre doit
                                                            être fait au plus tard le 15 Décembre de l’année en cours.
                                                        </li>
                                                    </ol>
                                                </div>
                                                <h4 class="col-12 text-justify"> Clause III : LIBERTE DE CHOIX ACCORDE
                                                    AU MEMBRE ET CLIENTS</h4>
                                                <div class="col-12 text-justify">

                                                    <ol class="col-12 text-justify">
                                                        <li>
                                                            En fonction de l’option de paiement choisie, le membre ou le
                                                            client devra choisir entre quatre propositions en ce qui
                                                            concerne l’achat. Ces propositions sont établies par
                                                            {{str_replace('_',' ',$boutique->nom_boutique)}} sur la
                                                            plateforme en ligne
                                                            www.sungrocery.biz/{{$boutique->nom_boutique}} lors de
                                                            l’inscription le client devra choisir son panier parmi les
                                                            offres et spécifié son lot suivant sa catégorie.
                                                        </li>
                                                        <li>
                                                            Une liste des produits pouvant constituer le(s) panier(s)
                                                            est mise à la disposition de chaque client membre par
                                                            {{str_replace('_',' ',$boutique->nom_boutique)}}. Le client
                                                            est ainsi libre de faire le choix des produits qu’il veut
                                                            pour le(s) panier(s).
                                                            Toute l’année, les produits et des paniers sont disponibles
                                                            sur la plateforme. Pour les commandes de fin d’année de
                                                            décembre, la liste des paniers et produits est actualisée au
                                                            plus tard octobre de l’année. Les membres sont invités à
                                                            composer et envoyer leur commande avant le 15 Novembre.
                                                            Ainsi une gamme diverse de produits locaux et des paniers au
                                                            choix sont disponibles pour ceux qui ont opté pour les
                                                            paniers fins d’année dès décembre.
                                                            Le choix doit respecter un coût maximal selon l’option
                                                            choisie par le client dans les quatre propositions établies
                                                            par la société
                                                            {{str_replace('_',' ',$boutique->nom_boutique)}}. En cas
                                                            d’excès le membre paye le complément.
                                                            Les offres Paniers concernent: les Paniers MIB (fin
                                                            d’année), les Paniers de vœux ou de récompenses clients
                                                            (offre destinée aux entreprises), les Paniers de Ramadan et
                                                            Tabaski, les Paniers anniversaires et extra, les tickets
                                                            brunch…
                                                            Les tickets Brunch d’une valeur de 10000 est valable pour
                                                            les souscriptions à partir de 3000 FCFA. Les tickets sont
                                                            utilisés pour participer à des brunchs auprès des restaurant
                                                            de la communauté qui valorise le savoir africain (les
                                                            jardimets, IKOKO, saveur du bénin…) seul ou en famille, de
                                                            faire des commandes de cadeaux pour les anniversaires, ou
                                                            participer aux activités annuelles Rencontre des
                                                            loco-consommateurs. </li>
                                                    </ol>
                                                </div>
                                                <h4 class="col-12 text-justify">Clause IV : AVANTAGES DU RESPECT DES
                                                    CONDITIONS DE VENTE ET D’ACHAT</h4>
                                                <div class="col-12 text-justify">

                                                    <ol class="col-12 text-justify">
                                                        <li>
                                                            Tout client qui effectue régulièrement des commandes ou des
                                                            commandes prépayer échelonner mensuellement, respecte les
                                                            souscriptions qui sait établi, bénéficie à la fin de l’année
                                                            d’un ou des paniers, une somme en numéraire, de bonus offert
                                                            par la société
                                                            {{str_replace('_',' ',$boutique->nom_boutique)}} de la
                                                            livraison gratuite des biens achetés et d’un voyage
                                                            touristique vers la destination Bénin sur tirage du meilleur
                                                            consommateur de l’année.
                                                        </li>
                                                        <li>
                                                            (à venir) Possibilité d’achat à crédit: Les membres
                                                            catégorie Bronze ayant leur compte actif peuvent faire des
                                                            achats surtout de produit de première nécessité en option
                                                            achat groupé à crédit et rembourser sur 8 semaines. Dans ce
                                                            cas le membre met en garantie l’avoir de son compte en cas
                                                            d’impayé. Avant la validation des commandes, Bénin Grocery
                                                            vérifie si le membre n’a pas de cumule de crédit et se
                                                            réserve le droit de déduire dans l’avoir. La valeur du
                                                            panier fin d’année sera la soustraction entre le montant du
                                                            compte et de la dette. La valeur minimum du panier en option
                                                            crédit est de 15 000 et maximum 35 000.
                                                        </li>
                                                    </ol>
                                                </div>
                                                <h4 class="col-12 text-justify"> Clause V : LIVRAISON </h4>
                                                <div class="col-12 text-justify">
                                                    <ol class="col-12 text-justify">
                                                        <li>
                                                            Le client précise la date où il souhaiterait recevoir sa
                                                            marchandise, la livraison sera faite en respectant cette
                                                            date. <br>
                                                            La date choisie doit rester dans l’intervalle du 5 au 30
                                                            décembre de l’année en cours.
                                                        </li>
                                                        <li>
                                                            A la livraison, lorsque le client fait la somme du coût du
                                                            panier ou des paniers reçus et autres accessoires, cela doit
                                                            atteindre le total de son paiement effectué. </li>
                                                    </ol>
                                                </div>
                                                <h4 class="col-12 text-justify"> Clause VI : ANNULATION D’ACHAT PAR LE
                                                    CLIENT</h4>
                                                <div class="col-12 text-justify">

                                                    <ol class="col-12 text-justify">
                                                        <li>
                                                            Lorsqu’un client décide au cours de l’année d’annuler son
                                                            achat prépayer, il formule une demande et l’équivalent en
                                                            produit lui est retourné intégralement dans les 36h à la
                                                            date de réception de sa demande.
                                                            Cette somme ne subit pas de retenu à la source par la
                                                            société {{str_replace('_',' ',$boutique->nom_boutique)}} et
                                                            ne peut-être passible de bénéfice ou intérêt à payer par la
                                                            société
                                                            {{str_replace('_',' ',$boutique->nom_boutique)}} au client
                                                            car {{str_replace('_',' ',$boutique->nom_boutique)}} n’est
                                                            aucune une institution financière. Toute fois si le produit
                                                            prépayé est revendable à d’autre client immédiatement, le
                                                            demandeur peut récupérer en numéraire à hauteur de son
                                                            prépayé.
                                                        </li>

                                                    </ol>
                                                </div>
                                                <h4 class="col-12 text-justify">Clause VII : SANCTION</h4>
                                                <div class="col-12 text-justify">
                                                    <ol class="col-12 text-justify">
                                                        <li>
                                                            En cas de non-paiement rigoureux selon les conditions
                                                            énumérées à la clause II, le client perd le bonus offert par
                                                            la société
                                                            {{str_replace('_',' ',$boutique->nom_boutique)}} et n’est
                                                            éligible au tirage au sort pour l’éco-tourisme vers la
                                                            destination Bénin. Toute fois la livraison des paniers fin
                                                            d’année sont pris en charge à partir d’une valeur de 20000
                                                            FCFA si la zone à parcourir est moins de 50 km.
                                                        </li>
                                                    </ol>
                                                </div>
                                                <h4 class="col-12 text-justify">Clause VIII : NECESSITE D’UN MANDATAIRE
                                                </h4>
                                                <div class="col-12 text-justify">
                                                    <ol class="col-12 text-justify">
                                                        <li>
                                                            Tout client doit avoir un mandataire qui peut le représenter
                                                            en cas de force majeure. Le mandataire est contacté au cas
                                                            où la société
                                                            {{str_replace('_',' ',$boutique->nom_boutique)}} n’arrive
                                                            plus à joindre le client sur une durée de trois mois au
                                                            moins.
                                                        </li>
                                                    </ol>
                                                </div>
                                                <h4 class="col-12 text-justify">Clause IX : DE LA PROPRIETE DES PRODUITS
                                                </h4>
                                                <div class="col-12 text-justify">
                                                    <ol class="col-12 text-justify">
                                                        <li>
                                                            La société {{str_replace('_',' ',$boutique->nom_boutique)}}
                                                            conserve la propriété des produits en vente jusqu’au
                                                            paiement intégral du prix et jusqu’à la date fixée pour la
                                                            livraison.
                                                        </li>
                                                    </ol>
                                                </div>
                                                <h4 class="col-12 text-justify">Clause X : REGLEMENT DE LITIGES</h4>
                                                <div class="col-12 text-justify">
                                                    <ol class="col-12 text-justify">
                                                        <li>
                                                            En cas de litiges, les parties s’entendent pour une
                                                            résolution amiable.
                                                        </li>
                                                        <li>
                                                            Si cela échoue, le litige sera porté devant le tribunal de
                                                            commerce de Cotonou.
                                                        </li>
                                                    </ol>
                                                </div>
                                            </div>
                                            @endif
                                        </div>
                                    </div>
                                    <p class="col-12 mt-3">En cliquant sur continuer, vous acceptez les conditions
                                        d'intégrations et de confidentialités liées aux offres qui vous seront
                                        proposées.</p>
                                    <div class="col-12  text-right">
                                        <a href="{{route('boutique.index',$boutique->nom_boutique)}}"
                                            class="btn btn-sm btn-light" type="button">Abandonner</a>
                                        <button class="btn btn-sm btn-primary" type="button"
                                            id="btn-step1">Continuer</button>
                                    </div>
                                </div>
                            </fieldset>
                            <fieldset id="step2" style="display: none">
                                <div class="row">

                                    <h3 class="col-lg-12">
                                        <strong>Etapes 2 : </strong> Choisir une offre.
                                    </h3>
                                    <p class="col-12">
                                        Cliquez sur l'offre de votre pour souscrire au panier Mib de cette offre pour
                                        l'année {{$year}} suivant les conditions précédemment imposées.
                                    </p>
                                    <p class="col-12" style="color: orange">
                                        <strong>
                                            Notez que des frais d'intégrations à hauteur de {{$souscription}}
                                            {{$devise}} sont nécessaires pour valider votre souscription.
                                        </strong>
                                    </p>
                                    <h4 class="col-12 mt-3 mb-4">Listes des offres Panier Mib disponibles</h4>
                                    @foreach($categoriesMib as $cat)
                                    <div class="col-lg-3 mt-3">
                                        <div class="col-lg-12" style="border: 1px dashed #ddd;border-radius: 10px">
                                            <div class="row">
                                                <div class="col-lg-12 text-center">
                                                    <img src="{{asset('Uploads/Categories_mib/'.$cat->filename)}}"
                                                        style="border-radius: 10px" class="pt-3" alt="" width="100%">
                                                </div>
                                                <h3 class="col-lg-12 mt-1 text-center">{{$cat->name}}</h3>
                                                <h5 class="col-lg-12 mt-0 text-center" style="color: orange">
                                                    {{$cat->price}} {{$devise}} / mois</h5>
                                                <div class="col-lg-12 mt-0 mb-2 text-center">
                                                    <a href="{{route('get.categorie.mib',$cat->slug)}}"
                                                        class="btn btn-sm btn-light detailsCategorieMib"
                                                        type="button">Détails</a>
                                                    <button class="btn btn-sm btn-light btn-step2" type="button"
                                                        data-url="{{route('client.get.lot',$cat->slug)}}"
                                                        data-boutique="{{$boutique->id}}" data-slug="{{$cat->slug}}"
                                                        data-price="{{$cat->price}}">s'inscrire</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    @endforeach
                                    <input type="hidden" id="categorie_mib_slug" name="categorie_mib_slug">
                                    @if(isset($active_carte_brunch) && isset($can_have_carte_brunch) &&
                                    $can_have_carte_brunch!="")
                                    <input type="hidden" id="categorie_price_mib_" value="{{$can_have_carte_brunch}}">
                                    @endif
                                    <div class="col-12 mt-4 mb-4 text-right">
                                        <button class="btn btn-sm btn-light" type="button"
                                            id="btn-previous-step2">retourner en arrière</button>
                                    </div>
                                </div>
                            </fieldset>
                            <fieldset id="step3" style="display: none">
                                <div class="row">

                                    <h3 class="col-lg-12">
                                        <strong>Etapes 3 : </strong> Vous devez choisir un des lots de l'offre à
                                        laquelle vous voulez souscrire.
                                    </h3>
                                    <p class="col-12">
                                        Les lots qui vous sont proposés définissent les différentes repartissions de
                                        dépenses de l'offre à laquelle vous avez souscris.
                                    </p>
                                    <p class="col-12" style="color: orange">
                                        <strong>
                                            Notez que se choix est unique et sera prise en compte lors de la livraison
                                            ou de la consitution de votre panier. Vous ne pouvez pas modifier ce choix.
                                            assurez vous donc de faire le bon choix.
                                        </strong>
                                    </p>
                                    <h4 class="col-12 mt-3 mb-4">Listes des Lots disponibles</h4>
                                    <div class="col-12">
                                        <div class="row" id="data-lot_list"></div>
                                    </div>
                                    <input type="hidden" id="lot_mib_slug" name="lot_mib_slug">
                                    <div class="col-12 mt-4 mb-4 text-right">
                                        <button class="btn btn-sm btn-light" type="button"
                                            id="btn-previous-step3">retourner en arrière</button>
                                    </div>
                                </div>
                            </fieldset>
                            <fieldset id="step4" style="display: none">
                                <div class="row">

                                    <h3 class="col-lg-12">
                                        <strong>Etapes 4 : </strong> Veuillez fournir les informations requises pour
                                        finaliser la souscription
                                    </h3>

                                    <h4 class="col-lg-12">Client</h4>

                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label for="nom">Nom</label>
                                            <input data-input_name="nom" onblur="check_error(['nom']);"
                                                required="required" type="text" class="form-control"
                                                value="{{\Illuminate\Support\Facades\Auth::user()->last_name}}"
                                                name="nom" id="nom" placeholder="Votre nom">
                                        </div>
                                    </div>

                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label for="prenom">Prenom</label>
                                            <input data-input_name="prenom" onblur="check_error(['prenom']);"
                                                required="required" type="text" class="form-control"
                                                value="{{\Illuminate\Support\Facades\Auth::user()->first_name}}"
                                                name="prenom" id="prenom" placeholder="Votre prenom">
                                        </div>
                                    </div>

                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label for="tel">Téléphone</label>
                                            <input data-input_name="téléphone" onblur="check_error(['tel']);"
                                                required="required" type="number" class="form-control" name="tel"
                                                {{\Illuminate\Support\Facades\Auth::user()->telephone}} id="tel"
                                            placeholder="0022967000000">
                                        </div>
                                    </div>

                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label for="adresse">Adresse</label>
                                            <input data-input_name="adresse" onblur="check_error(['adresse']);"
                                                required="required" type="text" class="form-control" name="adresse"
                                                id="adresse" placeholder="Abomey-calavi/Parana/">
                                        </div>
                                    </div>
                                    <h4 class="col-lg-12">Mandataire</h4>
                                    <p class="col-lg-12">Veuillez renseigner ces informations pour mandater un de vos
                                        proches pour la reception des différents lots de l'offre choisis</p>


                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label for="nom_mandataire">Nom et prenom du mandataire</label>
                                            <input type="text" class="form-control" name="nom_mandataire"
                                                id="nom_mandataire" placeholder="Nom et prenom du mandataire">
                                        </div>
                                    </div>

                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label for="tel_mandataire">Téléphone du mandataire</label>
                                            <input type="number" class="form-control" name="tel_mandataire"
                                                id="tel_mandataire" placeholder="0022967000000">
                                        </div>
                                    </div>

                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label for="adresse_mandataire">Adresse du mandataire</label>
                                            <input type="text" class="form-control" name="adresse_mandataire"
                                                id="adresse_mandataire" placeholder="Abomey-calavi/Parana/">
                                        </div>
                                    </div>

                                    @if(isset($active_carte_brunch) && $active_carte_brunch &&
                                    isset($can_have_carte_brunch))
                                    <div class="col-lg-6 pt-5" id="carte_brunch_box">
                                        <div class="form-group">
                                            <label for="brunch">
                                                <input type="checkbox" name="brunch" id="brunch">
                                                Souhaitez-vous inclure la carte Brunch à votre offre ?
                                            </label>
                                        </div>
                                    </div>
                                    @endif
                                    <p class="col-12">
                                        En cliquant sur souscrire, vous acceptez les termes et conditions imposés. Notez
                                        que des frais supplémentaires pourraient s'appliquer lors du paiement.
                                    </p>

                                    <div class="col-12 mt-4 mb-4 text-right">
                                        <button class="btn btn-sm btn-light" type="button"
                                            id="btn-previous-step4">retourner en arrière</button>

                                        <input type="hidden" id="souscription_pricing" value="{{ $souscription }}">
                                        <button class="btn btn-sm btn-primary"
                                            onclick="return check_error(['nom','prenom','tel','adresse']);"
                                            type="button" id="mib_subscription"
                                            data-boutique="{{$boutique->slug}}">souscrire</button>
                                    </div>
                                </div>
                            </fieldset>
                        </form>
                        @else
                        <div class="col-12 mt-5 mb-5 text-center">
                            <div class="alert alert-warning">
                                Les souscriptions au panier mib sont closes pour l'année {{$year}}. N'hésitez à revenir
                                l'année prochaine.
                            </div>
                        </div>
                        @endif
                        @else
                        <div class="col-12 mt-5 mb-5 text-center">
                            <div class="alert alert-warning">
                                Oups! Le nombre maximal d'adhérant à été atteint. Les souscriptions au panier mib sont
                                closes pour l'année {{$year}}. N'hésitez à revenie l'année prochaine.
                            </div>
                        </div>
                        @endif
            </div>
        </div>
        @else
        <div class="col-md-12">
            <div class="alert alert-warning">
                Compte Panier MIB non configurer. Veuillez patientez ...
            </div>
        </div>
        @endif
        @else
        <div class="col-md-12 mt-5 pt-5">
            <div class="alert alert-warning text-center">
                Oups! Vous devez vous connecter ou créer un compte pour accéder à cette page.
            </div>
            <div class="col-12 mt-3 mb-5 pb-5 text-center">
                <a href="#" data-target="#BoutiqueAuthModal" class="btn btn-sm btn-light" data-toggle="modal"> se
                    connecter</a>
            </div>
        </div>
        @endif
    </div>
</div>


@endsection

@section('script')
<script src="https://cdn.kkiapay.me/k.js"></script>
<script>
    $(document).ready(function () {
       
        $(document).on('click','#btn-step1',function(){
            $('#step1').fadeOut('slow',function(){
                $('#step2').fadeIn('slow')
            });
        })

        $(document).on('click','.btn-step2',function(){
            let btn=$(this),
                url=btn.data('url'),
                categorie_mib=btn.data('slug'),
                price_cat=btn.data('price'),
                carte_brunch=$('#categorie_price_mib_').val(),
                old=btn.html();
                if(parseInt(price_cat)>=parseInt(carte_brunch)){
                    $('#carte_brunch_box').fadeIn();
                }else{
                    $('#carte_brunch_box').fadeOut();
                }
               btn.attr('disabled', true).html('<img src="{{asset('images/loader.gif')}}" width="20px"> en cours...');
            $('#categorie_mib_slug').val(categorie_mib)
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                url: url,
                method: "GET",
                success: function (data) {
                    btn.attr('disabled', false).html(old);
                    $('#data-lot_list').html(data)
                    $('#step2').fadeOut('slow',function(){
                        $('#step3').fadeIn('slow')
                    });
                }, error: function (data) {
                    btn.attr('disabled', false).html(old);
                }
            })

        })
        $(document).on('click','#btn-step3',function(){
            let btn=$(this),
                lot_mib=btn.data('slug');
            $('#lot_mib_slug').val(lot_mib)
            $('#step3').fadeOut('slow',function(){
                $('#step4').fadeIn('slow')
            });
        })
       $(document).on('click','#btn-previous-step2',function(){
            $('#step2').fadeOut('slow',function(){
                $('#step1').fadeIn('slow')
            });
        })
            $(document).on('click','#btn-previous-step4',function(){
            $('#step4').fadeOut('slow',function(){
                $('#step3').fadeIn('slow')
            });
        })
         $(document).on('click','#btn-previous-step3',function(){
            $('#step3').fadeOut('slow',function(){
                $('#step2').fadeIn('slow')
            });
        })
        })
</script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/js/bootstrap.bundle.min.js"></script>
@endsection