@extends('dashboard.Boutique.Boutique_template.layouts.grocery.app')
@section("css")
    @include("dashboard.Boutique.Boutique_template.layouts.grocery.css_other_page")
    <style>
        .p-5{
            padding: 30px;
            font-weight: bold;
        }
        .card{
            text-align: center;
            background: #f8f8f8;
            box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
            transition: 300ms;
            cursor: pointer;
            }
        .card:hover{
            box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px, rgba(60, 64, 67, 0.15) 0px 1px 3px 1px;
            }
    </style>
@endsection
@section('content')
@include("dashboard.Boutique.Boutique_template.layouts.grocery.banner",["page_title"=> "PANIER MADE IN AFRICA (MIB) "])
<hr class="mt-0 pt-0">
    <div class="col-lg-12 col-sm-12 col-xs-12 mt-5">
        @if(\Illuminate\Support\Facades\Auth::check())
        <h4>Liste des paniers MIB auxquels vous avez souscris par année</h4>
        <p>Cliquez sur chaque année pour voir les comptes mib que vous gérer ou avez eu à gérer suivant le status de l'année. </p>
        <div class="row">
            @foreach($years as $year)
            {{-- <a href="{{ url($boutique->nom_boutique.'/mib/index/'.$year->year) }}" class="col-lg-3 col-xs-6 col-sm-6 col-6"> --}}
            <a href="{{ url($boutique->nom_boutique.'/mib/client/list/'.$year->year) }}" class="col-lg-3 col-xs-6 col-sm-6 col-6">
                <div class="card p-5">
                        <div class="card-body text-center">
                            @if(intVal($year->year) == intVal(date("Y"))) <h2  style="font-size: 30pt;"><i class="mdi mdi-archive-sync-outline"></i></h2> @endif
                            @if(intVal($year->year) < intVal(date("Y"))) <h2 style="font-size: 30pt;"><i class="mdi mdi-archive-off-outline"></i></h2>  @endif
                            <h4>Panier MIB {{ $year->year }}</h4>
                            @if(intVal($year->year) == intVal(date("Y")))<div><i class="badge badge-success">En cours</i></div>@endif
                            @if(intVal($year->year) < intVal(date("Y")))<div><i class="badge badge-warning">Clôturé</i></div>@endif
                        </div>
                </div>
            </a>
        @endforeach
        </div>
        @else
            <div class="col-md-12 mt-5 pt-5">
                <div class="alert alert-warning text-center">
                Oups! Vous devez vous connecter ou créer un compte pour accéder à cette page.
                </div>
                <div class="col-12 mt-3 mb-5 pb-5 text-center">
                    <a href="#" data-target="#BoutiqueAuthModal" class="btn btn-sm btn-light" data-toggle="modal"> se connecter</a>
                </div>
            </div>
        @endif
    </div>      
@endsection
