@extends("../dashboard._blank")

@section("sidebar")
@include("../dashboard._sidebar")
@endsection

@section('css_add')
<style>
    .activation {
        display: block;
    }

    #description_include_livraison {
        display: none;
    }

    #button {
        display: block;
        margin: 20px auto;
        padding: 10px 30px;
        background-color: #eee;
        border: solid #ccc 1px;
        cursor: pointer;
    }

    .is-hide {
        display: none;
    }

    input[type="checkbox"][id^="myCheckbox"] {
        display: none;
    }

    label {
        border: 1px solid #fff;
        padding-top: 10px;
        display: block;
        position: relative;
        margin-top: 10px;
    }

    label:before {
        background-color: white;
        color: white;
        content: " ";
        display: block;
        border-radius: 50%;
        border: 1px solid grey;
        position: absolute;
        top: -5px;
        left: -5px;
        width: 25px;
        height: 25px;
        text-align: center;
        line-height: 28px;
        transition-duration: 0.4s;
        transform: scale(0);
    }

    label img {
        height: 100%;
        width: 100%;
        transition-duration: 0.2s;
        transform-origin: 50% 50%;
    }

    :checked+label {
        border-color: #ddd;
    }

    :checked+label:before {
        content: "✓";
        background-color: grey;
        transform: scale(1);
    }

    :checked+label img {
        transform: scale(0.9);
        /* box-shadow: 0 0 5px #333; */
        z-index: -1;
    }

    .card-1 {
        box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
        transition: all 0.3s cubic-bezier(.25, .8, .25, 1);
        border: 1px solid #060e1c;
    }

    .card-1:hover {
        box-shadow: 0 14px 28px rgba(6, 14, 28, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
        transition: all 1000ms ease;
        border: 1px solid #060e1c;
    }

    .list-media a {
        font-size: 12pt;
        color: #fff;
        margin-bottom: 2px;
    }

    .list-media {
        margin-bottom: 2px;
        box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    }

    .list-media:hover {
        box-shadow: 0 14px 28px rgba(6, 14, 28, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
        transition: all 500ms ease;
    }

    .boutique_liste:hover #media-share {
        display: block;
    }

    #media-share {
        z-index: 99;
        display: none;
    }

    .whatsapp {
        width: 30px;
        height: 30px;
        line-height: 32px;
        text-align: center;
        background: green;
        border-radius: 100%;
        font-weight: bold;
    }

    .facebook {
        width: 30px;
        height: 30px;
        line-height: 30px;
        text-align: center;
        background: #0e0ea0;
        border-radius: 100%;
        font-weight: bold;
    }

    .instagram {
        width: 30px;
        height: 30px;
        line-height: 30px;
        text-align: center;
        background: #48aed6;
        border-radius: 100%;
        font-weight: bold;
    }

    ul {
        list-style-type: disc;
    }

    ul li {}

    ul ul {
        list-style-type: circle;
    }

    ul ul ul {
        list-style-type: decimal-leading-zero;
    }

    h5 {
        color: green;
    }

    .btn-primary {
        border: none;
    }

    .btn {
        border-radius: 0px;
    }

    .supression_demande sup {
        border-radius: 100%;
        font-size: 8pt;
        color: red;
    }

    /* The container */
    .container-checkbox {
        display: block;
        position: relative;
        cursor: pointer;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
    }

    /* Hide the browser's default checkbox */
    .container-checkbox input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
    }

    /* Create a custom checkbox */
    .container-checkbox .checkmark {
        position: absolute;
        top: 0;
        left: 0;
        height: 15px;
        width: 15px;
        background-color: #2a3f54;
    }

    /* On mouse-over, add a grey background color */
    .container-checkbox:hover input~.checkmark {
        background-color: #2a3f54;
    }

    /* When the checkbox is checked, add a blue background */
    .container-checkbox input:checked~.checkmark {
        background-color: #2a3f54;
    }

    /* Create the checkmark/indicator (hidden when not checked) */
    .container-checkbox .checkmark:after {
        content: "";
        position: absolute;
        display: none;
    }

    /* Show the checkmark when checked */
    .container-checkbox input:checked~.checkmark:after {
        display: block;
    }

    /* Style the checkmark/indicator */
    .container-checkbox .checkmark:after {
        left: 5px;
        top: 2px;
        width: 5px;
        height: 10px;
        border: solid white;
        border-width: 0 3px 3px 0;
        -webkit-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
        transform: rotate(45deg);
    }


    /* The container */
    .container-radio {
        display: block;
        position: relative;
        padding-left: 35px;
        margin-bottom: 12px;
        cursor: pointer;
        font-size: 22px;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
    }

    /* Hide the browser's default radio button */
    .container-radio input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
    }

    /* Create a custom radio button */
    .container-radio .checkmark {
        position: absolute;
        top: 0;
        left: 0;
        height: 15px;
        width: 15px;
        background-color: #2a3f54;
        border-radius: 50%;
    }

    /* On mouse-over, add a grey background color */
    .container-radio:hover input~.checkmark {
        background-color: #2a3f54;
    }

    /* When the radio button is checked, add a blue background */
    .container-radio input:checked~.checkmark {
        background-color: #2a3f54;
    }

    /* Create the indicator (the dot/circle - hidden when not checked) */
    .container-radio .checkmark:after {
        content: "";
        position: absolute;
        display: none;
    }

    /* Show the indicator (dot/circle) when checked */
    .container-radio input:checked~.checkmark:after {
        display: block;
    }

    /* Style the indicator (dot/circle) */
    .container-radio .checkmark:after {
        top: 4px;
        left: 4px;
        width: 8px;
        height: 8px;
        border-radius: 50%;
        background: white;
    }

    .myOptionBtn .row {
        margin: 0;
    }

    .myOptionBtn .btn {
        width: 100%;
        margin: 1px;
    }

    .myOptionBtn .col-xs-4 {
        padding: 2px;
    }

    .btn-sm {
        font-size: 8pt;
    }

    .nav-pills>li.active>#pills-home-tab,
    .nav-pills>li.active>#pills-home-tab:focus,
    .nav-pills>li.active>#pills-home-tab:hover {
        background: none;
        border-bottom: 6px solid #ba9412;
        /*background:  #ba9412;*/
        color: #ba9412;
        border-radius: 0;
    }

    .nav-pills>li.active>#pills-contact-tab,
    .nav-pills>li.active>#pills-contact-tab:focus,
    .nav-pills>li.active>#pills-contact-tab:hover {
        background: none;
        border-bottom: 6px solid #176e2c;
        /*background:  #176e2c;*/
        color: #176e2c;
        border-radius: 0;
    }

    .nav-pills>li.active>#pills-profile-tab,
    .nav-pills>li.active>#pills-profile-tab:focus,
    .nav-pills>li.active>#pills-profile-tab:hover {
        background: none;
        border-bottom: 6px solid #d21d19;
        /*background:  #d21d19;*/
        color: #d21d19;
        border-radius: 0;
    }

    .nav-item a {
        font-size: 12pt;
        font-weight: 500;
    }

    #pills-tab {
        display: inline-flex;
        flex-direction: row;
        flex-wrap: wrap;
        flex-flow: row;
        width: 100%;
    }

    #pills-tab>li {
        width: 33.33%;
        text-align: center;
    }

    @media (max-width: 991px) {
        .nav-item a {
            font-size: 5pt;
            font-weight: 500;
        }

        .number_badge {
            font-size: 5pt;
        }
    }

    .number_badge {
        position: absolute;
        right: 3px;
        top: 5px;
        border-radius: 50px;
    }

    #internationalisation_label {
        display: none;
    }
</style>
<script>
    const second = 1000,
            minute = second * 60,
            hour = minute * 60,
            day = hour * 24;
        let countDown=0;
        let target=0;
        let dt=0;
        let $day = 0;
        let $hour = 0;
        let min= 0;
        let seconde=0;
        let distance=0;
        let now=0;
        let time=0;
        let x;
        function add_months(dt, n)
        {
            return new Date(dt.setMonth(dt.getMonth() + n)).getTime();
        }
</script>
@endsection
@section("content")
<div class="right_col" role="main">
    <div class="">
        <div class="clearfix"></div>
        <div class="row">
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel" style="border: none">
                    <div class="x_title" style="background: #f8f8f8;border:none;padding-top: 15px;">
                        <h2 class="col-xs-12 col-md-12">
                            <img src="{{asset('images/boutique.png')}}" alt="" width="20px"> Boutiques
                        </h2>
                        <div class="clearfix"></div>
                    </div>
                    <div class="x_content">
                        <div class="text-right">
                            @if($boutiqueExist>0)
                            @foreach($portefeuilles as $portefeuille)
                            <a disabled
                                style="color: #112240;font-weight: bold;font-size: 10pt;border: none;background: #f8f8f8"
                                class="btn btn-default btn-sm" data-toggle="tooltip"
                                title="Gain générer par vos ventes.">
                                <span style="color: #112240;">Portefeuilles {{$portefeuille->devise}}</span> = <span
                                    style="font-weight: bold;color: #d21d19;"> {{$portefeuille->montant.'
                                    '.$portefeuille->devise}} <img src="{{asset('images/loader.gif')}}" width="15px"
                                        alt=""></span></a>
                            @endforeach
                            @endif
                        </div>

                        <div class="col-md-12" style="margin-bottom: 10px;">
                            <div class="row">
                                <div class="col-sm-6" style="padding: 0px;">
                                    <a href="{{route('boutique_liste')}}" class="btn btn-success btn-sm"
                                        style="border-radius: 0px;"><i class="fa fa-list-ul"></i> Toutes les
                                        boutiques</a>
                                    <a data-toggle="modal" data-target="#boutiqueModal" id="add_boutique"
                                        class="@if($boutiqueExist<=0)pulse-button @endif btn btn-primary btn-sm"
                                        style="border-radius: 0px;">
                                        <i class="fa fa-plus-circle"></i> Créer une nouvelle boutique
                                    </a>
                                    @if($boutiqueExist>0)
                                    @if(\Illuminate\Support\Facades\Session::get('user')['doc_validated'])
                                    <a id="btn_menu_boutique" class="btn btn-sm btn-default" data-toggle="tooltip"
                                        title="Visualisez vos demandes de retraits ou effectuez de nouvelle demande."><i
                                            class="fa fa-bank"></i> Retrait</a>
                                    @endif
                                    @endif
                                </div>
                                <div class="col-sm-6" id="menu_boutique" style="display: none;padding: 0px;">
                                    <div class="row">
                                        <div class="col-md-6 col-xs-12">
                                            <button class="btn btn-warning btn-sm col-md-4 col-xs-12 retrait"
                                                style="cursor:pointer;border-radius: 0px;width: 100%;color: #000;"><span
                                                    class="btn-gr"> <i class="fa fa-money"></i> Faire une demande de
                                                    retrait</span> </button>
                                        </div>
                                        <div class="col-md-6 col-xs-12">
                                            <a href="{{route('list_retrait_user')}}"
                                                class="btn btn-default default btn-sm col-md-4 col-xs-12"
                                                style="cursor:pointer;border-radius: 0px;width: 100%;"><span
                                                    class="btn-gr"> <i class="fa fa-list-ol"></i> Listes des retraits
                                                    effectués</span> </a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-sm-12 col-xs-12 col-lg-12" style="margin-top: 20px;">
                                <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist" style="">
                                    <li class="nav-item active" style="border:1px solid #fff;background: #ededed;">
                                        <a class="nav-link active" id="pills-contact-tab" data-toggle="pill"
                                            href="#pills-contact" role="tab" aria-controls="pills-contact"
                                            aria-selected="false">
                                            En ligne <sup class="badge badge-default number_badge"
                                                style="background-color:#176e2c;color:#ffffff;">
                                                {{(count($boutiqueActifs))}} </sup>
                                        </a>
                                    </li>
                                    <li class="nav-item" style="border:1px solid #fff;background: #ededed;">
                                        <a class="nav-link" id="pills-home-tab" data-toggle="pill" href="#pills-home"
                                            role="tab" aria-controls="pills-home" aria-selected="true">
                                            Non installées <sup class="badge badge-default number_badge"
                                                style="background-color:#ba9412;color:#ffffff;">
                                                {{(count($boutiqueNonInstaller))}} </sup>
                                        </a>
                                    </li>
                                    <li class="nav-item" style="border:1px solid #fff;background: #ededed;">
                                        <a class="nav-link" id="pills-profile-tab" data-toggle="pill"
                                            href="#pills-profile" role="tab" aria-controls="pills-profile"
                                            aria-selected="false">
                                            Expirées <sup class="badge badge-default number_badge"
                                                style="background-color:#d21d19;color:#fff;">
                                                {{(count($boutiqueExpirer))}}</sup>
                                        </a>
                                    </li>
                                </ul>
                                <div class="tab-content" id="pills-tabContent" style="margin-top: 20px;">
                                    @if(count($boutiqueNonInstaller)>0)
                                    <div class="col-sm-12 col-xs-12 col-lg-12 tab-pane fade" id="pills-home"
                                        role="tabpanel" aria-labelledby="pills-home-tab">
                                        <div class="row">
                                            @foreach($boutiqueNonInstaller as $boutique)
                                            @php
                                            $banner="";
                                            foreach($boutique->publicites as $banner){
                                            $banner=$banner->image;
                                            }
                                            @endphp
                                            <div class="col-lg-4 col-xs-12 col-sm-12 col-md-6"
                                                id="boutique{{$boutique->slug}}"
                                                style="margin: 0px;margin-bottom: 30px;">
                                                <div class="card card-1"
                                                    style="padding: 1%;border-radius: 6px;height: 200px">
                                                    <div class="card-header text-center"
                                                        style="font-size: 13pt;padding: 5%;border: 1px solid #ededed;color: #2a3f54;  background: url({{$banner}}) center no-repeat;background-size: cover;">
                                                        <span style="font-weight: bold;text-transform: uppercase"
                                                            data-toggle="tooltip" title="{{$boutique->nom_boutique}}">
                                                            {{strtoupper(str_replace('_','
                                                            ',\Illuminate\Support\Str::limit($boutique->nom_boutique,18)))}}</span>
                                                    </div>
                                                    <div class="card-body boutique_body row"
                                                        data-slug="{{$boutique->slug}}">
                                                        <div class="col-sm-12 col-xs-12 col-lg-12 text-center"
                                                            style="padding-top: 20px">
                                                            <a href="#" class="description" data-toggle="tooltip"
                                                                title="{{$boutique->description}}."
                                                                data-slug="{{$boutique->slug}}"
                                                                data-description="{{$boutique->description}}"
                                                                style="color: #000;font-size: 10pt;">
                                                                {{\Illuminate\Support\Str::limit($boutique->description,100)}}
                                                            </a>
                                                        </div>
                                                        <div class="badge badge-dark"
                                                            style="background: #ffffff;position: absolute;left: 11px;top: 2px;color: #000;border-top-left-radius: 6px">
                                                            {{--<span
                                                                style="font-size: 10pt;color: #0d3349;font-weight: bold;">
                                                                Domain d'activité :</span>--}}
                                                            @foreach($metiers as $metier)
                                                            @if($metier->slug==$boutique->metier_slug)
                                                            <span title="{{$metier->intitule_metier}}">
                                                                {{\Illuminate\Support\Str::limit($metier->intitule_metier,32)}}</span>
                                                            @endif
                                                            @endforeach

                                                        </div>
                                                        <div class="badge badge-dark"
                                                            style="background: #ffffff;position: absolute;left: 11px;top: 2px;color: #000;">
                                                            {{--<span
                                                                style="font-size: 10pt;color: #0d3349;font-weight: bold;">
                                                                Domain d'activité :</span>--}}
                                                            @foreach($metiers as $metier)
                                                            @if($metier->slug==$boutique->metier_slug)
                                                            <span title="{{$metier->intitule_metier}}">
                                                                {{\Illuminate\Support\Str::limit($metier->intitule_metier,32)}}</span>
                                                            @endif
                                                            @endforeach
                                                        </div>
                                                    </div>
                                                    <div class="card-footer row "
                                                        id="boutique_footer{{$boutique->slug}}"
                                                        style="position: absolute;bottom: 5px;width: 100%">
                                                        <div class="col-sm-12 text-center">
                                                            <a href=" {{route('supprimerBoutique')}}"
                                                                data-name="{{$boutique->nom_boutique}}"
                                                                data-slug="{{$boutique->slug}}"
                                                                style="border-radius: 0px"
                                                                class=" btn btn-danger btn-sm delete-action corbeil">
                                                                <i class="fas fa-trash-alt"></i> Supprimer
                                                            </a>
                                                            <button
                                                                style="border-radius: 0px;border: none;color: #ffffff;"
                                                                data-target="#installModal" data-toggle="modal"
                                                                class="btn_installer btn btn-success btn-sm"
                                                                data-nom="{{$boutique->nom_boutique}}"
                                                                data-slug="{{$boutique->slug}}"
                                                                data-url="{{route('newBoutique_installation',$boutique->slug)}}">
                                                                <i class="fas fa-file-download"></i> Installer
                                                            </button>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            @endforeach
                                        </div>
                                    </div>
                                    @else
                                    <div class="col-sm-12 col-xs-12 col-lg-12 text-center tab-pane fade" id="pills-home"
                                        role="tabpanel" aria-labelledby="pills-home-tab"
                                        style="padding: 10%;font-weight: bold;font-size: 15pt;">
                                        <div class="col-sm-12 col-xs--12 text-center"
                                            style="color: red;padding: 5%;font-size: 12pt">
                                            <img src="{{asset('images/empty.png')}}" width="200px" alt="">
                                            <br>
                                            Aucune boutique trouvée !
                                        </div>
                                    </div>
                                    @endif
                                    @if(count($boutiqueExpirer)>0)
                                    <div class="col-sm-12 col-xs-12 col-lg-12 tab-pane fade" id="pills-profile"
                                        role="tabpanel" aria-labelledby="pills-profile-tab">
                                        <div class="row" style="padding-top: 0;">
                                            @foreach($boutiqueExpirer as $boutique)
                                            @php
                                            $banner="";
                                            foreach($boutique->publicites as $banner){
                                            $banner=$banner->image;
                                            }
                                            @endphp
                                            <div class="col-lg-4 col-xs-12 col-sm-12 col-md-6"
                                                id="boutique{{$boutique->slug}}"
                                                style="margin: 0px;margin-bottom: 30px;">
                                                <div class="card card-1"
                                                    style="padding: 1%;border-radius: 6px;height: 200px">
                                                    <div class="card-header text-center"
                                                        style="font-size: 13pt;padding: 5%;border: 1px solid #ededed;color: #2a3f54;  background: url({{$banner}}) center no-repeat;background-size: cover;">
                                                        <span style="font-weight: bold;text-transform: uppercase"
                                                            data-toggle="tooltip" title="{{$boutique->nom_boutique}}">
                                                            {{strtoupper(str_replace('_','
                                                            ',\Illuminate\Support\Str::limit($boutique->nom_boutique,18)))}}</span>
                                                        <br>
                                                        @if($boutique->user_slug==\Illuminate\Support\Facades\Auth::user()->slug)
                                                        <div class="text-center" data-toggle="tooltip"
                                                            title="Gain générer par vos ventes sur la boutique {{$boutique->nom_boutique}}."
                                                            style="font-size: 10pt;">
                                                            <span>Solde :</span>
                                                            <span class="font-weight-bold" style="color: #e65c2b;">
                                                                {{$boutique->commande->sum('total_price')}}
                                                                {{$boutique->meta->currency_admin}}</span>
                                                        </div>
                                                        @endif
                                                    </div>
                                                    <div class="card-body boutique_body row"
                                                        data-slug="{{$boutique->slug}}">
                                                        <div class="col-sm-12 col-xs-12 col-lg-12 text-center"
                                                            style="padding-top: 20px">
                                                            <a href="#" class="description" data-toggle="tooltip"
                                                                title="{{$boutique->description}}."
                                                                data-slug="{{$boutique->slug}}"
                                                                data-description="{{$boutique->description}}"
                                                                style="color: #000;font-size: 10pt;">
                                                                {{\Illuminate\Support\Str::limit($boutique->description,100)}}
                                                            </a>
                                                        </div>
                                                        <div class="badge badge-dark"
                                                            style="background: #ffffff;position: absolute;left: 13px;top: 2px;color: #000;border-radius: 6px">
                                                            {{--<span
                                                                style="font-size: 10pt;color: #0d3349;font-weight: bold;">
                                                                Domain d'activité :</span>--}}
                                                            @foreach($metiers as $metier)
                                                            @if($metier->slug==$boutique->metier_slug)
                                                            <span title="{{$metier->intitule_metier}}">
                                                                {{\Illuminate\Support\Str::limit($metier->intitule_metier,32)}}</span>
                                                            @endif
                                                            @endforeach
                                                        </div>
                                                    </div>
                                                    <div class="card-footer row "
                                                        id="boutique_footer{{$boutique->slug}}"
                                                        style="position: absolute;bottom: 5px;width: 100%">
                                                        <div class="col-sm-12 col-md-12 col-xs-12 text-center">
                                                            <button
                                                                style="border-radius: 0px;background-color: #b40808;border: none;color: #ffffff;"
                                                                data-target="#AbonnementModal" data-toggle="modal"
                                                                class="btn_update_abonnement btn btn-default btn-sm"
                                                                data-nom="{{$boutique->nom_boutique}}"
                                                                data-slug="{{$boutique->slug}}"
                                                                data-url="{{route('newBoutique_installation',$boutique->slug)}}">
                                                                Mettre à jour
                                                            </button>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            @endforeach
                                        </div>
                                    </div>
                                    @else
                                    <div class="col-sm-12 col-xs-12 col-lg-12 text-center tab-pane fade"
                                        id="pills-profile" role="tabpanel" aria-labelledby="pills-profile-tab"
                                        style="padding: 10%;font-weight: bold;font-size: 15pt;">
                                        <div class="col-sm-12 col-xs--12 text-center"
                                            style="color: red;padding: 5%;font-size: 12pt">
                                            <img src="{{asset('images/empty.png')}}" width="200px" alt="">
                                            <br>
                                            Aucune boutique trouvée !
                                        </div>
                                    </div>
                                    @endif

                                    <div class="col-sm-12 col-xs-12 col-lg-12 tab-pane fade active in"
                                        id="pills-contact" role="tabpanel" aria-labelledby="pills-profile-tab">
                                        @if(count($boutiqueActifs)>0)
                                        <div class="row">
                                            @foreach($boutiqueActifs as $boutique)
                                            @php
                                            $banner="";
                                            foreach($boutique->publicites as $banner){
                                            $banner=$banner->image;
                                            }
                                            @endphp
                                            <div class="col-lg-6 col-xs-12 col-sm-12 col-md-6 boutique_liste"
                                                id="boutique{{$boutique->slug}}"
                                                style="margin: 0px;margin-bottom: 30px;">
                                                <div class="card card-1" style="padding: 1%;border-radius: 6px">
                                                    <div class="card-header boutique-header text-center"
                                                        style="font-size: 13pt;border: 1px solid #ededed;color: #fff;  background: url({{$banner}}) center no-repeat;background-size: cover;">
                                                        <div
                                                            style="width: 100%;background: rgba(0,0,0,0.5);padding: 5%;">
                                                            <span style="font-weight: bold" data-toggle="tooltip"
                                                                title="{{$boutique->nom_boutique}}">
                                                                {{strtoupper(str_replace('_','
                                                                ',\Illuminate\Support\Str::limit($boutique->nom_boutique,18)))}}</span>
                                                            <br>
                                                            @if($boutique->user_slug==\Illuminate\Support\Facades\Auth::user()->slug)
                                                            <div class="text-center badge badge-success"
                                                                data-toggle="tooltip"
                                                                title="Gain générer par vos ventes sur la boutique {{$boutique->nom_boutique}}."
                                                                style="font-size: 10pt;">
                                                                <span>Solde :</span>
                                                                <span class="font-weight-bold" style="color: #e65c2b;">
                                                                    {{$boutique->commande->sum('total_price')}}
                                                                    {{$boutique->meta->currency_admin}}</span>
                                                            </div>
                                                            @endif
                                                        </div>
                                                    </div>
                                                    <div class="card-body boutique_body row"
                                                        data-slug="{{$boutique->slug}}">
                                                        <div class="col-sm-12 col-xs-12 col-lg-12 text-center"
                                                            style="padding: 5px 20px">
                                                            <a href="#" class="description" data-toggle="tooltip"
                                                                title="{{$boutique->description}}."
                                                                data-slug="{{$boutique->slug}}"
                                                                data-description="{{$boutique->description}}"
                                                                style="color: #000;font-size: 10pt;">
                                                                {{\Illuminate\Support\Str::limit($boutique->description,95)}}
                                                            </a>
                                                        </div>
                                                        <div class="badge badge-dark"
                                                            style="background: #ffffff;position: absolute;left: 13px;top: 2px;color: #000;border-radius: 6px">
                                                            {{--<span
                                                                style="font-size: 10pt;color: #0d3349;font-weight: bold;">
                                                                Domain d'activité :</span>--}}
                                                            @foreach($metiers as $metier)
                                                            @if($metier->slug==$boutique->metier_slug)
                                                            <span title="{{$metier->intitule_metier}}">
                                                                {{\Illuminate\Support\Str::limit($metier->intitule_metier,32)}}</span>
                                                            @endif
                                                            @endforeach
                                                        </div>
                                                        <div class="col-lg-12 text-center">
                                                            {{-- <a
                                                                href="{{ url('download/base64').'/'.$boutique->nom_boutique }} "
                                                                target="_blank"> <img src="data:image/png;base64, {!! 
                                            base64_encode(QrCode::style('dot')->color(0, 0, 0, 100)->eye('circle')->format('png')->generate(route('boutique.index',$boutique->nom_boutique)))
                                                !!}" alt="{{$boutique->nom_boutique}}">
                                                            </a> --}}
                                                        </div>
                                                        @if(isset($boutique->commande) && $boutique->commande_count > 0)
                                                        <div class="badge badge-dark pulse"
                                                            style="background: #ffffff;position: absolute;right: 11px;top: 2px;color: #e65c2b;">
                                                            <a href=""> <i class="fas fa-cart-plus"></i>
                                                                {{$boutique->commande_count}} </a>
                                                        </div>
                                                        @endif
                                                        @if(isset($boutique->message) && $boutique->message_count > 0)
                                                        <div class="badge badge-dark pulse"
                                                            style="background: #ffffff;position: absolute;right: 55px;top: 2px;color: #e65c2b;">
                                                            <a href=""> <i class="fas fa-envelope"></i>
                                                                {{$boutique->message_count}} </a>
                                                        </div>
                                                        @endif
                                                        <div id="media-share" data-toggle="tooltip"
                                                            title="Partager votre boutique pour gagner de la clientelle sur {{$boutique->nom_boutique}}."
                                                            style="position: absolute;right: -5px;top: 50px;color: #000;">
                                                            <div class="list-media whatsapp"><a
                                                                    href="https://api.whatsapp.com/send?text=Visitez%20ma%20boutique%20en%20ligne%20avec%20le%20lien%20{{url('/')}}%2F{{$boutique->nom_boutique}}"
                                                                    target="_blank"><i class="fab fa-whatsapp"></i></a>
                                                            </div>
                                                            <div class="list-media facebook"><a
                                                                    href="https://www.facebook.com/sharer/sharer.php?u={{url('/')}}%2F{{$boutique->nom_boutique}}"
                                                                    title="Share on Facebook" target="_blank"><i
                                                                        class="fab fa-facebook-f"></i></a></div>
                                                            <div class="list-media instagram"><a
                                                                    href="https://www.linkedin.com/shareArticle?mini=true&url={{url('/')}}%2F{{$boutique->nom_boutique}}"
                                                                    target="_blank"><i
                                                                        class="fab fa-linkedin-in"></i></a></div>
                                                            <div class="list-media share"><a href="#" class="share_btn"
                                                                    data-title="{{$boutique->nom_boutique}}"
                                                                    data-test="{{\Illuminate\Support\Str::limit($boutique->description,150)}}"
                                                                    data-url="{{url('/').'/'.$boutique->nom_boutique}}"><i
                                                                        class="fas fa-share"></i></a></div>
                                                        </div>
                                                        <p class="col-xs-12 col-sm-12">
                                                            @php
                                                            if($boutique->desactivationDate!=null)
                                                            $date=$boutique->desactivationDate;
                                                            @endphp
                                                            @if($boutique->installer && !$boutique->expired)
                                                            <script>
                                                                distance=0;
                                                time=0;
                                                x= setInterval(function() {
                                                    dt = new Date('{{$date}}').getTime();
                                                    now=new Date().getTime();
                                                    distance = dt - now;

                                                    if(distance>0) {
                                                        $day = Math.floor(distance / (day));
                                                        $hour = Math.floor((distance % (day)) / (hour));
                                                        min = Math.floor((distance % (hour)) / (minute));
                                                        seconde = Math.floor((distance % (minute)) / second);

                                                        switch (true) {
                                                            case $day<=30:
                                                                time='#fd9900';
                                                                break;
                                                            case $day<=15:
                                                                time='#fd6134';
                                                                break;
                                                                case $day<=7:
                                                                time='#d21d19';
                                                                break;
                                                            default:
                                                                time='#1e3551';
                                                                break;
                                                        }
                                                        $('#counter' + '{{$boutique->slug}}').html('<span style="color:'+time+'">'+$day + ' J : ' + $hour + ' H : ' + min + ' M : ' + seconde + ' S </span>');
                                                        //do something later when date is reached
                                                    }
                                                    if (distance < 0) {
                                                        clearInterval(x);
                                                        let url = '{{route('newBoutique_desinstallation')}}';
                                                        let slug = '{{$boutique->slug}}';
                                                        $.ajax({
                                                            url: url,
                                                            method: "POST",
                                                            data: {_token: '{{csrf_token()}}', slug: slug},
                                                            success: function (data) {
                                                                $('#boutique_footer' + '{{$boutique->slug}}').html('<div class="col-sm-12 col-md-12 col-xs-12 text-center"><button style="border-radius: 0px;background-color: #b40808;border: none;color: #ffffff;" data-target="#AbonnementModal" data-toggle="modal" class="btn_update_abonnement btn btn-default btn-sm" data-nom="{{$boutique->nom_boutique}}" data-slug="{{$boutique->slug}}" data-url="{{route('newBoutique_installation',$boutique->slug)}}">\n' +
                                                                    '                    Mettre à jour \n' +
                                                                    '                </button></div>')
                                                            }, error: function (data) {
                                                                console.log(data);
                                                            }
                                                        }).done(function (data) {
                                                            setTimeout(function () {
                                                                $("#overlay").fadeOut(300);
                                                            }, 500);

                                                        })
                                                    }
                                                }, 1000)
                                                            </script>
                                                            @endif
                                                        </p>
                                                    </div>
                                                    <div class="card-footer row "
                                                        id="boutique_footer{{$boutique->slug}}">
                                                        <div class="col-sm-12 col-lg-12 text-center">
                                                            @php $maboutique= str_replace('
                                                            ','_',$boutique->nom_boutique); @endphp
                                                            @if($boutique->maintenance)
                                                            <a href=" {{route('maintainBoutique',$boutique->slug)}}"
                                                                style="border-radius: 0px"
                                                                class=" btn btn-warning btn-sm delete-action">
                                                                <i class="fas fa-cogs"></i> Désactiver mode maintencance
                                                            </a>
                                                            @else
                                                            <div class="col-md-12 col-lg-12 col-xs-12 myOptionBtn">
                                                                <div class="row">
                                                                    <div class="col-xs-4 col-lg-4">
                                                                        <a href="{{route('maintainBoutique',$boutique->slug)}}"
                                                                            style="border-radius: 0px"
                                                                            class="btn btn-danger btn-sm delete-action">
                                                                            <i class="fas fa-cogs"></i> Maintenance
                                                                        </a>
                                                                    </div>

                                                                    <div class="col-xs-4 col-lg-4">
                                                                        <a href=" {{route('gerer_boutique',$boutique->slug)}}"
                                                                            style="border-radius: 0px"
                                                                            class=" btn btn-default btn-sm">
                                                                            <i class="fas fa-tachometer-alt"></i> MENU
                                                                        </a>
                                                                    </div>
                                                                    <div class="col-xs-4 col-lg-4">
                                                                        <a class=" btn btn-success btn-sm"
                                                                            style="border-radius: 0px"
                                                                            href="{{route('boutique.index',$boutique->nom_boutique)}}"
                                                                            target="_blank"><i
                                                                                class="fas fa-long-arrow-alt-right"></i>
                                                                            Accéder</a>
                                                                    </div>
                                                                </div>
                                                            </div>

                                                            <div class="col-sm-12 col-xs-12 col-lg-12">
                                                                <div class="row" style="padding: 0 12px">
                                                                    <a class="btn btn-default btn-sm btn_update_abonnement"
                                                                        style="border-radius: 0px;width: 100%" href="#"
                                                                        data-target="#AbonnementModal"
                                                                        data-toggle="modal"
                                                                        data-nom="{{$boutique->nom_boutique}}"
                                                                        data-slug="{{$boutique->slug}}"
                                                                        data-url="{{route('newBoutique_installation',$boutique->slug)}}"
                                                                        data-id="{{$boutique->id}}"><i
                                                                            class="fas fa-exchange-alt"></i> Cumuler
                                                                        votre abonnement </a>
                                                                </div>
                                                            </div>
                                                            {{-- <a class="btn btn-warning btn-sm"
                                                                style="border-radius: 0px"
                                                                href="{{route('gerer_boutique',$boutique->id)}}">Gérer</a>--}}
                                                            @endif
                                                            @if($boutique->adminActivatePaiement)
                                                            <div class="col-sm-12 col-xs-12 col-12 text-center">
                                                                <div class="form-group">
                                                                    <label
                                                                        for="boutique_paiement_active{{$boutique->slug}}"
                                                                        class="container-checkbox"
                                                                        style="padding-top: 0px;margin-top: 0px;margin-bottom: 30px;">
                                                                        <input
                                                                            id="boutique_paiement_active{{$boutique->slug}}"
                                                                            data-href="{{route('activerBoutique_paiment',$boutique->slug)}}"
                                                                            value="{{$boutique->paiement_and_livraison}}"
                                                                            @if($boutique->paiement_and_livraison)
                                                                        checked @endif class="
                                                                        paiement_active_or_desable" type="checkbox">
                                                                        <span
                                                                            style="position: absolute;left: 20px; color: @if(!$boutique->paiement_and_livraison) blue @else #a40e14 @endif; text-transform: uppercase"
                                                                            id="spanboutique_paiement_active{{$boutique->slug}}">@if(!$boutique->paiement_and_livraison)
                                                                            Activer @else Désactiver @endif le paiement
                                                                            en ligne </span>
                                                                        <span class="checkmark"></span>
                                                                    </label>
                                                                </div>
                                                            </div>
                                                            @else
                                                            <div class="col-sm-12 col-xs-12 col-12 text-center">
                                                                <div class="form-group">
                                                                    <label for="">PAIEMENT EN LIGNE INACTIF</label>
                                                                </div>
                                                            </div>
                                                            @endif
                                                            @if($boutique->user_slug!=\Illuminate\Support\Facades\Auth::user()->slug)
                                                            <div class="col-xs-12 col-lg-12 elter alert-info">
                                                                <span> mode gestionnaire</span>
                                                            </div>
                                                            @else
                                                            @if($boutique->marketer!=null)
                                                            @if($boutique->marketer->user)
                                                            <div class="col-xs-12 col-lg-12 elter alert-info">
                                                                Gerer par : <a style="color: #000"
                                                                    href="{{route('sunmarketer_single',$boutique->marketer->user->slug)}}">
                                                                    {{$boutique->marketer->user->first_name}}
                                                                    {{$boutique->marketer->user->last_name}} </a>
                                                            </div>
                                                            @endif
                                                            @endif
                                                            @endif
                                                            @if(!$boutique->expired)
                                                            <div class="col-sm-12 col-xs-12 text-center col-xs-12">
                                                                <span style="font-size: 12pt;color: #000;">Expiration
                                                                    dans : </span> <span
                                                                    style="background: #ffffff;font-size: 12pt;color: #000;margin-top: 1%"
                                                                    id="counter{{$boutique->slug}}"></span>
                                                            </div>
                                                            @endif

                                                        </div>
                                                    </div>

                                                </div>
                                            </div>
                                            @endforeach
                                        </div>
                                        @else
                                        <div class="col-sm-12 col-xs--12 text-center"
                                            style="color: red;padding: 5%;font-size: 12pt">
                                            <img src="{{asset('images/empty.png')}}" width="200px" alt="">
                                            <br>
                                            Aucune boutique trouvée !
                                        </div>
                                        @endif
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- /page content -->

<div id="AbonnementModal" class="modal fade" data-backdrop="static" data-keyboard="false">
    <div class="modal-dialog">
        <div class="modal-content" style="border-radius: 0px;background: #f8f8f8">
            <div class="modal-header">
                <h4 class="modal-title" style="width:100%">
                    <i class="fa fa-plus"></i> ABONNEMENT <span class="float-right"
                        style="font-size: 9pt;float:right;cursor:pointer" data-dismiss="modal">Fermer</span>
                </h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-12">
                        Faites le choix de l'abonnement qui vous convient pour profiter de nos services.
                    </div>
                </div>
                <div class="row" style="margin-top: 30px;">
                    <input type="hidden" id="boutique_for_abonnement_update">
                    @foreach($abonnements as $abonnement)
                    <div class="col-sm-12 col-lg-4 col-xs-6">
                        <a data-slug="{{$abonnement->slug}}" data-url="{{route('get_abonnement',$abonnement->slug)}}"
                            class="col-sm-12 col-lg-12 card-1 col-xs-12 abonnement_init"
                            style="padding: 40px 20px;cursor:pointer;border-radius:10px;border:none">
                            <h3 class="" style="text-transform: uppercase;font-size: 14pt">{{$abonnement->name}}</h3>
                            <h6>+ {{$abonnement->numberMonth}} mois</h6>
                            <h2
                                style="margin-top: 20px;background: #d21d19;padding: 5px 10px;color: #fff;text-align: center;border-radius:50px;font-size:11pt">
                                {{$abonnement->price}}
                                {{\Illuminate\Support\Facades\Session::has('continent') ?
                                (\Illuminate\Support\Facades\Session::get('continent')!='Africa' ? 'USD' : 'XOF' ) :
                                'XOF' }}
                            </h2>
                        </a>
                    </div>
                    @endforeach
                </div>

            </div>
        </div>
    </div>
</div>
<div id="boutiqueModal" class="modal fade" data-backdrop="static" data-keyboard="false">
    <div class="modal-dialog">
        <form method="post" id="boutique_creation" action="{{route('create_boutique')}}" enctype="multipart/form-data">
            @csrf
            <div class="modal-content" style="border-radius: 0px;">
                <div class="modal-header">
                    <h4 class="modal-title"><i class="fa fa-plus"></i> Création d'une nouvelle boutique </h4>
                </div>
                <div class="modal-body">

                    <div class="row">
                        @php
                        $metier=new \App\Http\Controllers\metierController();
                        @endphp

                        <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4">
                            <label for="pays">Votre pays <span style='color:red'>*</span></label></label>
                            <select name="country" data-placeholder="Choisissez le pays"
                                class="form-control pays choosen"
                                @if(Illuminate\Support\Facades\Session::has('country'))
                                data-country="{{Illuminate\Support\Facades\Session::get('country')}}" @endif>
                                @foreach ($pays as $country)
                                <option value="{{$country->id}}" @if(Illuminate\Support\Facades\Session::has('country')
                                    && Illuminate\Support\Facades\Session::get('country')==$country->name) selected
                                    @endif>{{$country->name}}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="form-group regions-container col-sm-12 col-md-4 col-lg-4">
                            <div style="text-align: center;display: none" class="regions-loader text-center">
                                <img style="width: 50px;" src="{{asset('images/loader2.gif')}}">
                                <br> chargement régions
                            </div>
                        </div>
                        <div class="form-group villes-container col-sm-12 col-md-4 col-lg-4">
                            <div style="text-align: center;display: none" class="villes-loader text-center">
                                <img style="width: 50px;" src="{{asset('images/loader2.gif')}}">
                                <br> chargement des villes
                            </div>
                        </div>

                        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
                            <label for="currency_selected_creation" class="text-uppercase">
                                DEVISE
                            </label>
                            <small>Choisissez la devise avec laquelle vous exploiterez votre boutique</small>
                            <select name="currency_admin" id="currency_selected_creation" data-input="currency_admin"
                                class="form-control">
                                <option value="USD">USD DOLLARD</option>
                                <option value="EUR">EUR EURO</option>
                                <option value="XOF">XOF FCFA</option>
                            </select>
                        </div>


                        <div class="form-group col-md-12 col-xs-12 col-sm-12">
                            <label class="text-uppercase">Secteur d'activité <span style='color:red'>*</span></label>
                            <small>Définissez le secteur d'activité de votre boutique</small>
                            <select name="metier_slug" id="metier_slug" data-input_name="secteur d'activité"
                                onblur="check_error(['metier_slug']);" class="choosen form-control">
                                {{$metier->liste_output_metier()}}
                            </select>
                            <span id="metier_slugerror"></span>
                        </div>

                        <div class="form-group col-md-12 col-sm-12 col-xs-12">
                            <label class="text-uppercase">Nom de votre boutique (a-z)<span
                                    style='color:red'>*</span></label>
                            <small>Les caractères spéciaux tels que : () ! : ; , . § / * $ ne sont pas autorisés</small>
                            <input type="text" id="nom_boutique" name="nom_boutique"
                                data-input_name="nom de l'entreprise" onblur="check_error(['nom_boutique']);"
                                required="required" class="form-control col-xs-12"
                                placeholder="Saisissez le nom de votre boutique">
                            <span id="nom_boutiqueerror"></span>
                        </div>

                        <div class="form-group col-md-12 col-sm-12 col-xs-12">
                            <label class="text-uppercase">Description </label>
                            <textarea name="description" id="description" data-input_name="Description"
                                onblur="check_error(['description']);" required="required" style="width: 100%" rows="5"
                                minlength="100"
                                placeholder="Décrivez les  différentes activitées de votre boutique.( Le client se réferera à cela pour consulter vos produits.)"></textarea>
                        </div>

                        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12" style="padding-top: 10px">
                            <label for="international" class="text-uppercase" id="international_label">
                                <input type="checkbox" value="0" name="international" id="international">
                                JE VEUX QUE MA BOUTIQUE SOIT VU à l'international,
                            </label>
                            <small>Requière des validations supplémentaires.(activation sous 24h)</small>
                            <label for="internationalisation_condition" class="text-uppercase"
                                id="internationalisation_label">
                                <input type="checkbox" value="1" name="internationalisation_condition"
                                    id="internationalisation_condition">
                                J'ACCEPTE les modalitées et conditions de ventes international imposées, ET PAYER LES
                                FRAIS QUI Y serons affiliés. <span style="color: red">(Lire les conditions)</span>
                            </label>
                        </div>
                        <div class="form-group col-md-12 col-sm-12 col-xs-12">
                            <label for="checkPaiment" class="text-uppercase">
                                <input type="checkbox" id="checkPaiment" name="paiement_and_livraison" value="0">
                                Activer le service de paiement en ligne <br> <span style="color: green"> (MOBILE MONEY ,
                                    CARTE BANCAIRE ET PAYPAL).</span>

                            </label>
                            <a href="#" id="no-more-about-paiement-and-livraison"> <span
                                    style="font-size: 10pt;color: red;">En savoir plus</span></a>
                        </div>


                        <div class="col-xs-12 col-sm-12" id="description_include_livraison">
                            <div class="col-sm-12 col-xs-12">
                                <h5 class="bold">Spécification sur le paiement en ligne et livraison.</h5>
                                <ul>
                                    <li> Vos clients peuvent passer des commandes 24h/24h et 7j/7j</li>

                                    <li> La livraison s'effectue, par vous et le meilleur moyen que vous aurez choisis
                                        pour facilité l'accès de vos produits au clients.
                                    </li>
                                    <li>
                                        Le clients dispose de plusieurs moyen pour vous faire savoir qu'il est
                                        interesser par un produit:
                                        <ul>
                                            <li>En effectuant le paiement immmédiat de votre produit par <span
                                                    style="color: #1a3a95"> mobile money</span> ou <span
                                                    style="color: #1a3a95">carte bancaire (visa).</span>

                                                <ul>
                                                    <li>
                                                        Vos clients devrons payer 3% des frais d'achat comme frais de
                                                        transfert. Ces frais sont déduits directement chez le client et
                                                        n'affecte en aucun cas le prix total de la commande.
                                                    </li>
                                                    <li>
                                                        Pour récupérer vos fonds (somme total des commandes) , vous
                                                        devez faire une demande de retrait vers un numéro de téléphone
                                                        ou votre compte bancaire dans votre espace d'administration des
                                                        boutiques.
                                                    </li>
                                                    <li>
                                                        Pour les paiments mobile money, vous ne pouvez faire un retrait
                                                        que lorsque vos fonds aurons atteint le palier de <span
                                                            style="font-weight: bold;">10.000 XOF</span>.
                                                        <br> <span style="color: red;"> SUNGROCERY n'est en aucun cas
                                                            responsable de cette contrainte.</span>
                                                    </li>
                                                    <li>
                                                        Toute demande de retrait par compte bancaire est imputable de
                                                        frais de transaction dont le montant s’élève à <span
                                                            style="font-weight: bold;"> 7000 XOF </span> par, quel que
                                                        soit le montant dudit retrait.
                                                        <br> <span style="color: red;"> SUNGROCERY n'est en aucun cas
                                                            responsable de cette contrainte.</span>
                                                    </li>
                                                </ul>

                                            </li>
                                            <li>En effectuant une demande de paiement à la livraison. Vous devez donc
                                                vous assurer que le client est bien réelle et qu'il est interesser par
                                                votre produit en le contactant pour confirmer sa commande.
                                                <br> Diverses raisons peuvent lui faire prendre la décision de payer à
                                                la livraions soit:
                                                <ul>
                                                    <li>verifier l'originalité ou la qualité de votre produit</li>
                                                    <li>s'assurer de la reception de sa commande</li>
                                                    <li>Tester votre service de vente.</li>
                                                </ul>
                                            </li>
                                            <li>Ou en vous contactant par appel téléphonique ou whatsapp.</li>
                                        </ul>
                                    </li>
                                </ul>
                            </div>

                            <div class="col-xs-12 col-sm-12">
                                <h5 class="bold">Spécification sur l'exclusion du paiement en ligne et livraison.</h5>
                                Vos clients ne pourrons vous contactez que par appel ou whatsapp lorsqu'ils serons
                                interessé par l'achat de vos produits el ligne.
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <input type="hidden" name="user_fk_boutique" id="user_fk_boutique"
                        value="{{\Illuminate\Support\Facades\Session::get('user')['slug']}}" class="form-control"
                        required />
                    <button type="button" name="action" id="action-boutique" class="btn btn-primary">Créer ma
                        boutique</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                </div>
            </div>
        </form>
    </div>
</div>
<div id="descriptionModal" class="modal fade" data-backdrop="static" data-keyboard="false">
    <div class="modal-dialog">
        <form method="post" id="post_description" action="{{route('update_description')}}">
            @csrf
            <input type="hidden" value="" name="slug" id="boutique-slug">
            <div class="modal-content" style="border-radius: 0px;">
                <div class="modal-header">
                    <h4 class="modal-title"><i class="fa fa-plus"></i> Détails description </h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="form-group col-md-12 col-sm-12 col-xs-12">
                            <label>Description <span style='color:red'>*</span></label>
                            <textarea name="description" id="description_show" style="width: 100%" rows="5"
                                placeholder="Décrivez les  différentes activités de votre boutique.( Le client se réferera à cela pour consulter vos articles.)"
                                required></textarea>
                        </div>
                    </div>
                </div>

                <div class="modal-footer">
                    <input type="hidden" name="user_fk_boutique" id="user_fk_boutique2"
                        value="{{\Illuminate\Support\Facades\Session::get('user')['slug']}}" class="form-control"
                        required />
                    <input type="submit" name="action" id="action2" class="btn btn-info"
                        style="background-color: #2a3f54;border-radius: 0px;color: white;" value="Modifier" />
                    <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                </div>

            </div>
        </form>
    </div>
</div>
<div id="installModal" class="modal fade" data-backdrop="static" data-keyboard="false">
    <div class="modal-dialog">
        <form method="post" id="form_installer" action="" enctype="multipart/form-data">
            @csrf
            <div class="modal-content" style="border-radius: 0px;">
                <div class="modal-header">
                    <h4 class="modal-title"><i class="fa fa-plus"></i> Installation de votre boutique </h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-12">
                            Un template par defaut sera choisis pour l'installation de votre boutique. Vous pourrez plus
                            tard faire une mise à jour vers un template plus recent.
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <h2 class="text-center" style="color: green">Default</h2>
                            <input type="checkbox" id="myCheckbox1" checked value="default" name="templatecheck" />
                            <label for="myCheckbox1">
                                <img src="{{asset('images/default_template.png')}}" width="100%" />
                            </label>
                        </div>
                        {{--<div class="col-md-4">--}}

                            {{--<h2 class="text-center" style="color: #b40100">Indisponible</h2>--}}
                            {{--<input type="checkbox" id="myCheckbox2" disabled />--}}
                            {{--<label for="myCheckbox2"><img
                                    src="{{asset('images/default_template.png')}}" /></label>--}}
                            {{--</div>--}}
                        {{--<div class="col-md-4">--}}
                            {{--<h2 class="text-center" style="color: #b40100">Indisponible</h2>--}}

                            {{--<input type="checkbox" id="myCheckbox3" disabled />--}}
                            {{--<label for="myCheckbox3"><img
                                    src="{{asset('images/default_template.png')}}" /></label>--}}
                            {{--</div>--}}
                    </div>
                </div>

                <div class="modal-footer">
                    <button type="submit" name="action" id="action_installer" class="btn btn-info"
                        style="background-color: #2a3f54;border-radius: 0px;color: white;">Installer</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                </div>

            </div>
        </form>
    </div>
</div>
@include('dashboard.paiement_box.choose')
@if(\Illuminate\Support\Facades\Session::get('user')['doc_validated'])
@include('dashboard.paiement_box.retrait')
@endif

@endsection

{{-- @include('dashboard.scripts.script') --}}