@php
    $maboutique=\Illuminate\Support\Facades\Session::get('boutique');
@endphp
@extends("../dashboard._blank")

@section("sidebar")
    @include("../dashboard._sidebar")
@endsection
@section("content")
    <style>
        input{

            font-weight: bold;
        }
        select{

            font-weight: bold;
        }
        .btn-gr{
            background: #fff;
            border: 1px solid #000;

        }
        .btn-gr:hover{
            background: #ddd;
            border: 1px solid #ddd;
        }
    </style>
    <style>
        .list-media {
            display: inline-block;
            text-align: center;
        }

        .list-media div {
            margin-left: 3%;
        }

        .inputfile {
            width: 0.1px;
            height: 0.1px;
            opacity: 0;
            overflow: hidden;
            position: absolute;
            z-index: -1;
        }

        .inputfile + label {
            font-size: 1em;
            display: inline-block;
        }

        .inputfile:focus + label,
        .inputfile + label:hover {
        }

        .inputfile + label {
            cursor: pointer; /* "hand" cursor */
        }

        .inputfile:focus + label {
            outline: 1px dotted #000;
            outline: -webkit-focus-ring-color auto 5px;
        }

        #upload:hover {
            color: #D40025;
            border: #D40025 2px solid;
        }

        #selectedFiles img {
            max-width: 125px;
            max-height: 125px;
            float: left;
            margin-bottom: 10px;
        }

        #upload2 {
        }

        #upload2:hover {
            color: #D40025;
            border: #D40025 2px solid;
        }

        #selectedFiles2 img {
            max-width: 125px;
            max-height: 125px;
            float: left;
            margin-bottom: 10px;
        }

        .error {
            color: red;
        }

        .btn {
            border-radius: 0px;
        }

        .article_catalogue_show {
            border: 1px solid #ddd;
            margin-top: 5px;
        }
    </style>
    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <div class="row">
                                <h2 class="col-md-6 col-xs-12"><span style="color: #0c1423;"> CODE PROMO </span></h2>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">
                            @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            @if(session("success"))

                                <div class="alert alert-success">
                                    {{session('success')}}
                                </div>

                            @elseif(session("error"))
                                <div class="alert alert-danger">
                                    {{session('error')}}
                                </div>
                            @endif
                            <div class="col-md-12" style="margin-bottom: 10px;">
                                <a href="{{route('gerer_boutique',$maboutique['slug'])}}" class="btn btn-default btn-sm" style="border: 1px solid #000; color: #0D3349;text-align: center;"><i class="fas fa-long-arrow-alt-left"></i></a>&nbsp;&nbsp;
                                <a href="#" data-toggle="modal" data-target="#createCodePromoModal" class="btn btn-light btn-sm float-right" style="border: 1px solid #000; color: #0D3349;text-align: center;"><i class="fas fa-plus-circle"></i> Ajouter un code promo</a>&nbsp;&nbsp;
                            </div>

                            <div class="col-xs-12 col-md-12">
                                <div class="row">
                                    <table id="codePromodatatable-buttons" class="table table-responsive-xs table-striped table-bordered">
                                        <thead>
                                        <tr>
                                            <th></th>
                                            <th>code</th>
                                            <th>% reduction</th>
                                            <th>Montant minimum</th>
                                            <th>maximum utilisateurs</th>
                                            <th>Date valide</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                            @foreach($codePromos as $codePromo)
                                                <tr>
                                                    <td>
                                                        <div class="dropdown">
                                                            <button class="btn btn-light btn-sm dropdown-toggle" style="display: inline-flex;" type="button" data-toggle="dropdown">action  <i style="margin-top: 4px;margin-left: 3px;" class="fa fa-chevron-down"></i> </button>
                                                            <ul class="dropdown-menu">
                                                                <li><a href="{{route('get.code_promo',$codePromo->id)}}" class="updateCodePromo">Modifier</a></li>
                                                                <li><a href="{{route('delete.code_promo',$codePromo->id)}}" >Supprimer</a></li>
                                                            </ul>
                                                        </div>
                                                    </td>
                                                    <td>{{ $codePromo->code }}</td>
                                                    <td>{{ $codePromo->reduction }} %</td>
                                                    <td>{{ $codePromo->min_amount }} XOF</td>
                                                    <td>{{ $codePromo->max_user }}</td>
                                                    <td>{{ $codePromo->validate_date }}</td>
                                                </tr>
                                            @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

   <div id="createCodePromoModal" class="modal fade" tabindex="-1" role="dialog"  aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content" style="border-radius: 0px;">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title"><i class="fa fa-plus"></i> <span id="titleTexte">Code Promo</span> </h4>
                </div>
                <div class="modal-body col-lg-12">
                    <div class="col-lg-12">
                    <form action="{{route('admin.boutique.create.code_promo')}}" id="createForms" method="post" class="row">
                       @csrf
                       
                        <div class="col-lg-6">
                            <div class="form-group">
                                <label for="code">Code Promo <a href="#">générer</a> </label>
                                <input type="text" required  class="form-control" name="code" id="code" placeholder="CodePromo">
                            </div>
                        </div>

                        <div class="col-lg-6">
                            <div class="form-group">
                                <label for="reduction">% de reduction</label>
                                <input type="number" required class="form-control" max="100" min="1" maxlength="3" minlength="1" name="reduction" id="reduction" placeholder="pourcentage de reduction du code promo">
                            </div>
                        </div>
                        <div class="col-lg-12">
                            <div class="form-group">
                                <label for="min_amount">Montant minimum de commande avant application de la promotion (Laissez vide si elle s'applique à toutes les commandes)</label>
                                <input type="number" class="form-control" name="min_amount" id="min_amount" placeholder="Montant minimum">
                            </div>
                        </div>

                        <div class="col-lg-12">
                            <div class="form-group">
                                <label for="max_user">Nombre maximum d'utilisateur pouvant utiliser le code. (Laissez vide si elle s'applique à toutes les commandes)</label>
                                <input type="number" class="form-control" name="max_user" id="max_user" placeholder="Nombre d'utilisateur">
                            </div>
                        </div>
                        <div class="col-lg-12">
                            <div class="form-group">
                                <label for="validate_date">Date de validité (Laissez vide si elle s'applique à toutes les commandes)</label>
                                <input type="datetime-local" class="form-control" name="validate_date" id="validate_date" placeholder="Date de validité">
                            </div>
                        </div>
                        <input type="hidden" name="code_promo_id" id="code_promo_id">
                        <div class="col-lg-12 text-right">
                            <button type="button" class="btn btn-default btn-sm close_categorie_mib" >Fermer</button>
                            <button type="submit" class="btn btn-primary btn-sm">Valider</button>
                        </div>
                    </form>
                    </div>
                </div>

            </div>
        </div>
    </div>


    <!-- /page content -->
@endsection
