@php $maboutique=\Illuminate\Support\Facades\Session::get('boutique');

@endphp
@extends("../dashboard._blank")
@include("../dashboard.Boutique.check_is_user_boutique")

@section("sidebar")
@include("../dashboard._sidebar")
@endsection
@section("content")
<style>
    input {

        font-weight: bold;
    }

    select {

        font-weight: bold;
    }

    .btn-gr {
        background: #fff;
        border: 1px solid #000;

    }

    .btn-gr:hover {
        background: #ddd;
        border: 1px solid #ddd;
    }
</style>
<!-- page content -->
<!-- page content -->
<div class="right_col" role="main">
    <div class="">
        <div class="clearfix"></div>
        <div class="row">
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                    <div class="x_title">
                        <div class="row">
                            <h2 class="col-md-6 col-xs-12"><span style="color: #0c1423;">COMMANDES <small>Liste des
                                        commandes effectuées sur {{$maboutique['nom_boutique']}}</small> </span></h2>
                            <div class="col-md-6 col-xs-12 text-right">
                                <a class="btn btn-success btn-sm" style="border-radius: 0px"
                                    href="{{route('boutique.index',$maboutique['nom_boutique'])}}" target="_blank"><i
                                        class="fas fa-store"></i> Accéder à {{$maboutique['nom_boutique']}}</a>
                            </div>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                    <div class="x_content">

                        @if ($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                        @endif
                        @if(session("success"))

                        <div class="alert alert-success">
                            {{session('success')}}
                        </div>

                        @elseif(session("error"))

                        <div class="alert alert-danger">
                            {{session('error')}}
                        </div>

                        @endif

                        <div class="col-md-12" style="margin-bottom: 10px;">
                            <a href="{{route('gerer_boutique',$maboutique['slug'])}}" class="btn btn-default"
                                style="border: 1px solid #000; color: #0D3349;text-align: center;"><i
                                    class="fas fa-long-arrow-alt-left"></i></a>&nbsp;&nbsp;
                            @if($maboutique['user_slug']==\Illuminate\Support\Facades\Auth::user()->slug)
                            @foreach($total as $key=>$value)
                            <div style="padding: 10px 15px;background: #313131;color: #fff"> Total vente : <span
                                    style="color: #fd9900;font-weight: bold;">{{$value}} {{$key}}</span></div>
                            &nbsp;&nbsp;
                            @endforeach
                            @endif
                        </div>




                        <div class="col-xs-12 col-md-12">
                            <div class="row">
                                <table id="categoriedatatable-buttons"
                                    class="table table-responsive-xs table-striped table-bordered">
                                    <thead>
                                        <tr>
                                            <th>Référence</th>
                                            <th>Client</th>
                                            <th>Prix total</th>
                                            <th>Code Promo</th>
                                            <th>Montant payer</th>
                                            <th>Reste à payer</th>
                                            <th>Mode de paiement</th>
                                            <th>Moyen de paiement</th>
                                            <th>Mode de livraison</th>
                                            <th>Etat d'achat</th>
                                            <th>Etat de réception</th>
                                            <th>Date</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @php $helpers=new \App\Http\Controllers\HelperController(); @endphp
                                        @foreach($commandes as $commande)
                                        @if(count($commande->commande_article)>0)

                                        <tr id="ligne{{$commande->slug}}">
                                            <td>{{$commande->reference}}</td>

                                            <td class="customer_data" data-firstname="{{$commande->first_name}}"
                                                data-lastname="{{$commande->last_name}}"
                                                data-phone_="{{$commande->customer_phone}}"
                                                data-email="{{$commande->email}}"
                                                data-adress="{{$commande->customer_adress}}"
                                                data-country="{{$commande->country}}" data-sex="{{$commande->sex}}"
                                                style="text-decoration: underline;color: #88b121;cursor: pointer;">
                                                {{$commande->first_name}} {{$commande->last_name}}</td>

                                            <td>{{$commande->total_wr!=null ? $commande->total_wr :
                                                $commande->total_price }} {{$commande->currency}}</td>
                                            <td>{{$commande->code_promo!=null ? $commande->code_promo.'
                                                ('.$commande->code_promo_reduction.'%)' : '-'}} </td>
                                            <td>
                                                @if($commande->paiement_type=='paid_now')
                                                @if($commande->statut_paiement==true)
                                                {{$commande->total_price}} {{$commande->currency}}
                                                @else
                                                {{$commande->montant_payer}} {{$commande->currency}}
                                                @endif
                                                @else
                                                {{$commande->montant_payer}} {{$commande->currency}}
                                                @endif
                                            </td>
                                            <td><strong>{{($commande->total_price)-(
                                                    $commande->paiement_type=='paid_now' ?
                                                    ($commande->statut_paiement==true ? $commande->total_price :
                                                    $commande->montant_payer ) : $commande->montant_payer
                                                    )}} {{$commande->currency}}
                                                </strong></td>
                                            <td>
                                                @if($commande->paiement_type=='paid_now')
                                                <span class="badge badge-info"
                                                    style="background: #0c5460;color: #fff">Paiement direct</span>
                                                @elseif($commande->paiement_type=='paid_echellon')
                                                <span class="badge badge-info"
                                                    style="background: #f5d80e;color: #fff">Paiement échelloné</span>
                                                @else
                                                <span class="badge badge-info"
                                                    style="background: #282bd4;color: #fff">Paiement après
                                                    livraison</span>
                                                @endif
                                            </td>
                                            <td>{{$commande->source}} {{$commande->source_name}}</td>
                                            <td style="background: rgba(0,110,89,0.5);cursor:pointer; color: #373737"
                                                class="customer_shipping" data-adress="{{$commande->shipping_adress}}"
                                                data-phone="{{$commande->shipping_phone}}">{{$commande->service_shipping
                                                != null ? $commande->service_shipping->name : 'aucun'}}</td>
                                            <td>@if($commande->paiement_type=='paid_now')
                                                @if($commande->statut_paiement!=true)
                                                <span class="badge badge-success"
                                                    style="background-color: #ff171a;color: #ffffff;"> {{'echec de
                                                    paiement'}} </span>
                                                @else <span class="badge badge-success"
                                                    style="background-color: forestgreen;color: #ffffff;"> {{'paiement
                                                    effectué'}} </span>
                                                @endif
                                                @else <span class="badge badge-warning"
                                                    style="background-color: #e65c2b;color: #ffffff;"> {{'paiement après
                                                    livraison'}} </span>
                                                @endif
                                                &nbsp;&nbsp; <a href="{{route('commande.pdf',$commande->slug)}}"
                                                    class="btn btn-warning btn-sm">Facture</a>
                                            </td>

                                            <td>
                                                @if($commande->shipping==true)
                                                <a class="customer_shipping"
                                                    data-adress="{{$commande->shipping_adress}}"
                                                    data-phone="{{$commande->shipping_phone}}"> <i
                                                        class="fa fa-exclamation-circle"></i> details </a>
                                                @if($commande->statut_shipping!=true)
                                                <span class="badge badge-success"
                                                    style="background-color: #ff171a;color: #ffffff;"> {{'en attente de
                                                    livraison'}} </span>
                                                @else
                                                <span class="badge badge-success"
                                                    style="background-color: forestgreen;color: #ffffff;"> {{'livraison
                                                    effectuée'}} @if(isset($commande->date_shipping) &&
                                                    $commande->date_shipping !="") le
                                                    {{\Illuminate\Support\Carbon::create($commande->date_shipping)->format('d-m-y
                                                    à H:i')}} @endif</span>
                                                @endif
                                                @else
                                                @if(isset($commande->shipping_phone) && $commande->shipping_phone!=null
                                                || isset($commande->shipping_adress) &&
                                                $commande->shipping_adress!=null)
                                                <a class="customer_shipping"
                                                    data-adress="{{$commande->shipping_adress}}"
                                                    data-phone="{{$commande->shipping_phone}}"> <i
                                                        class="fa fa-exclamation-circle"></i> details </a>
                                                @else
                                                <span style="background-color: #e65c2b;color: #ffffff;"
                                                    class="badge badge-warning"> Livraison non incluse </span>
                                                @endif
                                                @endif
                                            </td>
                                            <td>{{$commande->created_at->format('d-m-y à H:i')}}</td>
                                            <td>
                                                <a data-slug="{{$commande->slug}}"
                                                    data-url="{{route('get_article_commande')}}"
                                                    class="get_article_commande btn btn-primary btn-xs"><i
                                                        class="fa fa-list-ol"></i> Détails commandes</a>

                                                @if($commande->statut_shipping!=true )
                                                <a data-slug="{{$commande->slug}}" data-url="{{route('get_livraison')}}"
                                                    class="get_livraison btn btn-success btn-xs" style="color: #fff;"><i
                                                        class="fas fa-shipping-fast"></i> Validé livraison</a>

                                                @endif
                                                <a href="{{route('products.commandes.delete')}}"
                                                    data-slug="{{$commande->slug}}" data-row="ligne{{$commande->slug}}"
                                                    class="deletecommande btn btn-danger btn-xs"><i
                                                        class="fa fa-trash"></i> supprimer</a>
                                            </td>
                                        </tr>
                                        @endif
                                        @endforeach

                                    </tbody>
                                </table>
                                <div style="float: right !important;">
                                    {{ $commandes->links() }}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<div id="commande_articleModal" class="modal fade" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        @csrf
        <div class="modal-content" style="border-radius: 0px;">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title"><i class="fa fa-plus"></i> Détails de la commande </h4>
            </div>
            <div class="modal-body">
                <div id="article_commande"></div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
            </div>
        </div>
    </div>
</div>

<div id="clientModal" class="modal fade" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        @csrf
        <div class="modal-content" style="border-radius: 0px;">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title"><i class="fa fa-plus"></i> Détails du client </h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-sm-6">
                        <label for="customer_first-name">Prénom</label>
                        <input type="text" disabled class="form-control" id="customer_first-name">
                    </div>
                    <div class="col-sm-6">
                        <label for="customer_last-name">Nom</label>
                        <input type="text" disabled class="form-control" id="customer_last-name">
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-6">
                        <label for="customer_phone_number">Numéro de téléphone</label>
                        <input type="text" disabled class="form-control" id="customer_phone_number">
                    </div>
                    <div class="col-sm-6">
                        <label for="customer_email">Email</label>
                        <input type="text" disabled class="form-control" id="customer_email">
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-6">
                        <label for="customer_sex">sexe</label>
                        <input type="text" disabled class="form-control" id="customer_sex">
                    </div>
                    <div class="col-sm-6">
                        <label for="customer_country">Pays</label>
                        <select id="customer_country" class="form-control" disabled>
                            <option>Pays</option>
                            <option value="BJ">Benin</option>
                            <option value="BF">Burkina Faso</option>
                            <option value="CI">Côte d'Ivoire</option>
                            <option value="GN">Guinea</option>
                            <option value="ML">Mali</option>
                            <option value="NE">Niger</option>
                            <option value="SN">Senegal</option>
                            <option value="TG">Togo</option>
                            <option value="AF">Afghanistan</option>
                            <option value="AX">Åland Islands</option>
                            <option value="AL">Albania</option>
                            <option value="DZ">Algeria</option>
                            <option value="AS">American Samoa</option>
                            <option value="AD">Andorra</option>
                            <option value="AO">Angola</option>
                            <option value="AI">Anguilla</option>
                            <option value="AQ">Antarctica</option>
                            <option value="AG">Antigua and Barbuda</option>
                            <option value="AR">Argentina</option>
                            <option value="AM">Armenia</option>
                            <option value="AW">Aruba</option>
                            <option value="AU">Australia</option>
                            <option value="AT">Austria</option>
                            <option value="AZ">Azerbaijan</option>
                            <option value="BS">Bahamas</option>
                            <option value="BH">Bahrain</option>
                            <option value="BD">Bangladesh</option>
                            <option value="BB">Barbados</option>
                            <option value="BY">Belarus</option>
                            <option value="BE">Belgium</option>
                            <option value="BZ">Belize</option>
                            <option value="BM">Bermuda</option>
                            <option value="BT">Bhutan</option>
                            <option value="BO">Bolivia, Plurinational State of</option>
                            <option value="BQ">Bonaire, Sint Eustatius and Saba</option>
                            <option value="BA">Bosnia and Herzegovina</option>
                            <option value="BW">Botswana</option>
                            <option value="BV">Bouvet Island</option>
                            <option value="BR">Brazil</option>
                            <option value="IO">British Indian Ocean Territory</option>
                            <option value="BN">Brunei Darussalam</option>
                            <option value="BG">Bulgaria</option>
                            <option value="BI">Burundi</option>
                            <option value="KH">Cambodia</option>
                            <option value="CM">Cameroon</option>
                            <option value="CA">Canada</option>
                            <option value="CV">Cape Verde</option>
                            <option value="KY">Cayman Islands</option>
                            <option value="CF">Central African Republic</option>
                            <option value="TD">Chad</option>
                            <option value="CL">Chile</option>
                            <option value="CN">China</option>
                            <option value="CX">Christmas Island</option>
                            <option value="CC">Cocos (Keeling) Islands</option>
                            <option value="CO">Colombia</option>
                            <option value="KM">Comoros</option>
                            <option value="CG">Congo</option>
                            <option value="CD">Congo, the Democratic Republic of the</option>
                            <option value="CK">Cook Islands</option>
                            <option value="CR">Costa Rica</option>
                            <option value="HR">Croatia</option>
                            <option value="CU">Cuba</option>
                            <option value="CW">Curaçao</option>
                            <option value="CY">Cyprus</option>
                            <option value="CZ">Czech Republic</option>
                            <option value="DK">Denmark</option>
                            <option value="DJ">Djibouti</option>
                            <option value="DM">Dominica</option>
                            <option value="DO">Dominican Republic</option>
                            <option value="EC">Ecuador</option>
                            <option value="EG">Egypt</option>
                            <option value="SV">El Salvador</option>
                            <option value="GQ">Equatorial Guinea</option>
                            <option value="ER">Eritrea</option>
                            <option value="EE">Estonia</option>
                            <option value="ET">Ethiopia</option>
                            <option value="FK">Falkland Islands (Malvinas)</option>
                            <option value="FO">Faroe Islands</option>
                            <option value="FJ">Fiji</option>
                            <option value="FI">Finland</option>
                            <option value="FR">France</option>
                            <option value="GF">French Guiana</option>
                            <option value="PF">French Polynesia</option>
                            <option value="TF">French Southern Territories</option>
                            <option value="GA">Gabon</option>
                            <option value="GM">Gambia</option>
                            <option value="GE">Georgia</option>
                            <option value="DE">Germany</option>
                            <option value="GH">Ghana</option>
                            <option value="GI">Gibraltar</option>
                            <option value="GR">Greece</option>
                            <option value="GL">Greenland</option>
                            <option value="GD">Grenada</option>
                            <option value="GP">Guadeloupe</option>
                            <option value="GU">Guam</option>
                            <option value="GT">Guatemala</option>
                            <option value="GG">Guernsey</option>
                            <option value="GW">Guinea-Bissau</option>
                            <option value="GY">Guyana</option>
                            <option value="HT">Haiti</option>
                            <option value="HM">Heard Island and McDonald Islands</option>
                            <option value="VA">Holy See (Vatican City State)</option>
                            <option value="HN">Honduras</option>
                            <option value="HK">Hong Kong</option>
                            <option value="HU">Hungary</option>
                            <option value="IS">Iceland</option>
                            <option value="IN">India</option>
                            <option value="ID">Indonesia</option>
                            <option value="IR">Iran, Islamic Republic of</option>
                            <option value="IQ">Iraq</option>
                            <option value="IE">Ireland</option>
                            <option value="IM">Isle of Man</option>
                            <option value="IL">Israel</option>
                            <option value="IT">Italy</option>
                            <option value="JM">Jamaica</option>
                            <option value="JP">Japan</option>
                            <option value="JE">Jersey</option>
                            <option value="JO">Jordan</option>
                            <option value="KZ">Kazakhstan</option>
                            <option value="KE">Kenya</option>
                            <option value="KI">Kiribati</option>
                            <option value="KP">Korea, Democratic People's Republic of</option>
                            <option value="KR">Korea, Republic of</option>
                            <option value="KW">Kuwait</option>
                            <option value="KG">Kyrgyzstan</option>
                            <option value="LA">Lao People's Democratic Republic</option>
                            <option value="LV">Latvia</option>
                            <option value="LB">Lebanon</option>
                            <option value="LS">Lesotho</option>
                            <option value="LR">Liberia</option>
                            <option value="LY">Libya</option>
                            <option value="LI">Liechtenstein</option>
                            <option value="LT">Lithuania</option>
                            <option value="LU">Luxembourg</option>
                            <option value="MO">Macao</option>
                            <option value="MK">Macedonia, the former Yugoslav Republic of</option>
                            <option value="MG">Madagascar</option>
                            <option value="MW">Malawi</option>
                            <option value="MY">Malaysia</option>
                            <option value="MV">Maldives</option>
                            <option value="MT">Malta</option>
                            <option value="MH">Marshall Islands</option>
                            <option value="MQ">Martinique</option>
                            <option value="MR">Mauritania</option>
                            <option value="MU">Mauritius</option>
                            <option value="YT">Mayotte</option>
                            <option value="MX">Mexico</option>
                            <option value="FM">Micronesia, Federated States of</option>
                            <option value="MD">Moldova, Republic of</option>
                            <option value="MC">Monaco</option>
                            <option value="MN">Mongolia</option>
                            <option value="ME">Montenegro</option>
                            <option value="MS">Montserrat</option>
                            <option value="MA">Morocco</option>
                            <option value="MZ">Mozambique</option>
                            <option value="MM">Myanmar</option>
                            <option value="NA">Namibia</option>
                            <option value="NR">Nauru</option>
                            <option value="NP">Nepal</option>
                            <option value="NL">Netherlands</option>
                            <option value="NC">New Caledonia</option>
                            <option value="NZ">New Zealand</option>
                            <option value="NI">Nicaragua</option>
                            <option value="NG">Nigeria</option>
                            <option value="NU">Niue</option>
                            <option value="NF">Norfolk Island</option>
                            <option value="MP">Northern Mariana Islands</option>
                            <option value="NO">Norway</option>
                            <option value="OM">Oman</option>
                            <option value="PK">Pakistan</option>
                            <option value="PW">Palau</option>
                            <option value="PS">Palestinian Territory, Occupied</option>
                            <option value="PA">Panama</option>
                            <option value="PG">Papua New Guinea</option>
                            <option value="PY">Paraguay</option>
                            <option value="PE">Peru</option>
                            <option value="PH">Philippines</option>
                            <option value="PN">Pitcairn</option>
                            <option value="PL">Poland</option>
                            <option value="PT">Portugal</option>
                            <option value="PR">Puerto Rico</option>
                            <option value="QA">Qatar</option>
                            <option value="RE">Réunion</option>
                            <option value="RO">Romania</option>
                            <option value="RU">Russian Federation</option>
                            <option value="RW">Rwanda</option>
                            <option value="BL">Saint Barthélemy</option>
                            <option value="SH">Saint Helena, Ascension and Tristan da Cunha</option>
                            <option value="KN">Saint Kitts and Nevis</option>
                            <option value="LC">Saint Lucia</option>
                            <option value="MF">Saint Martin (French part)</option>
                            <option value="PM">Saint Pierre and Miquelon</option>
                            <option value="VC">Saint Vincent and the Grenadines</option>
                            <option value="WS">Samoa</option>
                            <option value="SM">San Marino</option>
                            <option value="ST">Sao Tome and Principe</option>
                            <option value="SA">Saudi Arabia</option>
                            <option value="RS">Serbia</option>
                            <option value="SC">Seychelles</option>
                            <option value="SL">Sierra Leone</option>
                            <option value="SG">Singapore</option>
                            <option value="SX">Sint Maarten (Dutch part)</option>
                            <option value="SK">Slovakia</option>
                            <option value="SI">Slovenia</option>
                            <option value="SB">Solomon Islands</option>
                            <option value="SO">Somalia</option>
                            <option value="ZA">South Africa</option>
                            <option value="GS">South Georgia and the South Sandwich Islands</option>
                            <option value="SS">South Sudan</option>
                            <option value="ES">Spain</option>
                            <option value="LK">Sri Lanka</option>
                            <option value="SD">Sudan</option>
                            <option value="SR">Suriname</option>
                            <option value="SJ">Svalbard and Jan Mayen</option>
                            <option value="SZ">Swaziland</option>
                            <option value="SE">Sweden</option>
                            <option value="CH">Switzerland</option>
                            <option value="SY">Syrian Arab Republic</option>
                            <option value="TW">Taiwan, Province of China</option>
                            <option value="TJ">Tajikistan</option>
                            <option value="TZ">Tanzania, United Republic of</option>
                            <option value="TH">Thailand</option>
                            <option value="TL">Timor-Leste</option>
                            <option value="TK">Tokelau</option>
                            <option value="TO">Tonga</option>
                            <option value="TT">Trinidad and Tobago</option>
                            <option value="TN">Tunisia</option>
                            <option value="TR">Turkey</option>
                            <option value="TM">Turkmenistan</option>
                            <option value="TC">Turks and Caicos Islands</option>
                            <option value="TV">Tuvalu</option>
                            <option value="UG">Uganda</option>
                            <option value="UA">Ukraine</option>
                            <option value="AE">United Arab Emirates</option>
                            <option value="GB">United Kingdom</option>
                            <option value="US">United States</option>
                            <option value="UM">United States Minor Outlying Islands</option>
                            <option value="UY">Uruguay</option>
                            <option value="UZ">Uzbekistan</option>
                            <option value="VU">Vanuatu</option>
                            <option value="VE">Venezuela, Bolivarian Republic of</option>
                            <option value="VN">Viet Nam</option>
                            <option value="VG">Virgin Islands, British</option>
                            <option value="VI">Virgin Islands, U.S.</option>
                            <option value="WF">Wallis and Futuna</option>
                            <option value="EH">Western Sahara</option>
                            <option value="YE">Yemen</option>
                            <option value="ZM">Zambia</option>
                            <option value="ZW">Zimbabwe</option>
                        </select>

                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-12">
                        <label for="customer_adress">Adresse</label>
                        <input type="text" disabled class="form-control" id="customer_adress">
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
            </div>
        </div>
    </div>
</div>
<div id="livraisonModal" class="modal fade" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">

        <div class="modal-content" style="border-radius: 0px;">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title"><i class="fa fa-plus"></i> Informations de livraison </h4>
            </div>
            <div class="modal-body">
                <div class="col-12">
                    <div class="col-sm-12">
                        <label for="phone_shipping">numéro de téléphone</label>
                        <input type="text" disabled class="form-control" id="phone_shipping">
                    </div>
                    <div class="col-sm-12">
                        <label for="adress_shipping">Adresse de livraison</label>
                        <textarea type="text" disabled class="form-control" id="adress_shipping" rows="5"
                            style="width: 100%;"></textarea>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
            </div>
        </div>
    </div>
</div>


<!-- /page content -->
@endsection