@extends("../dashboard._blank")

@section("sidebar")
@include("../dashboard._sidebar")
@endsection

@section("content")

<style>
    #overlay {
        position: fixed;
        top: 0;
        z-index: 100;
        width: 100%;
        height: 100%;
        display: none;
        background: rgba(0, 0, 0, 0.6);
    }

    .cv-spinner {
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .spinner {
        width: 40px;
        height: 40px;
        border: 4px #ddd solid;
        border-top: 4px #2e93e6 solid;
        border-radius: 50%;
        animation: sp-anime 0.8s infinite linear;
    }

    @keyframes sp-anime {
        0% {
            transform: rotate(0deg);
        }

        100% {
            transform: rotate(359deg);
        }
    }

    .btn-default {
        width: 100%;

        font-size: 15pt;
    }

    .btn-default:hover {

        background: #fff;
        box-shadow: 0px 1px 5px rgba(0, 0, 0, 0.8);
    }

    .btnmenu {}

    @media screen and (max-width: 767px) {
        .btn-default {
            font-size: 10pt;
        }
    }

    #menu-show div {
        margin-top: 10px;
    }
</style>

<div id="overlay">
    <div class="cv-spinner">
        <span class="spinner"></span> <span style="color: #ffffff;"> &nbsp;&nbsp;&nbsp; Chargement en cours ...</span>
    </div>
</div>
<div class="right_col" role="main">
    <div class="">
        <div class="clearfix"></div>
        <div class="row">
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                    <div class="x_title">
                        <div class="row">
                            <h2 class="col-md-8 col-xs-12"><span style="color: #0c1423;"> <img
                                        src="{{asset('images/boutique.png')}}" alt="" width="20px">
                                    {{$boutique->nom_boutique}}</span><small> Parcourez le menu pour gérer votre
                                    boutique. </small></h2>
                            <div class="col-xs-12 col-md-4 text-right">
                                <a class="btn  btn-sm " style="border-radius: 0px"
                                    href="{{route('boutique.index',$boutique->nom_boutique)}}" target="_blank"><i
                                        class="fas fa-store"></i> Accéder à {{$boutique->nom_boutique}}</a>
                            </div>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                    <div class="x_content">
                        @if ($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                        @endif
                        @if(session("success"))

                        <div class="alert alert-success">
                            {{session('success')}}
                        </div>

                        @elseif(session("error"))

                        <div class="alert alert-danger">
                            {{session('error')}}
                        </div>

                        @endif
                        <br />

                        <div class="clearfix"></div>
                    </div>

                    <div class="row" id="menu-show">
                        <div class="col-lg-3 col-sm-4 col-xs-6">
                            <a href="{{route('categorie_index',2)}}" class="text-center btn btn-default default btn-sm">
                                <img src="{{asset('images/categorie.png')}}" alt="" width="50px">
                                <span> Catégorie</span>
                            </a>
                        </div>
                        <div class="col-lg-3 col-sm-4 col-xs-6">
                            <a href="{{route('article_index',2)}}" class="text-center btn btn-default default btn-sm">
                                <img src="{{asset('images/produit.png')}}" alt="" width="50px">
                                <span> Produits</span>
                            </a>
                        </div>
                        <div class="col-lg-3 col-sm-4 col-xs-6">
                            <a href="{{route('coffret_index',2)}}" class="text-center btn btn-default default btn-sm">
                                <img src="{{asset('images/mib.png')}}" alt="" width="50px">
                                <span> Coffrets</span>
                            </a>
                        </div>
                        <div class="col-lg-3 col-sm-4 col-xs-6">
                            <a href="{{route('commandes')}}" class="text-center btn btn-default default btn-sm">
                                <img src="{{asset('images/vente.png')}}" alt="" width="50px">
                                <span> Commandes @if($cmd>0)<sup style="color: red;">{{$cmd}}</sup>@endif </span>
                            </a>
                        </div>
                        <div class="col-lg-3 col-sm-4 col-xs-6">
                            <a href="{{route('code_promo')}}" class=" text-center btn btn-default default btn-sm">
                                <img src="{{asset('images/vente.png')}}" alt="" width="50px">
                                <span> Code Promo </span>
                            </a>
                        </div>
                        <div class="col-lg-3 col-sm-4 col-xs-6">
                            <a href="{{route('pointvente.index',[$boutique->slug])}}"
                                class="text-center btn btn-default default btn-sm">
                                <img src="{{asset('images/open.png')}}" alt="" width="50px">
                                <span> Points de vente </span>
                            </a>
                        </div>
                        @php
                        if($boutique->mibSubscribe) $date_mib =
                        \Carbon\Carbon::parse($boutique->mibSubscribe->expired_at);
                        @endphp
                        {{-- {{ dd($boutique->mibSubscribe) }} --}}
                        @if(isset($boutique->mibSubscribe) && $date_mib && !$date_mib->isPast())
                        <div class="col-lg-3 col-sm-4 col-xs-6">
                            <a href="{{route('admin.boutique.mib.year.list')}}"
                                class=" text-center btn btn-default default btn-sm">
                                <img src="{{asset('images/mib.png')}}" alt="" width="50px">
                                <span> MIB </span>
                            </a>
                        </div>
                        @endif
                        <div class="col-lg-3 col-sm-4 col-xs-6">
                            <a @if(!$boutique->shipping_local && !$boutique->shipping_international)
                                onclick="$.Zebra_Dialog('{{session('error')}}',{
                                'type': 'error',
                                'title': 'Vous devez activer la livraison locale dans les paramètres de votre site pour
                                pouvoir utilisé ce service.'
                                }); return false;" href="#" @else
                                href="{{route('livraisons.client.index',$boutique->slug)}}" @endif class="text-center
                                btn btn-default default btn-sm" >
                                <img src="{{asset('images/shipping.png')}}" alt="" width="50px">
                                <span> Livraisons </span>
                            </a>
                        </div>

                        <div class="col-lg-3 col-sm-4 col-xs-6">
                            <a href="{{route('options',$boutique->slug)}}"
                                class=" text-center btn btn-default default btn-sm">
                                <img src="{{asset('images/settings.png')}}" alt="" width="50px">
                                <span> Options </span>
                            </a>
                        </div>
                        <div class="col-lg-3 col-sm-4 col-xs-6">
                            <a href="{{route('liste_contact')}}" class=" text-center btn btn-default default btn-sm">
                                <img src="{{asset('images/messagerie.png')}}" alt="" width="50px">
                                <span> Messages </span>
                            </a>
                        </div>
                        <div class="col-lg-3 col-sm-4 col-xs-6">
                            <a href="{{route('newsletter/boutique',$boutique->slug)}}"
                                class=" text-center btn btn-default default btn-sm">
                                <img src="{{asset('images/news2.png')}}" alt="" width="50px">
                                <span> Newsletters </span>
                            </a>
                        </div>

                    </div>

                    {{-- <div class="row" style="background: #fff;overflow-x: auto;margin-bottom: 10px">--}}
                        {{-- <div class="col-xs-12 col-sm-4">--}}
                            {{-- <h5 style="background:#2a3f54;padding: 1%;width: 100%;color: #fff;"><i
                                    class="fa fa-chart-bar"></i> Evolution des ventes sur {{$boutique->nom_boutique}}
                            </h5>--}}
                            {{-- <canvas id="canvas3" height="280" width="600"></canvas>--}}
                            {{-- </div>--}}
                        {{-- </div>--}}
                </div>
            </div>
        </div>
    </div>
</div>
@endsection


@section('script')


@endsection