@php
    $maboutique=\Illuminate\Support\Facades\Session::get('boutique');
@endphp
@extends("../dashboard._blank")

@section("sidebar")
    @include("../dashboard._sidebar")
@endsection
@section("content")
    <style>
        input{

            font-weight: bold;
        }
        select{

            font-weight: bold;
        }
        .btn-gr{
            background: #fff;
            border: 1px solid #000;

        }
        .btn-gr:hover{
            background: #ddd;
            border: 1px solid #ddd;
        }
    </style>
    <style>
        .list-media {
            display: inline-block;
            text-align: center;
        }

        .list-media div {
            margin-left: 3%;
        }

        .inputfile {
            width: 0.1px;
            height: 0.1px;
            opacity: 0;
            overflow: hidden;
            position: absolute;
            z-index: -1;
        }

        .inputfile + label {
            font-size: 1em;
            display: inline-block;
        }

        .inputfile:focus + label,
        .inputfile + label:hover {
        }

        .inputfile + label {
            cursor: pointer; /* "hand" cursor */
        }

        .inputfile:focus + label {
            outline: 1px dotted #000;
            outline: -webkit-focus-ring-color auto 5px;
        }

        #upload:hover {
            color: #D40025;
            border: #D40025 2px solid;
        }

        #selectedFiles img {
            max-width: 125px;
            max-height: 125px;
            float: left;
            margin-bottom: 10px;
        }

        #upload2 {
        }

        #upload2:hover {
            color: #D40025;
            border: #D40025 2px solid;
        }

        #selectedFiles2 img {
            max-width: 125px;
            max-height: 125px;
            float: left;
            margin-bottom: 10px;
        }

        .error {
            color: red;
        }

        .btn {
            border-radius: 0px;
        }

        .article_catalogue_show {
            border: 1px solid #ddd;
            margin-top: 5px;
        }
    </style>
    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <div class="row">
                                <h2 class="col-md-6 col-xs-12"><span style="color: #0c1423;">LOTS DE LA CATEGORIE {{$categorie_mib->name}}   </span></h2>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">
                            @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            @if(session("success"))

                                <div class="alert alert-success">
                                    {{session('success')}}
                                </div>

                            @elseif(session("error"))
                                <div class="alert alert-danger">
                                    {{session('error')}}
                                </div>
                            @endif
                            <div class="col-md-12" style="margin-bottom: 10px;">
                                <a href="{{route('admin.boutique.list',$year)}}" class="btn btn-default btn-sm" style="border: 1px solid #000; color: #0D3349;text-align: center;"><i class="fas fa-long-arrow-alt-left"></i></a>&nbsp;&nbsp;
                                <a href="#" data-toggle="modal" data-target="#createLotModal" class="btn btn-light btn-sm float-right" style="border: 1px solid #000; color: #0D3349;text-align: center;"><i class="fas fa-plus-circle"></i> Ajouter un lot  </a>&nbsp;&nbsp;
                            </div>

                                <div class="col-md-12">
                                    <div class="row">
                                        <h3 class="col-12">Catégorie Mib : {{$categorie_mib->name}}</h3>
                                    </div>
                                </div>
                            <div class="col-xs-12 col-md-12">
                                <div class="row">
                                    <table id="categoriedatatable-buttons" class="table table-responsive-xs table-striped table-bordered">
                                        <thead>
                                        <tr>
                                            <th></th>
                                            <th>Nom</th>
                                            <th>Valeur produit panier</th>
                                            <th>Numeraire</th>
                                            <th>Possibilité d'emballage</th>
                                            <th>Plus info</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        @php($i=1)
                                        @foreach($lot_mibs as $lot)
                                            <tr>
                                                <td>
                                                    <div class="dropdown">
                                                        <button class="btn btn-light btn-sm dropdown-toggle" style="display: inline-flex;" type="button" data-toggle="dropdown">action  <i style="margin-top: 4px;margin-left: 3px;" class="fa fa-chevron-down"></i> </button>
                                                        <ul class="dropdown-menu">
                                                            <li><a href="{{route('get.lot.mib',$lot->slug)}}" class="updateLotMib">Modifier</a></li>
                                                            <li><a href="{{route('delete.lot.mib',$lot->slug)}}" >Supprimer</a></li>
                                                        </ul>
                                                    </div>
                                                </td>
                                                <td>{{$lot->nom}}</td>
                                                <td>{{$lot->valeur_produit}}</td>
                                                <td>{{$lot->numeraire}}</td>
                                                <td>{{$lot->nombre_possibilite_emballage}}</td>
                                                <td>{{$lot->info_plus}}</td>
                                            </tr>
                                            @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

   <div id="createLotModal" class="modal fade" tabindex="-1" role="dialog"  aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content" style="border-radius: 0px;">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title"><i class="fa fa-plus"></i> <span id="titleModal">Lot Panier Mib</span> </h4>
                </div>
                <div class="modal-body col-lg-12">
                    <div class="col-lg-12">
                    <form action="{{route('admin.boutique.create.lots')}}" id="form_lot" method="post"  class="row">
                       @csrf

                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label for="nom">Nom du lot</label>
                                        <input type="text" class="form-control" required name="nom" id="nom" placeholder="Nom du lot">
                                    </div>
                                 </div>

                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label for="valeur_produit">Valeur produit lot</label>
                                        <input type="number" class="form-control" required name="valeur_produit" id="valeur_produit" placeholder="Valeur produit lot">
                                    </div>
                                </div>
  <div class="col-lg-6">
                                    <div class="form-group">
                                        <label for="numeraire">Numéraire</label>
                                        <input type="number" class="form-control" required name="numeraire" id="numeraire" placeholder="numeraire">
                                    </div>
                                </div>
  <div class="col-lg-6">
                                    <div class="form-group">
                                        <label for="nombre_possibilite_emballage">Possibilité d'emballage</label>
                                        <input type="number" class="form-control" required name="nombre_possibilite_emballage" id="nombre_possibilite_emballage" placeholder="Possibilité d'emballage">
                                    </div>
                                </div>

                                <div class="col-lg-12">
                                    <div class="form-group">
                                        <label for="info_plus">Information supplémentaire</label>
                                        <textarea type="text" class="form-control" required name="info_plus" id="info_plus" placeholder="Information supplémentaire"></textarea>
                                    </div>
                                </div>
                        <input type="hidden" name="lot_mib_slug" id="lot_mib_slug">
                        <input type="hidden" name="categories_mib_id" value="{{$categorie_mib->slug}}">
                        <div class="col-lg-12 text-right">
                            <button type="button" class="btn btn-default btn-sm close_lot_mib" >Fermer</button>
                            <button type="submit" class="btn btn-primary btn-sm">Valider</button>
                        </div>
                    </form>
                    </div>
                </div>

            </div>
        </div>
    </div>


    <!-- /page content -->
@endsection
