@php
    $maboutique=\Illuminate\Support\Facades\Session::get('boutique');
@endphp
@extends("../dashboard._blank")

@section("sidebar")
    @include("../dashboard._sidebar")
@endsection
@section("content")
    <style>
        input{

            font-weight: bold;
        }
        select{

            font-weight: bold;
        }
        .btn-gr{
            background: #fff;
            border: 1px solid #000;

        }
        .btn-gr:hover{
            background: #ddd;
            border: 1px solid #ddd;
        }
    </style>

    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <div class="row">
                                <h2 class="col-md-12 col-xs-12"><span style="color: #0c1423;">PARAMETRES DU COMPTE PANIER MIB {{ $year }}  </span></h2>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">
                            @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            @if(session("success"))

                                <div class="alert alert-success">
                                    {{session('success')}}
                                </div>

                            @elseif(session("error"))
                                <div class="alert alert-danger">
                                    {{session('error')}}
                                </div>
                            @endif
                            <div class="col-md-12" style="margin-bottom: 10px;">
                                <a href="{{route('admin.boutique.list',$year)}}" class="btn btn-default btn-sm" style="border: 1px solid #000; color: #0D3349;text-align: center;"><i class="fas fa-long-arrow-alt-left"></i></a>&nbsp;&nbsp;
                               </div>
                                <h3 class="col-md-12 col-xs-12">
                                    Veuillez renseigner les informations requises pour paramétrer le compte Panier Mib de votre boutique
                                </h3>

                                @php
                                $params=new \App\ParametrageMib();
                                $souscription=$params->getParametersByKeys('souscription',$boutique->id,$year);
                                $devise=$params->getParametersByKeys('devise',$boutique->id,$year);
                                $jour_fin=$params->getParametersByKeys('jour_fin',$boutique->id,$year);
                                $condition_integration=$params->getParametersByKeys('condition_integration',$boutique->id,$year);
                                $mot_bienvenue=$params->getParametersByKeys('mot_bienvenue',$boutique->id,$year);
                                $parainnage=$params->getParametersByKeys('parainnage',$boutique->id,$year);
                                $fin_souscription=$params->getParametersByKeys('fin_souscription',$boutique->id,$year);
                                $can_have_carte_brunch=$params->getParametersByKeys('can_have_carte_brunch',$boutique->id,$year);
                                $active_carte_brunch=$params->getParametersByKeys('active_carte_brunch',$boutique->id,$year);
                                @endphp
                            <div class="col-xs-12 col-md-12">
                                <div class="row">
                                    <div class="col-lg-12 col-xs-12 col-md-12">
                                        <form action="{{route('admin.boutique.create.params')}}" method="post"   class="row">
                                            @csrf
                                            <div class="col-lg-6 col-sm-12 col-xs-12">
                                                <div class="form-group">
                                                    <label for="souscription">Définissez les frais de souscription au panier Mib en (FCFA) (Frais sungrocery = {{ env('MIB_SUBSCRIPTION_PRICING') }} FCFA /client)</label>
                                                    <input type="number" required class="form-control" min="{{env('MIB_SUBSCRIPTION_PRICING')}}" value="@if(isset($souscription)){{$souscription}}@endif" name="souscription" id="souscription" placeholder="Montant de souscription">
                                                </div>
                                            </div>

                                            <div class="col-lg-6 col-sm-12 col-xs-12">
                                                <div class="form-group">
                                                    <label for="devise">Quel est la devise utilisé pour les cotisations mib</label>
                                                    <select  name="devise" required id="devise" class="form-control">
                                                        <option value="XOF" @if(isset($devise) && $devise=='XOF') selected @endif >XOF</option>
                                                        <option value="USD" @if(isset($devise) && $devise=='USD') selected @endif>USD</option>
                                                        <option value="EUR" @if(isset($devise) && $devise=='EUR') selected @endif>EUR</option>
                                                    </select>
                                                </div>
                                            </div>

                                            <div class="col-lg-6 col-sm-12 col-xs-12">
                                                <div class="form-group">
                                                    <label for="jour_fin">A quel jour du mois les cotisations mib sont closes</label>
                                                    <input type="number" required max="31" min="1" value="@if(isset($jour_fin)){{$jour_fin}}@endif"  class="form-control" name="jour_fin" id="jour_fin" placeholder="Jour de paiement par mois">
                                                </div>
                                            </div>

                                            <div class="col-lg-6 col-sm-12 col-xs-12">
                                                <div class="form-group">
                                                    <label for="fin_souscription">Date de clôture de souscription</label>
                                                    <input type="date" required value="@if(isset($fin_souscription)){{$fin_souscription}}@endif"  class="form-control" name="fin_souscription" id="fin_souscription">
                                                </div>
                                            </div>




                                            <div class="col-lg-12 col-sm-12 pt-4">
                                                <div class="form-group">
                                                    <label for="active_carte_brunch">
                                                        <input type="checkbox" @if(isset($active_carte_brunch) && $active_carte_brunch) checked @endif
                                                               name="active_carte_brunch" id="active_carte_brunch">
                                                        Activer la carte brunch </label>
                                                </div>
                                            </div>
                                            <div class="col-lg-6 col-sm-12 col-xs-12 carte_brunch_selected" style="@if(!isset($can_have_carte_brunch)) display: none @endif">
                                                <div class="form-group">
                                                    <label for="can_have_carte_brunch">A partir de quelle catégorie de Panier la carte Brunch est elle accessible ?</label>
                                                    <select  name="can_have_carte_brunch" id="can_have_carte_brunch" class="form-control">
                                                        @foreach($categorieMibs as $categorieMib)
                                                            <option value="{{$categorieMib->price}}" @if(isset($can_have_carte_brunch) && $can_have_carte_brunch==$categorieMib->price) selected @endif >{{$categorieMib->price}}</option>
                                                        @endforeach
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-lg-6 col-sm-12 col-xs-12">
                                                <div class="form-group">
                                                    <label for="parainnage">Pourcentage de frais d'inscription accorder pour parrainage (%)</label>
                                                    <input type="number" required value="@if(isset($parainnage)){{$parainnage}}@endif"  class="form-control" name="parainnage" id="parainnage" placeholder="12">
                                                </div>
                                            </div>


                                            <div class="col-lg-12 col-xs-12 col-md-12">
                                                <div class="form-group">
                                                    <label for="mot_bienvenue">Mot de bienvenu et explicatif <br> </label>
                                                    <textarea  class="form-control " rows="10" name="mot_bienvenue" id="mot_bienvenue" placeholder="Décrivez le panier">
                                                        @if(isset($mot_bienvenue) && $mot_bienvenue!=null && $mot_bienvenue!="")
                                                            {{$mot_bienvenue}}
                                                            @else
                                                            <div class="row">
                                        <h3 class="col-12 text-justify">QU’EST-CE QUE LES PANIERS MIB</h3>
                                        <p class="col-12 text-justify">
                                        "LES PANIERS MIB" est une initiative de soutien communautaire aux petites entreprises en adoptant
                                        leur production et service pour offrir des cadeaux à votre famille,
                                        vos amis ou une journée festive en entreprise, des récompenses ou paniers de vœux à vos meilleurs clients,
                                        employés et collaborateurs. Avec les paniers MIB on planifie et sécurise désormais la fin d’année à partir
                                        de 2000/mois. Les paniers MIB, vous gagnez en plus des coffrets, une livraison gratuite de vos paniers.
                                        C’est la première plateforme qui opte pour la digitalisation du modèle traditionnel Adogbè en toute confiance.
                                        </p>
                                        <h3 class="col-12 text-justify">RÉSULTATS</h3>
                                        <div  class="col-12 text-justify">
                                           <p> Depuis 2018, notre communauté les loco-consom’Acteurs c’est : </p>
                                           <ul class="col-12 text-justify">
                                               <li>Des producteurs engagés</li>
                                               <li>Une initiative soutenue par le RAMIB</li>
                                               <li>Plus de  membres consommateurs bénéficiaires chaque année</li>
                                               <li>Environ 2 millions de chiffre d’affaire au profit des petits producteurs du réseau</li>
                                               <li>
                                                   Un soutien à la consommation locale solidaire, engagé pour des produits de qualité
                                               </li>
                                           </ul>
                                      </div>
                                        <h3 class="col-12 text-justify">LES AVANTAGES</h3>
                                        <div  class="col-12 text-justify">
                                          <ul class="col-12 text-justify">
                                               <li>Panier minimum de 20000 selon votre choix </li>
                                               <li>Coffret cadeau en bonus sur toute option</li>
                                               <li>Livraison gratuite des paniers</li>
                                               <li>Composition personnalisée à 90% ou opter les paniers au choix</li>
                                               <li>
                                                   Carte de membre gratuite donnant droit aux offres promotionnelle, réductions de 5% à 25% sur tout achat ou prestation de service toute l’année aux membres chez près de 30 partenaires consultable sur sungrocery.biz
                                               </li>
                                              <li>
                                                  Ouverture d’un compte membre en ligne
                                              </li>
                                           <li>
                                               Adhérer aux achats groupé des produits de ravitaillement avec la possibilité d’achat par paiement échelonné ou a crédit remboursable sur 8 semaines
                                           </li>
                                           <li>
                                               Participations aux réunions consommateurs gratuite (découvert & dégustation)
                                           </li>
                                           <li>
                                               Possibilité d’adhésion aux entrepreneurs locaux et de proposer ses produits et services
                                           </li>
                                           </ul>
                                      </div>
                                        </div>
                                                        @endif
                                                    </textarea>
                                                </div>
                                            </div>
                                            <div class="col-sm-12">
                                                <div class="form-group">
                                                    <label for="condition_integration">Condition d'intégration <br> Conserver le modèle ou modifier à votre guise.</label>
                                                    <textarea  class="form-control content" rows="10" name="condition_integration"  id="condition_integration" placeholder="Décrivez le panier">
                                                        @if(isset($condition_integration) && $condition_integration!='' && $condition_integration!=null )
                                                            {{$condition_integration}}
                                                            @else
                                                            <h3 class="col-12 text-justify">Conditions de vente et d’achat des paniers MIB (Adogbè229)</h3>
                                                            <p class="col-12 text-justify">
                                                                La vente par  {{str_replace('_',' ',$boutique->nom_boutique)}} et l’achat des paniers MIB sont régis par les clauses ci-après :
                                                            </p>
                                                        <h4 class="col-12 text-justify"> Clause I : PRISE DE CONNAISSANCE DES CLAUSES ET CONSENTEMENT PAR LE CLIENT</h4>
                                                         <div class="col-12 text-justify">
                                                          <ol class="col-12 text-justify">
                                                              <li>
                                                                 Tout client désireux de devenir membre de la communauté loco-consommateur, de bénéficier des services de vente des paniers MIB et accessoires dirigés
                                                                  {{str_replace('_',' ',$boutique->nom_boutique)}} en cours d’année ou en fin d’année est tenu de prendre connaissance des différentes conditions de vente et d’achat.
                                                              </li>
                                                          </ol>
                                                         </div>
                                                        <p class="col-12 text-justify">Il consent d’office dès qu’il opte pour l’achat de l’une des offres.</p>
                                                            <h4 class="col-12 text-justify">Clause II : PRIX ET PAIEMENT</h4>
                                                                <div class="col-12 text-justify">
                                                                <ol class="col-12 text-justify">
                                                            <li>
                                                                 L’achat des paniers MIB (cas fin d’année) et accessoires est subordonné à un prépaiement volontaire allant 
                                                                 de 2000f à 10000f, échelonné ou non auprès des producteurs sur la plateforme SUNGROCERY.
                                                                 Les Boutiques représentant des Paniers MIB reçoivent les demandes de Janvier à Décembre. Avant la validation d’un choix il faudra payer une inscription en ligne de 500f donnant droit à une carte de membre ou un compte en ligne sur le site www.sungrocery.biz et d’autre avantage ci-haut.                                        </li>
                                                          <li>
                                                            Le délai pour chaque prépaiement mensuel est la date 30 du mois. Toutefois, le prépaiement du mois de Décembre doit être fait au plus tard le 15 Décembre de l’année en cours.                                         </li>
                                                        </ol>
                                                                </div>
                                                           <h4 class="col-12 text-justify"> Clause III : LIBERTE DE CHOIX ACCORDE AU MEMBRE ET CLIENTS</h4>
                                                                <div class="col-12 text-justify">
                    
                                                                <ol class="col-12 text-justify">
                                                            <li>
                                                                En fonction de l’option de paiement choisie, le membre ou le client devra choisir entre quatre propositions en ce qui concerne l’achat. Ces propositions sont établies par
                                                                {{str_replace('_',' ',$boutique->nom_boutique)}} sur la plateforme en ligne www.sungrocery.biz/{{$boutique->nom_boutique}} lors de l’inscription le client devra choisir son panier parmi les offres et spécifié son lot suivant sa catégorie.
                                                            </li>
                                                            <li>
                                                                Une liste des produits pouvant constituer le(s) panier(s) est mise à la disposition de chaque client membre par
                                                                {{str_replace('_',' ',$boutique->nom_boutique)}}. Le client est ainsi libre de faire le choix des produits qu’il veut pour le(s) panier(s).
                                                                Toute l’année, les produits et des paniers sont disponibles sur la plateforme. Pour les commandes de fin d’année de décembre, la liste des paniers et produits est actualisée au plus tard octobre de l’année. Les membres sont invités à composer et envoyer leur commande avant le 15 Novembre. Ainsi une gamme diverse de produits locaux et des paniers au choix sont disponibles pour ceux qui ont opté pour les paniers fins d’année dès décembre.
                                                                Le choix doit respecter un coût maximal selon l’option choisie par le client dans les quatre propositions établies par la société
                                                                {{str_replace('_',' ',$boutique->nom_boutique)}}. En cas d’excès le membre paye le complément.
                                                                Les offres Paniers concernent: les Paniers MIB (fin d’année), les Paniers de vœux ou de récompenses clients (offre destinée aux entreprises), les Paniers de Ramadan et Tabaski, les Paniers anniversaires et extra, les tickets brunch…
                                                                Les tickets Brunch d’une valeur de 10000 est valable pour les souscriptions à partir de 3000 FCFA. Les tickets sont utilisés pour participer à des brunchs auprès des restaurant de la communauté qui valorise le savoir africain (les jardimets, IKOKO, saveur du bénin…) seul ou en famille, de faire des commandes de cadeaux pour les anniversaires, ou participer aux activités annuelles Rencontre des loco-consommateurs.                                        </li>
                                                        </ol>
                                                                </div>
                                                              <h4 class="col-12 text-justify">Clause IV : AVANTAGES DU RESPECT DES CONDITIONS DE VENTE ET D’ACHAT</h4>
                                                                <div class="col-12 text-justify">
                    
                                                                <ol class="col-12 text-justify">
                                                            <li>
                                                                Tout client qui effectue régulièrement des commandes ou des commandes prépayer échelonner mensuellement, respecte les souscriptions qui sait établi, bénéficie à la fin de l’année d’un ou des paniers, une somme en numéraire, de bonus offert par la société
                                                                {{str_replace('_',' ',$boutique->nom_boutique)}} de la livraison gratuite des biens achetés et d’un voyage touristique vers la destination Bénin sur tirage du meilleur consommateur de l’année.
                                                            </li>
                                                       <li>
                                                        (à venir) Possibilité d’achat à crédit: Les membres catégorie Bronze ayant leur compte actif peuvent faire des achats surtout de produit de première nécessité en option achat groupé à crédit et rembourser sur 8 semaines. Dans ce cas le membre met en garantie l’avoir de son compte en cas d’impayé. Avant la validation des commandes, Bénin Grocery vérifie si le membre n’a pas de cumule de crédit et se réserve le droit de déduire dans l’avoir. La valeur du panier fin d’année sera la soustraction entre le montant du compte et de la dette. La valeur minimum du panier en option crédit est de 15 000 et maximum 35 000.
                                                    </li>
                                                        </ol>
                                                                </div>
                                                                  <h4 class="col-12 text-justify"> Clause V : LIVRAISON </h4>
                                                                <div class="col-12 text-justify">
                                                                <ol class="col-12 text-justify">
                                                            <li>
                                                                Le client précise la date où il souhaiterait recevoir sa marchandise, la livraison sera faite en respectant cette date. <br>
                                                                La date choisie doit rester dans l’intervalle du 5 au 30 décembre de l’année en cours.
                                                            </li>
                                                          <li>
                                                            A la livraison, lorsque le client fait la somme du coût du panier ou des paniers reçus et autres accessoires, cela doit atteindre le total de son paiement effectué.                                      </li>
                                                        </ol>
                                                                </div>
                                                             <h4 class="col-12 text-justify"> Clause VI : ANNULATION D’ACHAT PAR LE CLIENT</h4>
                                                                <div class="col-12 text-justify">
                    
                                                                <ol class="col-12 text-justify">
                                                            <li>
                                                                Lorsqu’un client décide au cours de l’année d’annuler son achat prépayer, il formule une demande et l’équivalent en produit lui est retourné intégralement dans les 36h à la date de réception de sa demande.
                                                                Cette somme ne subit pas de retenu à la source par la société {{str_replace('_',' ',$boutique->nom_boutique)}} et ne peut-être passible de bénéfice ou intérêt à payer par la société
                                                                {{str_replace('_',' ',$boutique->nom_boutique)}} au client car {{str_replace('_',' ',$boutique->nom_boutique)}} n’est aucune une institution financière. Toute fois si le produit prépayé est revendable à d’autre client immédiatement, le demandeur peut récupérer en numéraire à hauteur de son prépayé.
                                                            </li>
                                                          
                                                        </ol>
                                                                </div>
                                                             <h4 class="col-12 text-justify">Clause VII : SANCTION</h4>
                                                                <div class="col-12 text-justify">
                                                                <ol class="col-12 text-justify">
                                                            <li>
                                                                En cas de non-paiement rigoureux selon les conditions énumérées à la clause II, le client perd le bonus offert par la société
                                                                {{str_replace('_',' ',$boutique->nom_boutique)}} et n’est éligible au tirage au sort pour l’éco-tourisme vers la destination Bénin. Toute fois la livraison des paniers fin d’année sont pris en charge à partir d’une valeur de 20000 FCFA si la zone à parcourir est moins de 50 km.
                                                            </li>
                                                        </ol>
                                                                </div>
                                                            <h4 class="col-12 text-justify">Clause VIII : NECESSITE D’UN MANDATAIRE</h4>
                                                                <div class="col-12 text-justify">
                                                                <ol class="col-12 text-justify">
                                                            <li>
                                                                Tout client doit avoir un mandataire qui peut le représenter en cas de force majeure. Le mandataire est contacté au cas où la société
                                                                {{str_replace('_',' ',$boutique->nom_boutique)}} n’arrive plus à joindre le client sur une durée de trois mois au moins.
                                                            </li>
                                                        </ol>
                                                                </div>
                                                             <h4 class="col-12 text-justify">Clause IX : DE LA PROPRIETE DES PRODUITS</h4>
                                                                <div class="col-12 text-justify">
                                                                <ol class="col-12 text-justify">
                                                                    <li>
                                                                        La société {{str_replace('_',' ',$boutique->nom_boutique)}} conserve la propriété des produits en vente jusqu’au paiement intégral du prix et jusqu’à la date fixée pour la livraison.
                                                                    </li>
                                                             </ol>
                                                                </div>
                                                            <h4 class="col-12 text-justify">Clause X : REGLEMENT DE LITIGES</h4>
                                                                <div class="col-12 text-justify">
                                                                    <ol class="col-12 text-justify">
                                                                        <li>
                                                                            En cas de litiges, les parties s’entendent pour une résolution amiable.
                                                                        </li>
                                                                     <li>
                                                                         Si cela échoue, le litige sera porté devant le tribunal de commerce de Cotonou.
                                                                        </li>
                                                                    </ol>
                                                                </div>
                                                        @endif
                                                    </textarea>
                                                </div>
                                            </div>
                                            <div class="col-lg-12 text-right">
                                                <button type="submit" class="btn btn-primary btn-sm">Valider</button>
                                            </div>
                                        </form>
                                    </div>                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script src="https://cdn.tiny.cloud/1/vfv84428cr1epmkh83aotqs1oquqq1svbhtkdrlok7m85r6d/tinymce/5/tinymce.min.js" referrerpolicy="origin"></script>
    <script type="text/javascript">
        tinymce.init({
            selector: 'textarea',
            height:500,
            plugins: [
                'advlist autolink lists link image charmap print preview anchor',
                'searchreplace visualblocks code fullscreen',
                'insertdatetime media table paste code help wordcount'
            ],
            toolbar_mode: 'floating',
            menubar: true
        });


        $(document).ready(function() {
            $('#active_carte_brunch').change(function() {
                console.log('****************** is working')
                if($(this).is(":checked")) {
                    $('.carte_brunch_selected').fadeIn('slow');
                    $(this).val(true)
                  }else{
                    $('.carte_brunch_selected').fadeOut('slow');
                    $(this).val(false)
                }
            });
        });
    </script>

@endsection