@extends("../dashboard._blank")
@section("sidebar")
    @include("../dashboard._sidebar")
@endsection
@section("content")
    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>

            <div class="row">

                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <div class="row">
                                <h2 class="col-md-6 col-xs-12"><span style="color: #0c1423;"> Gestionnaire d'abonnement à la newsletters<small></small></span> </h2>
                                <div class="col-md-6 col-xs-12 text-right">
                                   </div>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">

                           <div class="row">
                            <div class="col-md-12" style="margin-bottom: 10px;">

                                <button  data-toggle="modal" data-target="#AbonnementNewsModal" id="create_abonnement" class="btn btn-default btn-sm " style="background-color: #2a3f54;border-radius: 0px;color: white;">
                                    <i class="fa fa-plus-circle"></i> S'abonner
                                </button>

                            </div>
                           </div>
                        </div>

                    </div>

                    <div class="row">
                        <div class="col-sm-12 col-xs-12">
                            @foreach($user_abonnements as $abonnement)
                                <div class="col-sm-4 col-xs-12">
                                    <div class="panel" style="border: 1px solid #eaeaea;border-radius: 0px">
                                        <div class="panel-heading" style="font-size: 12pt;background: #eaeaea;color: #2a3f54;border-radius: 0px">
                                            <i style="color: #2a3f54" class="{{$abonnement->newslettersoptionabonnement->awesome_font}}"></i>  {{$abonnement->newslettersoptionabonnement->intitule}}
                                        </div>
                                        <div class="panel-body text-center">
                                             <span class="badge" style="background: #eeeeee;color: #000;font-weight: normal;">Diffusion global: {{$abonnement->diffusion}}</span>
                                            <span class="badge" style="background: #eeeeee;color: #000;font-weight: normal;">Boutique: {{$abonnement->boutique}}</span>
                                        </div>
                                            <div class="panel-footer">
                                                @if($abonnement->boutique>0 && $abonnement->diffusion>0)
                                               <a href="{{route('newsletters.gestion',$abonnement->slug)}}" class="btn  btn-primary  btn-xs"><i class="fas fa-cogs"></i> gerer</a>
                                               @endif
                                            <a href="{{route('cumuler',$abonnement->slug)}}" class="btn btn-warning btn-xs cumul"><i class="fa fa-plus-circle"></i> @if($abonnement->boutique>0 && $abonnement->diffusion>0) cumuler @else se réabonner @endif</a>


                                            </div>
                                    </div>
                                </div>

                            @endforeach

                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>


    <div id="AbonnementNewsModal" class="modal fade">
        <div class="modal-dialog">
            <form method="post" id="abonnement_newsletter_form"  onsubmit="return check_error(['intitule','diffusion','boutique','prix'])"  action="{{route('abonnement.news.user.create')}}" enctype="multipart/form-data">
                @csrf
                <div class="modal-content" style="border-radius: 0px;">
                    <div class="modal-header">
                        <h4 class="modal-title"><i class="fas fa-envelope-open"></i> Abonnement newsletters</h4>
                    </div>
                    <div class="modal-body">
                        <div class="row">

                             <div class="form-group col-md-12 col-xs-12 col-sm-12">
                                <label>Choisissez un abonnement <span style='color:red'>*</span></label>
                                <select name="abonnement_slug" id="abonnement_slug" required="required" data-input_name="abonnement" onblur="check_error(['abonnement_slug']);" class="choosen form-control">
                                    <option value="none"> Choisir un abonnement</option>
                                    @foreach($abonnements as $abonnement)
                                        <option value="{{$abonnement->slug}}"><i class="{{$abonnement->awesome_font}}"></i> {{$abonnement->intitule}}</option>
                                    @endforeach
                                </select>
                                <span id="abonnement_slugerror"></span>
                            </div>
                        </div>
                        <div class="row" id="panel-abonnement" style="display: none;">
                            <div class="form-group col-md-6 col-sm-12 col-xs-12">
                                <label>Quantité news diffusion <span style='color:red'>*</span></label>
                                <input type="number" id="diffusion" name="diffusion"  disabled class="form-control" style="width: 100%;" placeholder="Diffusion" >
                            </div>
                             <div class="form-group col-md-6 col-sm-12 col-xs-12">
                                <label>Quantité news boutique <span style='color:red'>*</span></label>
                                <input type="number" id="boutique" name="boutique" disabled class="form-control" style="width: 100%;" placeholder="Diffusion" >
                            </div>

                            <div class="form-group col-md-6 col-sm-12 col-xs-12">
                                <label>Prix <span style='color:red'>*</span></label>
                                <input type="number" id="prix" name="prix" disabled class="form-control" style="width: 100%;" placeholder="Prix d'abonnement" >
                            </div>

                        </div>
                    </div>
                    <div class="modal-footer">
                        <input type="submit" name="action" id="abonnement" class="btn btn-info" style="background-color: #2a3f54;border-radius: 0px;color: white;" value="s'abonner"/>
                        <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                    </div>
                </div>
            </form>
        </div>
    </div>


    <div id="CumulAbonnementNewsModal" class="modal fade">
        <div class="modal-dialog">
            <form method="post" id="abonnement_choose_option_newsletter_form"  onsubmit="return check_error(['intitule','diffusion','boutique','prix'])"  action="{{route('chooseOption.abonnement')}}" enctype="multipart/form-data">
                @csrf
                <div class="modal-content" style="border-radius: 0px;">
                    <div class="modal-header">
                        <h4 class="modal-title"><i class="fas fa-envelope-open"></i> Cumule abonnement newsletters</h4>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                        <input type="hidden" id="url">
                             <div class="form-group col-md-12 col-xs-12 col-sm-12">
                                <label>Choisissez un abonnement <span style='color:red'>*</span></label>
                                <select name="abonnement_slug" id="cumul_abonnement_slug" required="required" data-input_name="abonnement" onblur="check_error(['cumul_abonnement_slug']);" class="choosen form-control">
                                    <option value="none"> Choisir un abonnement</option>
                                    @foreach($abonnements as $abonnement)
                                        <option value="{{$abonnement->slug}}"> {{$abonnement->intitule}}</option>
                                    @endforeach
                                </select>
                                <span id="cumulabonnement_slugerror"></span>
                            </div>
                        </div>
                        <div class="row" id="cumul_panel-abonnement" style="display: none;">
                            <div class="form-group col-md-6 col-sm-12 col-xs-12">
                                <label>Quantité news diffusion <span style='color:red'>*</span></label>
                                <input type="number" id="diffusion_" name="diffusion"  disabled class="form-control" style="width: 100%;" placeholder="Diffusion" >
                            </div>
                             <div class="form-group col-md-6 col-sm-12 col-xs-12">
                                <label>Quantité news boutique <span style='color:red'>*</span></label>
                                <input type="number" id="boutique_" name="boutique" disabled class="form-control" style="width: 100%;" placeholder="Diffusion" >
                            </div>

                            <div class="form-group col-md-6 col-sm-12 col-xs-12">
                                <label>Prix <span style='color:red'>*</span></label>
                                <input type="number" id="prix_" name="prix" disabled class="form-control" style="width: 100%;" placeholder="Prix d'abonnement" >
                            </div>

                        </div>
                    </div>
                    <div class="modal-footer">
                        <input type="submit" name="action" id="cumulabonnement" class="btn btn-info" style="background-color: #2a3f54;border-radius: 0px;color: white;" value="cumuler"/>
                        <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                    </div>
                </div>
            </form>
        </div>
    </div>

@include('dashboard.paiement_box.choose')
    <!-- /page content -->
@endsection
