@php
$admin=false;
if($id==1) {
    $admin=true;
    $maboutique=[];
}else{
    $maboutique=\Illuminate\Support\Facades\Session::get('boutique');
}
$privilegecheck=new \App\Users_controle();
$check_privilege=$privilegecheck->has_privilege(\Illuminate\Support\Facades\Session::get('user')['id'],'super_administrateur');
@endphp

@extends("../dashboard._blank")
@include("../dashboard.Boutique.check_is_user_boutique")

@section("sidebar")
@include("../dashboard._sidebar")
@endsection

@section('css_add')
<style>
    .list-media {
        display: inline-block;
        text-align: center;
    }

    .list-media div {
        margin-left: 3%;
    }

    .inputfile {
        width: 0.1px;
        height: 0.1px;
        opacity: 0;
        overflow: hidden;
        position: absolute;
        z-index: -1;
    }

    .inputfile+label {
        font-size: 1em;
        display: inline-block;
    }

    .inputfile:focus+label,
    .inputfile+label:hover {}

    .inputfile+label {
        cursor: pointer;
        /* "hand" cursor */
    }

    .inputfile:focus+label {
        outline: 1px dotted #000;
        outline: -webkit-focus-ring-color auto 5px;
    }

    #upload:hover {
        color: #D40025;
        border: #D40025 2px solid;
    }

    #selectedFiles img {
        max-width: 125px;
        max-height: 125px;
        float: left;
        margin-bottom: 10px;
    }

    #upload2 {}

    #upload2:hover {
        color: #D40025;
        border: #D40025 2px solid;
    }

    #selectedFiles2 img {
        max-width: 125px;
        max-height: 125px;
        float: left;
        margin-bottom: 10px;
    }

    .error {
        color: red;
    }

    .btn {
        border-radius: 0px;
    }

    .article_catalogue_show {
        border: 1px solid #ddd;
        margin-top: 5px;
    }
</style>
<style>
    .card {
        width: 200px;
        border: 1px solid #ccc;
        margin: 10px;
        display: inline-block;
    }


    .card-image {
        height: 150px;
        background-size: cover;
        background-position: center;
    }

    .card-content {
        padding: 8px;
    }

    .card-title {
        font-size: 18px;
        margin: 5px 0;
    }

    .card-price {
        font-weight: bold;
        color: green;
        margin-bottom: 10px;
        font-size: 12px;
    }

    input[type="checkbox"] {
        margin-right: 5px;
    }
</style>
<style>
    .step {
    display: none;
}

.step.active {
    display: block;
}

.stepper-navigation {
    margin-top: 20px;
    text-align: right;
}

.dataTables_filter{
    float: right !important;
}

.dataTables_paginate{
    float: right !important;
}
</style>
@endsection

@section("content")
<!-- page content -->
<!-- page content -->
<input type="hidden" value="{{$id}}" id="user_connect">
<div class="right_col" role="main">
    <div class="">
        <div class="clearfix"></div>
        <div class="row">
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                    <div class="x_title">
                        <div class="row">
                            <h2 class="col-md-6 col-xs-12">@if(!$admin)<img src="{{asset('images/coffret.png')}}" alt=""
                                    width="20px"> Nouveau coffret <small>Ajouter un nouveau coffret en trois étapes.</small>@endif </h2>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                    <div class="x_content">
                        @if ($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                        @endif
                        @if(session("success"))

                        <div class="alert alert-success">
                            {{session('success')}}
                        </div>

                        @elseif(session("error"))
                        <div class="alert alert-danger">
                            {{session('error')}}
                        </div>
                        @endif

                        <div class="row" style="margin-bottom: 10px;">
                            @if(!$admin)
                            <a href="{{route('gerer_boutique',$maboutique['slug'])}}" class="btn btn-default"
                                style="border: 1px solid #000; color: #0D3349;text-align: center;"><i
                                    class="fas fa-long-arrow-alt-left"></i></a>&nbsp;&nbsp;
                            @endif
                            <a  href="{{route('coffret_index',2)}}" class="btn btn-primary brn-sm">Retourner sur la page des coffrets
                            </a>
                        </div>
                        <div id="stepperForm">
                            <form method="post" action="{{route('create_article')}}" id="article_form" enctype="multipart/form-data">
                                @csrf
                                <div class="modal-content" style="border-radius: 0px;">
                                    <div class="modal-body">
                                        <div id="creer_article">
                                            <div class="step" id="step1">
                                                <div class="modal-header">
                                                    <h4 class="modal-title" >Étape 1: Informations de base </h4>
                                                </div>
                                                    <input type="hidden" name="choice_selection" value="creer">
                                                    <input type="checkbox" class="check" checked name="is_coffret" value="1" style="display: none;">
                                                    <div class="row" id="image_article">
                                                        <h6 class="col-sm-12 col-xs-12">Ajouter une images de capacités inférieure ou égale à
                                                            2MB. Les images lourdes ralentirons votre espace de vente.</h6>
                                                        <div class="col-sm-12 col-xs-12 text-center mb-2">
                                                            <div class="text-center" id="list_img_">
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-6 col-xs-12">
                                                            <input type="file" accept=".jpg, .jpeg, .png" name="images[]" id="file"
                                                                class="inputfile" data-multiple-caption="{count}  fichiers choisis" />
                                                            <label for="file" style="background: #060e1c;color: #fff;border: 1px double #060e1c;"
                                                                class="form-control col-form-label text-center text-sm-center btn subs_btn"><i
                                                                    id="upload" class="fa fa-upload col-2"></i> <span id="lab" style="color: #fff;">
                                                                    Mettre une image en avant </span></label>
                                                        </div>
                                                        <h6 class="col-sm-12 col-xs-12">Vous pouvez téléverser plus d'image dans les détails du
                                                            coffret plus tard.</h6>
                                                    </div>
                                                    <div class="row">
                                                        <div class="form-group col-md-12 col-xs-12 pt-4">
                                                            <label for="categorie">Catégorie </label><br>
                                                            @php
                                                            $categories=new \App\Http\Controllers\CategorieCatalogue();
                                                            $listes=$categories->list_option_article($id);
                                                            @endphp
                                                            <select name="categorie_slug" id="categorie_slug" class="form-control choosen">
                                                                {!! $listes !!}
                                                            </select>
                                                        </div>
                            
                                                    </div>
                                                    <div class="row">
                            
                                                        <div class="form-group col-md-6 col-xs-12">
                                                            <label>Référence </label><span style="color: red"> (requis)</span><br>
                                                            <input type="text" id="reference" data-input_name="reference"
                                                                onblur="check_error(['reference'])" name="reference" class="form-control"
                                                                placeholder="Référence du coffret" style="width: 100%;">
                                                            <span id="errorreference" class="error"></span>
                                                        </div>
                                                        <div class="form-group col-md-6 col-xs-12">
                                                            <label>intitule (nom du coffret)</label><span style="color: red"> (requis)</span><br>
                                                            <input type="text" id="name" name="name" data-input_name="intitule du coffret"
                                                                onblur="check_error(['name'])" class="form-control" placeholder="Nom du coffret"
                                                                style="width: 100%;">
                                                            <span id="errorname" class="error"></span>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="form-group col-md-6 col-xs-12">
                            
                                                            <label>Prix de vente TTC
                                                                en {{isset($maboutique['meta']) ? ($maboutique['meta']['currency_admin']!=null ?
                                                                $maboutique['meta']['currency_admin'] : 'XOF') : 'XOF'}} </label><span
                                                                style="color: red"> (requis)</span><br>
                            
                                                            <input type="number" id="price" name="price" required="required" value="1" min="0"
                                                                oninput="this.value = Math.round(this.value);" minlength="1"
                                                                data-input_name="prix de vente" onblur="check_error(['price'])" class="form-control"
                                                                placeholder="Prix de vente" style="width: 100%;">
                                                            <span id="errorprice" class="error"></span>
                                                        </div>
                            
                            
                                                        <div class="form-group col-md-6 col-xs-12">
                                                            <label>Quantité disponible</label><span style="color: red"> (requis)</span> <br>
                                                            <input type="number" id="quantity" name="quantity" required="required" min="0"
                                                                oninput="this.value = Math.round(this.value);" minlength="1"
                                                                data-input_name="quantité" onblur="check_error(['quantity'])" class="form-control"
                                                                placeholder="Quantité disponible" value="0" style="width: 100%;">
                                                            <span id="errorquantity" class="error"></span>
                                                        </div>
                            
                                                        @if(isset($maboutique['meta']) && $maboutique['meta']['internationalize'])
                            
                                                        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12"
                                                            style="padding-top: 20px;padding-bottom:20px">
                                                            <label for="international_shipping" class="text-uppercase">
                                                                <input type="checkbox" value="1" id="international_shipping"
                                                                    data-input="international_shipping" class="metaEvent"> activer la
                                                                livraison internationnal pour ce coffret
                                                            </label>
                                                        </div>
                            
                                                        <div class="form-group col-md-12 col-xs-12" id="weight_panel" style="display:none">
                                                            <label>Poids </label><span style="color: red"> (requis)</span> <br>
                                                            <small>Le poids du coffrets est important pour le calcul des frais de livraison
                                                                internationnal. Veuillez donc à communiquer le poids réel du
                                                                coffret.</small> <br>
                                                            <input type="number" id="weight" name="weight" required="required" min="0" minlength="1"
                                                                data-input_name="poids" onblur="check_error(['weight'])" class="form-control"
                                                                placeholder="Poids du coffret " value="1" style="width: 100%;">
                                                            <span id="errorweight" class="error"></span>
                                                        </div>
                                                        @endif
                                                    </div>
                                                    <div class="row" id="caracteritique_display"></div>
                                            </div>
                                            <div class="step" id="step2" style="display: none;">
                                                <div class="modal-header">
                                                    <h4 class="modal-title">Étape 2: Sélectionner les produits </h4>
                                                </div>
                                                <div class="row">
                                                    <div class="form-group col-md-12 col-xs-12" id="article_display_panel">
                                                        <label for="article_display">Cocher les produits du coffret</label><br>
                                                        <small>Cliquer sur <strong>Ajouter</strong> pour selectionner les produits du coffret.
                                                            Vous pouvez
                                                            choisir plusieurs
                                                            produits.</small>
                                                            <table id="articlecoffretdatatable-buttons"
                                                                class="table table-responsive-xs table-bordered">
                                                                <thead>
                                                                    <tr>
                                                                        <th>Ajouter</th>
                                                                        <th>Image</th>
                                                                        <th title="nom de l'article">intitulé</th>
                                                                        <th title="prix de vente de l'article">Prix
                                                                            en {{isset($maboutique['meta']) ?
                                                                            ($maboutique['meta']['currency_admin']!=null ?
                                                                            $maboutique['meta']['currency_admin'] : 'XOF') : 'undefined'}}</th>
                                                                    </tr>
                                                                </thead>
                        
                                                                <tbody>
                                                                    @php $i=1;
                                                                    $article_m=new \App\Http\Controllers\HelperController();
                                                                    @endphp
                                                                    @foreach($articles as $article)
                                                                    @php
                                                                    if(\Illuminate\Support\Facades\Session::has('boutique')&& $admin==false){
                                                                    $price=$article_m->get_meta_article('price',$article->slug,\Illuminate\Support\Facades\Session::get('boutique')['slug']);
                                                                    $reference=$article_m->get_meta_article('reference',$article->slug,\Illuminate\Support\Facades\Session::get('boutique')['slug']);
                                                                    $name=$article_m->get_meta_article('name',$article->slug,\Illuminate\Support\Facades\Session::get('boutique')['slug']);
                                                                    $quantity=$article_m->get_meta_article('quantity',$article->slug,\Illuminate\Support\Facades\Session::get('boutique')['slug']);
                                                                    $categorie=$article_m->get_meta_article('categorie',$article->slug,\Illuminate\Support\Facades\Session::get('boutique')['slug']);
                                                                    $description=$article_m->get_meta_article('description',$article->slug,\Illuminate\Support\Facades\Session::get('boutique')['slug']);
                                                                    $active=$article_m->get_meta_article('active',$article->slug,\Illuminate\Support\Facades\Session::get('boutique')['slug']);
                                                                    $show_price=$article_m->get_meta_article('show_price',$article->slug,\Illuminate\Support\Facades\Session::get('boutique')['slug']);
                                                                    $on_sale=$article_m->get_meta_article('on_sale',$article->slug,\Illuminate\Support\Facades\Session::get('boutique')['slug']);
                                                                    $state=$article_m->get_meta_article('state',$article->slug,\Illuminate\Support\Facades\Session::get('boutique')['slug']);
                                                                    $stock=$article_m->get_meta_article('stock',$article->slug,\Illuminate\Support\Facades\Session::get('boutique')['slug']);
                                                                    $weight=$article_m->get_meta_article('weight',$article->slug,\Illuminate\Support\Facades\Session::get('boutique')['slug']);
                                                                    $international_shipping=$article_m->get_meta_article('international_shipping',$article->slug,\Illuminate\Support\Facades\Session::get('boutique')['slug']);
                                                                    }
                                                                    @endphp
                                                                    @if($admin==false)
                                                                    <tr>
                                                                        <td>
                                                                            <div
                                                                                style="display:flex; justify-content:center; align-items:center;">
                                                                                <input type="checkbox" class="check" id="{{$article->id}}"
                                                                                    name="articles[]" value="{{$article->id}}"
                                                                                    style="display: block;">
                                                                                <label for="{{$article->id}}"></label>
                                                                            </div>
                                                                        </td>
                                                                        <td class="text-center">
                                                                            @php $image=
                                                                            $article_m->get_simple_image($article->slug,$maboutique['slug']);
                                                                            @endphp
                                                                            @if(isset($image) && $image->filename!=null)
                                                                            <a href="" class="image_show"
                                                                                data-url="{{route('get_image_add',$article->slug)}}"
                                                                                data-image="{{$image->filename}}"><img style="height: 40px"
                                                                                    src="{{$image->filename}}" alt="{{$article->name}}"></a>
                                                                            @else
                                                                            pas défini
                                                                            @endif
                                                                        </td>
                        
                                                                        <td>
                                                                            <a class="btn-details-description"
                                                                                data-url="{{route('get_article',$article->slug)}}"
                                                                                data-article="{{$article->name}}"
                                                                                style="cursor: pointer;color: #ff171a;"
                                                                                data-description="@if(isset($description) && $description['statut']==true){{$description['value']}}@else{{$article->description}}@endif">
                                                                                @if(isset($name) && $name['statut']==true)
                                                                                {{$name['value']}}
                                                                                @else
                                                                                {{$article->name}}
                                                                                @endif
                                                                            </a>
                                                                        </td>
                        
                                                                        <td class="text-center">
                                                                            @if(isset($price) && $price['statut']==true)
                        
                                                                            @if(isset($show_price) && $show_price['statut']==true)
                        
                                                                            <span class="badge badge-info"
                                                                                style="background: #e65c2b;color: #fff;text-decoration: line-through;">
                                                                                {{$price['value']}} {{isset($maboutique['meta']) ?
                                                                                ($maboutique['meta']['currency_admin']!=null ?
                                                                                $maboutique['meta']['currency_admin'] : 'XOF') : 'XOF'}}</span>
                                                                            <span class="badge badge-info"
                                                                                style="background: green;color: #fff;">
                                                                                {{($price['value']-($show_price['value']*$price['value'])/100)}}
                                                                                {{isset($maboutique['meta']) ?
                                                                                ($maboutique['meta']['currency_admin']!=null ?
                                                                                $maboutique['meta']['currency_admin'] : 'XOF') : 'XOF'}}</span>
                                                                            @else
                                                                            @if($article->show_price>0)
                                                                            <span class="badge badge-info"
                                                                                style="background: #e65c2b;color: #fff;text-decoration: line-through;">
                                                                                {{$price['value']}} {{isset($maboutique['meta']) ?
                                                                                ($maboutique['meta']['currency_admin']!=null ?
                                                                                $maboutique['meta']['currency_admin'] : 'XOF') : 'XOF'}}</span>
                                                                            <span class="badge badge-info"
                                                                                style="background: green;color: #fff;">
                                                                                {{($price['value']-($article->show_price*$price['value'])/100)}}
                                                                                {{isset($maboutique['meta']) ?
                                                                                ($maboutique['meta']['currency_admin']!=null ?
                                                                                $maboutique['meta']['currency_admin'] : 'XOF') : 'XOF'}}</span>
                                                                            @else
                                                                            <span class="badge badge-info"
                                                                                style="background: green;color: #fff;">
                                                                                {{$price['value']}} {{isset($maboutique['meta']) ?
                                                                                ($maboutique['meta']['currency_admin']!=null ?
                                                                                $maboutique['meta']['currency_admin'] : 'XOF') : 'XOF'}}</span>
                        
                                                                            @endif
                                                                            @endif
                        
                                                                            @else
                                                                            @if(isset($show_price) && $show_price['statut']==true)
                        
                                                                            <span class="badge badge-info"
                                                                                style="background: #e65c2b;color: #fff;text-decoration: line-through;">
                                                                                {{$article->price}} {{isset($maboutique['meta']) ?
                                                                                ($maboutique['meta']['currency_admin']!=null ?
                                                                                $maboutique['meta']['currency_admin'] : 'XOF') : 'XOF'}}</span>
                                                                            <span class="badge badge-info"
                                                                                style="background: green;color: #fff;">
                                                                                {{($article->price-($show_price['value']*$article->price)/100)}}
                                                                                {{isset($maboutique['meta']) ?
                                                                                ($maboutique['meta']['currency_admin']!=null ?
                                                                                $maboutique['meta']['currency_admin'] : 'XOF') : 'XOF'}}</span>
                                                                            @else
                                                                            @if($article->show_price>0)
                                                                            <span class="badge badge-info"
                                                                                style="background: #e65c2b;color: #fff;text-decoration: line-through;">
                                                                                {{$article->price}} {{isset($maboutique['meta']) ?
                                                                                ($maboutique['meta']['currency_admin']!=null ?
                                                                                $maboutique['meta']['currency_admin'] : 'XOF') : 'XOF'}}</span>
                                                                            <span class="badge badge-info"
                                                                                style="background: green;color: #fff;">
                                                                                {{($article->price-($article->show_price*$article->price)/100)}}
                                                                                {{isset($maboutique['meta']) ?
                                                                                ($maboutique['meta']['currency_admin']!=null ?
                                                                                $maboutique['meta']['currency_admin'] : 'XOF') : 'XOF'}}</span>
                                                                            @else
                                                                            <span class="badge badge-info"
                                                                                style="background: green;color: #fff;">
                                                                                {{$article->price}} {{isset($maboutique['meta']) ?
                                                                                ($maboutique['meta']['currency_admin']!=null ?
                                                                                $maboutique['meta']['currency_admin'] : 'XOF') : 'XOF'}}</span>
                        
                                                                            @endif
                                                                            @endif
                                                                            @endif
                        
                        
                                                                        </td>
                                                                    </tr>
                                                                    @else
                                                                    <tr>
                                                                        <td class="text-center">
                                                                            <input type="checkbox" class="check" id="{{$article->id}}"
                                                                                name="articles[]" value="{{$article->id}}"
                                                                                style="display: none;">
                                                                            <label for="{{$article->id}}"></label>
                                                                        </td>
                                                                        <td class="text-center">
                                                                            @php $image= $article_m->get_simple_image($article->slug,'all');
                                                                            @endphp
                                                                            @if(isset($image) && $image->filename!=null)
                                                                            <a href="" class="image_show"
                                                                                data-url="{{route('get_image_add',$article->slug)}}"
                                                                                data-image="{{$image->filename}}"><img style="height: 40px"
                                                                                    src="{{$image->filename}}" alt="{{$article->name}}"></a>
                                                                            @else
                                                                            pas défini
                        
                                                                            @endif
                                                                        </td>
                                                                    </tr>
                        
                                                                    @endif
                                                                    @endforeach
                                                                </tbody>
                                                            </table>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="step" id="step3" style="display: none;">
                                                <div class="modal-header">
                                                    <h4 class="modal-title" >Étape 3: Informations supplémentaires </h4>
                                                </div>
                                                <div class="row">
                                                    <h6 class="col-sm-12 col-xs-12" style="font-weight: bold;">Informations
                                                        supplémentaires</h6>
                                                    <div class="form-group col-sm-6 col-xs-12">
                                                        <label>Fabriquant</label><br>
                                                        <input type="text" id="maker" name="maker" class="form-control" placeholder="fabriquant"
                                                        value="{{auth()->user()->last_name.' '.auth()->user()->first_name}}"
                                                            style="width: 100%;">
                                                    </div>
                                                    <div class="form-group col-sm-6 col-xs-12">
                                                        <label>Pays du fabricant</label><br>
                                                        <input type="text" id="maker_country" name="maker_country" class="form-control"
                                                            placeholder="pays du fabricant" value="{{auth()->user()->country}}" style="width: 100%;">
                                                    </div>
                                                    <div class="form-group col-sm-6 col-xs-12">
                                                        <label>Mis sur le marché le: <br> <small>Laissez vide si votre produit n'a pas de
                                                                date d'expiration</small></label><br>
                                                        <input type="datetime-local" id="create" name="create" class="form-control"
                                                            placeholder="fournisseur" style="width: 100%;">
                                                    </div>
                                                    <div class="form-group col-sm-6 col-xs-12">
                                                        <label>Expire le: <br> <small>Laissez vide si votre produit n'a pas de date
                                                                d'expiration</small></label>
                                                        <input type="datetime-local" id="expire" name="expire" class="form-control"
                                                            placeholder="data d'expiration" style="width: 100%;">
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="form-group col-md-12 col-xs-12">
                                                        <label>Description</label><br>
                                                        <textarea name="description" class="form-control" id="description" style="width: 100%;"
                                                            rows="5" placeholder=""></textarea>
                                                    </div>
                                                </div>
                                                <div class="row" id="text-nb">
                                                    <div class="col-sm-12 col-xs-12">
                                                        <h6><span>NB:</span> Les images que vous telechargerez pourrons rallentir
                                                            l'enregistrement de votre coffret. Toute fois si vous ne pouvez pas avoir des
                                                            images avec de plus faible qualitée, veuillez patienter lors de l'enregistrement
                                                            de votre coffret.</h6>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="modal-footer">
                                            <div class="stepper-navigation">
                                                <button type="button" class="btn btn-secondary" id="prevBtn" onclick="prevStep()" style="display: none;">Précédent</button>
                                                <button type="button" class="btn btn-primary" id="nextBtn" onclick="nextStep()">Suivant</button>
                                                <input type="hidden" name="id_page" value="{{$id}}">
                                                {{-- <button type="submit" class="btn btn-primary" id="submitBtn" style="display: none;">Soumettre</button> --}}
                                                <input type="submit" name="action" id="action_catalogue" class="btn btn-sm" style="display: none; background-color: #0D3349;border-radius: 0px;color: white;" value="Soumettre" />
                                                <input type="submit" name="action" id="action_create"
                                                onclick="return check_error(['reference','name','price','quantity']);" class="btn btn-sm"
                                                style="display:none;background-color: #0D3349;border-radius: 0px;color: white;"
                                                value="Soumettre" />
                                            </div>
                                            {{-- <input type="hidden" name="id_page" value="{{$id}}">
                                            <input type="submit" name="action" id="action_catalogue" class="btn btn-sm"
                                                style="background-color: #0D3349;border-radius: 0px;color: white;" value="Ajouter" />
                                            <input type="submit" name="action" id="action_create"
                                                onclick="return check_error(['reference','name','price','quantity']);" class="btn btn-sm"
                                                style="display:none;background-color: #0D3349;border-radius: 0px;color: white;"
                                                value="Ajouter" />
                                            <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">Fermer
                                            </button> --}}
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>



@endsection

@section('script')
<script>
 $(document).ready(function(){
    var currentStep = 1;
    showStep(currentStep);

    function showStep(step) {
        $(".step").removeClass("active").hide();
        $("#step" + step).addClass("active").show();
        $("#prevBtn").toggle(step > 1);
        $("#nextBtn").toggle(step < 3);
        $("#action_catalogue").toggle(step === 3);
    }

    window.nextStep = function() {
        if (currentStep < 3) {
            currentStep++;
            showStep(currentStep);
        }
    }

    window.prevStep = function() {
        if (currentStep > 1) {
            currentStep--;
            showStep(currentStep);
        }
    }
});

</script>
@endsection