@extends("../dashboard._blank")

@section("sidebar")
    @include("../dashboard._sidebar")
@endsection
@section("content")
    <style>
        input{

            font-weight: bold;
        }
        select{

            font-weight: bold;
        }
        .btn-gr{
            background: #fff;
            border: 1px solid #000;

        }
        .btn-gr:hover{
            background: #ddd;
            border: 1px solid #ddd;
        }
    </style>

    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <div class="row">
                                <h2 class="col-md-12 col-xs-12">
                                    <span style="color: #0c1423;">
                                        NOUVEL INVESTISSEUR
                                    </span>
                            </h2>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">
                            @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            @if(session("success"))

                                <div class="alert alert-success">
                                    {{session('success')}}
                                </div>

                            @elseif(session("error"))
                                <div class="alert alert-danger">
                                    {{session('error')}}
                                </div>
                            @endif
                            <div class="col-lg-12">
                                <a href="{{ route('investment.contribution.index',$project->slug) }}"  type="button" class="btn btn-light btn-sm">
                                <i class="fa fa-chevron-left"></i>
                                 Liste des investissements
                                </a>
                            </div>
                            <div class="col-lg-4 col-md-4">
                                <form style="margin-bottom: 10px;background:#f8f8f8;padding:20px;" action="{{ route('admin.investment.import') }}" method="post" enctype="multipart/form-data">
                                    @csrf
                                    <div class="col-lg-12">
                                        <h3 class="col-md-12 col-xs-12">
                                            Veuillez téléverser un fichier excel pour ajouter de nouveaux investisseurs sur ce projet.
                                        </h3>
                                    </div>
                                    <h4 class="col-lg-12 col-xs-12 col-md-12">
                                        <a href="{{ asset('docs/add_investissor.xlsx') }}" target="_blank">
                                            <i class="fa fa-download"></i>
                                            Télécharger un modèle de fichier
                                        </a>
                                    </h4>
                                    <input type="hidden" value="{{ $project->id }}" name="project_id">
                                    <div class="col-lg-12 col-xs-12 col-md-12">
                                        <div class="form-group">
                                            <label for="mot_bienvenue">Fichier excel<br> </label>
                                            <input type="file" id="file" name="file" required class="form-control">
                                        </div>
                                    </div>
                                    <div class="col-lg-12 text-right">
                                        <button type="submit" class="btn btn-primary btn-lg">Téléverser</button>
                                    </div>
                                </form>
                            </div>

                            <div class="col-md-8" style="margin-bottom: 10px;background:#f8f8f8;padding:20px;">
                               
                                <h3 class="col-md-12 col-xs-12">
                                    Veuillez renseigner les informations requises pour ajouter un nouvel investisseur
                                </h3>
                                <div class="col-lg-12">
                                    <h3>Note</h3>
                                    <ul class="p-0 m-0" style="padding-left:0;margin-left:12px; color:orange">
                                        <li>Un compte est sythématiquement créer pour les clients dont l'email n'existe pas.</li>
                                        <li>Un mot de passe par défaut est créer pour les nouveaux clients soit : <strong style="color: red">123456780</strong>.</li>
                                        <li>Les nouveaux clients doivent s"acquiter de la soucritpion et des depenses annuelles pour confirmer la validité de leur compte.</li>
                                        <li>Vous ne pouvez pas ajoutr un investisseur ayant déjà un investissemrnt en cours sur ce projet.</li>
                                        <li>Le frais d'investissement de ce client ne pourront être incrementer à votre portefeuille car vous avez reçu en espèce.</li>
                                    </ul>
                                </div>

                                <div class="col-xs-12 col-md-12">
                                    <div class="row">
                                        <div class="col-lg-12 col-xs-12 col-md-12">
                                            <form action="{{route('admin.investment.add')}}" method="post"   class="row">
                                                @csrf
                                                <div class="col-lg-6 col-xs-12 col-md-12">
                                                    <div class="form-group">
                                                        <label for="last_name">Nom du client<br> </label>
                                                        <input type="text" id="last_name" name="last_name" required class="form-control">
                                                    </div>
                                                </div>
                                                
                                                <div class="col-lg-6 col-xs-12 col-md-12">
                                                    <div class="form-group">
                                                        <label for="first_name">Prenom du client<br> </label>
                                                        <input type="text" id="first_name" name="first_name" required class="form-control">
                                                    </div>
                                                </div>
                                                <div class="col-lg-6 col-xs-12 col-md-12">
                                                    <div class="form-group">
                                                        <label for="sexe">Sexe<br> </label>
                                                        <select name="sexe" id="sexe" required class="form-control">
                                                            <option value="Homme">Homme</option>
                                                            <option value="Femme">Femme</option>
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="col-lg-6 col-xs-12 col-md-12">
                                                    <div class="form-group">
                                                        <label for="email">Email client<br> </label>
                                                        <input type="email" name="email" id="email" required class="form-control">
                                                    </div>
                                                </div>
                                                <div class="col-lg-6 col-xs-12 col-md-12">
                                                    <div class="form-group">
                                                        <label for="country_id">Pays<br> </label>
                                                        <select name="country_id" required id="country_id" class="form-control">
                                                            @foreach($countries as $country)
                                                                <option value="{{ $country->id }}">{{ $country->name }}</option>
                                                            @endforeach
                                                        </select>
                                                    </div>
                                                </div>
                                                
                                                <div class="col-lg-6 col-xs-12 col-md-12">
                                                    <div class="form-group">
                                                        <label for="telephone">Téléphone<br> </label>
                                                        <input type="number" id="telephone" name="telephone" required class="form-control">
                                                    </div>
                                                </div>
                                                <div class="col-lg-12 col-xs-12 col-md-12">
                                                    <div class="form-group">
                                                        <label>
                                                            <input type="checkbox" name="has_paid"> <strong> Le client à t'il honoré les 12000 XOF de souscription à payer ?  </strong>
                                                        </label>
                                                    </div>
                                                </div>
                                                
                                                <div class="col-lg-12 col-xs-12 col-md-12">
                                                <h3>Définition des parts achetées</h3>
                                                </div>
                                                
                                                <div class="col-lg-6 col-xs-12 col-md-12">
                                                <h4>Total de part acheté =  <strong id="action_prix_display">{{ $project->action_prix }}</strong>XOF</h4>
                                                </div>
                                                <div class="col-lg-6 col-xs-12 col-md-12">
                                                <h4>Total de part payé =  <strong id="action_prix__pay_display">0</strong>XOF</h4>
                                                </div>
                                                <div class="col-lg-6 col-xs-12 col-md-12">
                                                <h4>Reste à payé =  <strong id="action_reste__pay_display">0</strong>XOF</h4>
                                                </div>
                                                <div class="col-lg-12 col-xs-12 col-md-12"></div>
                                                
                                                <div class="col-lg-6 col-xs-12 col-md-12">
                                                    <div class="form-group">
                                                        <input type="hidden" value="{{ $project->id }}" name="project_id">
                                                        <input type="hidden" value="{{ $project->action_prix }}" id="action_price" name="action_price">
                                                        <input type="hidden" value="{{ $project->obligation_mensuel }}" id="obligation_mensuel">
                                                        <input type="hidden" value="{{ $project->montant_fixe_obligation_mensuelle }}" id="montant_fixe_obligation_mensuelle">
                                                        <label for="action_part">Nombre de part total acheté<br> </label>
                                                        <select name="action_part" id="action_part" class="form-control">
                                                            @for($i=1; $i<=$project->nbre_part;$i++)
                                                                @if($i<=$project->action_nbre_limit)
                                                                    <option value="{{ $i }}">{{ $i }}</option>
                                                                @endif
                                                            @endfor
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="col-lg-6 col-xs-12 col-md-12">
                                                    <div class="form-group">
                                                        <label for="number_month_paid">Nombre de mensualité total payé<br> </label>
                                                        <select name="number_month_paid" id="number_month_paid" class="form-control">
                                                            <option value="0">0</option>
                                                            <option value="1">1</option>
                                                            @if(isset($project->nbre_obligation_mensuelle_paiement))
                                                                @for($i=2; $i<=$project->nbre_obligation_mensuelle_paiement;$i++)
                                                                    <option value="{{ $i }}">{{ $i }}</option>
                                                                @endfor
                                                            @endif
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="col-lg-12" style="color: darkred">
                                                    <strong>Note : </strong> <br>
                                                    En cliquant sur valider, vous ajouter un nouvel investisseur à votre projet. Cette action est irréversible.
                                                </div>
                                                <div class="col-lg-12 text-right">
                                                    <button type="submit" class="btn btn-primary btn-lg">Valider</button>
                                                </div>
                                            </form>
                                        </div>                                </div>
                                </div>
                            </div>
                           
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
<script type="text/javascript">
    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });

    $(document).ready(function () {
        $(document).on('change', '#action_part', function () {
            let action_part = $(this).val(),
            action_price=$("#action_price").val();
            $('#action_prix_display').html(parseInt(action_part) * parseInt(action_price));
            updatePaiementData();
        });
        $(document).on('change', '#number_month_paid', function () {
            updatePaiementData();
        });
    });

    function updatePaiementData (){
            let action_paid = $("#number_month_paid").val(),
                action_part = $("#action_part").val(),
                val_price=$('#action_prix_display').html();
                action_pay=$("#montant_fixe_obligation_mensuelle").val(),
                total_Paid=(parseInt(action_paid) * parseInt(action_pay)) * parseInt(action_part);
                $('#action_prix__pay_display').html(total_Paid);
                $('#action_reste__pay_display').html(parseInt(val_price) - parseInt(total_Paid));
    }

</script>
@endsection
