@extends("../dashboard._blank")

@section("sidebar")
    @include("../dashboard._sidebar")
@endsection

@section("css_add")
    <style>
        .error {
            color: red;
        }
    </style>
@endsection

@section("content")

    <style>
        @media (min-width: 768px) {
            .form-horizontal .control-label {
                text-align: left;
            }
        }

        .btn {
            border-radius: 0px;
        }

        .contact {
            border: 1px solid #ddd;
            border-radius: 50px;
        }
    </style>
    <div class="right_col" role="main">

        <div class="clearfix"></div>
        <div class="row">
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel text-uppercase">
                    <div class="x_title" style="padding-left: 20px;">
                        <h5 class="col-md-12 col-sm-12 col-xs-12"> GESTION DEMANDE POUR FINANCEMENT PROJET </h5>
                        <div class="clearfix"></div>
                    </div>
                    <div class="x_content">
                        @if ($errors->any())
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif
                        @if(session("success"))

                            <div class="alert alert-success">
                                {{session('success')}}
                            </div>

                        @elseif(session("error"))
                            <div class="alert alert-danger">
                                {{session('error')}}
                            </div>
                        @endif


                        <div class="row" style="margin-bottom: 10px;">
                            <table id="articledatatable-buttons" class="table table-responsive-xs table-bordered">
                                <thead>
                                <tr>
                                    <th>N°</th>
                                    <th title="titre de l'annonce">Utilisateur</th>
                                    <th title="description">Statut</th>
                                    <th title="">Date</th>
                                    <th>Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                @php $i=1; @endphp
                                @foreach($users as $user)
                                    <tr>
                                        <td>{{$i}}</td>
                                        <td>{{$user->first_name." ".$user->last_name}}</td>
                                        <td>
                                            <a href="javascript:void(0)" >
                                                @switch($user->ask_investment_project_allow->response)
                                                    @case("accepted")
                                                    <span class="btn btn-sm btn-success" >Acceptée</span>
                                                    @break
                                                    @case("refused")
                                                    <span class="btn btn-sm btn-danger" >Refusée</span>
                                                    @break
                                                    @case("waiting")
                                                    <span class="btn btn-sm btn-warning" >En attente</span>
                                                    @break
                                                @endswitch
                                            </a>
                                        </td>
                                        <td>{{date("d-m-Y",strtotime($user->ask_investment_project_allow->created_at))}}</td>
                                        <td>
                                            <div>
                                                <a title="Votre réponse" data-slug="{{$user->ask_investment_project_allow->id}}"
                                                   class="donner_reponse btn btn-xs btn-warning"
                                                   style="color: #fff;"> Répondre </a>
                                            </div>
                                        </td>
                                    </tr>
                                    @php $i++; @endphp
                                @endforeach

                                </tbody>
                            </table>
                        </div>



                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="repondreModal" class="modal fade">
        <div class="modal-dialog modal-lg">
            <form name="annonce_form" method="post" id="annonce_form" enctype="multipart/form-data"
                  action="{{route("investment.givePermissionProject")}}">
                @csrf

                <div class="modal-content" style="border-radius: 0px;">
                    <div class="modal-header">
                        <h4 class="modal-title">Donner votre réponse </h4>
                    </div>
                    <div class="modal-body">

                        <div>
                            <div class="row">


                                <div class="form-group col-md-12 col-xs-12">
                                    <label>Votre réponse </label><span style="color: red"> (requis)</span><br>
                                    <select name="response" id="response" class="form-control choosen">
                                        <option value="refused">Refuser</option>
                                        <option value="accepted">Accepter</option>
                                    </select>
                                </div>

                                <div class="form-group col-md-12 col-sm-12 col-xs-12">
                                    <label class="text-capitalize">Motif </label>
                                    <textarea name="motif" id="motif"
                                              style="width: 100%" rows="5" minlength="10"
                                              placeholder="Décrivez votre motivation pour cette réponse"></textarea>
                                </div>

                            </div>
                            <input type="hidden" name="slug" id="slug">
                        </div>
                        <div class="row">
                            <div class="modal-footer">
                                <input type="submit" name="action" id="action_catalogue" class="btn btn-sm"
                                       style="background-color: #0D3349;border-radius: 0px;color: white;"
                                       value="Envoyer"/>

                                <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">Fermer
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>

@endsection

@section('script')

    <script type="text/javascript">
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });

        function reset() {
            $("#textTitleModel").html("Ajouter");
        }


        $(document).on('click', '.donner_reponse', function () {
            let slug = $(this).attr("data-slug");
            $("#slug").val(slug);
            $("#repondreModal").modal("show");
        });


        $(document).ready(function () {

            $("form[name='annonce_form']").validate({
                rules: {
                    response: "required",
                },
                messages: {
                    response: "Champ requis",
                },
                submitHandler: function (form) {
                    $('form#annonce_form').submit();
                }
            });


        })
    </script>

@endsection
