@extends("../dashboard._blank")

@section("sidebar")
    @include("../dashboard._sidebar")
@endsection
@section("content")
    <style>
        input{

            font-weight: bold;
        }
        select{

            font-weight: bold;
        }
        .btn-gr{
            background: #fff;
            border: 1px solid #000;

        }
        .btn-gr:hover{
            background: #ddd;
            border: 1px solid #ddd;
        }
    </style>

    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <div class="row">
                                <h2 class="col-md-12 col-xs-12"><span style="color: #0c1423;">PARAMETRES GLOBAL INVESTISSEMENT</span></h2>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">
                            @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            @if(session("success"))

                                <div class="alert alert-success">
                                    {{session('success')}}
                                </div>

                            @elseif(session("error"))
                                <div class="alert alert-danger">
                                    {{session('error')}}
                                </div>
                            @endif
                            <div class="col-md-12" style="margin-bottom: 10px;">
                               </div>
                                <h3 class="col-md-12 col-xs-12">
                                    Veuillez renseigner les informations requises pour paramétrer le site web investissement
                                </h3>

                                @php
                                $params=new \App\ParametrageInvestissement();
                                $presentation=$params->getParametersByKeys('presentation');
                                $invest_condition=$params->getParametersByKeys('invest_condition');
                                $using_condition=$params->getParametersByKeys('using_condition');
                                $confidentiality=$params->getParametersByKeys('confidentiality');
                               @endphp
                            <div class="col-xs-12 col-md-12">
                                <div class="row">
                                    <div class="col-lg-12 col-xs-12 col-md-12">
                                        <form action="{{route('admin.param.config')}}" method="post"   class="row">
                                            @csrf
                                            
                                            <div class="col-lg-12 col-xs-12 col-md-12">
                                                <div class="form-group">
                                                    <label for="mot_bienvenue">Qui somme Nous ?<br> </label>
                                                    <textarea  class="form-control " rows="10" name="presentation" id="presentation">
                                                        @if(isset($presentation) && $presentation!=null && $presentation!="")
                                                            {{$presentation}}
                                                        @endif
                                                    </textarea>
                                                </div>
                                            </div>
                                             <div class="col-lg-12 col-xs-12 col-md-12">
                                                <div class="form-group">
                                                    <label for="mot_bienvenue">Condition D'investissement<br> </label>
                                                    <textarea  class="form-control " rows="10" name="invest_condition" id="invest_condition">
                                                        @if(isset($invest_condition) && $invest_condition!=null && $invest_condition!="")
                                                            {{$invest_condition}}
                                                        @endif
                                                    </textarea>
                                                </div>
                                            </div>
                                             <div class="col-lg-12 col-xs-12 col-md-12">
                                                <div class="form-group">
                                                    <label for="mot_bienvenue">Condition D'utilisation<br> </label>
                                                    <textarea  class="form-control " rows="10" name="using_condition" id="using_condition">
                                                        @if(isset($using_condition) && $using_condition!=null && $using_condition!="")
                                                            {{$using_condition}}
                                                        @endif
                                                    </textarea>
                                                </div>
                                            </div>
                                            <div class="col-sm-12">
                                                <div class="form-group">
                                                    <label for="condition_integration">Politique de confidentialité</label>
                                                    <textarea  class="form-control content" rows="10" name="confidentiality"  id="confidentiality">
                                                        @if(isset($confidentiality) && $confidentiality!='' && $confidentiality!=null )
                                                            {{$confidentiality}}
                                                        @endif
                                                    </textarea>
                                                </div>
                                            </div>
                                            <div class="col-lg-12 text-right">
                                                <button type="submit" class="btn btn-primary btn-sm">Valider</button>
                                            </div>
                                        </form>
                                    </div>                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script src="https://cdn.tiny.cloud/1/vfv84428cr1epmkh83aotqs1oquqq1svbhtkdrlok7m85r6d/tinymce/5/tinymce.min.js" referrerpolicy="origin"></script>
    <script type="text/javascript">
        tinymce.init({
            selector: 'textarea',
            height:500,
            plugins: [
                'advlist autolink lists link image charmap print preview anchor',
                'searchreplace visualblocks code fullscreen',
                'insertdatetime media table paste code help wordcount'
            ],
            toolbar_mode: 'floating',
            menubar: true
        });
    </script>

@endsection