
@extends("../dashboard._blank")

@section("sidebar")
    @include("../dashboard._sidebar")
@endsection

@section("content")
    <style>
        @media (min-width: 768px){
            .form-horizontal .control-label{
                text-align: left;
            }
        }
        .btn{
            border-radius: 0px;
        }
    </style>
    <div class="right_col" role="main">

        <div class="clearfix"></div>
        <div class="row">
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel text-uppercase">
                    <div class="x_title" style="padding-left: 20px;">
                        <h5 class="col-md-12 col-sm-12 col-xs-12">DEMANDE DE GESTION EMISES</h5>
                        <div class="clearfix"></div>
                    </div>
                    <div class="x_content">
                        @if(session("success"))

                            <div class="alert alert-success">
                                {{session('success')}}
                            </div>

                        @endif
                        @if(session("error"))

                            <div class="alert alert-danger">
                                {{session('error')}}
                            </div>

                        @endif
                        <br/>
                            <div class="col-12">
                                <a href="{{route('sunmarketers')}}" class="btn btn-default" style="border: 1px solid #000; color: #0D3349;text-align: center;"><i class="fas fa-long-arrow-alt-left"></i></a>&nbsp;&nbsp;
                            </div>
                            <div class="col-xs-12 col-md-12" style="margin-top: 10px">

                                <div class="row">
                                    <div class="table-responsive">
                                        <table id="categoriedatatable-buttons" class="table table-responsive-xs table-striped table-bordered">
                                            <thead>
                                            <tr>
                                                <th>MARKETER</th>
                                                <th>remuneration</th>
                                                <th>solde</th>
                                                <th>objectifs vente mensuel</th>
                                                <th>status de la demande</th>
                                                <th>status du gestionnaire</th>
                                                <th>Action</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            @foreach($marketers as $marketer)
                                                    <tr>

                                                        <td><a style="color: #88b121" href="{{route('sunmarketer_single',$marketer->user->slug)}}"> {{$marketer->user->first_name}} {{$marketer->user->last_name}} </a></td>
                                                        <td  style="text-decoration: underline;color: #88b121;cursor: pointer;">{{str_replace('_',' ',$marketer->remuneration)}}</td>

                                                        <td>{{$marketer->solde}} {{$marketer->remuneration=='pourcentage_vente' ? '%' : $marketer->devise}}</td>
                                                        <td>{{$marketer->solde_objectif_vente}} {{$marketer->devise}} </td>
                                                        <td>@if($marketer->marketer_accept) <span class="badge badge-success" style="background-color: #037100;color: #ffffff;width: 100%;">  {{'accepté'}} </span> @else <span class="badge badge-success" style="background-color: #d21d19;color: #ffffff;width: 100%;"> {{'rejeté'}} </span> @endif </td>
                                                        <td>@if($marketer->status) <span class="badge badge-success" style="background-color: #037100;color: #ffffff;width: 100%;">  {{'actif'}} </span> @else <span class="badge badge-success" style="background-color: #d21d19;color: #ffffff;width: 100%;"> {{'inactif'}} </span> @endif </td>

                                                        <td>
                                                          @if($marketer->status)
                                                            <a href="{{route('change_status_sunmarketer',$marketer->marketer_slug)}}"  class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> bloquer </a>
                                                            @endif
                                                        </td>
                                                    </tr>

                                            @endforeach

                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>

                            <div class="clearfix"></div>
                        <div class="ln_solid"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')

    <script type="text/javascript">
        $(document).ready(function(){
            $(document).on('click','#suivant1',function(){
                if(check_error(['prenom','nom','nationnalite'])){
                    $('#etape1').slideUp(1000,function(){
                        $('#etape2').slideDown(1000);
                    })
                }
            });

            $(document).on('click','#suivant2',function(){
                $('#etape2').slideUp(1000,function(){
                    $('#etape3').slideDown(1000);
                })
            });

            $(document).on('click','#retour2',function(){
                $('#etape2').slideUp(1000,function(){
                    $('#etape1').slideDown(1000);
                })
            });

            $(document).on('click','#suivant3',function(){
                $('#etape3').slideUp(1000,function(){
                    $('#etape4').slideDown(1000);
                })
            });

            $(document).on('click','#retour3',function(){
                $('#etape3').slideUp(1000,function(){
                    $('#etape2').slideDown(1000);
                })
            });

            $(document).on('click','#suivant4',function(){
                $('#etape4').slideUp(1000,function(){
                    $('#etape5').slideDown(1000);
                })
            });

            $(document).on('click','#retour4',function(){
                $('#etape4').slideUp(1000,function(){
                    $('#etape3').slideDown(1000);
                })
            });



            $(document).on('click','#retour5',function(){
                $('#etape5').slideUp(1000,function(){
                    $('#etape4').slideDown(1000);
                })
            });

            $(document).on('click', '#valider', function () {
                let form=$('#post_marketer_data'),
                    url=form.attr('action'),
                    $form = new FormData(form[0]),
                    btn=$(this);
                btn.attr('disabled',true).html('<img src="{{asset('images/loader.gif')}}" width="20px"> veuillez patienter ...');
                $.ajax({
                    url:url,
                    method:"POST",
                    data:$form,
                    dataType:'JSON',
                    contentType: false,
                    cache: false,
                    processData: false,
                    success:function(data) {
                        console.log(data)
                        btn.attr('disabled',false).html('Valider');
                        if(data.error){
                            $.notify(data.message,'error')
                            Swal.fire({
                                title: 'Echec mise à jour du profil',
                                text: data.message,
                                type: 'error',
                                showCancelButton: true,
                                confirmButtonColor: '#88b121',
                                cancelButtonColor: '#d33',
                                cancelButtonText: 'Réactualiser',
                                confirmButtonText: 'Reéssayer'
                            }).then((result) => {
                                if (!result.value) {
                                    location.reload();
                                }
                            })
                        }else{
                            Swal.fire({
                                title: 'PROFIL SUNMARKETER',
                                text: data.message,
                                type: 'success',
                                showCancelButton: false,
                                confirmButtonColor: '#88b121',
                            }).then((result) => {
                                if (result.value) {
                                    location.reload();
                                }
                            })

                        }
                    },error:function (data) {
                        console.log(data)
                        btn.attr('disabled',false).html('Valider');
                        $.notify('Une erreur s\'est est survenue au cours du processus. Veuillez réactualiser la page et reéssayer si elle persiste.','error')
                    }
                })
            });

        })

    </script>

@endsection
