@extends('../dashboard._blank')

@section('sidebar')
    @include('../dashboard._sidebar')
@endsection

@section('content')
    @php
        $get_user_data = $user;
        $meta_model = new \App\Users_meta();
        $picture = $meta_model->get_user_field($get_user_data['id'], 'profil_picture');
    @endphp

    <style>
        .btn {
            border-radius: 0px;
        }

        .contact {
            border: 1px solid #ddd;
            border-radius: 50px;
            color: #fff;
        }

        .contact:hover {
            color: #ddd;
        }

        .inside {
            color: #fff;
        }

        span a {
            color: #fff;
        }

        h4 span {
            font-weight: 500;
        }

        h4 {
            font-weight: 200;
            padding: 10px;
            line-height: 1.5em;
        }

        @media (max-width: 991px) {
            .form-horizontal .control-label {
                text-align: left;
            }

            h4 {
                font-size: 8pt;
            }

            .x_content h4 {
                font-size: 8pt;
            }

            h3 {
                font-size: 12pt;
            }

            .contact {
                border: 1px solid #ddd;
                border-radius: 50px;
                color: #88b121 !important;
            }

            .gborder {
                border-top: 10px solid #88b121;
                border-right: 10px solid #88b121;
                border-bottom: 10px solid #2F3030;
                border-left: 10px solid #2F3030;
            }
        }
    </style>
    <div class="right_col" role="main">

        <div class="clearfix"></div>
        <div class="row">
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel text-uppercase">
                    <div class="x_title" style="padding-left: 20px;">
                        <h5 class="col-md-12 col-sm-12 col-xs-12">GESTIONNAIRE SUNGROCERY / {{ $marketer->nom }}
                            {{ $marketer->prenom }} </h5>
                        <div class="clearfix"></div>
                    </div>
                    <div class="x_content" style="text-align:justify;">
                        @if (session('success'))
                            <div class="alert alert-success">
                                {{ session('success') }}
                            </div>
                        @endif
                        @if (session('error'))
                            <div class="alert alert-danger">
                                {{ session('error') }}
                            </div>
                        @endif
                        <br />
                        <div class="col-xs-12 col-lg-12 col-md-12"
                            style="padding-bottom: 0;margin-top: 30px;background: url('{{ asset('images/blank.jpg') }}') center no-repeat; background-size: cover">
                            <div class="row"
                                style="background: rgba(0,0,0,0.8);padding: 20px;color: #fff;height: 100%;margin-bottom: 0;">
                                <div class="" style="padding-top: 10px;">
                                    <a href="#" class="btn  btn-default marketerDefine"
                                        data-sunmarketer="{{ $marketer->user_slug }}"> Définir en tant que gestionnaire </a>


                                </div>
                                <h2 class="" style="margin-bottom: 20px;">Note : @if ($marketer->note <= 0)
                                        <span>Aucune note </span>
                                    @else
                                        <span>{{ $marketer->note }}</span>
                                    @endif
                                </h2>
                                <div class="" style="padding-top: 10px;padding-bottom: 20px;">
                                    {{ $marketer->motivation }}
                                </div>

                                <div class="col-lg-3 col-xs-12"
                                    style="border: none;box-shadow: 0 1px 5px rgba(6, 14, 28, 0.25), 0 1px 1px rgba(0, 0, 0, 0.22);padding: 15px">

                                    <div class="col-lg-12 col-xs-12 text-center">
                                        <img src="{{ asset('Profil_marketer/full/' . $marketer->photo) }}"
                                            style="width: 100%" alt="">
                                    </div>

                                </div>

                                <div class="col-lg-9">
                                    <h3 class="text-left">{{ $marketer->nom }} {{ $marketer->prenom }}</h3>
                                    <h4>Pays : <span>{{ $marketer->nationnalite }}</span> &nbsp; - &nbsp; <span>Region :
                                            <span>{{ $marketer->region }}</span></span> &nbsp; - &nbsp;<span>Ville :
                                            <span>{{ $marketer->ville }}</span></span></h4>
                                    <h4> <span>Adresse : <span>{{ $marketer->lieu_residence }} </span></span> </h4>


                                    <div class="col-lg-12 col-xs-12" style="padding-top: 10px;">
                                        @if ($marketer->numero_tel)
                                            <a href="tel:{{ $marketer->numero_tel }}" class="btn contact"
                                                target="_blank"><i class="fa fa-phone"></i> {{ $marketer->numero_tel }}
                                            </a>
                                        @endif
                                        @if (isset($marketer->numero_whatsapp))
                                            <a href="https://wa.me/{{ $marketer->numero_whatsapp }}"
                                                class=" btn contact" target="_blank"><i class="fa fa-whatsapp"></i> </a>
                                        @endif
                                        @if (isset($marketer->twitter))
                                            <a href="{{ $marketer->twitter }}" class=" btn contact" target="_blank"><i
                                                    class="fa fa-twitter"></i> </a>
                                        @endif
                                        @if (isset($marketer->linkedin))
                                            <a href="{{ $marketer->linkedin }}" class=" btn contact" target="_blank"><i
                                                    class="fa fa-linkedin"></i> </a>
                                        @endif
                                        @if (isset($marketer->facebook))
                                            <a href="{{ $marketer->facebook }}" class=" btn contact" target="_blank"><i
                                                    class="fa fa-facebook"></i> </a>
                                        @endif
                                    </div>

                                </div>
                                <div class="col-lg-12 col-xs-12" style="margin-top: 40px;padding: 20px 20px">

                                    <h3 class="row">INFORMATION SUPPLEMENTAIRE</h3>
                                    <hr>
                                    <div class="row">
                                        <h4>Date de naissance : <span>{{ $marketer->date_naissance }}</span> &nbsp; &nbsp;
                                        </h4>
                                        <h4>Lieu de naissance : <span>{{ $marketer->lieu_naissance }}</span></h4>

                                        <h4>CNI/PASSPORT : <span>{{ $marketer->cni }}</span> <br> <br>
                                            @if ($marketer->cni_doc_recto)
                                                <a class="contact btn" target="_blank"
                                                    href="{{ asset($marketer->cni_doc_recto) }}"> <i
                                                        class="fa fa-file"></i> cni /passport recto</a>
                                                @endif &nbsp;&nbsp;&nbsp;&nbsp;@if ($marketer->cni_doc_verso)
                                                    <a class="contact btn" target="_blank"
                                                        href="{{ asset($marketer->cni_doc_verso) }}"> <i
                                                            class="fa fa-file"></i> cni /passport verso</a>
                                                @endif
                                        </h4>
                                        <hr style="background: #fff">
                                        <h4>
                                            {{ $marketer->information_supplementaire }}
                                        </h4>

                                    </div>
                                </div>
                                <div class="col-lg-6 col-xs-12" style="margin-top: 40px;padding: 20px 20px;">

                                    <h3 class="row">PARCOURS</h3>
                                    <hr>
                                    <div class="row">
                                        <h4>Diplome le plus élévé : <span>{{ $marketer->diplome_elever }}</span> &nbsp;
                                            &nbsp; @if ($marketer->diplome_elever_doc)
                                                <a class="contact btn" target="_blank"
                                                    href="{{ asset($marketer->diplome_elever_doc) }}"> <i
                                                        class="fa fa-file"></i>(document)</a>
                                            @endif
                                        </h4>
                                        <h4>FORMATION : <span>{{ $marketer->formation }}</span></h4>
                                        <h4>Profession antérieur : <span>{{ $marketer->ancien_profession }}</span></h4>
                                    </div>
                                </div>
                                <div class="col-lg-6 col-xs-12" style="margin-top: 40px;padding: 20px 20px;">
                                    <h3 class="row">PRETENTION SALARIAL</h3>
                                    <hr>
                                    <div class="row">
                                        <h4>Remunération :
                                            <span>{{ strtoupper(str_replace('_', ' ', $marketer->remuneration)) }}</span>
                                        </h4>
                                        <h4>Salaire : <span>{{ $marketer->montant }}
                                                {{ $marketer->remuneration == 'pourcentage_vente' ? '%' : $marketer->devise }}</span>
                                        </h4>
                                        <h4> <span class="badge bagde-success">
                                                @if ($marketer->remuneration_negociable == 1)
                                                    Salaire négociable
                                                @else
                                                    Salaire non négociable
                                                @endif
                                            </span></h4>
                                    </div>
                                </div>
                            </div>
                        </div> 
                        {{-- <div class="col-xs-12 col-lg-12 col-md-12"
                            style="
                                padding-bottom: 0;
                                margin-top: 30px; 
                                background-color: white;
                                border-top: 10px solid #88b121;
                                border-right: 10px solid #88b121;
                                border-bottom: 10px solid #2F3030;
                                border-left: 10px solid #2F3030;
                            ">
                            <div class=""
                                style="background-color: white;padding: 20px;color: #2F3030;height: 100%;margin-bottom: 0;">
                                <div class="row">
                                    <div class="col-lg-4 col-xs-12"
                                        style="
                                            border: 1px solid #2F3030; 
                                            background-color: #2F3030; 
                                            padding: 15px; 
                                            min-height: 300px !important; 
                                            color:#FFF;
                                        ">
                                        <h4
                                            style="
                                                border: 1px solid #FFF; 
                                                background-color: #FFF; 
                                                padding: 5px;  
                                                border-radius: 50px; 
                                                color:#88b121; 
                                                text-align: center !important; 
                                                text-transform:uppercase; 
                                            ">
                                            coordonnées</h4>
                                        <div class="row">
                                            <h7>Pays : <span>{{ $marketer->nationnalite }}</span></h7><br>
                                            <h7>Region : <span>{{ $marketer->region }}</span></h7><br>
                                            <h7>Ville : <span>{{ $marketer->ville }}</span></h7><br>
                                            <h7>Adresse : <span>{{ $marketer->lieu_residence }}</span></h7><br>
                                            <br>
                                            <h7 style="font-size: 12px;">
                                                Note : @if ($marketer->note <= 0)
                                                    <span>Aucune note </span>
                                                @else
                                                    <span>{{ $marketer->note }}</span>
                                                @endif
                                            </h7>

                                        </div>
                                    </div>
                                    <h2 class="col-lg-4 col-xs-12"
                                        style="border: 1px solid #fff; margin-top: 50px; text-align:center; background-color: #fff; padding: 15px; ">
                                        <strong style="text-transform:uppercase; text-weight: 900; font-size: 5rem;">
                                            {{ $marketer->nom }} {{ $marketer->prenom }}
                                        </strong>
                                        <br>
                                        <a href="#" class="btn  btn-default marketerDefine"
                                            data-sunmarketer="{{ $marketer->user_slug }}" style="margin-top: 20px;">
                                            Définir en tant que gestionnaire </a>
                                    </h2>
                                    <div class="col-lg-4 col-xs-12"
                                        style="border: 1px solid #88b121; background-color: #88b121; padding: 15px; min-height: 300px !important; ">
                                        <h4
                                            style="border: 1px solid #FFF; background-color: #FFF; padding: 5px;  border-radius: 50px; color:#2F3030; text-align: center;">
                                            Parcours</h4>
                                        <div class="row">
                                            <h7>Diplome le plus élévé : <span>{{ $marketer->diplome_elever }}</span> &nbsp;
                                                &nbsp; @if ($marketer->diplome_elever_doc)
                                                    <a class="contact btn" target="_blank"
                                                        href="{{ asset($marketer->diplome_elever_doc) }}"> <i
                                                            class="fa fa-file"></i>(document)</a>
                                                @endif
                                            </h7><br>
                                            <h7>FORMATION : <span>{{ $marketer->formation }}</span></h7><br>
                                            <h7>Profession antérieur : <span>{{ $marketer->ancien_profession }}</span></h7>
                                            <br>
                                        </div>
                                    </div>
                                </div>

                                <div class="row" style="padding: 50px;">
                                    <div class="col-lg-12 col-xs-12">
                                        <div class="col-lg-4 col-xs-12"></div>
                                        <div class="col-lg-4 col-xs-12" style="text-align:center;">
                                            <img src="{{ asset('Profil_marketer/full/' . $marketer->photo) }}"
                                                style="width: 100%; height:100%; padding:30px; border: 10px solid #88b121;"
                                                alt="">
                                        </div>
                                        <div class="col-lg-4 col-xs-12"></div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-lg-4 col-xs-12"
                                        style="border: 1px solid #88b121; background-color: #88b121; padding: 15px; min-height: 300px !important; ">

                                        <h4
                                            style="border: 1px solid #FFF; background-color: #FFF; padding: 5px;  border-radius: 50px; color:#2F3030; text-align: center;">
                                            INFORMATION SUPPLEMENTAIRE</h4>
                                        <div class="row">
                                            <h7>Date de naissance : <span>{{ $marketer->date_naissance }}</span> &nbsp;
                                                &nbsp;
                                            </h7><br>
                                            <h7>Lieu de naissance : <span>{{ $marketer->lieu_naissance }}</span></h7>
                                            <br>
                                            <h7>CNI/PASSPORT : <span>{{ $marketer->cni }}</span>
                                                <br>
                                                <br>
                                                @if ($marketer->cni_doc_recto)
                                                    <a class="contact btn" target="_blank"
                                                        href="{{ asset($marketer->cni_doc_recto) }}"> <i
                                                            class="fa fa-file"></i> cni /passport recto</a>
                                                    @endif &nbsp;&nbsp;&nbsp;&nbsp;@if ($marketer->cni_doc_verso)
                                                        <a class="contact btn" target="_blank"
                                                            href="{{ asset($marketer->cni_doc_verso) }}"> <i
                                                                class="fa fa-file"></i> cni /passport verso</a>
                                                    @endif
                                            </h7>
                                            <br>
                                            <br>
                                            <h7 style="font-size: 12px;">
                                                {{ $marketer->information_supplementaire }}
                                            </h7>

                                        </div>
                                    </div>
                                    <div class="col-lg-4 col-xs-12"
                                        style="border: 1px solid #fff; background-color: #fff; padding: 15px;  text-align: center;">
                                        <strong
                                            style="padding: 5px; font-size:3rem; border-radius: 50px; color: gray; text-align: center;">
                                            Contacts</strong>
                                        <div class="row" style="text-align: center; color:#88b121 !important;">
                                            <div class="col-lg-12 col-xs-12" style="padding-top: 10px;">
                                                @if ($marketer->numero_tel)
                                                    <a href="tel:{{ $marketer->numero_tel }}" class="btn contact"
                                                        target="_blank" style="color:#88b121 !important;"><i
                                                            class="fa fa-phone-square"></i></a>
                                                @endif
                                                @if (isset($marketer->numero_whatsapp))
                                                    <a href="https://wa.me/{{ $marketer->numero_whatsapp }}"
                                                        class=" btn contact" target="_blank"
                                                        style="color:#88b121 !important;"><i class="fa fa-whatsapp"></i>
                                                    </a>
                                                @endif
                                                @if (isset($marketer->twitter))
                                                    <a href="{{ $marketer->twitter }}" class=" btn contact" target="_blank"
                                                        style="color:#88b121 !important;"><i class="fa fa-twitter"></i> </a>
                                                @endif
                                                @if (isset($marketer->linkedin))
                                                    <a href="{{ $marketer->linkedin }}" class=" btn contact"
                                                        target="_blank" style="color:#88b121 !important;"><i
                                                            class="fa fa-linkedin"></i> </a>
                                                @endif
                                                @if (isset($marketer->facebook))
                                                    <a href="{{ $marketer->facebook }}" class=" btn contact"
                                                        target="_blank" style="color:#88b121 !important;"><i
                                                            class="fa fa-facebook"></i> </a>
                                                @endif
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-4 col-xs-12"
                                        style="border: 1px solid #2F3030; background-color: #2F3030; padding: 15px; min-height: 300px !important; color:#FFF; ">
                                        <h4
                                            style="border: 1px solid #FFF; background-color: #FFF; padding: 5px;  border-radius: 50px; color:#88b121; text-align: center;">
                                            PRETENTION SALARIAL</h4>
                                        <div class="row">
                                            <h7>Remunération :
                                                <span>{{ strtoupper(str_replace('_', ' ', $marketer->remuneration)) }}</span>
                                            </h7>
                                            <br>
                                            <h7>Salaire : <span>{{ $marketer->montant }}
                                                    {{ $marketer->remuneration == 'pourcentage_vente' ? '%' : $marketer->devise }}</span>
                                            </h7>
                                            <br>
                                            <h7> <span class="badge bagde-success">
                                                    @if ($marketer->remuneration_negociable == 1)
                                                        Salaire négociable
                                                    @else
                                                        Salaire non négociable
                                                    @endif
                                                </span></h7>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div> --}}
                    </div>
                </div>
            </div>
        </div>
        @include('dashboard.Marketer.gestionnaire_modal')
    @endsection
