@extends('../dashboard._blank')

@section('sidebar')
    @include('../dashboard._sidebar')
@endsection

@section('content')
    @php
        $get_user_data = $user;
        $meta_model = new \App\Users_meta();
        $picture = $meta_model->get_user_field($get_user_data['id'], 'profil_picture');
    @endphp

    <style>
        @media (min-width: 768px) {
            .form-horizontal .control-label {
                text-align: left;
            }
        }

        .btn {
            border-radius: 0px;
        }

        .contact {
            border: 1px solid #ddd;
            border-radius: 50px;
            /* color: #0f0f0f; */
        }
    </style>
    <div class="right_col" role="main">

        <div class="clearfix"></div>
        <div class="row">
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel text-uppercase">
                    <div class="x_title" style="padding-left: 20px;">
                        <h5 class="col-md-12 col-sm-12 col-xs-12">GESTIONNAIRE SUNGROCERY </h5>
                        <div class="clearfix"></div>
                    </div>
                    <div class="x_content">
                        @if (session('success'))
                            <div class="alert alert-success">
                                {{ session('success') }}
                            </div>
                        @endif
                        @if (session('error'))
                            <div class="alert alert-danger">
                                {{ session('error') }}
                            </div>
                        @endif
                        <br />
                        <div class="col-12">
                            <a href="{{ route('sunmarketers') }}" data-toggle="modal" data-target="#moreaboutModal"
                                class="btn btn-default btn-sm"
                                style="border: 1px solid #000; color: #0D3349;text-align: center;">En savoir
                                plus</a>&nbsp;&nbsp;
                        </div>
                        <hr>
                        @foreach ($portefeuilles as $portefeuille)
                            <div class="col-md-6 col-lg-6 col-sm-12 col-xs-12">
                                <div class="panel card-1 text-left" style="font-size: 10pt;padding: 2%;text-align: left;">
                                    <img class="lazy" data-src="{{ asset('images/portefeuille.png') }}" width="30px"
                                        alt="">
                                    {{ 'Solde disponible' }} =
                                    {{ $portefeuille->montant }} {{ $portefeuille->devise }}
                                </div>
                            </div>
                        @endforeach
                        <br>
                        <hr>
                        <div class="col-12 col-lg-12 col-xs-12">
                            @if ($marketer != null)
                                <a href="{{ route('visibility_sunmarketer') }}" class="btn btn-default">RENDRE MON PROFIL
                                    @if (!$marketer->visibility)
                                        &nbsp;&nbsp; <i class="fa fa-globe"></i> public
                                    @else
                                        &nbsp;&nbsp; <i class="fa fa-lock"></i> privé
                                    @endif </a>
                            @endif
                            <a href="{{ route('persoanl_profil_view') }}" class="btn btn-success">
                                @if ($marketer != null)
                                    Mon profil
                                @else
                                    Creer mon profil
                                @endif
                            </a>
                            <a href="{{ route('demandeGestionnaireMake') }}" class="btn btn-primary text-uppercase">MES
                                DEMANDES DE GESTION </a>
                            <a href="{{ route('demandeGestionnaire') }}" class="btn btn-warning text-uppercase">OFFRES
                                REçues</a>
                        </div>
                        @if ($marketer != null && $marketer->user_slug != null)
                            <div class="col-xs-12 col-lg-12" style="padding-top: 20px">
                                <label for="marketer_link" style="color: #942a25;font-weight: 400">Cliquer sur le lien pour
                                    le copier.</label>
                                <small> <br>Partager ce lien avec des commerçants et gagner 20% du montant total de leurs
                                    abonnements au premier abonnement et 10% à vie.
                                    <br>
                                    PS: Ce montant est inscrit sur votre compte après que le commerçant ait créer sa
                                    boutique et souscris à un abonnement.
                                </small>
                                <input type="text" class="form-control" id="marketer_link"
                                    onclick="clipboard(this,'Lien copier avec succès.')" readonly
                                    value='{{ url('/?agent=' . str_replace('user', 'sgyagi789200', $marketer->user_slug)) }}'
                                    style="cursor:pointer;border: none" />
                            </div>
                        @endif
                        <div class="col-xs-12 col-lg-12 col-md-12" style="margin-top: 30px;">
                            <div class="row">
                                @if (count($marketers) > 0)
                                    <h2 class="col-md-12 col-xs-12" style="margin-bottom: 20px;">LES MARKETEURS DISPONIBLES.
                                    </h2>
                                    @foreach ($marketers as $marketer)
                                        {{-- <div class="col-md-4 col-xs-12"
                                            style="border: 1px solid #ddd;box-shadow: 0 1px 5px rgba(6, 14, 28, 0.25), 0 1px 1px rgba(0, 0, 0, 0.22);padding: 15px;border-radius: 10px">
                                            <div class="row">
                                                <div class="col-lg-3 col-xs-12 text-center">
                                                    <a href="{{ route('sunmarketer_single', $marketer->user_slug) }}">
                                                        @if ($marketer->photo != null)
                                                            <img src="{{ asset('Profil_marketer/' . $marketer->photo) }}"
                                                                style="border:1px solid #ddd;padding: 5px; width: 70px ;height: 70px;border-radius: 100%"
                                                                alt="">
                                                        @else
                                                            <img src="{{ asset('images/logo_mini.jpg') }}"
                                                                style="border:1px solid #ddd;padding: 5px; width: 70px ;height: 70px;border-radius: 100%"
                                                                alt="">
                                                        @endif
                                                    </a>
                                                </div>
                                                <div class="col-xs-12 col-lg-9" style="margin-top: 5px;">
                                                    <h4>
                                                        <a href="{{ route('sunmarketer_single', $marketer->user_slug) }}">
                                                            {{ $marketer->nom }} {{ $marketer->prenom }}
                                                        </a>
                                                    </h4>
                                                    <h6 class="">
                                                        {{ strtoupper(str_replace('_', ' ', $marketer->remuneration)) }} :
                                                        {{ $marketer->montant }}
                                                        {{ $marketer->remuneration == 'pourcentage_vente' ? '%' : $marketer->devise }}
                                                    </h6>
                                                    <span class="badge badge-light">{{ $marketer->nationnalite }}</span>
                                                </div>
                                            </div>
                                            {{--                                 <div class="col-lg-12 col-xs-12" style="padding-top: 10px;"> 
                                            {{--                                     {{Illuminate\Support\Str::limit($marketer->motivation,150)}} 
                                            {{--                                 </div> 
                                            <div class="col-lg-12 col-xs-12" style="padding-top: 10px;">
                                                @if ($marketer->numero_tel)
                                                    <a href="tel:{{ $marketer->numero_tel }}" class="btn contact"
                                                        target="_blank"><i class="fa fa-phone-square"></i></a>
                                                @endif
                                                @if (isset($marketer->numero_whatsapp))
                                                    <a href="https://wa.me/{{ $marketer->numero_whatsapp }}"
                                                        target="_blank" class=" btn contact"><i class="fa fa-whatsapp"></i> </a>
                                                @endif
                                                @if (isset($marketer->twitter))
                                                    <a href="{{ $marketer->twitter }}" target="_blank" class=" btn contact"><i
                                                            class="fa fa-twitter"></i> </a>
                                                @endif
                                                @if (isset($marketer->linkedin))
                                                    <a href="{{ $marketer->linkedin }}" target="_blank" class=" btn contact"><i
                                                            class="fa fa-linkedin"></i> </a>
                                                @endif
                                                @if (isset($marketer->facebook))
                                                    <a href="{{ $marketer->facebook }}" target="_blank" class=" btn contact"><i
                                                            class="fa fa-facebook"></i> </a>
                                                @endif
                                            </div>
                                            <div class="col-lg-12 col-xs-12" style="padding-top: 10px;">
                                                <a href="#" class="btn  btn-primary marketerDefine btn-sm"
                                                    data-sunmarketer="{{ $marketer->user_slug }}"
                                                    style="font-size: 8pt;border-radius: 50px"> Définir en tant que
                                                    gestionnaire </a>
                                            </div>
                                        </div> --}}
                                        <div class="col-lg-4 col-xs-12 text-center" style="margin-top: 50px;">
                                            <div class="gcard">
                                                <a href="{{ route('sunmarketer_single', $marketer->user_slug) }}">
                                                    @if ($marketer->photo != null)
                                                        <img src="{{ asset('Profil_marketer/' . $marketer->photo) }}"
                                                            alt="Profile Picture" class="profile-pic">
                                                    @else
                                                        <img src="{{ asset('images/logo_mini.jpg') }}"
                                                            alt="Profile Picture" class="profile-pic">
                                                    @endif
                                                </a>
                                                <div class="name">
                                                    <a href="{{ route('sunmarketer_single', $marketer->user_slug) }}">
                                                        {{ $marketer->nom }} {{ $marketer->prenom }}
                                                    </a>
                                                </div>
                                                <div class="position">
                                                    <h6 class="">
                                                        {{ strtoupper(str_replace('_', ' ', $marketer->remuneration)) }} :
                                                        {{ $marketer->montant }}
                                                        {{ $marketer->remuneration == 'pourcentage_vente' ? '%' : $marketer->devise }}
                                                    </h6>
                                                    <span class="badge badge-light">{{ $marketer->nationnalite }}</span>
                                                </div>
                                                <div class="details">
                                                    <div class="col-lg-12 col-xs-12" style="padding-top: 10px;">
                                                        @if ($marketer->numero_tel)
                                                            <a href="tel:{{ $marketer->numero_tel }}" class="btn contact"
                                                                target="_blank"><i class="fa fa-phone-square"></i></a>
                                                        @endif
                                                        @if (isset($marketer->numero_whatsapp))
                                                            <a href="https://wa.me/{{ $marketer->numero_whatsapp }}"
                                                                target="_blank" class=" btn contact"><i class="fa fa-whatsapp"></i> </a>
                                                        @endif
                                                        @if (isset($marketer->twitter))
                                                            <a href="{{ $marketer->twitter }}" target="_blank" class=" btn contact"><i
                                                                    class="fa fa-twitter"></i> </a>
                                                        @endif
                                                        @if (isset($marketer->linkedin))
                                                            <a href="{{ $marketer->linkedin }}" target="_blank" class=" btn contact"><i
                                                                    class="fa fa-linkedin"></i> </a>
                                                        @endif
                                                        @if (isset($marketer->facebook))
                                                            <a href="{{ $marketer->facebook }}" target="_blank" class=" btn contact"><i
                                                                    class="fa fa-facebook"></i> </a>
                                                        @endif
                                                    </div>
                                                    <a href="#" class="btn  btn-primary marketerDefine btn-sm"
                                                        data-sunmarketer="{{ $marketer->user_slug }}"
                                                        style="font-size: 8pt;border-radius: 50px">
                                                        Définir en tant que gestionnaire </a>
                                                </div>
                                            </div>
                                        </div>
                                    @endforeach
                                @else
                                    <div class="col-12 text-center p-5">
                                        <h2 class="col-md-12 col-xs-12 text-uppercase" style="margin-bottom: 20px;">AUCUN
                                            GESTIONNAIRE TROUVé</h2>
                                    </div>
                                @endif
                            </div>
                        </div>
                        <div class="clearfix"></div>
                        <div class="ln_solid"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @include('dashboard.Marketer.gestionnaire_modal')
    @include('dashboard.Marketer.about')
@endsection

@section('script')
    <script type="text/javascript">
        $(document).ready(function() {
            $(document).on('click', '#suivant1', function() {
                if (check_error(['prenom', 'nom', 'nationnalite'])) {
                    $('#etape1').slideUp(1000, function() {
                        $('#etape2').slideDown(1000);
                    })
                }
            });

            $(document).on('click', '#suivant2', function() {
                $('#etape2').slideUp(1000, function() {
                    $('#etape3').slideDown(1000);
                })
            });

            $(document).on('click', '#retour2', function() {
                $('#etape2').slideUp(1000, function() {
                    $('#etape1').slideDown(1000);
                })
            });

            $(document).on('click', '#suivant3', function() {
                $('#etape3').slideUp(1000, function() {
                    $('#etape4').slideDown(1000);
                })
            });

            $(document).on('click', '#retour3', function() {
                $('#etape3').slideUp(1000, function() {
                    $('#etape2').slideDown(1000);
                })
            });

            $(document).on('click', '#suivant4', function() {
                $('#etape4').slideUp(1000, function() {
                    $('#etape5').slideDown(1000);
                })
            });

            $(document).on('click', '#retour4', function() {
                $('#etape4').slideUp(1000, function() {
                    $('#etape3').slideDown(1000);
                })
            });



            $(document).on('click', '#retour5', function() {
                $('#etape5').slideUp(1000, function() {
                    $('#etape4').slideDown(1000);
                })
            });

            $(document).on('click', '#valider', function() {
                let form = $('#post_marketer_data'),
                    url = form.attr('action'),
                    $form = new FormData(form[0]),
                    btn = $(this);
                btn.attr('disabled', true).html(
                    '<img src="{{ asset('images/loader.gif') }}" width="20px"> veuillez patienter ...');
                $.ajax({
                    url: url,
                    method: "POST",
                    data: $form,
                    dataType: 'JSON',
                    contentType: false,
                    cache: false,
                    processData: false,
                    success: function(data) {
                        console.log(data)
                        btn.attr('disabled', false).html('Valider');
                        if (data.error) {
                            $.notify(data.message, 'error')
                            Swal.fire({
                                title: 'Echec mise à jour du profil',
                                text: data.message,
                                type: 'error',
                                showCancelButton: true,
                                confirmButtonColor: '#88b121',
                                cancelButtonColor: '#d33',
                                cancelButtonText: 'Réactualiser',
                                confirmButtonText: 'Reéssayer'
                            }).then((result) => {
                                if (!result.value) {
                                    location.reload();
                                }
                            })
                        } else {
                            Swal.fire({
                                title: 'PROFIL SUNMARKETER',
                                text: data.message,
                                type: 'success',
                                showCancelButton: false,
                                confirmButtonColor: '#88b121',
                            }).then((result) => {
                                if (result.value) {
                                    location.reload();
                                }
                            })

                        }
                    },
                    error: function(data) {
                        console.log(data)
                        btn.attr('disabled', false).html('Valider');
                        $.notify(
                            'Une erreur s\'est est survenue au cours du processus. Veuillez réactualiser la page et reéssayer si elle persiste.',
                            'error')
                    }
                })
            });

        })
    </script>
@endsection
