@extends("../dashboard._blank")
@section("sidebar")
    @include("../dashboard._sidebar")
@endsection
@section("content")
    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>

            <div class="row">

                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h2>metiers <small>Liste des metiers disponibles sur sunmarket</small></h2>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">

                            @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            @if(session("success"))

                                <div class="alert alert-success">
                                    {{session('success')}}
                                </div>

                            @elseif(session("error"))

                                <div class="alert alert-danger">
                                    {{session('error')}}
                                </div>

                            @endif

                            <div class="col-md-12" style="margin-bottom: 10px;"><button  data-toggle="modal" data-target="#metierModal" id="add_metier" class="btn btn-default" style="background-color: #0D3349;border-radius: 0px;color: white;"><i class="fa fa-plus-circle"></i> Ajouter</button></div>
                                <div class="col-xs-12 col-md-12">
                                    <div class="row">
                                <div class="table-responsive">
                                    <table id="categoriedatatable-buttons" class="table table-responsive-xs table-striped table-bordered">
                                    <thead>
                                    <tr>
                                        <th>N°</th>
                                        <th>Intitulé</th>
                                        <th>Description</th>
                                        <th>Action</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @php $i=0; @endphp
@foreach($metiers as $metier)
                                    <tr>
                                        <td>{{$i++}}</td>
                                        <td>{{$metier->intitule_metier}}</td>
                                        <td>{{$metier->description}}</td>
                                    <td>
                                        <div class="btn-group">
                                            <button style="background: #375980;" type="button" class="btn btn-primary btn-sm dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> Actions <span class="caret"></span></button>
                                            <ul class="dropdown-menu">
                                                <li><a data-slug="{{$metier->slug}}" data-url="{{url('get_metier',$metier->slug)}}" class="modifier_metier">modifier</a></li>
                                                <li><a href="{{url('delete_metier',$metier->slug)}}" class="suprimer_metier" onclick="return confirm('êtes vous sûr de vouloir suprimer ce metier');">Suprimer</a></li>
                                            </ul></div>
                                    </td>
                                    </tr>
    @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>


            </div>
        </div>
    </div>
    </div>
    </div>
    <!-- /page content -->

    <div id="metierModal" class="modal fade">
        <div class="modal-dialog">
            <form method="post" id="metier_form"  enctype="multipart/form-data">
                @csrf

                <div class="modal-content" style="border-radius: 0px;">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title"><i class="fa fa-plus"></i> Ajouter une metier </h4>
                    </div>
                    <div class="modal-body">

                        <div class="row">

                            <div class="form-group col-md-12">
                                <label>Intitulé</label><br>
                                <input type="text" id="intitule" name="intitule_metier" required="required" class="form-control" placeholder="Intitule *">
                            </div>

                        </div>

                        <div class="row">
                            <div class="form-group col-md-12">
                                <label>Description</label><br>
                                <textarea name="description_metier" class="form-control" id="description" style="width: 100%;" rows="10" placeholder=""></textarea>
                            </div>
                        </div>
                        <div class="row">
                            <div class="modal-footer">
                                <input type="submit" name="action" id="action" class="btn btn-info" style="background-color: #0D3349;border-radius: 0px;color: white;" value="Ajouter" />
                                <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                            </div>
                        </div>
                    </div>
                </div>

            </form>
        </div>
        </div>


@endsection
