<script>
    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });
</script>
<!-- add btn click -->
<script>
    function showForm() {
        let formContainer = $('#form-container');
        let form = $('#add-form');
        formContainer.slideDown('slow', function () {
            $('.add-btn').fadeOut();
        });
    }

    $(document).ready(function () {
        $(document).on('click','.add-btn',function (e) {
            e.preventDefault();
            showForm();
        });

        $(document).on('click','.add_plan',function (e) {
            $('.planTarifaire').append('<div class="section"><hr>\n' +
                '                                           <div class="form-group">\n' +
                '                                               <label for="pays_provenance">Pays </label>\n' +
                '                                               <select id="pays_provenance" data-placeholder="Choisissez le pays" multiple name="countries[][]" class="form-control choosen">\n' +
                '                                                   <option>Choisissez le pays </option>\n' +
                '                                                   @foreach ($pays as $country)\n' +
                '                                                       <option value="{{$country->id}}"> {{$country->name}}</option>\n' +
                '                                                   @endforeach\n' +
                '                                               </select>\n' +
                '                                           </div>\n' +
                '                                           <div class="form-group">\n' +
                '                                               <label for="plan_tarifaire">Plan tarifaire <span style="color: red">(pdf *)</span></label>\n' +
                '                                               <input type="file" id="plan_tarifaire" class="form-control" name="filename[]">\n' +
                '                                           </div>\n' +
                '                                               <button class="btn btn-danger btn-sm delete_section_plan"><i class="fa fa-trash"></i></button>\n' +
                '                                           </div>');
            $('.choosen').chosen({
                no_results_text: "Oops, pas de résultat ! ",
                width: "100%"
            });
        })

        $(document).on('click','.delete_section_plan',function (e) {
                $(this).closest('.section').remove();
        })
        $(document).on('click','.show_second_section',function (e) {
            $('#first_section').fadeOut(100,function(){
                $('#second_section').fadeIn(100)
            })
        })
       $(document).on('click','.show_first_section',function (e) {
            $('#second_section').fadeOut(100,function(){
                $('#first_section').fadeIn(100)
            })
        })
        $(document).on('click','.close-form-btn',function (e) {
            e.preventDefault();
            let formContainer = $('#form-container');
            let form = $('#add-form');
                formContainer.slideUp('slow',function () {
                    form.trigger('reset');
                    $('.add-btn').fadeIn();
                });
        });
    });
</script>
<!-- zones switch -->
<script>
    $(document).ready(function () {
        let visibleZone = "continent";

        $(document).on('change','#zones',function (e) {
            e.preventDefault();
            let zone = $(this).val();
            let form = $('#add-form');
                $('#zone-'+visibleZone).fadeOut('slow',function () {
                    $('#zone-'+zone).fadeIn();
                    visibleZone = zone;
                });
        });
        $(document).on('click','.close-form-btn',function (e) {
            e.preventDefault();
            let formContainer = $('#form-container');
            let form = $('#add-form');
                formContainer.slideUp('slow',function () {
                    form.trigger('reset');
                    $('.add-btn').fadeIn();
                });
        });
    });
</script>
<!-- loading regions on pays select -->
<script>
$(document).ready(function ($) {
    let regionsLoader = $('.regions-loader');
    $(document).on('change', '.pays', function () {
        regionsLoader.show();

        let pays_id = $(this).val();
        let url = '/get/regions/'+pays_id;
        $.ajax({
            url: url,
            method: "GET",
            success: function (data) {
                    $('.regions-container').html(data);
                    $(".choosen").chosen({width: "100%"});


            },
            error: function (error) {
                console.log(error);
            }
        }).always((result)=>{
            regionsLoader.hide();
        });

    });

});

</script>
<!-- loading villes on regions select -->
<script>
$(document).ready(function ($) {
    let villesLoader = $('.villes-loader');
    $(document).on('change', '#regions', function () {
        villesLoader.show();
        let region_id = $(this).val();
        let url = '/get/villes/'+region_id;
        $.ajax({
            url: url,
            method: "GET",
            success: function (data) {
                    $('.villes-container').html(data);
                    $(".choosen").chosen({width: "100%"});

            },
            error: function (error) {
                console.log(error);
            }
        }).always((result)=>{
            villesLoader.hide();
        });

    });

});

</script>
<!-- switch type livraison -->
<script>
    $(document).on('change','#type',function () {
        let type =$(this).val();
        if (type==='locale'){
            $('#internationale').fadeOut();
            $("#locale").fadeIn();
        }else{
            $('#internationale').fadeIn();
            $("#locale").fadeOut();
        }

    });
</script>

<!-- store moyen de paiement -->
<script>
    $(document).ready(function ($) {
        let formLoader = $('.form-loader');
        let errorContainer = $('.error-container');

        $(document).on('submit', '#add-form', function (e) {
            e.preventDefault();
            errorContainer.html('')
            errorContainer.hide();
            let url = '/livraisons/store/';
            let data = $(this).serialize();
            $.ajax({
                url: url,
                method: "POST",
                data:data,
                success: function (data) {
                    console.log('success',data)
                    if (data.error){
                        data.messages.forEach((message)=>{
                            let error = `<h6 class="alert alert-danger">`+message+`</h6>`;
                            errorContainer.append(error);
                        })
                        errorContainer.fadeIn();
                    }else{
                        $.notify(data.message,'success');
                    }
                },
                error: function (error) {
                    console.log('error',error);
                }
            }).always((result)=>{
            });

        });

    });

</script>
<!-- edit -->
<script>
    $(document).on('click','.update-btn',function (e) {
        let id = $(this).data('id');
        let url = '/livraison/edit/'+id;

        $.ajax({
            url: url,
            method: "GET",
            success:function(data){
                console.log('edit',data)
                switch (data.moyen.type) {
                    case '{{env('LIVRAISON_INTERNATIONALE')}}':
                        $('#locale').hide();
                        $('#internationale').show();
                        $('#type').val(data.moyen.type);
                        $('#societe_livraison').val(data.moyen.societe_livraison);
                        showForm();

                        break;

                    case '{{env('LIVRAISON_LOCALE')}}':
                        $('#type').val(data.moyen.type);
                        $('.regions-container').html(data.region_html);
                        $('.villes-container').html(data.ville_html);
                        $('.pays').val(data.pays_id);
                        $(".pays").trigger("chosen:updated");
                        $('#regions').val(data.region_id);
                        $('#regions').trigger("chosen:updated");
                        $('#villes').val(data.ville_ids);
                        $('#villes').trigger("chosen:updated");
                        $('#prix').val(data.moyen.prix)
                        $(".choosen").chosen({width: "100%"});
                        showForm();
                        break;
                }
            },
            error:function () {

            }
        })
    });
</script>
