@extends("../dashboard._blank")

@section("sidebar")
    @include("../dashboard._sidebar")
@endsection

@section("css_add")
    <style>
        .error {
            color: red;
        }


        .inputfile {
            width: 0.1px;
            height: 0.1px;
            opacity: 0;
            overflow: hidden;
            position: absolute;
            z-index: -1;
        }

        .inputfile + label {
            font-size: 1em;
            display: inline-block;
        }

        .inputfile:focus + label,
        .inputfile + label:hover {
        }

        .inputfile + label {
            cursor: pointer; /* "hand" cursor */
        }

        .inputfile:focus + label {
            outline: 1px dotted #000;
            outline: -webkit-focus-ring-color auto 5px;
        }

        #upload:hover {
            color: #D40025;
            border: #D40025 2px solid;
        }

        #selectedFiles img {
            max-width: 125px;
            max-height: 125px;
            float: left;
            margin-bottom: 10px;
        }

        #upload2 {
        }

        #upload2:hover {
            color: #D40025;
            border: #D40025 2px solid;
        }

        #selectedFiles2 img {
            max-width: 125px;
            max-height: 125px;
            float: left;
            margin-bottom: 10px;
        }
    </style>
@endsection

@section("content")

    <style>
        @media (min-width: 768px) {
            .form-horizontal .control-label {
                text-align: left;
            }
        }

        .btn {
            border-radius: 0px;
        }

        .contact {
            border: 1px solid #ddd;
            border-radius: 50px;
        }
    </style>
    <div class="right_col" role="main">

        <div class="clearfix"></div>
        <div class="row">
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel text-uppercase">
                    <div class="x_title" style="padding-left: 20px;">
                        <h5 class="col-md-12 col-sm-12 col-xs-12">PROMOTIONS </h5>
                        <div class="clearfix"></div>
                    </div>
                    <div class="x_content">
                        @if ($errors->any())
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif
                        @if(session("success"))

                            <div class="alert alert-success">
                                {{session('success')}}
                            </div>

                        @elseif(session("error"))
                            <div class="alert alert-danger">
                                {{session('error')}}
                            </div>
                        @endif

                        <div class="row" style="margin-bottom: 10px;">
                            <button type="button" class="btn btn-secondary btn-sm" data-toggle="tooltip"
                                    data-placement="top"
                                    title="Veuillez consulter votre profile pour modifier les informations reliées à votre compte annnonceur">
                                <i class="fa fa-info-circle"></i>
                            </button>
                            <button onclick="reset()" id="add_article" data-toggle="modal" data-target="#articleModal"
                                    class="btn btn-primary btn-sm"><i class="fa fa-plus-circle"></i> Ajouter une
                                promotion
                            </button>
                           
                        </div>

                        <div class="row">
                            <table id="articledatatable-buttons" class="table table-responsive-xs table-bordered">
                                <thead>
                                <tr>
                                    <th>Action</th>
                                    <th>Slug</th>
                                    <th title="image">Image</th>
                                    <th title="Nom">Nom</th>
                                    <th title="Type">Type</th>
                                    <th title="Code">Code</th>
                                    <th title="Utilisateur Maximum">Utilisateur Maximum</th>
                                    <th title="Reduction">Reduction</th>
                                    <th title="Date debut">Date debut</th>
                                    <th title="description">Date fin</th>
                                    <th title="Actif">Actif</th>
                                    <th>Créer</th>
                                    
                                </tr>
                                </thead>
                                <tbody>
                                @php $i=1; @endphp
                                @foreach($promotions as $promotion)
                                    <tr>
                                        <td>
                                            <div>
                                                <a title="Détail" data-slug="{{$promotion->slug}}"
                                                    class="detail_data btn btn-xs btn-info" style="color: #fff;"><i
                                                         class="fa fa-list"></i> </a>
                                                   <a title="Modifier" data-slug="{{$promotion->slug}}"
                                                       class="modifier_promotion btn btn-xs btn-warning"
                                                       style="color: #fff;"><i
                                                            class="fa fa-edit"></i> </a>
                                                    <a title="Suprimer"
                                                       href="{{route('promotion.delete_promotion',$promotion->slug)}}"
                                                       class="delete-action btn btn-xs btn-danger" style="color: #fff;"><i
                                                            class="fa fa-trash"></i> </a>
                                            </div>
                                        </td>
                                        <td>{{$promotion->slug}}</td>
                                        <td><img src="{{$promotion->image}}" width="30" alt=""></td>
                                        <td>{{$promotion->name}}</td>
                                        <td>{{$promotion->type}}</td>
                                        <td><strong> {{$promotion->code}}</strong></td>
                                        <td>{{$promotion->max_user}}</td>
                                        <td><strong>{{$promotion->percentage}} %</strong></td>
                                        <td>{{date("d-m-Y h:i:s",strtotime($promotion->debut))}}</td>
                                        <td>{{date("d-m-Y h:i:s",strtotime($promotion->fin))}}</td>
                                        <td>
                                            <a href="javascript:void(0)"
                                               onclick="visibility(@if($promotion->state==1) 'cloturer' @else 'activer' @endif,'{{route("promotion.visibility",[$promotion->slug])}}')">
                                                @if($promotion->actif==1) <span class="badge"
                                                                                style="background-color: #0d82d3">Actif</span> @else
                                                    <span class="badge"
                                                          style="background-color: #4F0800">Désactivé</span> @endif
                                            </a>
                                        </td>
                                        <td>{{date("d-m-Y h:i:s",strtotime($promotion->created_at))}}</td>
                                       
                                    </tr>
                                    @php $i++; @endphp
                                @endforeach

                                </tbody>
                            </table>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="articleModal" class="modal fade">
        <div class="modal-dialog modal-lg">
            <form name="promotion_form" method="post" id="promotion_form" enctype="multipart/form-data"
                  action="{{route("promotion.add_up")}}">
                @csrf

                <div class="modal-content" style="border-radius: 0px;">
                    <div class="modal-header">
                        <h4 class="modal-title"><i class="fa fa-plus"></i>
                            <span id="textTitleModel">Ajouter</span> une nouvelle
                            promotion </h4>
                    </div>
                    <div class="modal-body">

                        <div>
                            <div class="row">
                                <div class="text-center col-12" id="image_article">
                                    <h6 class="col-sm-12 col-xs-12">Ajouter une image de capacités inférieure ou égale
                                        à
                                        2MB. Les images lourdes ralentirons votre espace de vente.</h6>
                                    <div class="col-sm-12 col-xs-12 text-center mb-2">
                                        <div class="text-center" id="list_img_">
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-lg-3 col-xs-12"></div>
                                        <div class="col-lg-6 col-xs-12">
                                            <input type="file" accept="image/*" name="image" id="file" class="inputfile"
                                                   data-multiple-caption="{count}  fichiers choisis"/>
                                            <label for="file"
                                                   style="background: #060e1c;color: #fff;border: 1px double #060e1c;"
                                                   class="form-control col-form-label text-center text-sm-center btn subs_btn"><i
                                                    id="upload" class="fa fa-upload col-2"></i>
                                                <span id="lab"
                                                      style="color: #fff;"> Mettre une image en avant </span></label>
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group col-md-12 col-xs-12">
                                    <label>Nom de la promotion </label><span style="color: red"> (requis)</span><br>
                                    <input type="text" id="name"
                                           name="name" class="form-control"
                                           placeholder="Nom" style="width: 100%;" value="">
                                </div>
                                <div class="form-group col-md-6 col-sm-12 col-xs-12">
                                    <label class="text-uppercase">Type </label>
                                    <select id="type"  name="type" class="form-control" placeholder="Type" style="width: 100%;" value="">
                                        <option value="special">Spécial</option>
                                        <option value="code">Code</option>
                                        <option value="offer">Offer</option>
                                    </select>
                                </div>
                                <div class="form-group col-md-6 col-sm-12 col-xs-12">
                                    <label class="text-uppercase">Code </label>
                                    <input type="text" id="code"
                                    name="code" class="form-control"
                                    placeholder="Code" style="width: 100%;" value="">
                                </div>
                                <div class="form-group col-md-6 col-sm-12 col-xs-12">
                                    <label class="text-uppercase">utilisateur Maximal </label>
                                    <input type="number" id="max_user"
                                    name="max_user" class="form-control"
                                    placeholder="utilisateur Maximal" style="width: 100%;" value="">
                                </div>
                              
                                <div class="form-group col-md-6 col-sm-12 col-xs-12">
                                    <label class="text-uppercase">Reduction en %</label>
                                    <input type="number" id="percentage"
                                    name="percentage" class="form-control"
                                    placeholder="Pourcentage" max="50" style="width: 100%;" value="">
                                </div>
                                
                                <div class="form-group col-md-6 col-sm-12 col-xs-12">
                                    <label class="text-uppercase">Date de début</label>
                                    <input type="datetime-local" id="debut"
                                    name="debut" class="form-control"
                                    placeholder="Date de Début" max="50" style="width: 100%;" value="">
                                </div>
                                <div class="form-group col-md-6 col-sm-12 col-xs-12">
                                    <label class="text-uppercase">Date de fin</label>
                                    <input type="datetime-local" id="fin"
                                    name="fin" class="form-control"
                                    placeholder="Date de Fin" max="50" style="width: 100%;" value="">
                                </div>

                            </div>
                            <input type="hidden" name="slug" id="slug">
                        </div>
                        <div class="row">
                            <div class="modal-footer">
                                <input type="submit" name="action" id="action_add_article"
                                       class="btn btn-sm btn-primary"
                                       value="Enregistrer"/>

                                <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">Fermer
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>

@endsection

@section('script')
    <script type="text/javascript">
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        function reset() {
            $("#textTitleModel").html("Ajouter");
        }

        function visibility(text, url) {
            $.Zebra_Dialog('Etes vous sur de vouloir ' + text + ' cette publication ?', {
                'type': 'question',
                'title': 'Mise à jour ',
                'buttons': [
                    {
                        caption: 'Oui', callback: function () {

                            window.location.href = url;

                        }
                    }, {
                        caption: 'Non', callback: function () {
                            $.notify('Mise à jour annuler', 'error')
                        }
                    }
                ]
            });
        }

        $(document).ready(function () {
           
            $("form[name='promotion_form']").validate({
                rules: {
                    title: "required",
                },
                messages: {
                    title: "Champ requis",
                },
                submitHandler: function (form) {
                    $('#action_add_article').attr('disabled', true);
                    $('#action_add_article').val('Patientez ...');
                    $('form#promotion_form').submit();
                }
            });

            $(document).on('click', '.modifier_promotion', function () {
                let slug = $(this).attr("data-slug");
                $.ajax({
                    url: "{{route('promotion.get_promotion')}}",
                    method: 'post',
                    data: {slug: slug},
                    success: function (result) {
                        $("#textTitleModel").html("Modifier");
                        $("#name").val(result.data.name);
                        $("#type").val(result.data.type);
                        $("#code").val(result.data.code);
                        $("#fin").val(result.data.fin);
                        $("#debut").val(result.data.debut);
                        $("#max_user").val(result.data.max_user);
                        $("#percentage").val(result.data.percentage);
                        $("#slug").val(result.data.slug);
                        $('#articleModal').modal('show');
                    },
                    error: function (result) {

                    },

                });
            });
            $(document).on('click', '.detail_data', function () {
                let slug = $(this).attr("data-slug");
                console.log(slug);
                $.ajax({
                    url: "{{route('promotion.get_promotion')}}",
                    method: 'post',
                    data: {slug: slug},
                    success: function (result) {
                        $("#detail_resume").val(result.data.resume);
                        $("#detail_contenu").html(result.data.contenu);
                        $('#articleDetail').modal('show');
                    },
                    error: function (result) {

                    },

                });
            });


        })
    </script>

@endsection
