@extends("../dashboard._blank")

@section("sidebar")
    @include("../dashboard._sidebar")
@endsection

@section("css_add")
    <style>
        .error {
            color: red;
        }


        .inputfile {
            width: 0.1px;
            height: 0.1px;
            opacity: 0;
            overflow: hidden;
            position: absolute;
            z-index: -1;
        }

        .inputfile + label {
            font-size: 1em;
            display: inline-block;
        }

        .inputfile:focus + label,
        .inputfile + label:hover {
        }

        .inputfile + label {
            cursor: pointer; /* "hand" cursor */
        }

        .inputfile:focus + label {
            outline: 1px dotted #000;
            outline: -webkit-focus-ring-color auto 5px;
        }

        #upload:hover {
            color: #D40025;
            border: #D40025 2px solid;
        }

        #selectedFiles img {
            max-width: 125px;
            max-height: 125px;
            float: left;
            margin-bottom: 10px;
        }

        #upload2 {
        }

        #upload2:hover {
            color: #D40025;
            border: #D40025 2px solid;
        }

        #selectedFiles2 img {
            max-width: 125px;
            max-height: 125px;
            float: left;
            margin-bottom: 10px;
        }
    </style>
@endsection

@section("content")

    <style>
        @media (min-width: 768px) {
            .form-horizontal .control-label {
                text-align: left;
            }
        }

        .btn {
            border-radius: 0px;
        }

        .contact {
            border: 1px solid #ddd;
            border-radius: 50px;
        }
    </style>
    <div class="right_col" role="main">

        <div class="clearfix"></div>
        <div class="row">
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel text-uppercase">
                    <div class="x_title" style="padding-left: 20px;">
                        <h5 class="col-md-12 col-sm-12 col-xs-12">RECETTES </h5>
                        <div class="clearfix"></div>
                    </div>
                    <div class="x_content">
                        @if ($errors->any())
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif
                        @if(session("success"))

                            <div class="alert alert-success">
                                {{session('success')}}
                            </div>

                        @elseif(session("error"))
                            <div class="alert alert-danger">
                                {{session('error')}}
                            </div>
                        @endif

                        <div class="row" style="margin-bottom: 10px;">
                            <button type="button" class="btn btn-secondary btn-sm" data-toggle="tooltip"
                                    data-placement="top"
                                    title="Veuillez consulter votre profile pour modifier les informations reliées à votre compte annnonceur">
                                <i class="fa fa-info-circle"></i>
                            </button>
                            <button onclick="reset()" id="add_article" data-toggle="modal" data-target="#articleModal"
                                    class="btn btn-primary btn-sm"><i class="fa fa-plus-circle"></i> Ajouter une
                                recette
                            </button>
                           
                        </div>

                        <div class="row">
                            <table id="articledatatable-buttons" class="table table-responsive-xs table-bordered">
                                <thead>
                                <tr>
                                    <th>Action</th>
                                    <th>Slug</th>
                                    <th title="image">Image</th>
                                    <th title="Nom">Nom</th>
                                    <th title="Type">Type</th>
                                    <th title="plats">plats</th>
                                    <th title="minutes">minutes</th>
                                    <th title="Actif">Actif</th>
                                    <th>Créer</th>
                                    
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($recettes as $recette)
                                    <tr>
                                        <td>
                                            <div>
                                                <a title="Détail" data-slug="{{$recette->slug}}"
                                                    class="detail_data btn btn-xs btn-info" style="color: #fff;"><i
                                                         class="fa fa-list"></i> </a>
                                                   <a title="Modifier" data-slug="{{$recette->slug}}"
                                                       class="modifier_recette btn btn-xs btn-warning"
                                                       style="color: #fff;"><i
                                                            class="fa fa-edit"></i> </a>
                                                    <a title="Suprimer"
                                                       href="{{route('recette.delete_recette',$recette->slug)}}"
                                                       class="delete-action btn btn-xs btn-danger" style="color: #fff;"><i
                                                            class="fa fa-trash"></i> </a>
                                            </div>
                                        </td>
                                        <td>{{$recette->slug}}</td>
                                        <td><img src="{{$recette->image}}" width="30" alt=""></td>
                                        <td>{{$recette->name}}</td>
                                        <td>{{$recette->type}}</td>
                                        <td><strong> {{$recette->plats}}</strong></td>
                                        <td>{{$recette->minutes}}</td>
                                        <td>
                                            <a href="javascript:void(0)"
                                               onclick="visibility(@if($recette->state==1) 'cloturer' @else 'activer' @endif,'{{route("recette.visibility",[$recette->slug])}}')">
                                                @if($recette->actif==1) <span class="badge"
                                                                                style="background-color: #0d82d3">Actif</span> @else
                                                    <span class="badge"
                                                          style="background-color: #4F0800">Désactivé</span> @endif
                                            </a>
                                        </td>
                                        <td>{{date("d-m-Y h:i:s",strtotime($recette->created_at))}}</td>
                                       
                                    </tr>
                                     @endforeach

                                </tbody>
                            </table>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="articleModal" class="modal fade">
        <div class="modal-dialog modal-lg">
            <form name="recette_form" method="post" id="recette_form" enctype="multipart/form-data"
                  action="{{route("recette.add_up")}}">
                @csrf

                <div class="modal-content" style="border-radius: 0px;">
                    <div class="modal-header">
                        <h4 class="modal-title"><i class="fa fa-plus"></i>
                            <span id="textTitleModel">Ajouter</span> une nouvelle
                            recette </h4>
                    </div>
                    <div class="modal-body">

                        <div>
                            <div class="row">
                                <div class="text-center col-12" id="image_article">
                                    <h6 class="col-sm-12 col-xs-12">Ajouter une image de capacités inférieure ou égale
                                        à
                                        2MB. Les images lourdes ralentirons votre espace de vente.</h6>
                                    <div class="col-sm-12 col-xs-12 text-center mb-2">
                                        <div class="text-center" id="list_img_">
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-lg-3 col-xs-12"></div>
                                        <div class="col-lg-6 col-xs-12">
                                            <input type="file" accept="image/*" name="image" id="file" class="inputfile"
                                                   data-multiple-caption="{count}  fichiers choisis"/>
                                            <label for="file"
                                                   style="background: #060e1c;color: #fff;border: 1px double #060e1c;"
                                                   class="form-control col-form-label text-center text-sm-center btn subs_btn"><i
                                                    id="upload" class="fa fa-upload col-2"></i>
                                                <span id="lab"
                                                      style="color: #fff;"> Mettre une image en avant </span></label>
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group col-md-12 col-xs-12">
                                    <label>Nom de la recette </label><span style="color: red"> (requis)</span><br>
                                    <input type="text" id="name"
                                           name="name" class="form-control"
                                           placeholder="Nom" style="width: 100%;" value="">
                                </div>
                                <div class="form-group col-md-12 col-sm-12 col-xs-12">
                                    <label class="text-uppercase">Resumé</label>
                                    <input type="text" id="resume"
                                    name="resume" class="form-control"
                                    placeholder="resume" style="width: 100%;" value="">
                                </div>
                                
                                <div class="form-group col-md-12 col-sm-12 col-xs-12">
                                    <label class="text-uppercase">Liste des ingrédients utilisés (séparer par des * )</label>
                                    <input type="text" id="ingrédients"
                                    name="ingrédients" class="form-control"
                                    placeholder="ingrédients" style="width: 100%;" value="">
                                </div>
                                <div class="form-group col-md-6 col-sm-12 col-xs-12">
                                    <label class="text-uppercase">Durée total de preparation de la recette (minutes)</label>
                                    <input type="number" id="minutes"
                                    name="minutes" class="form-control"
                                    placeholder="Nombre de minutes" style="width: 100%;" value="">
                                </div>
                                <div class="form-group col-md-6 col-sm-12 col-xs-12">
                                    <label class="text-uppercase">Nombre de plats</label>
                                    <input type="number" id="plats"
                                    name="plats" class="form-control"
                                    placeholder="Nombre de plats"  style="width: 100%;" value="">
                                </div>
                                <div class="form-group col-md-6 col-sm-12 col-xs-12">
                                    <label class="text-uppercase">Type </label>
                                    <select id="type"  name="type" class="form-control" placeholder="Type" style="width: 100%;" value="">
                                        <option value="text">Texte</option> 
                                        <option value="video">Vidéo</option>
                                    </select>
                                </div>
                                <div class="form-group col-md-12 col-sm-12 col-xs-12" id="link_box" style="display: none">
                                    <label class="text-uppercase">Lien youtube de la vidéo </label>
                                    <input type="text" id="link"
                                    name="link" class="form-control"
                                    placeholder="Lien" style="width: 100%;" value="">
                                </div>
                                <div class="form-group col-md-12 col-sm-12 col-xs-12" id="documentation_box">
                                    <label class="text-uppercase"> Documentation de la recette</label>
                                    <textarea rows="2" id="documentation"
                                    name="documentation" class="form-control"
                                    placeholder="Documentation" style="width: 100%;"></textarea>
                                </div>
                            </div>
                            <input type="hidden" name="slug" id="slug">
                        </div>
                        <div class="row">
                            <div class="modal-footer">
                                <input type="submit" name="action" id="action_add_article"
                                       class="btn btn-sm btn-primary"
                                       value="Enregistrer"/>

                                <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">Fermer
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>

    <div id="articleDetail" class="modal fade">
        <div class="modal-dialog modal-md">

            <div class="modal-content" style="border-radius: 0px;">
                <div class="modal-header">
                    <h4 class="modal-title"><i class="fa fa-plus"></i>
                        <span>Détails</span></h4>

                </div>
                <div class="modal-body pt-4">
                    <div class="col-12">
                        <div class="row">
                            <div class="form-group col-md-12 col-sm-12 col-xs-12">
                                <h2>Nom: <strong><span id="detail_name"></span> (<span id="detail_type"></span>)</strong></h2>
                            </div>
                            <div class="form-group col-md-12 col-sm-12 col-xs-12">
                                <div><img id="detail_image" src="" width="100%" alt=""></div>
                            </div>
                            <div class="form-group col-md-12 col-sm-12 col-xs-12">
                                <label class="text-uppercase">Nombre de personne: <strong id="detail_plats"></strong> </label>
                            </div>
                            <div class="form-group col-md-12 col-sm-12 col-xs-12">
                                <label class="text-uppercase">Ingrédients </label>
                                <div id="detail_ingrédients"></div>
                            </div>
                            <div class="form-group col-md-12 col-sm-12 col-xs-12">
                                <label class="text-uppercase">Nombre de minute : <strong id="detail_minutes"></strong> minutes</label>
                            </div>
                            <div class="form-group col-md-12 col-sm-12 col-xs-12">
                                <label class="text-uppercase">Résumé: </label>
                                <div id="detail_resume"></div>
                            </div>
                            <div class="form-group col-md-12 col-sm-12 col-xs-12" id="detail_documentation_box">
                                <div id="detail_documentation"></div>
                            </div>
                            <div class="form-group col-md-12 col-sm-12 col-xs-12" id="detail_link_box">
                                <div id="detail_link" class="text-center">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">Fermer
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


@endsection

@section('script')
<script src="https://cdn.tiny.cloud/1/vfv84428cr1epmkh83aotqs1oquqq1svbhtkdrlok7m85r6d/tinymce/5/tinymce.min.js" referrerpolicy="origin"></script>
<script type="text/javascript">
    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });
    tinymce.init({
        selector: '#documentation',
        plugins: [
            'advlist autolink lists link image charmap print preview anchor',
            'searchreplace visualblocks code fullscreen',
            'insertdatetime media table paste code help wordcount'
        ],
        height:500,
        toolbar_mode: 'floating',
        menubar: true
    });
        function reset() {
            $("#textTitleModel").html("Ajouter");
        }

        function visibility(text, url) {
            $.Zebra_Dialog('Etes vous sur de vouloir ' + text + ' cette publication ?', {
                'type': 'question',
                'title': 'Mise à jour ',
                'buttons': [
                    {
                        caption: 'Oui', callback: function () {

                            window.location.href = url;

                        }
                    }, {
                        caption: 'Non', callback: function () {
                            $.notify('Mise à jour annuler', 'error')
                        }
                    }
                ]
            });
        }

        $(document).ready(function () {
           
            $("form[name='recette_form']").validate({
                rules: {
                    title: "required",
                },
                messages: {
                    title: "Champ requis",
                },
                submitHandler: function (form) {
                    $('#action_add_article').attr('disabled', true);
                    $('#action_add_article').val('Patientez ...');
                    $('form#recette_form').submit();
                }
            });

            $(document).on('change', '#type', function () {
                let btn = $(this),
                    val = btn.val();
                    if(val==="text"){
                        $('#documentation_box').fadeIn('50',function(){
                            $('#link_box').fadeOut('100')
                        })
                    }else{
                        $('#link_box').fadeIn('50',function(){
                            $('#documentation_box').fadeOut('100')
                        })
                    }
            })
            $(document).on('click', '.modifier_recette', function () {
                let slug = $(this).attr("data-slug");
                $.ajax({
                    url: "{{route('recette.get_recette')}}",
                    method: 'post',
                    data: {slug: slug},
                    success: function (result) {
                        $("#textTitleModel").html("Modifier");
                        $("#name").val(result.data.name);
                        $("#type").val(result.data.type);
                        $("#link").val(result.data.link);
                        $("#documentation").html(result.data.documentation);
                        $("#ingrédients").val(result.data.ingrédients);
                        $("#minutes").val(result.data.minutes);
                        $("#plats").val(result.data.plats);
                        $("#resume").val(result.data.resume);
                        $("#slug").val(result.data.slug);
                        if(result.data.type==="text"){
                            $("#documentation").val(result.data.documentation);
                            $("#documentation_box").fadeIn();
                            $("#link_box").fadeOut();
                        }else{
                            //https://www.youtube.com/embed/Y0kkhNsZk5c?list=RDY0kkhNsZk5c
                            $("#link").val(result.data.link);
                            $("#link_box").fadeIn();
                            $("#documentation_box").fadeOut();
                        }
                        $('#articleModal').modal('show');
                    },
                    error: function (result) {

                    },

                });
            });
            $(document).on('click', '.detail_data', function () {
                let slug = $(this).attr("data-slug");
                console.log(slug);
                $.ajax({
                    url: "{{route('recette.get_recette')}}",
                    method: 'post',
                    data: {slug: slug},
                    success: function (result) {
                        $("#detail_image").attr('src',result.data.image);
                        $("#detail_name").html(result.data.name);
                        $("#detail_resume").html(result.data.resume);
                        $("#detail_type").html(result.data.type);
                        $("#detail_link").html(result.data.link);
                        
                        $("#detail_ingrédients").html(result.data.ingrédients);
                        $("#detail_minutes").html(result.data.minutes);
                        $("#detail_plats").html(result.data.plats);
                        if(result.data.type==="text"){
                            $("#detail_documentation").html(result.data.documentation);
                            $("#detail_documentation_box").fadeIn();
                            $("#detail_link_box").fadeOut();
                        }else{
                            //https://www.youtube.com/embed/Y0kkhNsZk5c?list=RDY0kkhNsZk5c
                            $("#detail_link").html(`<iframe width="100%" height="320" src="${result.data.link}" title="${result.data.name}" frameborder="0" allowfullscreen></iframe>`);
                            $("#detail_link_box").fadeIn();
                            $("#detail_documentation_box").fadeOut();
                        }
                        $('#articleDetail').modal('show');
                    },
                    error: function (result) {

                    },

                });
            });


        })
    </script>

@endsection
