<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Filtre avec Dropdown</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://kit.fontawesome.com/a076d05399.js" crossorigin="anonymous"></script>
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <style>
        .filter-container {
            margin-bottom: 100px;
            border: 1px solid #ddd;
            box-shadow: 0 1px 5px rgba(6, 14, 28, 0.25), 0 1px 1px rgba(0, 0, 0, 0.22);
            border-radius: 10px;
            background: #fff;
            padding: 20px;
        }
        .filter-header {
            cursor: pointer;
            font-size: 20px;
            font-weight: 600;
            text-align: center;
            text-transform: uppercase;
            color: #88b121;
        }
        .filter-content {
            display: none;
            margin-top: 15px;
        }
    </style>
</head>
<body>
    <div class="container mt-5">
        <div class="filter-container">
            <div class="filter-header" onclick="toggleFilter()">
                <i class="fas fa-filter"></i> Filtrer par date
            </div>
            <div class="filter-content" id="filterContent">
                <form action="" method="get">
                    <div class="form-group">
                        <label for="startDay">Date de début</label>
                        <input type="date" name="startDay" id="startDay" required class="form-control" value="{{  $startDate ?? '' }}">
                    </div>
                    <div class="form-group">
                        <label for="endDay">Date de fin</label>
                        <input type="date" name="endDay" id="endDay" required class="form-control" value="{{  $endDate ?? '' }}">
                    </div>
                    <button type="submit" class="btn btn-primary btn-block">Filtrer</button>
                </form>
            </div>
        </div>
    </div>

    <script>
        function toggleFilter() {
            $('#filterContent').slideToggle();
        }

        $(document).click(function(event) {
            if (!$(event.target).closest('.filter-container').length) {
                $('#filterContent').slideUp();
            }
        });
    </script>
</body>
</html>
