@extends('dashboard.landing_blank')
@section('title') Comment configurer sa boutique en ligne @endsection

@section('content')
    <style>
        .card-header:hover div{
            width: 100%;height: 100%;background: rgba(0,0,0,0.5);
        }

        .footer-card:hover div{
            width: 100%;height: 100%;background: rgba(0,0,0,0.5);
        }
        .footer-card:hover div{
            width: 100%;height: 100%;background: rgba(0,0,0,0.5);
        }
        a{
            text-decoration: none;
        }
        a:hover{

            color: #88b121;

            text-decoration: none;
        }
    </style>

    <section class=" overflow-hidden  cover-bg-opacity text-left" id="section-home" style="background: #fff">
        <div class="col-sm-12" style="padding: 5%">
            <div class="row align-items-center justify-content-center">
                <div class="col-md-6 order-1 order-md-0 offset-1">

                    <h2 class="heading mb-3" style="color: #88b121">Comment créer une boutique</h2>
                    <div class="sub-heading" style="color: #88b121">

                        <p class="mb-4">
                            Configurer votre boutique est une étape nécessaire pour sa diffusion. Elle comprend les étapes de configuration de design et l'ajout des produits.
                        </p>
                        <p class="mb-5">
                            @if(\Illuminate\Support\Facades\Session::has('user'))

                                <a class="btn btn-default btn-lg pb_btn-pill smoothscroll" href="{{route('home')}}" style="border: 1px solid #88b121;"><span class="pb_font-14 text-uppercase pb_letter-spacing-1">Tableau de bord</span></a>

                            @else
                                <a class="btn btn-danger btn-lg pb_btn-pill smoothscroll" href="{{route('bienvenue')}}"><span class="pb_font-14 text-uppercase pb_letter-spacing-1">Démarrer</span></a>
                            @endif
                        </p>
                    </div>
                </div>

                <div class="col-md-5 relative align-self-center order-0 order-md-1 mb-4">
                    <img src="{{asset('images/e-commerce-create-boutique.png')}}" alt="" width="100%">
                </div>
            </div>
        </div>
    </section>




    <section class="pb_section " id="section_creation_boutique">
        <div class="col-sm-12">
            <div class="row">
                <div class="col-lg-12 mb-5">

                    <div class="row">

                        <div class="col">
                            <h2 class="text-center">Suivez les étapes suivant pour configurer votre boutique</h2>

                            <hr style="width: 50px;background: #88b121;padding: 2px">

                        </div>
                        <p class="col-sm-12 text-center">
                            Lancez-vous et passez du rêve à l'action.
                        </p>
                        <div class="col-sm-12 col-12 col-lg-6" style="margin-top: 10px;">
                            <div class="card">
                                <div class="card-header col-sm-12 text-center" style="line-height: 200px;background: url({{asset('images/configure_boutique_categorie.png')}}) center no-repeat; background-size: cover;height: 200px;padding: 0">
                                    <div>
                                        <a  href="{{asset('images/configure_boutique_categorie.png')}}" style="color: #fff;">Voir image</a>
                                    </div>
                                </div>
                                <div class="card-body">

                                    <h5 class="col-sm-12"><span style="color: #88b121;">Etape 1: Ajouter une nouvelle catégorie</span> </h5>

                                    <p class="col-sm-12">Cliquer sur le bouton <i class="fa fa-dashboard"></i> dashboard de votre boutique pour débuter la configuration.</p>
                                </div>
                            </div>
                        </div>


                        <div class="col-sm-12 col-12 col-lg-6" style="margin-top: 10px;">
                            <div class="card">

                                <div class="card-header col-sm-12 text-center" style="line-height: 200px;background: url({{asset('images/configure_boutique_categorie2.png')}}) center no-repeat; background-size: cover;height: 200px;padding: 0">
                                    <div>
                                        <a  href="{{asset('images/configure_boutique_categorie2.png')}}" style="color: #fff;">Voir image</a>
                                    </div>
                                </div>
                                <div class="card-body">

                                    <h5 class="col-sm-12"><span style="color: #88b121;">Etape 2: Selection d'un type d'ajout</span> </h5>

                                    <p class="col-sm-12"> Deux choix vous sont offerts pour ajouter une catégorie à votre boutique.
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </section>


    <section class="pb_section bg-light pb_slant-white" id="installation_boutique">
        <div class="col-sm-12">
            <div class="row">
                <div class="col-lg-12  mb-5">

                    <div class="row">
                        <div class="col-sm-12 col-12 col-lg-6" style="margin-top: 10px;">
                            <div class="card">
                                <div class="card-header col-sm-12 text-center" style="line-height: 200px;background: url({{asset('images/configure_boutique_categorie3.png')}}) center no-repeat; background-size: cover;height: 200px;padding: 0">
                                    <div>
                                        <a  href="{{asset('images/configure_boutique_categorie3.png')}}" style="color: #fff;">Voir image</a>
                                    </div>
                                </div>
                                <div class="card-body">

                                    <h5 class="col-sm-12"><span style="color: #88b121;">Choix 1: Ajouter depuis le catalogue de sungrocery</span> </h5>

                                    <p class="col-sm-12">
                                        Nous avons spécialement préparé pour vous une liste de catégories pour faciliter la configuration de votre boutique. Ainsi en un click, vous pouvez choisir une catégorie déjà disponible et l'ajouter à votre propre catalogue.
                                        <br> <span style="color: red;">NB</span>
                                        La liste de catégorie que nous vous proposerons sera liée au domaine d'activité de votre boutique.
                                    </p>
                                    </div>
                            </div>
                        </div>

                        <div class="col-sm-12 col-12 col-lg-6" style="margin-top: 10px;">
                            <div class="card">
                                <div class="card-header col-sm-12 text-center" style="line-height: 200px;background: url({{asset('images/configure_boutique_categorie5.png')}}) center no-repeat; background-size: cover;height: 200px;padding: 0">
                                    <div>
                                        <a  href="{{asset('images/configure_boutique_categorie5.png')}}" style="color: #fff;">Voir image</a>
                                    </div>
                                </div>
                                <div class="card-body">

                                    <h5 class="col-sm-12"><span style="color: #88b121;">Choix 2: Ajouter une nouvelle catégorie personnalisée</span> </h5>

                                    <p class="col-sm-12">
                                        Vous ne parvenez pas à trouver la catégorie que vous désirez dans notre catalogue ? Vous pouvez créer une nouvelle catégorie, remplir les champs requis et valider le formulaire.
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>

            </div>
        </div>
    </section>




    <section class="pb_section " id="section_creation_boutique" style="margin-bottom: 10px;">
        <div class="col-sm-12">
            <div class="row">
                <div class="col-lg-12 mb-5">

                    <div class="row">

                        <div class="col-sm-12 col-xs-12 col-lg-12">
                            <h2 class="text-center">Options</h2>

                            <hr style="width: 50px;background: #88b121;padding: 2px">

                        </div>

                        <div class="col-sm-12 col-12 col-lg-6" style="margin-top: 10px;">
                            <div class="card">
                                <div class="card-header col-sm-12 text-center" style="line-height: 200px;background: url({{asset('images/configure_boutique_options.png')}}) center no-repeat; background-size: cover;height: 200px;padding: 0">
                                    <div>
                                        <a  href="{{asset('images/configure_boutique_options.png')}}" style="color: #fff;">Voir image</a>
                                    </div>
                                </div>
                                <div class="card-body">
                                    <div class="col-sm-12">
                                        OPTIONS
                                        Personnalisez votre boutique avec les options proposées. Certaines options et fonctionnalités ne sont pas disponibles pour le moment .
                                        Mais nous travaillons à vous offrir une expérience exceptionnelle sur le processus de personnalisation.
                                        Ainsi vous pouvez :
<ul>
    <li>                                    Insérer le logo de votre boutique
    </li><li>
                                        Renseigner l'adresse de localisation de votre store si disponible ou votre propre adresse de résidence.(au choix)
    </li><li>
                                        Définir des modes opératoires ou critères de vente.
    </li><li>
                                        Ajouter une image d'entête qui reflète votre image de marque, domaine d'activité ou les particularités de votre boutique
    </li><li>
                                        Faires apparaître la liste de vos partenares apparaitres sur votre boutique
    </li>
                                    </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </section>

    <section class="pb_section pb_slant-light pb_pb-220" >
        <div class="container">
            <div class="row justify-content-center mb-1">
                <div class="col-md-6 text-center mb-5">
                    <h2>Démarrez votre boutique avec sungrocery</h2>
                </div>
            </div>
            <div class="row">
                <div class="col-md">
                    <div class="pb_slide_testimonial_sync_v1">
                        <div class="pb_slider_content js-pb_slider_content2 text-center">
                            <p style="font-size: 12pt;">
                                Essayez sungrocery à un prix forfetaire pour découvrir tous les outils et services dont vous avez besoin pour lancer, gérer et développer votre entreprise.                            </p>
                        </div>

                        <div class="row">
                            <div class="col-md-12 text-center">
                                <a class="btn btn-danger btn-lg smoothscroll" href="{{route('bienvenue')}}"><span class="pb_font-14 text-uppercase pb_letter-spacing-1">Démarrer</span></a>

                            </div>
                        </div>

                    </div>
                    <!-- END sync_v1 -->
                </div>
            </div>
        </div>
    </section>
    <!-- END section -->

@endsection
