@php
    $home = new \App\Http\Controllers\HomeController();
    // $chart= $home->chart_vente();
    // $chart2= $home->chart_achat();
    use Illuminate\Http\Request;
    $request = Request::capture();
    $startDate = $request->startDay ? $request->startDay : date('Y-01-01');
    $endDate = $request->endDay ? $request->endDay : date('Y-12-31');
    $chart = $home->chart_vente($startDate, $endDate);
    $chart2 = $home->chart_achat($startDate, $endDate);

    $privilegecheck = new \App\Users_controle();
    $check_privilege = $privilegecheck->has_privilege(
        \Illuminate\Support\Facades\Session::get('user')['id'],
        'producteur',
    );
@endphp
@extends('dashboard._blank')

@section('sidebar')
    @include('dashboard._sidebar')
@endsection
@section('content')
    <style>
        .item img {
            width: 100%;
        }

        .pace {
            -webkit-pointer-events: none;
            pointer-events: none;
            -webkit-user-select: none;
            -moz-user-select: none;
            user-select: none;
        }

        .pace-inactive {
            display: none;
        }

        .contact {
            border: 1px solid #ddd;
            border-radius: 50px;
        }

        .pace .pace-progress {

            background: #88b121;

            position: fixed;
            z-index: 2000;
            top: 0;
            right: 100%;
            width: 100%;
            height: 2px;
        }

        .pace .pace-progress-inner {
            display: block;
            position: absolute;
            right: 0px;
            width: 100px;
            height: 100%;

            box-shadow: 0 0 10px #88b121, 0 0 5px #88b121;

            opacity: 1.0;
            -webkit-transform: rotate(3deg) translate(0px, -4px);
            -moz-transform: rotate(3deg) translate(0px, -4px);
            -ms-transform: rotate(3deg) translate(0px, -4px);
            -o-transform: rotate(3deg) translate(0px, -4px);
            transform: rotate(3deg) translate(0px, -4px);
        }

        .pace .pace-activity {
            display: block;
            position: fixed;
            z-index: 2000;
            top: 15px;
            right: 15px;
            width: 14px;
            height: 14px;
            border: solid 2px transparent;

            border-top-color: #88b121;
            border-left-color: #88b121;

            border-radius: 10px;
            -webkit-animation: pace-spinner 400ms linear infinite;
            -moz-animation: pace-spinner 400ms linear infinite;
            -ms-animation: pace-spinner 400ms linear infinite;
            -o-animation: pace-spinner 400ms linear infinite;
            animation: pace-spinner 400ms linear infinite;
        }

        @-webkit-keyframes pace-spinner {
            0% {
                -webkit-transform: rotate(0deg);
                transform: rotate(0deg);
            }

            100% {
                -webkit-transform: rotate(360deg);
                transform: rotate(360deg);
            }
        }

        @-moz-keyframes pace-spinner {
            0% {
                -moz-transform: rotate(0deg);
                transform: rotate(0deg);
            }

            100% {
                -moz-transform: rotate(360deg);
                transform: rotate(360deg);
            }
        }

        @-o-keyframes pace-spinner {
            0% {
                -o-transform: rotate(0deg);
                transform: rotate(0deg);
            }

            100% {
                -o-transform: rotate(360deg);
                transform: rotate(360deg);
            }
        }

        @-ms-keyframes pace-spinner {
            0% {
                -ms-transform: rotate(0deg);
                transform: rotate(0deg);
            }

            100% {
                -ms-transform: rotate(360deg);
                transform: rotate(360deg);
            }
        }

        @keyframes pace-spinner {
            0% {
                transform: rotate(0deg);
                transform: rotate(0deg);
            }

            100% {
                transform: rotate(360deg);
                transform: rotate(360deg);
            }
        }

        .chosen-container-single .chosen-single {
            height: 38px;
            background: none;
            border-radius: 0px;
            line-height: 38px;
        }

        .chosen-container-single .chosen-single div {
            margin-top: 8px;
        }

        #button {
            display: block;
            margin: 20px auto;
            padding: 10px 30px;
            background-color: #eee;
            border: solid #ccc 1px;
            cursor: pointer;
        }

        #overlay {
            position: fixed;
            top: 0;
            z-index: 100;
            width: 100%;
            height: 100%;
            display: none;
            background: rgba(0, 0, 0, 0.6);
        }

        .cv-spinner {
            height: 100%;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        .spinner {
            width: 40px;
            height: 40px;
            border: 4px #ddd solid;
            border-top: 4px #2e93e6 solid;
            border-radius: 50%;
            animation: sp-anime 0.8s infinite linear;
        }

        @keyframes sp-anime {
            0% {
                transform: rotate(0deg);
            }

            100% {
                transform: rotate(359deg);
            }
        }

        .is-hide {
            display: none;
        }

        ul {
            list-style-type: none;
        }

        li {
            display: inline-block;
        }

        input[type="checkbox"][id^="myCheckbox"] {
            display: none;
        }

        label {
            border: 1px solid #fff;
            padding-top: 10px;
            display: block;
            position: relative;
            /* margin-top: 10px; */
            font-weight: bold;
            color: #000;
        }

        label:before {
            background-color: white;
            color: white;
            content: " ";
            display: block;
            border-radius: 50%;
            border: 1px solid grey;
            position: absolute;
            top: -5px;
            left: -5px;
            width: 25px;
            height: 25px;
            text-align: center;
            line-height: 28px;
            transition-duration: 0.4s;
            transform: scale(0);
        }

        label img {
            height: 100%;
            width: 100%;
            transition-duration: 0.2s;
            transform-origin: 50% 50%;
        }

        :checked+label {
            border-color: #ddd;
        }

        :checked+label:before {
            content: "✓";
            background-color: grey;
            transform: scale(1);
        }

        :checked+label img {
            transform: scale(0.9);
            /* box-shadow: 0 0 5px #333; */
            z-index: -1;
        }

        .card-1 {
            box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
            transition: all 0.3s cubic-bezier(.25, .8, .25, 1);
        }

        .card-1:hover {
            box-shadow: 0 14px 28px rgba(6, 14, 28, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
            transition: all 1000ms ease;
        }


        .card-3:hover {
            box-shadow: 0 14px 28px rgba(6, 14, 28, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
            transition: all 1000ms ease;
        }

        select {
            margin-left: 0px;
        }

        p a {
            font-size: 10pt;
            font-family: 'Montserrat';
            border-bottom: none;
            background: none;
        }

        p a i {
            color: #fff;
        }

        p a:hover {
            color: #2A3F54;
            font-weight: bold;
            font-size: 10pt;
            background: none;

        }

        .carousel-item {
            height: 100%;
        }

        .carousel-caption h5 {
            font-size: 20pt;
            color: #000;
            font-weight: bold;
        }

        .panel {
            padding: 5%;
            text-align: center;
            font-weight: bold;
            color: #000;
            font-size: 15pt;
        }

        .panel .count {
            font-size: 20pt;
            padding: 2% 5%;
            font-weight: bold;
            text-align: center;
            border-radius: 50px;
            color: #000;
        }

        .card-1 {
            text-align: center;
            border: none;
        }

        .myslick {
            max-width: 350px !important;
            border: 1px solid #ddd;
            box-shadow: 0 1px 5px rgba(6, 14, 28, 0.25), 0 1px 1px rgba(0, 0, 0, 0.22);
            padding: 15px;
            border-radius: 10px
        }

        .btn-success {
            background: #88b121;
        }

        td .btn {
            display: block !important;
        }
    </style>
    <style>
        .card {
            /* width: 300px; */
            height: 200px;
            background-color: #88b121;
            /* background-image: linear-gradient(43deg, #88b121 0%, #88b121 46%, #88b121 100%); */
            border-radius: 8px;
            color: white;
            overflow: hidden;
            position: relative;
            transform-style: preserve-3d;
            perspective: 1000px;
            transition: all 0.5s cubic-bezier(0.23, 1, 0.320, 1);
            cursor: pointer;
        }

        .card-content {
            padding: 20px;
            position: relative;
            z-index: 1;
            display: flex;
            flex-direction: column;
            gap: 10px;
            color: white;
            align-items: center;
            justify-content: center;
            text-align: center;
            height: 100%;
        }

        .card-content .card-title {
            font-size: 24px;
            font-weight: 700;
            color: inherit;
            text-transform: uppercase;
        }

        .card-content .card-para {
            /* color: inherit; */
            opacity: 0.8;
            font-weight: 400;
            font-size: 20px;
        }

        .card:hover {
            transform: rotateY(10deg) rotateX(10deg) scale(1.05);
            box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
        }

        .card:before {
            content: "";
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background: linear-gradient(transparent, rgba(0, 0, 0, 0.1));
            transition: transform 0.5s cubic-bezier(0.23, 1, 0.320, 1);
            z-index: 1;
        }

        .card:hover:before {
            transform: translateX(-100%);
        }

        .card:after {
            content: "";
            position: absolute;
            top: 0;
            right: 0;
            width: 100%;
            height: 100%;
            background: linear-gradient(transparent, rgba(0, 0, 0, 0.1));
            transition: transform 0.5s cubic-bezier(0.23, 1, 0.320, 1);
            z-index: 1;
        }

        .card:hover:after {
            transform: translateX(100%);
        }
    </style>
    <!-- page content -->
    @if ($check_privilege)
        <div class="right_col" role="main">
            <!-- top tiles -->
            <div class="row">
                <div class="col-sm-12">
                    <div id="myCarousel" class="carousel slide" data-ride="carousel">
                        <!-- Indicators -->
                        <ol class="carousel-indicators">
                            <li data-target="#myCarousel" data-slide-to="0" class="active"></li>
                            <li data-target="#myCarousel" data-slide-to="1"></li>
                        </ol>

                        <!-- Wrapper for slides -->
                        <div class="carousel-inner">
                            <div class="item active">
                                <img class="lazy" src="{{ asset('images/productor/slide_sungrocery.jpg') }}"
                                    alt="sungrocery achat et vente">
                            </div>
                            <div class="item">
                                <img class="lazy" src="{{ asset('images/productor/slide_sungrocery_2.gif') }}"
                                    alt="sungrocery achat et vente">
                            </div>
                        </div>
                    </div>
                </div>
                
                <div class="col-sm-12 col-lg-12 col-xs-12">
                    <div class="row">
                        @if ($total_boutique < 1)
                            <div class="col-md-12 col-lg-12 col-sm-12 col-xs-12">

                                <div class="alert alert-light"
                                    style="font-size: 12pt;padding: 2%;border-radius: 0;background: #f8f8f8;">

                                    <p style="font-size: 14pt;">Tableau de bord</p>
                                    {{-- <p style="font-size: 14pt;">
                            Démarrez l'aventure en souscrivant à l'abonnement de votre choix. <br>
                        </p> --}}
                                    {{-- <p>
                            <button id="subscribe" class="btn btn-primary brn-sm">Nos Tarifs</button>
                        </p>
                        <p style="color: red">
                            PS: Vous pouvez vous abonnez au tant de fois pour augmenter le nombre de produit à ajouter
                            au catalogue. <br>
                        </p> --}}
                                </div>
                            </div>
                        @endif
                        <div class="col-md-12 col-lg-12 col-sm-12 col-xs-12">
                            @if (!\Illuminate\Support\Facades\Session::get('user')['doc_validated'])

                                <p style="background-color: #ca172a;font-size: 12pt;color: #ececec;padding: 2%">
                                    Vous ne pouvez pas effectuer de retrait pour le moment.
                                    @if (\Illuminate\Support\Facades\Session::get('user')['cni'] == null)
                                        <br>
                                        Votre carte d'identité/passport est requise pour finaliser votre identification. (si
                                        vous est un
                                        partenaire ou une ONG, veuillez fournir des pièces justificatifs de l'identité du
                                        Gérand) <a style="text-decoration: underline; font-size: 12pt;"
                                            href="{{ route('update_view') }}">finaliser
                                            maintenant</a>
                                    @else
                                        <br>
                                        Nous vérifions votre identité. Veuillez patienter vos documents sont en cours de
                                        validation.
                                    @endif
                                    <br>
                                    si le processus dure plus de 24h, veuillez contacter le service client au +22967723243
                                    sur whatsapp.
                                </p>
                                <br>
                            @endif

                        </div>
                    </div>
                </div>

                <div class="col-md-12 col-lg-12 col-sm-12 col-xs-12"
                    style="margin-top: 5px; margin-bottom:5px; font-size: 12pt;color: #1e3551;">
                    <button class="btn btn-dark mt-2" id="filterButton" style="background: #000;color:#fff!important;">
                        <i class="mdi mdi-filter"></i> Filtrer <i class="mdi mdi-arrow-right-thin"></i>
                    </button>
                    <div class="row card-1" id="filterForm"
                        style="display: none; width: 600px !important; border-radius: 5px; margin-left:2px;">
                        <form action="" method="get" style="text-align: left !important;">
                            <div class="col-md-4 col-lg-4 col-sm-4 col-xs-4">
                                <div class="form-group">
                                    <label for="startDay" style="border: 0px;">Date de début</label>
                                    <input type="date" name="startDay" id="startDay" required="required"
                                        class="form-control reverse" placeholder="Date de début"
                                        value="{{ $startDate ?? '' }}">
                                    {{-- <span id="error_startDay"></span> --}}
                                </div>
                            </div>
                            <div class="col-md-4 col-lg-4 col-sm-4 col-xs-4">
                                <div class="form-group">
                                    <label for="endDay" style="border: 0px;">Date de fin</label>
                                    <input type="date" name="endDay" id="endDay" required="required"
                                        class="form-control reverse" placeholder="Date de fin" value="{{ $endDate ?? '' }}">
                                    {{-- <span id="error_endDay"></span> --}}
                                </div>
                            </div>
                            <div class="col-md-4 col-lg-4 col-sm-4 col-xs-4 ">
                                <div class="form-group">
                                    <label for="submit" style="border: 0px; margin-top: 13%">
                                    </label>
                                    <input type="submit"
                                        class="btn btn-primary btn-block pb_btn-pill contact_submit_button" value="Filtrer">
                                </div>
                            </div>
                        </form>
                    </div>
                </div>

                 <div class="row">
                     <a href="{{ route('article_supplier_index') }}" class="col-md-3 col-lg-3 col-sm-12 col-xs-4">
                         <div class="card" style="margin-top:20px">
                             <div class="card-content">
                                 <p class="card-title">
                                     {{ $articleProducteur->count() > 1 ? 'Produits' : 'Produit' }}
                                 </p>
                                 <p class="card-para">
                                     <span>{{ $articleProducteur->count() }}</span>
                                 </p>
     
                             </div>
                         </div>
                     </a>
                     <a href="#" class="col-md-3 col-lg-3 col-sm-12 col-xs-4" style="cursor: initial;">
                         <div class="card" style="margin-top:20px">
                             <div class="card-content">
                                 <p class="card-title">
                                     {{ $article_merchant > 1 ? 'Produits Ajoutés' : 'Produit Ajouté' }}
                                 </p>
                                 <p class="card-para">
                                     <span>{{ $article_merchant }}</span>
                                 </p>
     
                             </div>
                         </div>
                     </a>
                     <a href="#" class="col-md-3 col-lg-3 col-sm-12 col-xs-4" style="cursor: initial;">
                         <div class="card" style="margin-top:20px">
                             <div class="card-content">
                                 <p class="card-title">
                                     Gain
                                 </p>
                                 <p class="card-para">
                                     <span>{{ $producerPercentage->percentage }}%</span>
                                 </p>
     
                             </div>
                         </div>
                     </a>
                     <a href="{{ route('generale.command') }}" class="col-md-6 col-lg-3 col-sm-6 col-xs-6">
                         <div class="card" style="margin-top:20px">
                             <div class="card-content">
                                 <p class="card-title">
                                     {{ $total_commande > 1 ? 'Total Achat' : 'Total Achat' }}
                                 </p>
                                 <p class="card-para">
                                     <span>{{ $total_commande }}</span>
                                 </p>
     
                             </div>
                         </div>
                     </a>
                 </div>
            </div>
        @else
            <div class="right_col" role="main">
                <!-- top tiles -->
                <div class="row">
                    <div class="col-sm-12">
                        <div id="myCarousel" class="carousel slide" data-ride="carousel">
                            <!-- Indicators -->
                            <ol class="carousel-indicators">
                                <li data-target="#myCarousel" data-slide-to="0" class="active"></li>
                                <li data-target="#myCarousel" data-slide-to="1"></li>
                            </ol>

                            <!-- Wrapper for slides -->
                            <div class="carousel-inner">
                                <div class="item active">
                                    <img class="lazy" src="{{ asset('images/productor/slide_sungrocery.jpg') }}"
                                        alt="sungrocery achat et vente">
                                </div>
                                <div class="item">
                                    <img class="lazy" src="{{ asset('images/productor/slide_sungrocery_2.gif') }}"
                                        alt="sungrocery achat et vente">
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-12 mb-4" style="margin-top: 20px;">
                        <a href="{{ route('boutique_liste') }}" class="btn btn-dark mt-2"
                            style="background: #000;color:#fff!important;"> <i class="mdi mdi-home-city-outline"></i>
                            Toutes
                            les
                            boutiques <i class="mdi mdi-arrow-right-thin"></i> </a>
                        @if ($total_boutique >= 1)
                            @if (\Illuminate\Support\Facades\Session::get('user')['doc_validated'])
                                @if (isset($portefeuilles) && count($portefeuilles) > 0)
                                    <button class="btn btn-primary retrait mt-2">
                                        <span class="btn-gr"> <i class="fa fa-money"></i> Lancez une demande de
                                            retrait</span>
                                    </button>
                                @endif
                            @endif
                        @endif
                        <a href="{{ route('documentation') }}" class="btn btn-default mt-2">
                            <span class="btn-gr"> Besoins d'aide ? Acceder au FAQ</span>
                        </a>
                    </div>

                    <div class="col-sm-12 col-lg-12 col-xs-12">
                        <div class="row">
                            @if ($total_boutique < 1)
                                <div class="col-md-12 col-lg-12 col-sm-12 col-xs-12">

                                    <div class="alert alert-light"
                                        style="font-size: 12pt;padding: 2%;border-radius: 0;background: #f8f8f8;">

                                        <p style="font-size: 14pt;">
                                            Démarrez l'aventure en créant une boutique maintenant. <br>
                                        </p>
                                        <p>
                                            <a class="btn btn-primary" href="{{ route('boutique') }}">Accéder au menu
                                                boutique</a>
                                        </p>
                                        <p style="color: red">
                                            PS: Vous pouvez créer autant de boutique que vous désirez. <br>
                                        </p>
                                    </div>
                                </div>
                            @endif
                            <div class="col-md-12 col-lg-12 col-sm-12 col-xs-12">
                                @if (!\Illuminate\Support\Facades\Session::get('user')['doc_validated'])

                                    <p style="background-color: #ca172a;font-size: 12pt;color: #ececec;padding: 2%">
                                        Vous ne pouvez pas effectuer de retrait pour le moment.
                                        @if (\Illuminate\Support\Facades\Session::get('user')['cni'] == null)
                                            <br>
                                            Votre carte d'identité/passport est requise pour finaliser votre identification.
                                            (si vous est un
                                            partenaire ou une ONG, veuillez fournir des pièces justificatifs de l'identité
                                            du Gérand) <a style="text-decoration: underline; font-size: 12pt;"
                                                href="{{ route('update_view') }}">finaliser
                                                maintenant</a>
                                        @else
                                            <br>
                                            Nous vérifions votre identité. Veuillez patienter vos documents sont en cours de
                                            validation.
                                        @endif
                                        <br>
                                        si le processus dure plus de 24h, veuillez contacter le service client au
                                        +22967723243 sur whatsapp.
                                    </p>
                                    <br>
                                @endif

                            </div>
                        </div>

                        @if (isset($code) && $code != null)
                            <div class="col-xs-12 col-lg-12"
                                style="padding: 20px;padding-bottom: 30px;margin-bottom: 50px; background: #88b121;color: #fff">
                                <h3 style="font-weight: 400;border:none;">Cliquer sur le lien pour le copier.</h3>
                                <small> <br>Partager ce lien avec des commerçants de votre réseaux et gagner 25% du montant
                                    total de leurs
                                    abonnements à chaque fois qu'il se réabonne.
                                    <br>
                                    PS: Ce montant est inscrit sur votre compte après que le commerçant ait créer sa
                                    boutique, souscris et
                                    payer un abonnement.
                                </small>
                                <input type="text" class="form-control"
                                    onclick="clipboard(this,'Lien copier avec succès.')" readonly
                                    value='{{ url(' /?agent=' . str_replace(' user', 'sgyagi789200', 'user' . $code->code)) }}'
                                    style="cursor:pointer;border: none" />
                            </div>
                        @endif

                        @if (count($marketers))
                            <div style="background: #dddddd; margin-bottom: 10px;padding:20px; padding-bottom: 60px">
                                <h2 class="" style="margin-bottom: 20px;">GESTIONNAIRES SUNGROCERY</h2>

                                <p>Vous êtes occupé?, vous n'avez pas le temps de suivre ou gérer votre business sur
                                    sungrocery ? <br> Une
                                    solution très simple: <span> attribuez le rôle de gestionnaire à un gestionnaire
                                        sungrocery pour vous
                                        aidez dans vos ventes.</span>

                                </p>
                                <p>
                                    Un gestionnaire sungrocery à pour rôle de gérer votre espace de vente suivant un accord
                                    salarial.
                                </p>
                                <p>
                                    <br> Faites du chiffre en vacant à vos occupations.
                                </p>
                                <h2 class="" style="margin-bottom: 20px;">LES GESTIONNAIRES SUNGROCERY</h2>
                                <div class="slick1">
                                    @foreach ($marketers as $marketer)
                                        {{-- <div class="col-xs-12 col-lg-4 myslick" style="border: 1px solid #ddd;box-shadow: 0 1px 5px rgba(6, 14, 28, 0.25), 0 1px 1px rgba(0, 0, 0, 0.22);padding: 15px;border-radius: 10px;background: #fff">
                                        <div class="row">
                                            <div class="col-lg-3 col-xs-12 text-center">
                                                <a href="{{ route('sunmarketer_single', $marketer->user_slug) }}">
                                                    @if ($marketer->photo != null)
                                                    <img src="{{ asset('Profil_marketer/' . $marketer->photo) }}" style="border:1px solid #ddd;padding: 5px; width: 70px ;height: 70px;border-radius: 100%" alt="">
                                                    @else
                                                    <img src="{{ asset('images/logo_mini.jpg') }}" style="border:1px solid #ddd;padding: 5px; width: 70px ;height: 70px;border-radius: 100%" alt="">
                                                    @endif
                                                </a>
                                            </div>
                                            <div class="col-xs-12 col-lg-9" style="margin-top: 5px;">
                                                <h4>
                                                    <a href="{{ route('sunmarketer_single', $marketer->user_slug) }}">
                                                        {{ $marketer->nom }} {{ $marketer->prenom }}
                                                    </a>
                                                </h4>
                                                <h6 class="">
                                                    {{ strtoupper(str_replace('_', ' ', $marketer->remuneration)) }} :
                                                    {{ $marketer->montant }}
                                                    {{ $marketer->remuneration == 'pourcentage_vente' ? '%' : $marketer->devise }}
                                                </h6>
                                                <span class="badge badge-light">{{ $marketer->nationnalite }}</span>
                                            </div>
                                        </div>
                                        <div class="col-lg-12 col-xs-12" style="padding-top: 10px;">
                                            @if ($marketer->numero_tel) <a href="tel:{{ $marketer->numero_tel }}" class="btn contact" target="_blank"><i class="fa fa-phone-square"></i></a>
                                            @endif
                                            @if (isset($marketer->numero_whatsapp)) <a href="https://wa.me/{{ $marketer->numero_whatsapp }}" class=" btn contact"><i class="fa fa-whatsapp"></i> </a>
                                            @endif
                                            @if (isset($marketer->twitter)) <a href="{{ $marketer->twitter }}" class=" btn contact"><i class="fa fa-twitter"></i> </a> @endif
                                            @if (isset($marketer->linkedin)) <a href="{{ $marketer->linkedin }}" class=" btn contact"><i class="fa fa-linkedin"></i> </a> @endif
                                            @if (isset($marketer->facebook)) <a href="{{ $marketer->facebook }}" class=" btn contact"><i class="fa fa-facebook"></i> </a> @endif
                                        </div>
                                        <div class="col-lg-12 col-xs-12" style="padding-top: 10px;">
                                            <a href="#" class="btn  btn-primary marketerDefine btn-sm" data-sunmarketer="{{ $marketer->user_slug }}" style="font-size: 8pt;border-radius: 50px">
                                                Définir en tant que gestionnaire </a>
                                        </div>
                                    </div> --}}
                                        <div class="col-lg-4 col-xs-12 text-center">
                                            <div class="gcard">
                                                <a href="{{ route('sunmarketer_single', $marketer->user_slug) }}">
                                                    @if ($marketer->photo != null)
                                                        <img src="{{ asset('Profil_marketer/' . $marketer->photo) }}"
                                                            alt="Profile Picture" class="profile-pic">
                                                    @else
                                                        <img src="{{ asset('images/logo_mini.jpg') }}"
                                                            alt="Profile Picture" class="profile-pic">
                                                    @endif
                                                </a>
                                                <div class="name">
                                                    <a href="{{ route('sunmarketer_single', $marketer->user_slug) }}">
                                                        {{ $marketer->nom }} {{ $marketer->prenom }}
                                                    </a>
                                                </div>
                                                <div class="position">
                                                    <h6 class="">
                                                        {{ strtoupper(str_replace('_', ' ', $marketer->remuneration)) }} :
                                                        {{ $marketer->montant }}
                                                        {{ $marketer->remuneration == 'pourcentage_vente' ? '%' : $marketer->devise }}
                                                    </h6>
                                                    <span class="badge badge-light">{{ $marketer->nationnalite }}</span>
                                                </div>
                                                <div class="details">
                                                    <div>
                                                        @if ($marketer->numero_tel)
                                                            <a href="tel:{{ $marketer->numero_tel }}" class="btn contact"
                                                                target="_blank"><i class="fa fa-phone-square"></i></a>
                                                        @endif
                                                        @if (isset($marketer->numero_whatsapp))
                                                            <a href="https://wa.me/{{ $marketer->numero_whatsapp }}"
                                                                class=" btn contact"><i class="fa fa-whatsapp"></i> </a>
                                                        @endif
                                                        @if (isset($marketer->twitter))
                                                            <a href="{{ $marketer->twitter }}" class=" btn contact"><i
                                                                    class="fa fa-twitter"></i> </a>
                                                        @endif
                                                        @if (isset($marketer->linkedin))
                                                            <a href="{{ $marketer->linkedin }}" class=" btn contact"><i
                                                                    class="fa fa-linkedin"></i> </a>
                                                        @endif
                                                        @if (isset($marketer->facebook))
                                                            <a href="{{ $marketer->facebook }}" class=" btn contact"><i
                                                                    class="fa fa-facebook"></i> </a>
                                                        @endif
                                                    </div>
                                                    <a href="#" class="btn  btn-primary marketerDefine btn-sm"
                                                        data-sunmarketer="{{ $marketer->user_slug }}"
                                                        style="font-size: 8pt;border-radius: 50px">
                                                        Définir en tant que gestionnaire </a>
                                                </div>
                                            </div>
                                        </div>
                                    @endforeach
                                </div>
                                <div class="col-md-12 text-center mt-3 pt-3 pb-3" style="display: block;padding: 10px">
                                    <a href="{{ route('sunmarketers') }}" class="btn btn-primary btn-sm">voir plus</a>
                                </div>
                            </div>
                        @endif

                        <div class="row">
                        </div>
                        </div>
                            <h2 class="col-sm-12 col-xs-12 text-center" style="margin-top: 5%;">
                                STATISTIQUES GENERALES

                                <hr style="background: #88b121;color: #88b121;width: 5%;padding: 1px">

                            </h2>
                            <div class="col-md-12 col-lg-12 col-sm-12 col-xs-12"
                                style="margin-top: 5px; margin-bottom:5px; font-size: 12pt;color: #1e3551;">
                                <button class="btn btn-dark mt-2" id="filterButton"
                                    style="background: #000;color:#fff!important;">
                                    <i class="mdi mdi-filter"></i> Filtrer <i class="mdi mdi-arrow-right-thin"></i>
                                </button>
                                <div class="row card-1" id="filterForm"
                                    style="display: none; width: 600px !important; border-radius: 5px; margin-left:2px;">
                                    <form action="" method="get" style="text-align: left !important;">
                                        <div class="col-md-4 col-lg-4 col-sm-4 col-xs-4">
                                            <div class="form-group">
                                                <label for="startDay" style="border: 0px;">Date de début</label>
                                                <input type="date" name="startDay" id="startDay" required="required"
                                                    class="form-control reverse" placeholder="Date de début"
                                                    value="{{ $startDate ?? '' }}">
                                                {{-- <span id="error_startDay"></span> --}}
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-lg-4 col-sm-4 col-xs-4">
                                            <div class="form-group">
                                                <label for="endDay" style="border: 0px;">Date de fin</label>
                                                <input type="date" name="endDay" id="endDay" required="required"
                                                    class="form-control reverse" placeholder="Date de fin"
                                                    value="{{ $endDate ?? '' }}">
                                                {{-- <span id="error_endDay"></span> --}}
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-lg-4 col-sm-4 col-xs-4 ">
                                            <div class="form-group">
                                                <label for="submit" style="border: 0px; margin-top: 13%">
                                                </label>
                                                <input type="submit"
                                                    class="btn btn-primary btn-block pb_btn-pill contact_submit_button"
                                                    value="Filtrer">
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                            <div class="col-12 col-sm-12 col-xs-12 ">
                                <div class="row">
                                    @foreach ($portefeuilles as $portefeuille)
                                        <div class="col-md-6 col-lg-6 col-sm-12 col-xs-12">
                                            <div class="panel card-1 text-left"
                                                style="font-size: 15pt;padding: 2%;text-align: left;">
                                                <img class="lazy" data-src="{{ asset('images/portefeuille.png') }}"
                                                    width="30px" alt="">
                                                {{ 'Portefeuille' }} =
                                                {{ $portefeuille->montant }} {{ $portefeuille->devise }}
                                            </div>
                                        </div>
                                    @endforeach

                                </div>
                            </div>
                            <a href="{{ route('boutique') }}" class="col-md-6 col-lg-4 col-sm-6 col-xs-6">
                                <div class="card" style="margin-top:20px">
                                    <div class="card-content">
                                        {{-- <img class="lazy" data-src="{{ asset('images/boutique.png') }}" width="100px"
                                            alt=""> --}}
                                        <br>
                                        <p class="card-title">
                                            {{ $total_boutique > 1 ? 'Boutiques' : 'Boutique' }}
                                        </p>
                                        <p class="card-para">
                                            <span>{{ $total_boutique }}</span>
                                        </p>

                                    </div>
                                </div>
                            </a>
                            <a href="{{ route('generale.command') }}" class="col-md-6 col-lg-4 col-sm-6 col-xs-6">
                                <div class="card" style="margin-top:20px">
                                    <div class="card-content">
                                        {{-- <img class="lazy" data-src="{{ asset('images/commande.png') }}" width="100px"
                                            alt=""> --}}
                                        <br>
                                        <p class="card-title">
                                            {{ $total_commande > 1 ? 'Commandes' : 'Commande' }}
                                        </p>
                                        <p class="card-para">
                                            <span>{{ $total_commande }}</span>
                                        </p>

                                    </div>
                                </div>
                            </a>
                            <div class="col-md-6 col-lg-4 col-sm-6 col-xs-6">
                                <div class="card" style="margin-top:20px">
                                    <div class="card-content">
                                        {{-- <img class="lazy" data-src="{{ asset('images/shipping.png') }}" width="100px"
                                            alt=""> --}}
                                        <br>
                                        <p class="card-title">
                                            {{ $total_shipping > 1 ? 'Livraisons' : 'Livraison' }}
                                        </p>
                                        <p class="card-para">
                                            <span>{{ $total_shipping }}</span>
                                        </p>

                                    </div>
                                </div>
                            </div>
                            <a href="{{ route('generale.command') }}" class="col-md-6 col-lg-4 col-sm-6 col-xs-6">
                                <div class="card" style="margin-top:20px">
                                    <div class="card-content">
                                        {{-- <img class="lazy" data-src="{{ asset('images/vente.png') }}" width="100px"
                                            alt=""> --}}
                                        <br>
                                        <p class="card-title">
                                            {{ $total_vente > 1 ? 'Ventes' : 'Vente' }}
                                        </p>
                                        <p class="card-para">
                                            <span>{{ $total_vente }} XOF</span>
                                        </p>

                                    </div>

                                </div>
                            </a>
                            <a href="{{ route('generale.achat') }}" class="col-md-6 col-lg-4 col-sm-6 col-xs-6">
                                <div class="card" style="margin-top:20px">
                                    <div class="card-content">
                                        {{-- <img class="lazy" data-src="{{ asset('images/achat.png') }}" width="100px"
                                        alt=""> --}}
                                        <br>
                                        <p class="card-title">
                                            {{ $total_achat > 1 ? 'Achats' : 'Achat' }}
                                        </p>
                                        <p class="card-para">
                                            <span>{{ $total_achat }} XOF</span>
                                        </p>

                                    </div>
                                </div>
                            </a>
                            <div class="col-md-6 col-lg-4 col-sm-6 col-xs-6">
                                <div class="card" style="margin-top:20px">
                                    <div class="card-content">
                                        {{-- <img class="lazy" data-src="{{ asset('images/produit.png') }}" width="100px"
                                        alt=""> --}}
                                        <br>
                                        <p class="card-title">
                                            {{ $total_articles_activer > 1 ? 'Produits' : 'Produit' }}
                                        </p>
                                        <p class="card-para">
                                            <span>{{ $total_articles_activer }}</span>
                                        </p>

                                    </div>
                                </div>
                            </div>

                    <div class="col-sm-12 col-lg-12 col-xs-12">
                        <!-- /top tiles -->
                        <div class="row">
                            <h2 class="col-sm-12 col-xs-12 text-center" style="margin-top: 5%">
                                RAPPORT MENSUEL DE VOS VENTES

                                <hr style="background: #88b121;color: #88b121;width: 5%;padding: 1px">

                            </h2>
                            <div class="col-xs-12 col-md-12" style="padding: 1%;">
                                <div class=""
                                    style="overflow-x: auto;border: 1px solid #ddd;background: #fff;padding: 3%;">
                                    <canvas id="canvas" height="280" width="600"></canvas>
                                </div>
                            </div>

                            <h2 class="col-sm-12 col-xs-12 text-center" style="margin-top: 5%">
                                RAPPORT MENSUEL DE VOS ACHATS

                                <hr style="background: #88b121;color: #88b121;width: 5%;padding: 1px">

                            </h2>


                            <div class="col-xs-12 col-md-12" style="padding: 1%">
                                <div class=""
                                    style="overflow-x: auto;border: 1px solid #ddd;background: #fff;padding: 3%;">
                                    <canvas id="canvas2" height="280" width="600"></canvas>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    @if (isset($articles_lists) && $articles_lists != null && count($articles_lists) > 0)
                        <h2 class="col-sm-12 col-xs-12 text-center" style="margin-top: 5%">
                            PRODUITS RECEMMENT DECOUVERTS

                            <hr style="background: #88b121;color: #88b121;width: 5%;padding: 1px">

                        </h2>
                        <div style="margin-top: 15px !important; font-size: 12pt;color: #1e3551; float:right !important;">
                            <form action="" method="get"
                                style="width: 1000px; display:flex; justify-content:end; align-items:center;">
                                <div style="margin-right: 5px">
                                    <input type="hidden" name="startDay" value="{{ $startDate ?? '' }}">
                                    <input type="hidden" name="endDay" value="{{ $endDate ?? '' }}">
                                    <div class="form-group">
                                        <input type="text" name="name" id="name" required="required"
                                            class="form-control reverse" placeholder="Nom du produit"
                                            value="{{ $request->name ?? '' }}">
                                    </div>
                                </div>
                                <div class="">
                                    <div class="form-group">
                                        <input type="submit"
                                            class="btn btn-primary btn-block pb_btn-pill contact_submit_button"
                                            value="Rechercher">
                                    </div>
                                </div>
                            </form>
                        </div>
                        <div class="col-sm-12 col-xs-12" style="background: #fff;padding: 3%;border: 1px solid #ddd">

                            <div class="row">
                                @foreach ($articles_lists as $article)
                                    @if ($article->boutique != null)
                                        @php
                                            $boutique_ = $article->boutique->slug;
                                            $boutique = $article->boutique;
                                            $helpers = new \App\Http\Controllers\HelperController();
                                            $prix = $helpers->get_article_price_by_boutique($article->slug, $boutique_);
                                            $name = $helpers->get_meta_article('name', $article->slug, $boutique_);
                                            $price = $helpers->get_meta_article('price', $article->slug, $boutique_);
                                            if ($price['statut'] == false) {
                                                $price['value'] = $article->price;
                                            }
                                            $promo = $helpers->get_meta_article('on_sale', $article->slug, $boutique_);
                                            if ($promo['statut'] == false) {
                                                $promo['value'] = $article->on_sale;
                                            }
                                            $promopourcent = $helpers->get_meta_article(
                                                'show_price',
                                                $article->slug,
                                                $boutique_,
                                            );

                                            if ($promopourcent['statut'] == false) {
                                                $promopourcent['value'] = $article->show_price;
                                            }
                                            if ($name['statut'] == false) {
                                                $name = $article->name;
                                            } else {
                                                $name = $name['value'];
                                            }
                                            $stock = $helpers->get_meta_article('stock', $article->slug, $boutique_);
                                            if ($stock['statut'] == false) {
                                                $stock = $article->quantity;
                                            } else {
                                                $stock = $stock['value'];
                                            }

                                            $image = $helpers->get_simple_image($article->slug, $boutique_);

                                        @endphp
                                        @if ($stock != 0)
                                            <!-- Slider Item -->
                                            <div class="col-md-3 col-sm-12 col-xs-12 " style="padding: 5px">
                                                <div class="clearfix"></div>
                                                <a href="#" class="article_recom_dash card-3"
                                                    data-url="{{ route('produit.session') }}"
                                                    data-slug="{{ $boutique['slug'] }}"
                                                    data-url_redirect="{{ url($boutique['nom_boutique'] . '/product/' . $article->slug) }}"
                                                    style="background: #fff;">
                                                    <div class="product_i text-center"
                                                        style="border: 2px solid #ddd;border-radius: 6px;padding: 20px;background: #fff;">
                                                        @if ($promo['value'] == true)
                                                            <div class=""
                                                                style="width: 30px;height: 30px;border-radius: 100%;line-height: 30px; text-align: center; position:absolute;top: 20px;left: 20px; border: 1px solid red;background: red;color: #fff;">
                                                                -{{ $promopourcent['value'] }}%</div>
                                                        @endif

                                                        <div class="product_image d-flex flex-column align-items-center justify-content-center"
                                                            style="height: 100px">
                                                            @if (isset($image) && $image != null && $image->filename != null)
                                                                <img class="lazy" data-src="{{ $image->filename }}"
                                                                    alt="{{ $name }}" style="height: 100%;">
                                                            @endif
                                                        </div>
                                                        <div class="clearfix"></div>
                                                        <div style="margin-top: 20px;">{{ $article->time }}</div>
                                                        <div class="product_content"
                                                            style="padding: 10px;padding-top: 10px">
                                                            <div class="product_price discount">
                                                                <!--200--><span style="color: #e65c2b">{{ $prix }}
                                                                    FCFA</span>
                                                                @if ($promo['value'] == true)
                                                                    <span
                                                                        style="text-decoration: line-through">{{ $price['value'] }}
                                                                        FCFA</span>
                                                                @endif
                                                            </div>
                                                            <div class="product_name">
                                                                <div><a style="font-size: 10pt;"
                                                                        href="{{ url($boutique['nom_boutique'] . '/product/' . $article->slug) }}"
                                                                        title="{{ $name }}">{{ \Illuminate\Support\Str::limit($name, 20) }}</a>
                                                                </div>
                                                            </div>
                                                        </div>

                                                        <div class="text-center"
                                                            style="background: #88b121;margin-bottom: 5px;padding: 1%;color: #fff;">

                                                            <span
                                                                title="{{ strtoupper(str_replace('_', ' ', $boutique['nom_boutique'])) }}">
                                                                {{ \Illuminate\Support\Str::limit(
                                                                    strtoupper(
                                                                        str_replace(
                                                                            '_',
                                                                            '
                                                                                                                                                                                                                                                                                                                                                                                                                            ',
                                                                            $boutique['nom_boutique'],
                                                                        ),
                                                                    ),
                                                                    18,
                                                                ) }}
                                                            </span>
                                                        </div>

                                                    </div>
                                                </a>
                                                <div class="clearfix"></div>
                                            </div>
                                        @endif
                                    @endif
                                @endforeach
                            </div>

                        </div>
                    @endif

                    @if (isset($favoris_article) && count($favoris_article) > 0)
                        <h2 class="col-sm-12 col-xs-12 text-center" style="margin-top: 5%">
                            PRODUITS AJOUTER AU FAVORIS

                            <hr style="background: #88b121;color: #88b121;width: 5%;padding: 1px">

                        </h2>
                        <div class="col-sm-12 col-xs-12 col-lg-12"
                            style="background: #eeeeee;padding: 3%;border: 1px solid #fff;margin-top: 20px;">
                            <div class="row">

                                @foreach ($favoris_article as $article)
                                    @if (isset($article->boutique) && $article->boutique != null)
                                        @php
                                            $boutique_ = $article->boutique->slug;
                                            $boutique = $article->boutique;
                                            $helpers = new \App\Http\Controllers\HelperController();
                                            $prix = $helpers->get_article_price_by_boutique($article->slug, $boutique_);
                                            $name = $helpers->get_meta_article('name', $article->slug, $boutique_);
                                            $price = $helpers->get_meta_article('price', $article->slug, $boutique_);
                                            if ($price['statut'] == false) {
                                                $price['value'] = $article->price;
                                            }
                                            $promo = $helpers->get_meta_article('on_sale', $article->slug, $boutique_);
                                            if ($promo['statut'] == false) {
                                                $promo['value'] = $article->on_sale;
                                            }
                                            $promopourcent = $helpers->get_meta_article(
                                                'show_price',
                                                $article->slug,
                                                $boutique_,
                                            );

                                            if ($promopourcent['statut'] == false) {
                                                $promopourcent['value'] = $article->show_price;
                                            }
                                            if ($name['statut'] == false) {
                                                $name = $article->name;
                                            } else {
                                                $name = $name['value'];
                                            }
                                            $stock = $helpers->get_meta_article('stock', $article->slug, $boutique_);
                                            if ($stock['statut'] == false) {
                                                $stock = $article->quantity;
                                            } else {
                                                $stock = $stock['value'];
                                            }

                                            $image = $helpers->get_simple_image($article->slug, $boutique_);

                                        @endphp

                                        @if ($stock != 0 && $boutique != null)
                                            <!-- Slider Item -->
                                            <div class="col-md-3 col-sm-12 col-xs-12" style="padding: 5px">
                                                <a href="#" class="article_recom_dash card-3"
                                                    data-url="{{ route('produit.session') }}"
                                                    data-slug="{{ $boutique['slug'] }}"
                                                    data-url_redirect="{{ url($boutique['nom_boutique'] . '/product/' . $article->slug) }}"
                                                    style="background: #fff;">
                                                    <div class="product_i text-center"
                                                        style="border: 2px solid #ddd;border-radius: 6px;padding: 20px;background: #fff;">
                                                        @if ($promo['value'] == true)
                                                            <div class=""
                                                                style="width: 30px;height: 30px;border-radius: 100%;line-height: 30px; text-align: center; position:absolute;top: 20px;left: 20px; border: 1px solid red;background: red;color: #fff;">
                                                                -{{ $promopourcent['value'] }}%</div>
                                                        @endif

                                                        <div class="product_image d-flex flex-column align-items-center justify-content-center"
                                                            style="height: 100px">
                                                            @if (isset($image) && $image->filename != null)
                                                                <img class="lazy" data-src="{{ $image->filename }}"
                                                                    alt="{{ $name }}" style="height: 100%;">
                                                            @endif
                                                        </div>


                                                        <div class="clearfix"></div>
                                                        <div style="margin-top: 20px;">{{ $article->time }}</div>
                                                        <div class="product_content"
                                                            style="padding: 10px;padding-top: 10px">
                                                            <div class="product_price discount">
                                                                <!--200--><span style="color: #e65c2b">{{ $prix }}
                                                                    FCFA</span>
                                                                @if ($promo['value'] == true)
                                                                    <span
                                                                        style="text-decoration: line-through">{{ $price['value'] }}
                                                                        FCFA</span>
                                                                @endif
                                                            </div>
                                                            <div class="product_name">
                                                                <div><a style="font-size: 10pt;"
                                                                        href="{{ url($boutique['nom_boutique'] . '/product/' . $article->slug) }}"
                                                                        title="{{ $name }}">{{ \Illuminate\Support\Str::limit($name, 20) }}</a>
                                                                </div>
                                                            </div>
                                                        </div>



                                                        <div class="text-center"
                                                            style="background: #88b121;margin-bottom: 5px;padding: 1%;color: #fff;">

                                                            <span
                                                                title="{{ strtoupper(str_replace('_', ' ', $boutique['nom_boutique'])) }}">
                                                                {{ \Illuminate\Support\Str::limit(
                                                                    strtoupper(
                                                                        str_replace(
                                                                            '_',
                                                                            '
                                                                                                                                                                                                                                                                                                                                                                                                                            ',
                                                                            $boutique['nom_boutique'],
                                                                        ),
                                                                    ),
                                                                    18,
                                                                ) }}
                                                            </span>
                                                        </div>

                                                    </div>
                                                </a>
                                            </div>
                                        @endif
                                    @endif

                                @endforeach
                            </div>

                        </div>
                    @endif

                    @if (isset($boutiques) && count($boutiques) > 0)
                        <h2 class="col-sm-12 col-xs-12 text-center" style="margin-top: 5%">
                            BOUTIQUES RECEMMENT VISITEES

                            <hr style="background: #88b121;color: #88b121;width: 5%;padding: 1px">

                        </h2>
                        <div class="col-sm-12"
                            style="background: #fff;padding: 3%;border: 1px solid #ddd;margin-top: 20px;">
                            <div class="row">
                                @foreach ($boutiques as $boutique)
                                    @php

                                        $enseigne = '';
                                        $metier = '';
                                        if (isset($boutique->enseigne) && $boutique->enseigne != null) {
                                            if (isset($boutique->enseigne->nom_enseigne)) {
                                                $enseigne = $boutique->enseigne->nom_enseigne;
                                            }
                                        }
                                        if (isset($boutique->metier) && $boutique->metier != null) {
                                            if (isset($boutique->metier->intitule_metier)) {
                                                $metier = $boutique->metier->intitule_metier;
                                            }
                                        }
                                        $telephone = '';
                                        $email = '';
                                        $adresse = '';
                                        if (isset($boutique->meta) && $boutique->meta != null) {
                                            $telephone = $boutique->meta->telephone_boutique;
                                            $email = $boutique->meta->email_boutique;
                                            $adresse = $boutique->meta->adresse_boutique;
                                        }
                                    @endphp


                                    <div class="col-lg-4 col-xs-12 col-sm-6 col-md-6 list_boutique"
                                        data-name="{{ strtoupper(str_replace('_', ' ', $boutique->nom_boutique)) }}"
                                        data-enseigne="{{ $enseigne }}" data-metier="{{ $metier }}"
                                        style="margin-bottom: 30px;">
                                        <div class="card card-1" style="padding: 1%;">
                                            <div class="card-header text-center"
                                                style="padding: 0; font-size: 13pt;color: #dddddd;border:none; @if ($boutique->publicites != null) @foreach ($boutique->publicites as $pub)  @if (isset($pub->image)) background: url('{{ $pub->image }}'); background-size: cover;background-repeat: no-repeat;background-position: center; @endif @endforeach @endif">
                                                <div
                                                    style="background: rgba(000,000,000,0.8);text-align: center; padding: 10%;">
                                                    @if (isset($boutique->meta))
                                                        @php $metas=$boutique->meta; @endphp

                                                        @if (isset($metas->logo_boutique))
                                                            <img class="lazy"
                                                                data-src="{{ $metas->logo_boutique == null ? asset('images/logo_mini.jpg') : $metas->logo_boutique }}"
                                                                alt="{{ strtoupper(str_replace('_', ' ', $boutique->nom_boutique)) }}"
                                                                width="80" height="80"
                                                                style="border-radius: 100%;">
                                                        @else
                                                            <img class="lazy"
                                                                data-src="{{ asset('images/logo_mini.jpg') }}"
                                                                alt="{{ strtoupper(str_replace('_', ' ', $boutique->nom_boutique)) }}"
                                                                width="80" height="80"
                                                                style="border-radius: 100%;">
                                                        @endif
                                                    @else
                                                        <img class="lazy"
                                                            data-src="{{ asset('images/logo_mini.jpg') }}"
                                                            alt="{{ strtoupper(str_replace('_', ' ', $boutique->nom_boutique)) }}"
                                                            width="80" height="80" style="border-radius: 100%;">
                                                    @endif
                                                    <br>
                                                    <br>
                                                    {{ strtoupper(str_replace('_', ' ', $boutique->nom_boutique)) }}
                                                </div>
                                            </div>
                                            <div class="card-body">
                                                <div class="text-center badge badge-warning"
                                                    style="margin-left: 2%;background: #d21d19;border-radius: 50px;margin-top: 10px;">
                                                    {{ $metier }}</div>
                                                <p style="font-size: 9pt;color: #000;margin-top: 3%;padding: 2%;">
                                                    {{ $enseigne }}
                                                    {{-- <br> --}}
                                                    {{-- <br> --}}
                                                    {{-- <a style="margin-top: 1%"
                            href="phone:{{!isset($telephone) && $telephone==null ? 0 : $telephone}}"
                            class="badge badge-info"><i class="fa fa-mobile"></i>&nbsp;&nbsp; {{!isset($telephone)
                            && $telephone==null ? 'non disponible' : $telephone}}</a> --}}
                                                    {{-- <a style="margin-top: 1%"
                            href="mailto:{{!isset($email) && $email==null  ? '' :$email }}"
                            class="badge badge-info"><i class="fa fa-envelope-open"></i>&nbsp; {{!isset($email) &&
                            $email==null ? 'non disponible' :$email }}</a> --}}
                                                    {{-- <a style="margin-top: 1%" href="#" class="badge badge-info"><i
                                class="fa fa-map-marker"></i>&nbsp;&nbsp; {{!isset($adresse) && $adresse==null ?
                            'non disponible' :$adresse }}</a> --}}
                                                </p>
                                                <p
                                                    style="font-size: 9pt;color: #000;margin-top: 3%;padding: 2%;padding-top: 0px;">
                                                    <span style="font-size: 10pt;color: #0d3349;font-weight: bold;">
                                                        Description :</span>
                                                    &nbsp;&nbsp;
                                                    {{ \Illuminate\Support\Str::limit($boutique->description, 50) }} <a
                                                        href="" class="description"
                                                        data-description="{{ $boutique->description }}">Lire tous</a>
                                                </p>

                                                <div class="text-right" id="boutique_footer{{ $boutique->slug }}"
                                                    style="padding: 3%;">
                                                    @if ($boutique->installer != false)

                                                        @php $maboutique= str_replace(' ','_',$boutique->nom_boutique); @endphp
                                                        <a class="btn btn-success btn-sm visite" style="color: #fff;"
                                                            data-url="{{ route('boutique.index', $boutique->nom_boutique) }}"
                                                            data-slug="{{ $boutique->slug }}"><i
                                                                class="fa fa-arrow-circle-up"></i> visiter</a>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                @endforeach

                            </div>
                        </div>
                    @endif


                    @if (isset($favoris_boutique) && count($favoris_boutique) > 0)
                        <h2 class="col-sm-12 col-xs-12 text-center" style="margin-top: 5%">
                            PRODUITS QUE VOUS AIMEZ

                            <hr style="background: #88b121;color: #88b121;width: 5%;padding: 1px">

                        </h2>
                        <div class="col-sm-12"
                            style="background: #eeeeee;padding: 3%;border: 1px solid #fff;margin-top: 20px;">
                            <div class="row">

                                @foreach ($favoris_boutique as $boutique)
                                    @php

                                        $enseigne = '';
                                        $metier = '';
                                        if (isset($boutique->enseigne) && $boutique->enseigne != null) {
                                            if (isset($boutique->enseigne->nom_enseigne)) {
                                                $enseigne = $boutique->enseigne->nom_enseigne;
                                            }
                                        }
                                        if (isset($boutique->metier) && $boutique->metier != null) {
                                            if (isset($boutique->metier->intitule_metier)) {
                                                $metier = $boutique->metier->intitule_metier;
                                            }
                                        }
                                        $telephone = '';
                                        $email = '';
                                        $adresse = '';
                                        if (isset($boutique->meta) && $boutique->meta != null) {
                                            $telephone = $boutique->meta->telephone_boutique;
                                            $email = $boutique->meta->email_boutique;
                                            $adresse = $boutique->meta->adresse_boutique;
                                        }
                                    @endphp

                                    <div class="col-lg-4 col-xs-12 col-sm-6 col-md-6 list_boutique"
                                        data-name="{{ strtoupper(str_replace('_', ' ', $boutique->nom_boutique)) }}"
                                        data-enseigne="{{ $enseigne }}" data-metier="{{ $metier }}"
                                        style="margin-bottom: 30px;">
                                        <div class="card card-1" style="padding: 1%;">
                                            <div class="card-header text-center"
                                                style="padding: 0; font-size: 13pt;color: #dddddd;@if ($boutique->publicites != null) @foreach ($boutique->publicites as $pub)  @if (isset($pub->image)) background: url('{{ $pub->image }}'); background-size: cover;background-repeat: no-repeat;background-position: center; @endif @endforeach @endif">
                                                <div class=""
                                                    style="background: rgba(000,000,000,0.8);text-align: center; padding: 10%;">

                                                    @if (isset($boutique->meta))
                                                        @php $metas=$boutique->meta; @endphp

                                                        @if (isset($metas->logo_boutique))
                                                            <img class="lazy"
                                                                data-src="{{ $metas->logo_boutique == null ? asset('images/logo_mini.jpg') : $metas->logo_boutique }}"
                                                                alt="{{ strtoupper(str_replace('_', ' ', $boutique->nom_boutique)) }}"
                                                                width="80" height="80"
                                                                style="border-radius: 100%;">
                                                        @else
                                                            <img class="lazy"
                                                                data-src="{{ asset('images/logo_mini.jpg') }}"
                                                                alt="{{ strtoupper(str_replace('_', ' ', $boutique->nom_boutique)) }}"
                                                                width="80" height="80"
                                                                style="border-radius: 100%;">


                                                        @endif
                                                    @else
                                                        <img class="lazy"
                                                            data-src="{{ asset('images/logo_mini.jpg') }}"
                                                            alt="{{ strtoupper(str_replace('_', ' ', $boutique->nom_boutique)) }}"
                                                            width="80" height="80" style="border-radius: 100%;">

                                                    @endif
                                                    <br>
                                                    <br>
                                                    {{ strtoupper(str_replace('_', ' ', $boutique->nom_boutique)) }}
                                                </div>
                                            </div>
                                            <div class="card-body">

                                                <div class="text-center badge badge-light"
                                                    style="margin-top: 10px;margin-left: 2%;border-radius: 50px">
                                                    {{ $metier }}</div>

                                                <p style="font-size: 9pt;color: #000;margin-top: 3%;padding: 2%;">
                                                    {{ $enseigne }}
                                                    {{-- <br> --}}
                                                    {{-- <br> --}}
                                                    {{-- <a style="margin-top: 1%"
                            href="phone:{{!isset($telephone) && $telephone==null ? 0 : $telephone}}"
                            class="badge badge-info"><i class="fa fa-mobile"></i>&nbsp;&nbsp; {{!isset($telephone)
                            && $telephone==null ? 'non disponible' : $telephone}}</a> --}}
                                                    {{-- <a style="margin-top: 1%"
                            href="mailto:{{!isset($email) && $email==null  ? '' :$email }}"
                            class="badge badge-info"><i class="fa fa-envelope-open"></i>&nbsp; {{!isset($email) &&
                            $email==null ? 'non disponible' :$email }}</a> --}}
                                                    {{-- <a style="margin-top: 1%" href="#" class="badge badge-info"><i
                                class="fa fa-map-marker"></i>&nbsp;&nbsp; {{!isset($adresse) && $adresse==null ?
                            'non disponible' :$adresse }}</a> --}}
                                                </p>
                                                <p
                                                    style="font-size: 9pt;color: #000;margin-top: 3%;padding: 2%;padding-top: 0px;">
                                                    <span style="font-size: 10pt;color: #0d3349;font-weight: bold;">
                                                        Description :</span>
                                                    &nbsp;&nbsp;
                                                    {{ \Illuminate\Support\Str::limit($boutique->description, 50) }} <a
                                                        href="" class="description"
                                                        data-description="{{ $boutique->description }}">Lire tous</a>
                                                </p>
                                                <div class="text-right" id="boutique_footer{{ $boutique->slug }}"
                                                    style="padding: 3%;">
                                                    @if ($boutique->installer != false)
                                                        @php $maboutique= str_replace(' ','_',$boutique->nom_boutique); @endphp
                                                        <a class="btn btn-success btn-sm visite"
                                                            style="width: 80px;color: #fff;"
                                                            data-url="{{ route('boutique.index', $boutique->nom_boutique) }}"
                                                            data-slug="{{ $boutique->slug }}"><i
                                                                class="fa fa-arrow-circle-up"></i> visiter</a>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                @endforeach
                            </div>
                        </div>
                    @endif
                </div>
            </div>


            <div id="descriptionModal" class="modal fade">
                <div class="modal-dialog">
                    <form method="post" id="post_description" action="{{ route('update_description') }}">
                        @csrf
                        <input type="hidden" value="" name="slug" id="boutique-slug">
                        <div class="modal-content" style="border-radius: 0px;">
                            <div class="modal-header">
                                <h4 class="modal-title"><i class="fa fa-exclamation-circle"></i> Détails description </h4>
                                <button type="button" class="close" data-dismiss="modal">&times;</button>
                            </div>
                            <div class="modal-body">
                                <div class="row">
                                    <div class="form-group col-md-12 col-sm-12 col-xs-12">
                                        <label>Description <span style='color:red'>*</span></label>
                                        <textarea name="description" id="description_show" style="width: 100%;padding: 20px;" disabled rows="5"
                                            placeholder="Décrivez les  différentes activités de votre boutique.( Le client se réferera à cela pour consulter vos articles.)"
                                            required></textarea>
                                    </div>

                                </div>
                                <div class="row">
                                    <div class="col-sm-12">
                                        <button type="button" class="btn btn-default" data-dismiss="modal"
                                            style="border-radius: 0px;">Fermer</button>
                                    </div>
                                </div>
                            </div>


                        </div>
                    </form>
                </div>
            </div>
            @if (\Illuminate\Support\Facades\Session::get('user')['doc_validated'])
                @include('dashboard.paiement_box.retrait')
            @endif
    @endif


    {{-- <div id="helpModal" class="modal fade in" style="background: rgba(0,0,0,0.7);display:block;"> --}}
    {{-- <div class="modal-dialog modal-md"> --}}
    {{-- <div class="modal-content" style="border-radius: 0px;"> --}}
    {{-- <div class="modal-body"> --}}
    {{-- <div class="row"> --}}
    {{-- <div class="form-group col-md-12 col-sm-12 col-xs-12 text-center"> --}}
    {{-- <h2 style="font-size:30pt;color: #0bb59d">Bienvenue !</h2> --}}
    {{-- <p style="font-size: 14pt"> --}}
    {{-- Démarrer l'aventure en créant une boutique maintenant. <br> --}}
    {{-- </p> --}}
    {{-- <p> --}}
    {{-- <a class="btn btn-primary" href="{{route('boutique')}}">Accéder au menu
                                boutique</a> --}}
    {{-- </p> --}}
    {{-- <p style="color: red"> --}}
    {{-- PS: Vous pouvez créer autant de boutique que vous désirez. <br> --}}
    {{-- </p> --}}
    {{-- <p> --}}
    {{-- <a href="#" class="btn btn-default"
                                onclick="document.getElementById('helpModal').style.display='none'"
                                data-dismiss="modal">Plus tard</a> --}}
    {{-- </p> --}}
    {{-- </div> --}}

    {{-- </div> --}}
    {{-- <div class="row"> --}}
    {{-- <div class="col-sm-12"> --}}
    {{-- </div> --}}
    {{-- </div> --}}
    {{-- </div> --}}
    {{-- </div> --}}
    {{-- </div> --}}
    {{-- </div> --}}

    <!-- /page content -->
@endsection
@section('script')
    <script>
        $(document).ready(function() {

            $('#subscribe').click(function() {
                $('#subscribeModal').modal('show')
                console.log('ok');
            })

            console.log($('#startDay').val());
            console.log($('#endDay').val());

            // $('#filterButton').on('click', function() {
            //     $('#filterForm').fadeIn();
            // });

            $('#filterButton').on('click', function() {
                $('#filterForm').fadeToggle();
            });
            // $(document).on('click', '#subscribe_article', function () {
            //     //$('#subscribe_form')[0].reset();
            //     $('#subscribe_form').attr("action", "{{ route('suppliers_subscribe') }}");
            //     $('#text-nb').fadeIn();
            //     $('.modal-title').html("<i class='fa fa-plus'></i> Souscrire à un abonnement");
            //     $('#image_article').fadeIn();
            //     $('#action_subscribe').val('Payer');
            //     var categorie       =  $('#choice_catalogue_categorie_article').val();
            //     var url             =  $('#choice_catalogue_categorie_article').data('url');
            //     $.ajax({
            //         url:url,
            //         method:"POST",
            //         data:{_token:'{{ csrf_token() }}',categorie:categorie},
            //         success:function(data) {
            //             console.log(data);
            //             if (data.status == 1) {
            //                 $('#article_display_catalogue').html(data.articleProducteur);
            //             } else {
            //                 console.log(data.message);
            //                 $('#action_create').attr('disabled', false);
            //             }
            //         },error:function (data) {
            //             console.log(data);
            //         }
            //     });
            // });
        });
    </script>
@endsection
