
@extends("../dashboard._blank")
@section("sidebar")
    @include("../dashboard._sidebar")
@endsection
@section("content")
    <style>
        input{

            font-weight: bold;
        }
        select{

            font-weight: bold;
        }
        .btn-gr{
            background: #fff;
            border: 1px solid #000;

        }
        .btn-gr:hover{
            background: #ddd;
            border: 1px solid #ddd;
        }
    </style>
    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <div class="row">
                                <h2 class="col-md-12 col-xs-12"><span style="color: #0c1423;">ESPACE CONFIGURATION MIB  </span></h2>

                            </div>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">

                            @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            @if(session("success"))

                                <div class="alert alert-success">
                                    {{session('success')}}
                                </div>

                            @elseif(session("error"))

                                <div class="alert alert-danger">
                                    {{session('error')}}
                                </div>

                            @endif

                            <div class="col-md-12" style="margin-bottom: 10px;">
                                <a href="{{route('mib.index')}}" class="btn btn-default" style="border: 1px solid #000; color: #0D3349;text-align: center;"><i class="fas fa-long-arrow-alt-left"></i></a>&nbsp;&nbsp;
                                <a class="btn btn-primary btn-sm" style="border-radius: 0" href="#" data-toggle="modal" data-target="#mibPricingModal"> Nouveau</a>
                            </div>

                            <div class="col-xs-12 col-md-12">
                                <div class="row">
                                    <table id="categoriedatatable-buttons" class="table table-responsive-xs table-striped table-bordered">
                                        <thead>
                                        <tr>
                                            <th>n°</th>
                                            <th>Nom</th>
                                            <th>Max utilisateur</th>
                                            <th>Prix</th>
                                            <th>Devise</th>
                                            <th>Status</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        @php $i=1; @endphp
                                        @foreach($mib_pricings as $pricing)
                                            <tr>
                                                <td>{{$i++}}</td>
                                                <td>{{$pricing->name}}</td>
                                                <td>{{$pricing->max_user}}</td>
                                                <td>{{$pricing->price}}</td>
                                                <td>{{$pricing->devise}}</td>
                                                <td>@if($pricing->status)
                                                        <span class="badge badge-success">actif</span>
                                                       @else
                                                        <span class="badge badge-danger">inactif</span>
                                                        @endif
                                                </td>
                                            </tr>
                                        @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div id="mibPricingModal" class="modal fade">
        <div class="modal-dialog">
            <form method="post" id="mib_pricing_form"  onsubmit="return check_error(['name','max_user','price','devise'])"  action="{{route('admin.mib.princing')}}" enctype="multipart/form-data">
                @csrf
                <div class="modal-content" style="border-radius: 0px;">
                    <div class="modal-header">
                        <h4 class="modal-title"><i class="fa fa-plus"></i> Pricing MIB</h4>
                    </div>
                    <div class="modal-body">
                        <div class="row">

                            <div class="form-group col-md-12 col-sm-12 col-xs-12">
                                <label>Intitule <span style='color:red'>*</span></label>
                                <input type="text" id="name" name="name" required="required" data-input_name="intitule de l'abonnement" onblur="check_error(['name'])" class="form-control" style="width: 100%;" placeholder="Intitule">
                            </div>
                            <div class="form-group col-md-12 col-sm-12 col-xs-12">
                                <label>Nombre maximal d'utilisateur <span style='color:red'>*</span></label>
                                <input type="number" id="max_user" name="max_user"  required="required" min="1" data-input_name="nombre maximal d'utilisateur" onblur="check_error(['max_user'])" class="form-control" style="width: 100%;" placeholder="Utilisateur total" >
                            </div>

                            <div class="form-group col-md-12 col-sm-12 col-xs-12">
                                <label>Prix <span style='color:red'>*</span></label>
                                <input type="number" id="price" name="price" required="required" min="1" data-input_name="prix d'abonnement" onblur="check_error(['price'])" class="form-control" style="width: 100%;" placeholder="Prix d'abonnement" >
                            </div>
                            <div class="form-group col-md-6 col-sm-12 col-xs-12">
                                <label>Devise <span style='color:red'>*</span></label>
                                <select name="devise" id="devise" class="form-control">
                                    <option value="XOF">XOF</option>
                                    <option value="USD">USD</option>
                                </select>
                            </div>

                        </div>
                    </div>
                    <div class="modal-footer">
                        <input type="submit" name="action" class="btn btn-info" value="Ajouter"/>
                        <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                    </div>
                </div>
            </form>
        </div>
    </div>

    <!-- /page content -->
@endsection
