@extends('../dashboard._blank')
@section('sidebar')
    @include('../dashboard._sidebar')
@endsection

@section('content')
    <style>
        input {

            font-weight: bold;
        }

        select {

            font-weight: bold;
        }

        .btn-gr {
            background: #fff;
            border: 1px solid #000;

        }

        .btn-gr:hover {
            background: #ddd;
            border: 1px solid #ddd;
        }

        
        /* Red */

    </style>
    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <div class="row">
                                <h2 class="col-md-12 col-xs-12"><span style="color: #0c1423;">ESPACE CONFIGURATION CATEGORIE-ACTEUR</span></h2>

                            </div>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">

                            @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            @if (session('success'))
                                <div class="alert alert-success">
                                    {{ session('success') }}
                                </div>
                            @elseif(session('error'))
                                <div class="alert alert-danger">
                                    {{ session('error') }}
                                </div>
                            @endif

                            <div class="col-md-12" style="margin-bottom: 10px;">
                                {{-- <a href="{{ route('usercatalogue.princing') }}" class="btn btn-default"
                                    style="border: 1px solid #000; color: #0D3349;text-align: center;"><i
                                        class="fas fa-long-arrow-alt-left"></i></a>&nbsp;&nbsp; --}}
                                <a class="btn btn-primary btn-sm" style="border-radius: 0" href="#" data-toggle="modal"
                                    data-target="#actorCategoryModal"> Nouveau</a>
                            </div>

                            <div class="col-xs-12 col-md-12">
                                <div class="row">
                                    <table id="categoriedatatable-buttons"
                                        class="table table-responsive-xs table-striped table-bordered">
                                        <thead>
                                            <tr>
                                                <th>n°</th>
                                                <th>Nom</th>
                                                <th>Description</th>
                                                <th>Status</th>
                                                <th>Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @php $i=1; @endphp
                                            @foreach ($actorcategory as $category)
                                                <tr>
                                                    <td>{{ $i++ }}</td>
                                                    <td>{{ $category->name }}</td>
                                                    <td>{{ $category->description }}</td>

                                                    <td>
                                                        @if ($category->status)
                                                            <span class="badge badge-success">actif</span>
                                                        @else
                                                            <span class="badge badge-danger">inactif</span>
                                                        @endif
                                                    </td>
                                                    <td>
                                                        <a class="modifier_actorcategory" id="badge-info" data-id="{{$category->id}}" data-url2="{{route('actorcategory.update', $category->id)}}" data-url="{{route('category', $category->id)}}"><i class="fa fa-edit"></i> Modifier</a>
                                                        <a class="badge badge-danger" href="{{ route('actorcategory.delete', $category) }}" data-delete-btn="Are you sure to proceed ?" >Delete</a>
                                                    </td>
                                                </tr>
                                            @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div id="actorCategoryModal" class="modal fade">
        <div class="modal-dialog">
            <form method="post" id="actor_category_form" onsubmit="return check_error(['name','description'])"
                action="{{ route('actorcategory.category') }}" enctype="multipart/form-data">
                @csrf
                <div class="modal-content" style="border-radius: 0px;">
                    <div class="modal-header">
                        <h4 class="modal-title"><i class="fa fa-plus"></i> NOUVELLE CATEGORIE D'ACTEUR</h4>
                    </div>
                    <div class="modal-body">
                        <div class="row">

                            <div class="form-group col-md-12 col-sm-12 col-xs-12">
                                <label>Intitule <span style='color:red'>*</span></label>
                                <input type="text" id="name" name="name" required="required"
                                    data-input_name="intitule de l'abonnement" onblur="check_error(['name'])"
                                    class="form-control" style="width: 100%;" placeholder="Intitule">
                            </div>
                            <div class="form-group col-md-12 col-sm-12 col-xs-12">
                                <label>Description <span style='color:red'>*</span></label>
                                <input type="text" id="description" name="description" required="required" min="1"
                                    data-input_name="nombre maximal d'utilisateur" onblur="check_error(['description'])"
                                    class="form-control" style="width: 100%;" placeholder="Description">
                            </div>

                        </div>
                    </div>
                    <div class="modal-footer">
                        <button id="modal-update" type="submit" name="action" class="btn btn-info">Ajouter</button>
                        <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                    </div>
                </div>
            </form>
        </div>
    </div>


    <!-- /page content -->
@endsection
