@extends("../dashboard._blank")
@section("sidebar")
    @include("../dashboard._sidebar")
@endsection
@section("content")
    <style>
        input {

            font-weight: bold;
        }

        select {

            font-weight: bold;
        }

        .btn-gr {
            background: #fff;
            border: 1px solid #000;

        }

        .btn-gr:hover {
            background: #ddd;
            border: 1px solid #ddd;
        }
    </style>
    <!-- page content -->
    <!-- page content -->
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>

            <div class="row">

                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <div class="row">
                                <h2 class="col-md-6 col-xs-12"><span style="color: #0c1423;">Utilisateurs <small> Liste des utilisateurs </small> </span>
                                </h2>

                            </div>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">

                            @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif
                            @if(session("success"))

                                <div class="alert alert-success">
                                    {{session('success')}}
                                </div>

                            @elseif(session("error"))

                                <div class="alert alert-danger">
                                    {{session('error')}}
                                </div>

                            @endif

                            <div class="col-xs-12 col-md-12" style="margin-top: 10px">
                                <div class="row">
                                    <div class="table-responsive">
                                        <table id="categoriedatatable-buttons"
                                               class="table table-responsive-xs table-striped table-bordered">
                                            <thead>
                                            <tr>
                                                <th>Référence</th>
                                                <th>Nom d'utilisateur</th>
                                                <th>Nom</th>
                                                <th>Prenom</th>
                                                <th>Sexe</th>
                                                <th>Email</th>
                                                <th>Téléphone</th>
                                                <th>CNI/N° PASSPORT</th>
                                                <th>CNI/PASSPORT RECTO</th>
                                                <th>CNI/PASSPORT VERSO</th>
                                                <th>VALIDATION</th>
                                                <th>Code Promo</th>
                                                <th>Action</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            @php $user_actif=\Illuminate\Support\Facades\Session::get('user') ;$i=1; @endphp
                                            @foreach($users as $user)
                                                @if($user_actif['slug']!=$user->slug)
                                                    <tr>
                                                        <td>{{$i++}}</td>
                                                        <td>{{$user->username}}</td>
                                                        <td>{{$user->first_name}}</td>
                                                        <td>{{$user->last_name}}</td>
                                                        <td>{{$user->sexe}}</td>
                                                        <td>{{$user->email}}</td>
                                                        <td>{{$user->telephone}}</td>
                                                        <td>{{$user->cni}}</td>
                                                        <td>
                                                            @if($user->cnir!=null)
                                                                <a href="{{$user->cnir}}" target="_blank">consulter</a>
                                                            @endif
                                                        </td>
                                                        <td>
                                                            @if($user->cniv!=null)
                                                                <a href="{{$user->cniv}}" target="_blank">consulter</a>
                                                            @endif
                                                        </td>
                                                        <td>
                                                            @if($user->doc_validated)
                                                                valider
                                                            @else
                                                                invalider
                                                            @endif
                                                        </td>
                                                        <td>
                                                            <a href="javascript:void(0)" onclick="active_code(@if($user->code_promo==null) 'creer' @else 'supprimer' @endif,'{{route("code_promo.active",[$user->slug])}}')">
                                                                @if($user->code_promo==null) <span class="badge badge-warning">Pas de code</span> @else <span class="">{{$user->code_promo->code}}</span> @endif
                                                            </a>
                                                        </td>
                                                        <td>
                                                            @if($user->slug!=null && $user->cni!=null)
                                                                <a class="btn  @if($user->doc_validated) btn-danger @else btn-warning @endif btn-xs"
                                                                   href="{{route('user_doc_validate',$user->slug)}}">
                                                                    @if($user->doc_validated) valider @else
                                                                        invalider @endif
                                                                </a>
                                                            @endif

                                                        </td>
                                                    </tr>
                                                @endif
                                            @endforeach

                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
@section('script')

    <script type="text/javascript">
        function active_code(text,url){
            $.Zebra_Dialog('Etes vous sur de vouloir '+text+' le code pour cet utilisateur ?', {
                'type':     'question',
                'title':    'Code Promo',
                'buttons':  [
                    {caption: 'Oui', callback: function() {

                            window.location.href = url;

                        }
                    },{
                        caption: 'Non', callback: function() {
                            $.notify('Mise à jour annuler','error')
                        }
                    }
                ]
            });
        }
    </script>
@endsection
