@php
    use WebDevEtc\BlogEtc\Captcha\CaptchaAbstract;
    use WebDevEtc\BlogEtc\Models\Post;
    /** @var Post $post */
    /** @var CaptchaAbstract $captcha */
@endphp
<div class="add_comment_area">
    <h5 class="text-center">Ajouter un commentaire</h5>
    <form method="post" action="{{ route('blogetc.comments.add_new_comment', $post->slug) }}">
        @csrf
        <div class="form-group">
            <label id="comment_label" for="comment">Votre commentaire</label>
            <textarea
                    class="form-control"
                    name="comment"
                    required
                    id="comment"
                    placeholder="Write your comment here"
                    rows="7">{{ old('comment') }}</textarea>

        </div>

        <div class='container-fluid'>
            <div class='row'>

                @if(config("blogetc.comments.save_user_id_if_logged_in", true) == false || !Auth::check())

                    <div class='col'>
                        <div class="form-group ">
                            <label id="author_name_label" for="author_name">Votre nom </label>
                            <input
                                    type='text'
                                    class="form-control"
                                    name='author_name'
                                    id="author_name"
                                    placeholder="votre nom"
                                    required
                                    value="{{old("author_name")}}">
                        </div>
                    </div>

                    @if(config("blogetc.comments.ask_for_author_email"))
                        <div class='col'>
                            <div class="form-group">
                                <label id="author_email_label" for="author_email">votre email
                                    <small>(Ne sera pas afficher au public)</small>
                                </label>
                                <input
                                        type='email'
                                        class="form-control"
                                        name='author_email'
                                        id="author_email"
                                        placeholder="Your Email"
                                        required
                                        value="{{old("author_email")}}">
                            </div>
                        </div>
                    @endif
                @endif


                @if(config("blogetc.comments.ask_for_author_website"))
                    <div class='col'>
                        <div class="form-group">
                            <label id="author_website_label" for="author_website">Votre site web
                                <small>(sera afficher)</small>
                            </label>
                            <input
                                    type='url'
                                    class="form-control"
                                    name='author_website'
                                    id="author_website"
                                    placeholder="Your Website URL"
                                    value="{{old("author_website")}}">
                        </div>
                    </div>

                @endif
            </div>
        </div>

        @if($captcha)
            {{-- Captcha is enabled. Load the type class and then include the view as defined in the captcha class. --}}
            @include($captcha->view())
        @endif

        <div class="form-group">
            <input type="submit" class="form-control input-sm btn btn-success" style="background: indigo;color: #fff" value="Ajouter mon commentaire">
        </div>
    </form>
</div>

