<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});

//home
Route::get('/all/home', 'apiController@home_data')->name('home_data');

//all settings
Route::get('/all/settings', 'apiController@settings')->name('settings');
Route::get('/get/setting/{key}', 'apiController@getSetting')->name('getSetting');

//all products
Route::get('/all/products', 'apiController@all_products')->name('all_products');
Route::get('/all/products/filter', 'apiController@all_products_filter');
Route::get('/all/panier/filter', 'apiController@all_panier_filter');
Route::get('/all/products/filter/secteur', 'apiController@all_products_filter_by_secteur');
Route::get('/all/products/filter/category', 'apiController@all_products_filter_by_category');
Route::get('/all/products/filter/promo', 'apiController@all_products_filter_promo');
Route::post('/all/products/filter/favorite', 'apiController@all_products_filter_favorite');
Route::post('/add/wishlist', 'apiController@add_to_whishlist');
Route::get('all/user/favorite/product/{slug}', 'apiController@all_user_favorite_product');

Route::post('convert/to/currency', 'apiController@convertCurrency');


Route::get('/all/secteur/activity/{limit}', 'apiController@list_secteur_activity');
Route::post('/filter/secteur/activity/', 'apiController@filter_secteur_activity');
Route::post('/get/shop/by/secteur', 'apiController@get_shop_by_secteur_activity');
Route::post('/get/shop/by/secteur/slug', 'apiController@get_shop_by_secteur_activity_slug');
Route::post('/get/category/by/shop', 'apiController@category_by_boutique');
Route::post('category/secteur/activity', 'apiController@category_by_secteur_activity');
Route::post('category/secteur/activity/slug', 'apiController@category_by_secteur_activity_slug');
Route::get('get/product/secteur/activity/{slug}', 'apiController@get_product_secteur_activity');
Route::get('get/product/secteur/activity/global/{slug}', 'apiController@get_product_secteur_activity_global');
Route::get('all/category/{limit}', 'apiController@all_category')->name('all_category');
Route::get('get/product/by/category/{slug}', 'apiController@get_product_by_category');
Route::get('get/most/visit/product/{slug}', 'apiController@get_most_visit_product');
Route::get('get/some/panier/{slug}', 'apiController@get_some_panier');
Route::get('get/most/buy/product/{slug}', 'apiController@get_most_buy_product')->name('get_most_buy_product');
Route::get('get/most/like/product', 'apiController@get_most_like_product')->name('get_most_like_product');
Route::get('get/products/promotion', 'apiController@get_products_promotion')->name('get_products_promotion');
Route::get('product/details/{slug}', 'apiController@product_details')->name('product_details');
Route::get('most/visite/shop', 'apiController@most_visite_shop')->name('most_visite_shop');
Route::get('most/like/shop', 'apiController@most_like_shop')->name('most_like_shop');
Route::get('/countries', 'apiController@countries');
Route::get('/regions', 'apiController@regions');
Route::get('/cities', 'apiController@cities');
Route::get('/search/cities/{name}/{value}', 'apiController@searchCities');
Route::get('/search/regons/{name}/{value}', 'apiController@searchRegions');
Route::get('/iso', 'apiController@iso');
Route::get('/continent/{country}', 'apiController@get_user_continent');
Route::post('filter', 'apiController@filter');

//paiement
Route::post('/add/command', 'apiController@AjouterCommande');
Route::post('/list/command', 'apiController@list_commande');
Route::post('/shipping/after/command/make', 'apiController@shipping_after_command_make');
Route::post('/check/paiement', 'apiController@checkpaiement');
Route::post('/pay/command/paypal', 'apiController@payCommandWithpaypal');
Route::post('/pay/command/paydunya', 'apiController@payDunyaCommand');
Route::post('/paydunya/redirect/after/paid', 'apiController@paydunyaredirect');
Route::post('/paypal/redirect/after/paid', 'apiController@paypalRredirect');
//user
Route::get('/checkIfAuthIsLog', 'apiController@checkIfAuthIsLog');
Route::post('/login', 'apiController@login');
Route::post('/register', 'apiController@register');
Route::post('/user/update', 'apiController@update_user');
Route::post('/user/update/password', 'apiController@update_user_password');
Route::post('/user/reset/password', 'apiController@resetPass');
Route::get('/logout', 'HomeController@logout');
Route::get('/confirm_account{id}', 'LoginController@confirm_account');


include_once "api_routes_files/countries.php";
include_once "api_routes_files/auth.php";
include_once "api_routes_files/projects.php";
include_once "api_routes_files/investments.php";
include_once "api_routes_files/recette.php";
include_once "api_routes_files/promo.php";
include_once "api_routes_files/actualite.php";
include_once "api_routes_files/mib.php";
