<?php

Route::get('projets/investissement', 'Investment\InvestmentController@index')->name('investment.index');
Route::get('projets/params', 'Investment\InvestmentController@params')->name('investment.params');
Route::get('projets/investissement/askPermission', 'Investment\InvestmentController@askPermission')->name('investment.askPermission');
Route::get('admin/demandes/projets/', 'Investment\InvestmentController@allPermissionProject')->name('investment.allPermissionProject');
Route::post('admin/demandes/projets/', 'Investment\InvestmentController@givePermissionProject')->name('investment.givePermissionProject');

//project managment
Route::post('projets/add_or_update', 'Investment\InvestmentController@addOrUpdate')->name('investment.addOrUpdate');
Route::post('projets/get', 'Investment\InvestmentController@getData')->name('investment.getData');
Route::post('projets/add/images', 'Investment\InvestmentController@addImage')->name('investment.addImage');
Route::get('projets/visibility/{slug}', 'Investment\InvestmentController@visibility')->name('investment.visibility');
Route::get('projets/delete/{slug}', 'Investment\InvestmentController@deleteData')->name('investment.deleteData');
Route::get('projets/delete/image/{id}', 'Investment\InvestmentController@deleteImage')->name('investment.deleteImage');

//contributions
Route::get('projets/{slug}/contributions', 'Investment\InvestmentContributionController@index')
    ->name('investment.contribution.index');
Route::post('projets/distribution/gain', 'Investment\InvestmentContributionController@store')
    ->name('investment.distribution.store');

Route::get('admin/investissement/validation/{slug}', 'SGI\ProjectController@validateVirementContribution')
    ->name('investment.versement.validation');

Route::post('admin/investissement/params', 'SGI\ProjectController@setInvestissementParams')
    ->name('admin.param.config');

// Remboursement
Route::post('projets/remboursement/global', 'Investment\RemboursementController@make_global_remboursement')
    ->name('investment.remboursement.global');

Route::post('projets/remboursement', 'Investment\RemboursementController@make_remboursement')
    ->name('investment.remboursement');

Route::get('projets/{slug}/remboursements', 'Investment\RemboursementController@index')
    ->name('investment.remboursement.index');

// Actualites
Route::get('projets/{slug}/articles', 'Investment\InvestissementNewsController@index')
    ->name('investment.article.index');

Route::post('projets/get/article', 'Investment\InvestissementNewsController@get_investissement_news')
    ->name('investment.article.details');

Route::post('projets/articles', 'Investment\InvestissementNewsController@createNews')
    ->name('investment.article');

Route::get('projets/articles/visibility/{slug}', 'Investment\InvestissementNewsController@visibility')
    ->name('investment.article.visibility');

Route::get('projets/articles/publish/{slug}', 'Investment\InvestissementNewsController@publish')
    ->name('investment.article.publish');

Route::get('projets/articles/delete/{slug}', 'Investment\InvestissementNewsController@delete_investissement_news')
    ->name('investment.actualite.delete');
//Investisseur    
Route::get('admin/investissor/add/{slug}', 'SGI\InvestissorController@newInvestissor')
    ->name('admin.investment.add.post');
Route::post('admin/investissor/add', 'SGI\InvestissorController@addContribution')
    ->name('admin.investment.add');
Route::post('admin/investissement/import', 'SGI\InvestissorController@importFromExcel')
    ->name('admin.investment.import');
    Route::get('projets/{slug}/payments', 'SGI\InvestissorController@paymentsList')
    ->name('admin.investment.payment.index');

    Route::get('projets/{slug}/rapport', 'SGI\InvestissorController@investmentProjetRapport')
    ->name('admin.investment.rapport');
    Route::get('projets/{slug}/rembourment/rapport', 'SGI\InvestissorController@investmentRemboursementRapport')
    ->name('admin.investment.remboursement.rapport');
    Route::get('projets/{slug}/paiement/rapport', 'SGI\InvestissorController@investmentPaiementRapport')
    ->name('admin.investment.paiement.rapport');
 //update manual investment payment 
    Route::post('projets/paiement/manual/validation', 'SGI\InvestissorController@updateInvestmentPayment')
    ->name('investment.updateInvestmentPayment');
?>
