<?php

Route::get('admin/mib/config', 'mib\adminMibController@index')->name('mib.index');
Route::post('admin/mib/pricing', 'mib\adminMibController@set_pricing')->name('admin.mib.princing');
Route::get('admin/mib/pricing', 'mib\adminMibController@pricing')->name('admin.mib.princing.list');
Route::get('admin/global/mib/boutique/{boutique}', 'mib\adminMibController@globalAdminBoutiqueYear')->name('admin.panier.mib.year');
Route::get('admin/global/mib/clients/{year}', 'mib\adminMibController@globalAdminClient')->name('admin.client.mib.list');
Route::get('admin/global/mib/cotisations/{client_slug}', 'mib\adminMibController@globalAdminShowClientCotisations')->name('admin.cotisation.mib');
Route::post('admin/global/mib/validate/cotisations', 'mib\adminMibController@intramConfirmPanierMibCotisation')->name('admin.validate.cotisation.mib');
//******************************** MIB BOUTIQUE**********************
Route::get('boutique/mib/{year}', 'mib\adminMibController@admin_client')->name('admin.boutique.list');
Route::get('boutique/mib', 'mib\adminMibController@admin_index')->name('admin.boutique.mib.year.list');
Route::post('boutique/mib/pricing', 'mib\adminMibController@get_pricing')->name('admin.boutique.pricing');
Route::get('boutique/mib/categorie/index/{slug}', 'mib\adminMibController@categorie_mib_index')->name('admin.boutique.categorie.index');
Route::get('boutique/mib/lot/index/{slug}/{cat}', 'mib\adminMibController@lot_mib_index')->name('admin.boutique.lot.index');
Route::get('boutique/mib/params/index/{slug}', 'mib\adminMibController@params_mib_index')->name('admin.boutique.params.index');
Route::post('boutique/mib/create/categorie', 'mib\adminMibController@createCategorieMib')->name('admin.boutique.create.categorie');
Route::post('boutique/mib/create/params', 'mib\adminMibController@setMibParams')->name('admin.boutique.create.params');
Route::post('boutique/mib/create/lots', 'mib\adminMibController@CreateLot')->name('admin.boutique.create.lots');
Route::get('boutique/mib/get/lots/{categorie_mib_slug}', 'mib\adminMibController@getLotByCategorieMibSlug')->name('client.get.lot');
Route::get('boutique/mib/get/cotisations/{client_slug}', 'mib\adminMibController@showClientCotisations')->name('admin.get.client.cotisation');
Route::get('boutique/mib/update/cotisations/{cotisation_slug}', 'mib\mibController@AdminValidatePanierMibCotisation')->name('admin.update.client.cotisation');
Route::post('/mib/client/update', 'mib\adminMibController@updateClientData')->name('client.update.mib');
Route::get('/mib/demande/brunch/update/{demande_id}/{value}', 'mib\adminMibController@updateDemandeBrunch')->name('client.update.demande.brunch.mib');
Route::get('/mib/list/demande/brunch/{boutique_slug}', 'mib\adminMibController@listeDemandeBrunch')->name('list.demande.brunch.mib');
Route::get('/mib/get/categorie/mib/{slug}', 'mib\adminMibController@getCategoriesBySlug')->name('get.categorie.mib');
Route::get('/mib/get/lot/mib/{slug}', 'mib\adminMibController@getLotBySlug')->name('get.lot.mib');
Route::post('/mib/update/categorie/mib/', 'mib\adminMibController@updatecategorieMib')->name('update.categorie.mib');
Route::post('/mib/update/lot/mib/', 'mib\adminMibController@updateLotMib')->name('update.lot.mib');
Route::get('/mib/delete/categorie/mib/{slug}', 'mib\adminMibController@deleteCategoriesBySlug')->name('delete.categorie.mib');
Route::get('/mib/delete/lot/mib/{slug}', 'mib\adminMibController@deleteLotBySlug')->name('delete.lot.mib');
Route::get('/mib/lot/by/categorie/mib/{slug}', 'mib\adminMibController@lot_mib_by_categorieSlug_for_option')->name('lot.mib.byCategorie.slug');
Route::post('/mib/create/client', 'mib\adminMibController@adminCreateClientMib')->name('create.mib.client');
Route::get('/mib/statistique/pdf', 'mib\adminMibController@mibStatistique')->name('mib.statistique.pdf');
Route::get('/mib/statistiques', 'mib\adminMibController@statistique')->name('mib.statistique');


//********************************* Client ******************************
Route::post('/mib/souscription/paiement/', 'mib\mibController@kkiapayCheckPanierMibSouscription')->name('souscription.paiement.mib.client');
Route::post('/mib/souscription/paiement/intram', 'mib\mibController@intramCheckPanierMibSouscription')->name('souscription.paiement.mib.client.intram');
Route::post('/mib/cotisation/paiement/', 'mib\mibController@getCotisationMibData')->name('cotisation.mib.client');
Route::post('/mib/client/cotisation/paiement/', 'mib\mibController@kkiapayCheckPanierMibCotisation')->name('cotisation.mib.paiement');
Route::post('/mib/client/cotisation/paiement/intram', 'mib\mibController@intramCheckPanierMibCotisation')->name('cotisation.mib.paiement.intram');
Route::post('/mib/demande/brunch/', 'mib\mibController@demandeBrunch')->name('demande.brunch.mib');
Route::post('/mib/client/commentaire', 'mib\mibController@mib_end_comments')->name('client.commentaire.mib');

?>
