<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use Illuminate\Support\Facades\Route;

//Gestion des reclamation ***********************************************
// commandes
Route::post('admin-intram-payment-command-validation', array('as' => 'command.admin.validation', 'uses' => 'BoutiqueController@adminCheckCommandpaiementIntram'));

Route::post('payment-pay-command', array('as' => 'payment.command.pay', 'uses' => 'paymentController@payCommandWithpaypal'));
Route::post('payment-pay-souscription_mib', array('as' => 'payment.souscription_mib.pay', 'uses' => 'paymentController@paySouscriptionMibWithpaypal'));
Route::post('payment-pay-cotisation', array('as' => 'payment.cotisation.pay', 'uses' => 'paymentController@payCotisationMibWithpaypal'));
Route::post('payment-pay', array('as' => 'payment.pay', 'uses' => 'paymentController@payWithpaypal'));
Route::get('payment-status', array('as' => 'payment.status', 'uses' => 'paymentController@getPaymentStatus'));
Route::get('payment', array('as' => 'payment', 'uses' => 'BoutiqueController@payment'));
Route::get('payment-cancel', function () {
    return 'Payment has been canceled';
});

Route::get('/get/countries', ['as' => 'get.countries', 'uses' => 'BoutiqueController@countries']);
Route::get('/register/get/regions/{pays_id}', ['as' => 'get.regions', 'uses' => 'BoutiqueController@getRegionsPays']);
Route::get('/register/get/villes/{region_id}', ['as' => 'get.villes', 'uses' => 'BoutiqueController@getVillesRegion']);


//auth guest
Route::get('/actualite/{slug}', 'UserController@actualite')->name('actualite');
Route::get('/actualites/liste', 'UserController@liste_actualites')->name('liste_actualites');
Route::get('/actualites/liste/paginate', 'UserController@liste_actualites_paginate')->name('liste_actualites_paginate');
Route::get('/annonce/{slug}', 'UserController@annonce')->name('annonce');
Route::get('/annonces/liste', 'UserController@liste_annonces')->name('liste_annonces');
Route::get('/annonces/liste/paginate', 'UserController@liste_annonces_paginate')->name('liste_annonces_paginate');
Route::get('/boutique/liste', 'BoutiqueController@boutique_liste')->name('boutique_liste');
Route::post('userLocation', 'BoutiqueController@userLocation')->name('userLocation');

//boutique client login and register
Route::get('/bienvenue', 'LoginController@bienvenue')->name('bienvenue');
Route::get('/accueil', 'HomeController@accueil')->name('accueil');
//login
Route::get('/bienvenue', 'LoginController@bienvenue')->name('bienvenue');
Route::get('/', 'UserController@landing')->name('landing');
Route::get('/e-commerce', 'UserController@index')->name('landing_home');
Route::get('/comment/creer/sa/boutique', 'UserController@how_to_create_boutique')->name('how_to_create_boutique');
Route::get('/comment/configurer/sa/boutique', 'UserController@how_to_configure_my_boutique')->name('how_to_configure_my_boutique');
Route::get('/condition/generale', 'UserController@condition_generale')->name('condition_generale');
Route::get('/politique/confidentialite', 'UserController@politique_confidentialite')->name('politique_confidentialite');
Route::post('/login', 'LoginController@login')->name('login_form');
Route::get('/login', 'LoginController@login_boutique')->name('login');
Route::post('/login/boutique', 'LoginController@login_for_boutique')->name('login_for_boutique');
Route::get('/register', 'LoginController@register_boutique')->name('register_boutique');
Route::post('/register/boutique', 'LoginController@register_for_boutique')->name('register_for_boutique');
//register
Route::post('/register', 'LoginController@client_register')->name('register');

//confirm account
Route::get('/Confirm-account{id}', 'LoginController@confirm_account_web')->name('account_confirm');

//afiliation
Route::get('my_enseigne/{id}', 'UserController@get_all_user_enseigne')->name('my_enseigne');
//Admin Panel
Route::post('update_etat_concerver/', 'Admin_Controller@update_etat_concerver')->name('update_etat_concerver');


Route::get('download/base64/{boutique}', 'BoutiqueController@downloadFromBase64')->name('downloadFromBase64');

Route::get('admin/code/promo', 'BoutiqueController@code_promo')->name('code_promo');
Route::post('admin/update/code/promo', 'BoutiqueController@update_code_promo')->name('update.code_promo');
Route::post('admin/create/code/promo', 'BoutiqueController@create_code_promo')->name('admin.boutique.create.code_promo');
Route::get('admin/delete/code/promo/{id}', 'BoutiqueController@delete_code_promo')->name('delete.code_promo');
Route::get('admin/get/code/promo/{id}', 'BoutiqueController@get_code_promo')->name('get.code_promo');

//code Promo boutique
Route::post('check/code/promo', 'BoutiqueController@check_code_promo')->name('check.code_promo');


//middleware
Route::middleware(['auth_connect'])->group(function () {

    //Livraisons
    Route::get('/admin/livraisons', ['as' => 'livraisons.index', 'uses' => 'MoyenLivraisonController@index']);
    Route::get('/admin/livraisons/boutique/{shop_slug}', ['as' => 'livraisons.client.index', 'uses' => 'MoyenLivraisonController@ShopShipping']);
    Route::get('/admin/livraisons/guidetarifaire/{slug}', ['as' => 'livraisons.guide', 'uses' => 'MoyenLivraisonController@guideTarifaire']);
    Route::get('/livraisons/guidetarifaire/client/{slug}/{shop_slug}', ['as' => 'livraisons.guide.client', 'uses' => 'MoyenLivraisonController@guideTarifaireClient']);
    Route::post('/add/shipping/shop', ['as' => 'add.shipping.shop', 'uses' => 'MoyenLivraisonController@addShippingToShop']);
    Route::get('/remove/shipping/shop/{slug}/{shop_slug}', ['as' => 'remove.shipping.shop', 'uses' => 'MoyenLivraisonController@removeShippingShop']);
    Route::get('/get/regions/{pays_id}', ['as' => 'livraisons.get.regions', 'uses' => 'MoyenLivraisonController@getRegionsPays']);
    Route::get('/get/villes/{region_id}', ['as' => 'livraisons.get.villes', 'uses' => 'MoyenLivraisonController@getVillesRegion']);
    Route::post("livraisons/store", ['as' => 'livraisons.store', 'uses' => 'MoyenLivraisonController@store']);
    Route::post("livraisons/store/plan/tarifaire", ['as' => 'livraisons.storePlanTarifaire', 'uses' => 'MoyenLivraisonController@storePlanTarifaire']);
    Route::get('/livraison/edit/{id}', ['as' => 'livraison.edit', 'uses' => 'MoyenLivraisonController@edit']);
    Route::post('/livraison/shipping/informations', ['as' => 'livraison.shipping_informations', 'uses' => 'MoyenLivraisonController@shipping_informations']);


    //adminPaiment
    Route::get('admin/paiement/list', ['as' => 'admin.paiement', 'uses' => 'HomeController@adminPaiementList']);

    //generatepDF
    Route::get('commande/pdf/generating/{slug}', ['as' => 'commande.pdf', 'uses' => 'CommandeController@createPDF']);

    //Marketer
    Route::get('sunmarketers', 'MarketerController@sunmarketers')->name('sunmarketers');
    Route::get('demandeGestionnaire', 'MarketerController@demandeGestionnaire')->name('demandeGestionnaire');
    Route::get('demandeGestionnaireMake', 'MarketerController@demandeGestionnaireMake')->name('demandeGestionnaireMake');
    Route::get('demande/gestionnaire/admin', 'MarketerController@demandeGestionnaireAdmin')->name('demandeGestionnaireAdmin');
    Route::get('change_status_sunmarketer/{slug}', 'MarketerController@change_status_sunmarketer')->name('change_status_sunmarketer');
    Route::get('admin_change_status_sunmarketer/{slug}/{admin_slug}', 'MarketerController@admin_change_status_sunmarketer')->name('admin_change_status_sunmarketer');
    Route::get('visibility/sunmarketer', 'MarketerController@visibility_sunmarketer')->name('visibility_sunmarketer');
    Route::get('sunmarketer/{slug}', 'MarketerController@sunmarketer_single')->name('sunmarketer_single');
    Route::get('accept/be/sunmarketer/{slug}', 'MarketerController@accept_be_sunmarketer')->name('accept_be_sunmarketer');
    Route::get('reject/be/sunmarketer/{slug}', 'MarketerController@reject_be_sunmarketer')->name('reject_be_sunmarketer');
    Route::get('personal/profil', 'MarketerController@persoanl_profil_view')->name('persoanl_profil_view');
    Route::post('createProfilSunmarketers', 'MarketerController@createProfilSunmarketers')->name('createProfilSunmarketers');
    Route::post('sunmarketer/associate', 'MarketerController@sunmarketer_associate')->name('sunmarketer_associate');

    //paiement block
    Route::post('payNewslettersWithpaypal', array('as' => 'payNewslettersWithpaypal', 'uses' => 'paymentController@payNewslettersWithpaypal'));
    Route::post('payment-international', array('as' => 'payment_international.pay', 'uses' => 'paymentController@international_visibility'));
    Route::post('payment-echelonner', array('as' => 'payment_echelonner.pay', 'uses' => 'paymentController@paypalPaiementEchelonner'));
    Route::post('payment-mib', array('as' => 'payment_mib.pay', 'uses' => 'paymentController@paypalPaiementAbonnementMib'));
    Route::post('internationalizekkiapay', array('as' => 'internationalizekkiapay', 'uses' => 'paymentController@internationalizekkiapay'));
    Route::post('internationalizeIntram', array('as' => 'internationalizeIntram', 'uses' => 'paymentController@internationalizeIntram'));
    Route::post('user/payment', 'paymentController@paymentKkiapay')->name('user.payment');
    Route::post('user/payment/intram', 'paymentController@paymentIntram')->name('user.payment.intram');

    //all block
    Route::get('/home', 'HomeController@home')->name('home');
    Route::get('chart/vente', 'HomeController@chart_vente')->name('chart_vente');
    Route::get('userConnected', 'BoutiqueController@userConnected')->name('userConnected');
    Route::get('general/list/boutique', 'BoutiqueController@general_list_boutique')->name('general_list_boutique');
    Route::get('documentation', 'BoutiqueController@documentation')->name('documentation');

    //activer boutique slug
    Route::get('/activate/shop/payment/{boutique_slug}', 'BoutiqueController@activerBoutique_paiment')->name('activerBoutique_paiment');
    Route::post('/newBoutique_installation/{slug}', 'BoutiqueController@newBoutique_installation')->name('newBoutique_installation');

    //user update
    Route::get('/update', 'LoginController@update_user_data_view')->name('update_view');
    Route::post('/update', 'LoginController@update_user_data')->name('update_user');
    Route::post('/update_password', 'LoginController@update_user_password')->name('update_user_password');
    Route::get('/logout', 'HomeController@logout_web')->name('logout');
    Route::get('/logout/boutique', 'HomeController@logout_web_boutique')->name('logout.boutique');

    //admin gestion
    Route::get('list/user', 'HomeController@list_user')->name('list.user');
    Route::get('user/doc/validater/{slug}', 'HomeController@user_doc_validate')->name('user_doc_validate');
    @include_once "route_files/codePromo.php";
    @include_once "route_files/investment.php";

    //admin demande_supression admin
    Route::get('demande/supression/boutique/admin', 'HomeController@demande_supression_boutique_admin')->name('demande_supression_boutique_admin');
    Route::get('supprimer/boutique/{slug}', 'HomeController@supprimer_boutique')->name('supprimer_boutique');

    //portefeuille admin
    Route::get('user/portefeuille/admin', 'HomeController@portefeuille_admin')->name('portefeuille_admin');
    //abonne newsletter global
    Route::get('all/abonne', 'HomeController@all_abonne')->name('all_abonne');
    //abonne newsletter boutique
    Route::get('all/abonne/by/boutique', 'BoutiqueController@all_abonne_by_boutique')->name('all_abonne_by_boutique');
    //enseigne
    Route::get('/create_enseigne', 'EnseigneController@panel_create_enseigne')->name('create_enseigne');
    Route::post('/create_enseigne', 'EnseigneController@create_enseigne')->name('create_enseigne');
    Route::get('get_enseigne/{id}', 'EnseigneController@get_enseigne')->name('get_enseigne');
    Route::put('update_enseignes', 'EnseigneController@update_enseigne')->name('update_enseignes');
    Route::get('delete_enseigne/{id}', 'EnseigneController@delete_enseigne')->name('delete_enseigne');

    //Boutique
    Route::post('create_boutique', 'BoutiqueController@createBoutique')->name('create_boutique');
    Route::post('installerBoutique', 'BoutiqueController@installerBoutique')->name('installerBoutique');
    Route::post('description', 'BoutiqueController@update_description')->name('update_description');
    Route::get('boutique_paiement_abonnement', 'BoutiqueController@boutique_paiement_abonnement')->name('installerBoutique_paiement');
    Route::POST('newBoutique_desinstallation', 'BoutiqueController@newBoutique_desinstallation')->name('newBoutique_desinstallation');
    Route::POST('activatePaiementForBoutique', 'BoutiqueController@activatePaiementForBoutique')->name('activatePaiementForBoutique');
    Route::get('boutique', 'BoutiqueController@boutique')->name('boutique');
    Route::get('gerer_boutique/{id}', 'HomeController@gerer_boutique')->name('gerer_boutique')->middleware('auth_connect');
    Route::get('checkBoutiqueIsInternational/{id}', 'BoutiqueController@checkBoutiqueIsInternational')->name('checkBoutiqueIsInternational');
    Route::get('newDatabase', 'BoutiqueController@newDatabase')->name('newDatabase');
    Route::post('metaEvent', 'BoutiqueController@metaEvent')->name('metaEvent');
    Route::post('boutiqueEvent', 'BoutiqueController@boutiqueEvent')->name('boutiqueEvent');
    Route::get('maintenance/{slug}', 'BoutiqueController@maintainBoutique')->name('maintainBoutique');
    Route::post('suppresion/boutique', 'BoutiqueController@supprimerBoutique')->name('supprimerBoutique');
    Route::post('demande/supression/boutique', 'BoutiqueController@demande_supression_boutique')->name('demande_supression_boutique');
    Route::get('annulation/demande/{slug}', 'BoutiqueController@annaulation_demande_supression_boutique')->name('annaulation_demande_supression_boutique');
    Route::get('/plesk/{plesk}/customers', ['as' => 'plesk/customers', 'uses' => 'BoutiqueController@getIndex']);
    Route::get('/menu', 'HomeController@menu')->name('menu');
    Route::get('delete/message/{slug}', 'HomeController@delete_message')->name('delete_message');
    Route::get('/liste_contact', 'HomeController@liste_contact')->name('liste_contact');
    Route::post('/message/response', 'HomeController@message_response')->name('message_response');
    Route::get('/indexCategorie/{id}', 'HomeController@indexCategorie')->name('indexCategorie');
    Route::get('/indexProduit/{id}', 'HomeController@indexProduit')->name('indexProduit');
    Route::get('/indexClient/{id}', 'HomeController@indexClient')->name('indexClient');
    Route::get('/indexStock/{id}', 'HomeController@indexStock')->name('indexStock');
    Route::get('/indexCommand/{id}', 'HomeController@indexCommand')->name('indexCommand');
    Route::bind('plesk', function ($value, $route) {
        app('PleskXml')->server($value);
        return app('PleskXml');
    });


    //Abonnement Boutique
    Route::get('all/abonnement/boutique', 'HomeController@allAbonnementBoutique')->name('allAbonnementBoutique');
    Route::get('abonnement/boutique', 'HomeController@abonnementBoutique')->name('abonnementBoutique');
    Route::get('get/abonnement/{slug}', 'HomeController@getAbonnementData')->name('get_abonnement');
    Route::get('delete/abonnement/{slug}', 'HomeController@deleteAbonnement')->name('delete_abonnement');
    Route::post('create/abonnement/boutique', 'HomeController@create_abonnement_boutique')->name('create_abonnement');
    Route::put('update/abonnement/boutique', 'HomeController@update_abonnement_boutique')->name('update_abonnement');

    //Abonnement Catalogue
    Route::get('all/abonnement/catalogue', 'HomeController@allAbonnementCatalogue')->name('allAbonnementCatalogue');
    Route::get('abonnement/catalogue', 'HomeController@abonnementCatalogue')->name('abonnementCatalogue');
    Route::get('get/abonnement/catalogue/{slug}', 'HomeController@getAbonnementCatalogueData')->name('get_abonnement_catalogue');
    Route::get('delete/abonnement/catalogue/{slug}', 'HomeController@deleteAbonnementCatalogue')->name('delete_catalogue_abonnement');
    Route::post('create/abonnement/catalogue', 'HomeController@create_abonnement_catalogue')->name('create_catalogue_abonnement');
    Route::put('update/abonnement/catalogue', 'HomeController@update_abonnement_catalogue')->name('update_catalogue_abonnement');

    //Boutique abonnement renew
    Route::post('renew/abonnement', 'BoutiqueController@renewAbonnement')->name('renewAbonnement');
    Route::post('renew/abonnement/intram', 'BoutiqueController@renewAbonnementIntram')->name('renewAbonnementIntram');
    Route::get('check/renew/abonnement', 'BoutiqueController@checkRenewAfterPaiement')->name('checkRenewAfterPaiement');
    Route::get('check/renew/abonnement/intram', 'BoutiqueController@checkRenewAfterPaiementIntram')->name('checkRenewAfterPaiementIntram');

    //admin renew boutique
    Route::post('admin/renew/abonnement', 'HomeController@adminrenewAbonnement')->name('adminrenewAbonnement');
    Route::get('internationalize/{id}', 'HomeController@internationalize')->name('internationalize');


    //newsletter
    Route::get('admin/options/abonnement/', ['as' => 'abonnement.news.options', 'uses' => 'NewslettersController@abonnementnewsview']);
    Route::get('user/abonnement/', ['as' => 'abonnement.news.user', 'uses' => 'NewslettersController@abonnementNewsViewuUser']);
    Route::get('user/abonnement/intram', ['as' => 'abonnement.news.user.intram', 'uses' => 'NewslettersController@abonnementNewsViewuUserIntram']);
    Route::post('admin/options/abonnement/create', ['as' => 'abonnement.news.options.create', 'uses' => 'NewslettersController@createabonnementnews']);
    Route::post('user/abonnement/create', ['as' => 'abonnement.news.user.create', 'uses' => 'NewslettersController@createUserAbonnement']);
    Route::post('get/option/abonnement', ['as' => 'get_option_abonnement', 'uses' => 'NewslettersController@get_option_abonnement']);
    Route::post('send/Newsletter', ['as' => 'send.newsletter', 'uses' => 'NewslettersController@sendNewsletter']);
    Route::post('get/article/ews', ['as' => 'get.article.news', 'uses' => 'NewslettersController@get_article_for_news']);
    Route::post('user/get/abonnement', ['as' => 'get.abonnement', 'uses' => 'NewslettersController@get_abonnement']);
    Route::get('user/newsletter/abonnement/{slug}', ['as' => 'cumuler', 'uses' => 'NewslettersController@cumuler']);
    Route::get('newsletters/gestions/{slug}', ['as' => 'newsletters.gestion', 'uses' => 'NewslettersController@newsletters_user']);
    Route::post('chooseOption/abonnement', ['as' => 'chooseOption.abonnement', 'uses' => 'NewslettersController@chooseOption_abonnement']);
    Route::get('admin/options/abonnement/delete/{slug}', ['as' => 'abonnement.deleteabonnementnews', 'uses' => 'NewslettersController@deleteabonnementnews']);
    Route::get('admin/options/abonnement/publier/{slug}', ['as' => 'abonnement.publier', 'uses' => 'NewslettersController@publier']);
    Route::get('newsletters/boutique/single/{slug}', ['as' => 'newsletter/boutique', 'uses' => 'NewslettersController@newsletters_boutique_single']);


    //Product
    Route::get('articles/listes/{id}', 'CatalogueArticleController@article_index')->name('article_index');
    Route::get('coffrets/listes/{id}', 'CatalogueArticleController@coffret_index')->name('coffret_index');
    Route::get('coffrets/create/{id}', 'CatalogueArticleController@coffret_create')->name('coffret_create');
    Route::post('articles/create', 'CatalogueArticleController@create_article')->name('create_article');
    Route::get('article_delete/{slug}', 'CatalogueArticleController@delete_article')->name('delete_article');
    Route::get('article_once/{slug}', 'CatalogueArticleController@get_article')->name('get_article');
    Route::put('article_update/{id}', 'CatalogueArticleController@update')->name('update_article');
    Route::post('make_stock/{page}', 'CatalogueArticleController@make_stock')->name('make_stock');
    Route::post('make_weight/{page}', 'CatalogueArticleController@make_weight')->name('make_weight');
    Route::post('make_show_price/{page}', 'CatalogueArticleController@make_show_price')->name('make_show_price');
    Route::post('make_promo/{page}', 'CatalogueArticleController@make_promo')->name('make_promo');

    Route::post('make_en_avant/{page}', 'CatalogueArticleController@make_en_avant')->name('make_en_avant');

    Route::post('make_visibility/{page}', 'CatalogueArticleController@make_visibility')->name('make_visibility');
    Route::post('make_state/{page}', 'CatalogueArticleController@make_state')->name('make_state');
    Route::post('list_article_by_categorie', 'CatalogueArticleController@list_article_by_categorie')->name('list_article_by_categorie');
    Route::post('getcaracteristiquebycatslug', 'CatalogueArticleController@getcaracteristiquebycatslug')->name('getcaracteristiquebycatslug');
    Route::get('get_image_add/{slug}', 'CatalogueArticleController@get_image_add')->name('get_image_add');
    Route::post('update_image', 'CatalogueArticleController@update_image')->name('update_image');
    Route::get('delete_image/{slug}', 'CatalogueArticleController@delete_image')->name('delete_image');

    // Product by Productor
    Route::get('articles/suppliers/listes', 'ProductorArticleController@article_supplier_index')->name('article_supplier_index');
    Route::post('articles/suppliers/create', 'ProductorArticleController@create_article')->name('suppliers_create_article');
    Route::get('/article/supplier/{slug}', 'ProductorArticleController@get_article')->name('supplier_get_article');
    Route::put('article_update/supplier/{slug}', 'ProductorArticleController@update')->name('supplier_update_article');
    Route::get('article_delete/supplier/{slug}', 'ProductorArticleController@delete_article')->name('supplier_delete_article');
    Route::get('article_active/supplier/{slug}', 'ProductorArticleController@active_article')->name('supplier_active_article');
    
    Route::post('/suppliers/subscribe', 'SubcscribeProductorController@subscribe')->name('suppliers_subscribe');
    Route::get('/products/supplier/{productor_id}', 'ProductorArticleController@get_producteur_articles')->name('supplier_products');
    // Route::get('/get_productor_by_categorie/{category_slug}', 'ProductorArticleController@get_producteur_categorie')->name('get_producteur_categorie');
    Route::get('/supplier/history', 'ProductorArticleController@history')->name('supplier_history');
    Route::get('/get_productor_by_categorie/{productor_id}', 'ProductorArticleController@get_productor_by_categorie');


    //Product by user
    Route::get('products/listes/{id}', 'ProductController@product_index')->name('product_index');
    Route::post('products/create', 'ProductController@create_product')->name('create_product');
    Route::get('product_delete/{slug}', 'ProductController@delete_product')->name('delete_product');
    Route::get('product_once/{slug}', 'ProductController@get_product')->name('get_product');
    Route::put('product_update/{id}', 'ProductController@update')->name('update_product');
    //  Route::post('product_stock/{page}','ProductController@make_stock')->name('make_stock');
    //  Route::post('product_weight/{page}','ProductController@make_weight')->name('make_weight');
    //  Route::post('product_show_price/{page}','ProductController@make_show_price')->name('make_show_price');
    //  Route::post('product_promo/{page}','ProductController@make_promo')->name('make_promo');

    Route::post('product_en_avant/{page}', 'ProductController@make_en_avant')->name('product_en_avant');

    // Route::post('make_visibility/{page}','ProductController@make_visibility')->name('make_visibility');
    //  Route::post('make_state/{page}','ProductController@make_state')->name('make_state');
    // Route::post('list_article_by_categorie','ProductController@list_article_by_categorie')->name('list_article_by_categorie');
    //  Route::post('getcaracteristiquebycatslug','ProductController@getcaracteristiquebycatslug')->name('getcaracteristiquebycatslug');
    //  Route::get('get_image_add/{slug}','ProductController@get_image_add')->name('get_image_add');
    //  Route::post('update_image','ProductController@update_image')->name('update_image');
    //  Route::get('delete_image/{slug}','ProductController@delete_image')->name('delete_image');


    //categories
    Route::get('catalogues/listes/{id}', 'CategorieCatalogue@categorie_index')->name('categorie_index');
    Route::get('catalogues_delete/{slug}', 'CategorieCatalogue@delete_categorie')->name('delete_categorie');
    Route::get('delete_categorie/selected/{slug}', 'CategorieCatalogue@delete_categorie_selected')->name('delete_categorie_selected');
    Route::get('catalogues_once/{slug}', 'CategorieCatalogue@get_categorie')->name('get_categorie');
    Route::post('catalogues/create', 'CategorieCatalogue@create_categorie')->name('create_categorie');
    Route::put('catalogues_update/{slug}', 'CategorieCatalogue@update_categorie')->name('update_categorie');
    Route::get('catalogues_categorie_get/{slug}', 'CategorieCatalogue@details_categorie')->name('details_categorie');

    Route::get('options/{slug}', ['as' => 'options', 'uses' => 'BoutiqueController@options']);

    Route::put('customize', ['as' => 'boutiques.customize', 'uses' => 'BoutiqueMetaController@update']);

    Route::post('publicites', ['as' => 'publicites.store', 'uses' => 'PubliciteController@store']);
    Route::put('publicites/{slug}', ['as' => 'publicites.update', 'uses' => 'PubliciteController@update']);
    Route::get('publicites/{slug}', ['as' => 'publicites.destroy', 'uses' => 'PubliciteController@destroy']);

    //retrait admin
    Route::post('admin/make/retrait', ['as' => 'adminMakeretrait', 'uses' => 'HomeController@adminMakeretrait']);
    Route::get('admin/list/retrait', ['as' => 'adminRetraitNotification', 'uses' => 'HomeController@adminRetraitNotification']);

    //retrait
    Route::post('makedemande/retrait', ['as' => 'makedemande_retrait', 'uses' => 'HomeController@makedemande_retrait']);
    Route::get('list/retrait/user', ['as' => 'list_retrait_user', 'uses' => 'HomeController@list_retrait_user']);
    Route::get('retrait/index', ['as' => 'retrait_index', 'uses' => 'HomeController@retrait_index']);
    Route::post('demande/retrait/validate', ['as' => 'demanderetraitvalidate', 'uses' => 'HomeController@demanderetraitvalidate']);
    Route::post('retrait/validate', ['as' => 'retraitvalidate', 'uses' => 'HomeController@retraitvalidate']);
    Route::post('total/Actif', ['as' => 'totalActif', 'uses' => 'HomeController@totalActif']);

    //demande activation
    Route::get('demande/activation/index', ['as' => 'demande.activation.index', 'uses' => 'DemandeActivationAbonnementController@index']);
    Route::get('demande/active/{id}', ['as' => 'demande.active', 'uses' => 'DemandeActivationAbonnementController@activer']);
    Route::get('demande/denied/{id}', ['as' => 'demande.denied', 'uses' => 'DemandeActivationAbonnementController@denied']);


    //Paiement echelonner
    Route::post('paiement/echelonner', ['as' => 'echelonner.create', 'uses' => 'PaiementEchelonnerController@create']);
    Route::post('paiement/echelonner/intram', ['as' => 'echelonner.create.intram', 'uses' => 'PaiementEchelonnerController@createIntram']);

    //Panier MIB Abonnement boutique
    Route::post('panier/mib/create', ['as' => 'panier_mib.create', 'uses' => 'mib\adminMibController@create']);
    Route::post('panier/mib/create/intram', ['as' => 'panier_mib.create.intram', 'uses' => 'mib\adminMibController@createIntram']);

    @include_once "route_files/annonce.php";
    @include_once "route_files/pointVente.php";
    @include_once "route_files/actualite.php";
    @include_once "route_files/stock_images.php";
    @include_once "route_files/mib.php";
    @include_once "route_files/user_catalogue.php";
    @include_once "route_files/actor_category.php";
    @include_once "route_files/promotion.php";
    @include_once "route_files/recette.php";
    @include_once "route_files/panier.php";
    @include_once "route_files/reclamation.php";
    @include_once "route_files/super_admin.php";
});

//*********************************************MIB CLIENT
Route::get('{boutique}/mib/index/{year}/{client}', 'BoutiqueController@clientMibIndex')->name('boutique.mib.client.detail');
Route::get('{boutique}/mib/client/list/{year}', 'BoutiqueController@clientMibListPerYear')->name('boutique.mib.client.list');
Route::get('{boutique}/mib/index/', 'BoutiqueController@clientMibIndexYear')->name('boutique.mib.client');
Route::get('{boutique}/create/mib/index/{year}', 'BoutiqueController@createClientMibIndex')->name('boutique.create.mib.client');
//*******************************************************

Route::post('pay/by/paydunya', 'paymentController@paybyPaydunya')->name('paybyPaydunya');
Route::post('productor/pay/by/paydunya', 'paymentController@productorPaybyPaydunya')->name('productorPaybyPaydunya');
Route::post('pay/mib/souscription/by/paydunya', 'paymentController@paydunyaredirectAfterClientSouscription')->name('pay.MibSouscription.Paydunya');
Route::get('pay/by/paydunya/redirect', 'paymentController@paydunyaredirect')->name('paydunyaredirect');
Route::get('pay/by/paydunya/redirect/redirect/abonnement', 'paymentController@paydunyaredirectSubscription')->name('paydunyaredirectSubscription');
Route::get('pay/by/paydunya/redirect/internationalize', 'paymentController@paydunyaredirectAfterinternational')->name('paydunyaredirectAfterinternational');
Route::get('pay/by/paydunya/redirect/paiement/echelonner', 'paymentController@paydunyaredirectAfterPaiementEchelonner')->name('paydunyaredirectAfterPaimentEchelonner');
Route::get('pay/by/paydunya/redirect/newsletters', 'paymentController@abonnementNewsletterPaydunyaRedirect')->name('abonnementNewsletterPaydunyaRedirect');
Route::get('pay/by/paydunya/redirect/catalogue/abonnement', 'paymentController@paydunyaredirectCatalogue')->name('paydunyaredirectCatalogue');

//offre metier
Route::get('delete_metier/{id}', 'metierController@delete_metier')->name('delete_metier');
Route::get('mes_metiers', 'metierController@mes_metiers')->name('mes_metiers');
Route::put('update_metier', 'metierController@update_metier')->name('update_metier');
Route::post('get_all_metier', 'metierController@get_all_metier')->name('get_all_metier');
Route::post('create_metier', 'metierController@create_metier')->name('create_metier');
Route::get('get_metier/{id}', 'metierController@get_metier')->name('get_metier');

//Super Admin Controller
Route::get('enseignes', 'EnseigneController@enseigne_index')->name('all_enseigne');
Route::post('get_all_enseigne', 'EnseigneController@get_all_enseigne')->name('get_all_enseigne');


//commandes
Route::get('client', 'ClientController@index')->name('client');
Route::post('create_client', 'ClientController@create_client')->name('create_client');
Route::get('delete_client/{slug}', 'ClientController@delete_client')->name('delete_client');
Route::get('getClient/{slug}', 'ClientController@getClient')->name('getClient');
Route::put('update_client/{slug}', 'ClientController@update_client')->name('update_client');

//clients
Route::get('commandes', 'CommandeController@index')->name('commandes');
Route::post('get_commande_article', 'CommandeController@get_article_commande')->name('get_article_commande');
Route::post('get_livraison', 'CommandeController@livraison')->name('get_livraison');


Route::post('get_boutique', 'BoutiqueController@get_boutique')->name('get_boutique');
Route::post('get_boutiquePaginate', 'BoutiqueController@get_boutiquePaginate')->name('get_boutiquePaginate');
Route::post('userSetCountry', 'BoutiqueController@userSetCountry')->name('userSetCountry');

/*PrestaShop*/



//Route::get('/', 'HomeController@index')->name('products.index');
//Route::get('/all_products', 'HomeController@products')->name('products.all');
//Route::get('/product', 'HomeController@show')->name('products.show');

Route::get('partenaires', ['as' => 'partenaires.show', 'uses' => 'PartenaireController@store']);
Route::post('partenaires', ['as' => 'partenaires.store', 'uses' => 'PartenaireController@store']);
Route::put('partenaires', ['as' => 'partenaires.store', 'uses' => 'PartenaireController@update']);

Route::get('/{boutique}', 'BoutiqueController@index')->name('boutique.index');
Route::get('/{boutique}/list/articles', 'BoutiqueController@list_articles')->name('boutique.list_articles');
Route::get('about/{boutique}', 'BoutiqueController@about')->name('boutique.about');
Route::get('/all_products', 'BoutiqueController@products')->name('products.all');
Route::get('/{boutique}/product/{slug}', 'BoutiqueController@show')->name('products.show');
Route::get('/{boutique}/product/{slug}', 'BoutiqueController@show_product')->name('boutique.product.show');
Route::get('/{boutique}/cart', 'BoutiqueController@cart')->name('products.cart');
Route::get('/cart/delete', 'BoutiqueController@cart_delete')->name('products.cart.delete');
Route::post('/add/quantity/cart', 'BoutiqueController@addQuantityArticleToCart')->name('addQuantityArticleToCart');
Route::get('/{boutique}/point_de_vente/', 'BoutiqueController@point_vente')->name('point_vente');
Route::get('/{boutique}/contact/', 'BoutiqueController@contact')->name('contact');
Route::post('/contact', 'BoutiqueController@contactmake')->name('contact.post');
Route::post('/contactmakeAdmin', 'BoutiqueController@contactmakeAdmin')->name('contactmakeAdmin.post');
Route::post('/newsletters/create', 'BoutiqueController@newsletters')->name('newsletters.post');
Route::post('/{boutique}/products/search', ['as' => 'products.search', 'uses' => 'BoutiqueController@filterByCategoryAndName']);
Route::post('/{boutique}/products/search', ['as' => 'products.filter', 'uses' => 'BoutiqueController@productFilter']);
Route::get('/{boutique}/products/categorie/{slug}', ['as' => 'products.categorie', 'uses' => 'BoutiqueController@filterByCategory']);
Route::post('/filter/products/categorie/', ['as' => 'products.categorie.filter', 'uses' => 'BoutiqueController@productFilterInCategoryProductList']);

//commandes
Route::post('commandes/customers', ['as' => 'products.commandes', 'uses' => 'CommandeController@AjouterCommande']);
Route::post('commandes/delete', ['as' => 'products.commandes.delete', 'uses' => 'CommandeController@deletecommand']);
Route::get('{boutique}/commandes/checkpaiement', ['as' => 'products.check_paiment', 'uses' => 'BoutiqueController@checkpaiement']);
Route::get('{boutique}/commandes/checkpaiementIntram', ['as' => 'products.check_paiment.intram', 'uses' => 'BoutiqueController@checkpaiementIntram']);
Route::get('generale/command', ['as' => 'generale.command', 'uses' => 'CommandeController@generale_command']);
Route::get('generale/command/admin', ['as' => 'generale.command.admin', 'uses' => 'CommandeController@generale_command_admin']);
Route::get('generale/achat', ['as' => 'generale.achat', 'uses' => 'CommandeController@generale_achat']);
Route::get('{boutique}/liste/commande', ['as' => 'commande.user', 'uses' => 'BoutiqueController@list_commande']);
Route::get('{boutique}/liste/commande/{action}', ['as' => 'commande.user.action', 'uses' => 'BoutiqueController@list_commande_par_action']);
Route::post('paid/after/check/fail', ['as' => 'paid_after_check_fail', 'uses' => 'CommandeController@paid_after_check_fail']);
Route::post('shipping/after/command/make', ['as' => 'shipping_after_command_make', 'uses' => 'CommandeController@shipping_after_command_make']);


//favoris boutique_article
Route::post('wishlist/article', ['as' => 'wishlist.article', 'uses' => 'BoutiqueController@addTowishlistArticle']);
Route::post('wishlist/boutique', ['as' => 'wishlist.boutique', 'uses' => 'BoutiqueController@addTowishlistBoutique']);
Route::get('wishlist/article/list', ['as' => 'wishlist.article.lists', 'uses' => 'BoutiqueController@wishlist_list']);
Route::get('wishlist/boutique/list', ['as' => 'wishlist.boutiques.lists', 'uses' => 'BoutiqueController@wishlist_list_boutique']);

Route::post('boutique/click', ['as' => 'boutique.click', 'uses' => 'HelperController@update_boutique_click']);
Route::post('produit/click', ['as' => 'produit.click', 'uses' => 'HelperController@update_product_click']);
Route::post('setsession/detail', ['as' => 'produit.session', 'uses' => 'HomeController@setsession_detail']);

//Cart
Route::post('cart', ['as' => 'cart.add', 'uses' => 'BoutiqueController@addToCart']);
Route::get('cart/{slug}', ['as' => 'cart.delete.article', 'uses' => 'BoutiqueController@deleteArticleFromCart']);

//Recuperation de mot de passe
Route::post('password/reset/boutique', 'LoginController@resetPassBoutique')->name('reset.password.boutique');
Route::get('password/reset', 'LoginController@resetPassView')->name('reset.password');
Route::get('password/reset/{email}/{password}', 'LoginController@resetPassPanel')->name('reset.panel');
Route::post('reset', 'LoginController@resetPass')->name('reset.pass');
Route::post('reset/new/password', 'LoginController@resetNewPassord')->name('reset.pass.new');

//-------------------------------------------------------------------------------------------------------------------------------//
